<?php

define(TOKEN_TYPE_ADD, 1);
define(TOKEN_TYPE_SUB, 2);
define(TOKEN_TYPE_MUL, 3);
define(TOKEN_TYPE_DIV, 4);
define(TOKEN_TYPE_NUM, 5);
define(TOKEN_TYPE_LEFT_PAR, 6);
define(TOKEN_TYPE_RIGHT_PAR, 7);
define(TOKEN_TYPE_NULL, 0);
define(TOKEN_TYPE_EOF, -1);

function tokenTypeToString( $type )
{
	switch( $type )
	{
		case TOKEN_TYPE_ADD:		return "ADD";
		case TOKEN_TYPE_SUB:		return "SUB";
		case TOKEN_TYPE_MUL:		return "MUL";
		case TOKEN_TYPE_DIV:		return "DIV";
		case TOKEN_TYPE_NUM:		return "NUM";
		case TOKEN_TYPE_LEFT_PAR:	return "LEFT_PAR";
		case TOKEN_TYPE_RIGHT_PAR:	return "RIGHT_PAR";
		case TOKEN_TYPE_NULL:		return "NULL";
		default:					return "EOF";
	}
	
	return null;
}

?>