function gei(id)
{
	return document.getElementById(id);
}

function ntxMultiNone(multiSelect)
{
	var options = multiSelect.options;
	
	for(var i = 0; i < options.length; ++i)
	{
		options[i].selected = false;
	}
}

function ntxFormAssign(frm, rows)
{
	frm.reset();

	var elements = frm.elements;

	for(var i = 0; i < elements.length; ++i)
	{
		element = elements[i];

		ntxFieldAssign(element, rows[element.name]);
	}
}

function ntxFieldAssign(field, value)
{
	function ntxMulti(multiSelect, value)
	{	
		var options = multiSelect.options;
		
		for(var i = 0; i < options.length; ++i)
		{
			if(options[i].value == value) options[i].selected = true;
		}
	}

	function ntxRadio(radio, value)
	{	
		for(var i = 0; i < radio.length; ++i)
		{
			if(radio[i].value == value) 
			{
				radio[i].checked = true;
				return;
			}
			}
	}
	
	switch(field.type)
	{
		case "datetime-local":
		case "text":
		case "password":
		case "textarea":
		case "hidden":
		case "file":
		case "select-one":
			field.value = (typeof value=='string' || typeof value=='number' ? value : "" );
			break;
		case "select-multiple":
			ntxMulti(field, value);
			break;
		case "checkbox":
			field.checked=(value && value!=0);
			break;
		case "radio":
			ntxRadio(field, value);
			break;
		default:
			if ( field.length>0 && field[0].checked && field[0].value ) 
				ntxRadio(field, value);
			break;
	}
}
