function ntxAlert(text){ alert(text); }

function ntxSendForm(frm, func, strURL) 
{
	function ntxQueryString(frm)
	{ 
		function queryNameValue(append, element)
		{
			var value = encodeURIComponent(element.value);
			var re=/\+/g;
			value = value.replace(re, "%2B");
			
			return (append ? "&" : "") + encodeURIComponent(element.name) + "=" + value;
		}

		function queryNameOption(append, element, option)
		{
			if ( option.selected )
				return (append ? "&" : "") + encodeURIComponent(element.name + "[]") + "=" + encodeURIComponent(option.value);
			else
				return "";
		}

		function queryNameCheck(append, element)
		{
			return (append ? "&" : "") + encodeURIComponent(element.name) + "=" + (element.checked ? 1 : 0);
		}

		function queryNameSelect(append, element, result)
		{
			var options = element.options;
			
			if ( options.selectedIndex == -1 )
				result += queryNameValue(append, element);
				
			else for ( var i = 0; i < options.length; ++i ) 
				result += queryNameOption(append, element, options[i]);
			
			return result;
		}

		var elements = frm.elements;
		
		var result = "";
		var append = false;
		
		for(var i = 0; i < elements.length; ++i)
		{
			switch(elements[i].type)
			{
				case "datetime-local":
				case "text":
				case "password":
				case "textarea":
				case "hidden":
				case "file":
				case "select-one":
					result += queryNameValue(append, elements[i]);				
					append = true;
					break;
				case "select-multiple":
					result += queryNameSelect(append, elements[i], result);				
					append = true;
					break;
				case "checkbox":
					result += queryNameCheck(append, elements[i]);			
					append = true;
					break;
				case "radio":
					if ( elements[i].checked )
					{
						result += queryNameValue(append, elements[i]);				
						append = true;
					}
					break;
			}
		}
		
		return result;
	}

	if (window.XMLHttpRequest) // Xhr per Mozilla/Safari/Ie7
	{
		xmlHttpReq = new XMLHttpRequest();
	}
	else if (window.ActiveXObject) // per tutte le altre versioni di IE
	{
		xmlHttpReq = new ActiveXObject("Microsoft.XMLHTTP");
	}
	else
	{
		ntxAlert("Browser Web utilizzato non supporta XmlHttl!");
		return false;
	}

	if (strURL.indexOf(".") != -1) 
	{
		ntxAlert("Funzione '" + strURL + "' non trovata!");
		return false;
	}

	xmlHttpReq.open('POST', "<?php echo NTX_PHP_PATH ?>", false);
	xmlHttpReq.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8');
	
	var query = ntxQueryString(frm);
	
	if (query.length > 0) query += "&";
	
	query += "&ntxStringUrl=" + encodeURIComponent(strURL);
	
	xmlHttpReq.send(query);

	if (xmlHttpReq.readyState != 4) 
	{
		ntxAlert("Risposta del server a XmlHttl errata!");
		return false;
	}
	

	//var text = decodeURIComponent(xmlHttpReq.responseText);
	var text = xmlHttpReq.responseText;
 

	if(text && text.indexOf('<is_error>')==0) 
	{
		ntxAlert(text.substring(10, text.length));
		return false;
	}

	if(text && text.indexOf('<no_error>')==0)
	{
		func(text.substring(10, text.length));
		return true;
	}
	
	ntxAlert("ntxSendForm - sender.js - Errore da routine XmlHttl '" + strURL + "'!\n" + text);
	return false;
}
