<?php


require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_720", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_720", "IT", __FILE__);

$Localizzazione = ntxip('Localizzazione');
$DittaManuale = $_POST['DittaManuale'];
 
if ( is_numeric($IdCommessa) && is_numeric($NumOrdine) && is_numeric($AnnoOrdine) && is_numeric($Localizzazione) && is_numeric($IdFornitore) )
{
	$sql = "SELECT email FROM Ditte WHERE IDDitta=$IdFornitore and email is not null and email<>''";
	
	$emailDitta = ntxScalar($sql);

	$NumOrdine = (int)$NumOrdine;
	
	if ( !is_numeric($DittaManuale) ) $DittaManuale = 0;
	
	$DittaManuale = (int)$DittaManuale;
	
	$sql = <<< SQL
			SELECT     count(*)
			FROM         Risorse INNER JOIN
								  RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa
			WHERE     (Risorse.CodDitta = $IdFornitore) AND (Risorse.ruolo = 'MAILORDINI') AND (Risorse.Dismesso IS NULL OR
								  Risorse.Dismesso = 0) AND (RisorseEdifici.IdCommessa = $IdCommessa) AND (RisorseEdifici.IdEdificio = $Localizzazione)
				AND (Risorse.email <> '') 
				AND (Risorse.email IS NOT NULL)
SQL;

	$countRisorseEdifici = ntxScalar($sql);
	
	if ( $countRisorseEdifici==0 )
	{
		$sql = <<< SQL
			SELECT     email
			FROM         Risorse
			WHERE     (CodDitta = $IdFornitore) AND (ruolo = 'MAILORDINI') AND (Dismesso IS NULL OR Dismesso = 0)		
					AND (Risorse.email <> '') 
					AND (Risorse.email IS NOT NULL)
SQL;
	}
	else
	{
		$sql = <<< SQL
				SELECT     Risorse.email
				FROM         Risorse INNER JOIN
				                      RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa
				WHERE     (Risorse.CodDitta = $IdFornitore) AND (Risorse.ruolo = 'MAILORDINI') AND (Risorse.Dismesso IS NULL OR
				                      Risorse.Dismesso = 0) AND (RisorseEdifici.IdCommessa = $IdCommessa) AND (RisorseEdifici.IdEdificio = $Localizzazione)
					AND (Risorse.email <> '') 
					AND (Risorse.email IS NOT NULL)
SQL;
	}

	$query = ntxQuery($sql);

	$emailPerMailOrdine = null;
	
	while( $rs = ntxRecord($query) )
	{
		$emailPerMailOrdine[] = $rs[email];
	}
//---------------------------------------	
	
  
  $IdRisorsa = ntxScalar(" SELECT IdRisorsa FROM Ordini WHERE IdCommessa=$IdCommessa AND NumOrdine=$NumOrdine AND AnnoOrdine=$AnnoOrdine ");

  if (!is_numeric($IdRisorsa)) {
  
    $sql = <<< SQL
        SELECT     count(*)
          FROM         Risorse INNER JOIN
                                RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa
          WHERE     (Risorse.CodDitta = $IdFornitore) AND (Risorse.ruolo = 'REPERIBILE') AND (Risorse.Dismesso IS NULL OR
                                Risorse.Dismesso = 0) AND (RisorseEdifici.IdCommessa = $IdCommessa) AND (RisorseEdifici.IdEdificio = $Localizzazione)
            AND (((Risorse.email <> '') AND (Risorse.email IS NOT NULL)) OR ((Risorse.cellulare <> '') AND (Risorse.cellulare IS NOT NULL)))
SQL;

    $countRisorseEdifici = ntxScalar($sql);
    
    if ( $countRisorseEdifici==0 )
    {
	/*
      $sql = <<< SQL
        SELECT     email, cellulare, BloccaEmail, BloccaSms
        FROM         Risorse
        WHERE     (CodDitta = $IdFornitore) AND (ruolo = 'REPERIBILE') AND (Dismesso IS NULL OR Dismesso = 0)		
            AND (((Risorse.email <> '') AND (Risorse.email IS NOT NULL)) OR ((Risorse.cellulare <> '') AND (Risorse.cellulare IS NOT NULL)))
SQL;*/
    }
    else
    {
      $sql = <<< SQL
          SELECT     Risorse.email, Risorse.cellulare, Risorse.BloccaEmail,Risorse.BloccaSms
          FROM         Risorse INNER JOIN
                                RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa
          WHERE     (Risorse.CodDitta = $IdFornitore) AND (Risorse.ruolo = 'REPERIBILE') AND (Risorse.Dismesso IS NULL OR
                                Risorse.Dismesso = 0) AND (RisorseEdifici.IdCommessa = $IdCommessa) AND (RisorseEdifici.IdEdificio = $Localizzazione)
            AND (((Risorse.email <> '') AND (Risorse.email IS NOT NULL)) OR ((Risorse.cellulare <> '') AND (Risorse.cellulare IS NOT NULL)))
SQL;
    } 
  }
  else
  {
    $sql = <<< SQL
        SELECT     email, Risorse.cellulare, Risorse.BloccaEmail,Risorse.BloccaSms
        FROM         Risorse
        WHERE     (ID = $IdRisorsa) AND (CodDitta = $IdFornitore) 
            AND (((Risorse.email <> '') AND (Risorse.email IS NOT NULL)) OR ((Risorse.cellulare <> '') AND (Risorse.cellulare IS NOT NULL)))
SQL;
  }



	$query = ntxQuery($sql);

	$emailRisorse = null;
	$cellulari = null;
  
	while( $rs = ntxRecord($query) )
	{
 	  
    if ($NonBloccaMsgRisorse) {
      if ($rs[email] != '') {
        $emailRisorse[] = $rs[email];
      }
      if ($rs[cellulare] != '') {
        $cellulari[] = $rs[cellulare];
      }
    } else {
      if((!is_numeric($rs[BloccaEmail])) && ($rs[BloccaEmail] != 1)) {
        if ($rs[email] != '') {
          $emailRisorse[] = $rs[email];
        }
      }
      if((!is_numeric($rs[BloccaSms])) && ($rs[BloccaSms] != 1)) {
        if ($rs[cellulare] != '') {
          $cellulari[] = $rs[cellulare];
        }
      }
    }
	}

	if ( isset($cellulari) || isset($emailRisorse) || isset($emailPerMailOrdine) || $emailDitta )
	{
		$sql = <<< SQL
			SELECT     Richieste.NumOrdineFonte, Richieste.AnnoOrdineFonte
			FROM         Richieste INNER JOIN
						  Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
						  Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
			WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

		$query = ntxQuery($sql);
		
		$rs = ntxIRecord($query);

		if ( isset($rs[0]) )
		{	
			$rs[0] = (int)$rs[0];
			$subMessaggio = "(".$traduttore->traduci('emesso per autorizzazione extra dell\'ordine precedente')." $rs[0]/$rs[1])";
		}
		
		$sql = <<< SQL
			SELECT    
				ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
				Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Descrizione, Ordini.DataScadenza,
				
				PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
				Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
				ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente,
				tblPgPropietari.Nome AS Proprietario,
				tblPgAffidatari.Nome AS Affidatario,
				(
						SELECT DISTINCT tblPgContratti.Sigla
						FROM         tblPgContratti INNER JOIN
											  tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto INNER JOIN
											  tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
											  tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
											  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
											  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
						WHERE     (Ordini.DataOrdine >= tblPgContratti.DataInizio) AND (Ordini.DataOrdine <= tblPgContratti.DataFine) AND (Ordini.IDCommessa = tblPgContratti.IdCommessa)
											   AND (Ordini.CodEdificio = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio) AND 
											  (Ordini.IDCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa) AND (Ordini.IDCommessa = tblComponetiMestiere.IdCommessa) AND 
											  (Ordini.IdMestiere = tblComponetiMestiere.IdMestiere)
				) sigla
				
			FROM         
				Ordini INNER JOIN
				ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
				tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
								  
				LEFT OUTER JOIN
				Ambiente ON Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
				Ordini.IDCommessa = Ambiente.IdCommessa 
				LEFT OUTER JOIN
				ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
				Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa 
				LEFT OUTER JOIN
				PianoLivello ON Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
				Ordini.IDCommessa = PianoLivello.IdCommessa 
				LEFT OUTER JOIN
				DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
				PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
				LEFT OUTER JOIN
				DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
				Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
				LEFT OUTER JOIN
				TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
				ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  									  					  
				LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario	
				LEFT OUTER JOIN
                      tblPgAffidatari ON Ordini.IdAffidatario = tblPgAffidatari.IdAffidatario
					  
			WHERE     
				(Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

		$query = ntxQuery($sql);
		
		$rs = ntxRecord($query);
		
		$NomeProprietario = $rs[Proprietario];
		$sigla = $rs[sigla];
		$NomeAffidatario = $rs[Affidatario];
		
		$objExt = "";
		if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
			$objExt .= $traduttore->traduci('Piano').": ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
		
		if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
			$objExt .= $traduttore->traduci('Ambiente').": ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	

		if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
			$objExt .= $traduttore->traduci('Componente').": ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";		
	
		$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);
		
		$prefissoOggetto = strlen($NomeProprietario)>0 ? "$NomeProprietario - " : "";
		$prefissoOggetto .= strlen($sigla)>0 ? "$sigla - " : "";
		
		$oggetto = $traduttore->traduci('Avvio Ordine')." $NumOrdine/$AnnoOrdine";
		$messaggio = $traduttore->traduci('Ordine')." $NumOrdine/$AnnoOrdine $subMessaggio \"{$rs[Codice]}-{$rs[EdificioBreve]}\" \"{$rs[Indirizzo]}\" \"{$rs[CITTA]}\" \"{$rs[Descrizione]}\" \"{$rs[DataScadenza]}\" . $objExt.";
		
		
		
		
		if( $_POST[seneca]==1 || $_POST[seneca2]==1 )
		{ 
			$sql = <<< sql
			SELECT     
				tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
				Ordini.NumOrdine, Ordini.AnnoOrdine, Ditte.Ditta, Ordini.DescrizioneIntervento AS des1, Ordini.DescrizioneIntervento1 AS des2, Ordini.DescrizioneIntervento2 AS des3,
				
				PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
				Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
				ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente 

				,Ordini.DataOrdine, 
				Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Operatore, Richieste.Richiedente, Richieste.TelefonoRif,
				TabellaGradoUrgenza.GradoU, TabellaGradoUrgenza.Descrizione	AS GradoUrgenza 
			FROM         
				ElencoEdifici INNER JOIN
				Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio LEFT OUTER JOIN
				Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
				tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
				tblMestieri ON tblMestieri.IdCommessa = Ordini.IDCommessa AND tblMestieri.IdMestiere = Ordini.IdMestiere

				LEFT OUTER JOIN
				Ambiente ON Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
				Ordini.IDCommessa = Ambiente.IdCommessa 
				LEFT OUTER JOIN
				ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
				Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa 
				LEFT OUTER JOIN
				PianoLivello ON Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
				Ordini.IDCommessa = PianoLivello.IdCommessa 
				LEFT OUTER JOIN
				DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
				PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
				LEFT OUTER JOIN
				DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
				Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
				LEFT OUTER JOIN
				TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
				ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  
				LEFT OUTER JOIN 
				Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND  Ordini.IDCommessa = Richieste.IDCommessa
				LEFT OUTER JOIN
				TabellaGradoUrgenza ON Ordini.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Ordini.GradoUrgenza = TabellaGradoUrgenza.GradoU	

				
			WHERE     
				(Ordini.IDCommessa = $IdCommessa) 
				AND (Ordini.NumOrdine = $NumOrdine) 
				AND (Ordini.AnnoOrdine = N'$AnnoOrdine')
sql;
			$query = ntxQuery($sql); 
			$rs = ntxRecord($query);
			
			$DataOrdine = ntxDateTime($rs[DataOrdine]);
			
			/*$messaggio = <<< messaggio
	RICHIESTA: $NumOrdine / $AnnoOrdine  inserita da "$rs[Operatore]"
	DATA E ORA RICHIESTA: $DataOrdine 
	LOCALIZZAZIONE: $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]
	PIANO: $rs[CodiceAssLivello] $rs[UsoPianoLivello]
	AMBIENTE: $rs[CodiceAssAmbiente] 
	DESCRIZIONE:  $rs[des1] $rs[des2] $rs[des3] 
	LIVELLO DI PRIORITA': $rs[GradoU] $rs[GradoUrgenza]
	RICHIEDENTE: $rs[Richiedente]
	TEL. RICHIEDENTE:  $rs[TelefonoRif]  
	RIF AOUC (rif RdL): $rs[NumRichiesta] / $rs[AnnoRichiesta]
messaggio;*/

		$messaggio =
	$traduttore->traduci('RICHIESTA').": $NumOrdine / $AnnoOrdine ".$traduttore->traduci('inserita da')." $rs[Operatore]"
	.$traduttore->traduci('DATA E ORA RICHIESTA').": $DataOrdine "
	.$traduttore->traduci('LOCALIZZAZIONE').": $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA] "
	.$traduttore->traduci('PIANO').": $rs[CodiceAssLivello] $rs[UsoPianoLivello] "
	.$traduttore->traduci('AMBIENTE').": $rs[CodiceAssAmbiente] "
	.$traduttore->traduci('DESCRIZIONE').":  $rs[des1] $rs[des2] $rs[des3] "
	.$traduttore->traduci('LIVELLO DI PRIORITA\'').": $rs[GradoU] $rs[GradoUrgenza] "
	.$traduttore->traduci('RICHIEDENTE').": $rs[Richiedente] "
	.$traduttore->traduci('TEL. RICHIEDENTE').":  $rs[TelefonoRif] "
	.$traduttore->traduci('RIF AOUC (rif RdL)').": $rs[NumRichiesta] / $rs[AnnoRichiesta]"
;
		}
		
		
		
		
		$coordinate = "ordine $NumOrdine/$AnnoOrdine";
		
		if (is_array($emailRisorse) || is_object($emailRisorse))
			foreach($emailRisorse AS $emailRis)
			{
				ntxFireNetInit($_SESSION['Utente'].'',				
							"avvio ordine",				
							$coordinate,			
							"email",		
							$emailRis,		
							$oggetto,				
							$messaggio,
							true);	
			}	

		if (is_array($cellulari) || is_object($cellulari))
			foreach($cellulari AS $cellulare)
			{
				ntxFireNetInit($_SESSION['Utente'].'',				
							"avvio ordine",				
							$coordinate,			
							"sms",		
							$cellulare,		
							$oggetto,				
							$messaggio,
							true);	
			}	
		
		$oggettoEmailDitta = $traduttore->traduci('ODL').": {$prefissoOggetto}($NomeAffidatario) $AnnoOrdine/$NumOrdine";

		$ChiaveReport = 2;
		
		if ( $_SESSION[IdCommessa]==25 && ($_SESSION[name_odbc]=="test_brixia" || $_SESSION[name_odbc]=="mpnet_build_brixia") )
		{
			$ChiaveReport = 9;
		}
		
		if (is_array($emailPerMailOrdine) || is_object($emailPerMailOrdine))
			foreach($emailPerMailOrdine AS $emailRis)
			{
				ntxFireNetInit($_SESSION['Utente'].'',				
							"avvio ordine",				
							$coordinate,			
							"email",		
							$emailRis,		
							$oggettoEmailDitta,				
							$messaggio,
							true,
							$ChiaveReport, $IdCommessa, $NumOrdine, $AnnoOrdine);	
			}	

		if ( $emailDitta )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
						"avvio ordine",				
						$coordinate,			
						"email",		
						$emailDitta,		
						$oggettoEmailDitta,				
						$messaggio,
						true,
						$ChiaveReport, $IdCommessa, $NumOrdine, $AnnoOrdine);	// genera e allega pdf ordine a email
		}
	}			
	
	$sql = <<< SQL
				SELECT     Ordini.IdOrd
				FROM         Ordini
				WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

	$IDord = ntxScalar($sql);
	
	$sql = <<< sql
		INSERT INTO RichiestaFax
			(IDCommessa, IDord, idditta, datarichiesta, inviato)
			VALUES     ($IdCommessa, $IDord, $IdFornitore, GETDATE(), 0)
sql;

	ntxQuery($sql);
}
$traduttore->Salva();
?>
