<?php
//PARAMETRI IN INGRESSO: NumRichiesta e AnnoRichiesta oppure NumOrdine e  AnnoOrdine
//ESPORTA: la variabile $consentiAutorizzazione settata a true/false 

$IdCommessa = "".$_SESSION[IdCommessa];
$Utente = "".$_SESSION[Utente];
$Password = "".$_SESSION[Password]; 


$NumRichiesta = "".$_POST[NumRichiesta];
$AnnoRichiesta = "".$_POST[AnnoRichiesta]; 


$NumOrdine = "".$_POST[NumOrdine];
$AnnoOrdine = "".$_POST[AnnoOrdine]; 


$consentiAutorizzazione = true;


$str = stripslashes($Utente);
$str = str_replace("'", "''", $str);
$Utente = $str;

$str = stripslashes($Password);
$str = str_replace("'", "''", $str);
$Password = $str;

if ( is_numeric($IdCommessa) && is_numeric($NumRichiesta) && is_numeric($AnnoRichiesta) )   
{	
	//trovo il capitolato della richiesta
	$sql = <<< SQL
	SELECT     Localizzazione, IdMestiere, IdComponenteMestiere, IdAttivitàMestiere, DataRichiesta
	FROM       Richieste
	WHERE     
		(IDCommessa = $IdCommessa) 
		AND (NumRichiesta = $NumRichiesta) 
		AND (AnnoRichiesta = $AnnoRichiesta)
SQL;

	$rs = ntxRecord(ntxQuery($sql));

	$IdEdificio 			= $rs[Localizzazione];
	$IdMestiere             = $rs[IdMestiere];
	$IdComponenteMestiere   = $rs[IdComponenteMestiere];
	$IdAttivitàMestiere     = $rs[IdAttivitàMestiere];
	$DataRichiesta = 	ntxt( ntxDateTime($rs[DataRichiesta]) );
	
	if ( is_numeric($IdEdificio)  )   
	{
		//vedo se esiste un contratto di gestione e se è attiva la logica di capitolato
		$sql = <<< SQL
		SELECT  DISTINCT   tblPgContratti.UsaLogicaContrattiTecniciClienti AS logica, tblPgContratti.IdPgContratto
		FROM         tblPgContratti INNER JOIN
							  tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto INNER JOIN
							  tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
							  tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
							  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
							  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
							  tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
		WHERE     
			(tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = $IdEdificio) 
			AND (tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = $IdCommessa) 
			AND   $DataRichiesta BETWEEN  tblPgContratti.DataInizio AND tblPgContratti.DataFine
SQL;

		if ( is_numeric($IdMestiere) )
			$sql.=" AND (tblMestieri.IdMestiere = $IdMestiere)  ";		
		if ( is_numeric($IdComponenteMestiere) )
			$sql.=" AND (tblComponetiMestiere.IdComponenteMestiere = $IdComponenteMestiere)  ";			
		if ( is_numeric($IdAttivitàMestiere) )
			$sql.=" AND (tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere)  ";	


		$rs = ntxRecord(ntxQuery($sql));

		$UsaLogicaContrattiTecniciClienti  = $rs[logica];
		$IdPgContratto  = $rs[IdPgContratto];  

		if ( is_numeric($UsaLogicaContrattiTecniciClienti) && $UsaLogicaContrattiTecniciClienti==1 && is_numeric($IdPgContratto) )
		{
			$consentiAutorizzazione = false;
			
			
			$sql = <<< SQL
			SELECT  RihePreventivi.UM, RihePreventivi.QTA, RihePreventivi.PzUnitario, RihePreventivi.Sconto, RihePreventivi.Prezziario, RihePreventivi.Importo
			FROM        
				Preventivi INNER JOIN
				RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo
			WHERE     
				(Preventivi.IDCommessa = $IdCommessa)
				AND (Preventivi.NumRichiesta = $NumRichiesta) 
				AND (Preventivi.AnnoRichiesta = $AnnoRichiesta)
SQL;
			
			$query = ntxQuery($sql)	;
			
			$TotLordo = 0.0;
			$TotNetto = 0.0;
			while( $rs = ntxRecord($query) )
			{
				$Lordo = $rs['QTA'] * $rs['PzUnitario'];
				$Netto = $rs['QTA'] * $rs['PzUnitario'] * (1-$rs['Sconto']/100.0);

				
				if ( is_numeric($Lordo) ) 
					$TotLordo += (float)($Lordo);

				if ( is_numeric($Netto) ) 
					$TotNetto += (float)($Netto);
			}		

		
			//trovo la spesa consentita al tecnico loggato
			$sql = <<< SQL
			SELECT DISTINCT ContrattiTecnici.SpesaMin, ContrattiTecnici.SpesaMax
			FROM        
				ContrattiTecnici INNER JOIN
				ContrattiTecniciAttivitàEdifici ON ContrattiTecnici.IdContrattoTecnico = ContrattiTecniciAttivitàEdifici.IdContrattoTecnico AND 
				ContrattiTecnici.IdCommessa = ContrattiTecniciAttivitàEdifici.IdCommessa INNER JOIN
				tblComponetiMestiere INNER JOIN
				tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
				tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
				tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere ON 
				ContrattiTecniciAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
				ContrattiTecniciAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa INNER JOIN
				Tecnici ON ContrattiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
				UtentiTecnici ON Tecnici.IDTec = UtentiTecnici.IdTecnico INNER JOIN
				Utenti ON UtentiTecnici.IdUtente = Utenti.Id
			WHERE    
				(ContrattiTecnici.IdPgContratto = $IdPgContratto) 
				AND (ContrattiTecnici.IdCommessa = $IdCommessa) 
				AND (ContrattiTecniciAttivitàEdifici.IdEdificio = $IdEdificio)
				AND (Utenti.Nome = '$Utente')
				AND  ($DataRichiesta BETWEEN  ContrattiTecnici.DataInizio AND ContrattiTecnici.DataFine)

SQL;
			if ( is_numeric($IdMestiere) )
				$sql.=" AND (tblMestieri.IdMestiere = $IdMestiere)  ";		
			if ( is_numeric($IdComponenteMestiere) )
				$sql.=" AND (tblComponetiMestiere.IdComponenteMestiere = $IdComponenteMestiere)  ";			
			if ( is_numeric($IdAttivitàMestiere) )
				$sql.=" AND (tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere)  ";	
			 
			$query = ntxQuery($sql)	;
			 
			while( $rs = ntxRecord($query) )
			{			 
				$SpesaMin	= (float)$rs[SpesaMin];
				$SpesaMax   = (float)$rs[SpesaMax];		 
				 
				if( is_numeric($SpesaMin)&&is_numeric($SpesaMax) )
				{
					if( $TotNetto<=$SpesaMax &&  $TotNetto>=$SpesaMin )
					{
						$consentiAutorizzazione = true;
					}
				}				
			}			 
			
		}	
	}
}  
else if ( is_numeric($IdCommessa) && is_numeric($NumOrdine) && is_numeric($AnnoOrdine) )   
{	
	//trovo il capitolato della richiesta
	$sql = <<< SQL
	SELECT     CodEdificio, IdMestiere, IdComponenteMestiere, IdAttivitàMestiere, DataOrdine
	FROM       Ordini
	WHERE     
		(IDCommessa = $IdCommessa) 
		AND (NumOrdine = $NumOrdine) 
		AND (AnnoOrdine = $AnnoOrdine)
SQL;

	$rs = ntxRecord(ntxQuery($sql));

	$IdEdificio 			= $rs[CodEdificio];
	$IdMestiere             = $rs[IdMestiere];
	$IdComponenteMestiere   = $rs[IdComponenteMestiere];
	$IdAttivitàMestiere     = $rs[IdAttivitàMestiere];
	$DataOrdine = 	ntxt( ntxDateTime($rs[DataOrdine]) );
	
	if ( is_numeric($IdEdificio)  )   
	{
		//vedo se esiste un contratto di gestione e se è attiva la logica di capitolato
		$sql = <<< SQL
		SELECT  DISTINCT   tblPgContratti.UsaLogicaContrattiTecniciClienti AS logica, tblPgContratti.IdPgContratto
		FROM         tblPgContratti INNER JOIN
							  tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto INNER JOIN
							  tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
							  tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
							  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
							  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
							  tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
		WHERE     
			(tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = $IdEdificio) 
			AND (tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = $IdCommessa) 
			AND   $DataOrdine BETWEEN  tblPgContratti.DataInizio AND tblPgContratti.DataFine
SQL;

		if ( is_numeric($IdMestiere) )
			$sql.=" AND (tblMestieri.IdMestiere = $IdMestiere)  ";		
		if ( is_numeric($IdComponenteMestiere) )
			$sql.=" AND (tblComponetiMestiere.IdComponenteMestiere = $IdComponenteMestiere)  ";			
		if ( is_numeric($IdAttivitàMestiere) )
			$sql.=" AND (tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere)  ";	


		$rs = ntxRecord(ntxQuery($sql));

		$UsaLogicaContrattiTecniciClienti  = $rs[logica];
		$IdPgContratto  = $rs[IdPgContratto];  

		if ( is_numeric($UsaLogicaContrattiTecniciClienti) && $UsaLogicaContrattiTecniciClienti==1 && is_numeric($IdPgContratto) )
		{
			$consentiAutorizzazione = false;
			
			
			$sql = <<< SQL
			SELECT     RiheContabilità.UM, RiheContabilità.QTA, RiheContabilità.PzUnitario, RiheContabilità.Sconto, RiheContabilità.Prezziario 	  
			FROM         RiheContabilità INNER JOIN
								  Contabilità ON RiheContabilità.IdCommessa = Contabilità.IDCommessa AND RiheContabilità.NumContabilità = Contabilità.NumContabilità
			WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumOrdine = $NumOrdine) AND (Contabilità.AnnoOrdine = '$AnnoOrdine')			
SQL;
			
			$query = ntxQuery($sql)	;
			
			$TotaleCosti = 0.0;
			while( $rs = ntxRecord($query) )
			{
				$CostoTotale = $rs['QTA'] * $rs['PzUnitario'] * (1 - $rs['Sconto']/100);

				
				if ( is_numeric($CostoTotale) ) 
				{
					$TotaleCosti += (float)($CostoTotale);
				}
			}		
		
		
			//trovo la spesa consentita al tecnico loggato
			$sql = <<< SQL
			SELECT DISTINCT ContrattiTecnici.SpesaMin, ContrattiTecnici.SpesaMax
			FROM        
				ContrattiTecnici INNER JOIN
				ContrattiTecniciAttivitàEdifici ON ContrattiTecnici.IdContrattoTecnico = ContrattiTecniciAttivitàEdifici.IdContrattoTecnico AND 
				ContrattiTecnici.IdCommessa = ContrattiTecniciAttivitàEdifici.IdCommessa INNER JOIN
				tblComponetiMestiere INNER JOIN
				tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
				tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
				tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere ON 
				ContrattiTecniciAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
				ContrattiTecniciAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa INNER JOIN
				Tecnici ON ContrattiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
				UtentiTecnici ON Tecnici.IDTec = UtentiTecnici.IdTecnico INNER JOIN
				Utenti ON UtentiTecnici.IdUtente = Utenti.Id
			WHERE    
				(ContrattiTecnici.IdPgContratto = $IdPgContratto) 
				AND (ContrattiTecnici.IdCommessa = $IdCommessa) 
				AND (ContrattiTecniciAttivitàEdifici.IdEdificio = $IdEdificio)
				AND (Utenti.Nome = '$Utente')
				AND  ($DataOrdine BETWEEN  ContrattiTecnici.DataInizio AND ContrattiTecnici.DataFine)

SQL;
			if ( is_numeric($IdMestiere) )
				$sql.=" AND (tblMestieri.IdMestiere = $IdMestiere)  ";		
			if ( is_numeric($IdComponenteMestiere) )
				$sql.=" AND (tblComponetiMestiere.IdComponenteMestiere = $IdComponenteMestiere)  ";			
			if ( is_numeric($IdAttivitàMestiere) )
				$sql.=" AND (tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere)  ";	
			
			$query = ntxQuery($sql)	;
			 
			while( $rs = ntxRecord($query) )
			{			 
				$SpesaMin	= (float)$rs[SpesaMin];
				$SpesaMax   = (float)$rs[SpesaMax];		 
				 
				if( is_numeric($SpesaMin)&&is_numeric($SpesaMax) )
				{
					if($TotaleCosti<=$SpesaMax &&  $TotaleCosti>=$SpesaMin )
					{ 
						$consentiAutorizzazione = true;
					}
				}				
			}
			 
		}	
	}
}  
?>
