<?php

/*
	- verifica il valore del campo  [tblPgContrattiAffidatari].BloccaMsgRicCallCenter su una determinata richiesta e se l'utente loggato è un call-center o un affidatario
	- per funzionare necessita dei tre valori contenuti nel primo if. 
	- ritorna la variabile BloccaMsgRicCallCenter settata a true/false
*/

$Utente = "".$_SESSION[Utente];

$BloccaMsgRicCallCenter = false;


$str = stripslashes($Utente);
$str = str_replace("'", "''", $str);
$Utente = $str;

if ( is_numeric($IdCommessa) && is_numeric($NumRichiesta) && is_numeric($AnnoRichiesta) && strlen($Utente)>0 )
{
	$sql = <<< SQL
	SELECT     GruppiUtentiWeb.Tipo
	FROM         GruppiUtentiWeb INNER JOIN
						  Utenti ON GruppiUtentiWeb.id = Utenti.IdGruppoWeb
	WHERE     (Utenti.Nome = '$Utente')
SQL;
	
	$rs = ntxRecord( ntxQuery($sql) ); 
	$TipoGruppoWeb = $rs[Tipo];
 
	$sql = <<< SQL
	SELECT DISTINCT tblPgContrattiAffidatari.BloccaMsgRicCallCenter 
	FROM         
		tblComponetiMestiere INNER JOIN
		tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
		tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
		tblPgContrattiRifAffidatari INNER JOIN
		tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
		tblPgContrattiRifAffidatariAttivitàEdifici ON 
		tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
		Richieste ON tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = Richieste.IDCommessa AND 
		tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = Richieste.Localizzazione AND tblPgContrattiAffidatari.DataInizio <= Richieste.DataRichiesta AND 
		tblPgContrattiAffidatari.DataFine >= Richieste.DataRichiesta ON tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
		tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere AND tblComponetiMestiere.IdCommessa = Richieste.IDCommessa AND 
		tblComponetiMestiere.IdMestiere = Richieste.IdMestiere
	WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
SQL;
	
	$rs = ntxRecord( ntxQuery($sql) ); 
	$BloccaMsgRicCallCenter = $rs[BloccaMsgRicCallCenter];

	
	if( is_numeric($BloccaMsgRicCallCenter) && is_numeric($TipoGruppoWeb) )
	{
		if( $BloccaMsgRicCallCenter==1 && ( $TipoGruppoWeb==1 || $TipoGruppoWeb==4 ) )
			$BloccaMsgRicCallCenter = true;
	}
	
}
?>
