<?php 
 
$sql = <<< sql
SELECT     
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ditte.Ditta, Ordini.DescrizioneIntervento AS des1, Ordini.DescrizioneIntervento1 AS des2, 
	Ordini.DescrizioneIntervento2 AS des2, Ordini.NumRichiesta, Ordini.AnnoRichiesta, ElencoEdifici.Codice, Ordini.Intervento, Ordini.DataFine, Ordini.ModalitàAgg, Ordini.Note
	, Ordini.NoteAnnullamento, Ordini.UtenteAnnullamento, Ordini.DataAnnullamento				  
FROM         
	ElencoEdifici INNER JOIN
	Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio 
	LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta 
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
	LEFT OUTER JOIN
	tblMestieri ON tblMestieri.IdCommessa = Ordini.IDCommessa AND tblMestieri.IdMestiere = Ordini.IdMestiere 		  
					  
WHERE     
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine) 
	AND (Ordini.AnnoOrdine = N'$AnnoOrdine')
sql;
 
 
$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{
	$rs[DataAnnullamento] = ntxDateTime($rs[DataAnnullamento]);
	
	/*$messaggio = <<< messaggio
	E' stato annullato l'ordine $NumOrdine / $AnnoOrdine. 
	Richiesta: $rs[NumRichiesta]/$rs[AnnoRichiesta] 
	Data di annullamento: $rs[DataAnnullamento]
	Utente annullamento: $rs[UtenteAnnullamento]
	Note di annullamento: $rs[NoteAnnullamento]
	
	Servizio: $rs[Mestiere]
	Localizzazione: $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]
messaggio;*/
	$messaggio =
	$traduttore->traduci('E\' stato annullato l\'ordine')." $NumOrdine / $AnnoOrdine. 
	".$traduttore->traduci('Richiesta').": $rs[NumRichiesta]/$rs[AnnoRichiesta] 
	".$traduttore->traduci('Data di annullamento').": $rs[DataAnnullamento]
	".$traduttore->traduci('Utente annullamento').": $rs[UtenteAnnullamento]
	".$traduttore->traduci('Note di annullamento').": $rs[NoteAnnullamento]
	
	".$traduttore->traduci('Servizio').": $rs[Mestiere]
	".$traduttore->traduci('Localizzazione').": $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]"
;
}
?>