<?php

$sql = <<< sql
	SELECT     Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, 
						  tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA
                      , Richieste.Localizzazione AS IdEdificio, Richieste.Note, Richieste.NoteAnnullamento, Richieste.UtenteAnnullamento, Richieste.DataAnnullamento
	FROM         Richieste INNER JOIN
						  ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID LEFT OUTER JOIN
						  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
						  tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere
	WHERE     (Richieste.IDCommessa = $IdCommessa) 
		AND (Richieste.NumRichiesta = $NumRichiesta) 
		AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;
 
$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{
	$rs[DataAnnullamento] = ntxDateTime($rs[DataAnnullamento]);
	
	/*$messaggio = <<< messaggio
	E' stato annullata la richiesta $NumRichiesta / $AnnoRichiesta.  
	Data di annullamento: $rs[DataAnnullamento]
	Utente annullamento: $rs[UtenteAnnullamento]
	Note di annullamento: $rs[NoteAnnullamento]
	
	Richiedente ($rs[Richiedente])
	Servizio: $rs[Mestiere]
	Localizzazione: $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]
messaggio;*/
	$messaggio =
	$traduttore->traduci('E\' stato annullata la richiesta')." $NumRichiesta / $AnnoRichiesta.  
	".$traduttore->traduci('Data di annullamento').": $rs[DataAnnullamento]
	".$traduttore->traduci('Utente annullamento').": $rs[UtenteAnnullamento]
	".$traduttore->traduci('Note di annullamento').": $rs[NoteAnnullamento]
	
	".$traduttore->traduci('Richiedente')." ($rs[Richiedente])
	".$traduttore->traduci('Servizio').": $rs[Mestiere]
	".$traduttore->traduci('Localizzazione').": $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]"
;

}
	
?>
