<?php 
if(strlen($_POST[IdNfcEdifici])) 
	$_POST[IdNfc]=$_POST[IdNfcEdifici];	
	
	
$UidNFC = ntxsp('UidNFC');
$IdNfc = ntxip('IdNfc');
$datoNfc = $_POST[datoNfc];

$dataNow = ntxDateTime(ntxScalar("SELECT getdate()"));


//informazioni attuali
$messaggio = <<< _MSG
E' stato sovrascritto il chip NFC <strong>$_POST[UidNFC]</strong> dall'utente <strong>$_SESSION[Utente]</strong> in data $dataNow. 
<br><br> 
Attualmente sul chip NFC è presente il dato <strong>$datoNfc</strong>.
<br>
_MSG;

 
$sql = <<< sql
SELECT  DISTINCT  
	tblPgPropietari.IdPropietario
	,tblPgPropietari.Nome AS Cliente

	,tblPgContratti.IdPgContratto
	,tblPgContratti.Descrizione AS Contratto
	,tblPgContratti.DataInizio
	,tblPgContratti.DataFine
	,tblPgContratti.Aperto
	,CASE 
		WHEN (tblPgContratti.DataFine<getdate())
			THEN ' - Attenzione contratto scaduto: '+tblPgContratti.MessaggioSeScaduto 
		WHEN (tblPgContratti.DataInizio>=getdate())
			THEN ' - Attenzione contratto non inziato '
		ELSE
			''
	END Coda 
	,CASE
		WHEN (tblPgContratti.DataFine<getdate())
			THEN 1
		ELSE 0
	END AS ContrattoScaduto  
	,CASE
		WHEN (tblPgContratti.DataInizio>=getdate())
			THEN 1
		ELSE 0
	END AS ContrattoNonIniziato 

	,ElencoEdifici.IdCommessa
	,ElencoEdifici.ID AS IdEdificio
	,ElencoEdifici.EdificioBreve AS Edificio
	,ElencoEdifici.Indirizzo  
	,ElencoEdifici.CITTA AS Citta  
	,ElencoEdifici.Località	
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	EdificioDismesso  
	,ElencoEdifici.NumTagNFC AS NumTaggatureNfc
	,(
		SELECT COUNT(ID)
		FROM         
			NfcEdifici
		WHERE  
			NfcEdifici.IdCommessa=ElencoEdifici.IdCommessa
			AND NfcEdifici.IdEdificio=ElencoEdifici.ID
			AND NfcEdifici.Attivo=1
	)
	AS NumTaggatureNfcCorrenti 
	,(
		ElencoEdifici.NumTagNFC 
		- 
		(
		SELECT COUNT(ID)
		FROM         
			NfcEdifici
		WHERE  
			NfcEdifici.IdCommessa=ElencoEdifici.IdCommessa
			AND NfcEdifici.IdEdificio=ElencoEdifici.ID
			AND NfcEdifici.Attivo=1
		)
	)
	AS NumTaggatureNfcDisponibili	
	
FROM         
	tblPgContrattiPropietariGestoriAttivitàEdifici 
	INNER JOIN
	tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto 
	INNER JOIN
	tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
	INNER JOIN
	ElencoEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID  
	INNER JOIN
	NfcEdifici ON ElencoEdifici.IdCommessa = NfcEdifici.IdCommessa AND ElencoEdifici.ID = NfcEdifici.IdEdificio
WHERE
	NfcEdifici.UidNFC = $UidNFC 
	AND NfcEdifici.Attivo=1
	AND NfcEdifici.ID = $IdNfc
sql;

$query = ntxQuery($sql);

while($rs1=ntxRecord($query))
{ 
	$messaggio .= <<< _MSG
	<br>Cliente: $rs1[Cliente]
	<br>Contratto: $rs1[Contratto]
	<br><strong>Localizzazione: $rs1[Edificio] </strong>
_MSG;
}
 
 
$sql = <<< sql
SELECT  DISTINCT  
	tblPgPropietari.IdPropietario
	,tblPgPropietari.Nome AS Cliente

	,tblPgContratti.IdPgContratto
	,tblPgContratti.Descrizione AS Contratto
	,tblPgContratti.DataInizio
	,tblPgContratti.DataFine
	,tblPgContratti.Aperto
	,CASE 
		WHEN (tblPgContratti.DataFine<getdate())
			THEN ' - Attenzione contratto scaduto: '+tblPgContratti.MessaggioSeScaduto 
		WHEN (tblPgContratti.DataInizio>=getdate())
			THEN ' - Attenzione contratto non inziato '
		ELSE
			''
	END Coda 
	,CASE
		WHEN (tblPgContratti.DataFine<getdate())
			THEN 1
		ELSE 0
	END AS ContrattoScaduto  
	,CASE
		WHEN (tblPgContratti.DataInizio>=getdate())
			THEN 1
		ELSE 0
	END AS ContrattoNonIniziato 

	,ElencoEdifici.IdCommessa
	,ElencoEdifici.ID AS IdEdificio
	,ElencoEdifici.EdificioBreve AS Edificio
	,ElencoEdifici.Indirizzo  
	,ElencoEdifici.CITTA AS Citta  
	,ElencoEdifici.Località	
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	EdificioDismesso  
	
	,PianoLivello.idPiano   
	,DestinazioniDusoLivello.Destinazione AS DestinazionePiano
	
	,Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente
	,DestinazioniDuso.Destinazione AS DestinazioneAmbiente
	
	,ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceComponente, ComponentiAmbiente.DesComponente, ComponentiAmbiente.TagNFC
	,TipoComponente.DesComponente AS TipoComponente 
	
	,(
		SELECT COUNT(ID)
		FROM         
			NfcComponentiAmbiente
		WHERE  
			NfcComponentiAmbiente.IdCommessa=ElencoEdifici.IdCommessa
			AND NfcComponentiAmbiente.IdEdificio=ElencoEdifici.ID
			AND NfcComponentiAmbiente.IdComponente=ComponentiAmbiente.IdComponente
			AND NfcComponentiAmbiente.Attivo=1
	)
	AS NumTaggatureNfc
	
FROM         
	tblPgContrattiPropietariGestoriAttivitàEdifici 
	INNER JOIN
	tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto 
	INNER JOIN
	tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
	INNER JOIN
	ElencoEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID   
	
	INNER JOIN
	PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa
	
	INNER JOIN
	Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND PianoLivello.idPiano = Ambiente.IdLivello
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	
	INNER JOIN
	ComponentiAmbiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente 
	INNER JOIN 
	TipoComponente ON ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente AND ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa	
	
	
	INNER JOIN
	NfcComponentiAmbiente ON ComponentiAmbiente.IdCommessa = NfcComponentiAmbiente.IdCommessa AND 
	ComponentiAmbiente.IdEdificio = NfcComponentiAmbiente.IdEdificio AND ComponentiAmbiente.IDComponente = NfcComponentiAmbiente.IdComponente	
	
WHERE
	NfcComponentiAmbiente.UidNFC = $UidNFC 
	AND NfcComponentiAmbiente.Attivo=1
	AND NfcComponentiAmbiente.ID = $IdNfc
sql;

$query = ntxQuery($sql);

while($rs1=ntxRecord($query))
{ 
	$messaggio .= <<< _MSG
	<br>Cliente: $rs1[Cliente]
	<br>Contratto: $rs1[Contratto]
	<br><strong>Localizzazione: $rs1[Edificio] </strong>
	<br><strong>Piano: $rs1[DestinazionePiano] </strong>
	<br><strong>Ambiente: $rs1[DestinazioneAmbiente] </strong>
	<br><strong>Tipo comp: $rs1[TipoComponente] </strong>
	<br><strong>Desc comp: $rs1[DesComponente] </strong>
_MSG;
}



 
//informazioni precedenti
$messaggio = <<< _MSG
<br><br>
Seguono le informazioni dell'elemento precedentemente associato:
_MSG;

 
 
$sql = <<< sql
SELECT  DISTINCT  
	tblPgPropietari.IdPropietario
	,tblPgPropietari.Nome AS Cliente

	,tblPgContratti.IdPgContratto
	,tblPgContratti.Descrizione AS Contratto
	,tblPgContratti.DataInizio
	,tblPgContratti.DataFine
	,tblPgContratti.Aperto
	,CASE 
		WHEN (tblPgContratti.DataFine<getdate())
			THEN ' - Attenzione contratto scaduto: '+tblPgContratti.MessaggioSeScaduto 
		WHEN (tblPgContratti.DataInizio>=getdate())
			THEN ' - Attenzione contratto non inziato '
		ELSE
			''
	END Coda 
	,CASE
		WHEN (tblPgContratti.DataFine<getdate())
			THEN 1
		ELSE 0
	END AS ContrattoScaduto  
	,CASE
		WHEN (tblPgContratti.DataInizio>=getdate())
			THEN 1
		ELSE 0
	END AS ContrattoNonIniziato 

	,ElencoEdifici.IdCommessa
	,ElencoEdifici.ID AS IdEdificio
	,ElencoEdifici.EdificioBreve AS Edificio
	,ElencoEdifici.Indirizzo  
	,ElencoEdifici.CITTA AS Citta  
	,ElencoEdifici.Località	
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	EdificioDismesso  
	,ElencoEdifici.NumTagNFC AS NumTaggatureNfc
	,(
		SELECT COUNT(ID)
		FROM         
			NfcEdifici
		WHERE  
			NfcEdifici.IdCommessa=ElencoEdifici.IdCommessa
			AND NfcEdifici.IdEdificio=ElencoEdifici.ID
			AND NfcEdifici.Attivo=1
	)
	AS NumTaggatureNfcCorrenti 
	,(
		ElencoEdifici.NumTagNFC 
		- 
		(
		SELECT COUNT(ID)
		FROM         
			NfcEdifici
		WHERE  
			NfcEdifici.IdCommessa=ElencoEdifici.IdCommessa
			AND NfcEdifici.IdEdificio=ElencoEdifici.ID
			AND NfcEdifici.Attivo=1
		)
	)
	AS NumTaggatureNfcDisponibili	
	
FROM         
	tblPgContrattiPropietariGestoriAttivitàEdifici 
	INNER JOIN
	tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto 
	INNER JOIN
	tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
	INNER JOIN
	ElencoEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID  
	INNER JOIN
	NfcEdifici ON ElencoEdifici.IdCommessa = NfcEdifici.IdCommessa AND ElencoEdifici.ID = NfcEdifici.IdEdificio
WHERE
	NfcEdifici.UidNFC = $UidNFC 
	AND NfcEdifici.Attivo=1
	AND NfcEdifici.ID <> $IdNfc
sql;

$query = ntxQuery($sql);

while($rs1=ntxRecord($query))
{ 
	$messaggio .= <<< _MSG
	<br>Cliente: $rs1[Cliente]
	<br>Contratto: $rs1[Contratto]
	<br><strong>Localizzazione: $rs1[Edificio] </strong>
_MSG;
}
 
 
$sql = <<< sql
SELECT  DISTINCT  
	tblPgPropietari.IdPropietario
	,tblPgPropietari.Nome AS Cliente

	,tblPgContratti.IdPgContratto
	,tblPgContratti.Descrizione AS Contratto
	,tblPgContratti.DataInizio
	,tblPgContratti.DataFine
	,tblPgContratti.Aperto
	,CASE 
		WHEN (tblPgContratti.DataFine<getdate())
			THEN ' - Attenzione contratto scaduto: '+tblPgContratti.MessaggioSeScaduto 
		WHEN (tblPgContratti.DataInizio>=getdate())
			THEN ' - Attenzione contratto non inziato '
		ELSE
			''
	END Coda 
	,CASE
		WHEN (tblPgContratti.DataFine<getdate())
			THEN 1
		ELSE 0
	END AS ContrattoScaduto  
	,CASE
		WHEN (tblPgContratti.DataInizio>=getdate())
			THEN 1
		ELSE 0
	END AS ContrattoNonIniziato 

	,ElencoEdifici.IdCommessa
	,ElencoEdifici.ID AS IdEdificio
	,ElencoEdifici.EdificioBreve AS Edificio
	,ElencoEdifici.Indirizzo  
	,ElencoEdifici.CITTA AS Citta  
	,ElencoEdifici.Località	
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	EdificioDismesso  
	
	,PianoLivello.idPiano   
	,DestinazioniDusoLivello.Destinazione AS DestinazionePiano
	
	,Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente
	,DestinazioniDuso.Destinazione AS DestinazioneAmbiente
	
	,ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceComponente, ComponentiAmbiente.DesComponente, ComponentiAmbiente.TagNFC
	,TipoComponente.DesComponente AS TipoComponente 
	
	,(
		SELECT COUNT(ID)
		FROM         
			NfcComponentiAmbiente
		WHERE  
			NfcComponentiAmbiente.IdCommessa=ElencoEdifici.IdCommessa
			AND NfcComponentiAmbiente.IdEdificio=ElencoEdifici.ID
			AND NfcComponentiAmbiente.IdComponente=ComponentiAmbiente.IdComponente
			AND NfcComponentiAmbiente.Attivo=1
	)
	AS NumTaggatureNfc
	
FROM         
	tblPgContrattiPropietariGestoriAttivitàEdifici 
	INNER JOIN
	tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto 
	INNER JOIN
	tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
	INNER JOIN
	ElencoEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID   
	
	INNER JOIN
	PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa
	
	INNER JOIN
	Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND PianoLivello.idPiano = Ambiente.IdLivello
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	
	INNER JOIN
	ComponentiAmbiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente 
	INNER JOIN 
	TipoComponente ON ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente AND ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa	
	
	
	INNER JOIN
	NfcComponentiAmbiente ON ComponentiAmbiente.IdCommessa = NfcComponentiAmbiente.IdCommessa AND 
	ComponentiAmbiente.IdEdificio = NfcComponentiAmbiente.IdEdificio AND ComponentiAmbiente.IDComponente = NfcComponentiAmbiente.IdComponente	
	
WHERE
	NfcComponentiAmbiente.UidNFC = $UidNFC 
	AND NfcComponentiAmbiente.Attivo=1
	AND NfcComponentiAmbiente.ID <> $IdNfc
sql;

$query = ntxQuery($sql);

while($rs1=ntxRecord($query))
{ 
	$messaggio .= <<< _MSG
	<br>Cliente: $rs1[Cliente]
	<br>Contratto: $rs1[Contratto]
	<br><strong>Localizzazione: $rs1[Edificio] </strong>
	<br><strong>Piano: $rs1[DestinazionePiano] </strong>
	<br><strong>Ambiente: $rs1[DestinazioneAmbiente] </strong>
	<br><strong>Tipo comp: $rs1[TipoComponente] </strong>
	<br><strong>Desc comp: $rs1[DesComponente] </strong>
_MSG;
}


?>
