<?php
$sql = <<< sql
SELECT DISTINCT 
	tblPgRifAffidatari.email_1, tblPgRifAffidatari.telefono_1, tblPgRifAffidatari.EmailPerOrdine, tblPgRifAffidatari.SmsPerOrdine, tblPgRifAffidatari.AllegatoOrdine
FROM         
	tblComponetiMestiere INNER JOIN
	tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
	tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
	tblPgContrattiRifAffidatari INNER JOIN
	tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
	tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario INNER JOIN
	tblPgContrattiRifAffidatariAttivitàEdifici ON 
	tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario ON 
	tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
	tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
	Ordini ON tblComponetiMestiere.IdCommessa = Ordini.IDCommessa AND tblComponetiMestiere.IdMestiere = Ordini.IdMestiere AND 
	tblPgContrattiAffidatari.DataInizio <= Ordini.DataOrdine AND tblPgContrattiAffidatari.DataFine >= Ordini.DataOrdine AND 
	tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = Ordini.IDCommessa AND tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = Ordini.CodEdificio
	LEFT OUTER JOIN
	Reclami ON Reclami.IDCommessa = Ordini.IDCommessa AND Reclami.NumOrdine = Ordini.NumOrdine AND  Reclami.AnnoOrdine = Ordini.AnnoOrdine	
WHERE     
	Reclami.ID = $IdReclamo	
	AND (Ordini.IdAffidatario IS NULL OR Ordini.IdAffidatario = tblPgRifAffidatari.IdAffidatario) 
sql;

$query = ntxQuery($sql);

$trovatAffidatario = false;

while( $rs = ntxRecord($query) )
{ 
	if ( $rs[email_1].'' != '' )
		$emails_aff[] = $rs[email_1]; 
	
	$trovatAffidatario = true;
}
	
if ( !$trovatAffidatario )
{
	$sql = <<< sql
	SELECT DISTINCT tblPgRifAffidatari.email_1, tblPgRifAffidatari.telefono_1, tblPgRifAffidatari.EmailPerOrdine, tblPgRifAffidatari.SmsPerOrdine, tblPgRifAffidatari.AllegatoOrdine
	FROM         
		Ordini 
		INNER JOIN
		tblPgRifAffidatari ON Ordini.IdAffidatario = tblPgRifAffidatari.IdAffidatario
		LEFT OUTER JOIN
		Reclami ON Reclami.IDCommessa = Ordini.IDCommessa AND Reclami.NumOrdine = Ordini.NumOrdine AND  Reclami.AnnoOrdine = Ordini.AnnoOrdine		
	WHERE     
		(tblPgRifAffidatari.VistaFuoriContratto = 1)
		Reclami.ID = $IdReclamo	 
sql;

	$query = ntxQuery($sql);

	while( $rs = ntxRecord($query) )
	{
		if ( $rs[email_1].'' != '' )
			$emails_aff[] = $rs[email_1];  
	}
}
?>