<?php

if ( is_numeric($IdCommessa) && is_numeric($Localizzazione) && is_numeric($IdFornitore) )
{
	$sql = <<< SQL
			SELECT     count(*)
			FROM         Risorse INNER JOIN
								  RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa
			WHERE     (Risorse.CodDitta = $IdFornitore) AND (Risorse.ruolo = 'MAILORDINI') AND (Risorse.Dismesso IS NULL OR
								  Risorse.Dismesso = 0) AND (RisorseEdifici.IdCommessa = $IdCommessa) AND (RisorseEdifici.IdEdificio = $Localizzazione)
				AND (Risorse.email <> '') 
				AND (Risorse.email IS NOT NULL)
				AND Risorse.ID<>$IdRisorsa
SQL;

	$countRisorseEdifici = ntxScalar($sql);
	
	if ( $countRisorseEdifici==0 )
	{
		$sql = <<< SQL
			SELECT     email
			FROM         Risorse
			WHERE     (CodDitta = $IdFornitore) AND (ruolo = 'REPERIBILE') AND (Dismesso IS NULL OR Dismesso = 0)		
					AND (Risorse.email <> '') 
					AND (Risorse.email IS NOT NULL)
				AND Risorse.ID<>$IdRisorsa
SQL;
	}
	else
	{
		$sql = <<< SQL
				SELECT     Risorse.email
				FROM         Risorse INNER JOIN
				                      RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa
				WHERE     (Risorse.CodDitta = $IdFornitore) AND (Risorse.ruolo = 'REPERIBILE') AND (Risorse.Dismesso IS NULL OR
				                      Risorse.Dismesso = 0) AND (RisorseEdifici.IdCommessa = $IdCommessa) AND (RisorseEdifici.IdEdificio = $Localizzazione)
					AND (Risorse.email <> '') 
					AND (Risorse.email IS NOT NULL)
				AND Risorse.ID<>$IdRisorsa
SQL;
	}

	if ( !$NonBloccaMsgRisorse )
	{
		$sql .= " AND (Risorse.BloccaEmail IS NULL OR Risorse.BloccaEmail = 0)";
	}

	$query = ntxQuery($sql);
	
	while( $rs = ntxRecord($query) )
	{
		$emails[] = $rs[email];
	}
}
?>
