<?php
$sql = <<<_SQL
SELECT  httpCustomerRichiedente
FROM	Commesse
WHERE     
	IDCommessa = $IdCommessa 
_SQL;
$rs = ntxRecord(ntxQuery($sql));
$httpCustomerRichiedente = $rs[httpCustomerRichiedente];  
 
$sql = <<< SQL
SELECT    
	Ordini.NumRichiesta, Ordini.AnnoRichiesta, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Ordini.Intervento,
	Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Descrizione, Ordini.DataFine,
	
	PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
	Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
	ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente	
	,Ordini.CustomerGiudizio
	,Ordini.CustomerTesto
	,Ordini.CustomerDataCompilazione	
	,Ordini.DataOrdine  		
	,TabellaGradoUrgenza.GradoU, TabellaGradoUrgenza.Descrizione AS GradoUrgenza 	
	
FROM         
	Ordini INNER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
					  
	LEFT OUTER JOIN
	Ambiente ON Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
	Ordini.IDCommessa = Ambiente.IdCommessa 
	LEFT OUTER JOIN
	ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
	Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa 
	LEFT OUTER JOIN
	PianoLivello ON Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
	Ordini.IDCommessa = PianoLivello.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
	PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
	Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
	ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  									  					  
	LEFT OUTER JOIN
	TabellaGradoUrgenza ON Ordini.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Ordini.GradoUrgenza = TabellaGradoUrgenza.GradoU	

WHERE     
	(Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$query = ntxQuery($sql);

if ( $rs = ntxRecord($query) )
{ 

	$DataFine = ntxDateTime($rs[DataFine]);
	$DataOrdine = ntxDateTime($rs[DataOrdine]); 
	
	/*$messaggio = <<< messaggio
E' stato richiesto di esprimere un giudizio sull'ordine $rs[NumOrdine]/$rs[AnnoOrdine] riguardante la richiesta  $rs[NumRichiesta]/$rs[AnnoRichiesta] .

Per rispondere al questionario aprire il seguente link: 
$httpCustomerRichiedente?NumOrdine=$NumOrdine&AnnoOrdine=$AnnoOrdine&IdCommessa=$IdCommessa

Segue un riepilogo dei dati dell'ordine:	 
RICHIESTA: $NumOrdine / $AnnoOrdine   
DATA E ORA RICHIESTA: $DataOrdine 
LOCALIZZAZIONE: $rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] - $rs[Ente]
PIANO: $rs[CodiceAssLivello] $rs[UsoPianoLivello]
AMBIENTE: $rs[CodiceAssAmbiente]  $rs[UsoAmbiente]
DATA FINE: $DataFine
DESCRIZIONE:  $rs[Descrizione]  
LIVELLO DI PRIORITA': $rs[GradoU] $rs[GradoUrgenza]		

messaggio;*/
	
	$messaggio =
$traduttore->traduci('E\' stato richiesto di esprimere un giudizio sull\'ordine')." $rs[NumOrdine]/$rs[AnnoOrdine] ".$traduttore->traduci('riguardante la richiesta')." $rs[NumRichiesta]/$rs[AnnoRichiesta] .

".$traduttore->traduci('Per rispondere al questionario aprire il seguente link').": 
$httpCustomerRichiedente?NumOrdine=$NumOrdine&AnnoOrdine=$AnnoOrdine&IdCommessa=$IdCommessa

".$traduttore->traduci('Segue un riepilogo dei dati dell\'ordine').":	 
".$traduttore->traduci('RICHIESTA').": $NumOrdine / $AnnoOrdine   
".$traduttore->traduci('DATA E ORA RICHIESTA').": $DataOrdine 
".$traduttore->traduci('LOCALIZZAZIONE').": $rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] - $rs[Ente]
".$traduttore->traduci('PIANO').": $rs[CodiceAssLivello] $rs[UsoPianoLivello]
".$traduttore->traduci('AMBIENTE').": $rs[CodiceAssAmbiente]  $rs[UsoAmbiente]
".$traduttore->traduci('DATA FINE').": $DataFine
".$traduttore->traduci('DESCRIZIONE').":  $rs[Descrizione]  
".$traduttore->traduci('LIVELLO DI PRIORITA\'').": $rs[GradoU] $rs[GradoUrgenza]"		

;
}

?>
