<?php
/*$sql = <<< SQL
	SELECT     Richieste.NumOrdineFonte, Richieste.AnnoOrdineFonte
	FROM         Richieste INNER JOIN
				  Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
				  Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$query = ntxQuery($sql);

$rs = ntxIRecord($query);

if ( isset($rs[0]) )
{	
	$rs[0] = (int)$rs[0];
	$subMessaggio = "(emesso per autorizzazione extra dell'ordine precedente $rs[0]/$rs[1])";
}

$sql = <<< SQL
	SELECT    
		ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
		Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Descrizione, Ordini.DataScadenza,
		
		PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
		Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
		ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente	
		
	FROM         
		Ordini INNER JOIN
		ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
		tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
						  
		LEFT OUTER JOIN
		Ambiente ON Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
		Ordini.IDCommessa = Ambiente.IdCommessa 
		LEFT OUTER JOIN
		ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
		Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa 
		LEFT OUTER JOIN
		PianoLivello ON Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
		Ordini.IDCommessa = PianoLivello.IdCommessa 
		LEFT OUTER JOIN
		DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
		PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
		LEFT OUTER JOIN
		DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
		Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
		LEFT OUTER JOIN
		TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
		ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  									  					  
						  
	WHERE     
		(Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$query = ntxQuery($sql);

$rs = ntxIRecord($query);

$objExt = "";
if( "".$rs[6]!="" || "".$rs[7]!="")
	$objExt .= " Piano: ".$rs[6]." - ".$rs[7]." ;";	

if( "".$rs[8]!="" || "".$rs[9]!="")
	$objExt .= " Ambiente: ".$rs[8]." - ".$rs[9]." ;";	

if( "".$rs[10]!="" || "".$rs[11]!="")
	$objExt .= " Componente: ".$rs[10]." - ".$rs[11]." ";		

$rs[5] = ntxDateTime($rs[5]);


$messaggio = "Ordine $NumOrdine/$AnnoOrdine $subMessaggio \"{$rs[0]}-{$rs[1]}\" \"{$rs[2]}\" \"{$rs[3]}\" \"{$rs[4]}\" \"{$rs[5]}\" . $objExt.";*/


$sql = <<< sql
SELECT     
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ditte.Ditta, Ordini.DescrizioneIntervento AS des1, Ordini.DescrizioneIntervento1 AS des2, Ordini.DescrizioneIntervento2 AS des3,
	
	PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
	Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
	ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente 

	,Ordini.DataOrdine, 
	Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Operatore, Richieste.Richiedente, Richieste.TelefonoRif,
	TabellaGradoUrgenza.GradoU, TabellaGradoUrgenza.Descrizione	AS GradoUrgenza 
FROM         
	ElencoEdifici INNER JOIN
	Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
	tblMestieri ON tblMestieri.IdCommessa = Ordini.IDCommessa AND tblMestieri.IdMestiere = Ordini.IdMestiere

	LEFT OUTER JOIN
	Ambiente ON Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
	Ordini.IDCommessa = Ambiente.IdCommessa 
	LEFT OUTER JOIN
	ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
	Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa 
	LEFT OUTER JOIN
	PianoLivello ON Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
	Ordini.IDCommessa = PianoLivello.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
	PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
	Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
	ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  
	LEFT OUTER JOIN 
	Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND  Ordini.IDCommessa = Richieste.IDCommessa
	LEFT OUTER JOIN
	TabellaGradoUrgenza ON Ordini.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Ordini.GradoUrgenza = TabellaGradoUrgenza.GradoU	

	
WHERE     
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine) 
	AND (Ordini.AnnoOrdine = N'$AnnoOrdine')
sql;

$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];

	$objExt = "";
	
	if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
	{
		$objExt .= $traduttore->traduci('Piano').": ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
	}
	
	if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
	{
		$objExt .= $traduttore->traduci('Ambiente').": ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	
	}

	if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
	{
		$objExt .= $traduttore->traduci('Componente').": ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";	
	}
	
	/*$messaggio = <<< messaggio
	E' stato assegnato l'ordine di intervento $rs[NumOrdine]/$rs[AnnoOrdine] generato dalla richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta] alla squadra '$rs[Ditta]'. Il richiedente '$rs[Richiedente]' ha richiesto: '{$rs[des1]}{$rs[des2]}{$rs[des3]}' nell'ambito del servizio '$rs[Mestiere]'  localizzato in $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]. $objExt .
messaggio;*/
	
	$messaggio =
	$traduttore->traduci('E\' stato assegnato l\'ordine di intervento')." $rs[NumOrdine]/$rs[AnnoOrdine] ".$traduttore->traduci('generato dalla richiesta')." $rs[NumRichiesta]/$rs[AnnoRichiesta] ".$traduttore->traduci('alla squadra')." '$rs[Ditta]'. ".$traduttore->traduci('Il richiedente')." '$rs[Richiedente]' ".$traduttore->traduci('ha richiesto').": '{$rs[des1]}{$rs[des2]}{$rs[des3]}' ".$traduttore->traduci('nell\'ambito del servizio')." '$rs[Mestiere]' ".$traduttore->traduci('localizzato in')." $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]. $objExt ."
;


	$DataOrdine = ntxDateTime($rs[DataOrdine]);
	if( $_POST[seneca]==1 || $_POST[seneca2]==1 )
	{
		/*$messaggio = <<< messaggio
RICHIESTA: $NumOrdine / $AnnoOrdine  inserita da "$rs[Operatore]"
DATA E ORA RICHIESTA: $DataOrdine 
LOCALIZZAZIONE: $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]
PIANO: $rs[CodiceAssLivello] $rs[UsoPianoLivello]
AMBIENTE: $rs[CodiceAssAmbiente] 
DESCRIZIONE:  $rs[des1] $rs[des2] $rs[des3] 
LIVELLO DI PRIORITA': $rs[GradoU] $rs[GradoUrgenza]
RICHIEDENTE: $rs[Richiedente]
TEL. RICHIEDENTE:  $rs[TelefonoRif]  
RIF AOUC (rif RdL): $rs[NumRichiesta] / $rs[AnnoRichiesta]
messaggio;*/
		$messaggio =
$traduttore->traduci('RICHIESTA').": $NumOrdine / $AnnoOrdine  inserita da  $rs[Operatore]".
$traduttore->traduci('DATA E ORA RICHIESTA').": $DataOrdine 
".$traduttore->traduci('LOCALIZZAZIONE').": $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]
".$traduttore->traduci('PIANO').": $rs[CodiceAssLivello] $rs[UsoPianoLivello]
".$traduttore->traduci('AMBIENTE').": $rs[CodiceAssAmbiente] 
".$traduttore->traduci('DESCRIZIONE').":  $rs[des1] $rs[des2] $rs[des3] 
".$traduttore->traduci('LIVELLO DI PRIORITA\'').": $rs[GradoU] $rs[GradoUrgenza]
".$traduttore->traduci('RICHIEDENTE').": $rs[Richiedente]
".$traduttore->traduci('TEL. RICHIEDENTE').":  $rs[TelefonoRif]  
".$traduttore->traduci('RIF AOUC (rif RdL)').": $rs[NumRichiesta] / $rs[AnnoRichiesta]"
;
	}
}
?>
