<?php
$sql = <<< sql
SELECT     
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ditte.Ditta, Ordini.DescrizioneIntervento AS des1, Ordini.DescrizioneIntervento1 AS des2, Ordini.DescrizioneIntervento2 AS des2,
	Richieste.Richiedente,
	tblPgAffidatari.Nome AS NomeAffidarario,
	Ordini.NumRichiesta,
	Ordini.AnnoRichiesta

FROM         
	ElencoEdifici INNER JOIN
	Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
	tblMestieri ON tblMestieri.IdCommessa = Ordini.IDCommessa AND tblMestieri.IdMestiere = Ordini.IdMestiere

	LEFT OUTER JOIN 
	Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND  Ordini.IDCommessa = Richieste.IDCommessa	
	LEFT OUTER JOIN 
	tblPgAffidatari ON Ordini.IdAffidatario = tblPgAffidatari.IdAffidatario 
					  			  
WHERE     
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine) 
	AND (Ordini.AnnoOrdine = N'$AnnoOrdine')
sql;

$query = ntxQuery($sql);



$messaggio = "";

if ( $rs = ntxRecord($query) )
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	
	$messaggio = <<< messaggio
	Il tecnico $_SESSION[Utente] della societa' affidataria '$rs[NomeAffidarario]' ha preso in carico la richiesta: $rs[NumRichiesta]/$rs[AnnoRichiesta].
messaggio;
}
?>
