<?php
require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/trova_msg_richiedenti.inc');

$sql = <<< sql
	SELECT DISTINCT
		Richiedenti.IdRichiedente, Richiedenti.cellulare, Richiedenti.email
		
	FROM  
		Richiedenti 
		INNER JOIN
		Richieste ON Richiedenti.IdCommessa = Richieste.IDCommessa AND Richiedenti.IdRichiedente = Richieste.IdRichiedente	
		INNER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa
			
	WHERE     
		Ordini.IDCommessa = $IdCommessa
		AND Ordini.NumOrdine = $NumOrdine
		AND Ordini.AnnoOrdine = $AnnoOrdine
sql;
$query = ntxQuery($sql);

$IdRichiedente = "";

while( $rs = ntxRecord($query) )
{
	$IdRichiedente = $rs[IdRichiedente];

	$invio =  findMsgRichiedenti($IdCommessa, $IdRichiedente, $MODULO); 
	
	$DEFAULT_NUM_MSG = 5;
	
	$sql = "SELECT CustomerRichiedenteCounterInvio FROM Commesse WHERE IdCommessa=$IdCommessa";
	$numInvio = ntxScalar($sql);
	if(is_numeric($numInvio)&&$numInvio>0) $DEFAULT_NUM_MSG = $numInvio;
	 
	if($invio)
	{	
		$sql001 = <<<_SQL
		SELECT ID, counter
		FROM	ContatoreCustomer
		WHERE     
			IDCommessa = $IdCommessa
			AND IdRichiedente = $IdRichiedente 
			AND counter < $DEFAULT_NUM_MSG
			AND valido = 1 
_SQL;
		$rs001 = ntxRecord(ntxQuery($sql001));
		$IdRel = $rs001['ID'];		
		$counter = $rs001['counter'];		
		
		if(is_numeric($IdRel))
		{
			++$counter;
			
			$ContatoreCustomer= new NtxTable("ContatoreCustomer");
			$update= &$ContatoreCustomer->update();

			$update->set("counter", 	$counter); 
			$update->set("valido", 	1); 
			$update->set("DataUltimaModifica", "GETDATE()", true);    
			
			$update->where('ID', $IdRel);
			
			$update->execute();				
		}
		else 
		{ 
			$counter = 1;
			
			$ContatoreCustomer= new NtxTable("ContatoreCustomer");
			$insert= &$ContatoreCustomer->insert();

			$insert->set("IdCommessa", 	$IdCommessa);
			$insert->set("IdRichiedente", 	$IdRichiedente);
			$insert->set("counter", 	$counter);

			$insert->set("DataInserimento", "GETDATE()", true);    
			$insert->set("DataUltimaModifica", "GETDATE()", true);    
			$insert->set("valido", 	1); 			
			
			$insert->execute();				
		}
		
		$sql001 = <<<_SQL
		SELECT ID, counter
		FROM	ContatoreCustomer
		WHERE     
			IDCommessa = $IdCommessa
			AND IdRichiedente = $IdRichiedente 
			AND counter = $DEFAULT_NUM_MSG
			AND valido = 1 
_SQL;
		$rs001 = ntxRecord(ntxQuery($sql001));
		$IdRel = $rs001['ID'];		 			
		
		if( is_numeric($IdRel) )
		{ 
			if ( $rs[email].'' != '' )
				$emails[] = $rs[email]; 
				
			if ( $rs[cellulare].'' != '' )
				$cellulari[] = $rs[cellulare];		
			
			
			$ContatoreCustomer= new NtxTable("ContatoreCustomer");
			$update= &$ContatoreCustomer->update();
 
			$update->set("valido", 	0); 
			$update->set("DataUltimaModifica", "GETDATE()", true);    
			
			$update->where('ID', $IdRel);
			
			$update->execute();		
		}
	}
}
?>
