<?php			
if ( is_numeric($IdCommessa) && is_numeric($NumRichiesta) && is_numeric($AnnoRichiesta) )   
{	
	//trovo il capitolato della richiesta
	$sql = <<< SQL
	SELECT     Localizzazione, IdMestiere, IdComponenteMestiere, IdAttivitàMestiere, DataRichiesta
	FROM       Richieste
	WHERE     
		(IDCommessa = $IdCommessa) 
		AND (NumRichiesta = $NumRichiesta) 
		AND (AnnoRichiesta = $AnnoRichiesta)
SQL;

	$rs = ntxRecord(ntxQuery($sql));

	$IdEdificio 			= $rs[Localizzazione];
	$IdMestiere             = $rs[IdMestiere];
	$IdComponenteMestiere   = $rs[IdComponenteMestiere];
	$IdAttivitàMestiere     = $rs[IdAttivitàMestiere];
	$DataRichiesta = 	ntxt( ntxDateTime($rs[DataRichiesta]) );
	
	
	if ( is_numeric($IdEdificio)  )   
	{
		$sql = <<< SQL
		SELECT  DISTINCT   tblPgContratti.UsaLogicaContrattiTecniciClienti AS logica, tblPgContratti.IdPgContratto
		FROM         tblPgContratti INNER JOIN
							  tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto INNER JOIN
							  tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
							  tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
							  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
							  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
							  tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
		WHERE     
			(tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = $IdEdificio) 
			AND (tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = $IdCommessa) 
			AND   $DataRichiesta BETWEEN  tblPgContratti.DataInizio AND tblPgContratti.DataFine
SQL;

		if ( is_numeric($IdMestiere) )
			$sql.=" AND (tblMestieri.IdMestiere = $IdMestiere)  ";		
		if ( is_numeric($IdComponenteMestiere) )
			$sql.=" AND (tblComponetiMestiere.IdComponenteMestiere = $IdComponenteMestiere)  ";			
		if ( is_numeric($IdAttivitàMestiere) )
			$sql.=" AND (tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere)  ";	
			
			
		$rs = ntxRecord(ntxQuery($sql));

		$UsaLogicaContrattiTecniciClienti  = $rs[logica];
		$IdPgContratto  = $rs[IdPgContratto];  

		if ( is_numeric($UsaLogicaContrattiTecniciClienti) && $UsaLogicaContrattiTecniciClienti==1 && is_numeric($IdPgContratto) ) //se c'è la logica 
		{
			$sql = <<< SQL
			SELECT DISTINCT  Utenti.Email
			FROM        
				ContrattiTecnici INNER JOIN
				ContrattiTecniciAttivitàEdifici ON ContrattiTecnici.IdContrattoTecnico = ContrattiTecniciAttivitàEdifici.IdContrattoTecnico AND 
				ContrattiTecnici.IdCommessa = ContrattiTecniciAttivitàEdifici.IdCommessa INNER JOIN
				tblComponetiMestiere INNER JOIN
				tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
				tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
				tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere ON 
				ContrattiTecniciAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
				ContrattiTecniciAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa INNER JOIN
				Tecnici ON ContrattiTecnici.IdTecnico = Tecnici.IDTec
				INNER JOIN
				UtentiTecnici ON Tecnici.IDTec = UtentiTecnici.IdTecnico 
				INNER JOIN
				Utenti ON UtentiTecnici.IdUtente = Utenti.Id				
			WHERE    
				(ContrattiTecnici.IdPgContratto = $IdPgContratto) 
				AND (ContrattiTecnici.IdCommessa = $IdCommessa) 
				AND   $DataRichiesta BETWEEN  ContrattiTecnici.DataInizio AND ContrattiTecnici.DataFine
				AND ContrattiTecniciAttivitàEdifici.IdEdificio = $IdEdificio
SQL;

			if ( is_numeric($IdMestiere) )
				$sql.=" AND (tblMestieri.IdMestiere = $IdMestiere)  ";		
			if ( is_numeric($IdComponenteMestiere) )
				$sql.=" AND (tblComponetiMestiere.IdComponenteMestiere = $IdComponenteMestiere)  ";			
			if ( is_numeric($IdAttivitàMestiere) )
				$sql.=" AND (tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere)  ";		
		}
		else
		{
			$sql = "SELECT TecnicoC FROM Richieste "
				." WHERE IdCommessa=$IdCommessa "
				." AND NumRichiesta=$NumRichiesta "
				." AND AnnoRichiesta=$AnnoRichiesta";

			$TecnicoC = ntxs(ntxScalar($sql));

			
			$sql = <<< SQL
			SELECT     Utenti.Email
			FROM         Tecnici INNER JOIN
								  UtentiTecnici ON Tecnici.IDTec = UtentiTecnici.IdTecnico INNER JOIN
								  Utenti ON UtentiTecnici.IdUtente = Utenti.Id
			WHERE     (Tecnici.Tecnico = $TecnicoC)
SQL;
		}	
	}	
}  

 
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{
	if (  $rs[Email].'' != '' )
		$emails[] = $rs[Email];
}			



$user = $_SESSION['Utente'];
$oggetto = $messaggio = "Richiesta in attesa valutazione $NumRichiesta/$AnnoRichiesta da $user";
			
if ( isset($emails) )
	foreach($emails AS $email)
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
						"richieste web",				
						"richiesta $NumRichiesta/$AnnoRichiesta",			
						"email",		
						$email,		
						$oggetto,				
						$messaggio,
						true);	
	}
		


		
/*   $sql = "SELECT TecnicoC FROM Richieste "
		." WHERE IdCommessa=$IdCommessa "
		." AND NumRichiesta=$NumRichiesta "
		." AND AnnoRichiesta=$AnnoRichiesta";

$TecnicoC = ntxs(ntxScalar($sql));


$sql = <<< SQL
	SELECT     Utenti.Email
	FROM         Tecnici INNER JOIN
						  UtentiTecnici ON Tecnici.IDTec = UtentiTecnici.IdTecnico INNER JOIN
						  Utenti ON UtentiTecnici.IdUtente = Utenti.Id
	WHERE     (Tecnici.Tecnico = $TecnicoC)
SQL;
		  
$email_destinatario = ntxScalar($sql);
$user = $_SESSION['Utente'];
$oggetto = $messaggio = "Richiesta in attesa valutazione $NumRichiesta/$AnnoRichiesta da $user";
	
ntxFireNetInit($user.'',				
			"richieste web",				
			"richiesta $NumRichiesta/$AnnoRichiesta",			
			"email",		
			$email_destinatario,		
			$oggetto,				
			$messaggio,
			true);	  */
?>
