<?php

session_start();

require_once('../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$cosa = $_POST[cosa];
$num = ntxip('num');
$anno = ntxip('anno');

if ( $cosa=="richiesta" )
{
	$sql = <<< sql
		SELECT     
				RichiesteAmbienti.IdEdificioAmbiente, 
				RichiesteAmbienti.IdAmbiente, 
				RichiesteAmbienti.Descrizione, 
				RichiesteAmbienti.Nota, 
				DestinazioniDuso.Destinazione AS DesUso, 
				DestinazioniDusoLivello.Destinazione AS Piano, 
				Ambiente.CodiceAssAmbiente AS Codice
		FROM         RichiesteAmbienti INNER JOIN
                      Ambiente ON RichiesteAmbienti.IdCommessaAmbiente = Ambiente.IdCommessa AND RichiesteAmbienti.IdEdificioAmbiente = Ambiente.IdEdificio AND 
                      RichiesteAmbienti.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
		WHERE     (IdCommessaAmbiente = $IdCommessa) 
					AND (NumRichiesta = $num) 
					AND (AnnoRichiesta = $anno)
sql;
}
else // ordine
{
	$sql = <<< sql
		SELECT     
				OrdiniAmbienti.IdEdificioAmbiente, 
				OrdiniAmbienti.IdAmbiente, 
				OrdiniAmbienti.Descrizione, 
				OrdiniAmbienti.Nota, 
				DestinazioniDuso.Destinazione AS DesUso, 
				DestinazioniDusoLivello.Destinazione AS Piano, 
				Ambiente.CodiceAssAmbiente AS Codice
		FROM         OrdiniAmbienti INNER JOIN
                      Ambiente ON OrdiniAmbienti.IdCommessaAmbiente = Ambiente.IdCommessa AND OrdiniAmbienti.IdEdificioAmbiente = Ambiente.IdEdificio AND 
                      OrdiniAmbienti.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
		WHERE     (IdCommessaAmbiente = $IdCommessa) 
					AND (NumOrdine = $num) 
					AND (AnnoOrdine = $anno)
sql;
}

$result = array();

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$rs[$k] = $v."";
		
	$result[] = $rs;	
}

jhp($result);

?>
