var g = { cosa: null, num: null, anno: null, tblMy: null, blocco: false };

function reset()
{
	g.cosa = null;
	g.num = null;
	g.anno = null;
	g.blocco = false;
	
	g.tblMy.clear();
}

function caricaRichiesta(num, anno)
{
	setta("richiesta", num, anno);
	carica();
}

function caricaOrdine(num, anno)
{
	setta("ordine", num, anno);
	carica();
}

function memRichiesta(num, anno)
{
	setta("richiesta", num, anno);
	memorizza();
}

function memOrdine(num, anno)
{
	setta("ordine", num, anno);
	memorizza();
}

function setta(cosa, num, anno)
{
	g.cosa = cosa;
	g.num = num;
	g.anno = anno;
	g.blocco = false;
}

function blocca()
{
	g.blocco = true;
	
	var len = g.tblMy.getRowCount();
	var iRow;

	for (iRow=0; iRow<len; ++iRow)
	{
		g.tblMy.getCellByName(iRow, 'Sel').checked = false;
		g.tblMy.getCellByName(iRow, 'Sel').disabled = true;
		
		g.tblMy.getCellByName(iRow, 'Descrizione').readOnly = true;
		g.tblMy.getCellByName(iRow, 'Nota').readOnly = true;
	}
}

function sblocca()
{
	g.blocco = false;
	
	var len = g.tblMy.getRowCount();
	var iRow;

	for (iRow=0; iRow<len; ++iRow)
	{
		g.tblMy.getCellByName(iRow, 'Sel').disabled = false;
		
		g.tblMy.getCellByName(iRow, 'Descrizione').readOnly = false;
		g.tblMy.getCellByName(iRow, 'Nota').readOnly = false;
	}
}

function memorizza()
{
	if ( g.blocco ) return;
	
	var len = g.tblMy.getRowCount();
	var i;
	
	for (i=len-1; i>=0; --i)
	{
		memorizzaRiga(i);
	}
}

window.onload = function()
{
	g.tblMy = new NtxGrid("tblMy");
	//alert("dvgsgfsggahgf");
	g.tblMy.setColSizes([0, 					0, 				30, 					100, 				100, 				200, 				200,					200]);
	g.tblMy.setTitles(	['', 					'', 			messaggi.Seleziona, 	messaggi.Codice	, 	messaggi.Piano, 	messaggi.Destinazione,messaggi.Descrizione,	  messaggi.Nota]);
	g.tblMy.setColNames(['IdEdificioAmbiente', 	'IdAmbiente', 	'Sel',					'Codice', 			'Piano',			'DesUso', 			'Descrizione', 			'Nota']);
	
	g.tblMy.setCellClass(0, 'NtxGridCenterCenter');
}
