function TxtOnBlur()
{
	this.title = this.value;
	
	var rowPos = g.tblMy.getRowIndex(this);
		
	memorizzaRiga(rowPos);
}

function TxtDoubleClick()
{
	if ( this.rows==1 )
		this.rows=8;
	else
		this.rows=1;
}

function CreaTextArea()
{
	var component = document.createElement('textarea');
	
	component.onblur = TxtOnBlur;
	component.ondblclick = TxtDoubleClick;
	
	component.style.width="100%";
	component.rows = 1;
	
	return component;
}

function CreaTextbox()
{
	var component = document.createElement('input');
	
	component.type = 'text';
	
	component.onblur = TxtOnBlur;
	
	component.style.width="100%";
	
	return component;
}

function CreaHidden()
{
	var component = document.createElement('input');
	component.type = 'hidden';
	
	return component;
}

function CreaCheckbox()
{
	var component = document.createElement('input');
	component.type = 'checkbox';
	
	return component;
}

function AggiungiRiga(IdEdificioAmbiente, IdAmbiente)
{
	if ( g.blocco ) return;
	
	var iRow, len = g.tblMy.getRowCount();

	for (iRow=0; iRow<len; ++iRow)
	{
		if ( g.tblMy.getCellByName(iRow, 'IdEdificioAmbiente').value == IdEdificioAmbiente
				 &&  g.tblMy.getCellByName(iRow, 'IdAmbiente').value == IdAmbiente )
			return iRow;
	}
	
	g.tblMy.appendRow();
	
	var iRow = g.tblMy.getRowCount()-1;

	g.tblMy.setCellByName(iRow, 'IdEdificioAmbiente', CreaHidden());
	g.tblMy.setCellByName(iRow, 'IdAmbiente', CreaHidden());
	g.tblMy.setCellByName(iRow, 'Sel', CreaCheckbox());
	g.tblMy.setCellByName(iRow, 'Codic', CreaTextbox());
	g.tblMy.setCellByName(iRow, 'Piano', CreaTextbox());
	g.tblMy.setCellByName(iRow, 'DesUso', CreaTextbox());
	g.tblMy.setCellByName(iRow, 'Descrizione', CreaTextArea());
	g.tblMy.setCellByName(iRow, 'Nota', CreaTextArea());
	
	g.tblMy.getCellByName(iRow, 'IdEdificioAmbiente').value = IdEdificioAmbiente;
	g.tblMy.getCellByName(iRow, 'IdAmbiente').value = IdAmbiente;
	g.tblMy.getCellByName(iRow, 'Codice').readOnly = true;
	g.tblMy.getCellByName(iRow, 'Piano').readOnly = true;
	g.tblMy.getCellByName(iRow, 'DesUso').readOnly = true;
	
	
	var result = jhp("jhp/carica_ambiente.php", 
				{
					IdEdificioAmbiente: IdEdificioAmbiente,
					IdAmbiente: IdAmbiente
				});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var record = result.value;
		
		g.tblMy.getCellByName(iRow, 'Codice').value = record['Codice']+'';
		g.tblMy.getCellByName(iRow, 'Piano').value = record['Piano']+'';
		g.tblMy.getCellByName(iRow, 'DesUso').value = record['DesUso']+'';
	}
	
	return iRow;
}

function selectAll(value)
{
	var i, len = g.tblMy.getRowCount();
	
	var iCol = g.tblMy.getIndexColName('Sel');
	
	for (i=0; i<len; ++i)
	{
		var chk = g.tblMy.getCell(i,iCol);

		if ( chk.type  &&  chk.type=="checkbox" )
			chk.checked = value;
	}
}

function deleteSelected()
{
	if ( g.blocco ) return;
	
	var i = g.tblMy.getRowCount()-1;
	
	var iCol = g.tblMy.getIndexColName('Sel');
	
	for (; i>=0; --i)
	{
		var chk = g.tblMy.getCell(i,iCol);

		if ( chk.type  &&  chk.type=="checkbox"  &&  chk.checked )
		{
			elimina(i);
			g.tblMy.deleteRow(i);
		}
	}
}

function copiaInTabella(frameDest)
{
	frameDest.reset();
	
	var len = g.tblMy.getRowCount();
	var i;
	
	for ( i=0; i<len; ++i )
	{
		frameDest.AggiungiRiga(g.tblMy.getCellByName(i, 'IdEdificioAmbiente').value, g.tblMy.getCellByName(i, 'IdAmbiente').value);

		frameDest.g.tblMy.getCellByName(i, 'Codice').value = 		g.tblMy.getCellByName(i, 'Codice').value;
		frameDest.g.tblMy.getCellByName(i, 'Piano').value = 		g.tblMy.getCellByName(i, 'Piano').value;
		frameDest.g.tblMy.getCellByName(i, 'DesUso').value = 		g.tblMy.getCellByName(i, 'DesUso').value;
		frameDest.g.tblMy.getCellByName(i, 'Descrizione').value = 	g.tblMy.getCellByName(i, 'Descrizione').value;
		frameDest.g.tblMy.getCellByName(i, 'Nota').value = 			g.tblMy.getCellByName(i, 'Nota').value;             
	}
}
