function LaunchOnRowSelected()
{
	var id = this.cells[g.tblMy.getIndexColName("Id")].childNodes[0].value;

	if ( !isNumber(id) )
		return;

	frmBigFoto.cosa.value=g.cosa;
	frmBigFoto.Id.value=id;

	var imgFoto = document.getElementById("imgFoto");

	imgFoto.src = "bit.bmp";
	imgFoto.src = "get_foto.php?cosa="+g.cosa+"&Id="+id;
}

function funcDownload()
{
	var iRow = g.tblMy.getRowIndex(this);
	
	var id = g.tblMy.body.rows[iRow].cells[g.tblMy.getIndexColName("Id")].childNodes[0].value;

	if ( !isNumber(id) )
	{
		alert("riga ancora non memorizzata: selezionare punto intervento e aggiungere descrizione!");
		return;
	}

	frmDownload.cosa.value=g.cosa;
	frmDownload.Id.value=id;
	
	frmDownload.submit();
}

function funcUpload()
{
	var iRow = g.tblMy.getRowIndex(this);
	
	gIrow = iRow;
	
	var id = g.tblMy.body.rows[iRow].cells[g.tblMy.getIndexColName("Id")].childNodes[0].value;

	if ( !isNumber(id) )
	{
		alert("riga ancora non memorizzata: selezionare punto intervento e aggiungere descrizione!");
		return;
	}
	
	frmUpload.cosa.value=g.cosa;
	frmUpload.Id.value=id;
	
	if(confirm("Upload?"))
		frmUpload.submit();
}

var gIrow;

function spuntaCaricato()
{
	g.tblMy.getCellByName(gIrow, 'Caricato').checked = true;
}

function TxtOnBlur()
{
	this.title = this.value;
	
	var rowPos = g.tblMy.getRowIndex(this);
		
	memorizzaRiga(rowPos);
}

function TxtDoubleClick()
{
	if ( this.rows==1 )
		this.rows=8;
	else
		this.rows=1;
}

function CreaTextArea()
{
	var component = document.createElement('textarea');
	
	component.onblur = TxtOnBlur;
	component.ondblclick = TxtDoubleClick;
	
	component.style.width="100%";
	component.rows = 1;
	
	return component;
}

function CreaTextbox()
{
	var component = document.createElement('input');
	
	component.type = 'text';
	
	component.onblur = TxtOnBlur;
	
	component.style.width="100%";
	
	return component;
}

function CreaButton(text, onclick)
{
	var component = document.createElement('input');
	
	component.type = 'button';
	component.value = text;
	component.onclick = onclick;
	
	component.style.width="100%";
	
	return component;
}

function CreaHiddenbox()
{
	var component = document.createElement('input');
	
	component.type = 'hidden';
	
	return component;
}


function AggiungiRiga()
{
	if ( g.blocco ) return;
	
	var checkbox = document.createElement('input');
	checkbox.type = 'checkbox';

	var checkbox2 = document.createElement('input');
	checkbox2.type = 'checkbox';
	checkbox2.disabled = true;

	var hidden = document.createElement('input');
	hidden.type = 'hidden';

	g.tblMy.appendRow();
	
	var iRow = g.tblMy.getRowCount()-1;
	
	g.tblMy.setCellByName(iRow, 'Id', hidden);
	
	g.tblMy.setCellByName(iRow, 'Sel', checkbox);
	
	var c;
	
	g.tblMy.setCellByName(iRow, 'Descrizione', CreaTextArea());
	g.tblMy.setCellByName(iRow, 'Caricato', checkbox2);
	g.tblMy.setCellByName(iRow, 'Download', CreaButton('Download', funcDownload));
	g.tblMy.setCellByName(iRow, 'Upload', CreaButton('Upload', funcUpload));
	
	g.tblMy.body.rows[iRow].onclick = LaunchOnRowSelected;
	
	return iRow;
}

function selectAll(value)
{
	var i, len = g.tblMy.getRowCount();
	
	var iCol = g.tblMy.getIndexColName('Sel');
	
	for (i=0; i<len; ++i)
	{
		var chk = g.tblMy.getCell(i,iCol);

		if ( chk.type  &&  chk.type=="checkbox" )
			chk.checked = value;
	}
}

function deleteSelected()
{
	if ( g.blocco ) return;
	
	var i = g.tblMy.getRowCount()-1;
	
	var iCol = g.tblMy.getIndexColName('Sel');
	
	for (; i>=0; --i)
	{
		var chk = g.tblMy.getCell(i,iCol);

		if ( chk.type  &&  chk.type=="checkbox"  &&  chk.checked )
		{
			elimina(i);
			g.tblMy.deleteRow(i);
		}
	}
}
