function clear()
{
	ctx.clearRect();
}

function setBackColor(color) 
{ 
	body.style.backgroundColor = color; 
}

function setForeColor(color) 
{ 
	foreColor = color; 
}

function setImage(path)
{
	body.style.backgroundImage = "url("+path+")";
}

function unsetImage()
{
	body.style.backgroundImage = "none";
}

function line(x1, y1, x2, y2)
{
	ctx.strokeStyle = foreColor;
	
	ctx.lineWidth = 2;
	
	ctx.beginPath();
	
	ctx.moveTo(x1, y1);
	ctx.lineTo(x, y);
	
	ctx.stroke();	
}

function rect(x1, y1, x2, y2)
{
	var x = Math.min(x1, x2);
	var y = Math.min(y1, y2);
	
	var dx = Math.abs(x2-x1);
	var dy = Math.abs(y2-y1);
	
	ctx.lineWidth = 2;
	
	ctx.strokeStyle = foreColor;
	
	ctx.strokeRect(x, y, dx, dy);
}

