<?php
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$trad000_000_053 = new NtxTraduttore("000_000_053", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$trad000_000_053 = new NtxCreaTraduzione("000_000_053", "IT", __FILE__);

/*

	$ntxPagedCurr, $ntxPagedRowsPerPage, $ntxPagedNumberOfPages, $ntxPagedAction sono nomi da usare per paginazione
	
	function ntxPagedPrintNavigation() 	genera tasti navigazione (può essere usata più volte)
	
	function ntxPagedPrintBody() 		genera form e codice per navigazione (va usata una sola volta)
	
	function ntxPagedQuery($sql, $order) 		genera query paginata ha bisogno di una select non ordinata 
									da usare come subselect in clausula FROM

*/

function ntxPagedQuery($sql, $order)
{
	global $_POST, $ntxPagedCurr, $ntxPagedRowsPerPage, $ntxPagedNumberOfPages;

	$ntxPagedRowsPerPage = $_POST[ntxPagedRowsPerPage];

	if ( !is_numeric($ntxPagedRowsPerPage) || $ntxPagedRowsPerPage == 0 ) $ntxPagedRowsPerPage = 10;

	$sqlCount = "SELECT count(*) FROM ($sql) a";

	$numeroDiRighe = ntxScalar($sqlCount);

	if ( !is_numeric($numeroDiRighe) || $numeroDiRighe == 0 )
	{
		$ntxPagedCurr = $ntxPagedNumberOfPages = 0;
	}
	else
	{
		$ntxPagedNumberOfPages = (int)($numeroDiRighe / $ntxPagedRowsPerPage) + 1;

		$ntxPagedCurr = $_POST[ntxPagedCurr];
		
		if ( !is_numeric($ntxPagedCurr) || $ntxPagedCurr == 0 ) $ntxPagedCurr = 1;

		switch($_POST[ntxPagedAction])
		{
			case 0:
				$ntxPagedCurr = 1;
				break;
			case 1:
				$ntxPagedCurr -= 1;
				break;
			case 2:
				$ntxPagedCurr += 1;
				break;
			case 3:
				$ntxPagedCurr = $ntxPagedNumberOfPages;
				break;
		}
		
		if ( $ntxPagedCurr < 1 ) $ntxPagedCurr = 1;
		if ( $ntxPagedCurr > $ntxPagedNumberOfPages ) $ntxPagedCurr = $ntxPagedNumberOfPages;

		$primaRiga = ($ntxPagedCurr-1) * $ntxPagedRowsPerPage + 1;
		$ultimaRiga = $primaRiga + $ntxPagedRowsPerPage - 1;

		$sqlPage = "SELECT * FROM (SELECT ROW_NUMBER()OVER(ORDER BY $order) indiceRigaPaginazione, * FROM ($sql) a) b";
		$sqlPage .= " WHERE indiceRigaPaginazione BETWEEN $primaRiga AND $ultimaRiga";

		return ntxQuery($sqlPage);
	}
	
	return null;
}

function ntxPagedPrintBody()
{
	global $_POST, $ntxPagedCurr, $ntxPagedRowsPerPage, $ntxPagedNumberOfPages;
	
	echo "<form name=frmPaginazione method=post>\n";
	
	$non_prendere = array("ntxPagedCurr", "ntxPagedRowsPerPage", "ntxPagedAction");
	
	foreach($_POST as $key => $value)
	{
		if(  !in_array($key, $non_prendere) )
		{
			$key = ntxJS($key);
			$value = ntxJS($value);
			
			echo "\t<input type=hidden name=\"$key\" value=\"$value\" />\n";
		}
	}

	echo "\t<input type=hidden name=ntxPagedCurr value=\"$ntxPagedCurr\"/>\n";
	echo "\t<input type=hidden name=ntxPagedRowsPerPage value=\"$ntxPagedRowsPerPage\"/>\n";
	echo "\t<input type=hidden name=ntxPagedAction value=\"2\"/>\n";
	echo "</form>\n";
	
	echo <<< echo
<script language=javascript>
	function PaginazioneRows(ntxPagedRowsPerPage)
	{
		frmPaginazione.ntxPagedAction.value = -1;
		
		frmPaginazione.ntxPagedRowsPerPage.value = ntxPagedRowsPerPage.value;

		frmPaginazione.submit();
	}
	
	function PaginazionePage(paginaCorrente2)
	{
		frmPaginazione.ntxPagedAction.value = -1;
		
		frmPaginazione.ntxPagedCurr.value = paginaCorrente2.value;

		frmPaginazione.submit();
	}
	
	function Paginazione(index)
	{
		frmPaginazione.ntxPagedAction.value = index;
		frmPaginazione.submit();
	}
</script>
echo;
}

function ntxPagedPrintNavigation()
{
	global $ntxPagedCurr, $ntxPagedRowsPerPage, $ntxPagedNumberOfPages, $trad000_000_053;

	echo <<< echo
	
	<input type=button value="<<" onclick="Paginazione(0)"/>
	<input type=button value="<" onclick="Paginazione(1)"/>
	<input type=text value="$ntxPagedCurr" onblur="PaginazionePage(this)" size=3 style="text-align:right" />
	 / $ntxPagedNumberOfPages
	<input type=button value=">" onclick="Paginazione(2)"/>
	<input type=button value=">>" onclick="Paginazione(3)"/>
echo;

$trad000_000_053->html('Righe per Pagina:');

echo <<< echo
<input type=text value="$ntxPagedRowsPerPage" onblur="PaginazioneRows(this)" size=3 style="text-align:right" />
echo;
}

$trad000_000_053->Salva();

?>