/*

	Oggetto: NtxShowButton()

	Metodi:
			reset()		// resetta tutte le tabs sulla scheda principale
			selElement(group, element, start) // seleziona il pulsante di un gruppo e relativo elemento visibile
*/

function NtxShowButton()
{
	this.numButtons = new Array();
	this.numElements = new Array();
	this.showAll = new Array();
	this.classNames = new Array();
	this.selButton = new Array();
	
	this.setClsBtn2 = function(obj, group, element, indexClass)
	{
		if ( indexClass < 2  &&  element == this.selButton[group] )
			indexClass += 2;
			
		switch(indexClass)
		{
			case 0: // base
				obj.className = this.classNames['base'];
				break;
			case 1: // base+over
				obj.className = this.classNames['base']+" "+this.classNames['over'];
				break;
			case 2: // base+sel
				obj.className = this.classNames['base']+" "+this.classNames['sel'];
				break;
			case 3: // base+selOver
				obj.className = this.classNames['base']+" "+this.classNames['selOver'];
				break;
		}
	}
	
	this.setClassButton = function(group, element, indexClass)
	{
		var id = "btn"+group+"e"+element;
		var obj = document.getElementById(id);
		
		if ( !obj )
			alert("manca elemento " + id);
			
		this.setClsBtn2(obj, group, element, indexClass);
	}

	this.getElement = function(group, element)
	{
		var id = "ntxShwBtnGrp"+group+"e"+element;
		var obj = document.getElementById(id);

		if ( !obj )
			alert("manca elemento " + id);
			
		return obj;
	}
	
	this.reset = function()
	{
		var i;
		
		for (i=0; i<this.numGroups; ++i)
			this.selElement(i, 0, true);
	}
	
	this.selElement = function(group, element, start)
	{
		var i, obj;
		var numButtons = this.numButtons[group];
		var numElements = this.numElements[group];
		
		this.selButton[group] = element;
		
		for ( i=0; i<numButtons; ++i )
		{
			id = "btn"+group+"e"+i;
			obj = document.getElementById(id);
			
			if ( !obj )
				alert("manca elemento " + id);
				
			this.setClsBtn2(obj, group, i, 0);
		}

		id = "btn"+group+"e"+element;
		obj = document.getElementById(id);
			
		if ( start )
			this.setClsBtn2(obj, group, element, 2);
		else
			this.setClsBtn2(obj, group, element, 3);
		
		if ( element == this.showAll[group] )
		{
			for ( i=0; i<numElements; ++i )
			{
				if ( obj = this.getElement(group, i) )
					obj.style.display="block";
			}
		}
		else
		{
			for ( i=0; i<numElements; ++i )
			{
				if ( obj = this.getElement(group, i) )
					obj.style.display="none";
			}
			
			if ( obj = this.getElement(group, element) )
				obj.style.display="block";
		}
	}
}
