/*
	Da utilizzare in edit richieste ed edit ordini per gestire un "oggetto" view_foto
	
	Per poter essere utilizzate, le seguenti funzioni richiedono che nel file sorgente in cui vengono incluse siano presenti
	i seguenti oggetti dotati di id univoco che dovranno essere inclusi in un frame con id "frame1":
	
	- form1.Localizzazione.value:	contiene l'id univoco dell'edificio
	- document.form1.IdComponente: 	contiene l'id univoco della select in cui sono contenuti i valori dei componenti
	- document.form1.IdAmbiente: 	contiene l'id univoco della select in cui sono contenuti i valori dell'ambiente
	- frameFoto: 					id univoco associato al frame che contiene l'oggetto "view_foto"
	
*/

function gestisciCaricamentoFrameFoto()
{
	var valComponente = checkSelect(document.form1.IdComponente);
	var valAmbiente = checkSelect(document.form1.IdAmbiente);		
	
	if(valComponente!=false )
		frameFoto.carica( form1.Localizzazione.value, false, valComponente, valAmbiente);
	else if(valAmbiente!=false)		
		frameFoto.carica( form1.Localizzazione.value, valAmbiente, false, false); 
}

function caricaAmbienteInFrame()
{		
	var ValAmbiente = checkSelect(document.form1.IdAmbiente);
	
	if(ValAmbiente!=false)
		frameFoto.carica(form1.Localizzazione.value, ValAmbiente, false, false);
	else
		frameFoto.reset();
}	

function caricaComponenteInFrame()
{		
	var ValAmbiente = checkSelect(document.form1.IdAmbiente);
	var ValComponente = checkSelect(document.form1.IdComponente);
	
	if(ValAmbiente!=false  &&  ValComponente!=false)
		frameFoto.carica(form1.Localizzazione.value, false, ValComponente, ValAmbiente);
	else
		caricaAmbienteInFrame();	 			
}

function checkSelect(select)
{
	var idx=0;
	var rtn=false;
	
	while(idx<select.options.length) 
	{
		if(select.options[idx].selected==true)
		{	
			if(select.options[idx].value)
				rtn=select.options[idx].value; 
		}
		
		++idx;
	}

	return rtn;
}