<html>
<head>
<title>Check Traduzioni</title>
<link href="/repository/css/reset-1.0.0_sfondo_bianco.css" rel="stylesheet" type="text/css">
<link href="/repository/css/grid-3.0.0-without-images.css" rel="stylesheet" type="text/css">
<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
<script src="js/index.js?vers=<?php echo time() ?>" type="text/javascript"></script>
</head>
<body>
	
<input type=checkbox id=chkMostraNascondi onclick="MostraNascondi()" />
<label for=chkMostraNascondi>Mostra tutto</label>
<?php

$langs = array('IT', 'EN', 'ES', 'PL');

$root = 'C:\ms4w_3.2.1\Apache\htdocs\build\manpronet\_traduzioni\*';

$lenRoot = strlen($root)-1;

$directories = glob($root , GLOB_ONLYDIR);

$table = <<< table
	<table class=grid>
		<tr>
			<th>Directory
table;

foreach($langs as $lang)
	$table .= "<th>$lang";
	
$table .= "<th>";
$table .= "<th>Note";
	
foreach($directories as $dir0)
{
	$dir1 = substr($dir0, $lenRoot);
	$dir2 = htmlentities($dir1);
	
	$ddir1 = explode("_", $dir1);
	
	if ( !is_array($ddir1) || count($ddir1)!=3
			|| !is_numeric($ddir1[0])
			|| !is_numeric($ddir1[1])
			|| !is_numeric($ddir1[2]) ) continue;

	$Note = "";
	$tds = array();
	$salta = true;
	$style = "";
	
	unset($numRowsBase);
	
	foreach($langs as $lang)
	{
		$file = $dir0.'\\'.$dir1.'_'.$lang.'.txt';
		$filex = htmlentities($dir1.'_'.$lang.'.txt');
	
		unset($numRows);
		
		if ( !is_file($file) )
		{
			if ( $Note!="" ) $Note .= "<br>";
			
			$salta = false;
			$style = "style='background:#FFAAAA'";
			$Note .= "File \"$filex\" non trovato!";
		}
		else
		{
			$text = file_get_contents($file);
			
			$isUtf8 = mb_check_encoding($text, 'UTF-8');
			
			if ( !isUtf8 ) 
			{
				if ( $Note!="" ) $Note .= "<br>";
				$salta = false;
				$style = "style='background:#FFAAAA'";
				$Note .= "File \"$filex\" non in UTF-8!";
			}
			else 
			{
				$testo = file_get_contents($file);
				
				$righe = explode("\n", $testo);
				
				unset($numRows);
				
				foreach($righe as $riga)
				{
					$riga = trim($riga);
				
					if ( $riga == "" || substr($riga, 0, 1)=="#" ) continue;

					$split = explode(".", $riga, 2);
					
					if ( is_numeric($split[0]) )
					{
						$value = (int)$split[0];
						
						if ( !isset($numRows) )
							$numRows = $value;
						else
							$numRows = $numRows<$value ? $value : $numRows;
					}
				}
						
				if ( !isset($numRowsBase) )
				{
					$numRowsBase = $numRows;
				}
				elseif ( $numRowsBase != $numRows )
				{
					if ( $Note!="" ) $Note .= "<br>";
					$salta = false;
					$style = "style='background:#FFAAAA'";
					$Note .= "File \"$filex\" ha un numero di righe differente!";
				}
			}
		}
		
		$tds[$lang] = $numRows;
	}
	
	$nascondi =  $salta ? "nascondi style='display:none'" : "";
	
	$table .= <<< table
			<tr $nascondi>
				<td $style>$dir2
table;

	foreach($tds as $td)
		$table .= "<td $style>$td";

	$table .= <<< table
				<td $style><input type=button value=vai onclick="Vai('$dir2')" />
				<td $style>$Note
table;
}

$table .= <<< table
	</table>
table;

echo $table;

?>
<form name=form1 method=post action="edit.php" target=_blank>
	<input type=hidden name=cartella />
</form>

</body>
</html>
	