<?php  
$mUtente = ntxsse('Utente');
	
if($whereSel=='azzurro')
	$where = <<<_SQL
	AND Ordini.DataInizioProg IS NOT NULL
	
	AND Ordini.DataInizioProg <= 
			DATEADD(dd, 0, DATEDIFF(dd, 0, 
				getdate()
				+CASE WHEN DATEPART(dw,getdate())=5 THEN 3 ELSE 1 END))		
			
	AND Ordini.TipologiaEnergia=5	
	
	AND Ordini.StatoOrd <= 40		
_SQL;
else if($whereSel=='giallo')
	$where = <<<_SQL
	AND Ordini.DataScadenza IS NOT NULL
	
	AND Ordini.DataScadenza <= 
			DATEADD(dd, 0, DATEDIFF(dd, 0, 
				getdate()
				+CASE WHEN DATEPART(dw,getdate())=5 THEN 3 ELSE 1 END))	
				
	AND Ordini.DataScadenza>=getdate()			
			
			
	AND Ordini.StatoOrd <= 40		
	
	AND Ordini.TipologiaEnergia=5
_SQL;
else if($whereSel=='arancio')
	$where = <<<_SQL
	AND Ordini.DataScadenza IS NOT NULL
	
	AND Ordini.DataScadenza <= getdate() 
			
	AND Ordini.StatoOrd <= 40	
	
	AND Ordini.TipologiaEnergia=5
_SQL;
else if($whereSel=='verde')
	$where = <<<_SQL
	AND Ordini.DataInizioProg IS NOT NULL
	
	AND Ordini.DataInizioProg <= 
			DATEADD(dd, 0, DATEDIFF(dd, 0, 
				getdate()
				+CASE WHEN DATEPART(dw,getdate())=5 THEN 3 ELSE 1 END))	
			
	AND Ditte.SquadraTelecontrollo = 1
	
	AND 
	(
		Ordini.TipologiaEnergia=1
		OR Ordini.TipologiaEnergia=2
		OR Ordini.TipologiaEnergia=3
		OR Ordini.TipologiaEnergia=4
		OR Ordini.TipologiaEnergia=6
	)
	
	AND Ordini.StatoOrd <= 40		
_SQL;
else if($whereSel=='grigio')
	$where = <<<_SQL
	AND Ordini.DataInizioProg IS NOT NULL
	
	AND Ordini.DataInizioProg <= 
			DATEADD(dd, 0, DATEDIFF(dd, 0, 
				getdate()
				+CASE WHEN DATEPART(dw,getdate())=5 THEN 3 ELSE 1 END))	
			
	AND (Ditte.SquadraTelecontrollo IS NULL OR Ditte.SquadraTelecontrollo = 0)
	
	AND 
	(
		Ordini.TipologiaEnergia=1
		OR Ordini.TipologiaEnergia=2
		OR Ordini.TipologiaEnergia=3
		OR Ordini.TipologiaEnergia=4
		OR Ordini.TipologiaEnergia=6
	)
	
	AND Ordini.StatoOrd <= 40		
_SQL;
else if($whereSel=='blu')
	$where = <<<_SQL
	--AND Ordini.DataInizio IS NULL 
	
	AND Ordini.StatoOrd = 60 
_SQL;
 
	
	
if($selectSel==1)
{
	$select = <<<_SQL
	Richieste.IDCommessa, Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2,   Richieste.Tipo, Richieste.DataRichiesta AS DataRicezione,  Richieste.DataGestione,Richieste.IdRich,
	tblMestieri.Descrizione AS Mestiere, 
	tblAttivitàMestiere.Descrizione AS AttivitaMestiere, 
	tblComponetiMestiere.Descrizione AS ComponenteMestiere, 
	Stati.DesStato AS StatoRic,  
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataScadenza, StatiOrdini.DesStato AS StatoOrdine, Ordini.StatoOrd,
	Ordini.DataInizioProg, Ordini.DataFineProg,  Ordini.NotaInterna, Ordini.Note,
	Richiedenti.Nome AS RichiedenteNome,
	EnCircuiti.Nome AS CircuitoNome, EnCircuiti.CodiceCliente AS CircuitoCodiceCliente,
	ElencoEdifici.EdificioBreve AS Edificio,
	ElencoEdifici.Id AS IdEdificio,
	Ditte.Ditta,
	Risorse.Nome AS Risorsa,
	Risorse.telFisso AS RisorsaTel,
	Risorse.cellulare AS RisorsaCell,		
	tblPgPropietari.Nome AS Propietario,
	Ordini.TipologiaEnergia,
	EnTipiAttivitàMestiere.Tipo AS TipologiaEnergia_TXT
	,Ordini.IdOrd
	
	,Ordini.NumOrdineOrigine
	,Ordini.AnnoOrdineOrigine			
	
	,tblPgPropietari.IdPropietario 

	,contratti.IdPgContratto
	
	,(
		SELECT TOP 1
			COUNT(Solleciti.ID) AS num
		FROM  
			Solleciti
		WHERE 
			Solleciti.IDCommessa = Richieste.IDCommessa 
			AND Solleciti.NumRichiesta = Richieste.NumRichiesta 
			AND Solleciti.AnnoRichiesta = Richieste.AnnoRichiesta 
			AND (Solleciti.Annullato IS NULL OR Solleciti.Annullato=0)
	) AS NumeroSolleciti	
	
	,StatiOrdini.ColoreEn AS OrdColoreEn
	,Stati.ColoreEn AS RicColoreEn	
_SQL;

	$whereAdd = <<<_SQL
	LEFT OUTER JOIN
	Richieste  ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa 
	LEFT OUTER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere	  
	LEFT OUTER JOIN
	Richiedenti ON Ordini.IDCommessa = Richiedenti.IdCommessa AND Ordini.IdRichiedente = Richiedenti.IdRichiedente	 
	LEFT OUTER JOIN
	StatiOrdini ON StatiOrdini.IDStato = Ordini.StatoOrd	 
	LEFT OUTER JOIN
	tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
	LEFT OUTER JOIN
	tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	LEFT OUTER JOIN
	EnCircuiti ON Ordini.IdCircuitoEnergia = EnCircuiti.IdCircuito
	LEFT OUTER JOIN
	Stati ON Richieste.Stato = Stati.IDStato 
	LEFT OUTER JOIN
	Risorse ON Risorse.ID = Ordini.IdRisorsa	
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	LEFT OUTER JOIN
	EnTipiAttivitàMestiere ON Ordini.TipologiaEnergia = EnTipiAttivitàMestiere.Id
_SQL;
}
else if($selectSel==2)
{
	$select = <<<_SQL
	COUNT(Ordini.IdOrd) AS conteggio
_SQL;

	$whereAdd = <<<_SQL
_SQL;
}
else 
	ntxmsgerr("passare parametro select!");
	
$sql = <<< sql
SELECT  
	$select 
	
FROM  
	Ordini
	LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta 	
	
	$whereAdd
	
	INNER JOIN 
	(
		SELECT DISTINCT 
			tblPgContrattiAffidatari.IdCommessa, tblPgContrattiAffidatari.IdAffidatario, tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio, 
			tblComponetiMestiere.IdMestiere, tblPgContrattiAffidatari.DataInizio, tblPgContrattiAffidatari.DataFine
			,tblPgContrattiAffidatari.IdPgContratto
		FROM         
			Utenti INNER JOIN
			UtentiRifAffidatari ON Utenti.Id = UtentiRifAffidatari.IdUtente INNER JOIN
			tblPgContrattiRifAffidatari INNER JOIN
			tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
			tblPgContrattiRifAffidatariAttivitàEdifici ON 
			tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario AND 
			tblPgContrattiRifAffidatari.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa ON 
			UtentiRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario INNER JOIN
			tblComponetiMestiere INNER JOIN
			tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
			tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere ON 
			tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
			tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
			INNER JOIN
			tblPgContratti ON tblPgContrattiAffidatari.IdPgContratto = tblPgContratti.IdPgContratto
		WHERE     
			Utenti.Nome = $mUtente  
			AND tblPgContratti.Aperto=1
			AND tblPgContrattiAffidatari.Aperto=1
	) contratti
	ON Ordini.IDCommessa=contratti.IdCommessa
	AND Ordini.CodEdificio=contratti.IdEdificio
	AND Ordini.IdMestiere=contratti.IdMestiere
	AND Ordini.DataOrdine>=contratti.DataInizio
	AND Ordini.DataOrdine<=contratti.DataFine	
	
WHERE
	1=1 
	AND (Ordini.IdAffidatario IS NULL OR Ordini.IdAffidatario = contratti.IdAffidatario)
	
	$where 
	
$orderBy
sql;

 
?>
