<?php

$IdCommessa = ntxip('IdCommessa');
$IdAffidatari = $_POST[IdAffidatari];

$sql = <<< sql
	SELECT DISTINCT 
						  Ordini.NumOrdine, 
						  Ordini.AnnoOrdine, 
						  Ordini.DataOrdine, 
						  Ordini.DataScadenza, 
						  Ordini.DataInizio, 
						  Ordini.DataFine, 
						  Ordini.DataInizioProg, 
						  Ordini.DataFineProg, 
						  Ordini.QTA, 
						  Ordini.VistoMP, 
						  Ordini.UtenteVistoMP, 
						  Ordini.DataOraVistoMP, 
						  StatiOrdini.DesStato, 
						  Ordini.DescrizioneIntervento, 
						  Ordini.DescrizioneIntervento1, 
						  Ordini.DescrizioneIntervento2, 
						  ElencoEdifici.Codice, 
						  ElencoEdifici.EdificioBreve, 
						  ElencoEdifici.Indirizzo, 
						  ElencoEdifici.CAP, 
						  ElencoEdifici.CITTA, 
						  ElencoEdifici.PROVINCIA,
						  ISNULL((SELECT TOP 1 1 FROM Costi 
							WHERE Costi.IdCommessa=Ordini.IdCommessa
							AND Costi.NumOrdine=Ordini.NumOrdine
							AND Costi.AnnoOrdine=Ordini.AnnoOrdine),0) Costi,
						tblPgPropietari.Nome Ente, 
						tblMestieri.Descrizione Mestiere, 
						Ditte.Ditta
FROM         tblComponetiMestiere INNER JOIN
                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
                      tblOrdiniProgrammati INNER JOIN
                      Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID ON 
                      tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
                      tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato ON tblAttivitàMestiere.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblOrdiniProgrammati.IdAttivitàMestiere INNER JOIN
                          (SELECT DISTINCT 
                                                   tblPgContrattiAffidatari.IdCommessa, tblPgContrattiAffidatariAttivitàEdifici.IdEdificio, tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere, 
                                                   tblPgContrattiAffidatari.DataInizio, tblPgContrattiAffidatari.DataFine
                            FROM          dbo.SplitId('$IdAffidatari') AS a INNER JOIN
                                                   tblPgContrattiAffidatariAttivitàEdifici INNER JOIN
                                                   tblPgContrattiAffidatari ON tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario ON
                                                    a.id = tblPgContrattiAffidatari.IdAffidatario
                            WHERE      (tblPgContrattiAffidatari.IdCommessa = $IdCommessa)) AS b ON tblOrdiniProgrammati.IdCommessa = b.IdCommessa AND 
                      tblOrdiniProgrammati.IdEdificio = b.IdEdificio AND tblOrdiniProgrammati.IdAttivitàMestiere = b.IdAttivitàMestiere AND 
                      tblOrdiniProgrammati.dataInizioProg >= b.DataInizio AND tblOrdiniProgrammati.dataInizioProg <= b.DataFine LEFT OUTER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
WHERE Ordini.IdCommessa=$IdCommessa
sql;

					  
if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sql .= " AND tblComponetiMestiere.IdMestiere=$IdMestiere ";
}

if ( is_numeric($_POST['NumOrdine'])) 
{
	$NumOrdine = (int)$_POST['NumOrdine'];
	$sql .= " AND tblOrdiniProgrammati.NumOrdine=$NumOrdine ";
}

if ( is_numeric($_POST['AnnoOrdine'])) 
{
	$AnnoOrdine = (int)$_POST['AnnoOrdine'];
	$sql .= " AND tblOrdiniProgrammati.AnnoOrdine=$AnnoOrdine ";
}

if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sql .= " AND tblAttivitàMestiere.IdComponenteMestiere=$IdComponente ";
}

if ( is_numeric($_POST['IdAttivitàMestiere'])) 
{
	$IdAttivitàMestiere = (int)$_POST['IdAttivitàMestiere'];
	$sql .= " AND tblOrdiniProgrammati.IdAttivitàMestiere=$IdAttivitàMestiere ";
}

if ( strlen($_POST[DataOrdine1])>0 )
	$sql .= " AND Ordini.DataOrdine>=".ntxtp('DataOrdine1');
if ( strlen($_POST[DataInizio1])>0 )
	$sql .= " AND Ordini.DataInizio>=".ntxtp('DataInizio1');
if ( strlen($_POST[DataFine1])>0 )
	$sql .= " AND Ordini.DataFine>=".ntxtp('DataFine1');
if ( strlen($_POST[DataInizioPrg1])>0 )
	$sql .= " AND Ordini.DataInizioProg>=".ntxtp('DataInizioPrg1');
if ( strlen($_POST[DataFinePrg1])>0 )
	$sql .= " AND Ordini.DataFineProg>=".ntxtp('DataFinePrg1');

if ( strlen($_POST[DataOrdine2])>0 )
	$sql .= " AND Ordini.DataOrdine<=".ntxtp('DataOrdine2');
if ( strlen($_POST[DataInizio2])>0 )
	$sql .= " AND Ordini.DataInizio<=".ntxtp('DataInizio2');
if ( strlen($_POST[DataFine2])>0 )
	$sql .= " AND Ordini.DataFine<=".ntxtp('DataFine2');
if ( strlen($_POST[DataInizioPrg2])>0 )
	$sql .= " AND Ordini.DataInizioProg<=".ntxtp('DataInizioPrg2');
if ( strlen($_POST[DataFinePrg2])>0 )
	$sql .= " AND Ordini.DataFineProg<=".ntxtp('DataFinePrg2');

if ( strlen($_POST[Descrizione])>0 )
	$sql .= " AND Ordini.DescrizioneIntervento+Ordini.DescrizioneIntervento1+Ordini.DescrizioneIntervento2 LIKE '%".str_replace("'","''",$_POST[Descrizione])."%'";

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sql .= " AND ElencoEdifici.IdProprietario=$IdPropietario ";
}
if ( strlen($_POST[Codice])>0 )
	$sql .= " AND ElencoEdifici.Codice = ".ntxsp('Codice');
if ( strlen($_POST[Nome])>0 )
	$sql .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[Nome])."%'";
if ( strlen($_POST[Indirizzo])>0 )
	$sql .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";
if ( strlen($_POST[Comune])>0 )
	$sql .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[Comune])."%'";
if ( strlen($_POST[Prov])>0 )
	$sql .= " AND ElencoEdifici.PROVINCIA = ".ntxsp('Prov');
if ( strlen($_POST[Cap])>0 )
	$sql .= " AND ElencoEdifici.CAP = ".ntxsp('Cap');

$idStati = explode(",", $_POST[idStati]);

$where = "";

foreach($idStati as $id)
{
	if ( is_numeric($id) )
	{
		if ( strlen($where)>0 ) $where .= " OR ";
		
		$where .= "Ordini.StatoOrd=$id";
	}
}

if ( strlen($where)>0 )
	$sql .= " AND ($where)";
	
$sql .= " ORDER BY Ordini.DataOrdine";

$query = ntxQuery($sql);

?>