<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$comp_cod = ntxsp('TxtRicerca');

if ( $_POST[opt2]==2 ) // filtro per componenti mestiere
{
	$elementi = explode(",",$ElencoIdOrdiniPrg);
	$count = count($elementi);
	
	$ElencoIdOrdiniPrg = ntxsp('ElencoIdOrdiniPrg');
	
	$sql = <<< sql
		SELECT TOP 1 Ambiente.IdLivello, ComponentiAmbiente.IDAmbiente, ComponentiAmbiente.IDComponente
		FROM         ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
		WHERE ComponentiAmbiente.IdCommessa=$IdCommessa
		AND ComponentiAmbiente.IdEdificio=$IdEdificio
		AND ComponentiAmbiente.CodiceAssComponente LIKE $comp_cod
		AND (SELECT     COUNT(*) AS Expr1
				FROM         TipoComponente INNER JOIN
									  tblAttivitàMestiere ON TipoComponente.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
									  TipoComponente.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
									  dbo.SplitId($ElencoIdOrdiniPrg) AS a INNER JOIN
									  tblOrdiniProgrammati ON a.id = tblOrdiniProgrammati.IdOrdineProgrammato ON tblAttivitàMestiere.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
									  tblAttivitàMestiere.IdAttivitàMestiere = tblOrdiniProgrammati.IdAttivitàMestiere
				WHERE     (TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa) AND (TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente)
			)=$count
sql;
}
elseif ( $_POST[opt2]==3 ) // filtro per attività mestiere
{
	$elementi = explode(",",$ElencoIdOrdiniPrg);
	$count = count($elementi);
	
	$ElencoIdOrdiniPrg = ntxsp('ElencoIdOrdiniPrg');
	
	$sql = <<< sql
		SELECT TOP 1 Ambiente.IdLivello, ComponentiAmbiente.IDAmbiente, ComponentiAmbiente.IDComponente
		FROM         ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
		WHERE ComponentiAmbiente.IdCommessa=$IdCommessa
		AND ComponentiAmbiente.IdEdificio=$IdEdificio
		AND ComponentiAmbiente.CodiceAssComponente LIKE $comp_cod
		AND (SELECT     COUNT(*) AS Expr1
				FROM         dbo.SplitId($ElencoIdOrdiniPrg) AS a INNER JOIN
									  tblOrdiniProgrammati ON a.id = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
									  AttivitàMestTipiComp ON tblOrdiniProgrammati.IdCommessa = AttivitàMestTipiComp.IdCommessaAttività AND 
									  tblOrdiniProgrammati.IdAttivitàMestiere = AttivitàMestTipiComp.IdAttivitàMestiere
				WHERE     (AttivitàMestTipiComp.IdCommessaTipoComp = ComponentiAmbiente.IdCommessa) AND (AttivitàMestTipiComp.IdTipoComp = ComponentiAmbiente.IdTipoComponente)
			)=$count
sql;
}
else
{
	$sql = <<< sql
		SELECT TOP 1 Ambiente.IdLivello, ComponentiAmbiente.IDAmbiente, ComponentiAmbiente.IDComponente
		FROM         ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
		WHERE ComponentiAmbiente.IdCommessa=$IdCommessa
		AND ComponentiAmbiente.IdEdificio=$IdEdificio
		AND ComponentiAmbiente.CodiceAssComponente LIKE $comp_cod
sql;
}

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$record = ntxRecordTranslate($rs);

ntxMsgResult( $record );	

?>
