$(function(){
	$('input[Colonna=DataInizio]').datepicker().change(EditaData);
	$('input[Colonna=DataFine]').datepicker().change(EditaData);
	$('input[Colonna=OraInizio]').change(EditaData);
	$('input[Colonna=OraFine]').change(EditaData);
	$('#data1').datepicker();
	$('#data2').datepicker();
	$('#newData1').datepicker();
	$('#newData2').datepicker();
	NowText(jei('data1'),jei('ora1'));
	NowText(jei('data2'),jei('ora2'));
});

function GeneraNuoviOrdiniProgrammati()
{
	$('#frameReportGeneraOrdiniPrg').toggle(true);
	$('#btnFrameReportGenOrdPrg').toggle(true);
	
	frmGeneraOrdPrg.DataInizio.value = jei('newData1').value;
	frmGeneraOrdPrg.DataFine.value = jei('newData2').value;
	
	frmGeneraOrdPrg.ElencoIdOrdiniPrg.value = "";
	
	$('input[type=checkbox]:checked').each(function(){
			var chk = $(this);
			var id = chk.attr('value');

		if ( frmGeneraOrdPrg.ElencoIdOrdiniPrg.value!="" ) frmGeneraOrdPrg.ElencoIdOrdiniPrg.value += ",";
			
			frmGeneraOrdPrg.ElencoIdOrdiniPrg.value += id;
	});
	
	frmGeneraOrdPrg.submit();
}

function NowText(txt1, txt2)
{
	var result = jhp("jhp/get_now.php");
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		txt1.value = result.value[0];
		txt2.value = result.value[1];
	}
}

function EditaData()
{
	var txt = $(this);
	var Colonna = txt.attr('Colonna');
	var IdOrdPrg = txt.attr('IdOrdPrg');
	
	if ( Colonna == 'OraInizio' || Colonna == 'DataInizio' ) 
	{
		Valore = $("input[Colonna=DataInizio][IdOrdPrg="+IdOrdPrg+"]").attr("value") 
				+ ' ' + $("input[Colonna=OraInizio][IdOrdPrg="+IdOrdPrg+"]").attr("value");
		Colonna = 'DataInizio';
	}
	else 
	{
		Valore = $("input[Colonna=DataFine][IdOrdPrg="+IdOrdPrg+"]").attr("value") 
				+ ' ' + $("input[Colonna=OraFine][IdOrdPrg="+IdOrdPrg+"]").attr("value");
		Colonna = 'DataFine';
	}
	
	var result = jhp("jhp/update_date.php", {Colonna: Colonna,
											Valore: Valore,
											IdOrdPrg: IdOrdPrg});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var date = result.value;
		
		$("input[Colonna=DataInizio][IdOrdPrg="+IdOrdPrg+"]").attr("value",	date[0]);
		$("input[Colonna=OraInizio][IdOrdPrg="+IdOrdPrg+"]").attr("value",	date[1]);
		$("input[Colonna=DataFine][IdOrdPrg="+IdOrdPrg+"]").attr("value", date[2]);
		$("input[Colonna=OraFine][IdOrdPrg="+IdOrdPrg+"]").attr("value", date[3]);
		
		$("td[Colonna=Aperto][IdOrdPrg="+IdOrdPrg+"]").text(date[4]);
		$("td[Colonna=Eseguito][IdOrdPrg="+IdOrdPrg+"]").text(date[5]);
	}
}

function SelTutto(value)
{
	$('input:checkbox').each(function(){
		var chk = $(this);
		
		if ( !chk.attr('disabled') ) chk.attr('checked',value);
	});
}

function SelPerCompMest()
{
	SelTutto(false);
	
	var obj = jhp_frm(form1);
	
	var result = jhp("jhp/prg_per_comp.php", obj);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var ids = result.value;
		var len = ids.length;
		var i;
		
		for ( i=0; i<len; ++i )
		{
			var chk = $('input[type="checkbox"][value="'+ids[i]+'"]');
			if ( !chk.attr('disabled') ) chk.attr('checked', true);
		}
	}
}

function SelPerAttMest()
{
	SelTutto(false);
	
	var obj = jhp_frm(form1);
	
	var result = jhp("jhp/prg_per_att.php", obj);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var ids = result.value;
		var len = ids.length;
		var i;
		
		for ( i=0; i<len; ++i )
		{
			var chk = $('input[type="checkbox"][value="'+ids[i]+'"]');
			if ( !chk.attr('disabled') ) chk.attr('checked', true);
		}
	}
}

function ApriChiudi(index)
{
	if ( !confirm("Sicuro di voler settare date di tutti gli ordini selezionati?")) return;
	
	var opt = frmDate.opt1;
	
	var ListIdOrdPrg = "";
	
	$('input[type=checkbox]:checked').each(function(){
		var chk = $(this);
		var IdOrdPrg = chk.attr('value');

	if ( ListIdOrdPrg.length>0 ) ListIdOrdPrg += ",";
		
		ListIdOrdPrg += IdOrdPrg;
	});

	if ( ListIdOrdPrg.length==0 )
	{
		alert("Devi prima selezionare degli ordini prg!");
		return;
	}

	var result = jhp("jhp/apri_chiudi.php", {
						index: index, 
						data1: frmDate.data1.value, 
						data2: frmDate.data2.value, 
						ora1: frmDate.ora1.value, 
						ora2: frmDate.ora2.value, 
						opt1: $('[name="opt1"]:checked').val(), 
						ListIdOrdPrg: ListIdOrdPrg});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var date = result.value;
		
		$('input[type=checkbox]:checked').each(function(){
			var chk = $(this);
			var IdOrdPrg = chk.attr('value');

			$("input[Colonna=DataInizio][IdOrdPrg="+IdOrdPrg+"]").attr("value",	date[IdOrdPrg+"_0"]);
			$("input[Colonna=OraInizio][IdOrdPrg="+IdOrdPrg+"]").attr("value",	date[IdOrdPrg+"_1"]);
			$("input[Colonna=DataFine][IdOrdPrg="+IdOrdPrg+"]").attr("value", date[IdOrdPrg+"_2"]);
			$("input[Colonna=OraFine][IdOrdPrg="+IdOrdPrg+"]").attr("value", date[IdOrdPrg+"_3"]);
			
			$("td[Colonna=Aperto][IdOrdPrg="+IdOrdPrg+"]").text(date[IdOrdPrg+"_4"]);
			$("td[Colonna=Eseguito][IdOrdPrg="+IdOrdPrg+"]").text(date[IdOrdPrg+"_5"]);
		});
	}
}

