<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.4.1.min.js"></script>
	
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>

	<script type="text/javascript" src="jhp/elenco_ordini.js?v6"></script>
</head>
<body  >

<?php
	
require_once('elenco_ordini_sql.inc');

$sql = <<< sql
	SELECT RiapriOrdiniMP FROM Utenti WHERE Id=$_SESSION[IdUtente]
sql;

$RiapriOrdiniMP = ntxScalar($sql);

if ( $RiapriOrdiniMP=="" || $RiapriOrdiniMP=="0" ) $RiapriOrdiniMPDisabled = "DISABLED";

?>

<div style="border:2px lightgray solid">
	<form name=frm1 method=post>
	Data Inizio:<input type=text name=data1 id=data1 size=10 />
	Ora Inizio:<input type=text name=ora1 id=ora1 size=5 />
	<input type=button value="oggi" onclick="NowText(frm1.data1, frm1.ora1)" />
	Data Fine:<input type=text name=data2 id=data2 size=10 />
	Ora Fine:<input type=text name=ora2 id=ora2 size=5 />
	<input type=button value="oggi" onclick="NowText(frm1.data2, frm1.ora2)" />
	<br><input type=radio name=opt1 value=1 checked />Usa date inizio/fine predefinite
	<input type=radio name=opt1 value=2 />Usa date inizio/fine inserite sopra
	<br><input type=button value="APRI ORDINI" onclick="ApriChiudi(1)" />
	<input type=button value="CHIUDI ORDINI" onclick="ApriChiudi(2)" />
	<input type=button value="APRI E CHIUDI ORDINI" onclick="ApriChiudi(3)" />
	<input type=button value="EXCEL" onclick="frmExcel.submit()" />
	<br><input type=button value="ANNULLA APERTURA ORDINI" onclick="AnnullaAperturaChiusura(1)" <?php echo $RiapriOrdiniMPDisabled ?> />
	<input type=button value="ANNULLA CHIUSURA ORDINI" onclick="AnnullaAperturaChiusura(2)" <?php echo $RiapriOrdiniMPDisabled ?> />
	<br><input type=button value="VISTO MP" onclick="VistoMP(1)" />
	<input type=button value="SBLOCCA VISTO MP" onclick="VistoMP(2)" />
	</form>
</div>

<input type=button value="Sel.Tutto" onclick="SelTutto(true)">
<input type=button value="Desel.Tutto" onclick="SelTutto(false)">

<table class=grid>
	<tr>
		<th></th>
		<th></th>
		<th></th>
		<th>TipoMP
		<th>Num/Anno<br>Ordine</th>
		<th>Data<br>Ordine</th>
		<th>Data Inizio<br>Programmata</th>
		<th>Data Fine<br>Programmata</th>
		<th>Data Inizio</th>
		<th>Ora Inizio</th>
		<th>Data Fine</th>
		<th>Ora Fine</th>
		<th>QTA</th>
		<th></th>
		<th>Stato</th>
		<th>Descrizione</th>
		<th>Localizzazione</th>
		<th>Mestiere</th>
		<th>Squadra</th>
		<th>Ente</th>
		<th>VistoMP
		<th>Utente VistoMP
		<th>Data/Ora VistoMP
		
	</tr>   

<?php
	$alternate = true;

	$Riga = 0;
	
	while( $query  &&  $rs = ntxRecord($query) )
	{
		$rs[NumOrdine] = (int)$rs[NumOrdine];
?>	
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td><input type=checkbox <?php echo "Riga='$Riga' NumOrdine='$rs[NumOrdine]' AnnoOrdine='$rs[AnnoOrdine]'" ?>></td>
		<td><input type=button value=docs onclick="Documenti(<?php echo "'$rs[NumOrdine]','$rs[AnnoOrdine]'" ?>)" /></td>
		<td><input type=button value=prg onclick="Prg(<?php echo "'$rs[NumOrdine]','$rs[AnnoOrdine]','$rs[TipoMP]'" ?>)" /></td>
		<td class=center><?php echo htmlentities($rs[DesTipoMP]) ?>
		<td class="center">&nbsp;<?php echo "$rs[NumOrdine]/$rs[AnnoOrdine]" ?></td>
		<td class="right">&nbsp;<?php echo ntxDateTime($rs[DataOrdine]) ?></td>
		<td class="right"><?php echo ntxDate($rs[DataInizioProg]) ?></td>
		<td class="right"><?php echo ntxDate($rs[DataFineProg]) ?></td>
		<td><input type=text Colonna='DataInizio' <?php echo "Riga='$Riga' NumOrdine='$rs[NumOrdine]' AnnoOrdine='$rs[AnnoOrdine]' value=\"".ntxDate($rs[DataInizio])."\"" ?>></td>
		<td><input type=text Colonna='OraInizio' size=5 <?php echo "Riga='$Riga' NumOrdine='$rs[NumOrdine]' AnnoOrdine='$rs[AnnoOrdine]' value=\"".ntxTime($rs[DataInizio])."\"" ?>></td>
		<td><input type=text Colonna='DataFine' <?php echo "Riga='$Riga' NumOrdine='$rs[NumOrdine]' AnnoOrdine='$rs[AnnoOrdine]' value=\"".ntxDate($rs[DataFine])."\"" ?>></td>
		<td><input type=text Colonna='OraFine' size=5 <?php echo "Riga='$Riga' NumOrdine='$rs[NumOrdine]' AnnoOrdine='$rs[AnnoOrdine]' value=\"".ntxTime($rs[DataFine])."\"" ?>></td>
		<td><input type=text Colonna='QTA' size=5 <?php echo "Riga='$Riga' NumOrdine='$rs[NumOrdine]' AnnoOrdine='$rs[AnnoOrdine]' value=\"".htmlentities($rs[QTA])."\"" ?>></td>
		<td><input type=button value='Registra' onclick="<?php echo "RegistraRiga('$Riga','$rs[NumOrdine]','$rs[AnnoOrdine]')" ?>" /></td>
		<td class="center" Colonna='Stato' <?php echo "Riga='$Riga'" ?>><?php echo htmlentities($rs[DesStato]) ?></td>
		<td>&nbsp;<?php echo htmlentities("$rs[DescrizioneIntervento]$rs[DescrizioneIntervento1]$rs[DescrizioneIntervento2]") ?></td>
		<td>&nbsp;<?php echo htmlentities("$rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CAP] - $rs[CITTA] ($rs[PROVINCIA])") ?></td>
		<td><?php echo htmlentities($rs[Mestiere]) ?></td>
		<td><?php echo htmlentities($rs[Ditta]) ?></td>
		<td><?php echo htmlentities($rs[Ente]) ?></td>
		<td <?php echo "Riga='$Riga'" ?> Colonna='VistoMP' style="text-align:center"><?php echo $rs[VistoMP] ? "X" : "" ?></td>
		<td <?php echo "Riga='$Riga'" ?> Colonna='UtenteVistoMP'><?php echo htmlentities($rs[UtenteVistoMP]) ?></td>
		<td <?php echo "Riga='$Riga'" ?> Colonna='DataOraVistoMP'><?php echo ntxDateTime($rs[DataOraVistoMP]) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
		
		$Riga++;
	}
?>
</table>

<form name=frmDoc method=post>
	<input type=hidden name=NumOrdine />
	<input type=hidden name=AnnoOrdine />
	<input type=hidden name=TipoMP />
</form>

<form name=frmExcel method=post action="excel_elenco_ordini.php" target=_blank>
	<?php ntxCreateHiddens() ?>
</form>
</body>
</html>
