<?php

$sql = <<< sql
	SELECT  DISTINCT   
					day($data1) dd_start, 
					month($data1) mm_start, 
					year($data1) yy_start, 
					day( $data2) dd_end, 
					month($data2) mm_end, 
					year($data2) yy_end 
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$dd_start = $rs[dd_start];
$mm_start = $rs[mm_start];
$yy_start = $rs[yy_start];

$dd_end = $rs[dd_end];
$mm_end = $rs[mm_end];
$yy_end = $rs[yy_end];

$sql = <<< sql
	SELECT  DISTINCT   
					day( tblOrdiniProgrammati.dataInizioProg) dd1, 
					month(tblOrdiniProgrammati.dataInizioProg) mm1, 
					year(tblOrdiniProgrammati.dataInizioProg) yy1, 
					day( tblOrdiniProgrammati.dataFineProg) dd2, 
					month(tblOrdiniProgrammati.dataFineProg) mm2, 
					year(tblOrdiniProgrammati.dataFineProg) yy2, 
					tblOrdiniProgrammati.IdEdificio, 
					tblOrdiniProgrammati.IdOrdineProgrammato, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, 
					tblOrdiniProgrammati.Annullato, tblOrdiniProgrammati.Anomalia,
					tblOrdiniProgrammati.dataInizioProg,
					tblOrdiniProgrammati.IdOrigine
	FROM         tblPgContrattiAffidatariAttivitàEdifici INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
                      tblOrdiniProgrammati ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = tblOrdiniProgrammati.IdEdificio AND 
                      tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere = tblOrdiniProgrammati.IdAttivitàMestiere AND 
                      tblPgContrattiAffidatari.DataInizio <= tblOrdiniProgrammati.dataInizioProg AND 
                      tblPgContrattiAffidatari.DataFine >= tblOrdiniProgrammati.dataInizioProg INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID
	  $where
	ORDER BY tblOrdiniProgrammati.IdEdificio, tblOrdiniProgrammati.dataInizioProg
sql;

$query = ntxQuery($sql);

$preplanning = array();

while ( $rs = ntxRecord($query) )
{
	$rs[dus1] = $rs[yy1].($rs[mm1]<10 ? "0" : "").$rs[mm1].($rs[dd1]<10 ? "0" : "").$rs[dd1];
	$rs[dus2] = $rs[yy2].($rs[mm2]<10 ? "0" : "").$rs[mm2].($rs[dd2]<10 ? "0" : "").$rs[dd2];
	
	$preplanning[$rs[IdEdificio]][] = $rs;
}

?>