<?php

$sql = <<< sql
	SELECT     tblMestieri.codice AS CodMest, tblMestieri.Descrizione AS DesMest, tblComponetiMestiere.codice AS CodComp, 
                      tblComponetiMestiere.Descrizione AS DesComp, tblAttivitàMestiere.codice AS CodAtt, tblAttivitàMestiere.Descrizione AS DesAtt, 
                      tblFrequenzeMestieri.Descrizione AS Freq
	FROM         tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND 
                      tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza AND 
                      tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa
	WHERE     (tblAttivitàMestiere.IdCommessa = $IdCommessa) 
		AND (tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere)
sql;

$rs = ntxRecord(ntxQuery($sql));

foreach($rs as $k=>$v)
	$rs[$k] = htmlentities($v);
	
	$DesTipoMP = "";
	
	if ( is_numeric($TipoMP) )
	switch($TipoMP)
	{
		case 0:
			$DesTipoMP = 'edificio';
			break;
		case 1:
			$DesTipoMP = 'componente';
			break;
		case 2:
			$DesTipoMP = 'vano';
			break;
		case 3:
			$DesTipoMP = 'utilizzatore';
			break;
	}
	
echo <<< echo
	<table class=grid style="width:600px">
		<tr>
			<th colspan=2 style="text-align:left">
			<input type=button value="-" onclick="Compatta(this, 'RigheTestata')" />
			da data $_POST[DataInizioPrg1]
			a $_POST[DataInizioPrg2]
		<tr RigheTestata>
			<th>Mestiere</th><td>$rs[CodMest] - $rs[DesMest]</td>
		<tr RigheTestata>
			<th>Componente</th><td>$rs[CodComp] - $rs[DesComp]</td>
		<tr RigheTestata>
			<th>Attività</th><td>$rs[CodAtt] - $rs[DesAtt]</td>
		<tr RigheTestata>
			<th>Frequenza</th><td>$rs[Freq]</td>
		<tr RigheTestata>
			<th>TipoMP</th><td>$DesTipoMP&nbsp;</td>
	</table>
echo;

?>