<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_214", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_214", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = "SELECT 2 FROM Ordini WHERE Contabiliz='Canone' AND ContabilizF='Extracanone' AND IdCommessa=$IdCommessa AND NumOrdine=$NumOrdine AND AnnoOrdine=$AnnoOrdine";

$val = ntxScalar($sql);

$ExtraSoloPerFornitore = ($val==2);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>


<body>
<?php
require("stato_contabilita.php");
?>

<?php
	$IdCommessa = ntxise('IdCommessa');
	$NumOrdine = ntxip('NumOrdine');
	$AnnoOrdine = ntxip('AnnoOrdine');
?>
<form name=form1 method=post>
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="<?php echo $_POST['NumOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="<?php echo $_POST['AnnoOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=IDCosti VALUE="" >
	<input TYPE=HIDDEN NAME=Autorizzato VALUE="" >
</form>

<?php
	$IdCommessa = ntxise('IdCommessa');
	$NumOrdine = ntxip('NumOrdine');
	$AnnoOrdine = ntxip('AnnoOrdine');

	$sqlSostituito = <<< sqlSostituito
					SELECT isnull(ElencoPrezziInCommessa.Sostituito, 0)
					FROM ElencoPrezziInCommessa
					WHERE ElencoPrezziInCommessa.IdCommessa = Costi.IdCommessa
						AND ElencoPrezziInCommessa.IdPrezzo = Costi.IdPrezzo
sqlSostituito;

	$sqlPzCliente = <<< sqlPzCliente
					SELECT ElencoPrezziInCommessa.PzCliente
					FROM ElencoPrezziInCommessa
					WHERE ElencoPrezziInCommessa.IdCommessa = Costi.IdCommessa
						AND ElencoPrezziInCommessa.IdPrezzo = Costi.IdPrezzo
sqlPzCliente;

	$sql = <<< SQL
		SELECT     IdCommessa, IDCosti, NumOrdine, AnnoOrdine, Descrizione, UM, QTA, CostoUnit, 
				sconto, IdPrezzo, DataCompetenza, DataLavorazione, Cod, Titolo, Autorizzato,
				DescrEstesa, Lun, Alt, Lar, Formula, NotaRiga, Tipo, TipoPrezzo, Prezziario, TabellaOrigine, Allegato,
				($sqlSostituito) AS Sostituito,
					  ($sqlPzCliente) AS PzCliente
		FROM         Costi
		WHERE     (IdCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine')
SQL;

	$query = ntxQuery($sql);

	while( $rs = ntxRecord($query) )
	{
		if ($rs[Sostituito]==1)
		{
			echo "<p><img src=\"../../../_img/warning.bmp\">".$traduttore->traduci('Attenzione una o più voci prese dell\'elenco prezzi sono ora obsolete.')."</p>";
			break;
		}
	}
	
	$query = ntxQuery($sql);
	
?>
<input type=button value="<?php $traduttore->html('Seleziona Tutto') ?>" onclick="Setta(true)">
<input type=button value="<?php $traduttore->html('Deseleziona Tutto') ?>" onclick="Setta(false)">
<?php	
	if ( !$ExtraSoloPerFornitore )
	{
?>
		<input type=button value="<?php $traduttore->html('Importa') ?>" onclick="ImportaRigheP()"  <?php echo $disableModifica?> >
		<input type=button value="<?php $traduttore->html('Visto Costi') ?>" onclick="VistoCosti()" <?php echo $disableModifica?> >
<?php	
	}
?>
<br>
<br>
<table align=left>
	<caption><?php $traduttore->html('Costi') ?></caption>
	<tr>
		<th><?php $traduttore->html('Autorizzato') ?></th>
		<th><?php $traduttore->html('Prezziario') ?></th>
		<th><?php $traduttore->html('Cod. Prezzo') ?></th>
		<th><?php $traduttore->html('Titolo') ?></th>
		<th><?php $traduttore->html('Descrizione') ?></th>
		<th><?php $traduttore->html('Descr. Estesa') ?></th>
		<th><?php $traduttore->html('UM') ?></th>
		<th><?php $traduttore->html('Formula') ?></th>
		<th><?php $traduttore->html('QTA') ?></th>
		<th><?php $traduttore->html('Costo Unitario') ?></th>
		<th><?php $traduttore->html('Sconto') ?></th>
		<th><?php $traduttore->html('Importo Lordo') ?></th>
		<th><?php $traduttore->html('Importo Netto') ?></th>
		<th><?php $traduttore->html('Pz Unitario a ricavo') ?></th>
		<th><?php $traduttore->html('Data Competenza') ?></th>
		<th><?php $traduttore->html('Data Lavorazione') ?></th>
		<th><?php $traduttore->html('Allegato') ?></th>
		<th>&nbsp;</th>
	</tr>
<?php
	$alternate = true;

	$TotaleCostiLordo = 0;
	$TotaleCosti = 0;
	
	while( $rs = ntxRecord($query) )
	{
		$CostoTotaleiLordo = $rs['QTA'] * $rs['CostoUnit'];
		$CostoTotale = $CostoTotaleiLordo * (1 - $rs['sconto']/100);
		
		if ( $rs['Autorizzato']==1 ) $checked = " CHECKED "; else $checked = "";
		
		$warning = "";
		
		if ($rs[Sostituito]==1) $warning = "<img src=\"../../../_img/warning.bmp\">";
		
		$check = "<input type=checkbox  $checked onclick=\"Autorizza(this, $rs[IDCosti])\">";
?>
	<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $warning.$check ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Formula']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['QTA'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['CostoUnit'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['sconto'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($CostoTotaleiLordo,2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($CostoTotale,2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['PzCliente'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataCompetenza']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataLavorazione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs['Allegato']==1 ? "SI" : "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<input type=button value="<?php $traduttore->html('Allegato') ?>" onclick="Allegato(<?php echo $rs['IDCosti'] ?>)">
			</td>
	</tr>
<?php
		if ( is_numeric($CostoTotaleiLordo) ) 
		{
			$TotaleCostiLordo += (float)($CostoTotaleiLordo);
		}
		
		if ( is_numeric($CostoTotale) ) 
		{
			$TotaleCosti += (float)($CostoTotale);
		}
		
		$alternate = !$alternate;
	}
?>
	<tr><th colspan=11 style="text-align:right"><?php $traduttore->html('TOTALE COSTI') ?>:</th>
	<th <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($TotaleCostiLordo,2) ?></th>
	<th <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($TotaleCosti,2) ?></th>
	<th colspan=5>&nbsp;</th></tr>
</table>

<form name=frmAllegato method=post action=download_doc2.php target=_blank>
	<input type=hidden name=IDCosti value="">
	<input type=hidden name=IdCommessa value="<?php echo ntxise('IdCommessa') ?>">
</form>

<?php require('elenco_costi_allegati_ordini.inc') ?>

<script language=javascript>

	function Allegato(IDCosti)
	{
		frmAllegato.IDCosti.value = IDCosti;
		frmAllegato.submit();
	}

	function ImportaRigheP()
	{
		if ( !confirm("<?php $traduttore->js('Sicuro di volere importare le righe selezionate?') ?>") ) return;
		
		if ( ntxSendForm(form1, funcVoid, 'elenco_costi/importa_righe') )
		{
			parent.drcUpdateFrame(form1, "elenco_contabilita");
			parent.drcUpdateFrame(form1, "testata_contabilita");
			parent.drcShowKeyTab("elenco_contabilita");
		}
	}

	function VistoCosti()
	{
		if ( !confirm("<?php $traduttore->js('Sicuro di volere passare l\'ordine a visto costi?') ?>") ) return;
		
		if ( ntxSendForm(form1, funcVoid, 'elenco_costi/visto_costi') )
		{
			alert("<?php $traduttore->js('Ordine ora in stato visto costi!') ?>");
		}
	}

	function Setta(Autorizzato)
	{
		if ( !confirm("<?php $traduttore->js('Sicuro di volere eseguire l\'operazione?') ?>") ) return;
		
		form1.Autorizzato.value=(Autorizzato ? 1 : 0);
		
		if ( ntxSendForm(form1, funcVoid, 'elenco_costi/autorizza_all') )
		{
			form1.action = "elenco_costi.php"
			form1.target = "_self";
			form1.submit();
		}
	}

	function Autorizza(chk, IDCosti)
	{
		form1.IDCosti.value=IDCosti;
		form1.Autorizzato.value=(chk.checked ? 1 : 0);
		
		if ( ntxSendForm(form1, funcVoid, 'elenco_costi/autorizza') )
		{
		}
	}

	function funcVoid(text)
	{
		
	}

</script>
<?php $traduttore->Salva(); ?>

</body>
</html>
