<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_211", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_211", "IT", __FILE__);

$vista_cliente = $_POST[vista_cliente]==1 ? 1 : 0;

?>
<html>
<head>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
<script type="text/javascript" src="js/filtro_ordini/carica_selects.js?v2"></script>
</head>
<body  onload="caricaTutto()">


<form method=post name=form1>
	<input type=hidden name=IdPropietario >
	<input type=hidden name=IdEdificio >
	<input type=hidden name=vista_cliente value="<?php echo $vista_cliente ?>" />
	
	<table align=center>
		<caption><?php $traduttore->html('Ricerca Ordini') ?></caption>
		<tr><th><?php $traduttore->html('Ente di appartenenza') ?><td><input type=text name=Ente size=50 readonly />
			<input type=button value="x" onclick="TogliProprietario()" />
		<tr><th><?php $traduttore->html('Localizzazione') ?><td><input type=text name=Edificio size=50 readonly />
			<input type=button value="x" onclick="TogliEdificio()" />
		<tr><th><?php $traduttore->html('Num. Richiesta') ?><td><input type=text name=NumRichiesta size=50 />
		<tr><th><?php $traduttore->html('Anno Richiesta') ?><td><input type=text name=AnnoRichiesta size=50 />
		<tr><th><?php $traduttore->html('Num. Ordine') ?><td><input type=text name=NumOrdine size=50 />
		<tr><th><?php $traduttore->html('Anno Ordine') ?><td><input type=text name=AnnoOrdine size=50 />
		<tr><th><?php $traduttore->html('Descrizione') ?><td><input type=text name=Descrizione size=50 />
		<tr><th><?php $traduttore->html('Stato Ordine') ?><td><select name=StatoOrd></select>
		<tr><th><?php $traduttore->html('Numero SAL') ?><td><select name=NumSal></select>
		<tr><th><?php $traduttore->html('Num. Contabilità') ?><td><input type=text name=NumContabilità size=50 />
		<tr><th><?php $traduttore->html('Stato Contabilità') ?><td><select name=idStatoc></select>
		<tr><th><?php $traduttore->html('Mestiere') ?><td><select name=IdMestiere onchange="caricaComponenti()"></select>
		<tr><th><?php $traduttore->html('Componente') ?><td><select name=IdComponente></select>
		<tr><th><?php $traduttore->html('Data >= Data Richiesta') ?><td><input type=text name=DataRichiesta1 size=50 />
		<tr><th><?php $traduttore->html('Data <= Data Richiesta') ?><td><input type=text name=DataRichiesta2 size=50 />
		<tr><th><?php $traduttore->html('Data >= Data Ordine') ?><td><input type=text name=DataOrdine1 size=50 />
		<tr><th><?php $traduttore->html('Data <= Data Ordine') ?><td><input type=text name=DataOrdine2 size=50 />
		<tr><th><?php $traduttore->html('Ordine Cliente (NEL)') ?><td><input type=text name=GruppoF size=50 />
		<tr><th><?php $traduttore->html('Tipo Localizzazione') ?><td><select name=TipoLocalizzazione>
					<option value="">
					<option value="0"><?php $traduttore->html('Edile') ?>
					<option value="1"><?php $traduttore->html('Strade') ?>
					<option value="2"><?php $traduttore->html('Verde') ?>
				</select>

		<tr><th><?php $traduttore->html('Tipo C') ?><td><select name=TipoC>
					<option value="1" SELECTED><?php $traduttore->html('Extracanone') ?>
					<option value="2"><?php $traduttore->html('Canone') ?>
				</select>

		<tr><th colspan=2><input type=button style="width:100%" value="<?php $traduttore->html('Ricerca') ?>" onclick="FiltraOrdini()">
	</table>
</form>

<script language=javascript>

function FiltraOrdini()
{
	parent.drcUpdateFrame(form1, "elenco_ordini");
	parent.drcShowKeyTab("elenco_ordini");
}

function CaricaEnte(txt)
{
	var rows=ntxRecord(txt);
	form1.Ente.value = rows['Ente'];
}

function CaricaEdificio(txt)
{
	var rows=ntxRecord(txt);
	form1.IdPropietario.value = rows['IdPropietario'];
	form1.Ente.value = rows['Ente'];
	form1.Edificio.value = rows['Edificio'];
}

function TogliProprietario()
{
	document.form1.IdPropietario.value = '';
	document.form1.Ente.value = '';
}

function TogliEdificio()
{
	document.form1.IdEdificio.value = '';
	document.form1.Edificio.value = '';
}

function SelEnte(IdPropietario)
{
	document.form1.IdPropietario.value = IdPropietario;
	ntxSendForm(form1, CaricaEnte, 'filtro_ordini/carica_ente');
	TogliEdificio();
}

function SelEdificio(IdEdificio)
{
	document.form1.IdEdificio.value = IdEdificio;
	ntxSendForm(form1, CaricaEdificio, 'filtro_ordini/carica_edificio');
}

</script>
<?php $traduttore->Salva(); ?>

</body>
</html>
