<?php

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');

$sql = <<< sql
	SELECT DISTINCT 
						  Ordini.NumOrdine, 
						  Ordini.AnnoOrdine, 
						  Ordini.DataOrdine, 
						  Ordini.DataScadenza, 
						  Ordini.DataInizio, 
						  Ordini.DataFine, 
						  Ordini.DataInizioProg, 
						  Ordini.DataFineProg, 
						  StatiOrdini.DesStato, 
						  Ordini.DescrizioneIntervento, 
						  Ordini.DescrizioneIntervento1, 
						  Ordini.DescrizioneIntervento2, 
						  ElencoEdifici.Codice, 
						  ElencoEdifici.EdificioBreve, 
						  ElencoEdifici.Indirizzo, 
						  ElencoEdifici.CAP, 
						  ElencoEdifici.CITTA, 
						  ElencoEdifici.PROVINCIA,
						  ISNULL((SELECT TOP 1 1 FROM Costi 
							WHERE Costi.IdCommessa=Ordini.IdCommessa
							AND Costi.NumOrdine=Ordini.NumOrdine
							AND Costi.AnnoOrdine=Ordini.AnnoOrdine),0) Costi
	FROM         Ordini INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
						  tblPgContrattiRifAffidatariAttivitàEdifici ON Ordini.IDCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
						  Ordini.CodEdificio = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio INNER JOIN
						  tblPgContrattiRifAffidatari ON 
						  tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario INNER JOIN
						  UtentiRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario
	WHERE     
		(Ordini.GradoUrgenza = N'MP') 
		AND (UtentiRifAffidatari.IdUtente = $IdUtente) 
		AND (Ordini.IDCommessa = $IdCommessa)
sql;

if ( strlen($_POST[DataOrdine1])>0 )
	$sql .= " AND Ordini.DataOrdine>=".ntxtp('DataOrdine1');
if ( strlen($_POST[DataInizio1])>0 )
	$sql .= " AND Ordini.DataInizio>=".ntxtp('DataInizio1');
if ( strlen($_POST[DataFine1])>0 )
	$sql .= " AND Ordini.DataFine>=".ntxtp('DataFine1');
if ( strlen($_POST[DataInizioPrg1])>0 )
	$sql .= " AND Ordini.DataInizioProg>=".ntxtp('DataInizioPrg1');
if ( strlen($_POST[DataFinePrg1])>0 )
	$sql .= " AND Ordini.DataFineProg>=".ntxtp('DataFinePrg1');

if ( strlen($_POST[DataOrdine2])>0 )
	$sql .= " AND Ordini.DataOrdine<=".ntxtp('DataOrdine2');
if ( strlen($_POST[DataInizio2])>0 )
	$sql .= " AND Ordini.DataInizio<=".ntxtp('DataInizio2');
if ( strlen($_POST[DataFine2])>0 )
	$sql .= " AND Ordini.DataFine<=".ntxtp('DataFine2');
if ( strlen($_POST[DataInizioPrg2])>0 )
	$sql .= " AND Ordini.DataInizioProg<=".ntxtp('DataInizioPrg2');
if ( strlen($_POST[DataFinePrg2])>0 )
	$sql .= " AND Ordini.DataFineProg<=".ntxtp('DataFinePrg2');

if ( strlen($_POST[Descrizione])>0 )
	$sql .= " AND Ordini.DescrizioneIntervento+Ordini.DescrizioneIntervento1+Ordini.DescrizioneIntervento2 LIKE '%".str_replace("'","''",$_POST[Descrizione])."%'";
if ( strlen($_POST[Codice])>0 )
	$sql .= " AND ElencoEdifici.Codice = ".ntxsp('Codice');
if ( strlen($_POST[Nome])>0 )
	$sql .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[Nome])."%'";
if ( strlen($_POST[Indirizzo])>0 )
	$sql .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";
if ( strlen($_POST[Comune])>0 )
	$sql .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[Comune])."%'";
if ( strlen($_POST[Prov])>0 )
	$sql .= " AND ElencoEdifici.PROVINCIA = ".ntxsp('Prov');
if ( strlen($_POST[Cap])>0 )
	$sql .= " AND ElencoEdifici.CAP = ".ntxsp('Cap');

$idStati = explode(",", $_POST[idStati]);

$where = "";

foreach($idStati as $id)
{
	if ( is_numeric($id) )
	{
		if ( strlen($where)>0 ) $where .= " OR ";
		
		$where .= "Ordini.StatoOrd=$id";
	}
}

if ( strlen($where)>0 )
	$sql .= " AND ($where)";
	
$sql .= " ORDER BY Ordini.DataOrdine";

$query = ntxQuery($sql);

?>