<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
</head>
<body>

<?php

$sql = <<< sql
	SELECT     IDStato, DesStato
	FROM         StatiOrdini
	ORDER BY IDStato
sql;

$query = ntxQuery($sql);

$stati = "<table class=grid style=\"width:100%\">";

$alternate = false;

$countStati = 0;

$idStati = "";

while ( $rs = ntxIRecord($query) )
{
	$des = htmlentities($rs[1]);
	
	$attrAlt = $alternate ? "class=alternate" : "";
	$checked = $rs[0]<200  &&  $rs[0]<>25  &&  $rs[0]<>60  &&  $rs[0]<>70 ? "checked" : "";
	
	if ( $checked<>"" )
	{
		if ( strlen($idStati)>0 ) $idStati .=",";
	
		$idStati .= $rs[0];
	}
	
	$stati .= <<< stati
		<tr $attrAlt><td><input id=stato_$countStati type=checkbox value="$rs[0]" onclick="SettaStati()" $checked>$des
stati;

	$countStati++;
	
	$alternate = !$alternate;
}

$stati .= "</table>";

?>

<form name=form1 method=post>
	<input type=hidden name=idStati value="<?php echo $idStati ?>">
	<table class=grid>
		<tr>
			<th colspan=6 style="font-size:12pt">Ordine</th>
		<tr>
			<th>Data Ordine &gt;=</th><td><input type=text name=DataOrdine1></td>
			<th>&lt;=</th><td colspan=3><input type=text name=DataOrdine2></td>
		<tr>
			<th>Data Inizio &gt;=</th><td><input type=text name=DataInizio1></td>
			<th>&lt;=</th><td colspan=3><input type=text name=DataInizio2></td>
		<tr>
			<th>Data Fine &gt;=</th><td><input type=text name=DataFine1></td>
			<th>&lt;=</th><td colspan=3><input type=text name=DataFine2></td>
		<tr>
			<th>Data Inizio Prg &gt;=</th><td><input type=text name=DataInizioPrg1></td>
			<th>&lt;=</th><td colspan=3><input type=text name=DataInizioPrg2></td>
		<tr>
			<th>Data Fine  Prg &gt;=</th><td><input type=text name=DataFinePrg1></td>
			<th>&lt;=</th><td colspan=3><input type=text name=DataFinePrg2></td>
		<tr>
			<th>Descrizione</th><td colspan=5><input type=text name=Descrizione size=55></td>
		<tr>
			<th colspan=6 style="font-size:12pt">Localizzazione Ordine</th>
		<tr>
			<th>Codice</th><td colspan=5><input type=text name=Codice size=55></td>
		<tr>
			<th>Nome</th><td colspan=5><input type=text name=Nome size=55></td>
		<tr>
			<th>Indirizzo</th><td colspan=5><input type=text name=Indirizzo size=55></td>
		<tr>
			<th>Comune</th><td><input type=text name=Comune size=20></td>
			<th>Prov</th><td><input type=text name=Prov size=2 maxlength=2></td>
			<th>Cap</th><td><input type=text name=Cap size=5 maxlength=5></td>
		<tr>
			<th colspan=6 style="font-size:12pt">Stato Ordine</th>
		<tr>
			<td colspan=6>
				<?php echo $stati ?>
			</td>
		<tr>
			<th colspan=2><input type=button style="width:100%" value=Filtra onclick="Filtra()">
			<th colspan=4><input type=reset style="width:100%" value=Reset>
		</tr>
		<tr>
			<th colspan=2><input type=button style="width:100%" value=Report onclick="Report()">
			<th colspan=4>
		</tr>
	</table>
</form>

<script>

function Filtra()
{
	parent.drcUpdateFrame(form1, "elenco_ordini");
	parent.drcShowKeyTab("elenco_ordini");
}

function Report()
{
	parent.drcUpdateFrame(form1, "report");
	parent.drcShowKeyTab("report");
}

function SettaStati()
{
	var i;
	
	form1.idStati.value = "";
	
	for(i=0;i<<?php echo $countStati ?>;i++)
	{
		var chk = jei('stato_'+i);
		
		if ( chk.checked )
		{
			if ( form1.idStati.value.length > 0 )
				form1.idStati.value += ",";
				
			form1.idStati.value += chk.value;
		}
	}
}

$(function(){
	$('input[name=DataOrdine1]').datepicker(); $('input[name=DataOrdine2]').datepicker();
	$('input[name=DataScadenza1]').datepicker(); $('input[name=DataScadenza2]').datepicker();
	$('input[name=DataInizio1]').datepicker(); $('input[name=DataInizio2]').datepicker();
	$('input[name=DataFine1]').datepicker(); $('input[name=DataFine2]').datepicker();
	$('input[name=DataInizioPrg1]').datepicker(); $('input[name=DataInizioPrg2]').datepicker();
	$('input[name=DataFinePrg1]').datepicker(); $('input[name=DataFinePrg2]').datepicker();
});

</script>
</body>
</html>
