<?php

session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$table = new NtxTable('Ordini');

$update = $table->update();

$numAnnoOrdini = explode("|", $_POST[numAnnoOrdini]);

$result = array();

$IdCommessa = ntxise('IdCommessa');

foreach($numAnnoOrdini as $numAnnoOrdine)
{
	$x = explode(" ", $numAnnoOrdine);

	$sql = <<< sql
		SELECT TOP 1 2 FROM Costi 
							WHERE Costi.IdCommessa=$IdCommessa
							AND Costi.NumOrdine=$x[0]
							AND Costi.AnnoOrdine='$x[1]'
sql;

	if ( ntxScalar($sql) == 2 )
	{
		$sql = <<< sql
				INSERT INTO Contabilità
									  (IDCommessa, NumOrdine, AnnoOrdine, GradoUrgenza, Tipo, Sede, CodEdificio, Edificio, Fase, Descrizione, DataModifica, 
									  DataContabilità, idStatoc)
				SELECT     Ordini.IDCommessa, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.GradoUrgenza, Ordini.Contabiliz, Ordini.Sede, Ordini.CodEdificio, 
									  ElencoEdifici.EdificioBreve, Ordini.Fase, Ordini.DescrizioneIntervento, GETDATE() AS DM, GETDATE() AS DM2, 20 AS idstatoc
				FROM         ElencoEdifici INNER JOIN
									  Ordini ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa 
		WHERE     (Ordini.IdCommessa = $IdCommessa) 
		  AND (Ordini.NumOrdine = $x[0]) 
		  AND (Ordini.AnnoOrdine = '$x[1]')	
		  AND ISNULL((SELECT TOP 1 1 FROM Contabilità 
								WHERE Contabilità.IdCommessa=Ordini.IdCommessa
								AND Contabilità.NumOrdine=Ordini.NumOrdine
								AND Contabilità.AnnoOrdine=Ordini.AnnoOrdine),0)=0
sql;

		ntxQuery($sql);

		$sql = <<< sql
			SELECT TOP 1 NumContabilità FROM Contabilità 
								WHERE Contabilità.IdCommessa=$IdCommessa
								AND Contabilità.NumOrdine=$x[0]
								AND Contabilità.AnnoOrdine='$x[1]'
sql;

		$NumContabilità = ntxScalar($sql);
		
		$sql = <<< SQL
			INSERT INTO RiheContabilità
								  (IdCommessa, NumContabilità, IdPrezzo, Alt, Lar, Lun, Cod, Titolo, UM, DataModifica, Prezziario, TipoPrezzo, Formula, NotaRiga, DataOp, Descrizione, DescrEstesa, 
								  QTA, PzUnitario, Sconto, Allegato, Path, Gruppo, OneriSicurezza)
			SELECT     IdCommessa, $NumContabilità AS NumContabilità, IdPrezzo, Alt, Lar, Lun, Cod, Titolo, UM, GETDATE() AS DataModifica, Prezziario, TipoPrezzo, Formula, NotaRiga, 
								  DataLavorazione AS DataOp, Descrizione, DescrEstesa, QTA, CostoUnit AS PzUnitario, 
								  0 AS Sconto, Allegato, Path, Gruppo,
								
								OneriSicurezza
			FROM         Costi
			WHERE     (IdCommessa = $IdCommessa) AND (NumOrdine = $x[0]) AND (AnnoOrdine = '$x[1]')
			AND ISNULL((SELECT TOP 1 1 FROM RiheContabilità 
								WHERE RiheContabilità.IdCommessa=Costi.IdCommessa
								AND RiheContabilità.NumContabilità=$NumContabilità),0)=0
SQL;

		ntxQuery($sql);

		$sql = <<< sql
			UPDATE         Ordini SET StatoOrd=200
			where IdCommessa = $IdCommessa and NumOrdine=$x[0] and AnnoOrdine='$x[1]' and StatoOrd<200
			AND ISNULL((SELECT TOP 1 1 FROM Contabilità 
								WHERE Contabilità.IdCommessa=Ordini.IdCommessa
								AND Contabilità.NumOrdine=Ordini.NumOrdine
								AND Contabilità.AnnoOrdine=Ordini.AnnoOrdine),0)=1
sql;

		$query = ntxQuery($sql);
		
		$sql = <<< sql
			SELECT     StatiOrdini.DesStato
			FROM         Ordini INNER JOIN
								  StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato
			where IdCommessa = $IdCommessa and NumOrdine=$x[0] and AnnoOrdine='$x[1]'
sql;

		$query = ntxQuery($sql);
		
		$rs = ntxIRecord($query);
		
		$result["$x[0]_$x[1]_0"] = $rs[0];
	}
}

jhp($result);


?>