<?php

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');

$sqlWhere = "";

if ( strlen($_POST[DataOrdine1])>0 )
	$sqlWhere .= " AND Ordini.DataOrdine>=".ntxtp('DataOrdine1');
if ( strlen($_POST[DataInizio1])>0 )
	$sqlWhere .= " AND Ordini.DataInizio>=".ntxtp('DataInizio1');
if ( strlen($_POST[DataFine1])>0 )
	$sqlWhere .= " AND Ordini.DataFine>=".ntxtp('DataFine1');
if ( strlen($_POST[DataInizioPrg1])>0 )
	$sqlWhere .= " AND Ordini.DataInizioProg>=".ntxtp('DataInizioPrg1');
if ( strlen($_POST[DataFinePrg1])>0 )
	$sqlWhere .= " AND Ordini.DataFineProg>=".ntxtp('DataFinePrg1');

if ( strlen($_POST[DataOrdine2])>0 )
	$sqlWhere .= " AND Ordini.DataOrdine<=".ntxtp('DataOrdine2');
if ( strlen($_POST[DataInizio2])>0 )
	$sqlWhere .= " AND Ordini.DataInizio<=".ntxtp('DataInizio2');
if ( strlen($_POST[DataFine2])>0 )
	$sqlWhere .= " AND Ordini.DataFine<=".ntxtp('DataFine2');
if ( strlen($_POST[DataInizioPrg2])>0 )
	$sqlWhere .= " AND Ordini.DataInizioProg<=".ntxtp('DataInizioPrg2');
if ( strlen($_POST[DataFinePrg2])>0 )
	$sqlWhere .= " AND Ordini.DataFineProg<=".ntxtp('DataFinePrg2');

if ( strlen($_POST[Descrizione])>0 )
	$sqlWhere .= " AND Ordini.DescrizioneIntervento+Ordini.DescrizioneIntervento1+Ordini.DescrizioneIntervento2 LIKE '%".str_replace("'","''",$_POST[Descrizione])."%'";
if ( strlen($_POST[Codice])>0 )
	$sqlWhere .= " AND ElencoEdifici.Codice = ".ntxsp('Codice');
if ( strlen($_POST[Nome])>0 )
	$sqlWhere .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[Nome])."%'";
if ( strlen($_POST[Indirizzo])>0 )
	$sqlWhere .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";
if ( strlen($_POST[Comune])>0 )
	$sqlWhere .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[Comune])."%'";
if ( strlen($_POST[Prov])>0 )
	$sqlWhere .= " AND ElencoEdifici.PROVINCIA = ".ntxsp('Prov');
if ( strlen($_POST[Cap])>0 )
	$sqlWhere .= " AND ElencoEdifici.CAP = ".ntxsp('Cap');

$idStati = explode(",", $_POST[idStati]);

$where = "";

foreach($idStati as $id)
{
	if ( is_numeric($id) )
	{
		if ( strlen($where)>0 ) $where .= " OR ";
		
		$where .= "Ordini.StatoOrd=$id";
	}
}

if ( strlen($where)>0 )
	$sqlWhere .= " AND ($where)";
	
$sql = <<< sql
SELECT DISTINCT 
                      Ordini.NumOrdine, 
					  Ordini.AnnoOrdine, 
					  isnull(tblOrdiniProgrammati.Quantità,1) Quantità, 
					  tblAttivitàMestiere.codice AS CodAtt, 
					  tblAttivitàMestiere.Descrizione AS DesAtt, 
                      tblComponetiMestiere.codice AS CodComp, 
					  tblComponetiMestiere.Descrizione AS DesComp, 
					  tblMestieri.codice AS CodMes, 
                      tblMestieri.Descrizione AS DesMes, 
					  ElencoPrezziInCommessa.PzUnitario
FROM         tblComponetiMestiere INNER JOIN
                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND 
                      tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      tblPgContrattiRifAffidatariAttivitàEdifici ON Ordini.IDCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
                      Ordini.CodEdificio = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio INNER JOIN
                      tblPgContrattiRifAffidatari ON 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario INNER JOIN
                      UtentiRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
                      Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblAttivitàMestiere.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblOrdiniProgrammati.IdAttivitàMestiere LEFT OUTER JOIN
                      ElencoPrezziInCommessa ON tblAttivitàMestiere.IdCommessa = ElencoPrezziInCommessa.IdCommessa AND 
                      tblAttivitàMestiere.codice = ElencoPrezziInCommessa.Cod
WHERE     (Ordini.GradoUrgenza = N'MP') 
		AND (ElencoPrezziInCommessa.Sostituito IS NULL OR ElencoPrezziInCommessa.Sostituito = 0)
		AND (Ordini.GradoUrgenza = N'MP') 
		AND (UtentiRifAffidatari.IdUtente = $IdUtente) 
		AND (Ordini.IDCommessa = $IdCommessa)
		$sqlWhere
		ORDER BY CodAtt
sql;

$query = ntxQuery($sql);

$dati = array();
	
while ( $rs=ntxRecord($query) )
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$dati["$rs[NumOrdine]_$rs[AnnoOrdine]"][] = $rs;
}

$sql = <<< sql
	SELECT DISTINCT 
						  Ordini.NumOrdine, 
						  Ordini.AnnoOrdine, 
						  Ordini.DataOrdine, 
						  Ordini.DataScadenza, 
						  Ordini.DataInizio, 
						  Ordini.DataFine, 
						  Ordini.DataInizioProg, 
						  Ordini.DataFineProg, 
						  StatiOrdini.DesStato, 
						  Ordini.DescrizioneIntervento, 
						  Ordini.DescrizioneIntervento1, 
						  Ordini.DescrizioneIntervento2, 
						  ElencoEdifici.Codice, 
						  ElencoEdifici.EdificioBreve, 
						  ElencoEdifici.Indirizzo, 
						  ElencoEdifici.CAP, 
						  ElencoEdifici.CITTA, 
						  ElencoEdifici.PROVINCIA,
						  ISNULL((SELECT TOP 1 1 FROM Costi 
							WHERE Costi.IdCommessa=Ordini.IdCommessa
							AND Costi.NumOrdine=Ordini.NumOrdine
							AND Costi.AnnoOrdine=Ordini.AnnoOrdine),0) Costi
	FROM         Ordini INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
						  tblPgContrattiRifAffidatariAttivitàEdifici ON Ordini.IDCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
						  Ordini.CodEdificio = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio INNER JOIN
						  tblPgContrattiRifAffidatari ON 
						  tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario INNER JOIN
						  UtentiRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario
	WHERE     
		(Ordini.GradoUrgenza = N'MP') 
		AND (UtentiRifAffidatari.IdUtente = $IdUtente) 
		AND (Ordini.IDCommessa = $IdCommessa)
		$sqlWhere
		ORDER BY Ordini.DataOrdine
sql;

$query = ntxQuery($sql);

?>