<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');

$IdCommessa = ntxise('IdCommessa');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script language=javascript>

	function SelAll(chk)
	{
		$('input[type="checkbox"][SelCell]:enabled').attr('checked', chk.checked);
	}

	function SelColumn(chk)
	{
		var IdMestiere = $(chk).attr('IdMestiere');
		$('input[type="checkbox"][SelCell][IdMestiere="'+IdMestiere+'"]:enabled').attr('checked', chk.checked);
	}

	function SelRow(chk)
	{
		var IdEdificio = $(chk).attr('IdEdificio');
		$('input[type="checkbox"][SelCell][IdEdificio="'+IdEdificio+'"]:enabled').attr('checked', chk.checked);
	}
	
	function Importa()
	{
		var cells = $('input[type="checkbox"][SelCell]:checked');
		
		var len = cells.length;
		
		if ( len==0 )
		{
			alert("Seleziona almento una cella!");
			return;
		}
		
		var i, j;
		
		for (i=0; i<len;)
		{
			var IdEdifici = "";
			var IdMestieri = "";
			
			for (j=0; j<100  &&  i<len; ++i, ++j)
			{
				var cell = $(cells[i]);
				var IdEdificio = cell.attr('IdEdificio');
				var IdMestiere = cell.attr('IdMestiere');
				
				if ( IdEdifici.length>0 ) IdEdifici += ",";
				
				IdEdifici += IdEdificio;
				
				if ( IdMestieri.length>0 ) IdMestieri += ",";
				
				IdMestieri += IdMestiere;
			}
			
			var obj = {IdPgContrattoAffidatario: <?php echo $IdPgContrattoAffidatario ?>,
						IdEdifici: IdEdifici,
						IdMestieri: IdMestieri
			};
			
			var result = jhp("jhp/importa_attiv_mest.php", obj);
			
			if(result.state)
			{
				alert(result.message);
				return;
			}
		}
		
		alert("FINITO!");
	}
	
	</script>
</head>
<body  >

<?php require('importa_testata.inc') ?>

<input type=button value="Importa Consistenza da Contratto Gestione su contratto affidatario" onclick="Importa()">

<?php

$sql = <<< sql
	SELECT DISTINCT tblMestieri.IdMestiere, tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio
	FROM         tblPgContrattiPropietariGestoriAttivitàEdifici INNER JOIN
                      tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
	WHERE     (tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = $IdPgContratto)
sql;

$query = ntxQuery($sql);

$mestieri_edifici = array();

while( $rs=ntxRecord($query) )
{
	$mestieri_edifici[$rs[IdEdificio]][] = $rs[IdMestiere];
}

$sql = <<< sql
	SELECT DISTINCT tblMestieri.IdMestiere, tblMestieri.codice, tblMestieri.Descrizione, tblMestieri.Ordine
	FROM         tblPgContrattiPropietariGestoriAttivitàEdifici INNER JOIN
						  tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
						  tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
						  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
						  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
						  tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
	WHERE     (tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = $IdPgContratto)
	ORDER BY tblMestieri.Ordine, tblMestieri.codice, tblMestieri.Descrizione
sql;

$query = ntxQuery($sql);

$mestieri = array();

$countColumns = 0;

while( $rs=ntxRecord($query) )
{
	$mestieri[] = $rs;
	$countColumns++;
}

$sql = <<< sql
	SELECT DISTINCT 
						  tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioEstesa, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
						  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP
	FROM         tblPgContrattiPropietariGestoriAttivitàEdifici INNER JOIN
						  ElencoEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
						  tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID
	WHERE     (tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = $IdPgContratto)
sql;

echo "<table class=grid><tr><th><th><th><th>";

foreach($mestieri as $mest)
{
	$cod=htmlentities($mest[codice]);
	$des=htmlentities($mest[Descrizione]);
	
	echo "<th>$cod - $des";
}

echo "<tr><td><td><td ><td><input type=checkbox onclick='SelAll(this)' SelAll>";

foreach($mestieri as $mest)
{
	$cod=htmlentities($mest[codice]);
	$des=htmlentities($mest[Descrizione]);
	
	echo "<td><input type=checkbox onclick='SelColumn(this)' SelColumn IdMestiere=$mest[IdMestiere]>";
}

$query = ntxQuery($sql);

while( $rs=ntxRecord($query) )
{
	$Codice=htmlentities($rs[Codice]);
	$EdificioBreve=htmlentities($rs[EdificioBreve]);
	$EdificioEstesa=htmlentities($rs[EdificioEstesa]);
	$Indirizzo=htmlentities($rs[Indirizzo]);
	$CITTA=htmlentities($rs[CITTA]);
	$PROVINCIA=htmlentities($rs[PROVINCIA]);
	$CAP=htmlentities($rs[CAP]);
	
	echo "<tr><td>$rs[IdEdificio]<td>$Codice<td>$EdificioBreve - $EdificioEstesa - $Indirizzo - $CITTA ($PROVINCIA) - $CAP";

	echo "<td><input type=checkbox onclick='SelRow(this)' SelRow IdEdificio=$rs[IdEdificio]>";

	foreach($mestieri as $mest)
	{
		if ( in_array($mest[IdMestiere], $mestieri_edifici[$rs[IdEdificio]]) )
			$disabled = "";
		else
			$disabled = "DISABLED";
		
		echo "<td><input type=checkbox SelCell $disabled IdMestiere=$mest[IdMestiere] IdEdificio=$rs[IdEdificio]>";
	}
}

echo "</table>";

?>

</body>
</html>
