$(function(){
	$('#txtEditDataContratto').datepicker();
	$('#txtEditDataInizio').datepicker();
	$('#txtEditDataFine').datepicker();
});

function Filtro(target, IdContratto)
{
	frmTarget.action = target+".php";
	frmTarget.target = target;
	frmTarget.IdPgContratto.value = IdContratto;
	frmTarget.submit();
	parent.selTab(target);
}

function Ripulisci()
{
	frmFiltro.IdPropietario.value="";
	frmFiltro.Ente.value="";
	frmFiltro.Des1.value="";
}

function SelCliente(IdPropietario)
{
	frmFiltro.IdPropietario.value = IdPropietario;

	var obj = {IdPropietario: IdPropietario};
	
	var result = jhp("jhp/carica_nome_cliente.php", obj);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		frmFiltro.Ente.value = result.value;
	}
}

function TogliCliente()
{
	frmFiltro.IdPropietario.value = '';
	frmFiltro.Ente.value = '';
}


function Edit(IdPgContratto)
{
	frmEdit.IdPgContratto.value = IdPgContratto;

	var result = jhp("jhp/contr_gestione/carica_edit_contr_gestione.php", jhp_frm(frmEdit));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		frmEdit.IdPgContratto.value = result.value["IdPgContratto"];
		frmEdit.IdPropietario.value = result.value["IdPropietario"];
		frmEdit.IdGestore.value = result.value["IdGestore"];
		frmEdit.IdOfferta.value = result.value["IdOfferta"];
		frmEdit.Descrizione.value = result.value["Descrizione"];
		frmEdit.txtEditDataContratto.value = result.value["DataContratto"];
		frmEdit.txtEditDataInizio.value = result.value["DataInizio"];
		frmEdit.txtEditDataFine.value = result.value["DataFine"];
		frmEdit.TipoContratto.value = result.value["TipoContratto"];

		frmEdit.Aperto.checked = result.value["Aperto"]==1;
		frmEdit.CopiaScontiFornitoreInContabilità.checked = result.value["CopiaSconti"]==1;
		frmEdit.UsaLogicaContrattiTecniciClienti.checked = result.value["UsaLogica"]==1;
	}
	
	location.href = "#sezione-edit";
}

function Nuovo()
{
	frmEdit.IdPgContratto.value = "";
	frmEdit.IdPropietario.value = "";
	frmEdit.IdGestore.value = "";
	frmEdit.IdOfferta.value = "";
	frmEdit.Descrizione.value = "";
	frmEdit.txtEditDataContratto.value = "";
	frmEdit.txtEditDataInizio.value = "";
	frmEdit.txtEditDataFine.value = "";
	frmEdit.TipoContratto.value = "";
	
	frmEdit.Aperto.checked = false;
	frmEdit.CopiaScontiFornitoreInContabilità.checked = false;
	frmEdit.UsaLogicaContrattiTecniciClienti.checked = false;
}

function Aggiungi()
{
	frmEdit.Aperto.value = frmEdit.Aperto.checked ? 1 : 0;
	frmEdit.CopiaScontiFornitoreInContabilità.value = frmEdit.CopiaScontiFornitoreInContabilità.checked ? 1 : 0;
	frmEdit.UsaLogicaContrattiTecniciClienti.value = frmEdit.UsaLogicaContrattiTecniciClienti.checked ? 1 : 0;

	var result = jhp("jhp/contr_gestione/aggiungi_contr_gestione.php", jhp_frm(frmEdit));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		frmEdit.IdPgContratto.value = result.value["IdPgContratto"];
		frmEdit.IdPropietario.value = result.value["IdPropietario"];
		frmEdit.IdGestore.value = result.value["IdGestore"];
		frmEdit.IdOfferta.value = result.value["IdOfferta"];
		frmEdit.Descrizione.value = result.value["Descrizione"];
		frmEdit.txtEditDataContratto.value = result.value["DataContratto"];
		frmEdit.txtEditDataInizio.value = result.value["DataInizio"];
		frmEdit.txtEditDataFine.value = result.value["DataFine"];
		frmEdit.TipoContratto.value = result.value["TipoContratto"];

		frmEdit.Aperto.checked = result.value["Aperto"]==1;
		frmEdit.CopiaScontiFornitoreInContabilità.checked = result.value["CopiaSconti"]==1;
		frmEdit.UsaLogicaContrattiTecniciClienti.checked = result.value["UsaLogica"]==1;
	}
}

function Modifica()
{
	frmEdit.Aperto.value = frmEdit.Aperto.checked ? 1 : 0;
	frmEdit.CopiaScontiFornitoreInContabilità.value = frmEdit.CopiaScontiFornitoreInContabilità.checked ? 1 : 0;
	frmEdit.UsaLogicaContrattiTecniciClienti.value = frmEdit.UsaLogicaContrattiTecniciClienti.checked ? 1 : 0;

	var result = jhp("jhp/contr_gestione/modifica_contr_gestione.php", jhp_frm(frmEdit));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		frmEdit.IdPgContratto.value = result.value["IdPgContratto"];
		frmEdit.IdPropietario.value = result.value["IdPropietario"];
		frmEdit.IdGestore.value = result.value["IdGestore"];
		frmEdit.IdOfferta.value = result.value["IdOfferta"];
		frmEdit.Descrizione.value = result.value["Descrizione"];
		frmEdit.txtEditDataContratto.value = result.value["DataContratto"];
		frmEdit.txtEditDataInizio.value = result.value["DataInizio"];
		frmEdit.txtEditDataFine.value = result.value["DataFine"];
		frmEdit.TipoContratto.value = result.value["TipoContratto"];

		frmEdit.Aperto.checked = result.value["Aperto"]==1;
		frmEdit.CopiaScontiFornitoreInContabilità.checked = result.value["CopiaSconti"]==1;
		frmEdit.UsaLogicaContrattiTecniciClienti.checked = result.value["UsaLogica"]==1;
	}
}

function Elimina()
{
	if ( !confirm("Eliminare?") ) return;
	
	var result = jhp("jhp/contr_gestione/elimina_contr_gestione.php", jhp_frm(frmEdit));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Nuovo();
		alert("Eliminato!");
	}
}

