<?php  

$IdCommessa = ntxip('IdCommessa');
$IdPgContratto = ntxip('IdPgContratto',false);
$FiltroEdificiCliente = ntxip('FiltroEdificiCliente');

$sql = <<< sql
	SELECT     IdPropietario
	FROM         tblPgContratti
	WHERE     (IdPgContratto = $IdPgContratto)
sql;

$IdPropietario = ntxScalar($sql);

if ( is_numeric($IdPropietario)  &&  $FiltroEdificiCliente )
	$sql = <<< sql
		SELECT DISTINCT 
							  ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
							  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP
		FROM         ElencoEdifici
		WHERE   (ElencoEdifici.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario)
		ORDER BY Nome
sql;
else
	$sql = <<< sql
		SELECT DISTINCT 
							  ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
							  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP
		FROM         ElencoEdifici
		WHERE   (ElencoEdifici.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario IS NULL)
		ORDER BY Nome
sql;

$query = ntxQuery($sql);
	
?>
