<?php

session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_535", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_535", "IT", __FILE__);

$IdCommessa = ntxip('IdCommessa');
$IdAffidatari = ntxsp('IdAffidatari');
	
?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>

	<link href="css/index.css" rel="stylesheet" type="text/css">
	<script src="jhp/index.js?v5" type="text/javascript"></script>
</head>
<body class="claro">

<iframe align=center name="mappaTerritoriale" id="mappaTerritoriale" SCROLLING="no" frameborder="no"  
style="position:absolute;top:0;left:0;display:none;width:100%;height:100%;border:inset 2px;background-color:white" 
src="../../../maps/muti_sel_territorio/mappa.php"></iframe>	
	
<table id=tb0>
	<tr><td style="height:1px" colspan=2>
		<input type=button value="<?php $traduttore->html('Testata') ?>" onclick="$('#Testata').toggle()" />
		<input type=button value="<?php $traduttore->html('Mappa') ?>" onclick="MappaTerritorio()" />
		<span style="padding:2px;margin:2px;border:inset 1px">
			<input type=button value="<?php $traduttore->html('Tutto') ?>" onclick="Vedi('Tutto')" />
			<input type=button value="<?php $traduttore->html('Elementi') ?>" onclick="Vedi('Elementi')" />
			<input type=button value="<?php $traduttore->html('Attivita\'') ?>" onclick="Vedi('Attivita')" />
		</span>

		<?php $traduttore->html('Data Inizio') ?>: <input type=text id=txtData1 value="1/4/2012" DatePicker size=10 maxlength=10 />
		<?php $traduttore->html('Data Fine') ?>: <input type=text id=txtData2 value="30/5/2012" DatePicker size=10 maxlength=10 />
		<input type=button value="<?php $traduttore->html('7 Giorni') ?>" onclick="SettaData2(1)" />
		<input type=button value="<?php $traduttore->html('1 Mese') ?>" onclick="SettaData2(2)" />
		<input type=button value="<?php $traduttore->html('Fine Mese') ?>" onclick="SettaData2(3)" />
		<br>
		<?php $traduttore->html('Gruppo Impianti') ?><select id=GruppoImpianti onchange="CaricaTipiComponenti()"></select>
		<?php $traduttore->html('Tipo Componente') ?><select id=TipoComponente></select>
		<?php $traduttore->html('Codice Componente') ?><input type=text id=CodiceComponente size=20 />
		<?php $traduttore->html('Frequenze Attività') ?><select id=Frequenza></select>
		<br>
		<input type=button value="<?php $traduttore->html('Gantt per giorni') ?>" onclick="Report(1)" />
		<input type=button value="<?php $traduttore->html('Gantt per giorni su 2 righe') ?>" onclick="Report(9)" />
		<input type=button value="<?php $traduttore->html('Gantt per mesi') ?>" onclick="Report(2)" />
		<input type=button value="<?php $traduttore->html('Gantt per mesi Componenti') ?>" onclick="Report(5)" />
		<input type=button value="<?php $traduttore->html('Gantt per mesi Tipo Componenti') ?>" onclick="Report(6)" />
		<input type=button value="<?php $traduttore->html('Voci Preplanning') ?>" onclick="Report(3)" />
		<input type=button value="<?php $traduttore->html('Verbale di Controllo') ?>" onclick="Report(4)" />

		<input type=button value="<?php $traduttore->html('Gantt Utilizzatori per giorni') ?>" onclick="Report(7)" />
		<input type=button value="<?php $traduttore->html('Gantt Utilizzatori per mesi') ?>" onclick="Report(8)" />

		<div id=Testata style="padding:0px;margin:0px;border:inset 2px">
			<?php $traduttore->html('Filtri Elementi/Attività') ?>:
			<table class="grid grid2">
				<tr>
					<th><?php $traduttore->html('ID	') ?>		<td><input type=text id=txtId size=20 />
					<th><?php $traduttore->html('Codice') ?>	<td><input type=text id=txtCodice size=20 />
					<th><?php $traduttore->html('Des1') ?>		<td><input type=text id=txtDes1 size=20 />
					<th><?php $traduttore->html('Des2') ?>		<td><input type=text id=txtDes2 size=20 />
					<th><?php $traduttore->html('Tipo') ?>		<td><select id=txtTipo>
						<option value="" selected>
						<option value="0" ><?php $traduttore->html('Edifici') ?>
						<option value="1" ><?php $traduttore->html('Strade') ?>
						<option value="2" ><?php $traduttore->html('Verde') ?>
					</select>
				<tr>
					<th><?php $traduttore->html('Indirizzo') ?>	<td><input type=text id=txtIndirizzo size=20 />
					<th><?php $traduttore->html('Comune') ?>		<td><input type=text id=txtComune size=20 />
					<th><?php $traduttore->html('Provincia') ?>		<td><input type=text id=txtProv size=20 />
					<th><?php $traduttore->html('CAP') ?>			<td><input type=text id=txtCap size=20 />
					<th><?php $traduttore->html('Ente/Proprietario') ?><td>
						<input type=text id=DesProprietario size=20 readonly />
						<input type=button value="x" onclick="TogliEnte()" />
				<tr>
					<th><?php $traduttore->html('Aperto') ?><td><input type=checkbox id=chkAperto />
					<th><?php $traduttore->html('Eseguito') ?><td><input type=checkbox id=chkEseguito />
					<th><?php $traduttore->html('Anomalia') ?><td><input type=checkbox id=chkAnomalia />
					<th><?php $traduttore->html('Annullato') ?><td><input type=checkbox id=chkAnnullato />
					<th><?php $traduttore->html('Verifica') ?><td><select id=cboVerifica><option value=""><option value="1"><?php $traduttore->html('Contestazione') ?></select>
				<tr>
					<th colspan=3><?php $traduttore->html('Allegato Obbligatorio') ?><td><input type=checkbox id=chkAllegatoObbligatorio />
					<th colspan=3><?php $traduttore->html('Attività di Lettura') ?><td><input type=checkbox id=chkAttivitàDiLettura />
					<th><?php $traduttore->html('Note Dettaglio') ?><td><input type=checkbox id=chkNoteDettaglio />
				<tr><th colspan=10>
					<input type=button value="<?php $traduttore->html('Filtro Elementi e Attivita\'') ?>"  onclick="CaricaAttivita()" />
					<input type=button value="<?php $traduttore->html('Reset Filtro') ?>" onclick="ResetFiltroElementi()" />
			</table>
		</div>
	<tr>
		<td style="vertical-align:top;border:inset 1px" id=Elementi><iframe name=FrameElementi id=FrameElementi></iframe>
		<td style="vertical-align:top;border:inset 1px" id=Attivita><iframe name=FrameAttivita id=FrameAttivita></iframe>
</table>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />	
	<input type=hidden name=IdAffidatari value="<?php echo $_POST[IdAffidatari] ?>" />	
	<input type=hidden name=DataInizio value="" />	
	<input type=hidden name=DataFine value="" />	
	<input type=hidden name=IdElementi value="" />	
	<input type=hidden name=IdAttivita value="" />	

	<input type=hidden name=IdUtilizzatore value="" />	

	<input type=hidden name=IdPropietario value="" />
	<input type=hidden name=txtId value="" />	
	<input type=hidden name=txtCodice value="" />	
	<input type=hidden name=txtDes1 value="" />	
	<input type=hidden name=txtDes2 value="" />	
	<input type=hidden name=txtTipo value="" />	
	<input type=hidden name=txtIndirizzo value="" />	
	<input type=hidden name=txtComune value="" />	
	<input type=hidden name=txtProv value="" />	
	<input type=hidden name=txtCap value="" />	
	
	<input type=hidden name=chkAperto value="" />
	<input type=hidden name=chkEseguito value="" />
	<input type=hidden name=chkAnomalia value="" />
	<input type=hidden name=chkAnnullato value="" />
	<input type=hidden name=cboVerifica value="" />

	<input type=hidden name=GruppoImpianti 	value="" />
	<input type=hidden name=TipoComponente 	value="" />
	<input type=hidden name=CodiceComponente 	value="" />
	
	<input type=hidden name=Frequenza 	value="" />
	
	<input type=hidden name=chkAllegatoObbligatorio 	value="" />
	<input type=hidden name=chkAttivitàDiLettura 	value="" />
	
	<input type=hidden name=chkNoteDettaglio 	value="" />

</form>

</body>
<?php $traduttore->Salva() ?>
</html>