<?php

$sqlAttivitàEdificiAffidatariCommessa = <<< sql
	(
		SELECT  distinct   tblPgContrattiAffidatariAttivitàEdifici.IdCommessa, tblPgContrattiAffidatariAttivitàEdifici.IdEdificio, 
							  tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere
		FROM         tblPgContrattiAffidatari INNER JOIN
							  tblPgContrattiAffidatariAttivitàEdifici ON 
							  tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario
					inner join dbo.splitid($IdAffidatari) a on a.id=tblPgContrattiAffidatari.IdAffidatario
					inner join dbo.splitid($IdElementi) b on b.id=tblPgContrattiAffidatariAttivitàEdifici.IdEdificio
		WHERE     tblPgContrattiAffidatari.IdCommessa=$IdCommessa
			and tblPgContrattiAffidatari.DataInizio<=$DataFine
			and tblPgContrattiAffidatari.DataFine>=$DataInizio
	) ed_att_aff
sql;

$sqlOrdiniPrg = <<< sql
	(
		SELECT  DISTINCT   tblOrdiniProgrammati.IdCommessa, tblOrdiniProgrammati.IdOrdineProgrammato
		FROM         tblOrdiniProgrammati 
			INNER JOIN $sqlAttivitàEdificiAffidatariCommessa 
			on 
				ed_att_aff.IdCommessa=tblOrdiniProgrammati.IdCommessa
				AND ed_att_aff.IdEdificio=tblOrdiniProgrammati.IdEdificio
				AND ed_att_aff.IdAttivitàMestiere=tblOrdiniProgrammati.IdAttivitàMestiere
		WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
			AND (tblOrdiniProgrammati.dataInizioProg <= $DataFine) 
			AND (tblOrdiniProgrammati.dataFineProg >= $DataInizio) 
			AND (tblOrdiniProgrammati.TipoMP = 1)
sql;

if ( $_POST[chkAperto] )
	$sqlOrdiniPrg .= " AND tblOrdiniProgrammati.Aperto=1 ";

if ( $_POST[chkEseguito] )
	$sqlOrdiniPrg .= " AND tblOrdiniProgrammati.Eseguito=1 ";

if ( $_POST[chkAnomalia] )
	$sqlOrdiniPrg .= " AND tblOrdiniProgrammati.Anomalia=1 ";

if ( $_POST[chkAnnullato] )
	$sqlOrdiniPrg .= " AND tblOrdiniProgrammati.Annullato=1 ";

if ( is_numeric($_POST[cboVerifica]) )
	$sqlOrdiniPrg .= " AND tblOrdiniProgrammati.IdVerifica=".(int)$_POST[cboVerifica];
	
$sqlOrdiniPrg .= ") programate";

$sqlOrdiniPrgComp = <<< sql
	SELECT     tblMestieri.Descrizione AS Mest, tblComponetiMestiere.Descrizione AS CompMest, tblAttivitàMestiere.Descrizione AS AttMest, 
                      tblFrequenzeMestieri.Descrizione AS Freq, tblOrdiniPrgComp.dataInizioProg, tblOrdiniPrgComp.dataFineProg, tblOrdiniPrgComp.dataInizio, 
                      tblOrdiniPrgComp.datafine, Ditte.Ditta, tblOrdiniPrgComp.Aperto, tblOrdiniPrgComp.Eseguito, tblOrdiniPrgComp.Annullato, tblOrdiniPrgComp.Anomalia, 
                      tblOrdiniPrgComp.NumOrdine, tblOrdiniPrgComp.AnnoOrdine
	FROM         tblOrdiniPrgComp INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND 
                      tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      Ditte ON tblOrdiniPrgComp.IdFornitore = Ditte.IDDitta LEFT OUTER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
	WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
		AND (tblOrdiniPrgComp.IdComponente = $IdComponente) 
		AND (MONTH(tblOrdiniPrgComp.dataInizioProg) = $Mese) 
		AND (YEAR(tblOrdiniPrgComp.dataInizioProg) = $Anno)
		
		ORDER BY dataInizioProg
sql;

$query = ntxQuery($sqlOrdiniPrgComp);

?>