<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_603", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_603", "IT", __FILE__);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/jhp.php"></script>
</head>
<body >

<?php  

$IdCommessa = ntxip('IdCommessa');
$IdUtilizzatore = ntxip('IdUtilizzatore');
$IdEdificio = ntxip('IdEdificio');

$sql = <<< sql
SELECT     TipiDocsEdifici.Descrizione AS TipoDoc, DocsEdifici.Descrizione, DocsEdifici.Path, DocsEdifici.DataInserimento, DocsEdifici.DataRilascio, 
                      DocsEdifici.DataScadenza, DocsEdifici.RilasciatoDa, DocsEdifici.UtenteModifica, DocsEdifici.DataModifica, DocsEdifici.Codice, 
                      DocsEdifici.Archivio, DocsEdifici.Id
FROM         tblUtUtilizzatori INNER JOIN
                      DocsEdificiUtilizzatori ON tblUtUtilizzatori.IdCommessa = DocsEdificiUtilizzatori.IdCommessaUtilizzatore AND 
                      tblUtUtilizzatori.IdUtilizzatore = DocsEdificiUtilizzatori.IdUtilizzatore INNER JOIN
                      DocsEdifici ON DocsEdificiUtilizzatori.IdCommessaDocEdificio = DocsEdifici.IdCommessa AND 
                      DocsEdificiUtilizzatori.IdDocEdificio = DocsEdifici.Id INNER JOIN
                      TipiDocsEdifici ON DocsEdifici.Tipo = TipiDocsEdifici.Id AND DocsEdifici.IdCommessa = TipiDocsEdifici.IdCommessa
WHERE     (tblUtUtilizzatori.IdCommessa = $IdCommessa) AND (tblUtUtilizzatori.IdUtilizzatore = $IdUtilizzatore) AND (DocsEdifici.IdEdificio = $IdEdificio)
sql;

$query = ntxPagedQuery($sql, "DataScadenza DESC, DataRilascio DESC");

ntxPagedPrintNavigation();

?>
	<table>
		<tr>
			<th></th>
			<th></th>
			<th><?php $traduttore->html('Tipo Doc') ?></th>
			<th><?php $traduttore->html('Descrizione') ?></th>
			<th><?php $traduttore->html('Data Inserimento') ?></th>
			<th><?php $traduttore->html('Data Rilascio') ?></th>
			<th><?php $traduttore->html('Data Scadenza') ?></th>
			<th><?php $traduttore->html('Rilasciato Da') ?></th>
			<th><?php $traduttore->html('Utente Modifica') ?></th>
			<th><?php $traduttore->html('Data Modifica') ?></th>
			<th><?php $traduttore->html('Codice') ?></th>
			<th><?php $traduttore->html('Archivio') ?></th>
		</tr>   
<?php
while( $query  &&  $rs = ntxRecord($query) )
{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['indiceRigaPaginazione']) ?></td> 
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><input type=button value="<?php $traduttore->html('Doc') ?>" onClick="CertUtilizzatore(<?php echo "'$IdCommessa','$rs[Id]'" ?>)" /></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['TipoDoc']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataInserimento']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataRilascio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataScadenza']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['RilasciatoDa']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UtenteModifica']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataModifica']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Archivio']) ?></td>
	</tr>
<?php
}
?>
</table>

<?php ntxPagedPrintBody() ?>
<?php ntxPagedPrintNavigation() ?>


<form name=frmDocEdificio method=post action="doc_edificio.php" target=frameDocEdificio>
	<input type=hidden name=IdCommessa>
	<input type=hidden name=Id>
</form>

<script>
function CertUtilizzatore(IdCommessa, Id)
{
	frmDocEdificio.IdCommessa.value = IdCommessa;
	frmDocEdificio.Id.value = Id;
	frmDocEdificio.submit();
}
</script>

<iframe name=frameDocEdificio style="width:0px;height:0px"></iframe>
</body>
<?php $traduttore->Salva() ?>
</html>
