<?php

session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_573", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_573", "IT", __FILE__);

$IdCommessa = ntxip('IdCommessa');
$IdAffidatari = ntxsp('IdAffidatari');
$DataInizio = ntxtp('DataInizio',false);

$sql = <<< sql
	SELECT MONTH($DataInizio) Mese, YEAR($DataInizio) Anno
sql;

$rs = ntxRecord(ntxQuery($sql));

$Mese = $rs[Mese];
$Anno = $rs[Anno];

$etichetteMesi = array("", $traduttore->traduci('Gennaio'), $traduttore->traduci('Febbraio'), 
							$traduttore->traduci('Marzo'), $traduttore->traduci('Aprile'),
							$traduttore->traduci('Maggio'), $traduttore->traduci('Giugno'), 
							$traduttore->traduci('Luglio'), $traduttore->traduci('Agosto'),
							$traduttore->traduci('Settembre'), $traduttore->traduci('Ottobre'), 
							$traduttore->traduci('Novembre'), $traduttore->traduci('Dicembre'));
							
$etichettaMese = $etichetteMesi[$Mese];

$DataInizio = ntxt("1/$Mese/$Anno");

$sql = <<< sql
	select DAY(dateadd(day, -1, dateadd(month, 1, dbo.cdate('1/$Mese/$Anno'))))
sql;

$ultimoGiornoDelMese = ntxScalar($sql);

$DataFine = ntxt("$ultimoGiornoDelMese/$Mese/$Anno");

$_POST[DataInizio] = "1/$Mese/$Anno";
$_POST[DataFine] = "$ultimoGiornoDelMese/$Mese/$Anno";

?>
<html>
<head>
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="css/attivita.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery/jquery-1.6.2.min.js" type="text/javascript"></script>
	<script src="/repository/libs/jhp/jhp-1.1.1.js" type="text/javascript"></script>
	<script src="jhp/index.js" type="text/javascript"></script>
</head>
<body>
<input type=button value="Excel" onclick="frmExcel.grigiox.value='yes';frmExcel.settimana.value='no';frmExcel.submit()" />
-
<input type=button value="<?php $traduttore->html('Compatta Colonne') ?>" onclick="CompattaElementi(true)" />
<input type=button value="<?php $traduttore->html('Scompatta Colonne') ?>" onclick="CompattaElementi(false)" />
-
<input type=button value="<?php $traduttore->html('Mostra Attivita\' per ogni Elemento') ?>" onclick="MostraNascondiAttivita(true)" />
<input type=button value="<?php $traduttore->html('Nascondi Attivita\' per ogni Elemento') ?>" onclick="MostraNascondiAttivita(false)" />


<?php

require_once('filtri_comuni.php');

require_once('commesse.php');

	
?>

<form name=form1 method=post action ="jhp/gantt_diritto">
<?php ntxCreateHiddens() ?>

<input type=hidden name=IdPgContratto value="" />
</form>

<form name=frmExcel method=post action ="excel.php" target=_blank> <!-- per excel -->
<?php ntxCreateHiddens() ?>
<input type=hidden name=grigiox value="no" />
<input type=hidden name=settimana value="no" />
</form>

<form name=form2 method=post action ="../voci_preplanning/index.php"> <!-- per elemento -->
<?php ntxCreateHiddens() ?>
</form>

<form name=form3 method=post action ="../voci_preplanning/index.php"> <!-- per elemento e attività -->
<?php ntxCreateHiddens() ?>
</form>


<script language=javascript>
	msg = {
		Inviare_comunicazione: "<?php $traduttore->js('SICURO DI VOLER INVIARE COMUNICAZIONE?') ?>",
		Invio_succ: "<?php $traduttore->js('INVIO COMUNICAZIONE AVVENUTA CORRETTAMENTE') ?>"
	};
</script>

</body>
<?php $traduttore->Salva() ?>
</html>