<?php

$sql = <<< sql
	select dbo.DusMese($DataInizio) dus1, dbo.DusMese($DataFine) dus2,
			month($DataInizio) month1, month($DataFine) month2,
			year($DataInizio) year1, year($DataFine) year2
sql;

$query = ntxQuery($sql);

$rs = ntxIRecord($query);

$dus1 = $rs[0];
$dus2 = $rs[1];
$month1 = $rs[2];
$month2 = $rs[3];
$year1 = $rs[4];
$year2 = $rs[5];

$lblMesi = array('', 'gen', 'feb', 'mar',
					'apr', 'mag', 'giu',
					'lug', 'ago', 'set',
					'ott', 'nov', 'dic');

$sql = <<< sql
	SELECT     ElencoEdifici.ID, tblComponetiMestiere.IdMestiere, dbo.DusMese(tblAttivitàProgrammata.inizio) AS dus1, dbo.DusMese(tblAttivitàProgrammata.fine) 
						  AS dus2, COUNT(*) AS conteggio
	FROM         tblAttivitàEdifici INNER JOIN
                      tblAttivitàProgrammata ON tblAttivitàEdifici.IdCommessa = tblAttivitàProgrammata.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàEdificio = tblAttivitàProgrammata.IdAttivitàEdificio INNER JOIN
                      ElencoEdifici ON tblAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblAttivitàEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblPgContrattiAffidatariAttivitàEdifici ON tblAttivitàEdifici.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere AND 
                      tblAttivitàEdifici.IdEdificio = tblPgContrattiAffidatariAttivitàEdifici.IdEdificio INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario AND 
                      tblAttivitàProgrammata.inizio >= tblPgContrattiAffidatari.DataInizio AND tblAttivitàProgrammata.inizio <= tblPgContrattiAffidatari.DataFine INNER JOIN
                      tblAttivitàMestiere ON tblAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
					  INNER JOIN dbo.splitid($IdAffidatari) a ON tblPgContrattiAffidatari.IdAffidatario=a.id
					  $innerElementi 
					  $innerAttivita
$filtri_comuni
group by ElencoEdifici.ID, tblComponetiMestiere.IdMestiere, dbo.DusMese(tblAttivitàProgrammata.inizio), dbo.DusMese(tblAttivitàProgrammata.fine) 
ORDER BY ID, tblComponetiMestiere.IdMestiere, dus1
sql;

$query = ntxQuery($sql);

$ranges = array();

while ( $rs = ntxIRecord($query) )
{
	$ranges[$rs[0]."_".$rs[1]][] = array($rs[2], $rs[3], $rs[4]);
}

$sql = <<< sql
	SELECT DISTINCT 
                      ElencoEdifici.ID, tblMestieri.Ordine AS ord1, tblMestieri.codice AS cod1, tblMestieri.Descrizione AS des1, tblMestieri.IdMestiere AS id1
	FROM         tblAttivitàMestiere INNER JOIN
                      tblAttivitàEdifici INNER JOIN
                      tblAttivitàProgrammata ON tblAttivitàEdifici.IdCommessa = tblAttivitàProgrammata.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàEdificio = tblAttivitàProgrammata.IdAttivitàEdificio ON tblAttivitàMestiere.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblAttivitàEdifici.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND 
                      tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      ElencoEdifici ON tblAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblAttivitàEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblPgContrattiAffidatariAttivitàEdifici ON tblAttivitàEdifici.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere AND 
                      tblAttivitàEdifici.IdEdificio = tblPgContrattiAffidatariAttivitàEdifici.IdEdificio INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario AND 
                      tblAttivitàProgrammata.inizio >= tblPgContrattiAffidatari.DataInizio AND 
                      tblAttivitàProgrammata.inizio <= tblPgContrattiAffidatari.DataFine LEFT OUTER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
					  INNER JOIN dbo.splitid($IdAffidatari) a ON tblPgContrattiAffidatari.IdAffidatario=a.id
					  $innerElementi
					  $innerAttivita
	$filtri_comuni
	ORDER BY ID, ord1, cod1, des1, id1
sql;

$query = ntxQuery($sql);

?>
