<?php  
session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
//<!-- IN EVIDENZA -->
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
</head>
<body >

<?php

$IdCommessa = ntxise('IdCommessa');
$IdAffidatario = ntxip('IdAffidatario');

$sql = <<< sql
SELECT DISTINCT 
                      ComunicazioniPreplanning.Id, ComunicazioniPreplanning.DataComunicazione, ComunicazioniPreplanning.DataRisposta, ComunicazioniPreplanning.DataInizio, 
                      ComunicazioniPreplanning.DataFine, ComunicazioniPreplanning.Descrizione, ComunicazioniPreplanning.Stato, ComunicazioniPreplanning.Risposta, 
                      Utenti_2.Nome AS UtenteRifAffidatario, tblPgRifAffidatari.Nome AS NomeRifAffidatario, tblPgAffidatari.Nome AS NomeSocAffidataria, 
                      Utenti_1.Nome AS UtenteTecnicoCliente, Tecnici_1.Tecnico AS NomeTecnicoCliente
FROM         UtentiRifAffidatari INNER JOIN
                      tblPgAffidatari INNER JOIN
                      tblPgRifAffidatari ON tblPgAffidatari.IdAffidatario = tblPgRifAffidatari.IdAffidatario ON UtentiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario INNER JOIN
                      Utenti AS Utenti_2 ON UtentiRifAffidatari.IdUtente = Utenti_2.Id INNER JOIN
                      ComunicazioniPreplanning ON Utenti_2.Id = ComunicazioniPreplanning.IdUtenteRefAffidatario LEFT OUTER JOIN
                      UtentiTecnici INNER JOIN
                      Tecnici AS Tecnici_1 ON UtentiTecnici.IdTecnico = Tecnici_1.IDTec INNER JOIN
                      Utenti AS Utenti_1 ON UtentiTecnici.IdUtente = Utenti_1.Id ON ComunicazioniPreplanning.IdUtenteTecProprietario = Utenti_1.Id
WHERE     ComunicazioniPreplanning.IdCommessa = $IdCommessa		
and 			ComunicazioniPreplanning.IdAffidatario = $IdAffidatario		
and 			ComunicazioniPreplanning.Stato >= 2		
sql;

if ( strlen($_POST[DataComunicazione1])>0 )	$sql .= " and ComunicazioniPreplanning.DataComunicazione>=".ntxtp('DataComunicazione1');
if ( strlen($_POST[DataComunicazione2])>0 )	$sql .= " and ComunicazioniPreplanning.DataComunicazione<=".ntxtp('DataComunicazione2');

if ( strlen($_POST[DataRisposta1])>0 )	$sql .= " and ComunicazioniPreplanning.DataRisposta>=".ntxtp('DataRisposta1');
if ( strlen($_POST[DataRisposta2])>0 )	$sql .= " and ComunicazioniPreplanning.DataRisposta<=".ntxtp('DataRisposta2');
	
if ( is_numeric($_POST[Stato]) )	$sql .= " and ComunicazioniPreplanning.Stato=".ntxip('Stato');


$query = ntxPagedQuery($sql, "DataComunicazione DESC");

?>


<!-- IN EVIDENZA -->
<?php ntxPagedPrintNavigation() ?>

	<table class=grid>
		<tr>
			<th></th>
			<th>ID Comunicazione</th>
			<th>Data Comunicazione</th>
			<th>Stato</th>
			<th>Inviata da</th>
			<th>Data Inizio</th>
			<th>Data Fine</th>
			<th>Messaggio</th>
			<th>Risposta da</th>
			<th>Data Risposta</th>
			<th>Risposta</th>
		</tr>   
<?php

	$alternate = false;

	while( $query  &&  $rs = ntxRecord($query) )
	{
		$Stato = $rs[Stato];

		$desStato = "";

		if ( $Stato==3 )
			$desStato = "APPROVATA";
		elseif ( $Stato==4 )
			$desStato = "NON APPROVATA";
		else
			$desStato = "IN ATTESA DI APPROVAZIONE";
			
		$class = ($alternate ? "class=alternate" : "");
		
?>
	<tr <?php echo $class ?>>
		<td><input type=button value="dettaglio" onClick="VaiComunicazione('<?php echo $rs[Id] ?>')" /></td>
		<td><?php echo $rs[Id] ?></td>
		<td><?php echo ntxDateTime($rs[DataComunicazione]) ?></td>
		<td><?php echo $desStato ?></td>
		<td><?php echo htmlentities("$rs[NomeRifAffidatario] [$rs[UtenteRifAffidatario]] ($rs[NomeSocAffidataria])") ?></td>
		<td><?php echo ntxDate($rs[DataInizio]) ?></td>
		<td><?php echo ntxDate($rs[DataFine]) ?></td>
		<td><?php echo htmlentities($rs[Descrizione]) ?></td>
		<td><?php echo htmlentities("$rs[NomeTecnicoCliente] [$rs[UtenteTecnicoCliente]]") ?></td>
		<td><?php echo ntxDateTime($rs[DataRisposta]) ?></td>
		<td><?php echo htmlentities($rs[Risposta]) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<!-- IN EVIDENZA -->
<?php ntxPagedPrintBody() ?>
<?php ntxPagedPrintNavigation() ?>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>">
	<input type=hidden name=IdAffidatario value="<?php echo $IdAffidatario ?>" />	
	<input type=hidden name=IdComunicazione>
</form>

<script>

function VaiComunicazione(IdComunicazione)
{
	form1.IdComunicazione.value = IdComunicazione;
	
	form1.action = "../gantt_per_giorni_comunicazioni/index.php";
	
	parent.parent.frame_frames.AppendFrame(form1);
	parent.parent.drcShowKeyTab("frames");
}
	
</script>

</body>
</html>
