<?php  

$IdCommessa = ntxip('IdCommessa');
$IdAffidatario = ntxip('IdAffidatario');

$sql = <<< sql
	SELECT DISTINCT 
		  tblPgPropietari.IdPropietario, tblPgPropietari.Nome, tblPgPropietari.Indirizzo, tblPgPropietari.Comune, tblPgPropietari.Provincia, tblPgPropietari.telefono_1, 
		  tblPgPropietari.telefono_2, tblPgPropietari.fax_1, tblPgPropietari.fax_2, tblPgPropietari.email_1, tblPgPropietari.email_2, tblPgPropietari.CodiceFiscale, 
		  tblPgPropietari.Cap
FROM         tblPgContrattiAffidatariAttivitàEdifici INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
                      tblAttivitàEdifici INNER JOIN
                      tblAttivitàProgrammata ON tblAttivitàEdifici.IdCommessa = tblAttivitàProgrammata.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàEdificio = tblAttivitàProgrammata.IdAttivitàEdificio INNER JOIN
                      ElencoEdifici ON tblAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblAttivitàEdifici.IdEdificio = ElencoEdifici.ID ON 
                      tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = tblAttivitàEdifici.IdCommessa AND tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = tblAttivitàEdifici.IdEdificio AND 
                      tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàEdifici.IdAttivitàMestiere AND tblPgContrattiAffidatari.DataInizio <= tblAttivitàProgrammata.inizio AND 
                      tblPgContrattiAffidatari.DataFine >= tblAttivitàProgrammata.inizio INNER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
WHERE     (tblPgContrattiAffidatari.IdAffidatario = $IdAffidatario) AND (tblPgContrattiAffidatari.IdCommessa = $IdCommessa)
sql;

if ( isset($_POST['Nome'])  &&  strlen($_POST['Nome'])>0) 
{
	$str = stripslashes($_POST['Nome']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.Nome LIKE '%".$str."%' ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.Indirizzo LIKE '%".$str."%' ";
}

if ( isset($_POST['Comune'])  &&  strlen($_POST['Comune'])>0) 
{
	$str = stripslashes($_POST['Comune']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.Comune LIKE '%".$str."%' ";
}

if ( isset($_POST['Provincia'])  &&  strlen($_POST['Provincia'])>0) 
{
	$str = stripslashes($_POST['Provincia']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.Provincia = '".$str."' ";
}

if ( isset($_POST['Cap'])  &&  strlen($_POST['Cap'])>0) 
{
	$str = stripslashes($_POST['Cap']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.Cap = '".$str."' ";
}

if ( isset($_POST['CodiceFiscale'])  &&  strlen($_POST['CodiceFiscale'])>0) 
{
	$str = stripslashes($_POST['CodiceFiscale']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.CodiceFiscale = '".$str."' ";
}

$sql .= " ORDER BY tblPgPropietari.Nome;";

$query = ntxQuery($sql);
	
?>
