<?php

session_start();

require_once("../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_609", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_609", "IT", __FILE__);

$IdCommessa = ntxip('IdCommessa');
$IdAffidatario = ntxip('IdAffidatario');
$DataInizio = ntxtp('DataInizio',false);
$DataFine = ntxtp('DataFine',false);

$Utente = ntxsse('Utente');
$Password = ntxsse('Password');

?>
<html>
<head>
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery/jquery-1.6.2.min.js" type="text/javascript"></script>
	<script src="jhp/elementi.js" type="text/javascript"></script>
</head>
<body>
<?php

$sql = <<< sql
SELECT DISTINCT 
                      ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, ElencoEdifici.Tipo
FROM         tblAttivitàEdifici INNER JOIN
                      tblAttivitàProgrammata ON tblAttivitàEdifici.IdCommessa = tblAttivitàProgrammata.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàEdificio = tblAttivitàProgrammata.IdAttivitàEdificio INNER JOIN
                      tblPgContrattiAffidatariAttivitàEdifici INNER JOIN
                      ElencoEdifici ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
                      tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario ON 
                      tblAttivitàEdifici.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND tblAttivitàEdifici.IdEdificio = tblPgContrattiAffidatariAttivitàEdifici.IdEdificio AND 
                      tblAttivitàEdifici.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere AND tblAttivitàProgrammata.inizio <= tblPgContrattiAffidatari.DataFine AND 
                      tblAttivitàProgrammata.inizio >= tblPgContrattiAffidatari.DataInizio

WHERE      (ElencoEdifici.IdCommessa = $IdCommessa) AND tblPgContrattiAffidatari.IdAffidatario=$IdAffidatario
AND tblAttivitàProgrammata.inizio < dateadd(day,1,$DataFine)
AND tblAttivitàProgrammata.inizio >= $DataInizio
sql;

if ( is_numeric($_POST[txtTipo]) )
{
	if ( $_POST[txtTipo]==0 )
		$sql .= " AND (ElencoEdifici.Tipo = 0 OR ElencoEdifici.Tipo IS NULL) ";
	else
	{
		$txtTipo = (int)$_POST[txtTipo];
		$sql .= " AND ElencoEdifici.Tipo = $txtTipo ";
	}
}

if ( is_numeric($_POST[txtId]) )
{
	$txtId = (int)$_POST[txtId];
	$sql .= " AND ElencoEdifici.ID = $txtId ";
}

if ( is_numeric($_POST[IdPropietario]) )
{
	$IdPropietario = (int)$_POST[IdPropietario];
	$sql .= " AND ElencoEdifici.IdProprietario = $IdPropietario ";
}

if ( strlen($_POST[txtCodice])>0 )
{
	$str = ntxsp('txtCodice');
	$sql .= " AND ElencoEdifici.Codice = $str ";
}

if ( strlen($_POST[txtProv])>0 )
{
	$str = ntxsp('txtProv');
	$sql .= " AND ElencoEdifici.PROVINCIA = $str ";
}

if ( strlen($_POST[txtCap])>0 )
{
	$str = ntxsp('txtCap');
	$sql .= " AND ElencoEdifici.CAP = $str ";
}

if ( strlen($_POST[txtDes1])>0 )
{
	$str = str_replace("'","''",$_POST[txtDes1]);
	$sql .= " AND ElencoEdifici.EdificioBreve like '%$str%' ";
}

if ( strlen($_POST[txtDes2])>0 )
{
	$str = str_replace("'","''",$_POST[txtDes2]);
	$sql .= " AND ElencoEdifici.EdificioEstesa like '%$str%' ";
}

if ( strlen($_POST[txtIndirizzo])>0 )
{
	$str = str_replace("'","''",$_POST[txtIndirizzo]);
	$sql .= " AND ElencoEdifici.Indirizzo like '%$str%' ";
}

if ( strlen($_POST[txtComune])>0 )
{
	$str = str_replace("'","''",$_POST[txtComune]);
	$sql .= " AND ElencoEdifici.CITTA like '%$str%' ";
}

$query = ntxQuery($sql);

$table = "";
$alternate = false;

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[Tipo]==1 ) $EtichettaTipo = $traduttore->traduci('strada');
	elseif ( $rs[Tipo]==2 ) $EtichettaTipo = $traduttore->traduci('verde');
	else $EtichettaTipo = $traduttore->traduci('edificio');
	
	$alter = $alternate ? "class=alternate" : "";
	
	$table .= <<< table
		<tr $alter>
		<td><input type=checkbox value=$rs[ID] />
		<td>$rs[ID]<td>$rs[Codice]<td>$rs[EdificioBreve]<td>$rs[EdificioEstesa]<td>$rs[Indirizzo]<td>$rs[CITTA]<td>$rs[PROVINCIA]<td>$rs[CAP]<td>$EtichettaTipo
table;

	$alternate = !$alternate;
}

?>
<input type=button value="<?php $traduttore->html('Seleziona Tutto') ?>" onclick="$('input[type=checkbox]').attr('checked',true)" />
<input type=button value="<?php $traduttore->html('Deseleziona Tutto') ?>" onclick="$('input[type=checkbox]').attr('checked',false)" />

<table class=grid>
	<tr>
		<th>
		<th><?php $traduttore->html('ID') ?>
		<th><?php $traduttore->html('Codice') ?>
		<th><?php $traduttore->html('Des1') ?>
		<th><?php $traduttore->html('Des2') ?>
		<th><?php $traduttore->html('Indirizzo') ?>
		<th><?php $traduttore->html('Comune') ?>
		<th><?php $traduttore->html('Provincia') ?>
		<th><?php $traduttore->html('CAP') ?>
		<th><?php $traduttore->html('Tipo') ?>
	<?php echo $table ?>
</table>

</body>
<?php $traduttore->Salva() ?>
</html>