<?php

session_start();

require_once("../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_607", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_607", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdPropietario = ntxip('IdPropietario');
$Utente = ntxsse('Utente');
$Password = ntxsse('Password');

$sql = <<< sql
	SELECT     Nome
	FROM         tblPgPropietari
	WHERE     (IdPropietario = $IdPropietario)
sql;

$Ente = htmlentities(ntxScalar($sql));

$sql = <<< sql
SELECT DISTINCT tblPgRifAffidatari.IdAffidatario, tblPgAffidatari.Nome
FROM         tblPgRifAffidatari INNER JOIN
                      UtentiRifAffidatari INNER JOIN
                      Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblPgAffidatari ON tblPgRifAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario
WHERE     (Utenti.Nome = $Utente)
		AND (Utenti.Password = $Password)
ORDER BY Nome
sql;

$query = ntxQuery($sql);

$cboIdAffidatari = "";

$IdAffidatario = "";

while ( $rs=ntxIRecord($query) )
{
	if ( $cboIdAffidatari  == "" )
		$IdAffidatario = $rs[0];
		
	$des = htmlentities($rs[1]);
	$cboIdAffidatari .= "<option value='$rs[0]'>$des";
}

if ( $cboIdAffidatari  == "" )
	die($traduttore->traduci('L\'utente loggato non è un referente affidatario registrato!'));
	
$cboIdAffidatari = "<select name=IdAffidatario id=IdAffidatario onchange='form1.IdAffidatario.value=this.value'>$cboIdAffidatari</select>";

$Frequenze = "<option value=''>";

$sql = <<< sql
	SELECT     IdFrequenza, Descrizione
	FROM         tblFrequenzeMestieri
	WHERE     (IdCommessa = $IdCommessa)
	ORDER BY ordine, Descrizione
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$html = htmlentities($rs[Descrizione]);

	$Frequenze .= "<option value='$rs[IdFrequenza]'>$html";
}

?>
<html>
<head>
<!--
	<link rel="stylesheet" type="text/css" href="/repository/libs/dojo-release-1.7.1/dijit/themes/claro/claro.css" /> 
	<script type="text/javascript" src="/repository/libs/dojo-release-1.7.1/dojo/dojo.js" djConfig="parseOnLoad: true, locale:'it'"></script>
-->
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="css/index.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jhp/jhp-1.1.1.js" type="text/javascript"></script>
	<script src="jhp/index.js?v1" type="text/javascript"></script>
<!--
	<script type="text/javascript">
		dojo.require("dojo.i18n");
		dojo.require("dijit.form.DateTextBox");
	</script>
-->
</head>
<body class="claro">

<?php include_once($_SERVER['DOCUMENT_ROOT'].'/repository/google_analytics/analyticstracking.php') ?>

<iframe align=center name="mappaTerritoriale" id="mappaTerritoriale" SCROLLING="no" frameborder="no"  
style="position:absolute;top:0;left:0;display:none;width:100%;height:100%;border:inset 2px;background-color:white" 
src="../../maps/muti_sel_territorio/mappa.php"></iframe>	
	
<table id=tb0>
	<tr><td style="height:1px" colspan=2>
		<input type=button value="<?php $traduttore->html('Testata') ?>" onclick="$('#Testata').toggle()" />
		<input type=button value="<?php $traduttore->html('Mappa') ?>" onclick="MappaTerritorio()" />
		<span style="padding:2px;margin:2px;border:inset 1px">
			<input type=button value="<?php $traduttore->html('Tutto') ?>" onclick="Vedi('Tutto')" />
			<input type=button value="<?php $traduttore->html('Elementi') ?>" onclick="Vedi('Elementi')" />
			<input type=button value="<?php $traduttore->html('Attivita\'') ?>" onclick="Vedi('Attivita')" />
		</span>
<!--
		Data Inizio: <input type=text id=txtData1 dojoType="dijit.form.DateTextBox" />
		Data Fine: <input type=text id=txtData2 dojoType="dijit.form.DateTextBox" />
-->
		<?php $traduttore->html('Data Inizio') ?>: <input type=text id=txtData1 value="1/5/2012" DatePicker />
		<?php $traduttore->html('Data Fine') ?>: <input type=text id=txtData2 value="7/5/2012" DatePicker />
		<input type=button value="<?php $traduttore->html('7 giorni') ?>" onclick="SettaData2(1)" />
		<input type=button value="<?php $traduttore->html('1 Mese') ?>" onclick="SettaData2(2)" />
		<input type=button value="<?php $traduttore->html('Fine Mese') ?>" onclick="SettaData2(3)" />
		<?php $traduttore->html('Frequenze') ?><select id=cboFrequenze><?php echo $Frequenze ?></select>
		<input type=button value="<?php $traduttore->html('Carica Elementi e Attivita\'') ?>" onclick="CaricaAttivita()" />

		<div id=Testata style="padding:0px;margin:0px;border:inset 2px">
			<?php $traduttore->html('Generazione Planning') ?>:
			<table class="grid grid2">
				<tr><td style="vertical-align:middle;align:center">
					<?php $traduttore->html('Affidatario') ?>:<br><?php echo $cboIdAffidatari	?>
				<td style="vertical-align:middle;align:center">
					<input type=button style="font-weight: bold" value="<?php $traduttore->html('GENERA PLANNING') ?>" onclick="GeneraPlanning()" />
				<td style="vertical-align:middle;align:center">
<!--					
					<input type=radio name=optAggrega id=chkNonAggrega onclick="RadioAggrega(1)"  />
					<label for=chkNonAggrega>Non Aggrega</label>
					<br>
-->					
					<input type=radio name=optAggrega id=chkAggrega onclick="RadioAggrega(2)" checked />
					<label for=chkAggrega><?php $traduttore->html('Aggrega') ?></label>
					<br><input type=radio name=optAggrega id=chkAggregaPerUtiliz onclick="RadioAggrega(3)" />
					<label for=chkAggregaPerUtiliz><?php $traduttore->html('Aggrega per Utilizzatori') ?></label>
				<td style="vertical-align:middle;align:center">
					<input type=button id=btnAggrega style="font-weight: bold" value="<?php $traduttore->html('GENERA AGGREGAZIONE') ?>" onclick="GeneraAggregazione()"  />
				<td style="vertical-align:middle;align:center">
					<input type=button id=btnAggregaPerUtiliz style="font-weight: bold" value="<?php $traduttore->html('AGGREGAZIONE PER UTILIZZATORI') ?>" onclick="GeneraAggrPerUtiliz()" disabled />
				<td style="vertical-align:middle;align:center">
					<input type=checkbox name=chkMonitoraggio id=chkMonitoraggio />
					<label for=chkMonitoraggio><?php $traduttore->html('Monitoraggio') ?></label>
				<td style="vertical-align:middle;align:center">
					<label for=ClasseUtilizzatori><?php $traduttore->html('Utilizzatori') ?></label><select id=ClasseUtilizzatori disabled>
						<option value="" selected></option>
						<option value="AI"><?php $traduttore->html('AI') ?></option>
						<option value="PI"><?php $traduttore->html('PI') ?></option>
						<option value="EN"><?php $traduttore->html('EN') ?></option>
					</select>
			</table>
			<?php $traduttore->html('Filtri') ?>:
			<table class="grid grid2">
				<tr>
					<th><?php $traduttore->html('ID	') ?>		<td><input type=text id=txtId size=20 />
					<th><?php $traduttore->html('Codice') ?>	<td><input type=text id=txtCodice size=20 />
					<th><?php $traduttore->html('Des1') ?>		<td><input type=text id=txtDes1 size=20 />
					<th><?php $traduttore->html('Des2') ?>		<td><input type=text id=txtDes2 size=20 />
					<th><?php $traduttore->html('Tipo') ?>		<td><select id=txtTipo>
						<option value="" selected>
						<option value="0" ><?php $traduttore->html('Edifici') ?>
						<option value="1" ><?php $traduttore->html('Strade') ?>
						<option value="2" ><?php $traduttore->html('Verde') ?>
					</select>
				<tr>
					<th><?php $traduttore->html('Indirizzo') ?>	<td><input type=text id=txtIndirizzo size=20 />
					<th><?php $traduttore->html('Comune') ?>	<td><input type=text id=txtComune size=20 />
					<th><?php $traduttore->html('Provincia') ?>	<td><input type=text id=txtProv size=20 />
					<th><?php $traduttore->html('CAP') ?>		<td><input type=text id=txtCap size=20 />
					<th><?php $traduttore->html('Ente') ?>		<td><?php echo $Ente ?>
				<tr><th colspan=10>
					<input type=button value="<?php $traduttore->html('Filtro Elementi e Attivita\'') ?>"  onclick="FiltroElementi()" />
					<input type=button value="<?php $traduttore->html('Reset Filtro') ?>" onclick="ResetFiltroElementi()" />
			</table>
		</div>
	<tr>
		<td style="vertical-align:top;border:inset 1px" id=Elementi><iframe name=FrameElementi id=FrameElementi></iframe>
		<td style="vertical-align:top;border:inset 1px" id=Attivita><iframe name=FrameAttivita id=FrameAttivita></iframe>
</table>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />	
	<input type=hidden name=IdAffidatario value="<?php echo $IdAffidatario ?>" />	
	<input type=hidden name=IdPropietario value="<?php echo $IdPropietario ?>" />	
	<input type=hidden name=DataInizio value="" />	
	<input type=hidden name=DataFine value="" />	
	<input type=hidden name=IdElementi value="" />	
	<input type=hidden name=IdAttivita value="" />	

	<input type=hidden name=txtId value="" />	
	<input type=hidden name=txtCodice value="" />	
	<input type=hidden name=txtDes1 value="" />	
	<input type=hidden name=txtDes2 value="" />	
	<input type=hidden name=txtTipo value="" />	
	<input type=hidden name=txtIndirizzo value="" />	
	<input type=hidden name=txtComune value="" />	
	<input type=hidden name=txtProv value="" />	
	<input type=hidden name=txtCap value="" />	
	<input type=hidden name=cboFrequenze value="" />	
</form>
<script>
var messaggi = {
	No_elementi_attivita: "<?php $traduttore->js('Non sono ancora stati caricati elementi e attivita\'!') ?>",
	Finito: "<?php $traduttore->js('FINITO') ?>",
	No_elementi: "<?php $traduttore->js('Non sono ancora stati caricati elementi!') ?>",
	Ordini_semplici: "<?php $traduttore->js('Vuoi generare ordini aggregazione semplici?') ?>",
	Ordini_utilizzatori: "<?php $traduttore->js('Vuoi generare ordini aggregazione per utilizzatori?') ?>"
};
</script>
</body>
<?php $traduttore->Salva() ?>
</html>