<?php  
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if( strlen(@$_GET['IdCommessa'])>0 )
{
	@$_POST['IdCommessa'] = @$_GET['IdCommessa']; 
	@$_SESSION['IdCommessa'] = @$_GET['IdCommessa']; 
}
	
if( strlen(@$_GET['NumOrdine'])>0 )
	@$_POST['NumOrdine'] = @$_GET['NumOrdine']; 
	
if( strlen(@$_GET['AnnoOrdine'])>0 )
	@$_POST['AnnoOrdine'] = @$_GET['AnnoOrdine']; 

if( !is_numeric($_GET['NumOrdine'])  &&  !is_numeric($_GET['NumOrdine'])   &&  !is_numeric($_GET['IdCommessa']) )
	die('Nessuna ordine o commessa selezionati!'); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>  
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css"> 
	
	<link href="../../_css/_addictionCompact.css" rel="stylesheet" type="text/css"> 

	<script src="/repository/libs/jquery/jquery.sortElements.js"></script>
	
	<link href="../../_css/customer_satisfiction.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="../../_ntx/jhp.php"></script>
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	
	
	<style> 
	.tbl1
	{
		border: solid 2px #c62828; 
	}
	
	.tbl1 th
	{
		color: #c62828; 
		text-align:left;
	}
	
	.tbl1 th
	,.tbl1 td
	{
		border-bottom: 1px solid #AAA;
		padding-left:2px;
	}
	</style>  
</head>

<body > 


<?php
$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<<_SQL
SELECT     
	Richieste.NumRichiesta, Richieste.AnnoRichiesta, 
	Richieste.Descrizione+' '+Richieste.Descrizione1+' '+Richieste.Descrizione2 AS DescrizioneRichiesta, 
	Ordini.NumOrdine, Ordini.AnnoOrdine 
	,ElencoEdifici.EdificioBreve
	,ElencoEdifici.Indirizzo
	,ElencoEdifici.CITTA
	,ElencoEdifici.PROVINCIA   
	,Ordini.DataPresaInCarico  
	,Ordini.DataInizio
	,Ordini.DataFine
	,Ordini.Intervento 
	,Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2
	
	,tblMestieri.RichiedeCompilazioneModulo
	,tblMestieri.Descrizione AS Mestiere
	
FROM        
	Richieste  
	INNER JOIN
	Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa	 
	LEFT OUTER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID 
	INNER JOIN
	tblMestieri ON tblMestieri.IdCommessa = Richieste.IDCommessa AND tblMestieri.IdMestiere = Richieste.IdMestiere	
	
WHERE     
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine)
	AND (Ordini.AnnoOrdine = $AnnoOrdine)
_SQL;

 

$rs = ntxRecord(ntxQuery($sql));

$rs['DataPresaInCarico'] = ntxDateTime($rs['DataPresaInCarico']);  
$rs['DataInizio'] = ntxDateTime($rs['DataInizio']);  
$rs['DataFine'] = ntxDateTime($rs['DataFine']);    
	
$rs[NumOrdine] = (int) $rs[NumOrdine];	
$rs[AnnoOrdine] = (int) $rs[AnnoOrdine];	
$rs[NumRichiesta] = (int) $rs[NumRichiesta];	
$rs[AnnoRichiesta] = (int) $rs[AnnoRichiesta];	
?>

<div align="center" style="margin: 5px;">   

<table class="tbl1" >
	<tr>
		<th>Ordine
		<td><strong><?php echo htmlentities($rs[NumOrdine]) ?>/<?php echo htmlentities($rs[AnnoOrdine]) ?></strong> 
	<tr>
		<th>Richiesta
		<td><?php echo htmlentities($rs[NumRichiesta]) ?>/<?php echo htmlentities($rs[AnnoRichiesta]) ?>  
	<tr>
		<th>Descrizione
		<td>
			<?php echo htmlentities($rs[DescrizioneRichiesta]) ?>   
	<tr>
		<th>Intervento
		<td>
			<?php echo htmlentities($rs[Intervento]) ?>   
	<tr>
		<th>Localizzazione
		<td>
			<?php echo htmlentities($rs[EdificioBreve]) ?>  
			<?php echo htmlentities($rs[Indirizzo]) ?>  
			<?php echo htmlentities($rs[CITTA]) ?>   
	<tr>
		<th>Servizi
		<td>
			<?php echo htmlentities($rs[Mestiere]) ?>    
	<tr>
		<th>Data Inizio 
		<td>
			<?php echo htmlentities($rs[DataInizio]) ?>   
	<tr>
		<th>Data Fine
		<td>
			<?php echo htmlentities($rs[DataFine]) ?>   
</table>  

<br><br><br>

<?php
require('_customer_satisfiction.php');
?>

</body>
</html>