<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201707171640 = new NtxTraduttore("000_000_761", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201707171640 = new NtxCreaTraduzione("000_000_761", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumOrdine = ntxise('NumOrdine'); // usata anche in _carica_richiesta
$AnnoOrdine = ntxise('AnnoOrdine'); // usata anche in _carica_richiesta
	
$CostoIntervento = ntxfp('CostoIntervento', false);
	


//inseriamo il costo
$Costi= new NtxTable("Costi", true);		
$Insert= $Costi->insert();			   
 
$Insert->set("CostoUnit", $CostoIntervento); //importo della riga allegati
$Insert->set("CostoTotale", $CostoIntervento); //importo della riga allegati
$Insert->set("UM", "AC");    
$Insert->set("QTA", 1);   
$Insert->set("Autorizzato", 1);   
		   
$Insert->set("NumOrdine", 	$NumOrdine ); 
$Insert->set("AnnoOrdine", 	$AnnoOrdine ); 
$Insert->set("IdCommessa", 	$IdCommessa ); 
		   
$Insert->execute(); 





//inseriamo la contabilità se non esiste e importiamo le righe di costo
$sql = <<< SQL
	SELECT     NumContabilità
	FROM         Contabilità
	WHERE     (IDCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine')
SQL;

$NumContabilità = ntxScalar($sql);

if ( !is_numeric($NumContabilità ) )
{
	$sql = <<< SQL
			INSERT INTO Contabilità
								  (RifOrdineCliente, IDCommessa, NumOrdine, AnnoOrdine, GradoUrgenza, Tipo, Sede, CodEdificio, Edificio, Fase, Descrizione, DataModifica, 
								  DataContabilità, idStatoc, idvoce)
			SELECT     LTRIM(Richieste.NumRifCli) + ' / ' + LTRIM(Richieste.AnnoRifCli) + ' / ' + Richieste.CommRifCli + ' / ' + Richieste.TipoRifRic AS Espr1, 
								  Ordini.IDCommessa, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.GradoUrgenza, Ordini.Contabiliz, Ordini.Sede, Ordini.CodEdificio, 
								  ElencoEdifici.EdificioBreve, Ordini.Fase, Ordini.DescrizioneIntervento, GETDATE() AS DM, GETDATE() AS DM2, 20 AS idstatoc
								  , richieste.IdVoceBudget
			FROM         ElencoEdifici INNER JOIN
								  Ordini ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa LEFT OUTER JOIN
								  Richieste ON Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
								  Ordini.IDCommessa = Richieste.IDCommessa
			WHERE Ordini.IDCommessa = $IdCommessa
				AND Ordini.NumOrdine = $NumOrdine
				AND Ordini.AnnoOrdine = $AnnoOrdine
SQL;

	ntxQuery($sql);

	$NumContabilità = ntxScalar('SELECT @@IDENTITY'); 
}

$sql = <<< SQL
		SELECT DISTINCT tblPgContratti.IdPgContratto
		FROM         tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      Ordini ON tblComponetiMestiere.IdMestiere = Ordini.IdMestiere INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere AND 
                      Ordini.IDCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      Ordini.CodEdificio = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio INNER JOIN
                      tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblPgContratti.IdCommessa AND Ordini.DataOrdine >= tblPgContratti.DataInizio AND 
                      Ordini.DataOrdine <= tblPgContratti.DataFine
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$IdContrattoGestione = ntxScalar($sql);
	
if ( !is_numeric($IdContrattoGestione) ) 
{
	$IdContrattoGestione = -2;
}
else
{
	$sql = "SELECT CopiaScontiFornitoreInContabilità FROM tblPgContratti WHERE IdPgContratto=$IdContrattoGestione";
	
	$CopiaScontiFornitoreInContabilità = ntxScalar($sql);
}

if ($CopiaScontiFornitoreInContabilità)
{
	$sqlSconto = "isnull(Costi.Sconto, 0)";
}
else
{
	$sqlSconto = <<< sqlSconto
		isnull((
				SELECT     ScontiGestore.Sconto
				FROM         ScontiGestore
				WHERE     (ScontiGestore.IdCommessa = Costi.IdCommessa) 
				AND (ScontiGestore.IdPgContratto = $IdContrattoGestione) 
				AND (ScontiGestore.IdPrezzo = Costi.IdPrezzo)			
		), 0)
sqlSconto;
}

$sql = <<< SQL
		INSERT INTO RiheContabilità
							  (IdCommessa, NumContabilità, IdPrezzo, Alt, Lar, Lun, Cod, Titolo, UM, DataModifica, Prezziario, TipoPrezzo, Formula, NotaRiga, DataOp, Descrizione, DescrEstesa, 
							  QTA, PzUnitario, Sconto, Allegato, Path, Gruppo, OneriSicurezza)
		SELECT     IdCommessa, $NumContabilità AS NumContabilità, IdPrezzo, Alt, Lar, Lun, Cod, Titolo, UM, GETDATE() AS DataModifica, Prezziario, TipoPrezzo, Formula, NotaRiga, 
							  DataLavorazione AS DataOp, Descrizione, DescrEstesa, QTA, CostoUnit AS PzUnitario, 
							  
							   $sqlSconto AS Sconto, 
								
								Allegato, Path, Gruppo,
								
								OneriSicurezza
		FROM         Costi
		WHERE     (IdCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine') AND (Autorizzato = 1)
SQL;

ntxQuery($sql);



$sql1 = <<< SQL
	SELECT DISTINCT RigaC
	FROM RiheContabilità
	WHERE 
		IdCommessa=$IdCommessa
		AND NumContabilità=$NumContabilità
SQL;

$query1 = ntxQuery($sql1);
while( $rs1 = ntxRecord($query1) )
{
	$RigaC = $rs1[RigaC];
	
	$sql2 = <<< SQL
	SELECT  IDCosti
	FROM  	Costi
	WHERE   (IdCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine') AND (Autorizzato = 1)
SQL;

	$query2 = ntxQuery($sql2);
	while( $rs2 = ntxRecord($query2) )
	{
		$IDCosti = $rs2[IDCosti];	
	
		$sql3 = <<< SQL
		INSERT INTO RiheContabilitaDettaglio
					   (IdCommessa, RigaC, M1, M2, M3, M4, Descrizione)
					   
		SELECT IdCommessa, $RigaC AS RigaC, M1, M2, M3, M4, Descrizione
		FROM  CostiDettaglio
		WHERE IdCommessa=$IdCommessa AND IDCosti=$IDCosti
SQL;
 
		ntxQuery($sql3);
	}
}


 
//finiamo la contabilità
$sql = <<<_SQL
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
_SQL;

$flussoPaginaWeb = "".ntxScalar($sql); 

if($flussoPaginaWeb=='sky')
{
	$NumOrdine = ntxip('NumOrdine'); 
	$AnnoOrdine = ntxip('AnnoOrdine'); 

	$sql = <<< SQL
		SELECT  validazioneTecnica
		FROM 	Ordini
		WHERE   IdCommessa = $IdCommessa AND NumOrdine = $NumOrdine AND AnnoOrdine = $AnnoOrdine
SQL;

	$validazioneTecnica = ntxScalar($sql); 
	
	if( $validazioneTecnica!=true )
		ntxMsgErr($traduttore201707171640->traduci('Impossibile continuare poiche\' l\'utente supervisore non ha valutato il lavoro effettuato!'));
}
//////////////***** fine *****//////////////


$IdCommessa = ntxip('IdCommessa'); // usata anche in _carica_richiesta
$NumOrdine = ntxip('NumOrdine'); // usata anche in _carica_richiesta
$AnnoOrdine = ntxip('AnnoOrdine'); // usata anche in _carica_richiesta
		
$sql = "UPDATE Ordini SET "

		."StatoOrd = 100"
		.", DataModifica = getdate()"

		." WHERE StatoOrd < 100 AND IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

ntxQuery($sql);

$sql = <<< SQL
	SELECT     Richieste.Localizzazione, Richieste.NumRichiesta, Richieste.AnnoRichiesta, 
				Richieste.DataRichiesta, Ordini.IdMestiere, Ordini.Assegnazione, Richieste.IdAffidatario
	FROM         Ordini INNER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
	WHERE     (Ordini.IdCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine)
SQL;

$query = ntxQuery($sql);

if ( $rs = ntxIRecord($query) ) 
{
	$Localizzazione = $rs[0];
	$NumRichiesta = $rs[1];
	$AnnoRichiesta = $rs[2];
	$DataRichiesta = ntxt(ntxDate($rs[3]));
	$IdMestiere = $rs[4];
	$IdDitta = $rs[5];
	$IdAffidatario = $rs[6];
	
	$emailRifFuori = null;
		
	if ( is_numeric($IdAffidatario) )
	{
		$sqlEmailRifFuori = <<< sql
			SELECT DISTINCT email_1
			FROM         tblPgRifAffidatari
			WHERE     (VistaFuoriContratto = 1) 
				AND (IdAffidatario = $IdAffidatario)			
				AND (email_1 IS NOT NULL)
				AND (email_1 <> '')
sql;
		$query = ntxQuery($sqlEmailRifFuori);
		
		while( $rs = ntxIRecord($query) )
		{
			$emailRifFuori[] = $rs[email_1];
		}
	}

	$sql = <<< SQL
		SELECT DISTINCT tblPgRifAffidatari.email_1
		FROM tblComponetiMestiere INNER JOIN
			tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
			tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
			tblPgContrattiRifAffidatari INNER JOIN
			tblPgContrattiRifAffidatariAttivitàEdifici ON 
			tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
			tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
			tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
			tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
			tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
		WHERE (tblComponetiMestiere.IdMestiere = $IdMestiere) 
			AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) 
			AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa)
			AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) 
			AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)
			AND (tblPgRifAffidatari.email_1 IS NOT NULL)
			AND (tblPgRifAffidatari.email_1 <> '')
SQL;

	if ( is_numeric($IdAffidatario) )
		$sql .= " AND tblPgRifAffidatari.IdAffidatario = $IdAffidatario ";

	$queryEmailRif1 = ntxQuery($sql);
	
	$NonTrovataEmailRif1 = true;
	
	$oggetto = $messaggio = $traduttore201707171640->traduci('Fine contabilità fornitore per ordine')." $NumOrdine/$AnnoOrdine";
	
	while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"f-ritorno c",				
				"ordine $NumOrdine/$AnnoOrdine",			
				"email",		
				$rsEmailRif1[0],		
				$oggetto,				
				$messaggio,
				true);	
	
		$NonTrovataEmailRif1 = false;
	}
	
	if ( $NonTrovataEmailRif1  &&  isset($emailRifFuori) )
	{
		foreach ( $emailRifFuori as $email )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					"f-ritorno c",				
					"ordine $NumOrdine/$AnnoOrdine",			
					"email",		
					$email,		
					$oggetto,				
					$messaggio,
					true);	
		
			$NonTrovataEmailRif1 = false;
		}
	}
	
	if ( $NonTrovataEmailRif1 )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"f-ritorno c",				
				"ordine $NumOrdine/$AnnoOrdine",			
				"email",		
				EMAIL_DEBUG,		
				$oggetto,				
				$messaggio,
				true);	
	}
}



//eseguiamo il codice contenuto in consegna a cliente
if ( !is_numeric($NumContabilità ) )
	ntxMsgErr($traduttore201707171640->traduci('Non esiste ancora la testata di contabilita\'!'));
	
$sql = <<< SQL
	SELECT idStatoc FROM Contabilità
			WHERE IDCommessa = $IdCommessa
				AND NumContabilità = $NumContabilità
SQL;

$idStatoc = ntxScalar($sql);

if ( $idStatoc >= 40)
	$DataC = "";
else
	$DataC = ", DataConsegna = getdate()";
	
$sql = <<< SQL
	UPDATE    Contabilità
	SET              idStatoc = 40
						$DataC
						, DataUltimaConsegna = getdate()
						, DataModifica = getdate()
						, Consegnato = 1
			WHERE IDCommessa = $IdCommessa
				AND NumContabilità = $NumContabilità
				AND idStatoc <= 50
SQL;

ntxQuery($sql);

$sql = <<< SQL
	UPDATE    Ordini
	SET              StatoOrd = 300
						, DataModifica = getdate()
			WHERE Ordini.IDCommessa = $IdCommessa
				AND Ordini.NumOrdine = $NumOrdine
				AND Ordini.AnnoOrdine = $AnnoOrdine
				AND StatoOrd < 300
SQL;

ntxQuery($sql);

$sql = <<< SQL
		SELECT     Utenti.Email
		FROM         UtentiTecnici INNER JOIN
							  Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
							  Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
							  Richieste ON Tecnici.Tecnico = Richieste.TecnicoC INNER JOIN
							  Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
							  Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
		WHERE     (Tecnici.Tipo = 'PROV') 
				AND (Tecnici.Autorizzatore = 1) 
				AND Ordini.IDCommessa = $IdCommessa
				AND Ordini.NumOrdine = $NumOrdine
				AND Ordini.AnnoOrdine = $AnnoOrdine
SQL;

if ( $email_destinatario = ntxScalar($sql) ) 
{
	$oggetto = $messaggio = $traduttore201707171640->traduci('Consegna contabilita\' n.')." $NumContabilità ".$traduttore201707171640->traduci('per ordine')." $NumOrdine/$AnnoOrdine";
	
	ntxFireNetInit($_SESSION['Utente'].'',				
					"a-consegna contabilita",				
					"contabilita $NumContabilità",			
					"email",		
					$email_destinatario,		
					$oggetto,				
					$messaggio,
					true);	
}
else
{
	$oggetto = $messaggio = $traduttore201707171640->traduci('Consegna contabilita\' n.')." $NumContabilità ".$traduttore201707171640->traduci('per ordine')." $NumOrdine/$AnnoOrdine";
	
	ntxFireNetInit($_SESSION['Utente'].'',				
					"a-consegna contabilita",				
					"contabilita $NumContabilità",			
					"email",		
					EMAIL_DEBUG,		
					$oggetto,				
					$messaggio,
					true);	
}




//settiamo i campi 	CostoIntervento e GeneratoCostoIntervento dell'ordine in modo che non si possa più eseguire la procedura.
$Ordini= new NtxTable("Ordini");
$UpdateOrdini= $Ordini->update();

$UpdateOrdini->init();
$UpdateOrdini->set("CostoIntervento", $CostoIntervento);
$UpdateOrdini->set("GeneratoCostoIntervento", 1);

$UpdateOrdini->wherep("IdCommessa");	
$UpdateOrdini->wherep("NumOrdine");	
$UpdateOrdini->wherep("AnnoOrdine");	
							   
$UpdateOrdini->execute();	


ntxMsgResult( '' );

traduttore201707171640->Salva();
?>
