<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdAreeIntervento = ntxip('IdAreeIntervento');
$giornoSettimana = $_POST[giorno];
$IdRisorsa = ntxip('IdRisorsa');

$ElencoGiorniSettimana = array('Lun', 'Mar', 'Mer', 'Gio', 'Ven', 'Sab', 'Dom');

if ( !in_array($giornoSettimana, $ElencoGiorniSettimana) )
	jhp_error("Parametro giorno errato!");
	
$sql = <<< sql
	SELECT COUNT(*) 
	FROM PORP_RIS_AI
	WHERE IdCommessa=$IdCommessa
		AND IdRisorsa=$IdRisorsa
		AND IdAreaIntervento=$IdAreeIntervento
sql;

$count = ntxScalar($sql);

if ( $count==0 )
{
	$sql = <<< sql
		INSERT INTO PORP_RIS_AI
							  (IdCommessa, IdRisorsa, IdAreaIntervento, Lun, Mar, Mer, Gio, Ven, Sab, Dom)
		VALUES     ($IdCommessa,$IdRisorsa,$IdAreeIntervento,0,0,0,0,0,0,0)
sql;

	ntxQuery($sql);
}
	
$sql = <<< sql
	SELECT $giornoSettimana 
	FROM PORP_RIS_AI
	WHERE IdCommessa=$IdCommessa
		AND IdRisorsa=$IdRisorsa
		AND IdAreaIntervento=$IdAreeIntervento
sql;

$valore = ntxScalar($sql) ? 0 : 1;

$sql = <<< sql
	UPDATE PORP_RIS_AI SET $giornoSettimana=$valore
	WHERE IdCommessa=$IdCommessa
		AND IdRisorsa=$IdRisorsa
		AND IdAreaIntervento=$IdAreeIntervento
sql;

ntxQuery($sql);

$sql = <<< sql
	exec PORPDistribuisciMqOreSuRirsorse $IdAreeIntervento
sql;

ntxQuery($sql);

jhp_ok();

?>
