<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdPORP = ntxip('IdPORP');

$where =  <<< where
	WHERE PORP_Risorse.IdPORP=$IdPORP
where;

if ( strlen("$_POST[txtFiltroRisorseNome]")>0 ) $where .= " AND PORP_Risorse.Nome LIKE '%".str_replace("'","''",$_POST[txtFiltroRisorseNome])."%' ";

if ( strlen("$_POST[txtFiltroRisorseProfilo]")>0 ) $where .= " AND PORP_ProfiloRisorse.Nome LIKE '%".str_replace("'","''",$_POST[txtFiltroRisorseProfilo])."%' ";

$sql = <<< sql
	SELECT     PORP_Risorse.Id, PORP_Risorse.Nome, PORP_ProfiloRisorse.Nome AS Profilo, PORP_Risorse.OreContrattualiSettimanali, 
                      PORP_Risorse.OreTotaliAssegnate, PORP_Risorse.MqTotaliAssegnate, PORP_Risorse.OreLun, PORP_Risorse.OreMar, PORP_Risorse.OreMer, 
                      PORP_Risorse.OreGio, PORP_Risorse.OreVen, PORP_Risorse.OreSab, PORP_Risorse.OreDom, PORP_Risorse.MqLun, PORP_Risorse.MqMar, 
                      PORP_Risorse.MqMer, PORP_Risorse.MqGio, PORP_Risorse.MqVen, PORP_Risorse.MqSab, PORP_Risorse.MqDom
	FROM         PORP_Risorse LEFT JOIN
                      PORP_ProfiloRisorse ON PORP_Risorse.Profilo = PORP_ProfiloRisorse.Id
	$where
	ORDER BY Nome
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Risorsa
			<th>Ore<br>Contr.<br>Sett.
			<th>
			<th>Totali
table;

$giorni = array('Lun', 'Mar', 'Mer', 'Gio', 'Ven', 'Sab', 'Dom');

foreach($giorni as $giorno)
	$table .= <<< table
			<th>$giorno
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$html[OreContrattualiSettimanali] = ntxRoundThousand($html[OreContrattualiSettimanali], 2);
	$html[OreTotaliAssegnate] = ntxRoundThousand($html[OreTotaliAssegnate], 2);
	$html[MqTotaliAssegnate] = ntxRoundThousand($html[MqTotaliAssegnate], 2);
	
	$Colore = "#FFDEDE";
	
	if ( $rs[OreTotaliAssegnate]>$rs[OreContrattualiSettimanali] )
		$Colore = "red;color:white";
	elseif ( is_numeric($rs[OreTotaliAssegnate])  &&  $rs[OreTotaliAssegnate]>0 )
		$Colore = "#DEDEFF";

	$table .= <<< table
		<tr>
			<td rowspan=2><input type=radio name=optRisorsaSelected value=$html[Id] onclick="CaricaAreeInterventoAssociabili()" />
			<td>$html[Nome]
			<td rowspan=2 style="text-align:right">$html[OreContrattualiSettimanali]
			<td style="font-weight:bold">Ore
			<td style="text-align:right;background-color:$Colore">$html[OreTotaliAssegnate]
table;

	foreach($giorni as $giorno)
	{
		$htmlValore = ntxRoundThousand($html["Ore{$giorno}"], 2);
	
		$table .= <<< table
			<td style="text-align:right">$htmlValore
table;
	}

	$table .= <<< table
		<tr>
			<td>$html[Profilo]
			<td style="font-weight:bold">Mq
			<td style="text-align:right">$html[MqTotaliAssegnate]
table;

	foreach($giorni as $giorno)
	{
		$htmlValore = ntxRoundThousand($html["Mq{$giorno}"], 2);
	
		$table .= <<< table
			<td style="text-align:right">$htmlValore
table;
	}
}

$table .= "</table>";

jhp($table);

?>
