<?php

$sql = <<< sql
	SELECT  distinct   CdC1.Colore
	FROM         Ambiente INNER JOIN
						  CdC1 ON Ambiente.IdCommessa = CdC1.IdCommessa AND Ambiente.CdC = CdC1.CdC
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND (CdC1.Colore is not null)
		AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
sql;

$query2 = ntxQuery($sql);

while($rs2=ntxiRecord($query2))
{
	$layer = ms_newLayerObj($map);

	$layer->set("name", "temi_{$rs[0]}");

	$layer->set("type", MS_LAYER_POLYGON);

	$layer->set("status", MS_ON);

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	ToRgb($rs2[0], $rosso, $verde, $blu);

	$style->color->setRGB($rosso, $verde, $blu);

	$Colore = ntxs($rs2[0]);
	
	$sql = <<< sql
		SELECT AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.CoordXY
		FROM         Ambiente INNER JOIN
						  CdC1 ON Ambiente.IdCommessa = CdC1.IdCommessa AND Ambiente.CdC = CdC1.CdC
						  INNER JOIN
					  AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
					  Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente
		WHERE     (Ambiente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.IdLivello = $IdPiano)
			AND (AmbienteShapes.Tipo = 2)
			AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
			AND (CdC1.Colore=$Colore)
		ORDER BY AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.Id
sql;

	$query3 = ntxQuery($sql);

	$IdAmbiente = $IdShape = "";

	$punti = "";

	while($rs3=ntxRecord($query3))
	{
		if ( $IdAmbiente=="" ) 
		{
			$IdAmbiente = $rs3[IdAmbiente];
			$IdShape = $rs3[IdShape];
		}
		
		if ( $IdAmbiente!=$rs3[IdAmbiente] || $IdShape!=$rs3[IdShape] ) 
		{
			$IdAmbiente = $rs3[IdAmbiente];
			$IdShape = $rs3[IdShape];
			
			WritePolygon($layer, $punti);
			
			$punti = "";
		}
		
		$punti .= $rs3[CoordXY];
	}

	if ( $punti!="" ) 
		WritePolygon($layer, $punti);
}


?>