<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x1 = $_POST[zoom_x1];
$y1 = $_POST[zoom_y1];
$x2 = $_POST[zoom_x2];
$y2 = $_POST[zoom_y2];

$dx = $_POST[dx];
$dy = $_POST[dy];

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

function ConvX($x)
{
	global $dx2, $dx, $minx;
	
	return $x * $dx2 / $dx + $minx;
}

function ConvY($y)
{
	global $dy2, $dy, $miny;
	
	$y = $dy - $y;
	
	return $y * $dy2 / $dy + $miny;
}

$x1 = ConvX($x1);
$y1 = ConvY($y1);
$x2 = ConvX($x2);
$y2 = ConvY($y2);

$minx3 = $x1 < $x2 ? $x1 : $x2;
$miny3 = $y1 < $y2 ? $y1 : $y2;
$maxx3 = $x1 > $x2 ? $x1 : $x2;
$maxy3 = $y1 > $y2 ? $y1 : $y2;

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IdPORP = ntxip('IdPORP');
$IdAreaInterventoSelezionata = ntxip('IdAreaInterventoSelezionata');

$sql = <<< sql
	SELECT DISTINCT Ambiente.IDAmbiente
		FROM         Ambiente 
		WHERE     (Ambiente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.IdLivello = $IdPiano)
			AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 

			AND dbo.VanoConPrimoPuntoInRettangolo(Ambiente.IdCommessa, Ambiente.IdEdificio, Ambiente.IDAmbiente,
								$minx3, 		$miny3,
								$maxx3, 		$maxy3)=1
sql;

$query = ntxQuery($sql);

while ( $rs = ntxIRecord($query) )
{
	$IdAmbiente = $rs[0];

	$sql = <<< sql
		SELECT top 1 PORP_AI_Ambienti.IdAreaIntervento
		FROM         PORP_AI_Ambienti INNER JOIN
							  PORP_AreeIntervento ON PORP_AI_Ambienti.IdAreaIntervento = PORP_AreeIntervento.Id
		WHERE     (PORP_AreeIntervento.IdPORP = $IdPORP) 
			AND (PORP_AI_Ambienti.IdCommessa = $IdCommessa) 
			AND (PORP_AI_Ambienti.IdEdificio = $IdEdificio) 
			AND (PORP_AI_Ambienti.IdAmbiente = $IdAmbiente)
sql;

	$IdAreaInterventoGiàAssegnato = ntxScalar($sql);
	
	if ( !is_numeric($IdAreaInterventoGiàAssegnato) )
	{
		$sql = <<< sql
			INSERT INTO PORP_AI_Ambienti
                      (IdCommessa, IdEdificio, IdAmbiente, IdAreaIntervento)
			VALUES ($IdCommessa, $IdEdificio, $IdAmbiente, $IdAreaInterventoSelezionata)
sql;

		ntxQuery($sql);
	}
	elseif ( $IdAreaInterventoGiàAssegnato==$IdAreaInterventoSelezionata )
	{
	$sql = <<< sql
		DELETE FROM PORP_AI_Ambienti
		WHERE (PORP_AI_Ambienti.IdCommessa = $IdCommessa) 
			AND (PORP_AI_Ambienti.IdEdificio = $IdEdificio) 
			AND (PORP_AI_Ambienti.IdAmbiente = $IdAmbiente)
			AND (PORP_AI_Ambienti.IdAreaIntervento = $IdAreaInterventoSelezionata)
sql;

		ntxQuery($sql);
	}
}

$sql = <<< sql
	exec PORPCalcolaMqOreAreaIntervento $IdAreaInterventoSelezionata
sql;

ntxQuery($sql);

jhp_ok();

?>
