CREATE PROCEDURE PORPDistribuisciMqOreSuRirsorse(@IdAreaInterventoPORP int)
AS
BEGIN
	SET NOCOUNT ON;
	
	UPDATE    PORP_AreeIntervento
	SET              
		MqTotali = (
						SELECT SUM(ISNULL(Ambiente.MQ,0))
						FROM PORP_AI_Ambienti INNER JOIN
							  Ambiente ON PORP_AI_Ambienti.IdCommessa = Ambiente.IdCommessa AND PORP_AI_Ambienti.IdEdificio = Ambiente.IdEdificio AND 
							  PORP_AI_Ambienti.IdAmbiente = Ambiente.IDAmbiente
						WHERE (PORP_AI_Ambienti.IdAreaIntervento = @IdAreaInterventoPORP) 
							AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
					)
	WHERE     (Id = @IdAreaInterventoPORP)
/*	
	UPDATE    PORP_AreeIntervento
	SET              
		OreMedieLun =, OreMedieMar =, OreMedieMer =, OreMedieGio =, OreMedieVen =, OreMedieSab =, OreMedieDom =, 
		OreTotaliLun =, OreTotaliMar =, OreTotaliMer =, OreTotaliGio =, OreTotaliVen =, OreTotaliSab =, OreTotaliDom =, 
		OreMinLun =, OreMinMar =, OreMinMer =, OreMinGio =, OreMinVen =, OreMinSab =, OreMinDom =, 
		OreMaxLun =, OreMaxMar =, OreMaxMer =, OreMaxGio =, OreMaxVen =, OreMaxSab =, OreMaxDom =
	WHERE     (Id = @IdAreaInterventoPORP)
*/
	UPDATE    PORP_AreeIntervento
	SET              
		OreTotali = OreMedieLun + OreMedieMar + OreMedieMer + OreMedieGio + OreMedieVen + OreMedieSab + OreMedieDom
	WHERE     (Id = @IdAreaInterventoPORP)

	EXEC PORPDistribuisciMqOreSuRirsorse @IdAreaInterventoPORP
END

Lun
Mar
Mer
Gio
Ven
Sab
Dom