<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdPORP = ntxip('IdPORP');

$where = "WHERE PORP_Pianificazione_oraria_risorse_pulizie.Id=$IdPORP";

if ( is_numeric("$_POST[Id]")>0 ) $where .= " AND ElencoEdifici.Id = ".(int)$_POST[Id];

if ( strlen("$_POST[Nome]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[Nome])."%'";

if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[Comune]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[Comune])."%'";

if ( strlen("$_POST[Prov]")>0 ) $where .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[Prov])."%'";

if ( strlen("$_POST[Ente]")>0 ) $where .= " AND tblPgPropietari.Nome LIKE '%".str_replace("'","''",$_POST[Ente])."%'";

$sql = <<< sql
	SELECT DISTINCT    ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      tblPgPropietari.Nome AS Ente
	FROM         PORP_Pianificazione_oraria_risorse_pulizie INNER JOIN
                      tblPgContrattiAffidatariAttivitàEdifici ON 
                      PORP_Pianificazione_oraria_risorse_pulizie.IdContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario INNER JOIN
                      ElencoEdifici ON tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = ElencoEdifici.ID AND 
                      tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	$where
sql;

$paginazione = ntxPaginazione($sql, "ID ");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>ID
			<th>Codice
			<th>Nome
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>Ente
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td><input type=button value=sel onclick="SelEdificio($rs[ID])" />
			<td>$html[ID]
			<td>$html[Codice]
			<td>$html[EdificioBreve]
			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[Ente]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
