<?php

if ( !$_SESSION ) session_start();

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdPORP = ntxip('IdPORP');

$where = "WHERE PORP_Risorse.IdPORP=$IdPORP";

if ( strlen("$_POST[FiltroPerNomeRis]")>0 ) $where .= " AND PORP_Risorse.Nome LIKE '%".str_replace("'","''",$_POST[FiltroPerNomeRis])."%'";

if ( is_numeric("$_POST[FiltroPerProfilo]")>0 ) $where .= " AND PORP_Risorse.Profilo = ".(int)$_POST[FiltroPerProfilo];

$sql = <<< sql
	SELECT     PORP_Risorse.Id, PORP_Risorse.Nome, PORP_Risorse.Profilo, PORP_ProfiloRisorse.Nome AS NomeProfilo, 
                      PORP_Risorse.OreContrattualiSettimanali AS OreContrSett, PORP_Risorse.OreTotaliAssegnate AS OreTot, 
                      PORP_Risorse.MqTotaliAssegnate AS MqTot, PORP_Risorse.OreLun, PORP_Risorse.OreMar, PORP_Risorse.OreMer, PORP_Risorse.OreGio, 
                      PORP_Risorse.OreVen, PORP_Risorse.OreSab, PORP_Risorse.OreDom, PORP_Risorse.MqLun, PORP_Risorse.MqMar, PORP_Risorse.MqMer, 
                      PORP_Risorse.MqGio, PORP_Risorse.MqVen, PORP_Risorse.MqSab, PORP_Risorse.MqDom
	FROM         PORP_Risorse LEFT OUTER JOIN
                      PORP_ProfiloRisorse ON PORP_Risorse.Profilo = PORP_ProfiloRisorse.Id
	$where
	ORDER BY Nome
sql;

$query =ntxQuery($sql);

$table = "";

while( $query  &&  $rs = ntxRecord($query) )
{

	foreach($rs as $k=>$v)
	{
		if (substr($k,0,3)=="Ore" || substr($k,0,2)=="Mq" )
			$v = ntxRound($v,2);

		$html[$k] = htmlentities($v);
		$js[$k] = ntxJs($v);
	}
	
	$table .= <<< table
		<div class=divInfo CellaRis=$rs[Id]>
			<input type=button value="elimina" onclick="EliminaRis($rs[Id])" />
			Id Risorsa <b>$rs[Id]</b>
			Nome <input type=text campo=Nome value="$js[Nome]" onblur="ModificaRis($rs[Id], this)" size=25 />
			Profilo <b NomeProfiloRis=$rs[Id]>$html[NomeProfilo]</b> <input type=button value="..." onclick="CambiaProfiloRis($rs[Id], this)" />
			<hr>
			Ore Contrattuali Settimanali <input type=text campo=OreContrattualiSettimanali value="$js[OreContrSett]" onblur="ModificaRis($rs[Id], this)" size=8 />
			Ore Assegnate <input type=text campo=OreTotaliAssegnate value="$js[OreTot]" onblur="ModificaRis($rs[Id], this)" size=8 />
			Mq Assegnati <input type=text campo=MqTotaliAssegnate value="$js[MqTot]" onblur="ModificaRis($rs[Id], this)" size=8 />
			<input type=button value="comprimi/esplodi" onclick="ComprimiRis($rs[Id])" />
			<div ComprimiRis=$rs[Id] style="display:none">
				<hr>
				Ore:<br>
				Lun <input type=text campo=OreLun value="$js[OreLun]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Mar <input type=text campo=OreMar value="$js[OreMar]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Mer <input type=text campo=OreMer value="$js[OreMer]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Gio <input type=text campo=OreGio value="$js[OreGio]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Ven <input type=text campo=OreVen value="$js[OreVen]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Sab <input type=text campo=OreSab value="$js[OreSab]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Dom <input type=text campo=OreDom value="$js[OreDom]" onblur="ModificaRis($rs[Id], this)" size=8 />
				<hr>
				Mq:<br>
				Lun <input type=text campo=OreLun value="$js[OreLun]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Mar <input type=text campo=OreMar value="$js[OreMar]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Mer <input type=text campo=OreMer value="$js[OreMer]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Gio <input type=text campo=OreGio value="$js[OreGio]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Ven <input type=text campo=OreVen value="$js[OreVen]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Sab <input type=text campo=OreSab value="$js[OreSab]" onblur="ModificaRis($rs[Id], this)" size=8 />
				Dom <input type=text campo=OreDom value="$js[OreDom]" onblur="ModificaRis($rs[Id], this)" size=8 />
				<hr>
			</div>
		</div>
table;
}

jhp($table);

?>
