<?php

session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_620", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_620", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdContrattoAffidatario = ntxip('IdContratto');

?>
<html>
<head>
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<link href="css/index.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jhp/jhp-1.4.1.js" type="text/javascript"></script>
	<script src="js/index.js?v4" type="text/javascript"></script>
</head>
<body>

<iframe align=center name="mappaTerritoriale" id="mappaTerritoriale" SCROLLING="no" frameborder="no"  
style="position:absolute;top:0;left:0;display:none;width:100%;height:100%;border:inset 2px;background-color:white;z-index:100" 
src="../../../maps/muti_sel_territorio/mappa.php"></iframe>	
	
<?php

require_once('testata.inc');

$optTipoAreaAtt = "<option value=''>";

$sqlOptTipoAreaAtt = <<< sqlOptTipoAreaAtt
	SELECT     Id, Area
	FROM         tblAreeMestieri
	WHERE     (IdCommessa = $IdCommessa)
	ORDER BY Area
sqlOptTipoAreaAtt;

$queryOptTipoAreaAtt = ntxQuery($sqlOptTipoAreaAtt);

while($rsOptTipoAreaAtt=ntxIRecord($queryOptTipoAreaAtt))
{
	$optTipoAreaAtt .= "<option value='$rsOptTipoAreaAtt[0]'>".htmlentities($rsOptTipoAreaAtt[1]);
}

$optFiltroMestieri = "<option value=''>";

$sqlFiltroMestieri = <<< sqlFiltroMestieri
	SELECT     IdMestiere, codice, Descrizione
	FROM         tblMestieri
	WHERE     (IdCommessa = $IdCommessa)
	ORDER BY Ordine, codice, Descrizione
sqlFiltroMestieri;

$queryFiltroMestieri = ntxQuery($sqlFiltroMestieri);

while($rsFiltroMestieri=ntxIRecord($queryFiltroMestieri))
{
	$optFiltroMestieri .= "<option value='$rsFiltroMestieri[0]'>".htmlentities("$rsFiltroMestieri[1] - $rsFiltroMestieri[2]");
}

$optFiltroFrequenze = "<option value=''>";

$sqlFiltroFrequenze = <<< sqlFiltroFrequenze
	SELECT     IdFrequenza, Descrizione
	FROM         tblFrequenzeMestieri
	WHERE     (IdCommessa = $IdCommessa)
	ORDER BY Descrizione
sqlFiltroFrequenze;

$queryFiltroFrequenze = ntxQuery($sqlFiltroFrequenze);

while($rsFiltroFrequenze=ntxIRecord($queryFiltroFrequenze))
{
	$optFiltroFrequenze .= "<option value='$rsFiltroFrequenze[0]'>".htmlentities("$rsFiltroFrequenze[1]");
}

?>
<div id=divMessage>
<?php $traduttore->html('FINITO') ?>
</div>

<table id=tb0>
	<tr><td style="height:1px" colspan=4>
		<input type=button value="<?php $traduttore->html('Testata') ?>" onclick="$('#Testata').toggle()" />
		<input type=button value="<?php $traduttore->html('Mappa') ?>" onclick="MappaTerritorio()" />
		<span style="padding:2px;margin:2px;border:inset 1px">
			<input type=button value="<?php $traduttore->html('Tutto') ?>" onclick="Vedi('Tutto')" />
			<input type=button value="<?php $traduttore->html('Elementi') ?>" onclick="Vedi('Elementi')" />
			<input type=button value="<?php $traduttore->html('Preplanning') ?>" onclick="Vedi('Preplanning')" />
			<input type=checkbox id=chk value="<?php $traduttore->html('Festivita') ?>" onclick="VediFestivita(this)" checked /><label for="chk"><?php $traduttore->html('Festività') ?></label>
		</span>
		<span style="padding:2px;margin:2px;border:inset 1px">
			<input type=button value="<" onclick="SommaAnno(-1)" />
			<?php $traduttore->html('Anno Inserimento') ?>: <input type=text id=Anno1 size=4 value="<?php echo $AnnoX ?>" onblur="CambiaAnnoInserimento()" />
			/ <input type=text id=Anno2 size=4 value="<?php echo $AnnoX+1 ?>" disabled />
			<input type=button value=">" onclick="SommaAnno(1)" />
		</span>
		<select id=FitroMestieri><?php echo $optFiltroMestieri ?></select>
		<select id=FitroFrequenze><?php echo $optFiltroFrequenze ?></select>
		<input type=checkbox id=chkSoloAttivitàPeriodiche /><label for="chkSoloAttivitàPeriodiche"><?php $traduttore->html('Solo Attività Periodiche') ?></label>
		<input type=button value="<?php $traduttore->html('Carica Preplanning') ?>" onclick="CaricaPreplanning()" />
		<input type=button value="<?php $traduttore->html('Elimina Anno') ?>" onclick="EliminaAnno(1)" />
		<input type=button value="<?php $traduttore->html('Elimina Biennio') ?>" onclick="EliminaAnno(2)" />
		<button id=btnClearAttivitàSenzaComponenti onclick="EliminaAttivPerCensiSenzaCensi()"><?php $traduttore->html('Cancella Attività per Censimento') ?><br><?php $traduttore->html('dove non esiste Censimento') ?></button>
		<button id=btnClearAttivitàNonPerCompE_SenzaComponenti onclick="EliminaAttivNonPerCompE_PerCensiSenzaCensi()"><?php $traduttore->html('Cancella Attività non per Censimento e per Censimento') ?><br><?php $traduttore->html('dove non esiste Censimento') ?></button>
		
		<div style="padding:0px;margin:0px;border:inset 1px">
			<?php $traduttore->html('Tipo Area Attività') ?>: <select id=selTipoAreaAtt><?php echo $optTipoAreaAtt ?></select>
			<input type=checkbox id=chkFiltroPerFrequenzeMensili /><label for="chkFiltroPerFrequenzeMensili"><?php $traduttore->html('Filtro per') ?><br><?php $traduttore->html('Frequenze Mensili') ?></label>
			<input type=checkbox id=chkFiltroUsoAttività /><label for="chkFiltroUsoAttività"><?php $traduttore->html('Filtro per') ?><br><?php $traduttore->html('Attività in Uso') ?></label>
			<input type=checkbox id=chkFiltroInfraSettimInfraMensili /><label for="chkFiltroInfraSettimInfraMensili"><?php $traduttore->html('Filtro per Freq.') ?><br><?php $traduttore->html('Inframensili e Infrasettimanali') ?></label>
			<input type=checkbox id=chkUnGiornoAlMese /><label for="chkUnGiornoAlMese"><?php $traduttore->html('Filtro per') ?><br><?php $traduttore->html('Un Giorno al Mese') ?></label>
			<input type=checkbox id=chkFiltroNonInfraSettimInfraMensili /><label for="chkFiltroNonInfraSettimInfraMensili"><?php $traduttore->html('Filtro per NON Freq.Inframensili') ?><br><?php $traduttore->html('e Infrasettimanali o UnGiornAlMese') ?></label>
			<input type=checkbox id=chkFiltroCompMesTipiComp /><label for="chkFiltroCompMesTipiComp"><?php $traduttore->html('Filtro Componenti') ?><br><?php $traduttore->html('Mestieri per Censimento') ?></label>
			<input type=checkbox id=chkFiltroAttMesTipiComp /><label for="chkFiltroAttMesTipiComp"><?php $traduttore->html('Filtro Attività') ?><br><?php $traduttore->html('Mestieri per Censimento') ?></label>
			<input type=checkbox id=chkUsaFreqMensili /><label for="chkUsaFreqMensili"><?php $traduttore->html('Usa Frequenze') ?><br><?php $traduttore->html('Mensili') ?></label>
			<input type=checkbox id=chkSoloUnAnno checked /><label for="chkSoloUnAnno"><?php $traduttore->html('Genera') ?><br><?php $traduttore->html('Solo 12 Mesi') ?></label>
			<input type=checkbox id=chkRiduciCampi onclick="RiduciCampi(this)" checked /><label for="chkRiduciCampi"><?php $traduttore->html('Riduci') ?><br><?php $traduttore->html('Campi') ?></label>
			<span id="radio1">
				<input type=radio id=optMese name=optInsert checked /><label for="optMese"><?php $traduttore->html('Dettaglio') ?></label>
				<input type=radio id=optIns1 name=optInsert /><label for="optIns1" title="mese intero"><?php $traduttore->html('Inserisci 1') ?></label>
				<input type=radio id=optIns2 name=optInsert /><label for="optIns2" title="per durata consistenza"><?php $traduttore->html('Inserisci 2') ?></label>
				<input type=radio id=optIns3 name=optInsert /><label for="optIns3" title="per durata frequenza"><?php $traduttore->html('Inserisci 3') ?></label>
				<input type=radio id=optIns4 name=optInsert /><label for="optIns4" title="infrasettimanale"><?php $traduttore->html('Inserisci 4') ?></label>
				<input type=radio id=optIns5 name=optInsert /><label for="optIns5" title="un giorno al mese"><?php $traduttore->html('Inserisci 5') ?></label>
				<input type=radio id=optIns6 name=optInsert /><label for="optIns6" title="singoli giorni durata consistenza"><?php $traduttore->html('Inserisci 6') ?></label>
				<input type=radio id=optDel name=optInsert /><label for="optDel"><?php $traduttore->html('Cancella') ?></label>
			</span>
			<span id="radio2">
				<input type=radio id=optSalta name=optSaltaSovra checked /><label for="optSalta"><?php $traduttore->html('Salta') ?></label>
				<input type=radio id=optSovra name=optSaltaSovra /><label for="optSovra"><?php $traduttore->html('Sovrascrivi') ?></label>
			</span>
			<input type=checkbox id=chkDelPlanning name=chkDelPlanning /><label for="chkDelPlanning"><?php $traduttore->html('Cancella Planning') ?></label>
			<input type=checkbox id=chkDelAlwaysPlanning name=chkDelAlwaysPlanning /><label for="chkDelAlwaysPlanning"><?php $traduttore->html('Cancella Sempre Planning') ?></label>

			<?php $traduttore->html('Giorni Settimana per Inserisci 4 e 5') ?>:
			<input type=checkbox id=chkLun /><label for="chkLun"><?php $traduttore->html('Lun') ?></label>
			<input type=checkbox id=chkMar /><label for="chkMar"><?php $traduttore->html('Mar') ?></label>
			<input type=checkbox id=chkMer /><label for="chkMer"><?php $traduttore->html('Mer') ?></label>
			<input type=checkbox id=chkGio /><label for="chkGio"><?php $traduttore->html('Gio') ?></label>
			<input type=checkbox id=chkVen /><label for="chkVen"><?php $traduttore->html('Ven') ?></label>
			<input type=checkbox id=chkSab /><label for="chkSab"><?php $traduttore->html('Sab') ?></label>
			<input type=checkbox id=chkDom /><label for="chkDom"><?php $traduttore->html('Dom') ?></label>
		</div>

		<div id=Testata style="padding:0px;margin:0px;border:inset 1px">
			<table class=grid id=tbl2>
				<tr>
					<th><?php $traduttore->html('ID') ?>
					<th><?php $traduttore->html('Des1') ?>
					<th><?php $traduttore->html('Des2') ?>
					<th><?php $traduttore->html('Data Inizio') ?>
					<th><?php $traduttore->html('Data Fine') ?>
					<th><?php $traduttore->html('Data Contratto') ?>
					<th><?php $traduttore->html('Ente') ?>
				<?php echo "<tr><td>$IdContrattoAffidatario<td>$rs[Des1]<td>$rs[Des2]<td>$rs[DataInizio]<td>$rs[DataFine]<td>$rs[DataContratto]<td>$rs[Ente]" ?>
			</table>
			<br>
			<table class="grid grid2">
				<tr>
					<th><?php $traduttore->html('ID	') ?>		<td><input type=text id=txtId size=20 />
					<th><?php $traduttore->html('Codice') ?>	<td><input type=text id=txtCodice size=20 />
					<th><?php $traduttore->html('Des1') ?>		<td><input type=text id=txtDes1 size=20 />
					<th><?php $traduttore->html('Des2') ?>		<td><input type=text id=txtDes2 size=20 />
					<th><?php $traduttore->html('Tipo') ?>		<td><select id=txtTipo>
						<option value="" selected>
						<option value="0" ><?php $traduttore->html('edifici') ?>
						<option value="1" ><?php $traduttore->html('strade') ?>
						<option value="2" ><?php $traduttore->html('verde') ?>
					</select>
				<tr>
					<th><?php $traduttore->html('Indirizzo') ?>	<td><input type=text id=txtIndirizzo size=20 />
					<th><?php $traduttore->html('Comune') ?>	<td><input type=text id=txtComune size=20 />
					<th><?php $traduttore->html('Provincia') ?>	<td><input type=text id=txtProv size=20 />
					<th><?php $traduttore->html('CAP') ?>		<td colspan=3><input type=text id=txtCap size=20 />
				<tr><th colspan=10>
					<input type=checkbox id=chkOrdLocalizPerID onclick="FiltroElementi()" /><label for="chkOrdLocalizPerID"><?php $traduttore->html('Ordina Localiz. per ID') ?></label>
					<input type=checkbox id=chkUsaMestiereSelezionato /><label for="chkUsaMestiereSelezionato"><?php $traduttore->html('Usa Mestiere') ?></label>
					<input type=button value="<?php $traduttore->html('Filtro Elementi') ?>"  onclick="FiltroElementi()" />
					<input type=button value="<?php $traduttore->html('Reset Filtro') ?>" onclick="ResetFiltroElementi()" />
			</table>
		</div>
	<tr>
		<td style="vertical-align:top;border:inset 1px" id=Elementi><iframe name=FrameElementi id=FrameElementi></iframe>
		<td style="vertical-align:top;border:inset 1px" id=Preplanning>
			<iframe name=FramePreplanning id=FramePreplanning></iframe>
			<iframe name=FramePreplanMese id=FramePreplanMese style="display:none"></iframe>
		<td style="vertical-align:top;border:inset 1px" id=Festivita>
			<iframe name=FrameFestivita id=FrameFestivita src="festivita.php"></iframe>
</table>

<div id=divErrori style="position:absolute;display:none;left:0px;top:0px;width:90%;height:90%;background:yellow;color:brown">
	<table width=100% height=100%>
		<tr style="height:1px"><td>
			<input type=button value=x onclick="$('#divErrori').toggle(false)" />
		<tr><td>
			<div id=divCorpoErrori style="width:100%;height:100%;background:brown;color:yellow;overflow:scroll">test</div>
	</table>
</div>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />	
	<input type=hidden name=IdContratto value="<?php echo $IdContrattoAffidatario ?>" />	
	<input type=hidden name=AnnoX value="<?php echo $AnnoX ?>" />	
	<input type=hidden name=AnnoInizio value="<?php echo $AnnoInizio ?>" />	
	<input type=hidden name=AnnoFine value="<?php echo $AnnoFine ?>" />	
	<input type=hidden name=IdElementi value="" />	
	<input type=hidden name=chkRiduciCampi value="" />	
	<input type=hidden name=chkSoloAttivitàPeriodiche value="" />	
	<input type=hidden name=FitroMestieri value="" />	
	<input type=hidden name=FitroFrequenze value="" />	
	<input type=hidden name=selTipoAreaAtt value="" />	
	<input type=hidden name=chkFiltroPerFrequenzeMensili value="" />	
	<input type=hidden name=chkFiltroUsoAttività value="" />	
	<input type=hidden name=chkFiltroInfraSettimInfraMensili value="" />	
	<input type=hidden name=chkUnGiornoAlMese value="" />	
	<input type=hidden name=chkFiltroNonInfraSettimInfraMensili value="" />	
	<input type=hidden name=chkFiltroCompMesTipiComp value="" />	
	<input type=hidden name=chkFiltroAttMesTipiComp value="" />	

	<input type=hidden name=IdAttivitaDettaglio value="" />	
	<input type=hidden name=MeseDettaglio value="" />	
	<input type=hidden name=AnnoDettaglio value="" />	
	<input type=hidden name=MeseDettaglio24 value="" />	
	<input type=hidden name=AnnoDettaglio24 value="" />	

	<input type=hidden name=txtId value="" />	
	<input type=hidden name=txtCodice value="" />	
	<input type=hidden name=txtDes1 value="" />	
	<input type=hidden name=txtDes2 value="" />	
	<input type=hidden name=txtTipo value="" />	
	<input type=hidden name=txtIndirizzo value="" />	
	<input type=hidden name=txtComune value="" />	
	<input type=hidden name=txtProv value="" />	
	<input type=hidden name=txtCap value="" />	
	<input type=hidden name=chkOrdLocalizPerID value="" />	
	<input type=hidden name=chkUsaMestiereSelezionato value="" />	
</form>
<script>
	var messaggi= {
		Elimina_anno: "<?php $traduttore->js('Vuoi Eliminare Anno') ?>",
		Elimina_biennio: "<?php $traduttore->js('Vuoi Eliminare Biennio') ?>",
		Elimina: "<?php $traduttore->js('Vuoi Eliminare Attività per Componenti senza Componenti da inizio a fine contratto affidatario?') ?>",
	};
</script>
</body>
<?php $traduttore->Salva() ?>
</html>