<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');
$mese24 = ntxip('mese24');
$Anno1 = ntxip('Anno1');

$IdAttivitàMestiere = explode(",", $_POST[IdAttivitàMestiere]);

foreach($IdAttivitàMestiere as $id)
{
	if ( !is_numeric($id) )
		jhp_error("Seleziona uno o più attivita'!");
}

$IdElementi = explode(",", $_POST[IdElementi]);

foreach($IdElementi as $id)
{
	if ( !is_numeric($id) )
		jhp_error("Seleziona uno o più localizzazioni!");
}

$IdAttivitàMestiere = ntxsp('IdAttivitàMestiere');
$IdElementi = ntxsp('IdElementi');

$sql = <<< sql
	create table #coordinate_refresh_gantt (
		pos int identity (1,1),
		mese int, 
		Anno1 int, 
		IdAttivitàMestiere int, 
		NumAttCoincidenti int, 
		NumAttNonCoincidenti int
	)
sql;

$query = ntxQuery($sql);

$sql = <<< sql
		exec RefreshMesePreplanning $IdCommessa, $mese24, $Anno1, $IdAttivitàMestiere, $IdElementi
sql;

ntxQuery($sql);

$sql = "SELECT * FROM #coordinate_refresh_gantt";

$query = ntxQuery($sql);

$refresh = array(); 

while ( $rs = ntxRecord($query) )
{
	$obj = array();
	
	$obj[mese] = "$rs[mese]";
	$obj[Anno1] = "$rs[Anno1]";
	$obj[IdAttivitàMestiere] = "$rs[IdAttivitàMestiere]";
	$obj[NumAttCoincidenti] = "$rs[NumAttCoincidenti]";
	$obj[NumAttNonCoincidenti] = "$rs[NumAttNonCoincidenti]";
	
	$refresh[] = $obj;
}
		
$result = array();

$result[refresh] = $refresh;
$result[errori] = "";
$result[isError] = 0;

jhp($result);

?>
