$(function(){
	$("[tipo='divNote']").hide();
	$("#tbl2").css('top',$("#divTesta1").height());

	$(window).scroll(function() {
		$("#divTesta1").css('top',$("body").scrollTop()).show();
	}).resize(function() {
		$("#divTesta1").css('top',$("body").scrollTop()).show();
	});
	
	$('input[txtDurata]').blur(blurDurata);
	$('input[txtScostamento]').blur(blurScostamento);
});

function CheckUsoMestiere(chk, IdMestiere)
{
	$('input[type=checkbox][CheckUsoComp][IdMestiere='+IdMestiere+']').attr('checked',chk.checked);
	$('input[type=checkbox][CheckUsoAtt][IdMestiere='+IdMestiere+']').attr('checked',chk.checked);

	var result = jhp("jhp/preplanning/usa_attivita_mestiere.php", {
			IdMestiere: IdMestiere,
			IdElementi: form1.IdElementi.value,
			Si: chk.checked ? 1 : 0
	});

	if(result.state)
	{
		alert(result.message);
	}
}

function CheckUsoComp(chk, IdComponenteMestiere)
{
	$('input[type=checkbox][CheckUsoAtt][IdComponenteMestiere='+IdComponenteMestiere+']').attr('checked',chk.checked);

	var result = jhp("jhp/preplanning/usa_attivita_componente.php", {
			IdComponenteMestiere: IdComponenteMestiere,
			IdElementi: form1.IdElementi.value,
			Si: chk.checked ? 1 : 0
	});

	if(result.state)
	{
		alert(result.message);
	}
}

function CheckUsoAtt(chk, IdAttivitàMestiere)
{
	var result = jhp("jhp/preplanning/usa_attivita.php", {
			IdAttivitàMestiere: IdAttivitàMestiere,
			IdElementi: form1.IdElementi.value,
			Si: chk.checked ? 1 : 0
	});

	if(result.state)
	{
		alert(result.message);
	}
}

function VisualizzaPulsanti(visualizza)
{
	var spans = $('span[class="spanX"]');
	var len = spans.length;
	var i;
	
	if ( visualizza )
	{
		for (i=0; i<len; ++i)
			spans[i].style.display="inline";
	}
	else
	{
		for (i=0; i<len; ++i)
			spans[i].style.display="none";
	}
}

function blurDurata()
{
	var txt = $(this);
	
	var obj = {IdCommessa:  form1.IdCommessa.value, value: txt.attr('value'), IdElementi: form1.IdElementi.value};
		
	if ( txt.attr('livello')=='attivita' )
	{
		obj.IdAttivitaMestiere = txt.attr('IdAttivitaMestiere');
	}
	else 
	{
		if ( !confirm(messaggi.Aggiorna) ) 
		{
			txt.attr('value', '');
			return;
		}
		
		if ( txt.attr('livello')=='componente' )
		{
			obj.IdAttivitaMestiere = RecuperoIdAttivitaMestiere('IdComponenteMestiere', txt.attr('IdComponenteMestiere'));
		}
		else if ( txt.attr('livello')=='mestiere' )
		{
			obj.IdAttivitaMestiere = RecuperoIdAttivitaMestiere('IdMestiere', txt.attr('IdMestiere'));
		}
		else
		{
			obj.IdAttivitaMestiere = RecuperoIdAttivitaMestiere('','');
		}
	}
	
	var result = jhp("jhp/preplanning/setta_durata.php", obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		txt.attr('value', result.value);
		
		if ( txt.attr('livello')=='componente' )
		{
			$('input[txtDurata][livello="attivita"][IdComponenteMestiere="'+txt.attr('IdComponenteMestiere')+'"]').attr('value', txt.attr('value'));
		}
		else if ( txt.attr('livello')=='mestiere' )
		{
			$('input[txtDurata][livello="attivita"][IdMestiere="'+txt.attr('IdMestiere')+'"]').attr('value', txt.attr('value'));
		}
		else if ( txt.attr('livello')=='root' )
		{
			$('input[txtDurata][livello="attivita"]').attr('value', txt.attr('value'));
		}
	}
}

function blurScostamento()
{
	var txt = $(this);
	
	var obj = {IdCommessa:  form1.IdCommessa.value, value: txt.attr('value'), IdElementi: form1.IdElementi.value};
		
	if ( txt.attr('livello')=='attivita' )
	{
		obj.IdAttivitaMestiere = txt.attr('IdAttivitaMestiere');
	}
	else
	{
		if ( !confirm(messaggi.Aggiorna) ) 
		{
			txt.attr('value', '');
			return;
		}
		
		if ( txt.attr('livello')=='componente' )
		{
			obj.IdAttivitaMestiere = RecuperoIdAttivitaMestiere('IdComponenteMestiere', txt.attr('IdComponenteMestiere'));
		}
		else if ( txt.attr('livello')=='mestiere' )
		{
			obj.IdAttivitaMestiere = RecuperoIdAttivitaMestiere('IdMestiere', txt.attr('IdMestiere'));
		}
		else
		{
			obj.IdAttivitaMestiere = RecuperoIdAttivitaMestiere('','');
		}
	}
	
	var result = jhp("jhp/preplanning/setta_scostamento.php", obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		txt.attr('value', result.value);
		
		if ( txt.attr('livello')=='componente' )
		{
			$('input[txtScostamento][livello="attivita"][IdComponenteMestiere="'+txt.attr('IdComponenteMestiere')+'"]').attr('value', txt.attr('value'));
		}
		else if ( txt.attr('livello')=='mestiere' )
		{
			$('input[txtScostamento][livello="attivita"][IdMestiere="'+txt.attr('IdMestiere')+'"]').attr('value', txt.attr('value'));
		}
		else if ( txt.attr('livello')=='root' )
		{
			$('input[txtScostamento][livello="attivita"]').attr('value', txt.attr('value'));
		}
	}
}

function ComprimiPerComp(IdComponenteMestiere, value)
{
	var td = $("#tdComp"+IdComponenteMestiere);

	if(typeof value=='undefined')
		value = (td.html().trim() == '+');

	if ( value )
	{
		td.html('-');
		$("tr[IdComponenteMestiere='"+IdComponenteMestiere+"'][tipo='attiv']").show();
	}
	else
	{
		td.html('+');
		$("tr[IdComponenteMestiere='"+IdComponenteMestiere+"'][tipo='attiv']").hide();
	}
}

function ComprimiPerMest(IdMestiere, value)
{
	var td = $("#tdMest"+IdMestiere);
	
	if(typeof value=='undefined')
		value = (td.html().trim()  == '+');

	if ( value )
	{
		td.html('-');
		$("tr[IdMestiere='"+IdMestiere+"'][tipo='comp']").show();
		$("td[IdMestiere='tdPlusComp"+IdMestiere+"']").html('+');
	}
	else
	{
		td.html('+');
		$("tr[IdMestiere='"+IdMestiere+"'][tipo='attiv']").hide();
		$("tr[IdMestiere='"+IdMestiere+"'][tipo='comp']").hide();
	}
}

function EspandiCompattaTutto(value)
{
	$("tr[tipo='mest']").each(function(){
		ComprimiPerMest($(this).attr('IdMestiere'), value);
	});

	$("tr[tipo='comp']").each(function(){
		ComprimiPerComp($(this).attr('IdComponenteMestiere'), value);
	});
}

function RecuperoIdAttivitaMestiere(campo, valore)
{
	var result = "";
	var query = 'tr[tipo="attiv"]';
	
	if ( campo!='' ) query += '['+campo+'="'+valore+'"]';

	$(query).each(function() {
		var tr = $(this);
		
		if ( result!="" ) result += ",";
		
		result += "" + tr.attr('IdAttivitaMestiere');
	});

	return result;
}

function SettaRoot(mese24, Anno1)
{
	if ( !confirm(messaggi.Operaz_cascata) ) return;
	
	var IdAttivitàMestiere = RecuperoIdAttivitaMestiere('', '');

	SettaAttivita(IdAttivitàMestiere, mese24, Anno1);
}

function SettaMestiere(IdMestiere, mese24, Anno1)
{
	if ( !confirm(messaggi.Operaz_cascata) ) return;

	var IdAttivitàMestiere = RecuperoIdAttivitaMestiere('IdMestiere', IdMestiere);

	SettaAttivita(IdAttivitàMestiere, mese24, Anno1);
}

function SettaComponente(IdComponenteMestiere, mese24, Anno1)
{
	if ( !confirm(messaggi.Operaz_cascata) ) return;

	var IdAttivitàMestiere = RecuperoIdAttivitaMestiere('IdComponenteMestiere', IdComponenteMestiere);

	SettaAttivita(IdAttivitàMestiere, mese24, Anno1);
}

function SettaAttivita(IdAttivitàMestiere, mese24, Anno1)
{
	if ( parent.$('#optMese').attr('checked') )
	{
		VaiDettaglioMese(IdAttivitàMestiere, mese24, Anno1);
		return;
	}

	var obj =  {
		IdCommessa: form1.IdCommessa.value, 
		IdAttivitàMestiere: IdAttivitàMestiere, 
		mese24: mese24, 
		Anno1: Anno1, 
		IdElementi: form1.IdElementi.value,
		chkUsaFreqMensili: parent.$('#chkUsaFreqMensili').attr('checked') ? 1 : 0,
		chkSoloUnAnno: parent.$('#chkSoloUnAnno').attr('checked') ? 1 : 0,
		
		optIns1: parent.$('#optIns1').attr('checked') ? 1 : 0,
		optIns2: parent.$('#optIns2').attr('checked') ? 1 : 0,
		optIns3: parent.$('#optIns3').attr('checked') ? 1 : 0,
		optIns4: parent.$('#optIns4').attr('checked') ? 1 : 0,
		optIns5: parent.$('#optIns5').attr('checked') ? 1 : 0,
		optIns6: parent.$('#optIns6').attr('checked') ? 1 : 0,
		optDel: parent.$('#optDel').attr('checked') ? 1 : 0,

		chkLun: parent.$('#chkLun').attr('checked') ? 1 : 0,
		chkMar: parent.$('#chkMar').attr('checked') ? 1 : 0,
		chkMer: parent.$('#chkMer').attr('checked') ? 1 : 0,
		chkGio: parent.$('#chkGio').attr('checked') ? 1 : 0,
		chkVen: parent.$('#chkVen').attr('checked') ? 1 : 0,
		chkSab: parent.$('#chkSab').attr('checked') ? 1 : 0,
		chkDom: parent.$('#chkDom').attr('checked') ? 1 : 0,

		optSalta: parent.$('#optSalta').attr('checked') ? 1 : 0,

		chkDelPlanning: parent.$('#chkDelPlanning').attr('checked') ? 1 : 0,

		chkDelAlwaysPlanning: parent.$('#chkDelAlwaysPlanning').attr('checked') ? 1 : 0
	};
		
	var result = jhp("jhp/preplanning/setta_preplanning_attivita.php", obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		RefreshCelle(result.value);
	}
}
 
function RefreshCelle(result)
{
	var errori = result['errori'];
	var refresh = result['refresh'];
	var len = refresh.length;
	var i;
	var rec;
	
	for ( i=0; i<len; ++i )
	{
		rec = refresh[i];

		var mese = rec['mese'];
		var Anno1 = rec['Anno1'];
		var IdAttivitàMestiere = rec['IdAttivitàMestiere'];
		var NumAttCoincidenti = rec['NumAttCoincidenti'];
		var NumAttNonCoincidenti = rec['NumAttNonCoincidenti'];

		if ( NumAttCoincidenti==0 ) NumAttCoincidenti = "&nbsp;";
		if ( NumAttNonCoincidenti==0 ) NumAttNonCoincidenti = "&nbsp;";
		
		$('span[NumAttCoincidenti][IdAttivitaMestiere="'+IdAttivitàMestiere+'"][mese="'+mese+'"]').html(NumAttCoincidenti);
		$('span[NumAttNonCoincidenti][IdAttivitaMestiere="'+IdAttivitàMestiere+'"][mese="'+mese+'"]').html(NumAttNonCoincidenti);
	}
	
	parent.$('#divCorpoErrori').html(errori);
	if ( result['isError'] ) parent.$('#divErrori').toggle(true);
	
	parent.showMessage();
}

function VaiDettaglioMese(IdAttivitàMestiere, mese24, Anno1)
{
	var mese, anno;
	
	if ( mese24 > 11 )
	{
		mese = mese24-12;
		anno = Anno1+1;
	}
	else
	{
		mese = mese24;
		anno = Anno1;
	}
	
	parent.form1.IdAttivitaDettaglio.value = IdAttivitàMestiere;
	parent.form1.MeseDettaglio.value = mese;
	parent.form1.AnnoDettaglio.value = anno;
	parent.form1.MeseDettaglio24.value = mese24;
	parent.form1.AnnoDettaglio24.value = Anno1;
	
	parent.form1.action = "dettaglio/dettaglio.php";
	parent.form1.target = "FramePreplanMese";
	parent.form1.submit();
	
	parent.$('#FramePreplanMese').toggle(true);
	parent.$('#FramePreplanning').toggle(false);
}

function refreshDaDettaglioMese()
{
	var obj =  {
		IdCommessa: form1.IdCommessa.value, 
		IdAttivitàMestiere: parent.form1.IdAttivitaDettaglio.value, 
		mese24: parent.form1.MeseDettaglio24.value, 
		Anno1: parent.form1.AnnoDettaglio24.value, 
		IdElementi: form1.IdElementi.value
	};
		
	var result = jhp("jhp/preplanning/refresh_mese_preplanning.php", obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		RefreshCelle(result.value);
	}
}