<?php

$filtroPerCentimento = "";

if ( $chkFiltroInfraSettimInfraMensili )
	$filtroFiltroInfraSettimInfraMensili = " AND (tblFrequenzeMestieri.UsaFrequenzaInSettimane = 1 OR tblFrequenzeMestieri.UsaGiorniFissiSettimana = 1) ";

if ( $chkUnGiornoAlMese )
	$filtroUnGiornoAlMese = <<< sql
		AND (tblFrequenzeMestieri.UnGiornoAlMese = 1)
sql;

if ( $chkFiltroNonInfraSettimInfraMensili )
	$filtroFiltroNonInfraSettimInfraMensili = <<< sql
		AND (tblFrequenzeMestieri.UsaFrequenzaInSettimane IS NULL OR tblFrequenzeMestieri.UsaFrequenzaInSettimane = 0)
		AND (tblFrequenzeMestieri.UsaGiorniFissiSettimana IS NULL OR tblFrequenzeMestieri.UsaGiorniFissiSettimana = 0)
		AND (tblFrequenzeMestieri.UnGiornoAlMese IS NULL OR tblFrequenzeMestieri.UnGiornoAlMese = 0)
sql;

if ( is_numeric($selTipoAreaAtt) )
	$filtroTipoAreaAtt = " AND tblAttivitàMestiere.IdArea = ".(int)$selTipoAreaAtt;

if ( is_numeric($FitroMestieri) )
	$filtroTipoAreaAtt .= " AND tblMestieri.IdMestiere = ".(int)$FitroMestieri;

if ( is_numeric($FitroFrequenze) )
	$filtroFitroFrequenze = " AND tblAttivitàMestiere.IdFrequenza = ".(int)$FitroFrequenze;

if ( $chkFiltroPerFrequenzeMensili )
	$filtroFiltroPerFrequenzeMensili = " AND tblFrequenzeMestieri.Valore>=30 ";

if ( $chkSoloAttivitàPeriodiche )
	$filtroSoloAttivitàPeriodiche = " AND (tblFrequenzeMestieri.Valore>0 OR tblFrequenzeMestieri.FrequenzaMensile>0) ";
	
if ( $chkFiltroUsoAttività )
	$filtroUsoAttività = <<< filtroUsoAttività
	AND (SELECT TOP 1 case when count(*)=(SELECT count(*) FROM dbo.SplitId($StrIdElementi) AS SplitId_2) then 1 else 0 end
							FROM         tblElementiInUso INNER JOIN
									dbo.SplitId($StrIdElementi) AS SplitId_1 ON tblElementiInUso.Id3 = SplitId_1.id
							WHERE     (tblElementiInUso.Id1 = $IdCommessa) 
									AND (tblElementiInUso.Uso = 'affidatari/preplanning_month_day_v2')
									AND (tblElementiInUso.Id2 = tblAttivitàMestiere.IdAttivitàMestiere)
						)=1
filtroUsoAttività;

if ( $chkFiltroAttMesTipiComp )
	$filtroPerCentimento = <<< filtroPerCentimento
			INNER JOIN
			  AttivitàMestTipiComp ON tblAttivitàMestiere.IdCommessa = AttivitàMestTipiComp.IdCommessaAttività AND 
			  tblAttivitàMestiere.IdAttivitàMestiere = AttivitàMestTipiComp.IdAttivitàMestiere INNER JOIN
			  TipoComponente ON AttivitàMestTipiComp.IdCommessaTipoComp = TipoComponente.IdCommessa AND 
			  AttivitàMestTipiComp.IdTipoComp = TipoComponente.IDTipoComponente INNER JOIN
			  ComponentiAmbiente ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
			  TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente
			  AND tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = ComponentiAmbiente.IdEdificio
filtroPerCentimento;
elseif ( $chkFiltroCompMesTipiComp )
	$filtroPerCentimento = <<< filtroPerCentimento
			INNER JOIN
			  TipoComponente ON tblComponetiMestiere.IdCommessa = TipoComponente.IdCommessa AND 
			  tblComponetiMestiere.IdComponenteMestiere = TipoComponente.IdComponenteMestiere INNER JOIN
			  ComponentiAmbiente ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
			  TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente
			  AND tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = ComponentiAmbiente.IdEdificio
filtroPerCentimento;

$sql = <<< sql
SELECT DISTINCT 
                      tblMestieri.codice AS CodMest, tblComponetiMestiere.codice AS CodComp, tblAttivitàMestiere.codice AS CodAtt, tblMestieri.Descrizione AS Mest, 
                      tblComponetiMestiere.Descrizione AS Comp, tblAttivitàMestiere.Descrizione AS Att, tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere, tblMestieri.IdMestiere, 
                      tblComponetiMestiere.IdComponenteMestiere, tblMestieri.Ordine, tblComponetiMestiere.Ordine AS Expr1, tblAttivitàMestiere.Ordine AS Expr2, 
                      tblFrequenzeMestieri.Descrizione AS Frequenza, tblAttivitàMestiere.Nota, tblAttivitàMestiere.Tipologia,
					  (SELECT    tblAttivitàEdifici.DurataAttivitàInGiorni
							FROM         tblAttivitàEdifici
							WHERE     (tblAttivitàEdifici.IdCommessa = $IdCommessa) 
									AND (tblAttivitàEdifici.IdEdificio = $id)
									AND (tblAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere)
						) DurataAttivitàInGiorni,
					  (SELECT    tblAttivitàEdifici.ScostamentoDataInizio
							FROM         tblAttivitàEdifici
							WHERE     (tblAttivitàEdifici.IdCommessa = $IdCommessa) 
									AND (tblAttivitàEdifici.IdEdificio = $id)
									AND (tblAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere)
						) ScostamentoDataInizio,
					  (SELECT TOP 1 case when count(*)=(SELECT count(*) FROM dbo.SplitId($StrIdElementi) AS SplitId_2) then 1 else 0 end
							FROM         tblElementiInUso INNER JOIN
									dbo.SplitId($StrIdElementi) AS SplitId_1 ON tblElementiInUso.Id3 = SplitId_1.id
							WHERE     (tblElementiInUso.Id1 = $IdCommessa) 
									AND (tblElementiInUso.Uso = 'affidatari/preplanning_month_day_v2')
									AND (tblElementiInUso.Id2 = tblAttivitàMestiere.IdAttivitàMestiere)
						) ElementoInUso
FROM         tblPgContrattiAffidatariAttivitàEdifici INNER JOIN
                      tblAttivitàMestiere ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere 
					  $filtroPerCentimento LEFT OUTER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
					  
WHERE     (tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = $IdContrattoAffidatario) 
AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $id)
$filtroFiltroPerFrequenzeMensili
$filtroSoloAttivitàPeriodiche
$filtroUsoAttività
$filtroTipoAreaAtt
$filtroFitroFrequenze
$filtroFiltroInfraSettimInfraMensili
$filtroFiltroNonInfraSettimInfraMensili
$filtroUnGiornoAlMese
ORDER BY tblMestieri.ordine, CodMest, Mest, IdMestiere, 
		tblComponetiMestiere.ordine, CodComp, Comp, IdComponenteMestiere, 
		tblAttivitàMestiere.ordine, CodAtt, Att, IdAttivitàMestiere
sql;

$query = ntxQuery($sql);

$table = "";

$alternate = false;

$IdMestiere = "";
$IdComponenteMestiere = "";

if ( $chkRiduciCampi )
{
	$stylePunti = "style='display:inline'";
	$styleHide = "style='display:none'";
}
else
{
	$stylePunti = "style='display:none'";
	$styleHide = "style='display:inline'";
}

while ( $rs = ntxRecord($query) )
{
	if ( $rs[Tipologia]==0) 
		$Tipologia = "canone";
	elseif ( $rs[Tipologia]==1 ) 
		$Tipologia = "extracanone";
	else
		$Tipologia = "canone/extracanone";
	
	$IdAttivitàMestiere = $rs[IdAttivitàMestiere];
	
	if ( !in_array($IdAttivitàMestiere, $IdAttivitàInComune) ) continue;
	
	$DesAtt1 = substr($rs[Att],0,50);
	$DesAtt2 = $rs[Att];

	$DesAtt1 = htmlentities($DesAtt1);
	$DesAtt2 = htmlentities($DesAtt2);
	
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	$alter = $alternate ? "class=alternate" : "";
	
	if ( $IdMestiere != $rs[IdMestiere] )
	{
		$IdMestiere = $rs[IdMestiere];
		
		$table .= <<< table
			<tr $alter  tipo=mest $alter IdMestiere=$IdMestiere>
			<td><input type=checkbox  CheckUsoMestiere onclick="CheckUsoMestiere(this, $IdMestiere)" />
			<td id=tdMest$IdMestiere onclick="ComprimiPerMest('$IdMestiere')">-
			<td style="background-color:#c5eaf3">$rs[CodMest] - $rs[Mest]
			
table;

		$table .= "<td style=\"background-color:#c5eaf3\"><input type=text size=4 txtDurata livello=mestiere IdMestiere=$IdMestiere />";
		$table .= "<td style=\"background-color:#c5eaf3\"><input type=text size=4 txtScostamento livello=mestiere IdMestiere=$IdMestiere />";

		for ( $i=0; $i<24; ++$i )
		{
			if ( $i == 5 )
				$add_style = ";border-right: 1px solid blue";
			elseif ( $i == 2 || $i==8 )
				$add_style = ";border-right: 1px solid red";
			elseif ( $i == 12 )
				$add_style = ";border-left: 2px solid black";
			elseif ( $i == 17 )
				$add_style = ";border-right: 1px solid blue";
			elseif ( $i == 14 || $i==20 )
				$add_style = ";border-right: 1px solid red";
			else
				$add_style = "";

			$table .= "<td style=\"background-color:#c5eaf3{$add_style}\"><input type=button value=x class=Mini onclick=\"SettaMestiere($IdMestiere,$i,$AnnoX)\">";
		}
			
		$alternate = !$alternate;
	}
	
	if ( $IdComponenteMestiere != $rs[IdComponenteMestiere] )
	{
		$IdComponenteMestiere = $rs[IdComponenteMestiere];
		
		$alter = $alternate ? "class=alternate" : "";
	
		$table .= <<< table
			<tr $alter tipo=comp IdMestiere=$IdMestiere IdComponenteMestiere=$IdComponenteMestiere>
			<td><input type=checkbox  CheckUsoComp IdMestiere=$IdMestiere onclick="CheckUsoComp(this, $IdComponenteMestiere)"/>
			<td IdMestiere=tdPlusComp$IdMestiere id=tdComp$IdComponenteMestiere onclick="ComprimiPerComp('$IdComponenteMestiere')">-
			<td style="background-color:#ffd2d2">$rs[CodComp] - $rs[Comp]
table;

		$table .= "<td style=\"background-color:#ffd2d2\"><input type=text size=4 txtDurata livello=componente IdMestiere=$IdMestiere IdComponenteMestiere=$IdComponenteMestiere />";
		$table .= "<td style=\"background-color:#ffd2d2\"><input type=text size=4 txtScostamento livello=componente IdMestiere=$IdMestiere IdComponenteMestiere=$IdComponenteMestiere />";

		for ( $i=0; $i<24; ++$i )
		{
			if ( $i == 5 )
				$add_style = ";border-right: 1px solid blue";
			elseif ( $i == 2 || $i==8 )
				$add_style = ";border-right: 1px solid red";
			elseif ( $i == 12 )
				$add_style = ";border-left: 2px solid black";
			elseif ( $i == 17 )
				$add_style = ";border-right: 1px solid blue";
			elseif ( $i == 14 || $i==20 )
				$add_style = ";border-right: 1px solid red";
			else
				$add_style = "";
			
			$table .= "<td style=\"background-color:#ffd2d2{$add_style}\"><input type=button value=x class=Mini onclick=\"SettaComponente($IdComponenteMestiere,$i,$AnnoX)\">";
		}
		
		$alternate = !$alternate;
	}
	
	$alter = $alternate ? "class=alternate" : "";
	
	$DesAtt22 = "";

	$DurataAttivitàInGiorni = $rs[DurataAttivitàInGiorni];
	$ScostamentoDataInizio = $rs[ScostamentoDataInizio];
	
	if ( strlen($DesAtt2."")>strlen($DesAtt1."") )
		$DesAtt22 = "<span DesAttPuntini $stylePunti>$DesAtt1...</span><span DesAttHide $styleHide>$DesAtt2</span>";
	else
		$DesAtt22 = $DesAtt1;

	$chkElementoInUso = $rs[ElementoInUso] ? "checked" : "";
	
	$table .= <<< table
		<tr $alter tipo=attiv IdMestiere=$IdMestiere IdComponenteMestiere=$IdComponenteMestiere IdAttivitaMestiere=$IdAttivitàMestiere>
		<td><input type=checkbox $chkElementoInUso   CheckUsoAtt IdMestiere=$IdMestiere IdComponenteMestiere=$IdComponenteMestiere onclick="CheckUsoAtt(this, $IdAttivitàMestiere)" />
		<td>
		<td>$rs[CodAtt] - $DesAtt22 - <span style="font-style:italic;font-weight:bold">$Tipologia</span> 
			- <span style="font-style:italic;font-weight:bold">$rs[Frequenza]</span> - <a href="javascript:$('#divNote{$IdAttivitàMestiere}').toggle()">note...</a>
			<div tipo=divNote id=divNote{$IdAttivitàMestiere} style="border:inset 1px">$rs[Nota]&nbsp;</div>
		<td><input type=text size=4 txtDurata livello=attivita IdMestiere=$IdMestiere IdComponenteMestiere=$IdComponenteMestiere IdAttivitaMestiere=$IdAttivitàMestiere value="$DurataAttivitàInGiorni" />
		<td><input type=text size=4 txtScostamento livello=attivita IdMestiere=$IdMestiere IdComponenteMestiere=$IdComponenteMestiere IdAttivitaMestiere=$IdAttivitàMestiere value="$ScostamentoDataInizio" />
table;

	for ($i=0; $i<12; ++$i)
	{
		if ( $i == 5 )
			$add_style = "style='border-right: 1px solid blue'";
		elseif ( $i == 2 || $i==8 )
			$add_style = "style='border-right: 1px solid red'";
		else
			$add_style = "";
		
		$onclick = "onclick=\"parent.FrameElementi.EvidenziaDisomogenei($IdCommessa, $AnnoX, $IdAttivitàMestiere, $i, $StrIdElementi)\"";
			
		$numCoi = $NumAttivitàCoincidenti["k{$IdAttivitàMestiere}_{$i}"];
		if ( !is_numeric($numCoi) ) $numCoi= "&nbsp;";
		$numNonCoi = $NumAttivitàNonCoincidenti["k{$IdAttivitàMestiere}_{$i}"];
		if ( !is_numeric($numNonCoi) ) $numNonCoi= "&nbsp;";
		
		$table .= "<td class=tdCell IdAttivitaMestiere=$IdAttivitàMestiere mese=$i $add_style>";
		$table .= "<span class=spanGreen NumAttCoincidenti IdAttivitaMestiere=$IdAttivitàMestiere mese=$i anno=$AnnoX>";
		$table .= $numCoi;
		$table .= "</span> <span class=spanRed $onclick NumAttNonCoincidenti IdAttivitaMestiere=$IdAttivitàMestiere mese=$i anno=$AnnoX>";
		$table .= $numNonCoi."</span> ";
		$table .= "<span class=spanX onclick=\"SettaAttivita($IdAttivitàMestiere,$i,$AnnoX)\">x</span>";
	}
	
	for ($i=0; $i<12; ++$i)
	{
		if ( $i == 0 )
			$add_style = "style='border-left: 2px solid black'";
		elseif ( $i == 5 )
			$add_style = "style='border-right: 1px solid blue'";
		elseif ( $i == 2 || $i==8 )
			$add_style = "style='border-right: 1px solid red'";
		else
			$add_style = "";
		
		$onclick = "onclick=\"parent.FrameElementi.EvidenziaDisomogenei($IdCommessa, $AnnoX, $IdAttivitàMestiere, $i, $StrIdElementi)\"";
			
		$ii = $i+12;
			
		$numCoi = $NumAttivitàCoincidenti2["k{$IdAttivitàMestiere}_{$i}"];
		if ( !is_numeric($numCoi) ) $numCoi= "&nbsp;";
		$numNonCoi = $NumAttivitàNonCoincidenti2["k{$IdAttivitàMestiere}_{$i}"];
		if ( !is_numeric($numNonCoi) ) $numNonCoi= "&nbsp;";

		$table .= "<td class=tdCell IdAttivitaMestiere=$IdAttivitàMestiere mese=$i $add_style>";
		$table .= "<span class=spanGreen NumAttCoincidenti IdAttivitaMestiere=$IdAttivitàMestiere mese=$ii anno=$AnnoX>";
		$table .= $numCoi;
		$table .= "</span> <span class=spanRed $onclick NumAttNonCoincidenti IdAttivitaMestiere=$IdAttivitàMestiere mese=$ii anno=$AnnoX>";
		$table .= $numNonCoi."</span> ";
		$table .= "<span class=spanX onclick=\"SettaAttivita($IdAttivitàMestiere,$ii,$AnnoX)\">x</span>";
	}
	
	$alternate = !$alternate;
}

?>
