<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');

$IdContrattoAffidatario = ntxip('IdContratto');

$MeseX = ntxip('MeseX');
$AnnoX = ntxip('AnnoX');

if ( $MeseX < 12 )
{
	$MeseX2 = $MeseX+1;
	$AnnoX2 = $AnnoX;
}
else
{
	$MeseX2 = 1;
	$AnnoX2 = $AnnoX+1;
}

$DataPrimoDelMese = ntxt("1/$MeseX/$AnnoX");
$DataPrimoDelMeseSuccessivo = ntxt("1/$MeseX2/$AnnoX2");

$sql = <<< sql
	select datepart(weekday, $DataPrimoDelMese)
sql;

$PrimoGiornoMese = ntxScalar($sql);

$sql = <<< sql
	select day(dateadd(day, -1, dateadd(month, 1, $DataPrimoDelMese)))
sql;

$UltimoGiornoMese = ntxScalar($sql);

$IdElementi = explode(",", $_POST[IdElementi]);

foreach($IdElementi as $id)
{
	if ( !is_numeric($id) )
		die($traduttore201705231137->traduci('Seleziona uno o più elementi!'));
}

$NumEdifici = count($IdElementi);

$week = array('', $traduttore201705231137->traduci('L'), $traduttore201705231137->traduci('M'), $traduttore201705231137->traduci('M'), $traduttore201705231137->traduci('G'), $traduttore201705231137->traduci('V'), $traduttore201705231137->traduci('S'), $traduttore201705231137->traduci('D'));

$mesi = array('', $traduttore201705231137->traduci('Gen'), $traduttore201705231137->traduci('Feb'), $traduttore201705231137->traduci('Mar'), $traduttore201705231137->traduci('Apr'), $traduttore201705231137->traduci('Mag'), $traduttore201705231137->traduci('Giu'), $traduttore201705231137->traduci('Lug'), $traduttore201705231137->traduci('Ago'), $traduttore201705231137->traduci('Set'), $traduttore201705231137->traduci('Ott'), $traduttore201705231137->traduci('Nov'), $traduttore201705231137->traduci('Dic'));

$MeseXX = $mesi[$MeseX];

$where = "";

foreach($IdElementi as $id)
{
	if ($where != "" ) $where .= " OR ";
	
	$where .= "tblAttivitàEdifici.IdEdificio=$id";
}

if ($where != "" ) $where = " AND ($where) ";

$IntervalliAttività = array();

function func_table($id)
{
	global $week, $IntervalliAttività, $PrimoGiornoMese, $UltimoGiornoMese, $MeseX, $MeseXX, $AnnoX;

	$intervalli = $IntervalliAttività[$id];

	$table = "<table class=grid style=\"font-size:0.7em\">";
	$table .= "<tr><caption>$MeseXX $AnnoX <input type=button value=\"Reset Mese\" style=\"font-size:1em\" onclick=\"ResetMese('$id', '$MeseX')\" />";
	
	$tr1 = $tr2 = $tr3 = $tr4 = "";

	for ( $i=1, $j=$PrimoGiornoMese; $i<=$UltimoGiornoMese; ++$i, ++$j )
	{
		$car = "&nbsp;";
		$title = "";
		
		foreach($intervalli as $interv)
		{
			if ( $i == $interv->a  &&  $i == $interv->b )
			{
				$car = "X";
				$title = "title=\"$inter->des\"";
				break;
			}
			elseif ( $i == $interv->a )
			{
				$car = "<";
				$title = "title=\"$inter->des\"";
				break;
			}
			elseif ( $i == $interv->b )
			{
				$car = ">";
				$title = "title=\"$inter->des\"";
				break;
			}
			elseif ( $i > $interv->a  &&  $i < $interv->b )
			{
				$car = "=";
				$title = "title=\"$inter->des\"";
				break;
			}
		}
			
		if ( $j>7 ) $j = 1;
		
		$style = $j==6 || $j==7 ? "style=\"background-color:#ffd2d2\"" : "";
		$style2 = $j==6 || $j==7 ? "background-color:#ffd2d2" : "";
		
		$style2 = "style=\"$style2;color:red;font-weight:bold;cursor:pointer\"";
		
		$tr1 .= "<td $style>$i";
		$tr2 .= "<td $style>$week[$j]";
		$tr3 .= "<td $title IdAttivita=$id giorno=$i $style2 onclick=\"SettaGiorni(3, '$id', '$i', '$MeseX')\">$car";
		$tr4 .= "<td $title IdAttivita=$id giorno=$i $style2 onclick=\"SettaGiorni(4, '$id', '$i', '$MeseX')\">&nbsp;";
	}
	
	$table .= "<tr>$tr1";
	$table .= "<tr>$tr2";
	$table .= "<tr>$tr3";
	$table .= "<tr>$tr4";

	$table .= "</table>";

	return $table;
}

?>