<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta', false);
$AnnoRichiesta = ntxip('AnnoRichiesta', false);
$NumPreventivo = ntxip('NumPreventivo');

$RigheAP = explode(",",$_POST['RigheAP']); 

$user=ntxsse('Utente');

if ( $RigheAP[0]=='' )
	ntxMsgErr("Selezionare almeno una riga da importare!");
	
$sql = <<< SQL
		SELECT DISTINCT tblPgContratti.IdPgContratto
		FROM         Richieste INNER JOIN
				  tblAttivitàMestiere INNER JOIN
				  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
				  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
				  Richieste.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
				  tblPgContratti ON Richieste.IDCommessa = tblPgContratti.IdCommessa AND Richieste.DataRichiesta >= tblPgContratti.DataInizio AND 
				  Richieste.DataRichiesta <= tblPgContratti.DataFine INNER JOIN
				  tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
				  tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere AND 
				  tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto AND 
				  Richieste.IDCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
				  Richieste.Localizzazione = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio
			WHERE     (Richieste.IdCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
SQL;

$IdPgContratto = ntxScalar($sql);
	
if ( !is_numeric($IdPgContratto) ) $IdPgContratto = -2;

$sql = <<< SQL
			INSERT INTO RihePreventivi
                      (IdCommessa, Prezziario, QTA, IdPrezzo, Cod, Descrizione, UM, PzUnitario, Titolo, DescrEstesa, TipoPrezzo, Lun, Alt, 
                      Lar, Formula, NotaRiga, NumPreventivo, DataModifica, UtenteModifica, Sconto, Allegato, Path, Gruppo)
			SELECT     IdCommessa, Prezziario, QTA, IdPrezzo, Cod, Descrizione, UM, PzUnitario, Titolo, DescrEstesa, TipoPrezzo, Lun, Alt, 
			                      Lar, Formula, NotaRiga, 
								  $NumPreventivo, getdate(), $user, 
								  isnull((SELECT ScontiGestore.Sconto FROM ScontiGestore 
										WHERE RiheAnalisiPrezzi.IdCommessa = ScontiGestore.IdCommessa 
											AND RiheAnalisiPrezzi.IdPrezzo = ScontiGestore.IdPrezzo
											AND ScontiGestore.IdPgContratto = $IdPgContratto			
									), 0) AS Sconto,
								Allegato, Path, Gruppo
			FROM         RiheAnalisiPrezzi
			WHERE     (RiheAnalisiPrezzi.IdCommessa = $IdCommessa) AND (
SQL;

for ( $i=0; $i<count($RigheAP); $i++)
{
	if ( $i>0 ) $sql .= " OR ";
	
	$sql .= "RiheAnalisiPrezzi.Id = ".$RigheAP[$i];
}

$sql .= ")";

ntxQuery($sql);

for ( $i=0; $i<count($RigheAP); $i++)
{
	$Id = $RigheAP[$i];
	
	$sql = <<< SQL
		SELECT     Commesse.pathPublicShapeWeb + '\AllegatiAnalisiPrezzi\' + RiheAnalisiPrezzi.Path
		FROM         Commesse INNER JOIN
							  RiheAnalisiPrezzi ON Commesse.IDCommessa = RiheAnalisiPrezzi.IdCommessa
		WHERE     (RiheAnalisiPrezzi.Id = $Id) 
		AND (RiheAnalisiPrezzi.Allegato = 1) 
		AND (LTRIM(RTRIM(RiheAnalisiPrezzi.Path)) <> N'' 
		AND RiheAnalisiPrezzi.Path IS NOT NULL)	
SQL;

	$pathFileSource = ntxScalar($sql);
	
	if ( $pathFileSource.'' != ''  &&  is_file($pathFileSource) )
	{
		$sql = <<< SQL
			SELECT     Commesse.pathPublicShapeWeb + '\AllegatiPrevCostiCont\' + RiheAnalisiPrezzi.Path
			FROM         Commesse INNER JOIN
								  RiheAnalisiPrezzi ON Commesse.IDCommessa = RiheAnalisiPrezzi.IdCommessa
			WHERE     (RiheAnalisiPrezzi.Id = $Id) 
			AND (RiheAnalisiPrezzi.Allegato = 1) 
			AND (LTRIM(RTRIM(RiheAnalisiPrezzi.Path)) <> N'' 
			AND RiheAnalisiPrezzi.Path IS NOT NULL)	
SQL;

		$pathFileDest = ntxScalar($sql);
	
		if ( $pathFileDest.'' != ''  &&  is_file($pathFileDest) )
			unlink($pathFileDest);
			
		copy($pathFileSource, $pathFileDest);
	}
}

ntxMsgResult("");	

?>
