<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); 
$RigheP = explode(",",$_POST['RigheP']); 
$IdDoc = ntxip('IdDoc');
$user=ntxsse('Utente');

if ( $RigheP[0]=='' )
	ntxMsgErr("Selezionare almeno una riga da importare!");
	
$sql = <<< SQL
				SELECT     Preventivi.NumPreventivo
				FROM         DocsPreventiviRichieste INNER JOIN
				                      Preventivi ON DocsPreventiviRichieste.IdCommessa = Preventivi.IDCommessa AND 
				                      DocsPreventiviRichieste.NumRichiesta = Preventivi.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Preventivi.AnnoRichiesta
				WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$NumPreventivo = ntxScalar($sql);

if ( !is_numeric($NumPreventivo) )
{
	$sql = <<< SQL
			INSERT INTO Preventivi
		                      (IDCommessa, IdEdificio, AnnoRichiesta, NumRichiesta, DataPreventivo, DataModifica, Tipo, UtenteModifica)
			SELECT     Richieste.IDCommessa, Richieste.Localizzazione, Richieste.AnnoRichiesta, Richieste.NumRichiesta, GETDATE() AS Expr1, GETDATE() AS Expr4, 
					                      'Extracanone' AS Expr2, $user AS Expr3
			FROM         Richieste INNER JOIN
					                      DocsPreventiviRichieste ON Richieste.IDCommessa = DocsPreventiviRichieste.IdCommessa AND 
					                      Richieste.NumRichiesta = DocsPreventiviRichieste.NumRichiesta AND Richieste.AnnoRichiesta = DocsPreventiviRichieste.AnnoRichiesta
			WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

	ntxQuery($sql);

	$NumPreventivo = ntxScalar("SELECT @@IDENTITY");
}

$sql = <<< SQL
SELECT DISTINCT tblPgContratti.IdPgContratto
FROM         DocsPreventiviRichieste INNER JOIN
                      Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
                      DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
                      Richieste.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere AND 
                      Richieste.IDCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      Richieste.Localizzazione = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio INNER JOIN
                      tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto AND 
                      Richieste.IDCommessa = tblPgContratti.IdCommessa AND Richieste.DataRichiesta >= tblPgContratti.DataInizio AND 
                      Richieste.DataRichiesta <= tblPgContratti.DataFine
				WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$IdPgContratto = ntxScalar($sql);

$sql = <<< SQL
			INSERT INTO RihePreventivi
                      (IdCommessa, Prezziario, QTA, Importo, IDrif, IdPrezzo, Cod, Descrizione, UM, PzUnitario, Titolo, DescrEstesa, TabellaOrigine, TipoPrezzo, Lun, Alt, 
                      Lar, Formula, NotaRiga, NumPreventivo, DataModifica, UtenteModifica, Sconto, Allegato, Path, Gruppo)
			SELECT     IdCommessa, Prezziario, QTA, Importo, IDrif, IdPrezzo, Cod, Descrizione, UM, PzUnitario, Titolo, DescrEstesa, TabellaOrigine, TipoPrezzo, Lun, Alt, 
			                      Lar, Formula, NotaRiga, 
								  $NumPreventivo, getdate(), $user, 
								  isnull((SELECT ScontiGestore.Sconto FROM ScontiGestore 
										WHERE RiheDocPrevRichieste.IdCommessa = ScontiGestore.IdCommessa 
											AND RiheDocPrevRichieste.IdPrezzo = ScontiGestore.IdPrezzo
											AND ScontiGestore.IdPgContratto = $IdPgContratto			
									), 0) AS Sconto,
								Allegato, Path, Gruppo
			FROM         RiheDocPrevRichieste
			WHERE     (RiheDocPrevRichieste.IdCommessa = $IdCommessa) AND (RiheDocPrevRichieste.IdDocPrevRichiesta = $IdDoc) AND (
SQL;

for ( $i=0; $i<count($RigheP); $i++)
{
	if ( $i>0 ) $sql .= " OR ";
	
	$sql .= "RiheDocPrevRichieste.RigaP = ".$RigheP[$i];
}

$sql .= ")";

ntxQuery($sql);

ntxMsgResult("");	

?>
