<?php

session_start();

require_once('../../../_ntx/ntxconst.inc');

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise("IdCommessa");
$NumRichiesta = ntxip("NumRichiesta");
$AnnoRichiesta = ntxip("AnnoRichiesta");

$sql = <<< SQL
	UPDATE Richieste SET 
		Stato=15,
		DataInoltroPreventivo=getdate()
		WHERE IdCommessa=$IdCommessa
		AND NumRichiesta=$NumRichiesta
		AND AnnoRichiesta=$AnnoRichiesta
		AND (Stato=4 OR Stato=5)
SQL;

ntxQuery($sql);

$sql = <<< SQL
	SELECT Localizzazione
	FROM Richieste
	WHERE IdCommessa=$IdCommessa
	AND NumRichiesta=$NumRichiesta
	AND AnnoRichiesta=$AnnoRichiesta
SQL;

$IdEdificio = ntxScalar($sql);

$sql = <<< SQL
	SELECT DISTINCT Utenti.Email
	FROM         RuoliUtentiCommesse INNER JOIN
						  Utenti ON RuoliUtentiCommesse.IdUtente = Utenti.Id INNER JOIN
						  RuoliUtentiProprietà ON RuoliUtentiCommesse.IdRuolo = RuoliUtentiProprietà.IdRuolo INNER JOIN
						  UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente
	WHERE     
			(RuoliUtentiProprietà.IdProprietà = 2) 
			AND Utenti.Email IS NOT NULL 
			AND Utenti.Email <> ''
			AND RuoliUtentiCommesse.IdCommessa = $IdCommessa
			AND UtentiEdifici.IdCommessa = $IdCommessa
			AND UtentiEdifici.IdEdificio = $IdEdificio
SQL;

$query = ntxQuery($sql);

$oggetto = $messaggio = "Pronto preventivo per richiesta $NumRichiesta/$AnnoRichiesta";
	
while ( $rs=ntxIRecord($query) )
{
	ntxFireNetInit($_SESSION['Utente'].'',				
					"g-pronto preventivo",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					$rs[0],		
					$oggetto,				
					$messaggio,
					true);	
}

$sql = <<< SQL
		SELECT     Utenti.Email
		FROM         UtentiTecnici INNER JOIN
		                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
		                      Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
		                      Richieste ON Tecnici.Tecnico = Richieste.TecnicoC
		WHERE     (Tecnici.Tipo = 'PROV') AND (Tecnici.Autorizzatore = 1)
			AND IdCommessa=$IdCommessa
			AND NumRichiesta=$NumRichiesta
			AND AnnoRichiesta=$AnnoRichiesta
			AND Stato=15
SQL;

if ( $email_destinatario = ntxScalar($sql) ) 
{
	$oggetto = $messaggio = "Pronto preventivo per richiesta $NumRichiesta/$AnnoRichiesta";
	
	ntxFireNetInit($_SESSION['Utente'].'',				
					"g-pronto preventivo",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					$email_destinatario,		
					$oggetto,				
					$messaggio,
					true);	
					
	$sql = <<< SQL
		SELECT     Tecnici.Tecnico
		FROM         UtentiTecnici INNER JOIN
		                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
		                      Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
		                      Richieste ON Tecnici.Tecnico = Richieste.TecnicoC
		WHERE     (Tecnici.Tipo = 'PROV') AND (Tecnici.Autorizzatore = 1)
			AND IdCommessa=$IdCommessa
			AND NumRichiesta=$NumRichiesta
			AND AnnoRichiesta=$AnnoRichiesta
			AND Stato=15
SQL;
	$Tecnico = ntxScalar($sql);
	
	echo htmlentities("Email Richiesta $NumRichiesta/$AnnoRichiesta inviata a <{$Tecnico}> email <{$email_destinatario}>");
}
else
	echo "Nessun Email a TecnicoC su Richiesta $NumRichiesta/$AnnoRichiesta a cui mandare email!";
?>

