<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$message = "";

$IdCommessa = ntxise('IdCommessa'); 
$ListaDitteSel = explode(",",$_POST['ListaDitteSel']); 
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');
$user=ntxsse('Utente');

if ( $ListaDitteSel[0]=='' )
	ntxMsgErr("Selezionare almeno una ditta!");
	
for ( $i=0; $i<count($ListaDitteSel); $i++)
{
	$IdDitta = $ListaDitteSel[$i];
	
	$sql = <<< SQL
					SELECT Ditta FROM Ditte
					WHERE IdDitta = $IdDitta
SQL;
	
	$Ditta = ntxScalar($sql);
	
	$sql = <<< SQL
					SELECT IdCommessa FROM DocsPreventiviRichieste
					WHERE (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.IdDitta = $IdDitta)
					AND (DocsPreventiviRichieste.NumRichiesta = $NumRichiesta) AND (DocsPreventiviRichieste.AnnoRichiesta = $AnnoRichiesta)
SQL;

	if ( is_numeric(ntxScalar($sql) ) )
	{
		$message .=  " - Per ditta <{$Ditta}> già creato preventivo!\n";
	}
	else
	{
		$sql = <<< SQL
			SELECT DISTINCT tblContrattiFornitori.ModificaScontiPreventivi
			FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
								  Richieste INNER JOIN
								  tblContrattiFornitori ON Richieste.DataRichiesta >= tblContrattiFornitori.DataInizio AND Richieste.DataRichiesta <= tblContrattiFornitori.DataFine AND 
								  Richieste.IDCommessa = tblContrattiFornitori.IdCommessa ON 
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore AND 
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = Richieste.Localizzazione AND 
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = Richieste.IDCommessa INNER JOIN
								  tblAttivitàMestiere INNER JOIN
								  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
								  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
								  Richieste.IdMestiere = tblComponetiMestiere.IdMestiere AND Richieste.IDCommessa = tblComponetiMestiere.IdCommessa
			WHERE     (tblContrattiFornitori.IdFornitore = $IdDitta) 
					AND (Richieste.IDCommessa =  $IdCommessa) 
					AND (Richieste.NumRichiesta =  $NumRichiesta) 
					AND (Richieste.AnnoRichiesta =  $AnnoRichiesta)
SQL;

		$ModificaScontiPreventivi = ntxScalar($sql);

		if ( !is_numeric($ModificaScontiPreventivi) )
			$ModificaScontiPreventivi = 0;

		$sql1 = "INSERT INTO DocsPreventiviRichieste (";	$sql2 = " VALUES (";

		$sql1 .= "DataRichiestaPreventivo";		$sql2 .= "getdate(), ";
		$sql1 .= ", IdCommessa"; 				$sql2 .= "$IdCommessa, ";
		$sql1 .= ", NumRichiesta"; 				$sql2 .= "$NumRichiesta, ";
		$sql1 .= ", AnnoRichiesta"; 			$sql2 .= "$AnnoRichiesta, ";
		$sql1 .= ", IdDitta"; 					$sql2 .= "$IdDitta, ";
		$sql1 .= ", ModificaSconti"; 			$sql2 .= "$ModificaScontiPreventivi, ";
		$sql1 .= ", Stato"; 					$sql2 .= "1, ";
		$sql1 .= ", Descrizione)"; 				$sql2 .= "'');";

		ntxQuery($sql1.$sql2);

		ntxQuery($sql);

		$message .=  " - Creato preventivo per ditta <{$Ditta}>!\n";
	}
}

$message .=  " - Finito";	

$record[message] =  $message;

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
