<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$user=ntxsse('Utente');
$pwd=ntxsse('Password');
$IdCommessa = ntxise('IdCommessa');

$sqlFields = <<< sqlFields
	Richieste.NumRichiesta, 
	Richieste.AnnoRichiesta, 
	Richieste.DataRichiesta, 
	Richieste.Richiedente, 
	Richieste.Descrizione, 
	Richieste.Descrizione1, 
	Richieste.Descrizione2, 
	ElencoEdifici.Codice, 
	ElencoEdifici.EdificioBreve, 
	ElencoEdifici.Indirizzo, 
	ElencoEdifici.CITTA, 
	ElencoEdifici.PROVINCIA, 
	TabellaGradoUrgenza.Descrizione AS DesGrUrg,
	Preventivi.Descrizione AS DesCliente, 
	case when Preventivi.path is not null and Preventivi.path<>'' then 1 else 0 end  AS Allegato, 
	Preventivi.Importo AS ImportoCliente, 
	Stati.DesStato
sqlFields;

$sqlWhere = "";

if ( $_POST['Stato2'] == 2 )
{
	$sqlWhere .= " AND (Richieste.stato = 15) ";
}
elseif ( $_POST['Stato2'] == 3 )
{
	$sqlWhere .= " AND (Richieste.stato >= 35 or Richieste.stato=18) ";
}
else
{
	$sqlWhere .= " AND (Richieste.stato =4 or Richieste.stato=5) ";
}

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sqlWhere .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sqlWhere .= " AND Richieste.DataRichiesta <= ".$str." ";
}


$sql1 = <<< SQL
			SELECT DISTINCT $sqlFields
			FROM         ElencoEdifici INNER JOIN
                      Richieste ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND ElencoEdifici.ID = Richieste.Localizzazione INNER JOIN
                      Utenti INNER JOIN
                      UtentiRifAffidatari ON Utenti.Id = UtentiRifAffidatari.IdUtente INNER JOIN
                      tblPgContrattiRifAffidatari INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
                      tblPgContrattiRifAffidatariAttivitàEdifici ON 
                      tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario ON 
                      UtentiRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblComponetiMestiere INNER JOIN
                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere ON 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere ON 
                      Richieste.IDCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
                      Richieste.Localizzazione = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio AND Richieste.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato LEFT OUTER JOIN
                      Preventivi ON Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND 
                      Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta LEFT OUTER JOIN
                      TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU
			  WHERE ((Richieste.IDCommessa)=$IdCommessa)
				AND (Utenti.Nome = $user) 
				AND (Utenti.Password = $pwd)
				AND tblPgContrattiAffidatari.DataInizio <= Richieste.DataRichiesta
				AND tblPgContrattiAffidatari.DataFine >= Richieste.DataRichiesta
				AND (Richieste.IdAffidatario IS NULL OR Richieste.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario)
				$sqlWhere
SQL;

$sql2 = <<< SQL
			SELECT DISTINCT $sqlFields
			FROM         TabellaGradoUrgenza RIGHT OUTER JOIN
                      ElencoEdifici INNER JOIN
                      Richieste ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND ElencoEdifici.ID = Richieste.Localizzazione INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
                      tblPgRifAffidatari INNER JOIN
                      Utenti INNER JOIN
                      UtentiRifAffidatari ON Utenti.Id = UtentiRifAffidatari.IdUtente ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario ON 
                      Richieste.IdAffidatario = tblPgRifAffidatari.IdAffidatario LEFT OUTER JOIN
                      Preventivi ON Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND 
                      Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta ON TabellaGradoUrgenza.IdCommessa = Richieste.IDCommessa AND 
                      TabellaGradoUrgenza.GradoU = Richieste.GradoUrgenza
			WHERE ((Richieste.IDCommessa)=$IdCommessa)
				AND (Utenti.Nome = $user) 
				AND (Utenti.Password = $pwd)
				AND tblPgRifAffidatari.VistaFuoriContratto = 1
				$sqlWhere
SQL;

$sql = "SELECT DISTINCT * FROM ($sql1 UNION $sql2) a ORDER BY AnnoRichiesta, NumRichiesta";

$query = ntxQuery($sql);

?>
