<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body >

<?php
	
require_once('query.inc');

$nomiMesi = array(
		 "Gen","Feb","Mar","Apr"
		,"Mag","Giu","Lug","Ago"
		,"Set","Ott","Nov","Dic");
?>
<table>
	<tr>
		<th colspan=6>Contabilità
	</tr>
	<tr>
		<th>Stato Ordine:<td>&nbsp;<?php echo htmlentities($DesStatoOrdine) ?>
		<th>&nbsp;<td>&nbsp;<?php echo htmlentities($_POST[DataOrdine1]) ?>
		<th><= Data Ordine <=<td>&nbsp;<?php echo htmlentities($_POST[DataOrdine2]) ?>
	<tr>
		<th>Stato Contabilità:<td>&nbsp;<?php echo htmlentities($DesStato) ?>
		<th>&nbsp;<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità1]) ?>
		<th><= Data Contabilità <=<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità2]) ?>
	</tr>
</table>
<br>

<table align=left>
	<tr>
		<th>Num. Contabilità</th>
		<th>Data Contabilità</th>
		<th>Stato</th>
		<th>Richiesta</th>
		<th>Ordine</th>
		<th>Data Ordine</th>
		<th>GU</th>
		<th>Descrizione</th>
		<th>Cod. Localizzazione</th>
		<th>Localizzazione</th>
		<th>Utilizzatore</th>
		<th>Mestiere</th>
		<th>Comp.<br>Mestiere</th>
		<th>Attività<br>Mestiere</th>
		<th>Consegnato</th>
		<th>Data Consegna</th>
		<th>Data Ultima Consegna</th>
		<th>Fatturato</th>
		<th>Num. Sal</th>
		<th>Data Sal</th>
		<th>Note</th>
		<th>Approvato</th>
		<th>Importo Approvato</th>
		<th>Importo Netto</th>
		<th>Costi</th>
		<th>Delta</th>
		<th>Data Approvazione</th>
		<th>Utente Approvazione</th>
		<th>Contestato</th>
		<th>Data Contestazione</th>
		<th>Utente Contestazione</th>
		<th>Note Contestazione</th>
		<th>Rif. Ordine Cliente</th>
		<th>Ordine Cliente (NEL)</th>
	</tr>
<?php

	while( $rs = ntxRecord($query) )
	{
		if ( $rs['DesstatoC']=="" ) $rs['DesstatoC'] = $rs['DesStato'];
		
		$rs['DataOrdine'] = ntxDateTime($rs['DataOrdine']);
?>
		<tr>
		<td>&nbsp;<?php echo htmlentities($rs['NumContabilità']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataContabilità']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesstatoC']) ?></td>
		<td>&nbsp;<?php echo (int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'] ?></td>
		<td>&nbsp;<?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DataOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['GU']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['CodEdificio']) ?></td>
		<td>&nbsp;<?php echo htmlentities("$rs[Edificio] - $rs[Indirizzo] - $rs[CITTA] ($rs[Prov])") ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['UtilizRich']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Mestiere']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['CompMestiere']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['AttMestiere']) ?></td>
		<td>&nbsp;<?php if ($rs['Consegnato']==1) echo "SI"; else echo "no" ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataConsegna']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataUltimaConsegna']) ?></td>
		<td>&nbsp;<?php if ($rs['Fatturato']==1) echo "SI"; else echo "no" ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NumSal']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataSal']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
		<td>&nbsp;<?php if ($rs['Approvato']==1) echo "SI"; else echo "no" ?></td>
		<td>	<?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?></td>
		<td>	<?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?></td>
		<td>	<?php echo ntxRoundThousand($rs['Costi'],2) ?></td>
		<td>	<?php echo ntxRoundThousand($rs['Delta'],2) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataApprovazione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['UtenteApprovazione']) ?></td>
		<td>&nbsp;<?php if ($rs['Contestato']==1) echo "SI"; else echo "no" ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataContestazione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['UtenteContestazione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NoteContestazione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['RifOrdineCliente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['GruppoF']) ?></td>
		</tr>
<?php
	}
?>
</table>
