<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');


?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
SELECT DISTINCT   tblUtUtilizzatori.Nome
FROM         tblUtUtilizzatori INNER JOIN
                      tblUtAmbienti ON tblUtUtilizzatori.IdCommessa = tblUtAmbienti.IdCommessa AND 
                      tblUtUtilizzatori.IdUtilizzatore = tblUtAmbienti.IdUtilizzatore INNER JOIN
                      OrdiniAmbienti ON tblUtAmbienti.IdCommessa = OrdiniAmbienti.IdCommessaAmbiente AND 
                      tblUtAmbienti.IdEdificio = OrdiniAmbienti.IdEdificioAmbiente AND tblUtAmbienti.IdAmbiente = OrdiniAmbienti.IDAmbiente INNER JOIN
                      Ordini ON OrdiniAmbienti.IDCommessaOrdine = Ordini.IDCommessa AND OrdiniAmbienti.NumOrdine = Ordini.NumOrdine AND 
                      OrdiniAmbienti.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
WHERE     (Ordini.NumOrdine = $NumOrdine) 
	AND (Ordini.AnnoOrdine = '$AnnoOrdine') 
	AND (Ordini.IDCommessa = $IdCommessa)
	and tblUtAmbienti.DataInizio<= Richieste.DataRichiesta 
	and  Richieste.DataRichiesta<= tblUtAmbienti.DataFine
	ORDER BY tblUtUtilizzatori.Nome			  
sql;

$query = ntxQuery($sql);

?>
<table align=left>
	<tr>
		<th>Utilizzatore</th>
	</tr>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>	

		<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
<?php
		$alternate = !$alternate;
	}
?>
</table>


</body>
</html>
