<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');


?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
</head>
<body>

<?php

if ( !(ntxIsDate($_POST[DataOrdine1])  &&  ntxIsDate($_POST[DataOrdine2]))
	 &&  !(ntxIsDate($_POST[DataContabilità1])  &&  ntxIsDate($_POST[DataContabilità2])) )
	die("obbligatorio inserire una coppia di date ordine o contabilità!");

$IdCommessa = ntxise('IdCommessa');
$where = " WHERE (Ordini.IDCommessa = $IdCommessa) ";

if (strlen("$_POST[ContabilizF]")>0) {
  $ContabilizF = ntxsp('ContabilizF');
  $where .= " AND (Ordini.ContabilizF = $ContabilizF) ";
}

if (isset($_POST['StatoOrd'])  &&  is_numeric($_POST['StatoOrd'])) {
  $StatoOrd = ntxip('StatoOrd');
  $where .= " AND (Ordini.StatoOrd = $StatoOrd) ";
}
if (isset($_POST['IdPropietario'])  &&  is_numeric($_POST['IdPropietario'])) {
  $IdPropietario = ntxip('IdPropietario');
  $where .= " AND (tblPgPropietari.IdPropietario = $IdPropietario) ";
}
if (isset($_POST['IdPropietario'])  &&  is_numeric($_POST['IdEdificio'])) {
	$IdEdificio = ntxip('IdEdificio');
	$where .= " AND (Ordini.CodEdificio = $IdEdificio) ";
}
$DataOrdine1 = ntxtp('DataOrdine1');
$DataOrdine2 = ntxtp('DataOrdine2');
$minMese = ntxScalar("SELECT MONTH($DataOrdine1)");
$minAnno = ntxScalar("SELECT YEAR($DataOrdine1)");
$maxMese = ntxScalar("SELECT MONTH($DataOrdine2)");
$maxAnno = ntxScalar("SELECT YEAR($DataOrdine2)");
$where .= " AND (MONTH(Ordini.DataFine) BETWEEN $minMese AND $maxMese) AND (YEAR(Ordini.DataFine) BETWEEN $minAnno AND $maxAnno) ";

$sql = <<< _SQL

  SELECT DISTINCT 
    Ordini.NumOrdine
    , Ordini.AnnoOrdine
    , SUM((Costi.QTA * Costi.CostoUnit) * (100 - Sconto) / 100) AS ImportoNetto
    , ElencoEdifici.EdificioBreve
    , Ordini.Assegnazione
    , Ditte.Ditta
    , Ordini.Contabiliz
    , Ordini.ContabilizF
    , Ordini.DataFine
    , Ordini.IdCommessa
    , Ordini.CdC

  FROM ordini

  INNER JOIN costi
    ON Ordini.NumOrdine = Costi.NumOrdine
      AND Ordini.AnnoOrdine = Costi.AnnoOrdine
      AND Ordini.IdCommessa = Costi.IdCommessa

  INNER JOIN elencoEdifici
    ON Ordini.CodEdificio = ElencoEdifici.ID
      AND ElencoEdifici.IdCommessa = Costi.IdCommessa

  INNER JOIN tblPgPropietari
    ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
    
  INNER JOIN Ditte 
    ON Ordini.Assegnazione = Ditte.IDDitta

  $where

  GROUP BY Ordini.NumOrdine
    , Ordini.AnnoOrdine
    , CostoTotale
    , ElencoEdifici.EdificioBreve
    , Ordini.Assegnazione
    , Ditte.Ditta
    , Ordini.Contabiliz
    , Ordini.ContabilizF
    , Ordini.DataFine
    , Ordini.IdCommessa
    , Ordini.CdC

    
_SQL;

$query = ntxQuery($sql);

?>
<form name=frmExcel method=post action="excel.php" target=frame2>
	<input type=hidden name=IdPropietario value="<?php  echo ntxJS($_POST[IdPropietario]) ?>">
	<input type=hidden name=IdEdificio value="<?php  echo ntxJS($_POST[IdEdificio]) ?>">
	<input type=hidden name=StatoOrd value="<?php  echo ntxJS($_POST[StatoOrd]) ?>">
	<input type=hidden name=ContabilizF value="<?php  echo ntxJS($_POST[ContabilizF]) ?>">
	<input type=hidden name=DataOrdine1 value="<?php  echo ntxJS($_POST[DataOrdine1]) ?>">
	<input type=hidden name=DataOrdine2 value="<?php  echo ntxJS($_POST[DataOrdine2]) ?>">
</form>

<iframe name=frame2 style="width:1px;height:1px"></iframe>

<script>

function LanciaExcel(index)
{
	frmExcel.action="excel.php";
	frmExcel.submit();
}

</script>

<table>
	<tr>
		<th colspan=6>Costi
		<td rowspan=3>
			<input type=button value="Excel" onclick="LanciaExcel(1)">
	</tr>
	<tr>
		<th>Al<td><?php echo htmlentities($_POST[DataOrdine1]) ?>
		<th>Dal<td><?php echo htmlentities($_POST[DataOrdine2]) ?>
</table>
<br>

<table align=left>
	<tr>
    <th>Ordine</th>
		<th>Localizzazione</th>
		<th>CdC</th>
		<th>Ditta</th>
		<th>Data Ordine</th>
		<th>Contabiliz</th>
		<th>ContabilizF</th>
		<th>Importo Netto</th>
	</tr>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		if ( $rs['DesstatoC']=="" ) $rs['DesstatoC'] = $rs['DesStato'];
		
		$rs['DataFine'] = ntxDateTime($rs['DataFine']);
?>
		<tr>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CdC']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DataFine']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Contabiliz']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['ContabilizF']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >	<?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?></td>
    </tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post>
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="" >
</form>

<script language=javascript>

	function Report(NumOrdine, AnnoOrdine)
	{
		form1.NumOrdine.value = NumOrdine;
		form1.AnnoOrdine.value = AnnoOrdine;
		form1.action = "../../contabilita/contab_ord/report/index.php";
		form1.target = "_blank";
		form1.submit();
	}

	function ReportUtiliz(NumOrdine, AnnoOrdine)
	{
		form1.NumOrdine.value = NumOrdine;
		form1.AnnoOrdine.value = AnnoOrdine;
		form1.action = "utilizzatori_vani.php";
		form1.target = "_blank";
		form1.submit();
	}


</script>


</body>
</html>
