<?php  
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}  
?>

<html>

  <head>
    
    <link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
    <link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
    
    <script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
    <script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
    <script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
    <script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
    <script src="/repository/libs/jquery_nameless/jhp-1.3.1.min.js" type="text/javascript"></script>
    <script language=javascript>

      $(function(){
        $(document.form1.DataOrdine1).datepicker();
        $(document.form1.DataOrdine2).datepicker();
      });

      function TogliProprietario()
      {
        document.form1.IdPropietario.value = '';
        document.form1.Ente.value = '';
      }

      function SelEnte(IdPropietario)
      {
        document.form1.IdPropietario.value = IdPropietario;
        ntxSendForm(form1, CaricaEnte, 'filtro_edifici/carica_ente');
      }

      function CaricaEnte(txt)
      {
        var rows = ntxRecord(txt);
        document.form1.Ente.value = rows['Ente'];
        TogliEdificio();
      }

      function FiltraContabilità(value)
      {
        var DataOrdine1 = document.form1.DataOrdine1.value;
        var DataOrdine2 = document.form1.DataOrdine2.value;
        if (DataOrdine1 == '' || DataOrdine2 == '') {
          alert('Inserisci un intervallo di date');
          return false;
        }
        document.form1.action = "pivot_costi.php";
        parent.frame_frames.AppendFrame(form1);
        parent.drcShowKeyTab("frames");
      }

      function FiltraContabilità2(value)
      {
        var DataOrdine1 = document.form1.DataOrdine1.value;
        var DataOrdine2 = document.form1.DataOrdine2.value;
        if (DataOrdine1 == '' || DataOrdine2 == '') {
          alert('Inserisci un intervallo di date');
          return false;
        }
        document.form1.action = "costi/index.php";
        parent.frame_frames.AppendFrame(form1);
        parent.drcShowKeyTab("frames");
      }

      function SelEdificio(IdEdificio)
      {
        document.form1.IdEdificio.value = IdEdificio;
        ntxSendForm(form1, CaricaEdificio, 'filtro_contabilita/carica_edificio');
      }

      function CaricaEdificio(txt)
      {
        TogliProprietario();
        var rows=ntxRecord(txt);
        document.form1.Edificio.value = rows['Edificio'];
      }

      function TogliEdificio()
      {
        document.form1.IdEdificio.value = '';
        document.form1.Edificio.value = '';
      }

    </script>

  </head>

  <body>

    <form method=post name=form1>
      
      <input type=hidden name=IdPropietario value="<?php echo $_POST['IdPropietario']; ?>" >
      <input type=hidden name=IdEdificio >
      
      <table align=center>
        <caption>Ricerca Costi</caption>
        <tr><th>Ente di appartenenza<td><input type=text name=Ente size=50 readonly />
          <input type=button value="x" onclick="TogliProprietario()" />
        <tr><th>Localizzazione<td><input type=text name=Edificio size=50 readonly />
          <input type=button value="x" onclick="TogliEdificio()" />
        <tr><th>Stato Ordine<td><select name=StatoOrd >
                <option value=''>
                <option value=100 SELECTED>Ritorno Costi
                <option value=120>Documentato
                <option value=140>Visto Costi
                <option value=150>Visto Canone
                <option value=200>Contabilizzato
              </select>                   
        <tr><th>ContabilizF<td><select name=ContabilizF >
                <option value=''>
                <option value='EXTRACANONE' SELECTED>Extracanone
                <option value='CANONE'>Canone
              </select>                   
        <tr><th>Data >= Data Ordine<td><input type=text name=DataOrdine1 size=50 />
        <tr><th>Data <= Data Ordine<td><input type=text name=DataOrdine2 size=50 />
        <tr><th colspan=2><input type=button style="width:100%" value="Ricerca Aggregata Mese/Edificio" onclick="FiltraContabilità(1)">
        <tr><th colspan=2><input type=button style="width:100%" value="Ricerca Dettaglio Ordini" onclick="FiltraContabilità2(1)">
      </table>
    </form>
    
    <div align="center" >
      <br /><br />
      <div style="width:33%;"></div>
      <div style="width:33%;border:1px solid #000;background-color:	#FFFF99;">
        <h3>Avviso:</h3>
        <p>La Data di competenza presa in considerazione è quella di Fine Ordine.</p>
      </div>
    </div>

  </body>

</html>
