<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$user=ntxsse('Utente');
$pwd=ntxsse('Password');
$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

$SchemaCommessa = ntxScalar($sql);

function GeneraSubQuery($TipoPrezzo)
{
	$TipoPrezzo2 = "r.TipoPrezzo=$TipoPrezzo";

	$sql = <<< SQL
		SELECT  SUM(ISNULL( r.QTA * r.PzUnitario, 0))
		FROM         RihePreventivi r
		WHERE     Preventivi.IDCommessa = r.IdCommessa 
		AND Preventivi.NumPreventivo = r.NumPreventivo 
		AND $TipoPrezzo2
SQL;

	return $sql;
}

if ( $SchemaCommessa=='isi' )
{
	$sql1 = <<< sql
		SELECT CASE VerConti
			WHEN '2' THEN
				F2*(1+E3*(1-E4))+F6*(1-E7)+F9*(1-E10)+F12*(1-E13)+F15+F12b+F9b
			ELSE
				F2*(1+E3*(1-E4))+F6*(1-E7)+(F9+F9b)*(1-E10)+(F12+F12b)*(1-E13)+F15+(F2*(1+E3*(1-E4))+F6+F9+F9b+F12+F12b+F15)*E16
			END
		
		FROM (	SELECT 0.25 AS E3,
				0.15  AS E4,  
				0.15  AS E7,  
				0.15  AS E10, 
				0.15  AS E13, 
				0.025 AS E16, 
				dbo.VersConti(Richieste.IDCommessa, Richieste.Localizzazione, Richieste.DataRichiesta) AS VerConti, 
sql;

	$sql1 .= "ISNULL((".GeneraSubQuery(2)."),0) AS F2, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(5)."),0) AS F6, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(1)."),0) AS F9, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(6)."),0) AS F12, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(7)."),0) AS F9b, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(3)."),0) AS F12b, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(1001)."),0) AS F15 ";
			
	$sql1 .= ") a ";
}
else
{
	$sql1 = <<< sql
		SELECT     sum( isnull(r.QTA * r.PzUnitario, 0)
							* (1 - isnull(r.Sconto, 0)/100))
		FROM         RihePreventivi r
		WHERE     Preventivi.IDCommessa = r.IdCommessa 
		AND Preventivi.NumPreventivo = r.NumPreventivo 
sql;
}

$sqlFields = <<< sqlFields
					Richieste.NumRichiesta, 
					Richieste.AnnoRichiesta, 
					Richieste.NumOrdineFonte, 
					Richieste.AnnoOrdineFonte, 
					Richieste.DataRichiesta,
					Stati.DesStato,
					Richieste.Richiedente, 
					ElencoEdifici.Codice, 
					ElencoEdifici.EdificioBreve, 
					ElencoEdifici.Indirizzo, 
					ElencoEdifici.CITTA, 
					ElencoEdifici.PROVINCIA, 
					TabellaGradoUrgenza.Descrizione AS DesGrUrg,
					Richieste.Descrizione,
					Richieste.Descrizione1,
					Richieste.Descrizione2,
					Preventivi.Descrizione AS DesCliente, 
					Preventivi.Path AS PathCliente, 
					($sql1) AS ImportoNetto,
					Preventivi.Importo AS ImportoCliente
sqlFields;

$sqlWHERE = "";

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sqlWHERE .= " AND (ElencoEdifici.IdProprietario = $IdPropietario) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sqlWHERE .= " AND (ElencoEdifici.ID = $IdEdificio) ";
}

if ( $_POST['Stato2'] == 2 )
{
	$sqlWHERE .= " AND (Richieste.stato = 15) ";
	$DesStato = "Ricerca preventivi da approvare";
}
elseif ( $_POST['Stato2'] == 3 )
{
	$sqlWHERE .= " AND (Richieste.stato >= 35 or Richieste.stato=18) ";
	$DesStato = "Ricerca preventivi approvati";
}

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sqlWHERE .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sqlWHERE .= " AND Richieste.DataRichiesta <= ".$str." ";
}

$sql1 = <<< SQL
			SELECT DISTINCT 
					$sqlFields
			FROM         tblPgContrattiRifAffidatariAttivitàEdifici INNER JOIN
                      tblPgContrattiAffidatari INNER JOIN
                      tblPgContrattiRifAffidatari ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoAffidatario ON 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario INNER JOIN
                      UtentiRifAffidatari INNER JOIN
                      Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      Preventivi INNER JOIN
                      Richieste ON Preventivi.IDCommessa = Richieste.IDCommessa AND Preventivi.NumRichiesta = Richieste.NumRichiesta AND 
                      Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID ON 
                      tblComponetiMestiere.IdCommessa = Richieste.IDCommessa AND tblComponetiMestiere.IdMestiere = Richieste.IdMestiere AND 
                      tblPgContrattiAffidatari.DataInizio <= Richieste.DataRichiesta AND tblPgContrattiAffidatari.DataFine >= Richieste.DataRichiesta AND 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = Richieste.IDCommessa AND 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = Richieste.Localizzazione INNER JOIN
                      TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
                      Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato
			  WHERE     (Utenti.Nome = $user)
						AND (Utenti.Password = $pwd)
						AND (Richieste.IdCommessa = $IdCommessa)
						AND (Richieste.stato >= 35 or Richieste.stato=15 or Richieste.stato=18)
				$sqlWHERE
				AND (Richieste.IdAffidatario IS NULL OR Richieste.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario)
SQL;
	
$sql2 = <<< SQL
			SELECT DISTINCT 
					$sqlFields
			FROM         tblPgRifAffidatari INNER JOIN
                      UtentiRifAffidatari INNER JOIN
                      Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
                      Preventivi INNER JOIN
                      Richieste ON Preventivi.IDCommessa = Richieste.IDCommessa AND Preventivi.NumRichiesta = Richieste.NumRichiesta AND 
                      Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
                      TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato ON tblPgRifAffidatari.IdAffidatario = Richieste.IdAffidatario
			  WHERE     (Utenti.Nome = $user)
						AND (Utenti.Password = $pwd)
						AND (Richieste.IdCommessa = $IdCommessa)
						AND (Richieste.stato >= 35 or Richieste.stato=15 or Richieste.stato=18)
				$sqlWHERE
				AND tblPgRifAffidatari.VistaFuoriContratto = 1
SQL;
	
$sql = "SELECT DISTINCT * FROM ($sql1 UNION $sql2) axa ORDER BY AnnoRichiesta, NumRichiesta";

$query = ntxQuery($sql);

?>
