<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); 
$NumRichiesta = ntxip('NumRichiesta'); 
$AnnoRichiesta = ntxip('AnnoRichiesta'); 

$IdMestiere = ntxip('IdMestiere'); 
$IdComponenteMestiere = ntxip('IdComponenteMestiere'); 
$IdAttivitaMestiere = ntxip('IdAttivitàMestiere'); 

$record = array();

if(!is_numeric($NumRichiesta)||!is_numeric($AnnoRichiesta))
	ntxmsgerr("Impossibile continuare!\nNumero e Anno richiesta non numeri interi.");

if(!is_numeric($IdMestiere))
	ntxmsgerr("Impossibile continuare! Mestiere non numero intero.");

		
$sql = <<<_SQL
	SELECT Richieste.NumRichiesta, Richieste.AnnoRichiesta
	FROM  
		Richieste INNER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND 
		Richieste.IDCommessa = Ordini.IDCommessa
	WHERE
		Richieste.IdCommessa = $IdCommessa 
		AND Richieste.NumRichiesta = $NumRichiesta 
		AND Richieste.AnnoRichiesta = $AnnoRichiesta 
_SQL;
		
if(ntxScalar($sql) )		
	ntxMsgErr("Impossibile continuare!\nE' possibile cambiare l'affidatario solo se la richiesta NON ha un ordine collegato.");	
	
	

$sql = <<<_SQL
	SELECT Stato 
	FROM  Richieste 
	WHERE 
		Richieste.IdCommessa = $IdCommessa 
		AND Richieste.NumRichiesta = $NumRichiesta 
		AND Richieste.AnnoRichiesta = $AnnoRichiesta 
_SQL;
		
$Stato = (int) ntxScalar($sql);	
	 
if( $Stato==1 ||  $Stato==-1 )
{		
	$append = "";
	if( is_numeric($_POST[IdAffidatarioMestiere]) )
		$append = ", Richieste.IdAffidatario = $_POST[IdAffidatarioMestiere]";


	$sql = "UPDATE Richieste SET "

			."    IdMestiere = ".				$IdMestiere	
			."  , IdComponenteMestiere = ".		$IdComponenteMestiere	
			."  , IdAttivitàMestiere = ".		$IdAttivitaMestiere	

			.$append
			
			." WHERE Richieste.IdCommessa = $IdCommessa "
			." AND Richieste.NumRichiesta = $NumRichiesta "
			." AND Richieste.AnnoRichiesta = $AnnoRichiesta ";
			
	ntxQuery($sql);

	
	$sql = <<<_SQL
	SELECT  IdMestiere, IdComponenteMestiere,  IdAttivitàMestiere, IdAffidatario
	FROM  Richieste 
	WHERE 
		Richieste.IdCommessa = $IdCommessa 
		AND Richieste.NumRichiesta = $NumRichiesta 
		AND Richieste.AnnoRichiesta = $AnnoRichiesta 
_SQL;

	$record = ntxRecord( ntxQuery($sql));
	
	$IdMestiere = $record['IdMestiere'];
	$IdComponenteMestiere = $record['IdComponenteMestiere'];
	$IdAttivitaMestiere = $record['IdAttivitàMestiere'];
	$IdAffidatario = $record['IdAffidatario'];
	
	if ( is_numeric($IdAffidatario)  )
	{
		$sql = <<<_SQL
		SELECT Nome
		FROM  tblPgAffidatari
		WHERE (IdAffidatario = $IdAffidatario)
_SQL;
				
		$record['Affidatario'] = ntxScalar($sql);
	}	
	if ( is_numeric($IdMestiere)  )
	{
		$sql = <<<_SQL
		SELECT tblMestieri.codice + ' - ' + tblMestieri.Descrizione AS value
		FROM  tblMestieri
		WHERE (IdMestiere = $IdMestiere) AND (IdCommessa = $IdCommessa)		
_SQL;
				
		$record['valueMestiere'] = ntxScalar($sql);
	}	
	
	if ( is_numeric($IdMestiere)  &&  is_numeric($IdComponenteMestiere)  )
	{		
		$sql = <<<_SQL
		SELECT Descrizione
		FROM  tblComponetiMestiere
		WHERE (IdCommessa = $IdCommessa) AND (IdComponenteMestiere = $IdComponenteMestiere)	AND (IdMestiere = $IdMestiere)
_SQL;
				
		$record['valueComponenteMestiere'] = ntxScalar($sql);
	}

	if (  is_numeric($IdComponenteMestiere)   &&  is_numeric($IdAttivitaMestiere)  )
	{
		$sql = <<<_SQL
		SELECT Descrizione
		FROM  tblAttivitàMestiere
		WHERE (IdCommessa = $IdCommessa) AND (IdAttivitàMestiere = $IdAttivitaMestiere) AND (IdComponenteMestiere = $IdComponenteMestiere)  		
_SQL;
				
		$record['valueAttivitaMestiere'] = ntxScalar($sql);
	}	
	
	
	if (  is_numeric($IdComponenteMestiere)   &&  is_numeric($IdAttivitaMestiere)  )
	{
		$sql = <<<_SQL
		SELECT Descrizione
		FROM  tblAttivitàMestiere
		WHERE (IdCommessa = $IdCommessa) AND (IdAttivitàMestiere = $IdAttivitaMestiere) AND (IdComponenteMestiere = $IdComponenteMestiere)  		
_SQL;
				
		$record['valueAttivitaMestiere'] = ntxScalar($sql);
	}		

	
	//invio dei messaggi per il cambio di affidatario
	if( is_numeric($_POST[IdAffidatarioMestiere]) )
	{
		if( $_POST[IdAffidatario] != $_POST[IdAffidatarioMestiere] )
			require_once(NTX_WEBPORTAL_PATH.'messaggi/msg_cambio_affidatario/start.php');
	}
}
else
	ntxmsgerr("Impossibile cambiare il mestiere / componente /attivita' e affidatario! Lo stato della richiesta non ne permette il cambio.");
	
	
$record = ntxRecordTranslate($record);

ntxMsgResult( $record );		
?>
