<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('ordini_sql.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>
	
<table>
	<tr>
		<th>Ordine
		<th>Richiedente
		<th>Data Inizio P
		<th>Data Fine P
		<th>Data Inizio
		<th>Data Fine
		<th>Data Ordine
		<th>Stato Ordine
		<th>Stato Contabilita'				
		<th>Richiesta
		<th>Data Richiesta
		<th>TipoC
		<th>Importo Stimato
		<th>Importo Contabilità
		<th>Des
		<th>Note Tecniche Cliente
		<th>Ente
		<th>Fornitore
		<th>Codice Localiz.
		<th>Localizzazione
		<th>Mestiere
		<th>S.F.
		<th>C.C.
		<th>Richiesta generata
		<th>Utilizzatore
		<th>Note
		<th>Att. Eseguite
	</tr>   

<?php

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td><?php echo htmlentities((int)$rs['NumOrdine']."/".$rs['AnnoOrdine']) ?>
		<td><?php echo htmlentities($rs['Richiedente']) ?>

		<td  ><?php echo ntxDateTime($rs['DataInizioProg']) ?>
		<td  ><?php echo ntxDateTime($rs['DataFineProg']) ?>

		<td  ><?php echo ntxDateTime($rs['DataInizio']) ?>
		<td  ><?php echo ntxDateTime($rs['DataFine']) ?>
		<td><?php echo ntxDateTime($rs['DataOrdine']) ?>
		<td><?php echo htmlentities($rs['DesStato']) ?>
		<td><?php echo htmlentities($rs['DesstatoC']) ?>		
		<td  ><?php echo htmlentities($rs['NumRichiesta']."/".$rs['AnnoRichiesta']) ?>
		<td><?php echo ntxDateTime($rs['DataRichiesta']) ?>
		<td><?php echo htmlentities($rs['Contabiliz']) ?>
		<td  ><?php echo ntxRoundThousand($rs['ImpS'],2) ?>
		<td  ><?php echo ntxRoundThousand($rs['ImpCont2'],2) ?>
		<td  ><?php echo htmlentities($rs['Des']) ?>
		<td  ><?php echo htmlentities($rs['NoteTecnicheCliente']) ?>
		<td  ><?php echo htmlentities($rs['Ente']) ?>
		<td  ><?php echo htmlentities($rs['Fornitore']) ?>
		<td  ><?php echo htmlentities($rs['Codice']) ?>
		<td  ><?php echo htmlentities("$rs[Nome] - $rs[Indirizzo] $rs[Comune] ($rs[Provincia]) - $rs[Cap]") ?>
		<td  ><?php echo htmlentities($rs['Mestiere']) ?>
		<td  ><?php echo htmlentities($rs['FFC']) ?>
			<td  ><?php echo htmlentities($rs['SC']) ?>
		<td  ><?php echo htmlentities($rs['RicGenerata']) ?>
		<td  ><?php echo htmlentities($rs['Utilizzatore']) ?>
		<td  ><?php echo htmlentities($rs['Note']) ?>
		<td  ><?php echo htmlentities($rs['Intervento']) ?>
	</tr>
<?php
	}
?>
</table>

</body>
</html>
