<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('richieste_sql.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>
	
<table>
	<tr>
		<th>Num
		<th>Anno
		<th>Richiedente
		<th>Data
		<th>Classificazione
		<th>Stato
		<th>Des
		<th>Note Tecniche Cliente
		<th>Importo Stimato
		<th>Nota Affidatario		
		<th>Ente
		<th>Codice Localiz.
		<th>Localizzazione
		<th>ordine assegnato
		<th>Originata da ordine
		<th>Utilizzatore
		<th>IdChiamataCallCenter
	</tr>   

<?php
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td><?php echo htmlentities($rs['NumRichiesta']) ?>
		<td><?php echo htmlentities($rs['AnnoRichiesta']) ?>
		<td><?php echo htmlentities($rs['Richiedente']) ?>
		<td><?php echo ntxDateTime($rs['DataRichiesta']) ?>
		<td><?php echo htmlentities($rs['Classificazione']) ?>
		<td><?php echo htmlentities($rs['DesStato']) ?>
		<td><?php echo htmlentities($rs['Des']) ?>
		<td><?php echo htmlentities($rs['NoteTecnicheCliente']) ?>
		<td><?php echo ntxRoundThousand($rs['ImpS'],2) ?>
		<td><?php echo htmlentities($rs['NoteImpS']) ?>			
		<td><?php echo htmlentities($rs['Ente']) ?>
		<td><?php echo htmlentities($rs['Codice']) ?>
		<td><?php echo htmlentities("$rs[Nome] - $rs[Indirizzo] $rs[Comune] ($rs[Provincia]) - $rs[Cap]") ?>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php if ( is_numeric($rs[NumOrdine]) ) echo htmlentities((int)$rs[NumOrdine]."/$rs[AnnoOrdine]") ?>
		<td><?php if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities((int)$rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?>
		<td><?php echo htmlentities($rs['Utilizzatore']) ?>
		<td><?php echo htmlentities($rs['IdChiamataCallCenter']) ?>
	</tr>
<?php
	}
?>
</table>

</body>
</html>

