<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$user=ntxsse('Utente');
$anno=ntxip('anno');
$IdEdificio=ntxip('IdEdificio');

if(!is_numeric($IdEdificio)) ntxmsgerr("EDIFICIO NON SELEZIONATO");

$sql =  <<< SQL
	INSERT INTO RichiestePlanningAnnuali ( IdCommessa, Anno, IdEdificio, IdRifA, IdDitta, Utente, datarichiesta )
	SELECT DISTINCT tblOrdiniProgrammati.IdCommessa, Year([dataInizioProg]) AS anno, 
					tblOrdiniProgrammati.IdEdificio, UtentiRifAffidatari.IdRifAffidatario, 
					tblOrdiniProgrammati.IdFornitore, Utenti.Nome, getdate() AS Data
	FROM (((Utenti INNER JOIN UtentiRifAffidatari ON Utenti.Id = UtentiRifAffidatari.IdUtente) INNER JOIN 
					tblPgRifAffidatari ON UtentiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario) INNER JOIN 
					DitteAffidatari ON tblPgRifAffidatari.IdAffidatario = DitteAffidatari.IdAffidatario) INNER JOIN 
					tblOrdiniProgrammati ON DitteAffidatari.IdDitta = tblOrdiniProgrammati.IdFornitore
	WHERE  tblOrdiniProgrammati.IdCommessa = $IdCommessa
					AND ((Year([tblOrdiniProgrammati].[dataInizioProg]))=$anno)
					AND ((Utenti.Nome)=$user) AND ((tblOrdiniProgrammati.IdEdificio)=$IdEdificio)
SQL;

ntxQuery($sql);

ntxMsgResult( "" );	

?>
