<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$IdPrezzo = ntxip('IdPrezzo'); // usata anche in _carica_richiesta

$sql = <<< SQL
		SELECT     
				ElencoPrezziInCommessa.IdPrezzo, 
				ElencoPrezziInCommessa.Cod, 
				ElencoPrezziInCommessa.Descrizione, 
				ElencoPrezziInCommessa.UM, 
				ElencoPrezziInCommessa.PzUnitario, 
				ElencoPrezziInCommessa.Prezziario, 
				ElencoPrezziInCommessa.TipoPrezzo,
				ElencoPrezziInCommessa.Titolo, 
				ElencoPrezziInCommessa.DescrEstesa, 
				ElencoPrezziInCommessa.Gruppo, 
				0 AS Sconto
FROM         ElencoPrezziInCommessa
		WHERE (ElencoPrezziInCommessa.IdCommessa = $IdCommessa) AND (ElencoPrezziInCommessa.IdPrezzo = $IdPrezzo) 
SQL;

$msg_error = "Prezzo non trovato!";

$record = ntxRecordArray($sql, $msg_error);

$record['PzUnitario'] = ntxRound($record['PzUnitario'], 2);
$record['Sconto'] = ntxRound($record['Sconto'], 2);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>



















