<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

//$traduttore = new NtxTraduttore("000_000_152", "IT", $_SESSION[NTX_LINGUA_DEST]);
$traduttore = new NtxCreaTraduzione("000_000_152", "IT", __FILE__);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>


<body  >

<?php
	$IdCommessa = ntxise('IdCommessa');
	$IdAnalisiPrezzi = ntxip('Id');

	$sqlSostituito = <<< sqlSostituito
					SELECT isnull(ElencoPrezziInCommessa.Sostituito, 0)
					FROM ElencoPrezziInCommessa
					WHERE ElencoPrezziInCommessa.IdCommessa = RiheAnalisiPrezzi.IdCommessa
						AND ElencoPrezziInCommessa.IdPrezzo = RiheAnalisiPrezzi.IdPrezzo
sqlSostituito;

	$sql = <<< SQL
				SELECT     RiheAnalisiPrezzi.IdCommessa, RiheAnalisiPrezzi.Id, RiheAnalisiPrezzi.IdAnalisiPrezzi,  
							  RiheAnalisiPrezzi.Descrizione, RiheAnalisiPrezzi.UM, RiheAnalisiPrezzi.QTA, RiheAnalisiPrezzi.PzUnitario, RiheAnalisiPrezzi.Sconto, RiheAnalisiPrezzi.IdPrezzo, 
							  RiheAnalisiPrezzi.Cod, RiheAnalisiPrezzi.Titolo, RiheAnalisiPrezzi.DescrEstesa, RiheAnalisiPrezzi.Lun, RiheAnalisiPrezzi.Alt, 
							  RiheAnalisiPrezzi.Lar, RiheAnalisiPrezzi.Formula, RiheAnalisiPrezzi.NotaRiga, RiheAnalisiPrezzi.TipoPrezzo,  
							  RiheAnalisiPrezzi.Prezziario, RiheAnalisiPrezzi.Allegato,
					  ($sqlSostituito) AS Sostituito
				FROM         RiheAnalisiPrezzi 
				WHERE     (RiheAnalisiPrezzi.IdAnalisiPrezzi = $IdAnalisiPrezzi)
SQL;

	$query = ntxQuery($sql);

	while( $rs = ntxRecord($query) )
	{
		if ($rs[Sostituito]==1)
		{
			echo "<p><img src=\"../../_img/warning.bmp\">Attenzione una o più voci prese dell'elenco prezzi sono ora obsolete</p>";
			break;
		}
	}
	
	$query = ntxQuery($sql);
	
?>
<input type=button value="<?php $traduttore->js('Seleziona Tutto') ?>" onclick="Setta(true)">
<input type=button value="<?php $traduttore->js('Deseleziona Tutto') ?>" onclick="Setta(false)">
<input type=button value="<?php $traduttore->js('Importa') ?>" onclick="ImportaRighe()">
<br>
<br>
<table align=left>
	<tr>
		<th>&nbsp;</th>
		<th>&nbsp;</th>
		<th><?php $traduttore->html('Prezziario') ?></th>
		<th><?php $traduttore->html('Codice Prezzo') ?></th>
		<th><?php $traduttore->html('Titolo') ?></th>
		<th><?php $traduttore->html('Descrizione') ?></th>
		<th><?php $traduttore->html('Descrizione Estesa') ?></th>
		<th><?php $traduttore->html('UM') ?></th>
		<th><?php $traduttore->html('Formula') ?></th>
		<th><?php $traduttore->html('Quantita') ?></th>
		<th><?php $traduttore->html('Prezzo Unitario') ?></th>
		<th><?php $traduttore->html('Sconto') ?></th>
		<th><?php $traduttore->html('Importo') ?></th>
		<th><?php $traduttore->html('Allegato') ?></th>
	</tr>
<?php
	$alternate = true;

	$countRows = 0;
	$RigheP = "";

	$TotaleCosti = 0;
	
	while( $rs = ntxRecord($query) )
	{
		$CostoTotale = $rs['QTA'] * $rs['PzUnitario'] * (1 - $rs['Sconto']/100);

		if ( $countRows > 0 )
			$RigheP .= ",";
			
		$RigheP .= '"'.$rs['Id'].'"';
			
		$warning = "";
		
		if ($rs[Sostituito]==1) $warning = "<img src=\"../../_img/warning.bmp\">";
	
?>
	<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<?php echo $warning ?><input id="<?php echo "chk".$countRows++ ?>" type=checkbox onclick="SelezionaRiga(this, <?php echo $rs['Id'] ?>)">
			</td>
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<input type=button value="<?php $traduttore->js('Allegato') ?>" onclick="Allegato(<?php echo $rs['Id'] ?>)">
			</td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Formula']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['QTA'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['PzUnitario'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['Sconto'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($CostoTotale,2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs['Allegato']==1 ? "SI" : "no" ?></td>
	</tr>
<?php
		if ( is_numeric($CostoTotale) ) 
		{
			$TotaleCosti += (float)($CostoTotale);
		}
		
		$alternate = !$alternate;
	}
?>
	<tr><th colspan=12 style="text-align:right"><?php $traduttore->html('TOTALE') ?>:</th>
		<th <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($TotaleCosti,2) ?></th>
		<th colspan=1>&nbsp;</th></tr>
</table>

<form name=form1 method=post>
	<input type=hidden name=RigheP value="">
</form>

<form name=frmAllegato method=post action=allegato_riga.php target=_blank>
	<input type=hidden name=Id value="">
</form>

<script language=javascript>
	var countRows = <?php echo $countRows ?>;
	var RighePP = new Array(<?php echo $RigheP;"'23','44','65'"; ?>);
	var RigheP = new Array();
	var tempRigheP = new Array();
			
	function Allegato(Id)
	{
		frmAllegato.Id.value = Id;
		frmAllegato.submit();
	}

	function Setta(value)
	{
		var i = 0;
		var j = 0;
		var k = 0;
		
		for ( i=0; i < countRows; i++)
			gei("chk" + i).checked = value;
			
		if (value)
			RigheP = RighePP;
		else
			RigheP = new Array();
	}
	
	function SelezionaRiga(obj, RigaP)
	{
		var i = 0;
		
		if (obj.checked)
		{
			for (i=0; i < RigheP.length; i++)
				if ( RigheP[i] == RigaP ) return;
				
			RigheP[RigheP.length] = RigaP;			
		}
		else
		{
			for (i=0; i < RigheP.length; i++)
				if ( RigheP[i] == RigaP ) 
				{
					tempRigheP = new Array();
					
					for (j=0, k=0; j < RigheP.length; j++)
						if ( RigheP[j] != RigaP ) 
							tempRigheP[k++] = RigheP[j];

					RigheP = tempRigheP;
					
					return;
				}
		}
	}

	function ImportaRighe()
	{
		if ( !confirm("Sicuro di volere importare le righe selezionate?") ) return;
		
		parent.parent.parent.ImportAP(RigheP);
	}

	function funcImportaRigheP(text){ alert("Importato");  }

</script>

</body>
</html>
