<?php

function AggiornaOrdiniPrg($index) // se sono ordini ordini programmati
{
	global $Commessa, $Evento, $NumOrdine, $AnnoOrdine, $Edificio, $Ditta, 
			$Giorno, $Mese, $Anno, $Giorno2, $Mese2, $Anno2, $InizioFine,
			$IdMestiere;
	global $TipoData, $Data;
	
	$valore = "";
	
	$nomeCampo = ($index == 1 ? "dataInizio" : "dataFine");
	$nomeCampo2 = ($index == 1 ? "Aperto" : "Eseguito");
	
	switch ( $TipoData )
	{
		case USA_DATA_CORRENTE:
		case IMMETTI_DATA_MANUALMENTE:		
			if ( !is_string($messaggio) ) 
				$valore = "dbo.cdate('{$Data}')"; 
			else
				return $messaggio;
			
			break;
		default:
			$valore = ($index == 1 ? "DataInizioProg" : "DataFineProg");
			break;
	}

	if ( $InizioFine==13 || $InizioFine==14 )
	{
		$sql = "UPDATE tblOrdiniProgrammati SET $nomeCampo=$valore, $nomeCampo2=1 "
				." WHERE IdCommessa=$Commessa "
				." AND IdEdificio=$Edificio "
				." AND IdFornitore=$Ditta "
				." AND DAY(DataInizioProg)=$Giorno "
				." AND MONTH(DataInizioProg)=$Mese "
				." AND YEAR(DataInizioProg)=$Anno "
				." AND DAY(DataFineProg)=$Giorno2 "
				." AND MONTH(DataFineProg)=$Mese2 "
				." AND YEAR(DataFineProg)=$Anno2 "
				." AND $nomeCampo IS NULL";
		
		$sql2 = "SELECT DISTINCT tblOrdiniProgrammati.NumOrdine, tblOrdiniProgrammati.AnnoOrdine, "
				." Ordini.StatoOrd, Ordini.DataInizio, Ordini.DataFine "
				." FROM tblOrdiniProgrammati "
				." INNER JOIN Ordini ON tblOrdiniProgrammati.IdCommessa=Ordini.IdCommessa "
				." AND tblOrdiniProgrammati.NumOrdine=Ordini.NumOrdine "
				." AND tblOrdiniProgrammati.AnnoOrdine=Ordini.AnnoOrdine "
				." WHERE tblOrdiniProgrammati.IdCommessa=$Commessa "
				." AND tblOrdiniProgrammati.IdEdificio=$Edificio "
				." AND tblOrdiniProgrammati.IdFornitore=$Ditta "
				." AND DAY(tblOrdiniProgrammati.DataInizioProg)=$Giorno "
				." AND MONTH(tblOrdiniProgrammati.DataInizioProg)=$Mese "
				." AND YEAR(tblOrdiniProgrammati.DataInizioProg)=$Anno "
				." AND DAY(tblOrdiniProgrammati.DataFineProg)=$Giorno2 "
				." AND MONTH(tblOrdiniProgrammati.DataFineProg)=$Mese2 "
				." AND YEAR(tblOrdiniProgrammati.DataFineProg)=$Anno2 "
				." AND tblOrdiniProgrammati.$nomeCampo=$valore "
				." AND tblOrdiniProgrammati.$nomeCampo2=1";
	}
	elseif ( $InizioFine==15 || $InizioFine==16 )
	{
		$sql = "UPDATE tblOrdiniProgrammati "
				." SET tblOrdiniProgrammati.$nomeCampo=$valore, tblOrdiniProgrammati.$nomeCampo2=1 "
				." FROM tblOrdiniProgrammati INNER JOIN "
				." tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND  "
				." tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN "
				." tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND  "
				." tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere "				
				." WHERE tblOrdiniProgrammati.IdCommessa=$Commessa "
				." AND tblOrdiniProgrammati.IdEdificio=$Edificio "
				." AND tblComponetiMestiere.IdMestiere=$IdMestiere "
				." AND tblOrdiniProgrammati.IdFornitore=$Ditta "
				." AND DAY(tblOrdiniProgrammati.DataInizioProg)=$Giorno "
				." AND MONTH(tblOrdiniProgrammati.DataInizioProg)=$Mese "
				." AND YEAR(tblOrdiniProgrammati.DataInizioProg)=$Anno "
				." AND DAY(tblOrdiniProgrammati.DataFineProg)=$Giorno2 "
				." AND MONTH(tblOrdiniProgrammati.DataFineProg)=$Mese2 "
				." AND YEAR(tblOrdiniProgrammati.DataFineProg)=$Anno2 "
				." AND tblOrdiniProgrammati.$nomeCampo IS NULL";
		
		$sql2 = "SELECT DISTINCT tblOrdiniProgrammati.NumOrdine, tblOrdiniProgrammati.AnnoOrdine, "
				." Ordini.StatoOrd, Ordini.DataInizio, Ordini.DataFine "
				." FROM ((tblOrdiniProgrammati INNER JOIN Ordini ON (tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine)  "
				."AND (tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine) AND (tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa))  "
				."INNER JOIN tblAttivitàMestiere ON (tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere)  "
				."AND (tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa)) INNER JOIN tblComponetiMestiere  "
				."ON (tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere)  "
				."AND (tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa) "
				." WHERE tblOrdiniProgrammati.IdCommessa=$Commessa "
				." AND tblOrdiniProgrammati.IdEdificio=$Edificio "
				." AND tblOrdiniProgrammati.IdFornitore=$Ditta "
				." AND tblComponetiMestiere.IdMestiere=$IdMestiere "
				." AND DAY(tblOrdiniProgrammati.DataInizioProg)=$Giorno "
				." AND MONTH(tblOrdiniProgrammati.DataInizioProg)=$Mese "
				." AND YEAR(tblOrdiniProgrammati.DataInizioProg)=$Anno "
				." AND DAY(tblOrdiniProgrammati.DataFineProg)=$Giorno2 "
				." AND MONTH(tblOrdiniProgrammati.DataFineProg)=$Mese2 "
				." AND YEAR(tblOrdiniProgrammati.DataFineProg)=$Anno2 "
				." AND tblOrdiniProgrammati.$nomeCampo=$valore "
				." AND tblOrdiniProgrammati.$nomeCampo2=1";
	}
	else
	{
		$sql = "UPDATE tblOrdiniProgrammati SET $nomeCampo=$valore, $nomeCampo2=1 "
				." WHERE IdCommessa=$Commessa "
				." AND IdEdificio=$Edificio "
				." AND IdFornitore=$Ditta "
				." AND DAY(DataInizioProg)=$Giorno "
				." AND MONTH(DataInizioProg)=$Mese "
				." AND YEAR(DataInizioProg)=$Anno "
				." AND $nomeCampo IS NULL";
		
		$sql2 = "SELECT DISTINCT tblOrdiniProgrammati.NumOrdine, tblOrdiniProgrammati.AnnoOrdine, "
				." Ordini.StatoOrd, Ordini.DataInizio, Ordini.DataFine "
				." FROM tblOrdiniProgrammati "
				." INNER JOIN Ordini ON tblOrdiniProgrammati.IdCommessa=Ordini.IdCommessa "
				." AND tblOrdiniProgrammati.NumOrdine=Ordini.NumOrdine "
				." AND tblOrdiniProgrammati.AnnoOrdine=Ordini.AnnoOrdine "
				." WHERE tblOrdiniProgrammati.IdCommessa=$Commessa "
				." AND tblOrdiniProgrammati.IdEdificio=$Edificio "
				." AND tblOrdiniProgrammati.IdFornitore=$Ditta "
				." AND DAY(tblOrdiniProgrammati.DataInizioProg)=$Giorno "
				." AND MONTH(tblOrdiniProgrammati.DataInizioProg)=$Mese "
				." AND YEAR(tblOrdiniProgrammati.DataInizioProg)=$Anno "
				." AND tblOrdiniProgrammati.$nomeCampo=$valore "
				." AND tblOrdiniProgrammati.$nomeCampo2=1";
	}
	
	switch ( $InizioFine )
	{
		case 5: // non evento, senza orazio
		case 6:
		case 13:
		case 14:
		case 15:
		case 16:
			$sql .= " AND IdEvento IS NULL AND (oraria=0 OR oraria IS NULL)";
			$sql2 .= " AND IdEvento IS NULL AND (oraria=0 OR oraria IS NULL)";
			break;
		case 7: // non evento, con orazio
		case 8:
			$sql .= " AND IdEvento IS NULL AND oraria=1";
			$sql2 .= " AND IdEvento IS NULL AND oraria=1";
			break;
		case 9: //  evento, senza orazio
		case 10:
			$sql .= " AND IdEvento=$Evento AND (oraria=0 OR oraria IS NULL)";
			$sql2 .= " AND IdEvento=$Evento AND (oraria=0 OR oraria IS NULL)";
			break;
		case 11: //  evento, con orazio
		case 12:
			$sql .= " AND IdEvento=$Evento AND oraria=1";
			$sql2 .= " AND IdEvento=$Evento AND oraria=1";
			break;
	}

	$sql .= ";";
	$sql2 .= ";";
	
	ntxQuery($sql);
	
	$qta = ntxUpdatedRows();
	
	$messaggio = GestisciOrdiniAggregazione($index,$sql2,$valore);
	
	if ( is_string($messaggio) )
		return $messaggio;
		
	if ( $qta == 0 )
		return "Nessun ordine modificato!";
	elseif ( $qta == 1 )
		return "Un ordine modificato!";
	else
		return "N. $qta ordini modificati!";
}

function GestisciOrdiniAggregazione($index,$sql,$valore)
{
	global $Commessa, $Evento, $Edificio, $Ditta, $Giorno, $Mese, $Anno, $InizioFine;
	global $TipoData, $Data;

	$query = ntxQuery($sql);
	
	while ( $rs = ntxRecord($query) )
	{
		if ( $index == 1 )
		{
			if ( $rs["DataInizio"]."" == ""  &&  $rs["StatoOrd"] < 40 )
			{
				$NumOrdine = $rs["NumOrdine"];
				$AnnoOrdine = $rs["AnnoOrdine"];
				
				ntxQuery("UPDATE Ordini SET StatoOrd=40, DataInizio=$valore"
							." WHERE IdCommessa=$Commessa AND NumOrdine=$NumOrdine"
							." AND AnnoOrdine=$AnnoOrdine;");
			}
		}
		else
		{
			if ( $rs["DataFine"]."" == ""  &&  $rs["StatoOrd"] < 50 )
			{
				$NumOrdine = $rs["NumOrdine"];
				$AnnoOrdine = $rs["AnnoOrdine"];
				
				ntxQuery("UPDATE Ordini SET StatoOrd=50, DataFine=$valore"
							." WHERE IdCommessa=$Commessa AND NumOrdine=$NumOrdine"
							." AND AnnoOrdine=$AnnoOrdine;");
			}
		}
	}
}

?>
