<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$comp_cod = ntxsp('TxtRicerca');
$user=ntxsse('Utente');
$pwd=ntxsse('Password');

$sql = "SELECT Count(*) AS Espr1 "
		."FROM Utenti INNER JOIN (((ElencoEdifici INNER JOIN PianoLivello "
		." ON (ElencoEdifici.ID = PianoLivello.IdEdificio) AND (ElencoEdifici.IdCommessa = PianoLivello.IdCommessa))  "
		."INNER JOIN Ambiente ON (PianoLivello.idPiano = Ambiente.IdLivello) AND (PianoLivello.IdEdificio = Ambiente.IdEdificio)  "
		."AND (PianoLivello.IdCommessa = Ambiente.IdCommessa)) INNER JOIN UtentiEdifici  "
		."ON (ElencoEdifici.ID = UtentiEdifici.IdEdificio) AND (ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa))  "
		."ON Utenti.Id = UtentiEdifici.IdUtente "
		."WHERE (((Ambiente.CodiceAssAmbiente)=$comp_cod))"
		." AND (((Utenti.Nome)=$user) AND ((Utenti.Password)=$pwd)) "
		." AND (((ElencoEdifici.IdCommessa)=$IdCommessa) AND ((ElencoEdifici.ID)=$IdEdificio));";
		
//ntxMsgErr($sql);

$num_amb = ntxScalar($sql);

if ( is_numeric($num_amb)  &&  $num_amb>0 )
{
	$sql = "SELECT ElencoEdifici.IdCommessa, Ambiente.CodiceAssAmbiente, "
			." ElencoEdifici.ID, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA,  "
			." ElencoEdifici.Telefono, ElencoEdifici.PROVINCIA, PianoLivello.idPiano, Ambiente.IDAmbiente "
			." FROM Utenti INNER JOIN (((ElencoEdifici INNER JOIN PianoLivello "
			." ON (ElencoEdifici.ID = PianoLivello.IdEdificio) AND (ElencoEdifici.IdCommessa = PianoLivello.IdCommessa))  "
			."INNER JOIN Ambiente ON (PianoLivello.idPiano = Ambiente.IdLivello) AND (PianoLivello.IdEdificio = Ambiente.IdEdificio)  "
			."AND (PianoLivello.IdCommessa = Ambiente.IdCommessa)) INNER JOIN UtentiEdifici  "
			."ON (ElencoEdifici.ID = UtentiEdifici.IdEdificio) AND (ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa))  "
			."ON Utenti.Id = UtentiEdifici.IdUtente "
			."WHERE (((Ambiente.CodiceAssAmbiente)=$comp_cod))"
			." AND (((Utenti.Nome)=$user) AND ((Utenti.Password)=$pwd)) "
			." AND (((ElencoEdifici.IdCommessa)=$IdCommessa) AND ((ElencoEdifici.ID)=$IdEdificio));";

	$msg_error = "Ambiente $comp_cod commessa $IdCommessa non trovato od utente non autorizzato all'uso!";
}
else
{
	$num_comp = ntxScalar("SELECT Count(*) AS Espr1 "
			."FROM Utenti INNER JOIN ((((ElencoEdifici INNER JOIN PianoLivello "
			."ON (ElencoEdifici.ID = PianoLivello.IdEdificio) "
			."AND (ElencoEdifici.IdCommessa = PianoLivello.IdCommessa)) INNER JOIN Ambiente "
			."ON (PianoLivello.idPiano = Ambiente.IdLivello) AND (PianoLivello.IdEdificio = Ambiente.IdEdificio) "
			."AND (PianoLivello.IdCommessa = Ambiente.IdCommessa)) INNER JOIN ComponentiAmbiente "
			."ON (Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente) "
			."AND (Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio) "
			."AND (Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa)) "
			."INNER JOIN UtentiEdifici ON (ElencoEdifici.ID = UtentiEdifici.IdEdificio) "
			."AND (ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa)) "
			."ON Utenti.Id = UtentiEdifici.IdUtente"
			." WHERE (((Utenti.Nome)=$user) AND ((Utenti.Password)=$pwd)) "
			." AND (((ElencoEdifici.IdCommessa)=$IdCommessa) AND ((ElencoEdifici.ID)=$IdEdificio)  "
			." AND ((ComponentiAmbiente.CodiceAssComponente)=$comp_cod));");

	if ( is_numeric($num_comp)  &&  $num_comp>0 )
	{
		$sql = "SELECT ElencoEdifici.IdCommessa, ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceAssComponente, "
				." ComponentiAmbiente.marca, ComponentiAmbiente.modello, ComponentiAmbiente.num_serie, "
				." ElencoEdifici.ID, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA,  "
				." ElencoEdifici.Telefono, ElencoEdifici.PROVINCIA, PianoLivello.idPiano, Ambiente.IDAmbiente,  "
				." TipoComponente.DesComponente "
				." FROM (Utenti INNER JOIN (((ElencoEdifici INNER JOIN PianoLivello  "
				." ON (ElencoEdifici.ID = PianoLivello.IdEdificio)  "
				." AND (ElencoEdifici.IdCommessa = PianoLivello.IdCommessa))  "
				." INNER JOIN (Ambiente INNER JOIN ComponentiAmbiente  "
				." ON (Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente)  "
				." AND (Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio)  "
				." AND (Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa))  "
				." ON (PianoLivello.idPiano = Ambiente.IdLivello)  "
				." AND (PianoLivello.IdEdificio = Ambiente.IdEdificio)  "
				." AND (PianoLivello.IdCommessa = Ambiente.IdCommessa))  "
				." INNER JOIN UtentiEdifici ON (ElencoEdifici.ID = UtentiEdifici.IdEdificio)  "
				." AND (ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa))  "
				." ON Utenti.Id = UtentiEdifici.IdUtente) INNER JOIN TipoComponente  "
				." ON (ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente)  "
				." AND (ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa) "
				." WHERE (((Utenti.Nome)=$user) AND ((Utenti.Password)=$pwd)) "
				." AND (((ElencoEdifici.IdCommessa)=$IdCommessa) AND ((ElencoEdifici.ID)=$IdEdificio)  "
				." AND ((ComponentiAmbiente.CodiceAssComponente)=$comp_cod));";

		$msg_error = "Componente/SubComponente $comp_cod commessa $IdCommessa non trovato od utente non autorizzato all'uso!";
	}
	else
	{
		$sql = "SELECT ElencoEdifici.IdCommessa, SubComponentiAmbiente.IdSubComponente, ComponentiAmbiente.IDComponente, "
				."SubComponentiAmbiente.CodiceAssSubComponente AS CodiceAssComponente, SubComponentiAmbiente.marca, "
				."SubComponentiAmbiente.modello, SubComponentiAmbiente.num_serie, ElencoEdifici.ID, ElencoEdifici.EdificioBreve, "
				." ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.Telefono, ElencoEdifici.PROVINCIA, "
				." PianoLivello.idPiano, Ambiente.IDAmbiente, TipoSubComponente.DesSubComponente AS DesComponente "
				." FROM ((Utenti INNER JOIN ((((ElencoEdifici INNER JOIN PianoLivello ON (ElencoEdifici.ID = PianoLivello.IdEdificio) "
				." AND (ElencoEdifici.IdCommessa = PianoLivello.IdCommessa)) INNER JOIN Ambiente "
				." ON (PianoLivello.idPiano = Ambiente.IdLivello) AND (PianoLivello.IdEdificio = Ambiente.IdEdificio) "
				." AND (PianoLivello.IdCommessa = Ambiente.IdCommessa)) INNER JOIN ComponentiAmbiente "
				." ON (Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente) AND (Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio) "
				." AND (Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa)) INNER JOIN UtentiEdifici "
				." ON (ElencoEdifici.ID = UtentiEdifici.IdEdificio) AND (ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa)) "
				." ON Utenti.Id = UtentiEdifici.IdUtente) INNER JOIN SubComponentiAmbiente "
				." ON (ComponentiAmbiente.IDComponente = SubComponentiAmbiente.IDComponente) "
				." AND (ComponentiAmbiente.IdEdificio = SubComponentiAmbiente.IdEdificio) "
				." AND (ComponentiAmbiente.IdCommessa = SubComponentiAmbiente.IdCommessa)) "
				." LEFT JOIN TipoSubComponente ON (SubComponentiAmbiente.IdTipoSubComponente = TipoSubComponente.IDTipoSubComponente) "
				." AND (SubComponentiAmbiente.IdCommessa = TipoSubComponente.IdCommessa) "
				." WHERE (((Utenti.Nome)=$user) AND ((Utenti.Password)=$pwd)) "
				." AND (((ElencoEdifici.IdCommessa)=$IdCommessa)  AND ((ElencoEdifici.ID)=$IdEdificio) "
				." AND ((SubComponentiAmbiente.CodiceAssSubComponente)=$comp_cod));";

		$msg_error = "Componente/SubComponente $comp_cod commessa $IdCommessa non trovato od utente non autorizzato all'uso!";
	}
}

$record = ntxRecordArray($sql, $msg_error);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
