<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdProprietario = ntxip('IdProprietario');
$Tipo = ntxip('Tipo');

$where = "WHERE IdCommessa=$IdCommessa AND IdProprietario=$IdProprietario AND Tipo=$Tipo";

if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( strlen("$_POST[EdificioBreve]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";

if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[CITTA]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";

if ( strlen("$_POST[Referente]")>0 ) $where .= " AND ElencoEdifici.Referente LIKE '%".str_replace("'","''",$_POST[Referente])."%'";

if ( strlen("$_POST[Telefono]")>0 ) $where .= " AND ElencoEdifici.Telefono LIKE '%".str_replace("'","''",$_POST[Telefono])."%'";

if ( strlen("$_POST[fax]")>0 ) $where .= " AND ElencoEdifici.fax LIKE '%".str_replace("'","''",$_POST[fax])."%'";

if ( strlen("$_POST[email]")>0 ) $where .= " AND ElencoEdifici.email LIKE '%".str_replace("'","''",$_POST[email])."%'";

if ( is_numeric($_POST[NumEdifici]) ) $where .= " AND ElencoEdifici.NumEdifici = ".((int)$_POST[NumEdifici]);

if ( is_numeric($_POST[AreaMQ]) ) $where .= " AND ElencoEdifici.AreaMQ = ".((int)$_POST[AreaMQ]);

$sql = <<< sql
	SELECT     ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, 
						  ElencoEdifici.CITTA, ElencoEdifici.AreaMQ, ElencoEdifici.Referente, ElencoEdifici.NumEdifici,
						  ElencoEdifici.Telefono, ElencoEdifici.fax, ElencoEdifici.email
	FROM         ElencoEdifici
	$where
sql;

$paginazione = ntxPaginazione($sql, "ID");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>ID
			<th>Codice
			<th>Denominazione
			<th>Indirizzo
			<th>Comune
			<th>MQ
			<th>NumEdifici
			<th>Referente
			<th>Telefono
			<th>Fax
			<th>Email
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$mq = ntxRound($rs[AreaMQ], 2);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td><input type=button value=edit onclick="objCodice.CaricaForm($rs[ID])" />
			<td><input type=checkbox SelRiga IdRiga=$rs[ID] />
			<td>$rs[ID]
			<td>$html[Codice]
			<td>$html[EdificioBreve]

			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$mq
			<td>$html[NumEdifici]
			<td>$html[Referente]
			<td>$html[Telefono]
			<td>$html[fax]
			<td>$html[email]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
