<?php 

$sql = <<< sql
	SELECT     Offerte.IdCommessa, Offerte.IdOfferta, 
	
			Offerte.Protocollo, 
			Offerte.DataOfferta, 
			Offerte.Referente, 
			Offerte.Richiedente, 
			Offerte.Lotto, 
			Offerte.Regione, 
			Offerte.Supervisore, 
			
			tblPgGestori.Nome AS Gestore, 
			tblPgGestori.Indirizzo AS IndGest, 
			tblPgGestori.Comune AS ComGest, 
			tblPgGestori.Provincia AS ProvGest, 
			tblPgGestori.telefono_1 AS TelGest, 
			tblPgGestori.fax_1 AS FaxGest, 
			tblPgGestori.email_1 AS EmailGest, 
			tblPgGestori.Cap AS CapGest, 
			
			tblPgPropietari.Nome AS Cliente, 
			tblPgPropietari.Dipartimento, 
			tblPgPropietari.Indirizzo AS IndCli, 
			tblPgPropietari.Comune AS ComCli, 
			tblPgPropietari.Provincia AS ProvCli, 
			tblPgPropietari.telefono_1 AS TelCli, 
			tblPgPropietari.fax_1 AS FaxCli, 
			tblPgPropietari.email_1 AS EmailCli, 
			tblPgPropietari.CodiceFiscale AS CfCli, 
			tblPgPropietari.Cap AS CapCli, 
			tblPgPropietari.PartitaIva AS PivaCli
			
	FROM         Offerte INNER JOIN
						  tblPgGestori ON Offerte.IdGestore = tblPgGestori.IdGestore INNER JOIN
						  tblPgPropietari ON Offerte.IdPropietario = tblPgPropietari.IdPropietario
	WHERE     (Offerte.IdCommessa = $IdCommessa) AND (Offerte.IdOfferta = $IdOfferta)
sql;

$rsOfferta = ntxRecord(ntxQuery($sql));

$rsOfferta[DataOfferta] = ntxDate($rsOfferta[DataOfferta]);

foreach( $rsOfferta as $k => $v )
	$rsOfferta[$k] = htmlentities($v);

 ?>
