<?php

session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');

$sql = <<< _SQL
	
   SELECT 
        ID, Codice, EdificioBreve, CITTA +' '+PROVINCIA+' '+Indirizzo AS Indirizzo
    FROM  
        ElencoEdifici
    WHERE 
        IdCommessa = $IdCommessa
    ORDER BY 
        ID

_SQL;

$query = ntxQuery($sql);

$result = <<< _HTML
        
    <table align="center" width="600">
        <thead>
            <tr>
                <th></th>
                <th>ID</th>
                <th>Codice</th>
                <th>Nome</th>
                <th>Indirizzo</th>
            </tr>
        </thead>
        <tbody>
        
_HTML;

$alternate = false;

while ($query  &&  $rs = ntxRecord($query)) {
    
    $classTr = $alternate ? "class=alternate" : "";
    
    foreach ($rs as $key => $value) {
        $html[$key] = htmlentities($value);
    }
    $result .= <<< _HTML
            
            <tr $classTr>
                <td><input type="checkbox" name="IdEdificio[$html[ID]]" value="$html[ID]]"></td>
                <td>$html[ID]</td>
                <td>$html[Codice]</td>
                <td>$html[EdificioBreve]</td>
                <td>$html[Indirizzo]</td>
            <tr>
            
_HTML;
    
    $alternate = !$alternate;
}
$result .= "</tbody></table>";

jhp($result);
