$(function () {
    caricaSelectLocalizzazioni();
});

/**
 * 
 * @returns {undefined}
 */
function caricaSelectLocalizzazioni()
{
    var result = jhp("jhp/carica_edifici.php",
            jhp_frm(document.form1));
    if (result.state)
    {
        alert("errore: " + result.message);
    } else
    {
        $('#tblEdifici').html(result.value);
    }
}

function trovaNomeUtente2Email(frm) {
    var idx, email, nome;
    email = frm.email.value;
    idx = email.indexOf("@");
    nome = email.slice(0, idx);

    if (nome.length > 20)
        nome = nome.slice(0, 20);

    frm.nomeLogin.value = nome;
}

function verificaEmail(frm) {
    var email1 = "" + frm.email.value;
    var email2 = "" + frm.verificaemail.value;

    if (email1 != email2)
    {
        frm.verificaemail.className = "rosso";
        return false;
    } else
    {
        frm.verificaemail.className = "verde";
    }

    if (!email1.match(/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})$/))
        return false;

    checkLogin(frm);

    return true;
}

function checkLogin(frm) {
    var login = "" + frm.nomeLogin.value;

    if (login.length < 1 || login.length > 20) {
        frm.nomeLogin.className = "rosso";
        return false;
    } else {
        var result = jhp("jhp/checkLogin.php", {login: login});
        if (result.state) {
            alert("Errore: " + result.message);
            frm.nomeLogin.className = "rosso";
            return false;
        } else {
            frm.nomeLogin.className = "verde";
            return true;
        }
    }

}

function Conferma(frm) {
    if (!(ConvalidaForm(frm))) {
        return;
    }
    var result = jhp("jhp/crea_risorsa.php",
            jhp_frm(frm));
    if (result.state)
    {
        alert("errore: " + result.message);
    } else
    {
        var IdUtente = result.value;
        var result = jhp("jhp/carica_inserimento.php",
                {IdUtente: IdUtente});
        if (result.state)
        {
            alert("errore: " + result.message);
        } else
        {
            alert("Inserimento effettuato correttamente, i dati di connessione sono nella tabella in fondo alla pagina, conservali! Una Email &egrave; stata inviata all'indirizzo fornito");
            $('#tbRisultatiInserimento').html(result.value);
        }
    }
}