<?php  

$IdCommessa = ntxise('IdCommessa');

$sql = "SELECT     Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, Stati.DesStato, "
	."Richieste.Descrizione + Richieste.Descrizione1 + Richieste.Descrizione2 AS Des, "
	."ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, "
	."				ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.Provincia,  "
	."                      ElencoEdifici.Cap, tblPgPropietari.Nome AS Ente "
	."FROM         Richieste INNER JOIN Stati ON Richieste.Stato=Stati.IDStato INNER JOIN ElencoEdifici  "
	." ON Richieste.IdCommessa=ElencoEdifici.IdCommessa AND Richieste.Localizzazione=ElencoEdifici.ID "
	."                      LEFT OUTER JOIN tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario "
	."WHERE     (Richieste.IdCommessa = $IdCommessa) ";
	
if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sql .= " AND (Richieste.IdMestiere = $IdMestiere) ";
}
	
if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sql .= " AND (Richieste.IdComponenteMestiere = $IdComponente) ";
}
	
if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sql .= " AND (tblPgPropietari.IdPropietario = $IdPropietario) ";
}
	
if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (Richieste.Localizzazione = $IdEdificio) ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Descrizione LIKE '%".$str."%' ";
}

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sql .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sql .= " AND Richieste.DataRichiesta <= ".$str." ";
}

if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sql .= " AND Richieste.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sql .= " AND Richieste.AnnoRichiesta = $val ";
}

$sql .= " ORDER BY DataRichiesta DESC;";

$query = ntxQuery($sql);
	
?>
