<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine'); // usata anche in _carica_ordine
$AnnoOrdine = ntxip('AnnoOrdine'); // usata anche in _carica_ordine

$sql = "SELECT Ordini.GradoUrgenza, Ordini.DataInizioProg, Richieste.DataAutorizzazione, Richieste.DataRichiesta "
		." FROM Ordini INNER JOIN Richieste "
		." ON Ordini.IdCommessa = Richieste.IdCommessa "
		." AND Ordini.NumRichiesta = Richieste.NumRichiesta "
		." AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta "
		." WHERE Ordini.IdCommessa = $IdCommessa "
		." AND Ordini.NumOrdine = $NumOrdine "
		." AND Ordini.AnnoOrdine = '$AnnoOrdine';";

$msg_error = "Ordine num. $NumOrdine anno. $AnnoOrdine commessa $IdCommessa non trovato!";

$record = ntxRecordArray($sql, $msg_error);

$GradoUrgenza = $record['GradoUrgenza'];
$DataInizioProg = ntxDateTime($record['DataInizioProg']);
$DataAutorizzazione = ntxDateTime($record['DataAutorizzazione']);
$DataRichiesta = ntxDateTime($record['DataRichiesta']);

unset($record);

if ( $GradoUrgenza == "" )
{
	ntxMsgErr("Impostare prima un grado urgenza!");
}


if ( !($rs = ntxIRecord(ntxQuery("SELECT Tint FROM TabellaGradoUrgenza WHERE IdCommessa=$IdCommessa AND GradoU='$GradoUrgenza';"))) )
{
	ntxMsgErr("Problema nel trovare voce grado urgenza selezionato <'$GradoUrgenza'>!");
}

if ( !is_numeric($rs[0]) )
{
	$rs[0] = 0;
}

$Tint = (float)($rs[0]) * 24 * 60;

$DataScadenza = $DataInizioProg;

if ( $DataInizioProg."" == "" )
{
	$DataScadenza = $DataRichiesta;

	if ( $DataAutorizzazione."" != "" )
	{
		$DataScadenza = $DataAutorizzazione;
	}
	
	$sqlDataScadenza = ntxt($DataScadenza);
	
	$sql = "SELECT DateAdd(minute, $Tint, $sqlDataScadenza);";

	if ( !($rs = ntxIRecord(ntxQuery($sql))) )
	{
		ntxMsgErr("Problema nel calcolare la data scadenza <$sql>!");
	}

	$DataScadenza = $rs[0];
}

$record['DataScadenza'] = ntxDateTime($DataScadenza);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
