<?php  
$IdCommessa = ntxise('IdCommessa');

$Stati = explode(",",$_POST[Stati]);

$where_stati = "";

foreach($Stati as $stato)
{
	if (is_numeric($stato))
	{
		if ($where_stati != "")
			$where_stati .= " OR ";
		else
			$where_stati = " AND (";
		
		$where_stati .= "Ordini.StatoOrd = $stato";
	}
}

if ($where_stati != "")
	$where_stati .= ")";
	
$subSql = <<< sql
	SELECT TOP 1 LTRIM(r2.NumRichiesta) +'/'+ LTRIM(r2.AnnoRichiesta) 
	FROM Richieste r2
	WHERE Ordini.IDCommessa = r2.IDCommessa AND Ordini.NumOrdine  = r2.NumOrdineFonte AND 
	                      Ordini.AnnoOrdine = r2.AnnoOrdineFonte
sql;

$sql = <<< sql
	SELECT DISTINCT
		Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, Richieste.NumRichiesta, Richieste.AnnoRichiesta,
		Richieste.DataRichiesta, Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Des,
		ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune,
		ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, Ordini.Contabiliz,
		($subSql) AS RicGenerata, 
		tblUtUtilizzatori.Nome AS Utilizzatore, Richieste.Richiedente
		
	FROM         
		ElencoEdifici INNER JOIN
		Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio INNER JOIN
		StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
		Richieste ON Ordini.IDCommessa = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
		Ordini.AnnoRichiesta = Richieste.AnnoRichiesta LEFT OUTER JOIN
		OrdiniLatLon ON Ordini.IDCommessa = OrdiniLatLon.IDCommessa AND Ordini.NumOrdine = OrdiniLatLon.NumOrdine AND 
		Ordini.AnnoOrdine = OrdiniLatLon.AnnoOrdine LEFT OUTER JOIN
		Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
		Ordini.AnnoOrdine = Contabilità.AnnoOrdine LEFT OUTER JOIN
		AffidatariGestitiDaCallCenter ON Ordini.IDCommessa = AffidatariGestitiDaCallCenter.IdCommessa AND 
		Ordini.IdAffidatario = AffidatariGestitiDaCallCenter.IdAffidatario LEFT OUTER JOIN
		tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	WHERE     
		(AffidatariGestitiDaCallCenter.IdCommessa IS NULL)
		AND (Richieste.IdCommessa = $IdCommessa)
		$where_stati
sql;
	
if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sql .= " AND (Ordini.IdUtilizzatore = $IdUtilizzatore) ";
}
	
if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sql .= " AND (Ordini.IdMestiere = $IdMestiere) ";
}
		
if ( is_numeric($_POST['EscludiOrdiniAnnullati'])  &&  $_POST['EscludiOrdiniAnnullati']==1) 
{
	$sql .= " AND (Ordini.StatoOrd <> 70) ";
}

if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sql .= " AND (Ordini.IdComponenteMestiere = $IdComponente) ";
}
	
if ( is_numeric($_POST['NumSal']) ) $sql .= " AND Contabilità.NumSal = ".ntxip('NumSal');

	
if ( is_numeric($_POST['MeseOrdine'])) 
{
	$MeseOrdine = (int)$_POST['MeseOrdine'];
	$sql .= " AND (Month(Ordini.DataOrdine) = $MeseOrdine) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (Ordini.CodEdificio = $IdEdificio) ";
}

if ( isset($_POST['Classificazione'])  &&  strlen($_POST['Classificazione'])>0) 
{
	$str = stripslashes($_POST['Classificazione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.Contabiliz = '".$str."' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.DescrizioneIntervento LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Ditta']) ) $sql .= " AND Ordini.Assegnazione = ".ntxip('Ditta');

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sql .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sql .= " AND Richieste.DataRichiesta <= ".$str." ";
}

if ( isset($_POST['DataOrdine1'])  &&  strlen($_POST['DataOrdine1'])>0) 
{
	$str = ntxtp("DataOrdine1");
	$sql .= " AND Ordini.DataOrdine >= ".$str." ";
}

if ( isset($_POST['DataOrdine2'])  &&  strlen($_POST['DataOrdine2'])>0) 
{
	$str = ntxtp("DataOrdine2");
	$sql .= " AND Ordini.DataOrdine <= ".$str." ";
}

if ( isset($_POST['Data1p'])  &&  strlen($_POST['Data1p'])>0) 
{
	$str = ntxtp("Data1p");
	$sql .= " AND Ordini.DataInizioProg >= ".$str." ";
}

if ( isset($_POST['Data2p'])  &&  strlen($_POST['Data2p'])>0) 
{
	$str = ntxtp("Data2p");
	$sql .= " AND Ordini.DataInizioProg <= ".$str." ";
}

if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sql .= " AND Richieste.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sql .= " AND Richieste.AnnoRichiesta = $val ";
}

if ( is_numeric($_POST['NumOrdine']) ) 
{
	$val = (int)$_POST['NumOrdine'];
	$sql .= " AND Ordini.NumOrdine = $val ";
}

if ( is_numeric($_POST['IdAttivitàMestiere']) ) 
{
	$val = (int)$_POST['IdAttivitàMestiere'];
	$sql .= " AND Ordini.IdAttivitàMestiere = $val ";
}

if ( is_numeric($_POST['AnnoOrdine']) ) 
{
	$val = (int)$_POST['AnnoOrdine'];
	$sql .= " AND Ordini.AnnoOrdine = $val ";
}


/*[5 agosto 2010] aggiunta ricerca di ordini scaduti*/
if ( is_numeric($_POST['RicercaOrdiniScaduti']) )
{
	$val = (int)$_POST['RicercaOrdiniScaduti'];
	if($val)
		$sql.= " AND (Ordini.DataScadenza <= GETDATE() AND Ordini.DataInizio IS NULL) ";
}

if ( isset($_POST['GradoUrgenza2'])  &&  strlen($_POST['GradoUrgenza2'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.GradoUrgenza = '".$str."' ";
}
/* else
{
	$sqlGradoU = <<< sql
			SELECT     GradoU
			FROM         TabellaGradoUrgenza
			WHERE     (IdCommessa = $IdCommessa) AND (Specifici=1)
sql;

	$query = ntxQuery($sqlGradoU);
	
	while ( $rs = ntxIRecord($query) )
	{
		$value = ntxs($rs[0]);
		
		$sql .= " AND Ordini.GradoUrgenza <> $value ";
	}
} */

if ( isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza1']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.GradoUrgenza = '".$str."' ";
}

if ( isset($_POST['Tecnico'])   &&  $_POST['Tecnico']!="" ) $sql .= " AND Ordini.Tecnico LIKE '%".$_POST['Tecnico']."%'";

if ( is_numeric($_POST['PosaSegnaletica']) )
{
	if ( $_POST['PosaSegnaletica']==1 )
		$sql .= " AND Ordini.PosaSegnaletica = 1";
	else
		$sql .= " AND (Ordini.PosaSegnaletica = 0 OR Ordini.PosaSegnaletica IS NULL)";
}

if ( is_numeric($_POST['OrdinePianificato']) )
{
	if ( $_POST['OrdinePianificato']==1 )
		$sql .= " AND Ordini.OrdinePianificato = 1";
	else
		$sql .= " AND (Ordini.OrdinePianificato = 0 OR Ordini.OrdinePianificato IS NULL)";
}

$sql .= " ORDER BY Ordini.DataOrdine DESC ";


$query = ntxQuery($sql);
	
?>
