<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>ManPro.Net WebPortal</title>
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">

	<script type="text/javascript" src="../../_libs/number.js"></script>	
	
	<script type="text/javascript" src="/repository/js/check_partita_iva.js"></script>
	<script type="text/javascript" src="/repository/js/check_codice_fiscale.js"></script>
	
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">	
		
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="../../_ntx/jhp.php"></script>	
		
	<style>
	img
	{
		position:relative;
		vertical-align:middle; 
		display:inline;
		
		padding:0px;
		margin:2px;
		
		user-select: none;
	}
	
	button
	{
		vertical-align:middle; 
		text-align:center;
		user-select: none;
		cursor:pointer;
	}
	
	.tasti
	{
		font-size:90%;
		height:70px;
		width:90px;
	}	
	
	input, select
	{
		width:98%;
	}	
	
	textarea 
	{
		width:98%;
		height:50px;
	}
	
	a, a:hover 
	{
		margin: 0;
		padding: 0;
		border: 0;
		outline: 0;
		font-weight: inherit;
		font-style: inherit;
		font-size: 100%;
		font-family: inherit;
		vertical-align: baseline;
	}	
	</style>
</head>

<body>

<input type=button value="<< Indietro" onClick="parent.CloseFrame()" style="width:120px;margin:4px;"/>

<form id="form1" name="form1" method="post">

	<input type="hidden" id="IdRichiedente" name="IdRichiedente"  />

	<table align=center >
		<caption>Edit Richiedente</caption>
		
	<tr>
		<th>Nome
		<td> <input type="text" id="Nome" name="Nome"   />	
		
	<tr>
		<th>Descrizione
		<td> <textarea id="Descrizione" name="Descrizione"></textarea>				
		
	<tr>
		<th>Nota
		<td> <textarea id="Nota" name="Nota"></textarea>			
						
	<tr>
		<th> cellulare
		<td> <input type="text" id="cellulare" name="cellulare"   />		
		
	<tr>
		<th> email
		<td> <input type="text" id="email" name="email"   />		
		
	<tr>
		<th> Ruolo
		<td> <input type="text" id="ruolo" name="ruolo"   />			
							
	<tr>
		<th> telFisso
		<td> <input type="text" id="telFisso" name="telFisso"   />			
	
	</table>
	
</form>

<div align="center" style="margin: 10px;">

	<button onclick="aggiungi();return false;"	id="aggiungi" 	class="tasti"> 
		<img src="../../_img/save.png" style="width:25px;"/>
		<br> Registra<br>come nuovo 
	</button>
	
	<button onclick="modifica();return false;"	id="modifica" 	class="tasti"> 
		<img src="../../_img/penna.png" style="width:25px;"/> 
		<br> Modifica 
	</button>
                                                              
	<button onclick="elimina();return false;" 	id="cancella" 	class="tasti"> 
		<img src="../../_img/reset.png" style="width:25px;"/> 
		<br> Cancella
	</button>
	                                                                                                    
	<button onclick="nuovo();return false;" 	id="nuovo"  	class="tasti"> 
		<img src="../../_img/nuovo.png" style="width:25px;"/> 
		<br> Nuovo
	</button>
</div>	
	

	
<script type="text/javascript">
window.onload = PreparaPagina;


function PreparaPagina()
{	
	if(isNumber('<?php echo $_POST[ID] ?>'))
		carica('<?php echo $_POST[ID] ?>');
	else	
		setButtons();
}

function setButtons()
{
	document.getElementById('aggiungi').style.display = 'inline';
	document.getElementById('modifica').style.display = 'none';
	
	document.getElementById('cancella').disabled = true;
	document.getElementById('nuovo').disabled = false;
	
	if(document.form1.IdRichiedente.value!=""  &&  !isNaN(document.form1.IdRichiedente.value))
	{ 
		document.getElementById('aggiungi').style.display = 'none';
		document.getElementById('modifica').style.display = 'inline';
		
		document.getElementById('cancella').disabled = false;
	}
}  

function nuovo()
{
	if(!confirm("Si desidera creare un nuovo elemento?")) return;
	
	document.form1.IdRichiedente.value = '';
	document.form1.reset();

	
	setButtons();
}

function aggiungi()
{
	if(!confirm("Si desidera aggiungere un nuovo elemento?")) return;
	
 	if( ntxSendForm(document.form1, funcCaricaElemento, 'richiedenti/aggiungi'))
		alert("Inserimento avvenuto con successo!"); 
}

function modifica()
{
	if(!confirm("Si desidera salvare le modifiche?")) return;
	
 	if( ntxSendForm(document.form1, funcCaricaElemento, 'richiedenti/modifica'))
		alert("Modifica avvenuta con successo!"); 
}

function elimina()
{
	if(!confirm("Si desidera eliminare l'elemento?")) return;
	
 	if( ntxSendForm(document.form1, funcCaricaElemento, 'richiedenti/elimina'))
	{
		alert("Eliminazione avvenuta con successo!"); 
	}
}

function carica(ID)
{ 
	document.form1.IdRichiedente.value = ID;

	ntxSendForm(document.form1, funcCaricaElemento, 'richiedenti/carica');
}

function funcCaricaElemento(text)
{
 	var rows=ntxRecord(text);	
	
	ntxFormAssign(document.form1, rows);

	setButtons();	
}
</script>

</body>
</html>
