<?php

$IdMestiere= ntxip('IdMestiere',false);
$Localizzazione = ntxip('Localizzazione',false);
$IdAffidatario = ntxip('IdAffidatario');

if ( !is_numeric($IdAffidatario) )
{
	$sql = "SELECT COUNT(*) FROM (SELECT DISTINCT    tblPgContrattiAffidatari.IdAffidatario "
		."FROM         tblComponetiMestiere INNER JOIN "
		."                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND  "
		."                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN "
		."                      tblPgContrattiAffidatari INNER JOIN "
		."                      tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario ON  "
		."                      tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND  "
		."                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN "
		."                      tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario "
		."WHERE     (tblComponetiMestiere.IdCommessa = $IdCommessa)   "
		."                      AND (tblComponetiMestiere.IdMestiere = $IdMestiere)   "
		."                      AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $Localizzazione)   "
		."                      AND (tblPgContrattiAffidatari.DataInizio <= $mDataRichiesta ) AND (tblPgContrattiAffidatari.DataFine >= $mDataRichiesta )) a";
		
				
	$conta_affidatari = ntxScalar($sql);

	if ( is_numeric($conta_affidatari)  &&  $conta_affidatari>1 )
		ntxMsgErr("Più di un affidatario per data attuale associato con coppia Mestiere/Localizzazione!");
		
	$sql = "SELECT DISTINCT    tblPgContrattiAffidatari.IdAffidatario "
		."FROM         tblComponetiMestiere INNER JOIN "
		."                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND  "
		."                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN "
		."                      tblPgContrattiAffidatari INNER JOIN "
		."                      tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario ON  "
		."                      tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND  "
		."                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN "
		."                      tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario "
		."WHERE     (tblComponetiMestiere.IdCommessa = $IdCommessa)   "
		."                      AND (tblComponetiMestiere.IdMestiere = $IdMestiere)   "
		."                      AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $Localizzazione)   "
		."                      AND (tblPgContrattiAffidatari.DataInizio <= $mDataRichiesta ) AND (tblPgContrattiAffidatari.DataFine >= $mDataRichiesta )";
		
				
	$IdAffidatario = ntxScalar($sql);

	if ( !is_numeric($IdAffidatario) )
		ntxMsgErr("Nessun affidatario per data attuale associato con coppia Mestiere/Localizzazione!");
}

$sql = "SELECT DISTINCT    tblPgContrattiAffidatari.AffidoExtracanone "
	."FROM         tblComponetiMestiere INNER JOIN "
	."                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND  "
	."                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN "
	."                      tblPgContrattiAffidatari INNER JOIN "
	."                      tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario ON  "
	."                      tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND  "
	."                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN "
	."                      tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario "
	."WHERE     (tblComponetiMestiere.IdCommessa = $IdCommessa)   "
	."                      AND (tblComponetiMestiere.IdMestiere = $IdMestiere)   "
	."                      AND (tblPgContrattiAffidatari.IdAffidatario = $IdAffidatario)   "
	."                      AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $Localizzazione)   "
	."                      AND (tblPgContrattiAffidatari.DataInizio <= $mDataRichiesta ) AND (tblPgContrattiAffidatari.DataFine >= $mDataRichiesta )";
	
			
$AffidoExtracanone = ntxScalar($sql);
ntxmsgerr($AffidoExtracanone);
if ( $AffidoExtracanone==1  &&  strtolower($_POST[Contabiliz]) == "extracanone" )
{
	$sql = <<< sql
	SELECT     Nome + ' - ' + telefono_1 + ' - ' + email_1
FROM         tblPgAffidatari
WHERE     (IdAffidatario = 1)
sql;

	$coord_affidatario = ntxScalar($sql);
	
	ntxMsgErr("$coord_affidatario si occupera' dell'ordine extracanone per la richiesta selezionata!");
}
?>
