<?php
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

 
$IdCommessa = ntxise('IdCommessa');
$IdPropietario = ntxip('IdPropietario');
$IdEdificio = ntxip('IdEdificio');
$associa = ntxip('associa');


$sql = <<< SQL
SELECT TOP 1 Richiedenti.IdRichiedente	
FROM  Richiedenti
WHERE 
	IdCommessa=$IdCommessa 
	AND Nome =
	(
		SELECT TOP 1 tblPgPropietari.Nome
		FROM  tblPgPropietari
		WHERE tblPgPropietari.IdPropietario = $IdPropietario 		
	)
ORDER BY IdRichiedente DESC
SQL;

$IdRichiedente = ntxScalar($sql);


if( is_numeric($IdPropietario)  &&  is_numeric($IdEdificio)  &&  is_numeric($IdRichiedente) )
{
	if($associa==1)
	{
		$sql = <<< SQL
		UPDATE ElencoEdifici
		SET       IdProprietario = $IdPropietario
		WHERE (IdCommessa = $IdCommessa) AND (ID = $IdEdificio)		
SQL;
		$query = ntxQuery($sql);	

	
		$sql = <<< SQL
		SELECT IdRichiedente
		FROM RichiedentiEdifici
		WHERE (IdCommessa = $IdCommessa) AND (IdRichiedente = $IdRichiedente) AND (IdEdificio = $IdEdificio)
SQL;
		if( !is_numeric(ntxScalar($sql)) )
		{	
			$RichiedentiEdifici= new NtxTable("RichiedentiEdifici");		
			$Insert= $RichiedentiEdifici->insert();

			$Insert->set("IdCommessa", 	$IdCommessa );
			$Insert->set("IdRichiedente", 	$IdRichiedente);
			$Insert->set("IdEdificio", 	$IdEdificio);

			$Insert->execute(); 
		}
	}
	else
	{
		$sql = <<< SQL
		UPDATE ElencoEdifici
		SET       IdProprietario = NULL
		WHERE (IdCommessa = $IdCommessa) AND (ID = $IdEdificio)		
SQL;
		$query = ntxQuery($sql);	
		
	
		$sql = <<< SQL
		DELETE FROM RichiedentiEdifici
		WHERE (IdCommessa = $IdCommessa) AND (IdRichiedente = $IdRichiedente) AND (IdEdificio = $IdEdificio)
SQL;

		$query = ntxQuery($sql);	
	}
}
else
	ntxmsgerr("Impossibile continuare per i seguenti motivi: 1) Ente non caricato. 2) Edificio non associato all'ente. 3) Richiedente non associato all'ente.");

ntxMsgResult( '' );
?>

