<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
	
require_once(NTX_WEBPORTAL_PATH."prop_utenti\\modo_nest.inc"); // restituisce $ModoNest bit

require_once('ordini_sql.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>
	
<table>
	<tr>
		<th>Num. Ordine</th>
		<th>Anno Ordine</th>
		<th>Data Ordine</th>
		<th>Data Scadenza</th>
		<th>Stato Ordine</th>
		<th>Stato Contabilita'</th>		
		<th>Num. Richiesta</th>
		<th>Anno Richiesta</th>
		<th>Richiedente</th>
		<th>Data Richiesta</th>
		<th>TipoC</th>
		<th>Des</th>
<?php if ($ModoNest!=1) {?> <th>Ente</th> <?php } ?>
		<th>Ditta</th>
		<th>Codice Localiz.</th>
		<th>Localizzazione</th>
		<th>Richiesta generata</th>
<?php if ($ModoNest!=1) {?> <th>Utilizzatore</th> <?php } ?>
	</tr>   

<?php
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td>&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataOrdine']) ?></td>
		<td  >&nbsp;<?php echo ntxDateTime($rs['DataScadenza']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesstatoC']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NumRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['AnnoRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Contabiliz']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Des']) ?></td>
<?php if ($ModoNest!=1) {?> <td>&nbsp;<?php echo htmlentities($rs['Ente']) ?></td> <?php } ?>
		<td>&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td  >&nbsp;<?php echo htmlentities("$rs[Nome] - $rs[Indirizzo] $rs[Comune] ($rs[Provincia]) - $rs[Cap]") ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['RicGenerata']) ?></td>
<?php if ($ModoNest!=1) {?> <td>&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td> <?php } ?>
	</tr>
<?php
	}
?>
</table>

</body>
</html>
