<?php  

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT DISTINCT 
			tblUtUtilizzatori.IdUtilizzatore,
			tblUtUtilizzatori.CodiceUtilizzatore, 
			tblUtUtilizzatori.Nome, 
			tblUtUtilizzatori.Descrizione, 
			tblUtUtilizzatori.Nota, 
			tblUtUtilizzatori.cdc,
			tblUtUtilizzatori.Indirizzo, 
			tblUtUtilizzatori.email, 
			tblUtUtilizzatori.telefono, tblUtUtilizzatori.fax, tblUtUtilizzatori.Cognome, tblUtUtilizzatori.CAP, tblUtUtilizzatori.Citta, tblUtUtilizzatori.PartitaIva, 
			tblUtUtilizzatori.CodiceFiscale, tblUtUtilizzatori.NoteLocalizzazione, tblUtUtilizzatori.IdTipoFidelizzazione, tblUtUtilizzatori.IdStatoUtilizzatore, 
			tblUtUtilizzatori.Civico, tblUtUtilizzatori.cellulare,			
			
			TipoFidelizzazione.Nome AS Fidelizzazione, StatoUtilizzatore.Nome AS Stato,
			
			(SELECT TOP 1 t2.IdEdificio FROM tblUtEdifici t2
				WHERE t2.IdCommessa = tblUtUtilizzatori.IdCommessa 
				AND t2.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore) IdEdificio,
			(SELECT COUNT(*) FROM tblUtEdifici t2
				WHERE t2.IdCommessa = tblUtUtilizzatori.IdCommessa 
				AND t2.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore) CountEdifici
				
	FROM         
		tblUtUtilizzatori 

		LEFT OUTER JOIN 
		tblUtEdifici ON tblUtEdifici.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtEdifici.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore

		LEFT OUTER JOIN 
		StatoUtilizzatore ON tblUtUtilizzatori.IdCommessa = StatoUtilizzatore.IdCommessa AND  tblUtUtilizzatori.IdStatoUtilizzatore = StatoUtilizzatore.IDStato

		LEFT OUTER JOIN 
		TipoFidelizzazione ON tblUtUtilizzatori.IdCommessa = TipoFidelizzazione.IdCommessa AND  tblUtUtilizzatori.IdTipoFidelizzazione = TipoFidelizzazione.ID
				
	WHERE     (tblUtUtilizzatori.IdCommessa = $IdCommessa)  
sql;

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (tblUtEdifici.IdEdificio = $IdEdificio) ";
}
else
	$IdEdificio = '';

if ( isset($_POST['CodiceUtilizzatore'])  &&  strlen($_POST['CodiceUtilizzatore'])>0) 
{
	$str = stripslashes($_POST['CodiceUtilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.CodiceUtilizzatore = '$str' ";
}

if ( isset($_POST['Nome'])  &&  strlen($_POST['Nome'])>0) 
{
	$str = stripslashes($_POST['Nome']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Nome LIKE '%$str%' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Descrizione  LIKE '%$str%' ";
}

if ( isset($_POST['Nota'])  &&  strlen($_POST['Nota'])>0) 
{
	$str = stripslashes($_POST['Nota']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Nota LIKE '%$str%' ";
}

if ( isset($_POST['cdc'])  &&  strlen($_POST['cdc'])>0) 
{
	$str = stripslashes($_POST['cdc']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.cdc = '$str' ";
}




if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Indirizzo LIKE '%".$str."%' ";
}

if ( isset($_POST['Civico'])  &&  strlen($_POST['Civico'])>0) 
{
	$str = stripslashes($_POST['Civico']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Civico = '$str' ";
}

if ( isset($_POST['CAP'])  &&  strlen($_POST['CAP'])>0) 
{
	$str = stripslashes($_POST['CAP']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.CAP = '$str' ";
}

if ( isset($_POST['telefono'])  &&  strlen($_POST['telefono'])>0) 
{
	$str = stripslashes($_POST['telefono']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.telefono = '$str' ";
}

if ( isset($_POST['cellulare'])  &&  strlen($_POST['cellulare'])>0) 
{
	$str = stripslashes($_POST['cellulare']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.cellulare = '$str' ";
}

if ( isset($_POST['CodiceFiscale'])  &&  strlen($_POST['CodiceFiscale'])>0) 
{
	$str = stripslashes($_POST['CodiceFiscale']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.CodiceFiscale = '$str' ";
}

if ( is_numeric($_POST['IdTipoFidelizzazione'])) 
{
	$IdTipoFidelizzazione = (int)$_POST['IdTipoFidelizzazione'];
	$sql .= " AND (tblUtUtilizzatori.IdTipoFidelizzazione = $IdTipoFidelizzazione) ";
}

if ( is_numeric($_POST['IdStatoUtilizzatore'])) 
{
	$IdStatoUtilizzatore = (int)$_POST['IdStatoUtilizzatore'];
	$sql .= " AND (tblUtUtilizzatori.IdStatoUtilizzatore = $IdStatoUtilizzatore) ";
}



/* $sql .= " ORDER BY tblUtUtilizzatori.Nome;";

$query = ntxQuery($sql); */
	
if( isset($executePagedQuery) && $executePagedQuery==true) 
{
	$query = ntxPagedQuery($sql, "Nome");
}
else
{
	$sql .= " ORDER BY Nome ";
 
	$query = ntxQuery($sql);
} 	
?>
