<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdAmbiente = ntxip('IdAmbiente');

$where = "WHERE ComponentiAmbiente.IdCommessa=$IdCommessa AND ComponentiAmbiente.IdEdificio=$IdEdificio AND ComponentiAmbiente.IdAmbiente=$IdAmbiente AND (ComponentiAmbiente.Rimosso IS NULL OR ComponentiAmbiente.Rimosso=0)";

if ( strlen("$_POST[DesComponente]")>0 ) $where .= " AND ComponentiAmbiente.DesComponente LIKE '%".str_replace("'","''",$_POST[DesComponente])."%'";
if ( strlen("$_POST[CodiceComponente]")>0 ) $where .= " AND ComponentiAmbiente.CodiceComponente LIKE '%".str_replace("'","''",$_POST[CodiceComponente])."%'";
if ( strlen("$_POST[CodiceAssComponente]")>0 ) $where .= " AND ComponentiAmbiente.CodiceAssComponente LIKE '%".str_replace("'","''",$_POST[CodiceAssComponente])."%'";
if ( is_numeric("$_POST[IdTipoComponente]") ) $where .= " AND ComponentiAmbiente.IDTipoComponente=".(int)$_POST[IdTipoComponente];
if ( is_numeric("$_POST[TagNFC]")  &&  $_POST[TagNFC]==1 ) $where .= " AND ComponentiAmbiente.TagNFC = ".(int)$_POST[TagNFC];

$sql = <<< sql
	SELECT  DISTINCT   ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceAssComponente, ComponentiAmbiente.DesComponente, TipoComponente.DesComponente AS TipoComponente, 
                      TipoComponente.ordinamento, ComponentiAmbiente.CodiceComponente, ComponentiAmbiente.TagNFC
	FROM       ComponentiAmbiente LEFT JOIN TipoComponente
                       ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente
	$where
sql;

$paginazione = ntxPaginazione($sql, "CodiceAssComponente, ordinamento, TipoComponente");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>
			<th>ID
			<th>Codice comp.
			<th>Codice di sistema
			<th>Descrizione
			<th>Tipo
			<th>TagNFC
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[TagNFC] = $rs[TagNFC]==1 ? 'SI' : 'NO';
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr>
			<td><input type=button value=sel onclick="SelComponente($rs[IDComponente])" />
			<td><input type=button value=edit onclick="objCodice.CaricaForm($rs[IDComponente])" />
			<td><input type=checkbox SelRiga IdRiga=$rs[IDComponente] />
			<td>$html[IDComponente]
			<td>$html[CodiceAssComponente]
			<td>$html[CodiceComponente]
			<td>$html[DesComponente]
			<td>$html[TipoComponente]
			<td>$html[TagNFC]
		</tr>
table;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
