<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa');
$IdProprietario = ntxip('IdProprietario');

$UsaRelazioneUtentiEdifici = strtolower($_POST[UsaRelazioneUtentiEdifici])=="si" ? "si" : "no";

$selected1 = $selected2 = "";

if ( $UsaRelazioneUtentiEdifici == "si" )
	$selected2 = "selected";
else
	$selected1 = "selected";

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script>
	
	<link href="css/base.css" rel="stylesheet" type="text/css">
	<script src="js/index.js?v=<?php echo time() ?>" type="text/javascript"></script>
</head>
<body>

<?php 

include('testata.inc');


$sql = <<< sql
	SELECT Id, Fascia FROM ZoneClimatiche ORDER BY Fascia
sql;

$optZonaClimatica = "<option value=''>";

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$Id = $rs[Id];
	$Fascia = htmlentities($rs[Fascia]);
	
	$optZonaClimatica .= "<option value='$Id'>$Fascia";
}

?>

<form id="frmEditComune" name="frmEditComune" method="post" target="_blank"  action="../../sovra_commessa/geolocalizza_comuni/index.php" >
</form>

<form name="frmRicerca" method="post" action="excel.php" Paginazione <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>
	<?php PaginazioneCampiPerForm(20, 'jhp/ricerca.php', 'lista-risultati-ricerca') ?>

	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdProprietario value="<?php echo $IdProprietario ?>" />
	
	<table class=grid2>
		<tr><th>ID				<td><input type=text name=ID size=25 readonly />
			<th>Codice			<td><input type=text name=Codice size=25 />
			<th>Edificio Breve	<td><input type=text name=EdificioBreve size=25 />
		<tr><th>Edificio Estesa	<td><input type=text name=EdificioEstesa size=25 />
			<th>Indirizzo		<td><input type=text name=Indirizzo size=25 />
			
			<th>Comune			<td> 
									<div class="CittaInput" > 
										<input type=text name=CITTA size=25 /> 
									</div>
									
									<div class="CittaSelect" > 
										<select name=SelectComune onchange="objCodice.AssegnaCittaDaSelect(this)"  ></select>
										<input type="button" class="noStili" value="Ricarica valori" onclick="objCodice.caricaSelectComuni(true);" />
										<input type="button" class="noStili" value="Aggiungi comune" onclick="document.frmEditComune.submit();" />
									</div>
			

		<tr><th>Prov			<td><input type=text name=PROVINCIA size=2 maxlength=2 />
			<th>Località		<td><input type=text name=Località size=25 />
			<th>CAP				<td><input type=text name=CAP size=8 maxlength=5 />
		<tr><th>Zona Climatica	<td><select name=ZonaClimatica><?php echo $optZonaClimatica ?></select>
			<th>Note			<td><textarea name=Note cols=80 rows=5></textarea>
			<th>Filtro			<td><select name=filtra onchange="PaginazioneRicerca(this, 'first')">
				<option value=1 <?php echo $selected1 ?>>Nessuno
				<option value=2 <?php echo $selected2 ?>>Per Utente/Edificio
			</select>
		<tr>
			<th>Sede Di Seggio	
			<td><input type="checkbox" name=SedeDiSeggio />
			
			<th>Data di Dismissione	
			<td><input type=text name=DataDismissione DatePicker /> <input type="button" value="Resetta data" onclick="this.form.DataDismissione.value='';" >
			
			<th>Num Tag NFC
			<td><input type=text name=NumTagNFC size=8 maxlength=5 /> 	
		<tr><th colspan=6>
			<input type=button name=btnAggiungi value="Aggiungi" onclick="objCodice.Aggiungi()" />
			<input type=button name=btnModifica value="Modifica" onclick="objCodice.Modifica()" />
			<input type=button value="Reset" onclick="this.form.reset()" />
			<input type=button name=btnRicerca value="Ricerca" onclick="PaginazioneRicerca(this, 'first')" />
			<input type=button value="Excel" onclick="frmRicerca.submit()" />
	</table>
</form>
<br>
<span ButtonSet>
	<input type=button value="Sel.Tutto" onclick="objCodice.Seleziona(true)" />
	<input type=button value="Sel.Niente" onclick="objCodice.Seleziona(false)" />
	<input type=button value="Elimina" onclick="objCodice.Elimina()" />
</span>

<span ButtonSet>
<?php PaginazioneNavigazione('frmRicerca') ?>
</span>
<br>
<br>

<div id="lista-risultati-ricerca"></div>
<br>

<span ButtonSet>
	<input type=button value="Sel.Tutto" onclick="objCodice.Seleziona(true)" />
	<input type=button value="Sel.Niente" onclick="objCodice.Seleziona(false)" />
	<input type=button value="Elimina" onclick="objCodice.Elimina()" />
</span>

<span ButtonSet>
<?php PaginazioneNavigazione('frmRicerca') ?>
</span>

</body>
</html>
