<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');

$where = "";

if ( strlen("$_POST[Codice]")>0 ) $where .= " AND tblPgPropietari.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";
if ( strlen("$_POST[Nome]")>0 ) $where .= " AND tblPgPropietari.Nome LIKE '%".str_replace("'","''",$_POST[Nome])."%'";

if(is_numeric($_POST[MostraCollegatiCommessa]) && $_POST[MostraCollegatiCommessa]==1)
{
	$IdCommessa = ntxise('IdCommessa');
	
	$where .= <<<_SQL
	AND IdPropietario IN
	(
		SELECT     
			IdPropietario
		FROM         
			tblPgContratti
		WHERE 
			IdCommessa = $IdCommessa 
	)
_SQL;
}

switch($_POST[filtra])
{
	case 1:
		$sql = <<< sql
			SELECT     IdPropietario, Codice, Nome
			FROM         tblPgPropietari
			WHERE 1=1
			$where
sql;
		break;
	case 2:
		$sql = <<< sql
			SELECT  DISTINCT   tblPgPropietari.IdPropietario, tblPgPropietari.Codice, tblPgPropietari.Nome
			FROM         UtentiEdifici INNER JOIN
								  ElencoEdifici ON UtentiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND UtentiEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
								  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
			WHERE     (UtentiEdifici.IdCommessa = $IdCommessa) AND (UtentiEdifici.IdUtente = $IdUtente)
			$where
sql;
		break;
	case 3:
		$sql = <<< sql
			SELECT  DISTINCT   tblPgPropietari.IdPropietario, tblPgPropietari.Codice, tblPgPropietari.Nome
			FROM        tblPgPropietari  LEFT JOIN ElencoEdifici
				ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
			WHERE     (ElencoEdifici.IdCommessa IS NULL)
			$where
sql;
		break;
	case 4:
		$sql = <<< sql
			SELECT DISTINCT    tblPgPropietari.IdPropietario, tblPgPropietari.Codice, tblPgPropietari.Nome
			FROM        tblPgPropietari  LEFT JOIN ElencoEdifici
				ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
			WHERE     (ElencoEdifici.IdCommessa IS NOT NULL)
			$where
sql;
		break;
}
 
$paginazione = ntxPaginazione($sql, "Nome, Codice");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>
			<th>ID
			<th>Codice
			<th>Nome
		</tr>
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr>
			<td><input type=button value=sel onclick="SelProprietario($rs[IdPropietario])" />
			<td><input type=button value=edit onclick="objCodice.CaricaForm($rs[IdPropietario])" />
			<td><input type=checkbox SelRiga IdRiga=$rs[IdPropietario] />
			<td>$html[IdPropietario]
			<td>$html[Codice]
			<td>$html[Nome]
		</tr>
table;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
