<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH."doracea.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$IdCommessa = ntxise("IdCommessa");


$traduttore = new NtxTraduttore("000_000_445", "IT", $_SESSION[NTX_LINGUA_DEST]);


/* 
Funzionamento:
	- filtroRicercaDocs : deve sempre essere impostato e ci dice su quale elemento vogliamo lavorare.
	Se si vuole lavorare sui fasciolo di cantiere si deve usare F.C., se lavoro sui fascicoli di fabbricato F.F.
	- gestioneRaggruppamenti: può essere 1 o 0. Con 1 si ha la possibilità di gestire i tipi docs edifici e i tipi docs. Se non si specifica la scheda che permette tali modifiche non sarà visualizzata.
	- readonly : può essere 1 o 0. Con 1 non c'è possibilità di modificare nessun allegato. Se non si specifica l'opzione e in modalità RW.
	- complessi : può essere 1 o 0. Con 1 si usano i complessi. Se non si specifica nulla vengono esclusi i complessi.
	- IdGruppi : Id di uno più GruppiDocsEdifici che si vuole venga bloccato (vengono filtrati e mostrati solo i documenti di quel gruppo). I valori vanno separati dalla virgola, esempio: 1,4,20
	- fascicoloComm : 1/0,default 0. attiva la visualizzazione del fascicolo di commessa. se non presente viene creato un edificio con tipo=5 da utilizzare per il fascicolo di commessa.

	Esempio di uso dell'opzione per filtrare solo i fascicoli di fabbricato e che permetta la visualizzazione della gestione dei tipi docs:
	clienti/gestione_docs_edifici/index.php?filtroRicercaDocs=F.F.&gestioneRaggruppamenti=1
*/

 

$_GET[visualizzaUtilizzatori] = $_GET[visualizzaUtilizzatori]==1 ? 1 : 0; 

$_GET[fascicoloComm] = $_GET[fascicoloComm]==1 ? 1 : 0; 
?>
<?php
if($_SESSION[NTX_LINGUA_DEST]=='IT')
	require('index_inserimenti.php');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=9" />
	<link href="../../_css/form_noabs.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>

<body scroll="no">
<?php include_once($_SERVER['DOCUMENT_ROOT'].'/repository/google_analytics/analyticstracking.php') ?>

<?php  
	$drcFramePrefix = "obj1350300381";
	
	
	if($_GET[fascicoloComm]==1)
	{
		$sql = <<<_SQL
		SELECT COUNT(ID) AS cont
		FROM  ElencoEdifici
		where 
			IdCommessa = $IdCommessa
			AND Tipo = 5
_SQL;
		$sum = ntxScalar($sql);
		
		if($sum>1) die("Massimo 1 edificio con Tipo=5 su commessa $IdCommessa!");
		
		
		$sql1 = <<<_SQL
		SELECT ID
		FROM  ElencoEdifici
		where 
			IdCommessa = $IdCommessa
			AND Tipo = 5
_SQL;
		$IdEdificioFascCommessa = ntxScalar($sql1);
		
		if(!is_numeric($IdEdificioFascCommessa))
		{ 
			$ElencoEdifici= new NtxTable("ElencoEdifici");		
			$Insert= $ElencoEdifici->insert();
			
			$Insert->set("Codice", "DOC");    
			$Insert->set("EdificioEstesa", "Edificio Documentale");    
			$Insert->set("EdificioBreve", "Edificio Documentale");    
			
			$Insert->set("Tipo", 5);       

			$Insert->set("IdCommessa", 	$IdCommessa );
			$Insert->set("ID", ntxScalar("select max(ID)+1 from ElencoEdifici where IdCommessa=$IdCommessa") );

			$Insert->execute();  
		}
		
		$IdEdificioFascCommessa = ntxScalar($sql1);
	}
	
	
	if( is_numeric($_GET[gestioneRaggruppamenti]) && $_GET[gestioneRaggruppamenti]==1 )
	{
		$drcKey[] = "gestione";			$drcCaptionTab[] = $traduttore->traduci('Gestione Raggruppamenti');		$drcFrameLink[] = "gestione_gruppi_index.php";		
	} 
	
	
	if( is_numeric($_GET[visualizzaUtilizzatori]) && $_GET[visualizzaUtilizzatori]==1 )
	{
		$drcKey[] = "utilizzatori";		$drcCaptionTab[] = $traduttore->traduci('Filtro Utilizzatori');	$drcFrameLink[] = "utilizzatori.php";
	} 
 
	if( is_numeric($_GET[complessi]) && $_GET[complessi]==1 )
	{
		$drcKey[] = "complessi";	$drcCaptionTab[] = $traduttore->traduci('Filtro Complessi');		$drcFrameLink[] = "complessi.php";
	}
	
	if($_GET[fascicoloComm]==1)
	{}
	else
	{
		$drcKey[] = "edifici";			$drcCaptionTab[] = $traduttore->traduci('Filtro Localizzazione');	$drcFrameLink[] = "edifici.php";	
	}
	
	$drcKey[] = "gestione_docs";	$drcCaptionTab[] = $traduttore->traduci('Docs Edifici');	$drcFrameLink[] = "gestione.php";
	
	$drcKey[] = "fascicolo";		$drcCaptionTab[] = $traduttore->traduci('Fascicolo');	$drcFrameLink[] = "fasciolo.php";	
	
	$drcFrameVisible = 0;

	drcInit($drcFramePrefix, $drcKey, $drcCaptionTab, $drcFrameLink, $drcFrameVisible);
?>

<table class="layoutTable">
	<tr>
		<td style="height:1%;">
	<tr>
		<td style="height:90%;">
			<table class=tableTag>
				<tr>
					<?php echo drcCreateTabs() ?>
					
				<tr >
					<td class=tdTabBody colspan=<?php echo count($drcKey) ?>>
						<?php echo drcCreateIFrames(); ?>	
			</table>
</table>



<form id="form1" name="form1" method="post">
	<input type="hidden" id="IdEdificio" name="IdEdificio" value="" />
	<input type="hidden" id="readonly" name="readonly"		value="<?php echo $_GET[readonly] ?>" />
	<input type="hidden" id="complessi" name="complessi" 	value="<?php echo $_GET[complessi] ?>" />
	<input type="hidden" id="filtroRicercaDocs" name="filtroRicercaDocs" 	value="<?php echo $_GET[filtroRicercaDocs] ?>" />
	<input type="hidden" id="gestioneRaggruppamenti" name="gestioneRaggruppamenti" 	value="<?php echo $_GET[gestioneRaggruppamenti] ?>" />
	<input type="hidden" id="visualizzaUtilizzatori" name="visualizzaUtilizzatori" 	value="<?php echo $_GET[visualizzaUtilizzatori] ?>" />
	<input type="hidden" id="IdGruppi" name="IdGruppi" 	value="<?php echo $_GET[IdGruppi] ?>" />
	<input type="hidden" id="fascicoloComm" name="fascicoloComm" 	value="<?php echo $_GET[fascicoloComm] ?>" />
</form>

<script language="javascript">  
<?php  
if( $_GET[fascicoloComm]!=1 )
	echo ' drcUpdateFrame(document.form1, "edifici"); '
?>

<?php  
if( is_numeric($_GET[visualizzaUtilizzatori]) && $_GET[visualizzaUtilizzatori]==1 )
	echo ' drcUpdateFrame(document.form1, "utilizzatori"); '
?>

<?php  
if( is_numeric($_GET[complessi]) && $_GET[complessi]==1 )
	echo ' drcUpdateFrame(document.form1, "complessi"); '
?>

<?php  
if( is_numeric($_GET[gestioneRaggruppamenti]) && $_GET[gestioneRaggruppamenti]==1 )
	echo ' drcUpdateFrame(document.form1, "gestione"); '
?>

<?php  
if( $_GET[fascicoloComm]==1 )
{
	echo <<<_JS
	document.form1.IdEdificio.value = $IdEdificioFascCommessa;
	
	drcUpdateFrame(document.form1, "fascicolo");	
	
	drcUpdateFrame(document.form1, "gestione_docs");
	drcShowKeyTab("fascicolo");	
_JS;
}
else
	echo ' drcShowKeyTab("edifici"); ';
?>
</script>

<?php drcCreateRef() ?>

</body>
<?php $traduttore->Salva(); ?>
</html>
