<?php

$rowspan2 = "rowspan=2";

$d1 = ntxtp('DataInizioG', false);
$d2 = ntxtp('DataFineG', false);

$sql = "SELECT 1 WHERE $d1>$d2";

if ( ntxScalar($sql) ) die("<br>DataInizioG maggiore di DataFineG!");

$sql = <<< sql
	SELECT 
		day(d1) day1, month(d1) month1, year(d1) year1,
		day(d2) day2, month(d2) month2, year(d2) year2
	FROM
	(SELECT $d1 d1, $d2 d2) a
sql;

extract(ntxRecord(ntxQuery($sql)));

$t1 = mktime(0, 0, 0, $month1, $day1, $year1);
$t2 = mktime(0, 0, 0, $month2, $day2, $year2);

$headMonths = "";
$headDays = "<tr>";

$t = $t1;
$i = 1;

$oldMonth = date("m", $t);
$oldYear = date("Y", $t);
$colspan = 0;

while ( $t<=$t2 )
{
	$day = date("d", $t);
	$month = date("m", $t);
	$year = date("Y", $t);
	
	$headDays .= "<th>$day";
	
	if ( $oldMonth!=$month )
	{
		$headMonths .= "<th colspan=$colspan>$oldMonth/$oldYear";
		$oldMonth = $month;
		$oldYear = $year;
		$colspan = 0;
	}
	
	$t = mktime(0, 0, 0, $month1, $day1+$i, $year1);
	$colspan++;
	$i++;
}

$headMonths .= "<th colspan=$colspan>$oldMonth/$oldYear";

function RigaAttivitàEdificio($IdEdificio, $IdAttività)
{
	global $t1, $t2, $month1, $day1, $year1, $attivitàProgrammate;
	
	$ap = $attivitàProgrammate["$IdEdificio $IdAttività"];

	$result = "";

	$t = $t1;
	$i = 1;

	while ( $t<=$t2 )
	{
		$day = date("j", $t);
		$month = date("n", $t);
		$day0 = date("d", $t);
		$month0 = date("m", $t);
		$year = date("Y", $t);
		$ymd = "{$year}{$month0}{$day0}";
		
		$countAttività = 0;
		$countAttivitàPianificate = 0;
		$countAttivitàEseguite = 0;
		$countAttivitàEseguite2 = 0;
		$countAttivitàAnnullate = 0;
		$countAttivitàRipianificate = 0;
		
		foreach($ap as $a)
		{
			if ($a[DataInizioP]<=$ymd  &&  $ymd<=$a[DataFineP]  &&  $a[Stato]==1)
				{$countAttivitàPianificate++; $countAttività++;}
				
			if ($a[DataInizioP]<=$ymd  &&  $ymd<=$a[DataFineP]  &&  $a[Stato]==2)
				{$countAttivitàEseguite++; $countAttività++;}
				
			if ($a[DataInizioP]<=$ymd  &&  $ymd<=$a[DataFineP]  &&  $a[Stato]==3)
				{$countAttivitàAnnullate++; $countAttività++;}
				
			if ($a[DataInizioP]<=$ymd  &&  $ymd<=$a[DataFineP]  &&  $a[Stato]==4)
				{$countAttivitàRipianificate++; $countAttività++;}
				
			if ($a[DataInizioE]<=$ymd  &&  $ymd<=$a[DataFineE])
				{$countAttivitàEseguite2++; $countAttività++;}
		}
		
		$text = "";
		
		if ($countAttività>1) $text = $countAttività;
		
		if ($countAttività)
		{
			$color = "color:white";
			$backcolor = "background-color:red";
			
			if ( $countAttivitàPianificate )
			{
				// non fa nulla
			}
			elseif ( $countAttivitàEseguite )
			{
				$color = "color:white";
				$backcolor = "background-color:#008800";
			}
			elseif ( $countAttivitàEseguite2)
			{
				$color = "color:black";
				$backcolor = "background-color:#55FF55";
			}
			elseif ( $countAttivitàRipianificate )
			{
				$color = "color:black";
				$backcolor = "background-color:yellow";
			}
			elseif ( $countAttivitàAnnullate )
			{
				$color = "color:white";
				$backcolor = "background-color:gray";
			}
		}
		else
		{				
			$color = "";
			$backcolor = "";
		}
		
		$result .= <<< result
				<td 
					IdEdificio=$IdEdificio 
					IdAttività=$IdAttività 
					day=$day 
					month=$month
					year=$year
					ymd={$year}{$month0}{$day0}
					
					 style="cursor:pointer;$color;$backcolor;text-align:center"
				>
				$text
result;

		$t = mktime(0, 0, 0, $month1, $day1+$i, $year1);
		$i++;
	}
	
	return $result;
}

?>