<?php  

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$Stati = explode(",",$_POST[Stati]);

$where_stati = "";

foreach($Stati as $stato)
{
	if (is_numeric($stato))
	{
		if ($where_stati != "")
			$where_stati .= " OR ";
		else
			$where_stati = " AND (";
		
		$where_stati .= "Ordini.StatoOrd = $stato";
	}
}

if ($where_stati != "")
	$where_stati .= ")";

$subSql = <<< sql
	SELECT TOP 1 LTRIM(r2.NumRichiesta) +'/'+ LTRIM(r2.AnnoRichiesta) 
	FROM Richieste r2
	WHERE Ordini.IDCommessa = r2.IDCommessa AND Ordini.NumOrdine  = r2.NumOrdineFonte AND 
	                      Ordini.AnnoOrdine = r2.AnnoOrdineFonte
sql;


$sql = <<< sql
SELECT DISTINCT
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, Richieste.NumRichiesta, Richieste.AnnoRichiesta,
	Richieste.DataRichiesta, Richieste.ImpS, Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Des,
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune,
	ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, tblPgPropietari.Nome AS Ente, tblMestieri.Descrizione AS Mestiere,
	TabellaGradoUrgenza.Descrizione AS GrUrgenza, Ordini.DataInizio, Ordini.DataFine, Ordini.DataScadenza,
	DestinazioniDuso.Destinazione AS DesAmb, Ambiente.CodiceAssAmbiente AS CodAmb,
	DestinazioniDusoLivello.Destinazione AS DesPiano, Richieste.Classificazione,
	convert(float,[ordini].[DataInizio]-[ordini].[DataScadenza]) AS InizioMaggioreScadenza,
	convert(float,[ordini].[DataScadenza]-GETDATE()) AS Scaduto,
	IsDate([ordini].[DataFine]) AS Finito,
	ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente, Ordini.Contabiliz, 
	tblUtUtilizzatori.Nome AS Utilizzatore,
	StatiContabilità.DesstatoC, Ditte.Ditta, Richieste.Richiedente
FROM         
	DestinazioniDusoLivello RIGHT OUTER JOIN
	PianoLivello ON DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso AND 
	DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa RIGHT OUTER JOIN
	DestinazioniDuso RIGHT OUTER JOIN
	Ambiente ON DestinazioniDuso.IdDestinazioneuso = Ambiente.IdDestinazioneduso AND 
	DestinazioniDuso.IdCommessa = Ambiente.IdCommessa RIGHT OUTER JOIN
	ComponentiAmbiente LEFT OUTER JOIN
	TipoComponente ON ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente AND 
	ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa RIGHT OUTER JOIN
	ElencoEdifici INNER JOIN
	Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio INNER JOIN
	StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
	Richieste ON Ordini.IDCommessa = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
	Ordini.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
	UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
	Utenti ON UtentiEdifici.IdUtente = Utenti.Id INNER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
	TabellaGradoUrgenza ON Ordini.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
	Ordini.GradoUrgenza = TabellaGradoUrgenza.GradoU LEFT OUTER JOIN
	tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore ON 
	ComponentiAmbiente.IDComponente = Ordini.IdComponente AND ComponentiAmbiente.IdEdificio = Ordini.CodEdificio AND 
	ComponentiAmbiente.IdCommessa = Ordini.IDCommessa ON Ambiente.IDAmbiente = Ordini.IdAmbiente AND 
	Ambiente.IdEdificio = Ordini.CodEdificio AND Ambiente.IdCommessa = Ordini.IDCommessa ON PianoLivello.IdEdificio = Ordini.CodEdificio AND 
	PianoLivello.idPiano = Ordini.AnnoOrdine AND PianoLivello.IdCommessa = Ordini.IDCommessa LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	
	LEFT OUTER JOIN
	OrdiniLatLon ON Ordini.IDCommessa = OrdiniLatLon.IDCommessa AND Ordini.NumOrdine = OrdiniLatLon.NumOrdine AND 
	Ordini.AnnoOrdine = OrdiniLatLon.AnnoOrdine		
	
	LEFT OUTER JOIN
	Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
	Ordini.AnnoOrdine = Contabilità.AnnoOrdine

	LEFT OUTER JOIN
	StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc		
	
	LEFT OUTER JOIN
	Ditte ON Ditte.IDDitta = Ordini.Assegnazione						
		
WHERE     (Utenti.Nome = $mUtente)
			AND (Utenti.Password = $mPassword)
			AND (Ordini.IdCommessa = $IdCommessa)
			$where_stati
sql;
	
if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sql .= " AND (Ordini.IdUtilizzatore = $IdUtilizzatore) ";
}
	
if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sql .= " AND (Ordini.IdMestiere = $IdMestiere) ";
}
		
/* if ( is_numeric($_POST['StatoOrd'])) 
{
	$StatoOrd = (int)$_POST['StatoOrd'];
	$sql .= " AND (Ordini.StatoOrd = $StatoOrd) ";
} */
		
if ( is_numeric($_POST['EscludiOrdiniAnnullati'])  &&  $_POST['EscludiOrdiniAnnullati']==1) 
{
	$sql .= " AND (Ordini.StatoOrd <> 70) ";
}

if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sql .= " AND (Ordini.IdComponenteMestiere = $IdComponente) ";
}
	
if ( is_numeric($_POST['NumSal']) ) $sql .= " AND Contabilità.NumSal = ".ntxip('NumSal');

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sql .= " AND (tblPgPropietari.IdPropietario = $IdPropietario) ";
}
	
if ( is_numeric($_POST['MeseOrdine'])) 
{
	$MeseOrdine = (int)$_POST['MeseOrdine'];
	$sql .= " AND (Month(Ordini.DataOrdine) = $MeseOrdine) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (Ordini.CodEdificio = $IdEdificio) ";
}

if ( isset($_POST['Classificazione'])  &&  strlen($_POST['Classificazione'])>0) 
{
	$str = stripslashes($_POST['Classificazione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.Contabiliz = '".$str."' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.DescrizioneIntervento LIKE '%".$str."%' ";
}

if ( isset($_POST['DescrizionePI'])  &&  strlen($_POST['DescrizionePI'])>0) 
{
	$str = stripslashes($_POST['DescrizionePI']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND OrdiniLatLon.Descrizione LIKE '%".$str."%' ";
}

if ( isset($_POST['NotaPI'])  &&  strlen($_POST['NotaPI'])>0) 
{
	$str = stripslashes($_POST['NotaPI']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND OrdiniLatLon.Nota	LIKE '%".$str."%' ";
}

if ( isset($_POST['Civico'])  &&  strlen($_POST['Civico'])>0) 
{
	$str = stripslashes($_POST['Civico']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND OrdiniLatLon.Civico = '".$str."' ";
}

if ( isset($_POST['SubCivico'])  &&  strlen($_POST['SubCivico'])>0) 
{
	$str = stripslashes($_POST['SubCivico']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND OrdiniLatLon.SubCivico = '".$str."' ";
}

if ( is_numeric($_POST['Ditta']) ) $sql .= " AND Ordini.Assegnazione = ".ntxip('Ditta');

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sql .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sql .= " AND Richieste.DataRichiesta <= ".$str." ";
}

if ( isset($_POST['DataOrdine1'])  &&  strlen($_POST['DataOrdine1'])>0) 
{
	$str = ntxtp("DataOrdine1");
	$sql .= " AND Ordini.DataOrdine >= ".$str." ";
}

if ( isset($_POST['DataOrdine2'])  &&  strlen($_POST['DataOrdine2'])>0) 
{
	$str = ntxtp("DataOrdine2");
	$sql .= " AND Ordini.DataOrdine <= ".$str." ";
}

if ( isset($_POST['Data1p'])  &&  strlen($_POST['Data1p'])>0) 
{
	$str = ntxtp("Data1p");
	$sql .= " AND Ordini.DataInizioProg >= ".$str." ";
}

if ( isset($_POST['Data2p'])  &&  strlen($_POST['Data2p'])>0) 
{
	$str = ntxtp("Data2p");
	$sql .= " AND Ordini.DataInizioProg <= ".$str." ";
}

if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sql .= " AND Richieste.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sql .= " AND Richieste.AnnoRichiesta = $val ";
}

if ( is_numeric($_POST['NumOrdine']) ) 
{
	$val = (int)$_POST['NumOrdine'];
	$sql .= " AND Ordini.NumOrdine = $val ";
}

if ( is_numeric($_POST['IdAttivitàMestiere']) ) 
{
	$val = (int)$_POST['IdAttivitàMestiere'];
	$sql .= " AND Ordini.IdAttivitàMestiere = $val ";
}

if ( is_numeric($_POST['AnnoOrdine']) ) 
{
	$val = (int)$_POST['AnnoOrdine'];
	$sql .= " AND Ordini.AnnoOrdine = $val ";
}


/*[5 agosto 2010] aggiunta ricerca di ordini scaduti*/
if ( is_numeric($_POST['RicercaOrdiniScaduti']) )
{
	$val = (int)$_POST['RicercaOrdiniScaduti'];
	if($val)
		$sql.= " AND (Ordini.DataScadenza <= GETDATE() AND Ordini.DataInizio IS NULL) ";
}

if ( isset($_POST['GradoUrgenza2'])  &&  strlen($_POST['GradoUrgenza2'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.GradoUrgenza = '".$str."' ";
}
/* else
{
	$sqlGradoU = <<< sql
			SELECT     GradoU
			FROM         TabellaGradoUrgenza
			WHERE     (IdCommessa = $IdCommessa) AND (Specifici=1)
sql;

	$query = ntxQuery($sqlGradoU);
	
	while ( $rs = ntxIRecord($query) )
	{
		$value = ntxs($rs[0]);
		
		$sql .= " AND Ordini.GradoUrgenza <> $value ";
	}
} */

if ( isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza1']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.GradoUrgenza = '".$str."' ";
}

if ( isset($_POST['Tecnico'])   &&  $_POST['Tecnico']!="" ) $sql .= " AND Ordini.Tecnico LIKE '%".$_POST['Tecnico']."%'";

if ( is_numeric($_POST['PosaSegnaletica']) )
{
	if ( $_POST['PosaSegnaletica']==1 )
		$sql .= " AND Ordini.PosaSegnaletica = 1";
	else
		$sql .= " AND (Ordini.PosaSegnaletica = 0 OR Ordini.PosaSegnaletica IS NULL)";
}

if ( is_numeric($_POST['OrdinePianificato']) )
{
	if ( $_POST['OrdinePianificato']==1 )
		$sql .= " AND Ordini.OrdinePianificato = 1";
	else
		$sql .= " AND (Ordini.OrdinePianificato = 0 OR Ordini.OrdinePianificato IS NULL)";
}

if ( isset($_POST['MPeMON']) )
{
	$valore = "".$_POST['MPeMON'];

	if ( is_numeric($valore) )//se è un numero escludiamo MP e MON
	{
			$sql.= " AND (Ordini.GradoUrgenza <> 'MP')  AND (Ordini.GradoUrgenza <> 'MON') ";
	}
	else if( $valore=='MP' )
	{
		$sql.= " AND (Ordini.GradoUrgenza = 'MP') ";
	}
	else if( $valore=='MON' )
	{
		$sql.= " AND (Ordini.GradoUrgenza = 'MON') ";
	}	
}

	
if ( is_numeric($_POST['Latitudine'])  &&  is_numeric($_POST['Longitudine']) ) 
{
	$lat = (float)$_POST['Latitudine'];
	$lng = (float)$_POST['Longitudine'];
	
	$haversineTmp .= " AND (dbo.haversine('km', OrdiniLatLon.Latitudine, OrdiniLatLon.Longitudine, $lat, $lng) <= "; 	
	
	if ( is_numeric($_POST['RaggioRicercaPI']) ) 
	{
		$distanza = (int)$_POST['RaggioRicercaPI'];

		$haversineTmp .= " $distanza) ";
		
		$sql .= $haversineTmp;
	}
}


if ( isset($_POST['Richiedente'])  &&  strlen($_POST['Richiedente'])>0) 
{
	$str = stripslashes($_POST['Richiedente']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Richiedente LIKE '%".$str."%' ";
}


if(isset($eseguiQueryPaginazione) && $eseguiQueryPaginazione==true)
{
	$query = ntxPagedQuery($sql, " DataOrdine DESC ");
}
else
{
	$sql .= " ORDER BY DataOrdine DESC ";
	$query = ntxQuery($sql);	
}
?>
