<?php  

$IdCommessa = ntxise('IdCommessa');

$IdEdificio = ntxip('IdEdificio', false);
$mese = ntxip('mese', false);
$anno = ntxip('anno', false);
	
$sql = <<< sql
	SELECT DISTINCT tblPgPropietari.Nome AS Ente, 
						  ElencoEdifici.EdificioBreve,ElencoEdifici.Indirizzo,ElencoEdifici.CITTA,ElencoEdifici.Provincia,ElencoEdifici.Cap, 
						  OrdiniDateOrariVisita.Data1, OrdiniDateOrariVisita.Ora1, OrdiniDateOrariVisita.Data2, OrdiniDateOrariVisita.Ora2, Ditte.Ditta, 
						  Ditte.telefono, Ditte.email
	FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta INNER JOIN
                      OrdiniDateOrariVisita ON Ordini.IDCommessa = OrdiniDateOrariVisita.IdCommessa AND Ordini.NumOrdine = OrdiniDateOrariVisita.NumOrdine AND 
                      Ordini.AnnoOrdine = OrdiniDateOrariVisita.AnnoOrdine LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
	WHERE Ordini.IdCommessa=$IdCommessa
		 AND (MONTH(Ordini.DataInizioProg) = $mese) 
		 AND (YEAR(Ordini.DataInizioProg) = $anno)  
		AND (Ordini.GradoUrgenza = 'MP')
	ORDER BY OrdiniDateOrariVisita.Data1, OrdiniDateOrariVisita.Ora1,
			OrdiniDateOrariVisita.Data2, OrdiniDateOrariVisita.Ora2
sql;

$query = ntxQuery($sql);
	
?>
