<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');

if ( is_numeric($_POST[IdEdificio]) ) $IdEdificio = ntxip('IdEdificio');

$where = "WHERE (Ordini.IdCommessa = $IdCommessa) AND (UtentiEdifici.IdUtente = $IdUtente) AND (Ordini.StatoOrd = 50 OR Ordini.StatoOrd > 70)";

if ( is_numeric($_POST[IdEdificio]) ) $where .= " AND Ordini.CodEdificio = ".$IdEdificio;

switch($_POST[VistoTecnico])
{
	case 1:
		$where .= " AND Ordini.VistoCliente = 1";
		break;
	case 2:
		break;
	default:
		$where .= " AND (Ordini.VistoCliente = 0 OR Ordini.VistoCliente IS NULL)";
		break;
}

$sql = <<< sql
	SELECT     Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, Ordini.NumOrdine, Ordini.AnnoOrdine, StatiOrdini.DesStato AS StatoOrdine,
                       Ordini.GradoUrgenza, Ordini.DataOrdine, Ordini.DataScadenza, Ordini.DataInizio, Ordini.DataFine, ElencoEdifici.ID AS IdEdificio, 
                      ElencoEdifici.Codice AS CodEdificio, ElencoEdifici.EdificioBreve AS Edificio, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Prov, DestinazioniDusoLivello.Destinazione AS Piano, Ambiente.CodiceAssAmbiente AS CodVano, 
                      DestinazioniDuso.Destinazione AS UsoVano, Ordini.DescrizioneIntervento AS des1, Ordini.DescrizioneIntervento1 AS des2, 
                      Ordini.DescrizioneIntervento2 AS des3, Ordini.Intervento AS AttivEseguita, Ordini.VistoCliente, Ordini.DataVistoCliente, Ordini.UtenteVistoCliente
	FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
                      DestinazioniDuso RIGHT OUTER JOIN
                      Ambiente ON DestinazioniDuso.IdCommessa = Ambiente.IdCommessa AND DestinazioniDuso.IdDestinazioneuso = Ambiente.IdDestinazioneduso ON 
                      Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.IDCommessa = Ambiente.IdCommessa AND 
                      Ordini.CodEdificio = Ambiente.IdEdificio LEFT OUTER JOIN
                      DestinazioniDusoLivello RIGHT OUTER JOIN
                      PianoLivello ON DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa AND DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso ON 
                      Ordini.IdLivello = PianoLivello.idPiano AND Ordini.IDCommessa = PianoLivello.IdCommessa AND 
                      Ordini.CodEdificio = PianoLivello.IdEdificio LEFT OUTER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
	$where
sql;

$paginazione = ntxPaginazione($sql, "AnnoOrdine desc, NumOrdine desc");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Richiesta
			<th>DataRichiesta
			<th>Ordine
			<th>StatoOrdine
			<th>GradoUrgenza
			<th>DataOrdine
			<th>DataScadenza
			<th>DataInizio
			<th>DataFine
			<th>Localizzazione
			<th>Descrizione
			<th>Attiv.Eseguita
			<th>VistoCliente
			<th>DataVistoCliente
			<th>UtenteVistoCliente
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[DataRichiesta] = ntxDateTime($rs[DataRichiesta]);
	$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);
	$rs[DataVistoCliente] = ntxDateTime($rs[DataVistoCliente]);
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	
	$VistoCliente = $rs[VistoCliente] ? "X" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$piano = 
	$table .= <<< table
		<tr>
			<td><input type=checkbox NumOrdine=$rs[NumOrdine] AnnoOrdine=$rs[AnnoOrdine] />
			<td>$html[NumRichiesta]/$html[AnnoRichiesta]
			<td>$html[DataRichiesta]
			<td>$html[NumOrdine]/$html[AnnoOrdine]
			<td>$html[StatoOrdine]
			<td>$html[GradoUrgenza]
			<td>$html[DataOrdine]
			<td>$html[DataScadenza]
			<td>$html[DataInizio]
			<td>$html[DataFine]
			<td>$html[IdEdificio] - $html[CodEdificio] - $html[Edificio] - $html[Indirizzo]  - $html[Comune] ($html[Prov])
			<br>$html[Piano] - $html[CodVano] - $html[UsoVano]
			<td>{$html[des1]}{$html[des2]}{$html[des3]}
			<td>$html[AttivEseguita]
			<td style="text-align:center">$VistoCliente
			<td>$html[DataVistoCliente]
			<td>$html[UtenteVistoCliente]
		</tr>
table;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
