<?php  

session_start();

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');

$Utente = ntxsse('Utente');
$Password = ntxsse('Password');
$IdCommessa = ntxise('IdCommessa');


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
<style>
* {
	font-size: 100%;
	font: inherit;
}

html , body { 
	margin: 0px; 
	padding: 0px;
}

body {
	background: white; 
	color: black;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 8pt;
}
table.grid  { 
	border-collapse: collapse;
	border-spacing: 0;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 8pt;
	color: white;
	background-color: #778899;
	border: solid 1px black;
	empty-cells:show;
}

table.grid caption { 
	color: white;
	font-size: 12pt;
	background: #293e43;
	font-weight: bold;
	vertical-align: middle;
	text-align:center;
	text-transform:uppercase;
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 5px;
	padding-bottom: 5px;
}

table.grid tr th { 
	background: #293e43;
	color: white;
	border-left:1px solid #777777;
	border-right:1px solid #333333;
	font-weight:bold;
	text-align:center;
	padding-left: 5px;
	padding-right: 5px;
}

table.grid tr {
	background-color: white;
	color: black;
}

table.grid tr td {
background-color: white;
	color: black;
	border-bottom:1px solid #cccccc;
	border-right:1px solid #AAA0A0;
	border-left:1px solid #777777;
	text-align:left;
	padding-left: 5px;
	padding-right: 5px;
}

table.grid tr.alternate td {
	background-color: #E0E0F0;
}

table.grid .left { text-align: left }
table.grid .center { text-align: center }
table.grid .right { text-align: right }

</style>
</head>
<body  >
<?php 

require('sql.inc');

$IdEdificio = "";

$table = "<table class=grid><tr><th colspan=8 style=\"text-align:center;font-weight:bold;font-size:1.4em\">$Propietario";

$alternate = false;

$subTotAnno1 = 0;
$subTotAnno2 = 0;
$subTotAnno3 = 0;
$subTotAnno4 = 0;
$subTotAnno5 = 0;

$TotAnno1 = 0;
$TotAnno2 = 0;
$TotAnno3 = 0;
$TotAnno4 = 0;
$TotAnno5 = 0;

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	if ( $IdEdificio=="" || $IdEdificio!=$rs[IdEdificio] )
	{
		if ( $IdEdificio!="" )
		{
			$class = $alternate ? "class=alternate" : "";

			$anno1 = ntxRoundThousand($subTotAnno1, 2);
			$anno2 = ntxRoundThousand($subTotAnno2, 2);
			$anno3 = ntxRoundThousand($subTotAnno3, 2);
			$anno4 = ntxRoundThousand($subTotAnno4, 2);
			$anno5 = ntxRoundThousand($subTotAnno5, 2);
			
			$TOTALE = ntxRoundThousand($subTotAnno1
			                           +$subTotAnno2
			                           +$subTotAnno3
			                           +$subTotAnno4
			                           +$subTotAnno5
			, 2);
								  
			$subTotAnno1 = 0;
			$subTotAnno2 = 0;
			$subTotAnno3 = 0;
			$subTotAnno4 = 0;
			$subTotAnno5 = 0;

			$table .= <<< table
				<tr $class><td colspan=2 style="text-align:right;font-weight:bold">TOTALE PER LOCALIZZAZIONE
				<td style="text-align:right;font-weight:bold">$anno1
				<td style="text-align:right;font-weight:bold">$anno2
				<td style="text-align:right;font-weight:bold">$anno3
				<td style="text-align:right;font-weight:bold">$anno4
				<td style="text-align:right;font-weight:bold">$anno5
				<td style="text-align:right;font-weight:bold">$TOTALE
table;

			$alternate = !$alternate;
		}
		
		$IdEdificio = $rs[IdEdificio];
		
		$table .= <<< table
			<tr><th>$rs[CodEdificio]<th>$rs[NomeEdificio]<th>$anno1h<th>$anno2h<th>$anno3h<th>$anno4h<th>$anno5h<th>TOTALE PER MESTIERE
table;
	}
	
	$class = $alternate ? "class=alternate" : "";

	$subTotAnno1 += $rs[Anno_1c]+$rs[Anno_1r];
	$subTotAnno2 += $rs[Anno_2c]+$rs[Anno_2r];
	$subTotAnno3 += $rs[Anno_3c]+$rs[Anno_3r];
	$subTotAnno4 += $rs[Anno_4c]+$rs[Anno_4r];
	$subTotAnno5 += $rs[Anno_5c]+$rs[Anno_5r];

	$TotAnno1 += $rs[Anno_1c]+$rs[Anno_1r];
	$TotAnno2 += $rs[Anno_2c]+$rs[Anno_2r];
	$TotAnno3 += $rs[Anno_3c]+$rs[Anno_3r];
	$TotAnno4 += $rs[Anno_4c]+$rs[Anno_4r];
	$TotAnno5 += $rs[Anno_5c]+$rs[Anno_5r];
	
	$anno1 = ntxRoundThousand($rs[Anno_1c]+$rs[Anno_1r], 2);
	$anno2 = ntxRoundThousand($rs[Anno_2c]+$rs[Anno_2r], 2);
	$anno3 = ntxRoundThousand($rs[Anno_3c]+$rs[Anno_3r], 2);
	$anno4 = ntxRoundThousand($rs[Anno_4c]+$rs[Anno_4r], 2);
	$anno5 = ntxRoundThousand($rs[Anno_5c]+$rs[Anno_5r], 2);
	
	$TOTALE = ntxRoundThousand($rs[Anno_1c]+$rs[Anno_1r]
	          +$rs[Anno_2c]+$rs[Anno_2r]
	          +$rs[Anno_3c]+$rs[Anno_3r]
	          +$rs[Anno_4c]+$rs[Anno_4r]
	          +$rs[Anno_5c]+$rs[Anno_5r], 2);
			  
	$table .= <<< table
		<tr $class><td>$rs[CodMest]<td>$rs[DesMest]
		<td style="text-align:right">$anno1
		<td style="text-align:right">$anno2
		<td style="text-align:right">$anno3
		<td style="text-align:right">$anno4
		<td style="text-align:right">$anno5
		<td style="text-align:right">$TOTALE
table;

	$alternate = !$alternate;
}

if ( $IdEdificio!="" )
{
	$class = $alternate ? "class=alternate" : "";
	
	$anno1 = ntxRoundThousand($subTotAnno1, 2);
	$anno2 = ntxRoundThousand($subTotAnno2, 2);
	$anno3 = ntxRoundThousand($subTotAnno3, 2);
	$anno4 = ntxRoundThousand($subTotAnno4, 2);
	$anno5 = ntxRoundThousand($subTotAnno5, 2);
	
	$TOTALE = ntxRoundThousand($subTotAnno1
							   +$subTotAnno2
							   +$subTotAnno3
							   +$subTotAnno4
							   +$subTotAnno5
	, 2);
			  
	$table .= <<< table
		<tr $class><td colspan=2 style="text-align:right;font-weight:bold">TOTALE PER LOCALIZZAZIONE
		<td style="text-align:right;font-weight:bold">$anno1
		<td style="text-align:right;font-weight:bold">$anno2
		<td style="text-align:right;font-weight:bold">$anno3
		<td style="text-align:right;font-weight:bold">$anno4
		<td style="text-align:right;font-weight:bold">$anno5
		<td style="text-align:right;font-weight:bold">$TOTALE
table;

	$alternate = !$alternate;
	
	$class = $alternate ? "class=alternate" : "";
	
	$anno1 = ntxRoundThousand($TotAnno1, 2);
	$anno2 = ntxRoundThousand($TotAnno2, 2);
	$anno3 = ntxRoundThousand($TotAnno3, 2);
	$anno4 = ntxRoundThousand($TotAnno4, 2);
	$anno5 = ntxRoundThousand($TotAnno5, 2);
	
	$TOTALE = ntxRoundThousand($TotAnno1
							   +$TotAnno2
							   +$TotAnno3
							   +$TotAnno4
							   +$TotAnno5
	, 2);
			  
	$table .= <<< table
		<tr $class><th colspan=2 style="text-align:right;font-weight:bold;font-size:1.4em">TOTALE TOTALI
		<th style="text-align:right;font-weight:bold;font-size:1.4em">$anno1
		<th style="text-align:right;font-weight:bold;font-size:1.4em">$anno2
		<th style="text-align:right;font-weight:bold;font-size:1.4em">$anno3
		<th style="text-align:right;font-weight:bold;font-size:1.4em">$anno4
		<th style="text-align:right;font-weight:bold;font-size:1.4em">$anno5
		<th style="text-align:right;font-weight:bold;font-size:1.4em">$TOTALE
table;

	$alternate = !$alternate;
}

$table .= "</table>";

echo $table;

?>

</body>
</html>
