<?php

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_238", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_238", "IT", __FILE__);

if ( is_numeric($RigaC) )
{
	$sql = <<< SQL
			SELECT     RigaC, Descrizione, UM, QTA, PzUnitario, Sconto, DataOp, 
						Cod, Titolo, DescrEstesa, Lun, Alt, Lar, Formula, NotaRiga, 
						TipoPrezzo, Prezziario, IdPrezzo,
						(QTA * PzUnitario) * (1 - ISNULL(sconto, 0) / 100.0) AS CostoTotale
			FROM         RiheContabilità
			WHERE IdCommessa = $IdCommessa
				AND RigaC = $RigaC;
SQL;

	$msg_error = $traduttore->traduci('Riga di costo non trovata!');

	$record = ntxRecordArray($sql, $msg_error);
}

$record['PzUnitario'] = ntxRound($record['PzUnitario'], 2);
$record['Sconto'] = ntxRound($record['Sconto'], 2);
$record['QTA'] = ntxRound($record['QTA'], 2);
$record['CostoTotale'] = ntxRound($record['CostoTotale'], 2);

$record['Lun'] = ntxRound($record['Lun'], 2);
$record['Alt'] = ntxRound($record['Alt'], 2);
$record['Lar'] = ntxRound($record['Lar'], 2);

$record['DataOp'] = ntxDateTime($record['DataOp']);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

$traduttore->Salva();
?>
