<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_236", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_236", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa'); 
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');
$NumContabilità = ntxip('NumContabilità');

if ( !is_numeric($NumContabilità ) )
	ntxMsgErr($traduttore->traduci('Non esiste ancora la testata di contabilita\'!'));
	
$sql = <<< SQL
	SELECT idStatoc FROM Contabilità
			WHERE IDCommessa = $IdCommessa
				AND NumContabilità = $NumContabilità
SQL;

$idStatoc = ntxScalar($sql);

if ( $idStatoc >= 40)
	$DataC = "";
else
	$DataC = ", DataConsegna = getdate()";
	
$sql = <<< SQL
	UPDATE    Contabilità
	SET              idStatoc = 40
						$DataC
						, DataUltimaConsegna = getdate()
						, DataModifica = getdate()
						, Consegnato = 1
			WHERE IDCommessa = $IdCommessa
				AND NumContabilità = $NumContabilità
				AND idStatoc <= 40
SQL;

ntxQuery($sql);

$sql = <<< SQL
	UPDATE    Ordini
	SET              StatoOrd = 300
						, DataModifica = getdate()
			WHERE Ordini.IDCommessa = $IdCommessa
				AND Ordini.NumOrdine = $NumOrdine
				AND Ordini.AnnoOrdine = $AnnoOrdine
				AND StatoOrd < 300
SQL;

ntxQuery($sql);

$sql = <<< SQL
		SELECT     Utenti.Email
		FROM         UtentiTecnici INNER JOIN
							  Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
							  Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
							  Richieste ON Tecnici.Tecnico = Richieste.TecnicoC INNER JOIN
							  Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
							  Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
		WHERE     (Tecnici.Tipo = 'PROV') 
				AND (Tecnici.Autorizzatore = 1) 
				AND Ordini.IDCommessa = $IdCommessa
				AND Ordini.NumOrdine = $NumOrdine
				AND Ordini.AnnoOrdine = $AnnoOrdine
SQL;

if ( $email_destinatario = ntxScalar($sql) ) 
{
	$oggetto = $messaggio = $traduttore->traduci('Consegna contabilita\' n.')." $NumContabilità ".$traduttore->traduci('per Ordine')." $NumOrdine/$AnnoOrdine";
	
	ntxFireNetInit($_SESSION['Utente'].'',
					$traduttore->traduci('Consegna contabilita web')."",				
					$traduttore->traduci('Consegna contabilita')." $NumContabilità",			
					"Email",		
					$email_destinatario,		
					$oggetto,				
					$messaggio,
					true);	
}
else
{
	$oggetto = $messaggio = $traduttore->traduci('Consegna contabilita\' n.')" $NumContabilità ".$traduttore->traduci('per Ordine')." $NumOrdine/$AnnoOrdine";
	
	ntxFireNetInit($_SESSION['Utente'].'',
					$traduttore->traduci('Consegna contabilita web')."",				
					$traduttore->traduci('Consegna contabilita')." $NumContabilità",			
					"Email",		
					EMAIL_DEBUG,		
					$oggetto,				
					$messaggio,
					true);	
}

ntxMsgResult( '' );	

$traduttore->Salva();
?>
