<?php  

session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("xxxxxx", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("xxxxxx", "IT", __FILE__);

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>

<?php
require_once('filtro_contabilita_sintetica_sql.inc');
?>

		<table>
			<tr>
				<th><?php $traduttore->html('Num. Contabilità') ?>
				<th><?php $traduttore->html('Data Contabilità') ?>
				<th><?php $traduttore->html('Stato') ?>
				<th><?php $traduttore->html('Richiesta') ?>
				<th><?php $traduttore->html('Ordine') ?>
				<th><?php $traduttore->html('Data Ordine') ?>
				<th><?php $traduttore->html('Descrizione') ?>
				<th><?php $traduttore->html('Data Ultima Consegna') ?>
				
				<th><?php $traduttore->html('Importo Totale') ?>
				<th><?php $traduttore->html('Importo Materiali') ?>
				<th><?php $traduttore->html('Importo Mano d\'opera') ?>
				<th><?php $traduttore->html('Importo Viaggio') ?>
				
				
				<th><?php $traduttore->html('Data Approvazione') ?>
				<th><?php $traduttore->html('Note Contestazione') ?>
			</tr>   

		<?php
			$alternate = true;

			$TotTotali = $TotMateriali = $TotManoDopera = $TotViaggio = 0;
			
			while( $rs = ntxRecord($query) )
			{
				$classe = $alternate ? "" : "td2"; 
				
				$TotTotali +=  $rs[ImportoStimatoC];
				$TotMateriali +=  $rs[ImportoMateriali];
				$TotManoDopera +=  $rs[ImportoManoDopera];
				$TotViaggio +=  $rs[ImportoViaggo];
				
				$rs['DataOrdine'] = ntxDateTime($rs['DataOrdine']);
		?>
			<tr>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['NumContabilità']) ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataContabilità']) ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['DesstatoC']) ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo (int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'] ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['DataOrdine']) ?></td>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataUltimaConsegna']) ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxRoundThousand($rs['ImportoMateriali'],2) ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxRoundThousand($rs['ImportoManoDopera'],2) ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxRoundThousand($rs['ImportoViaggo'],2) ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataApprovazione']) ?>
				<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['NoteContestazione']) ?>
			</tr>
		<?php
				$alternate = !$alternate;
			}
		?>
			<tr><th colspan=8>
			<th><?php echo ntxRoundThousand($TotTotali, 2) ?>
			<th><?php echo ntxRoundThousand($TotMateriali, 2) ?>
			<th><?php echo ntxRoundThousand($TotManoDopera, 2) ?>
			<th><?php echo ntxRoundThousand($TotViaggio, 2) ?>
		</table>

		<?php $traduttore->Salva(); ?>

</body>
</html>
