<?php
  
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_230", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_230", "IT", __FILE__);

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

$vista_cliente = $_POST[vista_cliente]==1 ? 1 : 0;

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body >

<?php
require_once('filtro_contabilita_sql.inc');
?>


<table>
	<tr>
		<th><?php $traduttore->html('Rif. Ordine Cliente') ?>
		<th><?php $traduttore->html('Stato') ?>
		<th><?php $traduttore->html('Num. Contabilità') ?>
		<th><?php $traduttore->html('Data Contabilità') ?>
		<th><?php $traduttore->html('Richiesta') ?>
		<th><?php $traduttore->html('Ordine') ?>
		<th><?php $traduttore->html('Data Ordine') ?>
		<th><?php $traduttore->html('GU') ?>
		<th><?php $traduttore->html('Descrizione') ?>
		<th><?php $traduttore->html('Cod. Localizzazione') ?>
		<th><?php $traduttore->html('Localizzazione') ?>
		<th><?php $traduttore->html('Utilizzatore') ?>
		<th><?php $traduttore->html('Consegnato') ?>
		<th><?php $traduttore->html('Data Consegna') ?>
		<th><?php $traduttore->html('Data Ultima Consegna') ?>
		<th><?php $traduttore->html('Fatturato') ?>
		<th><?php $traduttore->html('Num. Sal') ?>
		<th><?php $traduttore->html('Data Sal') ?>
		<th><?php $traduttore->html('Note') ?>
		<th><?php $traduttore->html('Approvato') ?>
		<th><?php $traduttore->html('Importo Approvato') ?>
		<th><?php $traduttore->html('Importo Netto') ?>
		<th><?php $traduttore->html('Preventivo') ?>
		<th><?php $traduttore->html('Data Approvazione') ?>
		<th><?php $traduttore->html('Utente Approvazione') ?>
		<th><?php $traduttore->html('Contestato') ?>
		<th><?php $traduttore->html('Data Contestazione') ?>
		<th><?php $traduttore->html('Utente Contestazione') ?>
		<th><?php $traduttore->html('Note Contestazione') ?>
	</tr>   

<?php
	$alternate = false;

	$old_row = "";
	
	while( $rs = ntxRecord($query) )
	{
		if ($old_row!="$rs[NumRifCli] / $rs[AnnoRifCli] / $rs[CommRifCli]")
		{
			$old_row = "$rs[NumRifCli] / $rs[AnnoRifCli] / $rs[CommRifCli]";
			$alternate = !$alternate;
		}

		$classe = $alternate ? "" : "td2"; 
		
		$rs['DataOrdine'] = ntxDateTime($rs['DataOrdine']);
?>
	<tr>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities("$rs[NumRifCli] / $rs[AnnoRifCli] / $rs[CommRifCli]") ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['DesstatoC']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['NumContabilità']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataContabilità']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo (int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'] ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['DataOrdine']) ?></td>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['GU']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['CodEdificio']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['Edificio']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['UtilizRich']) ?></td>
		<td class="<?php echo $classe ?>" >&nbsp;<?php if ($rs['Consegnato']==1) echo "SI"; else echo "no" ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataConsegna']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataUltimaConsegna']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php if ($rs['Fatturato']==1) echo "SI"; else echo "no" ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['NumSal']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataSal']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['Note']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php if ($rs['Approvato']==1) echo "SI"; else echo "no" ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxRoundThousand($rs['Preventivo'],2) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataApprovazione']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['UtenteApprovazione']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php if ($rs['Contestato']==1) echo "SI"; else echo "no" ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataContestazione']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['UtenteContestazione']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['NoteContestazione']) ?>
	</tr>
<?php
	}
?>
</table>
<?php $traduttore->Salva(); ?>

</body>
</html>
