<?php

$sql = <<< sql
	select dbo.DusMese($DataInizio) dus1, dbo.DusMese($DataFine) dus2,
			day($DataInizio) day1, day($DataFine) day2,
			month($DataInizio) month1, month($DataFine) month2,
			year($DataInizio) year1, year($DataFine) year2
sql;

$query = ntxQuery($sql);

$rs = ntxIRecord($query);

$dus1 = $rs[0];
$dus2 = $rs[1];
$day1 = $rs[2];
$day2 = $rs[3];
$month1 = $rs[4];
$month2 = $rs[5];
$year1 = $rs[6];
$year2 = $rs[7];

$lblMesi = array('', 'gen', 'feb', 'mar',
					'apr', 'mag', 'giu',
					'lug', 'ago', 'set',
					'ott', 'nov', 'dic');
					   
$sql = <<< sql
SELECT
		tblOrdiniProgrammati.IdEdificio, 
		dbo.DusGiorno(tblOrdiniProgrammati.dataInizioProg) dus1, 
		count(*) conteggio

FROM         tblOrdiniProgrammati INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio

					  $innerElementi 
					  $innerAttivita
$filtri_comuni
group by tblOrdiniProgrammati.IdEdificio, dbo.DusGiorno(tblOrdiniProgrammati.dataInizioProg)
ORDER BY dus1
sql;

$query = ntxQuery($sql);

$ranges = array();

while ( $rs = ntxIRecord($query) )
{
	$ranges[$rs[0]][] = array($rs[1], $rs[2], $rs[3]);
}
					   
$sql = <<< sql
SELECT
		tblOrdiniProgrammati.IdEdificio, 
		dbo.DusGiorno(tblOrdiniProgrammati.dataInizioProg) dus1, 
		dbo.DusGiorno(tblOrdiniProgrammati.dataFineProg) dus2,
		count(*) conteggio,
		tblOrdiniProgrammati.Aperto, 
		tblOrdiniProgrammati.Eseguito, 
		tblOrdiniProgrammati.Annullato, 
		tblOrdiniProgrammati.Anomalia, 
		tblOrdiniProgrammati.IdVerifica

FROM         tblOrdiniProgrammati INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio

					  $innerElementi 
					  $innerAttivita
$filtri_comuni
group by tblOrdiniProgrammati.IdEdificio, dbo.DusGiorno(tblOrdiniProgrammati.dataInizioProg), dbo.DusGiorno(tblOrdiniProgrammati.dataFineProg),
		tblOrdiniProgrammati.Aperto, 
		tblOrdiniProgrammati.Eseguito, 
		tblOrdiniProgrammati.Annullato, 
		tblOrdiniProgrammati.Anomalia, 
		tblOrdiniProgrammati.IdVerifica
ORDER BY dus1
sql;

$query = ntxQuery($sql);

$ranges2 = array();

while ( $rs = ntxRecord($query) )
{
	$ranges2[$rs[IdEdificio]][] = array('dus1'=>$rs[dus1], 'dus2'=>$rs[dus2], 
									'conteggio'=>$rs[conteggio], 
									'Aperto'=>$rs[Aperto], 
									'Eseguito'=>$rs[Eseguito], 
									'Annullato'=>$rs[Annullato], 
									'Anomalia'=>$rs[Anomalia], 
									'IdVerifica'=>$rs[IdVerifica]);
}

?>

