<?php

if ( !isset($_SESSION) ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');

if ( strlen(trim($_POST[note]))==0 )
	jhp_error("Inserire una nota di verifica!");
	
$IdOrdiniProgrammati = explode(",", $_POST[IdOrdiniProgrammati]);

foreach($IdOrdiniProgrammati as $id)
{
	if ( !is_numeric($id) )
		jhp_error("Seleziona uno o più attivita'!");
	
	$ID=$id;
}

$IdOrdiniProgrammati = ntxsp('IdOrdiniProgrammati');

$note = ntxs(substr(trim($_POST[note]),0,4000));

$utente = ntxsse('Utente');

$sql = <<< sql
	UPDATE    tblOrdiniProgrammati
	SET              IdVerifica =1, DataVerifica =getdate(), NoteVerifica =$note, UtenteVerifica =$utente
	FROM         tblOrdiniProgrammati INNER JOIN
						  dbo.SplitId($IdOrdiniProgrammati) AS a ON tblOrdiniProgrammati.IdOrdineProgrammato = a.id
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa)
	AND (tblOrdiniProgrammati.IdVerifica IS NULL OR tblOrdiniProgrammati.IdVerifica=0)
sql;

ntxQuery($sql);

$sql = <<< sql
SELECT DISTINCT tblPgRifAffidatari.email_1
FROM         tblOrdiniProgrammati INNER JOIN
                      dbo.SplitId($IdOrdiniProgrammati) AS a ON tblOrdiniProgrammati.IdOrdineProgrammato = a.id INNER JOIN
                      tblPgContrattiAffidatari ON tblOrdiniProgrammati.IdCommessa = tblPgContrattiAffidatari.IdCommessa AND 
                      tblOrdiniProgrammati.dataInizioProg >= tblPgContrattiAffidatari.DataInizio AND tblOrdiniProgrammati.dataInizioProg <= tblPgContrattiAffidatari.DataFine INNER JOIN
                      tblPgContrattiRifAffidatari ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoAffidatario INNER JOIN
                      tblPgContrattiRifAffidatariAttivitàEdifici ON tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario AND 
                      tblOrdiniProgrammati.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
                      tblOrdiniProgrammati.IdEdificio = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
                      tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario
WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa)
sql;

$query = ntxQuery($sql);

$emails = array();

while ( $rs = ntxIRecord($query) )
	$emails[] = $rs[0];

$sql = <<< sql
SELECT     ElencoEdifici.Codice, ElencoEdifici.EdificioEstesa, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      MONTH(tblOrdiniProgrammati.dataInizioProg) AS mese, YEAR(tblOrdiniProgrammati.dataInizioProg) AS anno
FROM         tblOrdiniProgrammati INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID
WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (tblOrdiniProgrammati.IdOrdineProgrammato = $ID)
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$oggetto = <<< oggetto
verifica attività programmate
oggetto;

$NomeMesi = array('','Gennaio','Febbraio','Marzo','Aprile',
					'Maggio','Giugno','Luglio','Agosto',
					'Settembre','Ottobre','Novembre','Dicembre');
					
$NomeMese = $NomeMesi[$rs[mese]];

$messaggio = <<< messaggio
Sono state inserite delle note di verifica relative alle attività programmate per la localizzazione:

$rs[Codice] - $rs[EdificioBreve] - $rs[EdificioEstesa] - $rs[Indirizzo] - $rs[CITTA] ($rs[PROVINCIA])

nel mese $NomeMese $rs[anno]

Il dettaglio delle annotazioni è consultabile dal portale web
messaggio;

foreach($emails as $email)
{
	ntxFireNetInit($_SESSION['Utente'].'',				
					"VERIFICA ESECUZIONE ATT.PRG",				
					"",			
					"email",		
					$email,		
					$oggetto,				
					$messaggio,
					true);	
}

jhp_ok();

?>
