<?php

require_once('attivita_sql.php');

$liv0 = $liv1 = $liv2 = $liv3 = "";
$id0 = $id1 = $id2 = "";

$first = true;

while ( $rs = ntxRecord($query) )
{
	if ( $rs[Tipo]==1 ) $rs[DesTipo] = "strada";
	elseif ( $rs[Tipo]==2 ) $rs[DesTipo] = "verde";
	else $rs[DesTipo] = "edificio";

	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[cod0]!="" ) $rs[cod0] = "[$rs[cod0]] - ";
	if ( $rs[cod1]!="" ) $rs[cod1] = "[$rs[cod1]] - ";
	if ( $rs[cod2]!="" ) $rs[cod2] = "[$rs[cod2]] - ";
	if ( $rs[cod3]!="" ) $rs[cod3] = "[$rs[cod3]] - ";
	
	if ( $liv3 == "" )
	{
		$id0 = $rs[id0];
		$id1 = $rs[id1];
		$id2 = $rs[id2];
	}
			
	$d1 = ntxDate($rs[inizio]);
	$d2 = ntxDate($rs[fine]);
	
	$rs[Aperto]=$rs[Aperto] ? "SI" : "no";
	$rs[Anomalia]=$rs[Anomalia] ? "SI" : "no";
	$rs[Eseguito]=$rs[Eseguito] ? "SI" : "no";
	$rs[Annullato]=$rs[Annullato] ? "SI" : "no";
	
	$rs[dataInizioProg] = ntxDate($rs[dataInizioProg]);
	$rs[dataFineProg] = ntxDate($rs[dataFineProg]);
	$rs[dataInizio] = ntxDate($rs[dataInizio]);
	$rs[datafine] = ntxDate($rs[datafine]);
	
	$rs[DataVerifica] = ntxDateTime($rs[DataVerifica]);
	$rs[StatoVerifica]=$rs[IdVerifica]==1 ? "Contestato" : "";
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];
		
	if ( !is_numeric($rs[NumOrdine]) )
		$attributi = "DISABLED";
	else
		$attributi = "onclick=\"Documenti('$rs[IdCommessa]','$rs[NumOrdine]','$rs[AnnoOrdine]')\"";
	
	if ( !is_numeric($rs[IdAnomalia]) )
		$attributi2 = "DISABLED";
	else
		$attributi2 = "onclick=\"Anomalia('$rs[IdCommessa]','$rs[IdAnomalia]')\"";

	$styleAnnotazioni = $rs[Annotazioni] ? "style='background-color:yellow'" : "";

	$liv3 .= <<< liv
		<tr>
			<td style="width:1px">
				<input type=button value=docs $attributi />
				<br><input type=button value=anomalie $attributi2 />

				<td>&nbsp;$rs[piano]</td>
			<td>&nbsp;$rs[codVano]&nbsp;$rs[desVano]</td>
			<td>&nbsp;$rs[codComp]&nbsp;$rs[desComp]</td>

			<td>&nbsp;$rs[IdOrdPrgComp]</td>
			
			<td>&nbsp;$rs[dataInizioProg]</td>
			<td>&nbsp;$rs[dataFineProg]</td>

			<td>&nbsp;$rs[dataInizio]</td>
			<td>&nbsp;$rs[datafine]</td>
			
			<td>&nbsp;$rs[Aperto]</td>
			<td>&nbsp;$rs[Anomalia]</td>
			<td>&nbsp;$rs[Eseguito]</td>
			<td>&nbsp;$rs[Annullato]</td>
			<td>&nbsp;$rs[Motivazione]</td>
			
			<td>&nbsp;$rs[Ditta]</td>
			<td>&nbsp;$rs[Note]</td>
			<td $styleAnnotazioni>&nbsp;$rs[Annotazioni]</td>
			<td>&nbsp;$rs[NumOrdine]</td>
			<td>&nbsp;$rs[AnnoOrdine]</td>
			
			<td>&nbsp;$rs[StatoVerifica]</td>
			<td>&nbsp;$rs[DataVerifica]</td>
			<td>&nbsp;$rs[NoteVerifica]</td>
			<td>&nbsp;$rs[UtenteVerifica]</td>
		</tr>
liv;

	$rs2 = $rs;
}

if ( $liv3 != "" )
{
	$liv2 .= <<< liv
		<div class=liv2>
			{$rs2[cod2]}{$rs2[des2]}
		</div>
		<div class=liv2_2>
			{$rs2[cod3]}{$rs2[des3]}
		</div>
		<div class=lliv2 id=liv2_$rs2[id2]>
			<table class=grid style="width:100%">
				<tr>
					<th>&nbsp;
					<th>Piano
					<th>Vano
					<th>Componente
					<th>Num
					<th>Data Inizio Prog
					<th>Data Fine Prog
					<th>Data Inizio
					<th>Data Fine
					<th>Aperto
					<th>Anomalia
					<th>Eseguito
					<th>Annullato
					<th>Motivo Annullo
					<th>Ditta Esecutrice
					<th>Note
					<th>Annotazioni
					<th>NumOrdine
					<th>AnnoOrdine
					<th>Stato Verifica
					<th>Data Verifica
					<th>Note Verifica
					<th>Utente Verifica
					{$liv3}
			</table>
		</div>
liv;

	$liv1 .= <<< liv
		<div class=liv1>
			{$rs2[cod1]}{$rs2[des1]}
		</div>
		<div class=lliv1 id=liv1_$rs2[id1]>{$liv2}</div>
liv;

	$liv0 .= <<< liv
		<div class=liv0>
			{$rs2[cod0]}{$rs2[EdificioBreve]} - {$rs2[EdificioEstesa]} - {$rs2[Indirizzo]} - {$rs2[CITTA]} ({$rs2[PROVINCIA]}) - {$rs2[EdificioBreve]} - {$rs2[DesTipo]} - {$rs2[Ente]}
		</div>
		<div class=lliv0 id=liv0_$rs2[id0]>{$liv1}</div>
liv;
}

?>

<?php echo $liv0 ?>
