<?php

$sql = <<< sql
SELECT  tblOrdiniPrgComp.IdOrdPrgComp, 
                      ElencoEdifici.ID id0, ElencoEdifici.Codice cod0, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, ElencoEdifici.Tipo,
                          (SELECT     Nome
                            FROM          tblPgPropietari
                            WHERE      (ElencoEdifici.IdProprietario = IdPropietario)) AS Ente,
					  tblMestieri.Ordine AS ord1, tblMestieri.codice AS cod1, tblMestieri.Descrizione AS des1, tblMestieri.IdMestiere AS id1, tblComponetiMestiere.Ordine AS ord2, 
                      tblComponetiMestiere.codice AS cod2, tblComponetiMestiere.Descrizione AS des2, tblComponetiMestiere.IdComponenteMestiere AS id2, 
                      tblAttivitàMestiere.Ordine AS ord3, tblAttivitàMestiere.codice AS cod3, tblAttivitàMestiere.Descrizione AS des3, tblAttivitàMestiere.IdAttivitàMestiere AS id3, 
                      tblOrdiniPrgComp.dataInizioProg, tblOrdiniPrgComp.dataFineProg,
					  tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdOrdineProgrammato, tblOrdiniPrgComp.dataInizio, tblOrdiniPrgComp.datafine, tblOrdiniPrgComp.Aperto, 
                      tblOrdiniPrgComp.Anomalia, tblOrdiniPrgComp.Eseguito, tblOrdiniPrgComp.Annullato, tblOrdiniPrgComp.Note, 
                      tblOrdiniProgrammati.NumOrdine, tblOrdiniProgrammati.AnnoOrdine, Ditte.Ditta,
					   tblOrdiniPrgComp.IdAnomalia,
					   tblOrdiniPrgComp.Annotazioni,
					   tblOrdiniPrgComp.IdVerifica, tblOrdiniPrgComp.DataVerifica, tblOrdiniPrgComp.NoteVerifica, tblOrdiniPrgComp.UtenteVerifica, 
                      MotivazioniAnnullamentiOrdiniProgrammati.Motivazione,
					  
					  ComponentiAmbiente.CodiceAssComponente AS codComp, TipoComponente.DesComponente AS desComp, Ambiente.CodiceAssAmbiente AS codVano, 
                      DestinazioniDuso.Destinazione AS desVano, DestinazioniDusoLivello.Destinazione AS piano
					  
FROM         tblOrdiniPrgComp INNER JOIN
                      tblOrdiniProgrammati ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
                      ElencoEdifici ON tblOrdiniPrgComp.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniPrgComp.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      Ditte ON tblOrdiniPrgComp.IdFornitore = Ditte.IDDitta LEFT OUTER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza LEFT OUTER JOIN
                      MotivazioniAnnullamentiOrdiniProgrammati ON tblOrdiniPrgComp.IdMotivoAnnullamento = MotivazioniAnnullamentiOrdiniProgrammati.Id INNER JOIN
                      ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL

WHERE tblOrdiniPrgComp.IdCommessa=$IdCommessa AND tblOrdiniPrgComp.IdOrdineProgrammato=$IdOrdineProgrammato

ORDER BY Ente, cod0, EdificioBreve, id0, ord1, cod1, des1, id1, ord2, cod2, des2, id2, ord3, cod3, des3, id3, 
	DestinazioniDusoLivello.ordinamento, piano, codVano
sql;

$query = ntxQuery($sql);

?>