<?php

$sql = <<< sql
SELECT DISTINCT 
                      tblMestieri.Ordine AS ord1, tblMestieri.codice AS cod1, tblMestieri.Descrizione AS des1, tblMestieri.IdMestiere AS id1, tblComponetiMestiere.Ordine AS ord2, 
                      tblComponetiMestiere.codice AS cod2, tblComponetiMestiere.Descrizione AS des2, tblComponetiMestiere.IdComponenteMestiere AS id2, 
                      tblAttivitàMestiere.Ordine AS ord3, tblAttivitàMestiere.codice AS cod3, tblAttivitàMestiere.Descrizione AS des3, tblAttivitàMestiere.IdAttivitàMestiere AS id3
FROM         tblAttivitàMestiere INNER JOIN
                      tblAttivitàEdifici INNER JOIN
                      tblAttivitàProgrammata ON tblAttivitàEdifici.IdCommessa = tblAttivitàProgrammata.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàEdificio = tblAttivitàProgrammata.IdAttivitàEdificio ON tblAttivitàMestiere.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblAttivitàEdifici.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      ElencoEdifici ON tblAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblAttivitàEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id
WHERE     (Utenti.Nome = $Utente) AND (Utenti.Password = $Password)
AND (ElencoEdifici.IdCommessa = $IdCommessa)
AND dbo.DusGiorno(tblAttivitàProgrammata.inizio) <= dbo.DusGiorno($DataFine)
AND dbo.DusGiorno(tblAttivitàProgrammata.fine) >= dbo.DusGiorno($DataInizio)
sql;

if ( is_numeric($_POST[txtTipo]) )
{
	if ( $_POST[txtTipo]==0 )
		$sql .= " AND (ElencoEdifici.Tipo = 0 OR ElencoEdifici.Tipo IS NULL) ";
	else
	{
		$txtTipo = (int)$_POST[txtTipo];
		$sql .= " AND ElencoEdifici.Tipo = $txtTipo ";
	}
}

if ( is_numeric($_POST[txtId]) )
{
	$txtId = (int)$_POST[txtId];
	$sql .= " AND ElencoEdifici.ID = $txtId ";
}

if ( strlen($_POST[txtCodice])>0 )
{
	$str = ntxsp('txtCodice');
	$sql .= " AND ElencoEdifici.Codice = $str ";
}

if ( strlen($_POST[txtProv])>0 )
{
	$str = ntxsp('txtProv');
	$sql .= " AND ElencoEdifici.PROVINCIA = $str ";
}

if ( strlen($_POST[txtCap])>0 )
{
	$str = ntxsp('txtCap');
	$sql .= " AND ElencoEdifici.CAP = $str ";
}

if ( strlen($_POST[txtDes1])>0 )
{
	$str = str_replace("'","''",$_POST[txtDes1]);
	$sql .= " AND ElencoEdifici.EdificioBreve like '%$str%' ";
}

if ( strlen($_POST[txtDes2])>0 )
{
	$str = str_replace("'","''",$_POST[txtDes2]);
	$sql .= " AND ElencoEdifici.EdificioEstesa like '%$str%' ";
}

if ( strlen($_POST[txtIndirizzo])>0 )
{
	$str = str_replace("'","''",$_POST[txtIndirizzo]);
	$sql .= " AND ElencoEdifici.Indirizzo like '%$str%' ";
}

if ( strlen($_POST[txtComune])>0 )
{
	$str = str_replace("'","''",$_POST[txtComune]);
	$sql .= " AND ElencoEdifici.CITTA like '%$str%' ";
}

$sql .= " ORDER BY ord1, cod1, des1, id1, ord2, cod2, des2, id2, ord3, cod3, des3, id3";

$query = ntxQuery($sql);

?>