<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

 
	
require_once('sql.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>


<table>
	<tr>
		<th>Data Richiesta </th>
		<th>Fornitore</th>
		<th>Codice</th>
		<th>Descrizione</th>
		<th>marca</th>
		<th>modello</th>
		<th>Note</th>
		
		<th>Quantità Richiesta </th>
		<th>Richiedente </th>
		<th>Stato </th>
		<th>Quantità Autorizzata</th>
		<th>Data Autorizzazione </th>
		<th>Autorizzatore </th>
		<th>Quantità Consegnata </th>
		<th>Data Consegna </th>
		<th>Data Annullo </th>
		<th>Utente Annullo</th>
		
		<th>Nome Localizzazione</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
	</tr>   

<?php
	$Stato = array("",
					"In Attesa Autorizzazione",
					"Autorizzato",
					"Annullato",
					"Evaso");
					
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td title="Data Richiesta "  >&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td title="Codice" >&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
		<td title="Codice" >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td title="Descrizione" >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td title="marca" >&nbsp;<?php echo htmlentities($rs['Marca']) ?></td>
		<td title="modello" >&nbsp;<?php echo htmlentities($rs['Modello']) ?></td>
		<td title="Note" >&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
		
		<td title="Quantità Richiesta "  >&nbsp;<?php echo ntxRound($rs['QuantitàRichiesta'],2) ?></td>
		<td title="Richiedente "  >&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>
		<td title="Stato "  >&nbsp;<?php echo htmlentities($Stato[$rs['Stato']]) ?></td>
		<td title="Quantità Autorizzata"  >&nbsp;<?php echo ntxRound($rs['QuantitàAutorizzata'],2) ?></td>
		<td title="Data Autorizzazione "  >&nbsp;<?php echo ntxDateTime($rs['DataAutorizzazione']) ?></td>
		<td title="Autorizzatore "  >&nbsp;<?php echo htmlentities($rs['Autorizzatore']) ?></td>
		<td title="Quantità Consegnata "  >&nbsp;<?php echo ntxRound($rs['QuantitàConsegnata'],2) ?></td>
		<td title="Data Consegna "  >&nbsp;<?php echo ntxDateTime($rs['DataConsegna']) ?></td>
		<td title="Data Annullo "  >&nbsp;<?php echo ntxDateTime($rs['DataAnnullo']) ?></td>
		<td title="Utente Annullo      "  >&nbsp;<?php echo htmlentities($rs['UtenteAnnullo']) ?></td>
		
		<td title="Nome Edificio" >&nbsp;<?php echo htmlentities($rs['Edificio']) ?></td>
		<td title="Indirizzo" >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td title="Comune" >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td title="Provincia" >&nbsp;<?php echo htmlentities($rs['PROVINCIA']) ?></td>
		<td title="Cap" >&nbsp;<?php echo htmlentities($rs['CAP']) ?></td>
	</tr>
<?php
	}
?>
</table>

</body>
</html>

