<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_517", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_517", "IT", __FILE__);

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

$vista_cliente = $_POST[vista_cliente]==1 ? 1 : 0;

if ( isset($_POST['DataDiRiferimento'])  &&  strlen($_POST['DataDiRiferimento'])>0 ) 
{
	$str = stripslashes($_POST['DataDiRiferimento']."");
	$str = str_replace("'", "''", $str);
	
	switch ($str)
	{
		case 'DataContabilita':
			$stampaDataDiRiferimento = htmlentities("Data Contabilità");
			$DataDiRiferimento = "Contabilità.DataContabilità";
			break;
		case 'DataApprovazione':
			$stampaDataDiRiferimento = htmlentities("Data Approvazione");
			$DataDiRiferimento = "Contabilità.DataApprovazione";
			break;
		case 'DataCompetenza':
			$stampaDataDiRiferimento = htmlentities("Data Competenza");
			$DataDiRiferimento = "Contabilità.DataCompetenza";
			break;
		default:
			die($traduttore->traduci('Manca data di riferimento!'));
			break;
	}
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>

<?php
	
require_once('query.inc');

$nomiMesi = array(
		 $traduttore->traduci('Gen'),$traduttore->traduci('Feb'),$traduttore->traduci('Mar'),$traduttore->traduci('Apr')
		,$traduttore->traduci('Mag'),$traduttore->traduci('Giu'),$traduttore->traduci('Lug'),$traduttore->traduci('Ago')
		,$traduttore->traduci('Set'),$traduttore->traduci('Ott'),$traduttore->traduci('Nov'),$traduttore->traduci('Dic'));
?>
<table>
	<tr>
		<th colspan=6><?php $traduttore->html('Contabilità') ?>
	</tr>
	<tr>
		<th><?php $traduttore->html('Stato') ?>:<td>&nbsp;<?php echo htmlentities($DesStato) ?>
		<th>&nbsp;<td>&nbsp;<?php echo htmlentities($_POST[Data1]) ?>
		<th><= <?php $traduttore->html('Data di Riferimento') ?> <=<td>&nbsp;<?php echo htmlentities($_POST[Data2]) ?>
	</tr>
</table>
<br>

<table align=left>
	<tr>
		<th><?php $traduttore->html('Numero Contabilità') ?></th>
		<th><?php $traduttore->html('Data Contabilità') ?></th>
		<th><?php $traduttore->html('Stato') ?></th>
		<th><?php $traduttore->html('Richiesta') ?></th>
		<th><?php $traduttore->html('Ordine') ?></th>
		<th><?php $traduttore->html('GU') ?></th>
		<th><?php $traduttore->html('Descrizione') ?></th>
		<th><?php $traduttore->html('Codice Localizzazione') ?></th>
		<th><?php $traduttore->html('Localizzazione') ?></th>
		<th><?php $traduttore->html('Consegnato') ?></th>
		<th><?php $traduttore->html('Data Consegna') ?></th>
		<th><?php $traduttore->html('Data Ultima Consegna') ?></th>
		<th><?php $traduttore->html('Fatturato') ?></th>
		<th><?php $traduttore->html('Numero SAL') ?></th>
		<th><?php $traduttore->html('Data SAL') ?></th>
		<th><?php $traduttore->html('Note') ?></th>
		<th><?php $traduttore->html('Approvato') ?></th>
		<th><?php $traduttore->html('Importo Approvato') ?></th>
		<th><?php $traduttore->html('Importo Netto') ?></th>
		<th><?php $traduttore->html('Data Approvazione') ?></th>
		<th><?php $traduttore->html('Utente Approvazione') ?></th>
		<th><?php $traduttore->html('Contestato') ?></th>
		<th><?php $traduttore->html('Data Contestazione') ?></th>
		<th><?php $traduttore->html('Utente Contestazione') ?></th>
		<th><?php $traduttore->html('Note Contestazione') ?></th>
		<th><?php $traduttore->html('Rif. Ordine Cliente') ?></th>
		<th><?php $traduttore->html('Ordine Cliente (NEL)') ?></th>
		<th><?php $traduttore->html('Voce Budget') ?></th>
		<th><?php $traduttore->html('Affidatario') ?></th>
	</tr>
<?php

	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
		<td>&nbsp;<?php echo htmlentities($rs['NumContabilità']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataContabilità']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesstatoC']) ?></td>
		<td>&nbsp;<?php echo (int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'] ?></td>
		<td>&nbsp;<?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['GU']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['CodEdificio']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Edificio']) ?></td>
		<td>&nbsp;<?php if ($rs['Consegnato']==1) echo "SI"; else echo "no" ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataConsegna']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataUltimaConsegna']) ?></td>
		<td>&nbsp;<?php if ($rs['Fatturato']==1) echo "SI"; else echo "no" ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NumSal']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataSal']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
		<td>&nbsp;<?php if ($rs['Approvato']==1) echo "SI"; else echo "no" ?></td>
		<td>	<?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?></td>
		<td>	<?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataApprovazione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['UtenteApprovazione']) ?></td>
		<td>&nbsp;<?php if ($rs['Contestato']==1) echo "SI"; else echo "no" ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataContestazione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['UtenteContestazione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NoteContestazione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['RifOrdineCliente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['GruppoF']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Voce']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Affidatario']) ?></td>
		</tr>
<?php
	}
?>
</table>
<?php $traduttore->Salva() ?>

</body>
</html>

