<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
	
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
</head>
<body>

<?php

require_once('query.inc');

$Utente	= ntxsse('Utente');
$Password = ntxsse('Password');
$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
		SELECT     VociBudgetClienti.Id, VociBudgetClienti.Voce
		FROM         Utenti INNER JOIN
							  UtentiProprietari ON Utenti.Id = UtentiProprietari.IdUtente INNER JOIN
							  VociBudgetClienti ON UtentiProprietari.IdProprietario = VociBudgetClienti.IdCliente
		WHERE     (Utenti.Nome = $Utente) AND (Utenti.Password = $Password)
			AND (VociBudgetClienti.TipoLocalizzazione IS NULL OR VociBudgetClienti.TipoLocalizzazione in (SELECT DISTINCT ISNULL(ElencoEdifici.Tipo, 0)
										FROM         Utenti INNER JOIN
															  UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente INNER JOIN
															  ElencoEdifici ON UtentiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND UtentiEdifici.IdEdificio = ElencoEdifici.ID
										WHERE     (ElencoEdifici.IdCommessa = $IdCommessa) AND (Utenti.Nome = $Utente)))
		ORDER BY VociBudgetClienti.Voce
sql;

$queryVoci = ntxQuery($sql);

$ivoci = 0;

while ( $rs = ntxIRecord($queryVoci) )
{
	$avoci[$ivoci][0] = $rs[0];
	$avoci[$ivoci][1] = htmlentities($rs[1]);
	
	$ivoci++;
}

?>
<form name=frmExcel method=post action="excel.php" target=frame2>
	<input type=hidden name=IdEdificio value="<?php  echo ntxJS($_POST[IdEdificio]) ?>">
	<input type=hidden name=Stato2 value="<?php  echo ntxJS($_POST[Stato2]) ?>">
	<input type=hidden name=Stato value="<?php  echo ntxJS($_POST[Stato]) ?>">
	<input type=hidden name=DataContabilità1 value="<?php  echo ntxJS($_POST[DataContabilità1]) ?>">
	<input type=hidden name=DataContabilità2 value="<?php  echo ntxJS($_POST[DataContabilità2]) ?>">
</form>

<iframe name=frame2 style="width:1px;height:1px"></iframe>

<table>
	<tr>
		<th colspan=6>Contabilità
		<td rowspan=2><input type=button value="Excel" onclick="document.frmExcel.submit()">
	</tr>
	<tr>
		<th>Stato:<td>&nbsp;<?php echo htmlentities($DesStato) ?>
		<th>&nbsp;<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità1]) ?>
		<th><= Data Contabilità <=<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità2]) ?>
	</tr>
</table>
<br>

<table align=left>
	<tr>
		<th>Num. Contabilità</th>
		<th>Data Contabilità</th>
		<th>Stato</th>
		<th>Richiesta</th>
		<th>Ordine</th>
		<th>GU</th>
		<th>Descrizione</th>
		<th>Cod. Localizzazione</th>
		<th>Localizzazione</th>
		<th>Consegnato</th>
		<th>Data Consegna</th>
		<th>Data Ultima Consegna</th>
		<th>Fatturato</th>
		<th>Num. Sal</th>
		<th>Data Sal</th>
		<th>Note</th>
		<th>Approvato</th>
		<th>Importo Approvato</th>
		<th>Importo Netto</th>
		<th>Data Approvazione</th>
		<th>Utente Approvazione</th>
		<th>Contestato</th>
		<th>Data Contestazione</th>
		<th>Utente Contestazione</th>
		<th>Note Contestazione</th>
		<th>Rif. Ordine Cliente</th>
		<th>Ordine Cliente (NEL)</th>
		<th>Voce Budget</th>
		<th>Affidatario</th>
		<th>&nbsp;</th>
	</tr>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		$optionsVoci = "<option value=\"\"></option>\n";

		foreach ( $avoci as $voce )
		{
			if ( $voce[0]==$rs[IdVoce] ) 
				$sel = "SELECTED"; 
			else 
				$sel = "";
				
			$optionsVoci .= "<option value=$voce[0] $sel>$voce[1]</option>\n";
		}
		
		$id = "id=cbo_$rs[NumContabilità]";
		
		$GruppoF = ntxJs($rs[GruppoF]);
		
		$textBox = "<input type=text maxlength=15 size=16 value=\"$GruppoF\" onblur=\"ModificaGruppoF(this, $rs[NumContabilità])\" />";
		$onChange = "onchange=\"ModificaVoce($rs[NumContabilità])\"";
		
		$selectVoci = "<select value=\"$rs[IdVoce]\" $id $onChange>$optionsVoci</select>";
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumContabilità']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataContabilità']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesstatoC']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo (int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'] ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['GU']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CodEdificio']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Edificio']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Consegnato']==1) echo "SI"; else echo "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataConsegna']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataUltimaConsegna']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Fatturato']==1) echo "SI"; else echo "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumSal']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataSal']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Approvato']==1) echo "SI"; else echo "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataApprovazione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UtenteApprovazione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Contestato']==1) echo "SI"; else echo "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataContestazione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UtenteContestazione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NoteContestazione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['RifOrdineCliente']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo $textBox ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $selectVoci ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=text size=20 DatePicker onblur="MemorizzaDataCompetenza(<?php echo "this, $IdCommessa, '$rs[NumContabilità]'" ?>)" />
			</td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Affidatario']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> height=10>
				<input type=button value="Report" onclick="Report(<?php echo "$rs[NumOrdine], $rs[AnnoOrdine]" ?>)">
			</td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post>
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="" >
</form>

<form name=frmEditVoce method=post>
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input TYPE=HIDDEN NAME=NumContabilità>
	<input TYPE=HIDDEN NAME=IdVoce>
</form>

<script language=javascript>

function ModificaVoce(id)
{
	frmEditVoce.NumContabilità.value = id;
	frmEditVoce.IdVoce.value = gei("cbo_"+id).value;
	ntxSendForm(frmEditVoce, funcCaricaComboVoce, "update_voce");
}

function ModificaGruppoF(txt, NumContabilità)
{
	var obj = {GruppoF:txt.value,NumContabilità:NumContabilità};
	
	var result = jhp("jhp/edit_gruppo_f.php", obj);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		txt.value = result.value;
	}
}

function funcCaricaComboVoce(text)
{
	var rows=ntxRecord(text);
	
	id = rows['id'];
	
	try
	{
		gei("cbo_"+id).value = rows['IdVoce'];
	}
	catch(e)
	{
		gei("cbo_"+id).value = "";
	}
}

function Report(NumOrdine, AnnoOrdine)
{
	form1.NumOrdine.value = NumOrdine;
	form1.AnnoOrdine.value = AnnoOrdine;
	form1.action = "../../../affidatari/contabilita/contab_ord/report/index.php";
	form1.target = "_blank";
	form1.submit();
}


function MemorizzaDataCompetenza(obj, IdCommessa ,NumContabilità)
{
	var result = jhp("jhp/memorizza_data_competenza.php", 
			{IdCommessa:IdCommessa,
				NumContabilità:NumContabilità,
				DataCompetenza: $(obj).val()});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(obj).val(result.value);
	}
}

</script>


</body>
</html>
