<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
<body  >

<?php
	
require_once('pivot_contabilita_sql.inc');

$nomiMesi = array(
		 "Gen","Feb","Mar","Apr"
		,"Mag","Giu","Lug","Ago"
		,"Set","Ott","Nov","Dic");
?>
<form name=frmExcel method=post action="pivot_contabilita_excel.php" target=_blank>
	<input type=hidden name=IdEdificio value="<?php  echo ntxJS($_POST[IdEdificio]) ?>">
	<input type=hidden name=Anno value="<?php  echo ntxJS($_POST[Anno]) ?>">
	<input type=hidden name=ThereIsIVA value="<?php  echo $_POST[ThereIsIVA] ? 1 : 0 ?>">
	<input type=hidden name=IVA value="<?php  echo ntxJS($_POST[IVA]) ?>">
	<input type=hidden name=Stato2 value="<?php  echo ntxJS($_POST[Stato2]) ?>">
	<input type=hidden name=Stato value="<?php  echo ntxJS($_POST[Stato]) ?>">
	<input type=hidden name=DataContabilità1 value="<?php  echo ntxJS($_POST[DataContabilità1]) ?>">
	<input type=hidden name=DataContabilità2 value="<?php  echo ntxJS($_POST[DataContabilità2]) ?>">
</form>

<table>
	<tr>
		<th colspan=10>Contabilità
		<td rowspan=2><input type=button value="Excel" onclick="document.frmExcel.submit()">
	</tr>
	<tr>
		<th>Stato:<td>&nbsp;<?php echo htmlentities($DesStato) ?>
		<th>&nbsp;<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità1]) ?>
		<th><= Data Contabilità <=<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità2]) ?>
		<th>usa iva:<td>&nbsp;<?php echo $_POST[ThereIsIVA] ? "SI" : "NO" ?> 
		<th>iva:<td>&nbsp;<?php echo ntxRound(ntxfp(IVA),2) ?> 
	</tr>
</table>
<br>
<table>
	<tr>
		<th>CodEd</th>
		<th>Localizzazione</th>
		<th>Indirizzo</th>	
<?php

	if ( $_POST[ThereIsIVA] )
		$iva = ntxfp(IVA);
	else
		$iva = 0;
		
	if ( is_numeric($iva) )
		$iva = $iva / 100.0 + 1.0;
	else
		$iva = 1;
		
	$col = 1;
	
	for($mese=$minMese, $anno=$minAnno; $anno<$maxAnno || ($anno==$maxAnno  &&  $mese<=$maxMese); $mese++)
	{
		if ( $mese == 13 ) { $mese = 1; $anno++; }
		
		$meseh = $nomiMesi[$mese-1];
		
		echo "<th>$anno<br>$meseh</th>\n";
		
		if ( $col >= $numCols ) break;
		
		$col++;
	}
?>
		<th>Totale</th>	
<?php
	if ( is_numeric($_POST[Anno]) )
		echo <<< sql
		<th>Budget<br>$AnnoBudget</th>	
		<th>Residuo</th>	
sql;
?>
	</tr>   

<?php
	$alternate = true;

	for ( $col = 0; $col<=$numCols; $col++ )
		$totCols[$col] = 0;

	$col = 1;

	$totRow = 0;
	$totBudget = 0;
		
	while( $rs = ntxRecord($query) )
	{
		$class = ($alternate ? "" : "class=td2");
		
		if ( $col == 1 )
		{
			$totRow = 0;
?>
	<tr>
		<td <?php echo  $class ?> style="text-align:left">&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td <?php echo  $class ?> style="text-align:left">&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?></td>
		<td <?php echo  $class ?> style="text-align:left">&nbsp;<?php echo htmlentities("$rs[Indirizzo] $rs[CITTA]") ?></td>
<?php
		}
		
		$val = $rs[Valore]*$iva;
		
		$valh = ntxRoundThousand($val,2);
		
		if ( is_numeric($val) ) 
		{
			$totRow += $val;
			$totCols[$col] += $val;
		}
		
		echo "<td $class  style=\"text-align:right\">&nbsp;$valh</td>\n";
		
		$col++;
		
		if ( $col > $numCols )
		{
			$totCols[0] += $totRow;
			$col = 1;
			$totBudget += $rs['Budget'];
			
			if ( $rs['Budget']-$totRow>=0 )
				$style = ";color: blue";
			else
				$style = ";color: red";
			
?>
		<td <?php echo  $class ?> style="font-weight: bold;text-align:right">&nbsp;<?php echo ntxRoundThousand($totRow,2) ?></td>
<?php
	if ( is_numeric($_POST[Anno]) )
	{
?>
		<td <?php echo  $class ?> style="font-weight: bold;text-align:right">&nbsp;<?php echo ntxRoundThousand($rs['Budget'],2) ?></td>
		<td <?php echo  $class ?> style="font-weight: bold;text-align:right<?php echo $style ?>">&nbsp;<?php echo ntxRoundThousand($rs['Budget']-$totRow,2) ?></td>
<?php
	}
?>
	</tr>
<?php
			$alternate = !$alternate;
		}
	}
?>
	<tr>
		<th colspan=3 style="text-align:right">TOTALI</th>

<?php
	
	for ( $col = 1; $col<=$numCols; $col++ )
	{
		$val = $totCols[$col];
		
		$valh = ntxRoundThousand($val,2);
	
		echo "<td $class  style=\"font-weight: bold;text-align:right\">&nbsp;$valh</td>\n";
	}
	
	$val = $totCols[0];
	
	$valh = ntxRoundThousand($val,2);

	echo "<td $class  style=\"font-weight: bold;text-align:right\">&nbsp;$valh</td>\n";
	
	if ( is_numeric($_POST[Anno]) )
	{
		$valh = ntxRoundThousand($totBudget,2);

		echo "<td $class  style=\"font-weight: bold;text-align:right\">&nbsp;$valh</td>\n";
		
		$val = $totBudget - $totCols[0];
		
		$valh = ntxRoundThousand($val,2);

		if ( $val>=0 )
			$style = ";color: blue";
		else
			$style = ";color: red";
				
		echo "<td $class  style=\"font-weight: bold;text-align:right$style\">&nbsp;$valh</td>\n";
	}
?>
	</tr>
</table>
</body>
</html>
