<?php  

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

$SchemaCommessa = ntxScalar($sql);

require_once("pivot_costi_sql_coda.inc"); // setta $sqlQueue
require_once("pivot_costi_sql_min_max.inc"); // setta $minMese, $minAnno, $maxMese e $maxAnno
require_once("pivot_costi_sql_funcs.inc"); // GeneraSubQuery($mese, $anno) e GeneraSubQuery2($TipoPrezzo)

/*
$minMese=5;
$minAnno=2009;
$maxMese=6;
$maxAnno=2011;
*/


// GENERA TABELLA TEMPORANEA #my123 con i valori dei mesi ed anni da scandagliare
$sqlTemp = <<< sqlTemp
		SELECT     Mese, Anno
		INTO            [#my123]
		FROM         (SELECT 0 AS Mese, 0 AS Anno) AS a;
		
		DELETE FROM [#my123];
sqlTemp;

for($mese=$minMese, $anno=$minAnno; $anno<$maxAnno || ($anno==$maxAnno  &&  $mese<=$maxMese); $mese++)
{
	if ( $mese == 13 ) { $mese = 1; $anno++; }
	
	$sqlTemp .= " insert into #my123 (Mese, Anno) values($mese, $anno);";
}

ntxQuery($sqlTemp);

$numCols = ntxScalar("SELECT COUNT(*) FROM #my123");

if ( $SchemaCommessa=='isi' )
{
	$sql1 = <<< sql
		ISNULL((SELECT F2*(1+E3*(1-E4))+F6*(1-E7)+(F9+F9b)*(1-E10)+(F12+F12b)*(1-E13)+F15+(F2*(1+E3*(1-E4))+F6+F9+F9b+F12+F12b+F15)*E16
		
		FROM (	SELECT 0.25 AS E3,
				0.15  AS E4,  
				0.15  AS E7,  
				0.15  AS E10, 
				0.15  AS E13, 
				0.025 AS E16, 
sql;

	$sql1 .= "ISNULL((".GeneraSubQuery(2)."),0) AS F2, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(5)."),0) AS F6, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(1)."),0) AS F9, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(6)."),0) AS F12, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(7)."),0) AS F9b, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(3)."),0) AS F12b, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(1001)."),0) AS F15 ";
			
	$sql1 .= ") a),0) ";

	$sql1 .= <<< sql
		+ ISNULL((SELECT F2*(1+E3*(1-E4))+F6*(1-E7)+F9*(1-E10)+F12*(1-E13)+F15+F12b+F9b
		
		FROM (	SELECT 0.25 AS E3,
				0.15  AS E4,  
				0.15  AS E7,  
				0.15  AS E10, 
				0.15  AS E13, 
				0.025 AS E16, 
sql;

	$sql1 .= "ISNULL((".GeneraSubQuery(2,2)."),0) AS F2, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(5,2)."),0) AS F6, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(1,2)."),0) AS F9, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(6,2)."),0) AS F12, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(7,2)."),0) AS F9b, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(3,2)."),0) AS F12b, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(1001,2)."),0) AS F15 ";
			
	$sql1 .= ") a),0) ";

$sql2212 = <<< sql
		ISNULL((SELECT F2*(1+E3*(1-E4))+F6*(1-E7)+(F9+F9b)*(1-E10)+(F12+F12b)*(1-E13)+F15+(F2*(1+E3*(1-E4))+F6+F9+F9b+F12+F12b+F15)*E16
		
		FROM (	SELECT 0.25 AS E3,
				0.15  AS E4,  
				0.15  AS E7,  
				0.15  AS E10, 
				0.15  AS E13, 
				0.025 AS E16, 
sql;

	$sql2212 .= "ISNULL((".GeneraSubQuery2(2)."),0) AS F2, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(5)."),0) AS F6, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(1)."),0) AS F9, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(6)."),0) AS F12, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(7)."),0) AS F9b, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(3)."),0) AS F12b, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(1001)."),0) AS F15 ";
			
	$sql2212 .= ") a),0) ";

	$sql2212 .= <<< sql
		+ ISNULL((SELECT F2*(1+E3*(1-E4))+F6*(1-E7)+F9*(1-E10)+F12*(1-E13)+F15+F12b+F9b
		
		FROM (	SELECT 0.25 AS E3,
				0.15  AS E4,  
				0.15  AS E7,  
				0.15  AS E10, 
				0.15  AS E13, 
				0.025 AS E16, 
sql;

	$sql2212 .= "ISNULL((".GeneraSubQuery2(2,2)."),0) AS F2, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(5,2)."),0) AS F6, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(1,2)."),0) AS F9, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(6,2)."),0) AS F12, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(7,2)."),0) AS F9b, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(3,2)."),0) AS F12b, ";
	$sql2212 .= "ISNULL((".GeneraSubQuery2(1001,2)."),0) AS F15 ";
			
	$sql2212 .= ") a),0) ";
}
else
{
	$sql1 = <<< SQL
		SELECT  sum( isnull(RiheContabilità.QTA * RiheContabilità.PzUnitario, 0)
									* (1 - isnull(RiheContabilità.Sconto, 0)/100))
		FROM         ($sqlContabilità070610) Contabilità INNER JOIN
                      RiheContabilità ON Contabilità.IDCommessa = RiheContabilità.IdCommessa AND 
                      Contabilità.NumContabilità = RiheContabilità.NumContabilità 		
		WHERE Contabilità.IDCommessa = b.IdCommessa
				AND Contabilità.CodEdificio = b.ID	
				AND MONTH(Contabilità.DataContabilità) = #my123.Mese 	
				AND YEAR(Contabilità.DataContabilità) = #my123.Anno	
				AND $sqlQueue2
SQL;

	$sql2212 = <<< SQL
		SELECT  sum( isnull(Costi.QTA * Costi.CostoUnit, 0)
									* (1 - isnull(Costi.Sconto, 0)/100))
		FROM         ($sqlContabilità070610) Contabilità INNER JOIN
                      Costi ON Contabilità.IDCommessa = Costi.IdCommessa AND 
                      Contabilità.NumOrdine = Costi.NumOrdine AND		 
                      Contabilità.AnnoOrdine = Costi.AnnoOrdine 		
		WHERE Contabilità.IDCommessa = b.IdCommessa
				AND Contabilità.CodEdificio = b.ID	
				AND MONTH(Contabilità.DataOrdine) = #my123.Mese 	
				AND YEAR(Contabilità.DataOrdine) = #my123.Anno	
				AND $sqlQueue2
SQL;

	if ( isset($_POST[CostiAutorizzati]) )
		$sql .= " AND (Costi.Autorizzato = 1) ";
}

$sqlFields = <<< sqlFields
			ElencoEdifici.IdCommessa, 
			ElencoEdifici.ID, 
			ElencoEdifici.Codice, 
			ElencoEdifici.EdificioBreve, 
			ElencoEdifici.Indirizzo, 
			ElencoEdifici.CITTA
sqlFields;

$sqlWHERE = "";

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sqlWHERE .= " AND (ElencoEdifici.IdProprietario = $IdPropietario) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sqlWHERE .= " AND (Ordini.CodEdificio = $IdEdificio) ";
}

$sql22 = <<< sql
	SELECT DISTINCT 
		$sqlFields	
	FROM         Contabilità RIGHT OUTER JOIN
                      Utenti INNER JOIN
                      UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente INNER JOIN
                      ElencoEdifici INNER JOIN
                      Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio ON 
                      UtentiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND UtentiEdifici.IdEdificio = ElencoEdifici.ID ON 
                      Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND Contabilità.AnnoOrdine = Ordini.AnnoOrdine
	WHERE  (Utenti.Nome = $mUtente)
		AND (Utenti.Password = $mPassword)
		AND (Ordini.IdCommessa = $IdCommessa)
		AND $sqlQueue
		$sqlWHERE
sql;

if ( isset($_POST[Delta]) )
	$sql1 = "($sql1)-($sql2212) AS Valore";
else
	$sql1 = "($sql2212) AS Valore";
	
$sql3 = <<< sql
	SELECT 
		b.*,
		#my123.Mese, 
		#my123.Anno, 
		$sql1
	FROM (SELECT DISTINCT * FROM ($sql22) axa) b, #my123
	ORDER BY Codice, EdificioBreve, ID, Anno, Mese
sql;

$query = ntxQuery($sql3);

?>
