<?php  

$minMese = $minAnno = $maxMese = $maxAnno = 0;

$sql = <<< SQL
	SELECT DISTINCT 
		MONTH(MIN(DataRichiesta)) AS minMese,
		YEAR(MIN(DataRichiesta)) AS minAnno,
		MONTH(MAX(DataRichiesta)) AS maxMese,
		YEAR(MAX(DataRichiesta)) AS maxAnno
	FROM         Preventivi INNER JOIN
                      Richieste ON Preventivi.IDCommessa = Richieste.IDCommessa AND Preventivi.NumRichiesta = Richieste.NumRichiesta AND 
                      Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo INNER JOIN
                      UtentiEdifici INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id ON Richieste.IDCommessa = UtentiEdifici.IdCommessa AND Richieste.Localizzazione = UtentiEdifici.IdEdificio
	WHERE  (Utenti.Nome = $mUtente)
		AND (Utenti.Password = $mPassword)
		AND (Richieste.IdCommessa = $IdCommessa)
		AND $sqlQueue
SQL;

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (UtentiEdifici.IdEdificio = $IdEdificio) ";
}

$query = ntxQuery($sql);
	
if ( $rs = ntxIRecord($query) )
{
	$minMese = $rs[0];
	$minAnno = $rs[1];
	$maxMese = $rs[2]; 
	$maxAnno = $rs[3];
}

if ( !is_numeric($minAnno) )
{
	$minAnno = 0;
	$maxAnno = -1;
}
?>
