<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
	
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
</head>
<body>
<?php

require_once('query.inc');

$Utente	= ntxsse('Utente');
$Password = ntxsse('Password');
$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
		SELECT     VociBudgetClienti.Id, VociBudgetClienti.Voce
		FROM         Utenti INNER JOIN
							  UtentiProprietari ON Utenti.Id = UtentiProprietari.IdUtente INNER JOIN
							  VociBudgetClienti ON UtentiProprietari.IdProprietario = VociBudgetClienti.IdCliente
		WHERE     (Utenti.Nome = $Utente) AND (Utenti.Password = $Password)
			AND (VociBudgetClienti.TipoLocalizzazione IS NULL OR VociBudgetClienti.TipoLocalizzazione in (SELECT DISTINCT ISNULL(ElencoEdifici.Tipo, 0)
										FROM         Utenti INNER JOIN
															  UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente INNER JOIN
															  ElencoEdifici ON UtentiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND UtentiEdifici.IdEdificio = ElencoEdifici.ID
										WHERE     (ElencoEdifici.IdCommessa = $IdCommessa) AND (Utenti.Nome = $Utente)))
		ORDER BY VociBudgetClienti.Voce
sql;

$queryVoci = ntxQuery($sql);

$ivoci = 0;

while ( $rs = ntxIRecord($queryVoci) )
{
	$avoci[$ivoci][0] = $rs[0];
	$avoci[$ivoci][1] = htmlentities($rs[1]);
	
	$ivoci++;
}

?>
<form name=frmExcel method=post action="excel.php" target=frame2>
		<?php ntxCreateHiddens() ?>
</form>

<iframe name=frame2 style="width:1px;height:1px"></iframe>

<table>
	<tr>
		<th colspan=6>Preventivi
		<td rowspan=2><input type=button value="Excel" onclick="document.frmExcel.submit()">
	</tr>
	<tr>
		<th>Stato:<td>&nbsp;<?php echo htmlentities($DesStato) ?>
		<th>&nbsp;<td>&nbsp;<?php echo htmlentities($_POST[DataRichiesta1]) ?>
		<th><= Data Richiesta <=<td>&nbsp;<?php echo htmlentities($_POST[DataRichiesta2]) ?>
	</tr>
</table>
<br>

<table align=left>
	<tr>
		<th>Num./Anno</th>
		<th>Data</th>
		<th>Stato</th>
		<th>Richiedente</th>
		<th>Localizzazione</th>
		<th>Grado Urgenza</th>
		<th>Descrizione</th>
		<th>Descrizione Per Cliente</th>
		<th>Importo Netto</th>
		<th>Importo Offerto Per Cliente</th>
		<th>Originata da ordine</th>
		<th>Voce Budget</th>
		<th>Data Competenza</th>
		<th>Num/Anno Ordine
		<th>Stato Ordine
		<th>Num. Contabilità
		<th>Importo Accettato
		<th>Stato Contabilità
		<th>Num. SAL
		<th>Data SAL
		<th>Dowload Doc Per Cliente</th>
		<th>&nbsp;</th>
	</tr>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		$optionsVoci = "<option value=\"\"></option>\n";

		foreach ( $avoci as $voce )
		{
			if ( $voce[0]==$rs[IdVoce] ) 
				$sel = "SELECTED"; 
			else 
				$sel = "";
				
			$optionsVoci .= "<option value=$voce[0] $sel>$voce[1]</option>\n";
		}
		
		$id = "id=cbo_$rs[NumPreventivo]";
		
		$onChange = "onchange=\"ModificaVoce($rs[NumPreventivo])\"";
		
		$DataCompetenza = ntxDateTime($rs[DataCompetenza]);
		
		$selectVoci = "<select value=\"$rs[IdVoce]\" $id $onChange>$optionsVoci</select>";
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumRichiesta'])
																		."/".htmlentities($rs['AnnoRichiesta']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities(ntxDateTime($rs['DataRichiesta'])) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>
			<td class=td3 >&nbsp;<?php echo htmlentities('('.$rs['Codice'].') - '.$rs['EdificioBreve'].' - '
							.$rs['Indirizzo'].' - '.$rs['CITTA'].' ('.$rs['PROVINCIA'].')') ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesGrUrg']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']).'<br>'
							.htmlentities($rs['Descrizione1']).'<br>'.htmlentities($rs['Descrizione2']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesCliente']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoCliente'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php 
				if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities((int)$rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $selectVoci ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=text size=20 DatePicker value="<?php echo $DataCompetenza ?>" onblur="MemorizzaDataCompetenza(<?php echo "this, $IdCommessa, '$rs[NumPreventivo]'" ?>)" />
			</td>

		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumOrdine']."/".$rs['AnnoOrdine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['StatoOrdine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumContabilità']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['StatoContabilità']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumSal']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataSal'],2) ?></td>

		<td <?php echo  $alternate ? "" : "class=td2" ?> height=10>
				<input type=button value="Download" onclick="DownloadCliente(<?php echo $rs['NumRichiesta'].", ".$rs['AnnoRichiesta'] ?> )">
			</td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> height=10>
				<input type=button value="Anteprima Preventivo" onclick="Anteprima(<?php echo $rs['NumRichiesta'].", ".$rs['AnnoRichiesta'] ?> )">
			</td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<script language=javascript>

function ModificaVoce(id)
{
	frmEditVoce.NumPreventivo.value = id;
	frmEditVoce.IdVoce.value = gei("cbo_"+id).value;
	
	ntxSendForm(frmEditVoce, funcCaricaComboVoce, "update_voce");
}

function funcCaricaComboVoce(text)
{
	var rows=ntxRecord(text);
	
	id = rows['id'];
	
	try
	{
		gei("cbo_"+id).value = rows['IdVoce'];
	}
	catch(e)
	{
		gei("cbo_"+id).value = "";
	}
}

function Anteprima(NumRichiesta, AnnoRichiesta)
{
	document.form2.NumRichiesta.value = NumRichiesta;
	document.form2.AnnoRichiesta.value = AnnoRichiesta;
	
	document.form2.submit();
}

function DownloadCliente(NumRichiesta, AnnoRichiesta)
{
	document.form1.NumRichiesta.value = NumRichiesta;
	document.form1.AnnoRichiesta.value = AnnoRichiesta;
	
	document.form1.action = "download_cliente.php";
	
	document.form1.submit();
}

function MemorizzaDataCompetenza(obj, IdCommessa ,NumPreventivo)
{
	var result = jhp("jhp/memorizza_data_competenza.php", 
			{IdCommessa:IdCommessa,
				NumPreventivo:NumPreventivo,
				DataCompetenza: $(obj).val()});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(obj).val(result.value);
	}
}

</script>

<form name=frmEditVoce method=post>
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input TYPE=HIDDEN NAME=NumPreventivo>
	<input TYPE=HIDDEN NAME=IdVoce>
</form>

<form name=form1 action=form_upload.php method=post target=_blank>
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input TYPE=HIDDEN NAME=NumRichiesta VALUE="<?php echo $rs['NumRichiesta'] ?>" >
	<input TYPE=HIDDEN NAME=AnnoRichiesta VALUE="<?php echo $rs['AnnoRichiesta'] ?>" >
</form>

<form name=form2 action="../../richieste_ordini_v2/preventivo.php" method=post target=_blank>
	<input TYPE=HIDDEN NAME=NumRichiesta VALUE="<?php echo $rs['NumRichiesta'] ?>" >
	<input TYPE=HIDDEN NAME=AnnoRichiesta VALUE="<?php echo $rs['AnnoRichiesta'] ?>" >
</form>

</body>
</html>
