<?php
$sql = <<< sql
		SELECT     Richieste.IdMestiere, 
				Richieste.Localizzazione, 
				Richieste.DataRichiesta, 
				Richieste.TecnicoC, 
				Richieste.Descrizione, 
				Richieste.Descrizione1,
				ElencoEdifici.Codice, 
				ElencoEdifici.EdificioBreve, 
				ElencoEdifici.CITTA
		FROM         Richieste INNER JOIN
							  ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
		WHERE Richieste.IdCommessa=$IdCommessa
		 AND Richieste.NumRichiesta=$NumRichiesta
		 AND Richieste.AnnoRichiesta=$AnnoRichiesta
sql;

$query = ntxQuery($sql);

if ( $rs = ntxIRecord($query) ) 
{
	$IdMestiere = $rs[0];
	$Localizzazione = $rs[1];
	$DataRichiesta = ntxt(ntxDate($rs[2]));
	$DataRichiesta22 = ntxDateTime($rs[2]);
	$TecnicoC = ntxs($rs[3]);
	$Descrizione = $rs[4];
	$Descrizione1 = $rs[5];
	$Codice = ntxs($rs[6]);
	$EdificioBreve = ntxs($rs[7]);
	$CITTA = ntxs($rs[8]);
	$user = ntxsse('Utente');

	if ( NTX_CLIENTE == "TEAM_SERVICE" )
	{
		$sqlx = <<< SQL
			SELECT  DISTINCT tblPgRifAffidatari.email_1
			FROM tblComponetiMestiere INNER JOIN
				tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
				tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
				tblPgContrattiRifAffidatari INNER JOIN
				tblPgContrattiRifAffidatariAttivitàEdifici ON 
				tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
				tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
				tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
				tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
				tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
			WHERE (tblComponetiMestiere.IdMestiere = $IdMestiere) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa)
				AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) 
				AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)
				AND (tblPgRifAffidatari.email_1 IS NOT NULL)
				AND (tblPgRifAffidatari.email_1 <> '')
SQL;

		if ( is_numeric($IdAffidatario) )
			$sqlx .= " AND tblPgRifAffidatari.IdAffidatario = $IdAffidatario ";
			
		$oggetto = $traduttore->traduci('CONTESTAZIONE PREVENTIVO RICHIESTA')." $IdCommessa N° $NumRichiesta/$AnnoRichiesta";
		
		$sql = "SELECT Descrizione FROM tblMestieri WHERE IdCommessa=$IdCommessa AND IdMestiere=$IdMestiere";
		
		$mest = ntxScalar($sql);
		
		$sql = "SELECT DesComm FROM Commesse WHERE IdCommessa=$IdCommessa ";
		
		$nomeCommessa = ntxScalar($sql);
		
		$messaggio = $traduttore->traduci('Contestato da')." ($user) ".$traduttore->traduci('preventivo richiesta')." ($NumRichiesta/$AnnoRichiesta) ".$traduttore->traduci('per l\'edificio')." ($Codice, $EdificioBreve, $CITTA) ".$traduttore->traduci('motivo').": $NoteContestazione";
					
		$queryEmailRif1 = ntxQuery($sqlx);
	
		$NonTrovataEmailRif1 = true;
		
		while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					$traduttore->traduci('contesta prev'),				
						$traduttore->traduci('richiesta')." $IdCommessa/$NumRichiesta/$AnnoRichiesta",			
					"email",		
					$rsEmailRif1[0],		
					$oggetto,				
					$messaggio,
					true);	
		
			$NonTrovataEmailRif1 = false;
		}
		
		if ( $NonTrovataEmailRif1  &&  isset($emailRifFuori) )
		{
			foreach ( $emailRifFuori as $email )
			{
				ntxFireNetInit($_SESSION['Utente'].'',				
						$traduttore->traduci('contesta prev'),				
						$traduttore->traduci('richiesta')." $IdCommessa/$NumRichiesta/$AnnoRichiesta",			
						"email",		
						$email,		
						$oggetto,				
						$messaggio,
						true);	
			
				$NonTrovataEmailRif1 = false;
			}
		}
		
		if ( $NonTrovataEmailRif1 )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					$traduttore->traduci('contesta prev'),				
						$traduttore->traduci('richiesta')." $IdCommessa/$NumRichiesta/$AnnoRichiesta",			
					"email",		
					EMAIL_DEBUG,		
					$oggetto,				
					$messaggio,
					true);	
		}
	}
	else
	{
		$sqlx = <<< SQL
			SELECT  DISTINCT tblPgRifAffidatari.email_1
			FROM tblComponetiMestiere INNER JOIN
				tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
				tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
				tblPgContrattiRifAffidatari INNER JOIN
				tblPgContrattiRifAffidatariAttivitàEdifici ON 
				tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
				tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
				tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
				tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
				tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
			WHERE (tblComponetiMestiere.IdMestiere = $IdMestiere) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa)
				AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) 
				AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)
				AND (tblPgRifAffidatari.email_1 IS NOT NULL)
				AND (tblPgRifAffidatari.email_1 <> '')
SQL;

		$oggetto = $traduttore->traduci('CONTESTAZIONE PREVENTIVO RICHIESTA')." $IdCommessa N° $NumRichiesta/$AnnoRichiesta";
		$messaggio = $traduttore->traduci('Contestato da')." ($user) ".$traduttore->traduci('preventivo richiesta')." ($NumRichiesta/$AnnoRichiesta) ".$traduttore->traduci('per l\'edificio')." ($Codice, $EdificioBreve, $CITTA) ".$traduttore->traduci('motivo').": $NoteContestazione";
							
		$queryEmailRif1 = ntxQuery($sqlx);
	
		$NonTrovataEmailRif1 = true;
	
		while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					$traduttore->traduci('contesta prev'),				
					$traduttore->traduci('richiesta')." $IdCommessa/$NumRichiesta/$AnnoRichiesta",			
					"email",		
					$rsEmailRif1[0],		
					$oggetto,				
					$messaggio,
					true);	
			
			$NonTrovataEmailRif1 = false;
		}
		
		if ( $NonTrovataEmailRif1  &&  isset($emailRifFuori) )
		{
			foreach ( $emailRifFuori as $email )
			{
				ntxFireNetInit($_SESSION['Utente'].'',				
						$traduttore->traduci('contesta prev'),				
						$traduttore->traduci('richiesta')." $IdCommessa/$NumRichiesta/$AnnoRichiesta",			
						"email",		
						$email,		
						$oggetto,				
						$messaggio,
						true);	
			}
		}
	}
}
?>
