<?php  
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_686", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_686", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumRichiesta = ntxip('NumRichiesta'); // usata anche in _carica_richiesta
$AnnoRichiesta = ntxip('AnnoRichiesta'); // usata anche in _carica_richiesta

$sql = <<< _SQL
	SELECT DISTINCT 
               Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, Stati.DesStato, Richieste.Stato, Richieste.Note, 
               Richieste.Descrizione + Richieste.Descrizione1 + Richieste.Descrizione2 AS Des, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, 
               ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, 
               tblPgPropietari.Nome AS Ente, Richieste.Classificazione, Richieste.VAutorizzazione, Richieste.DataAutorizzazione, Richieste.NumOrdineFonte, 
               Richieste.AnnoOrdineFonte, tblUtUtilizzatori.Nome AS Utilizzatore, Ordini.NumOrdine, Ordini.AnnoOrdine,
			   Preventivi.DataCompetenza
	FROM  Richieste INNER JOIN
               Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
               ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID LEFT OUTER JOIN
               Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
               Richieste.AnnoRichiesta = Ordini.AnnoRichiesta LEFT OUTER JOIN
               tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND 
               Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
               tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT JOIN
                      Preventivi ON Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND 
                      Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta
	WHERE     Richieste.IdCommessa=$IdCommessa AND Richieste.NumRichiesta=$NumRichiesta AND Richieste.AnnoRichiesta=$AnnoRichiesta
_SQL;

$msg_error = $traduttore->traduci('Richiesta Numero')." $NumRichiesta ".$traduttore->traduci('Anno').": $AnnoRichiesta ".$traduttore->traduci('Commessa')." $IdCommessa ".$traduttore->traduci('non trovato!');

$record = ntxRecordArray($sql, $msg_error);

$record[DataRichiesta] = ntxDateTime($record[DataRichiesta]);
$record[DataAutorizzazione] = ntxDateTime($record[DataAutorizzazione]);
$record[DataCompetenza] = ntxDateTime($record[DataCompetenza]);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );

$traduttore->Salva();
?>