<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_680", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_680", "IT", __FILE__);
?>
<html>
<head>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>
<body  >

<?php
	
$IdCommessa = ntxise("IdCommessa");
$IdEdificio = ntxip("Localizzazione");
$IdMestiere = ntxip("IdMestiere");

$IdAffidatario = ntxip('IdAffidatario');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');

if ( is_numeric($IdPgContrattoAffidatario) )
{
	$sql = <<< sql
		SELECT DISTINCT
							  tblPgRifAffidatari.Nome, tblPgRifAffidatari.Indirizzo, tblPgRifAffidatari.Comune, tblPgRifAffidatari.Provincia, tblPgRifAffidatari.telefono_1,
							  tblPgRifAffidatari.telefono_2, tblPgRifAffidatari.fax_1, tblPgRifAffidatari.fax_2, tblPgRifAffidatari.email_1, tblPgRifAffidatari.email_2
		FROM         tblAttivitMestiere INNER JOIN
							  tblComponetiMestiere ON tblAttivitMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND
							  tblAttivitMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
							  tblPgContrattiRifAffidatari INNER JOIN
							  tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario INNER JOIN
							  tblPgContrattiRifAffidatariAttivitEdifici ON
							  tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitEdifici.IdPgContrattoRifAffidatario ON
							  tblAttivitMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitEdifici.IdCommessa AND
							  tblAttivitMestiere.IdAttivitMestiere = tblPgContrattiRifAffidatariAttivitEdifici.IdAttivitMestiere
		WHERE     (tblPgContrattiRifAffidatariAttivitEdifici.IdCommessa = $IdCommessa )
					AND (tblPgContrattiRifAffidatariAttivitEdifici.IdEdificio = $IdEdificio)
					AND (tblComponetiMestiere.IdCommessa = $IdCommessa )
					AND (tblComponetiMestiere.IdMestiere = $IdMestiere)
					AND (tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario)
sql;
}
elseif ( is_numeric($IdAffidatario) )
{
	$sql = <<< sql
		SELECT     Nome, Indirizzo, Comune, Provincia, telefono_1,
							  telefono_2, fax_1, fax_2, email_1, email_2
		FROM         tblPgRifAffidatari
		WHERE     (IdAffidatario = $IdAffidatario) AND (VistaFuoriContratto = 1)
sql;
}

$query = ntxQuery($sql);

?>
<br>
<table align=center>
	<caption><?php $traduttore->html('Referenti Affidatario') ?></caption>
	<tr>
		<th><?php $traduttore->html('Nome') ?></th>
		<th><?php $traduttore->html('Indirizzo') ?></th>
		<th><?php $traduttore->html('Comune') ?></th>
		<th><?php $traduttore->html('Provincia') ?></th>
		<th><?php $traduttore->html('Telefono 1') ?></th>
		<th><?php $traduttore->html('Telefono 2') ?></th>
		<th><?php $traduttore->html('Fax 1') ?></th>
		<th><?php $traduttore->html('Fax 2') ?></th>
		<th><?php $traduttore->html('Email 1') ?></th>
		<th><?php $traduttore->html('Email 2') ?></th>
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['telefono_1']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['telefono_2']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['fax_1']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['fax_2']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['email_1']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['email_2']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<?php $traduttore->Salva() ?>
</body>
</html>
