<?php
session_start();

require_once("../../_ntx/ntxconst.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 


require_once($_SERVER['DOCUMENT_ROOT'].'/repository/php/php-excel-reader-2.21/excel_reader2.php');


$IdCommessa = ntxise('IdCommessa'); 
$IdDoc = ntxip('IdDoc', false);

$sql = <<< sql
SELECT DISTINCT Path
FROM DocsAutoload  
WHERE     
	IdCommessa = $IdCommessa 
	AND IdDoc = $IdDoc
sql;

$Path = ntxScalar($sql);
 
 
error_reporting(E_ALL ^ E_NOTICE);

$data = new Spreadsheet_Excel_Reader($Path);

 
$colum = array();
for ($i = 1; $i <= 1; $i++) 
{		
	for ($j = 1; $j <=  $data->sheets[0]['numCols']; $j++) 
		$colum[$j]  = "".$data->sheets[0]['cells'][$i][$j];
} 

 
 
$numeroElementiGenerati = 0;
$strMsgErr = "";

for ($i = 2; $i <= $data->sheets[0]['numRows']; $i++) 
{	
	$Inserisci = true;	 	
	$EdificioBreve = "";	 	

	$Edifici= new NtxTable("ElencoEdifici");
	$Insert= $Edifici->insert();	
	
	for ($j = 1; $j <= $data->sheets[0]['numCols']; $j++) 
	{
		$nomeColonna = $colum[$j];
		$value = $data->sheets[0]['cells'][$i][$j];
		
		if(trim($nomeColonna)=="") continue;
		
		if( trim($nomeColonna)=="CodNazione" )  
		{
			$Insert->set("CodNazione", $value);     	 	 			
		}	
		else if( trim($nomeColonna)=="Nazione" )  
		{
			$Insert->set("Nazione", $value);     	 	 			
		}	
		else if( trim($nomeColonna)=="Citta" )  
		{
			$Insert->set("Citta", $value);     

			$EdificioBreve .= "$value";
			
			if(trim($value)=="") $Inserisci = false; //condizione per non inserire un edificio
		}	
		else if( trim($nomeColonna)=="Indirizzo" )  
		{
			$Insert->set("Indirizzo", $value);  
			$EdificioBreve .= " - $value";			
		} 	
	} 
	
	if( $Inserisci )  
	{	
		$sql = <<<_SQL
		SELECT TOP 1 ID
		FROM ElencoEdifici 
		WHERE IdCommessa=$IdCommessa
		ORDER BY ID DESC
_SQL;
 
		$IdEdificio = ntxScalar($sql);
		++$IdEdificio;
	
		$Insert->set("ID", 	$IdEdificio);
		$Insert->set("IdCommessa", 	$IdCommessa);	
	
		$Insert->set("SelEdpro", 0);
		$Insert->set("Anag", 0);
		$Insert->set("Rimosso", 0);
		$Insert->set("OrarioContinuato", 0);
		$Insert->set("IdProprietario", 2);

		 //ntxmsgerr(	$Insert->debug() );	
		$Insert->execute();	

		$numeroElementiGenerati++;
	}		
}

  
if($numeroElementiGenerati>0)
{
	$DocsAutoload= new NtxTable("DocsAutoload");		

	$update= $DocsAutoload->update();

	$update->set("Generato", 1);    
	$update->set("MsgError", $strMsgErr);    
	$update->where("IdDoc", 	$IdDoc);

	$update->execute();
} 

   
	
$result = array(

	'numeroElementiGenerati' => "$numeroElementiGenerati",
	'MsgError' => "$strMsgErr"
	
);

jhp($result);
?>
