<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$Utente = ntxsse('Utente');

$sql = <<< sql
	SELECT DISTINCT 
					  tblMestieri.IdMestiere, 
						isnull(tblMestieri.codice,'') + ' - ' + isnull(tblMestieri.Descrizione,'') AS Expr1, 
					  tblMestieri.Ordine, tblMestieri.codice, tblMestieri.Descrizione


FROM         UtentiEdifici INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici AS contratti ON UtentiEdifici.IdCommessa = contratti.IdCommessa AND 
                      UtentiEdifici.IdEdificio = contratti.IdEdificio INNER JOIN
                      tblAttivitàMestiere ON contratti.IdCommessa = tblAttivitàMestiere.IdCommessa AND contratti.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere

	WHERE      tblMestieri.IdCommessa=$IdCommessa AND (Utenti.Nome = $Utente)
sql;

if ( $_POST[AttoreInUso]=="strade" )
{
	$sql .= " AND (tblMestieri.AttoreInUso='strade' OR tblMestieri.AttoreInUso='for_all')";
}
else
{
	$sql .= " AND (tblMestieri.AttoreInUso IS NULL OR tblMestieri.AttoreInUso='' "
					." OR tblMestieri.AttoreInUso='edile' OR tblMestieri.AttoreInUso='for_all')";
}

$sql .= " ORDER BY ordine, Codice, descrizione";

$result = ntxSelectArray($sql);

$result = ntxSelectTranslate($result);

ntxMsgResult( $result );	

?>
