<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

$SchemaCommessa = ntxScalar($sql); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"  "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>

	<link href="../../opzioni_comuni/segnalazioni/report_prev.css" rel="stylesheet" type="text/css">
	 
	<style>

	</style>
</head>

<body>
<?php
require("../../opzioni_comuni/segnalazioni/report_prev_sql.php");
?> 

<div  class="header"  >
	<img src="report/vedi_header_commessa.php" /> 
</div>

<table> 
	<tr> 
		<th style="font-size:140%;" >
			preventivo<br>
			<?php echo htmlentities($rs[DesComm]) ?> 
</table> 
 
<table> 
	<tr>
		<th colspan="3" >
		Dati Richiesta
	<tr>
		<td>Numero Richiesta: <?php echo htmlentities($rs[Richiesta]) ?>
		<td>Data Richiesta: <?php echo ntxDateTime($rs[DataRichiesta]) ?>
		<td>Codice: <?php echo htmlentities($rs[Codice]) ?>
	<tr>
		<td colspan="3" >Localizzazione: <?php echo htmlentities($rs[Localizzazione]) ?>  -	<?php echo htmlentities($rs[Ente]) ?> 	 -	<?php echo htmlentities($rs[Utilizzatore]) ?> 	
	<tr>
		<td colspan="2" >Via:  <?php echo htmlentities($rs[Indirizzo]) ?> <?php echo htmlentities($rs[Civico]) ?> 	
		<td >Città: <?php echo htmlentities($rs[CITTA]) ?> 	 <?php echo htmlentities($rs[PROVINCIA]) ?> 	
	<tr>
		<td>Richiedente:<?php echo htmlentities($rs[Richiedente]) ?> 
		<td>Riferimento:<?php echo htmlentities($rs[Riferimento]) ?> 
		<td>Tel Rif.:<?php echo htmlentities($rs[TelefonoRif]) ?> 
</table>  
 
 
<table>  
	<tr>
		<td>Telefono:  
		<td>
			<?php echo htmlentities($rs[PropTel]) ?>
			<?php echo htmlentities($rs[UtlTel]) ?>
		<td>Email:
		<td>
			<?php echo htmlentities($rs[PropEmail]) ?>
			<?php echo htmlentities($rs[UtlEmail]) ?>
</table>  
 
<table> 
	<tr>
		<th colspan="3" >
		Dati Preventivo
	<tr> 
		<td colspan="2">Data:<?php echo ntxDateTime($rs[DataRichiestaPreventivo]) ?> 
		<td>Data Scadenza: 
	<tr>
		<td colspan="2">Ditta:<?php echo htmlentities($rs[Ditta]) ?> 
		<td>Grado Urgenza:<?php echo htmlentities($rs[desGU]) ?> 
	<tr>
		<td colspan="2">Contabiliz:<?php echo htmlentities($rs[Classificazione]) ?> 
		<td>Mestiere:<?php echo htmlentities($rs[Mestiere]) ?> 
	<tr>
		<td colspan="3" class="descrizione" > Descrizione Intervento:<br><?php echo htmlentities($rs[R_Descrizione]) ?> <?php echo htmlentities($rs[Descrizione1]) ?> <?php echo htmlentities($rs[R_Descrizione2]) ?>  
	<tr>
		<td colspan="3"> 
		Piano:<?php echo htmlentities($rs[Livello]) ?> 
		Vano:<?php echo htmlentities($rs[Ambiente]) ?> 
		Comp:<?php echo htmlentities($rs[CodComp2]) ?> 
	<tr>
		<td colspan="3" class="descrizione" style="height:60px;" >Note
		<?php echo htmlentities($rs[Note]) ?> 		
</table>   

<?php
$TotLordo = 0.00;
$TotNetto = 0.00;

$sqlPreventivo = <<< SQL
SELECT     RihePreventivi.Cod, RihePreventivi.Descrizione, RihePreventivi.UM, RihePreventivi.QTA, RihePreventivi.PzUnitario, RihePreventivi.Sconto, 
				  RihePreventivi.Titolo, RihePreventivi.DescrEstesa, RihePreventivi.Prezziario
FROM         Preventivi INNER JOIN
				  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo 
WHERE     (Preventivi.IDCommessa = $IdCommessa) AND (Preventivi.NumRichiesta = $NumRichiesta) AND (Preventivi.AnnoRichiesta = $AnnoRichiesta) 
ORDER BY RihePreventivi.Cod
SQL;

$query = ntxQuery($sqlPreventivo);

while( $rs = ntxRecord($query) )
{
	$Lordo = $rs['QTA'] * $rs['PzUnitario'];
	$Netto = $rs['QTA'] * $rs['PzUnitario'] * (1-$rs['Sconto']/100.0);
	if ( is_numeric($Lordo) ) 
		$TotLordo += (float)($Lordo);

	if ( is_numeric($Netto) ) 
		$TotNetto += (float)($Netto);
}

$ValoreIva = 22.00/100.00;
$ImportoIva = 0.00;
$ImportoTotale = 0.00;
if( is_numeric($TotNetto) )
{
	$ImportoIva = $TotNetto*$ValoreIva;
	$ImportoTotale = $TotNetto+$ImportoIva;
}
?> 
 
<table >
	<tr>
		<th rowspan="2">
		Totale Preventivo
	
		<th>Importo Imponibile
		<th>Importo IVA (22 %)
		<th>Importo Totale
		
	<tr>
		<td>€  <?php echo ntxRoundThousand($TotNetto,2) ?>	
		<td>€  <?php echo ntxRoundThousand($ImportoIva,2) ?>	
		<td>€  <?php echo ntxRoundThousand($ImportoTotale,2) ?>
</table>  
 
 
<div style="page-break-after: always;" ></div>  
<div  class="header">
	<img src="report/vedi_header_commessa.php" /> 
</div>  
 
<?php
$TotLordo = 0.00;
$TotNetto = 0.00;

$query = ntxQuery($sqlPreventivo);
?> 
 
<table>	
	<tr>
		<th colspan="11"> Analisi preventivo  
	
	<tr>
		<th>Prezziario
		<th>Codice
		<th>Titolo
		<th>Descrizione
		<th>Descr.Estesa
		<th>UM
		<th>QTA
		<th>Prezzo Unitario
		<th>Sconto
		<th>Totale Lordo
		<th>Totale Netto
	</tr>   

<?php
	while( $rs = ntxRecord($query) )
	{
		$Lordo = $rs['QTA'] * $rs['PzUnitario'];
		$Netto = $rs['QTA'] * $rs['PzUnitario'] * (1-$rs['Sconto']/100.0);
?>
	<tr>
		<td>&nbsp;<?php echo htmlentities($rs['Prezziario']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Cod']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Titolo']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['UM']) ?>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['QTA'],2) ?>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['PzUnitario'],2) ?>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['Sconto'],2) ?>
		<td>&nbsp;<?php echo ntxRoundThousand($Lordo,2) ?>
		<td>&nbsp;<?php echo ntxRoundThousand($Netto,2) ?>
	</tr>
<?php
		if ( is_numeric($Lordo) ) 
			$TotLordo += (float)($Lordo);

		if ( is_numeric($Netto) ) 
			$TotNetto += (float)($Netto);
	}

?>
	<tr><th colspan=9>TOTALE:
	<th><?php echo ntxRoundThousand($TotLordo,2) ?>
	<th><?php echo ntxRoundThousand($TotNetto,2) ?>
 
 
 
</body>
</html>
