<?php

$TotaleCosti = 0;
$TotaleCosti2 = 0;

if ( is_numeric($TipoPrezzo2) )
{
	$TipoPrezzo = "(RihePreventivi.TipoPrezzo=$TipoPrezzo OR RihePreventivi.TipoPrezzo=$TipoPrezzo2)";
}
else
{
	$TipoPrezzo = "RihePreventivi.TipoPrezzo=$TipoPrezzo";
}

$sql = <<< SQL
	SELECT     COUNT(*)
	FROM         Preventivi INNER JOIN
                      RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo 
	WHERE     (Preventivi.IDCommessa = $IdCommessa) AND (Preventivi.NumRichiesta = $NumRichiesta) AND (Preventivi.AnnoRichiesta = $AnnoRichiesta) AND $TipoPrezzo
SQL;

$conteggio = ntxScalar($sql);

if ( $conteggio > 0 )
{
	$sql = <<< SQL
		SELECT     RihePreventivi.Cod, RihePreventivi.Descrizione, RihePreventivi.UM, RihePreventivi.QTA, RihePreventivi.PzUnitario, RihePreventivi.Sconto, 
						  RihePreventivi.Titolo, RihePreventivi.DescrEstesa, RihePreventivi.Prezziario, isnull(ElencoPrezziInCommessa.ManodoperaIntrinseca,0) ManodoperaIntrinseca
		FROM         Preventivi INNER JOIN
						  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo 
						  LEFT OUTER JOIN
                      ElencoPrezziInCommessa ON RihePreventivi.IdCommessa = ElencoPrezziInCommessa.IdCommessa AND 
                      RihePreventivi.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo
		WHERE     (Preventivi.IDCommessa = $IdCommessa) AND (Preventivi.NumRichiesta = $NumRichiesta) AND (Preventivi.AnnoRichiesta = $AnnoRichiesta) AND $TipoPrezzo
		ORDER BY RihePreventivi.Cod
SQL;

	$query = ntxQuery($sql);

?>
	<table>
		<caption><?php echo $Titolo ?></caption>
		<tr>
		<th>Preziario</th>
		<th>Codice</th>
		<th>Titolo</th>
		<th>Descrizione</th>
		<th>Descr.Estesa</th>
		<th>UM</th>
		<th>QTA</th>
		<th>Prezzo<br>Unitario</th>
		<th>% Manodopera<br>Intrinseca</th>
		<th>Totale<br>Nolo</th>
		<th>Totale<br>Manodopera</th>
		</tr>   

<?php
		while( $rs = ntxRecord($query) )
		{
			$CostoTotale  = $rs['QTA'] * $rs['PzUnitario'] * (1-$rs['ManodoperaIntrinseca']*0.01);
			
			$CostoTotale2 = $rs['QTA'] * $rs['PzUnitario'] * $rs['ManodoperaIntrinseca'] * 0.007905;
?>
		<tr>
				<td>&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['QTA'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['PzUnitario'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['ManodoperaIntrinseca'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($CostoTotale,2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($CostoTotale2,2) ?></td>
		</tr>
<?php
			if ( is_numeric($CostoTotale) ) 
			{
				$TotaleCosti += (float)($CostoTotale);
			}
			
			if ( is_numeric($CostoTotale2) ) 
			{
				$TotaleCosti2 += (float)($CostoTotale2);
			}
		}
	
?>
		<tr><th colspan=9 class=number>TOTALE <?php echo $Titolo ?>:</th>
		<th class=number><?php echo ntxRoundThousand($TotaleCosti,2) ?></th>
		<th class=number><?php echo ntxRoundThousand($TotaleCosti2,2) ?></th>
	</table>
	<br>
<?php
}
?>
