<?php

$sql = <<< sql
	SELECT     TOP (1) Richieste.NumRifCli, Richieste.AnnoRifCli, Richieste.CommRifCli, Richieste.NumRichiesta, Richieste.AnnoRichiesta, ElencoEdifici.EdificioBreve AS Edificio, 
                      ElencoEdifici.Indirizzo, tblUtUtilizzatori.Nome AS Utilizzatore, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, Richieste.Richiedente, 
                      Richieste.TecnicoC, Richieste.DataRichiesta, tblUtUtilizzatori.cdc, ElencoEdifici.Codice, Richieste.DataAutorizzazione
	FROM         Richieste INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
                      tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;

$query = ntxQuery($sql);

$table = "";

if($rs = ntxRecord($query))
{
	$NumRichiesta = (int)$rs[NumRichiesta];
	$AnnoRichiesta = (int)$rs[AnnoRichiesta];
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[DataRichiesta] = ntxDateTime($rs[DataRichiesta]);
	$rs[DataAutorizzazione] = ntxDateTime($rs[DataAutorizzazione]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	echo <<< echo
		<p class=Title>Ordine CoBo: $html[NumRifCli]-$html[AnnoRifCli]-$html[CommRifCli]</p>
		
		<table class=Table1>
			<tr>
				<td>Ordine Cliente:
				<th>$html[NumRifCli]-$html[AnnoRifCli]-$html[CommRifCli]
				<td>CdC:
				<td>$html[CdC]
				<td>Utilizzatore:
				<td>$html[Utilizzatore]
			<tr>
				<td>CDE:
				<td>$html[Codice]
				<td>Edificio:
				<td>$html[Edificio]
				<td>Indirizzo:
				<td>$html[Indirizzo]
		</table>

		&nbsp;<br>
		
		<table class=Table2>
			<tr>
				<th>Richiesta
				<th>Data Richiesta
				<th>Richiedente
				<th>Descrizione
				<th>Tecnico CoBo
				<th>Data Ordine
			<tr>
				<td>$html[NumRichiesta]-$html[AnnoRichiesta]
				<td>$html[DataRichiesta]
				<td>$html[Richiedente]
				<td>{$html[Descrizione]}{$html[Descrizione1]}{$html[Descrizione2]}
				<td>$html[TecnicoC]
				<td>$html[DataAutorizzazione]
		</table>
echo;
}
else
	die("Richiesta associata non trovata!");
?>

