<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
	
require_once('richieste_sql.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>
	
<table>
	<tr>
		<th>Num</th>
		<th>Anno</th>
		<th>Richiedente</th>
		<th>Data</th>
		<th>Classificazione</th>
		<th>Autorizzato</th>
		<th>Data Autorizzazione</th>
		<th>Stato</th>
		<th>Archiviata</th>
		<th>Des</th>
		<th>Importo Stimato</th>
		<th>Nota Affidatario</th>			
		<th>Ente</th>
		<th>Codice Localizzazione</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>ordine assegnato</th>
		<th>Originata da ordine</th>
		<th>Utilizzatore</th>
		<th>IdChiamataCallCenter</th>
	</tr>   

<?php
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td><?php echo htmlentities($rs['NumRichiesta']) ?></td>
		<td><?php echo htmlentities($rs['AnnoRichiesta']) ?></td>
		<td><?php echo htmlentities($rs['Richiedente']) ?></td>
		<td><?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td><?php echo htmlentities($rs['Classificazione']) ?></td>
		<td><?php echo $rs['VAutorizzazione']==1 ? "x" : "" ?></td>
		<td><?php echo ntxDateTime($rs['DataAutorizzazione']) ?></td>
		<td><?php echo htmlentities($rs['DesStato']) ?></td>
		<td><?php echo $rs['Archiviata']==1 ? "SI" : "no" ?></td>
		<td><?php echo htmlentities($rs['Des']) ?></td>
		<td><?php echo htmlentities($rs['ImpS']) ?></td>
		<td><?php echo htmlentities($rs['NoteImpS']) ?></td>		
		<td><?php echo htmlentities($rs['Ente']) ?></td>
		<td><?php echo htmlentities($rs['Codice']) ?></td>
		<td><?php echo htmlentities($rs['Nome']) ?></td>
		<td><?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td><?php echo htmlentities($rs['Comune']) ?></td>
		<td><?php echo htmlentities($rs['Provincia']) ?></td>
		<td><?php echo htmlentities($rs['Cap']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php if ( is_numeric($rs[NumOrdine]) ) echo htmlentities((int)$rs[NumOrdine]."/$rs[AnnoOrdine]") ?></td>
		<td><?php if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities((int)$rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?></td>
		<td><?php echo htmlentities($rs['Utilizzatore']) ?></td>
		<td><?php echo htmlentities($rs['IdChiamataCallCenter']) ?></td>
	</tr>
<?php
	}
?>
</table>

</body>
</html>

