<?php

if ( !is_numeric($_POST[IdSal]) )
	jhp_error('Selezionare prima sal!');
	
$IdCommessa = ntxise('IdCommessa');
$IdSal = ntxip('IdSal');

if ( isset($_POST[importoNetto1]) ) 
	$importoNetto1 = ntxfp('importoNetto1');
else
	$importoNetto1 = "NULL";
	
if ( isset($_POST[importoNetto2]) ) 
	$importoNetto2 = ntxfp('importoNetto2');
else
	$importoNetto2 = "NULL";

$sql = <<< sql
SELECT     SalContrattiGestione.NumeroSal, SalContrattiGestione.IdContrattoGestione, tblPgContratti.IdPropietario, tblPgContratti.TipoLocalizzazione, 
                      SalContrattiGestione.NumeroFattura, SalContrattiGestione.DataFattura, SalContrattiGestione.IVA, SalContrattiGestione.DataCompetenza
FROM         SalContrattiGestione INNER JOIN
                      tblPgContratti ON SalContrattiGestione.IdContrattoGestione = tblPgContratti.IdPgContratto
WHERE     (SalContrattiGestione.IdCommessa = $IdCommessa) AND (SalContrattiGestione.IdSal = $IdSal)
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

if ( !is_numeric($rs[NumeroSal]) )
	die('Il num.sal dev\'essere assegnato!');
	
$IdContrattoGestione = $rs[IdContrattoGestione];
$IdProprietario = $rs[IdPropietario];
$TipoLocalizzazione = $rs[TipoLocalizzazione];
$AliquotaIVAforCalc = $rs[IVA];
$AliquotaIVA = ntxRound($rs[IVA],0);
$NumeroFattura = $rs[NumeroFattura];
$DataFattura = ntxDate($rs[DataFattura]);
$DataCompetenza = ntxDate($rs[DataCompetenza]);
$MeseCompetenza = ntxMonth($rs[DataCompetenza]);
$DesMeseCompetenza = $mesi[(int)$MeseCompetenza];
$AnnoCompetenza = ntxYear($rs[DataCompetenza]);

$addWhere = "";

if ( strlen("$_POST[Codice]")>0 ) $addWhere .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( strlen("$_POST[EdificioBreve]")>0 ) $addWhere .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";

if ( strlen("$_POST[EdificioEstesa]")>0 ) $addWhere .= " AND ElencoEdifici.EdificioEstesa LIKE '%".str_replace("'","''",$_POST[EdificioEstesa])."%'";

if ( strlen("$_POST[Indirizzo]")>0 ) $addWhere .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[CITTA]")>0 ) $addWhere .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";

if ( strlen("$_POST[PROVINCIA]")>0 ) $addWhere .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[PROVINCIA])."%'";

if ( strlen("$_POST[Regione]")>0 ) $addWhere .= " AND ElencoEdifici.Regione LIKE '%".str_replace("'","''",$_POST[Regione])."%'";

if ( strlen("$_POST[CAP]")>0 ) $addWhere .= " AND ElencoEdifici.CAP = '".str_replace("'","''",$_POST[CAP])."'";

if ( is_numeric($_POST[ID2]) ) $addWhere .= " AND ElencoEdifici.ID=".((int)$_POST[ID2]);

if ( is_numeric($_POST[IdVoce]) ) $addWhere .= " AND Contabilità.IdVoce=".((int)$_POST[IdVoce]);

if ( $importoNetto1!="NULL" ) $addWhere .= <<< addWhere
		AND (
			SELECT     sum(isnull(QTA*PzUnitario-QTA*PzUnitario*isnull(Sconto,0)/100,0))
			FROM         RiheContabilità
			WHERE     (RiheContabilità.IdCommessa = Contabilità.IdCommessa) 
			AND (RiheContabilità.NumContabilità = Contabilità.NumContabilità)
		)>=$importoNetto1
addWhere;

if ( $importoNetto2!="NULL" ) $addWhere .= <<< addWhere
		AND (
			SELECT     sum(isnull(QTA*PzUnitario-QTA*PzUnitario*isnull(Sconto,0)/100,0))
			FROM         RiheContabilità
			WHERE     (RiheContabilità.IdCommessa = Contabilità.IdCommessa) 
			AND (RiheContabilità.NumContabilità = Contabilità.NumContabilità)
		)<=$importoNetto2
addWhere;

if ( is_numeric($_POST[Tipo]) )
{
	if ( $_POST[Tipo]>0 )
		$addWhere .= " AND ElencoEdifici.Tipo=".((int)$_POST[Tipo]);
	else
		$addWhere .= " AND (ElencoEdifici.Tipo=0 OR ElencoEdifici.Tipo IS NULL)";
}

if ( is_numeric($_POST[IdMestiere]) ) $addWhere .= " AND Ordini.IdMestiere=".((int)$_POST[IdMestiere]);

if ( is_numeric($_POST[IdComponenteMestiere]) ) $addWhere .= " AND Ordini.IdComponenteMestiere=".((int)$_POST[IdComponenteMestiere]);

if ( is_numeric($_POST[IdAttivitàMestiere]) ) $addWhere .= " AND Ordini.IdAttivitàMestiere=".((int)$_POST[IdAttivitàMestiere]);

switch($TipoLocalizzazione)
{
	case null:
		break;
	case 0:
		$addWhere .= " AND (ElencoEdifici.Tipo IS NULL OR ElencoEdifici.Tipo=0) ";
		break;
	case 1:
		$addWhere .= " AND (ElencoEdifici.Tipo=1) ";
		break;
	case 2:
		$addWhere .= " AND (ElencoEdifici.Tipo=2) ";
		break;
}

if ( $_POST[chkContratto] )
	$addWhere .= " AND Ordini.IdContrattoGestore=$IdContrattoGestione ";

if ( $_POST[chkProprietari] )
	$addWhere .= " AND ElencoEdifici.IdProprietario=$IdProprietario ";
	
$nome_campo_data = "";

if ( $_POST[data_confronto] == 'Ordini.DataInizio' )
	$nome_campo_data = "Ordini.DataInizio";
elseif ( $_POST[data_confronto] == 'Ordini.DataFine' )
	$nome_campo_data = "Ordini.DataFine";
elseif ( $_POST[data_confronto] == 'Contabilità.DataContabilità' )
	$nome_campo_data = "Contabilità.DataContabilità";
elseif ( $_POST[data_confronto] == 'Contabilità.DataApprovazione' )
	$nome_campo_data = "Contabilità.DataApprovazione";
elseif ( $_POST[data_confronto] == 'Contabilità.DataConsegna' )
	$nome_campo_data = "Contabilità.DataConsegna";
elseif ( $_POST[data_confronto] == 'Richieste.DataRichiesta' )
	$nome_campo_data = "Richieste.DataRichiesta";

if ( strlen($nome_campo_data)>0 )
{
	if ( strlen($_POST[data1])>0 )
	{
		$data1 = ntxtp('data1');
		$addWhere .= " AND $nome_campo_data>=$data1 ";
	}
	
	if ( strlen($_POST[data2])>0 )
	{
		$data2 = ntxt("$_POST[data2] 23:59:59");
		$addWhere .= " AND $nome_campo_data<=$data2 ";
	}
}

$addWhere .= ")";

if ( is_numeric($_POST[IdDitta]) )
	$addWhere .= " AND Ordini.Assegnazione=".ntxip('IdDitta');

if ( $_POST[chkSoloInQuesotSal] )
	$addWhere .= " AND (Contabilità.IdSalDefContrattoGestione = $IdSal) ";

$sql = <<< sql
	SELECT  
		RiheContabilità.Descrizione, SUM(ISNULL(RiheContabilità.QTA,0)) QTA, RiheContabilità.UM, RiheContabilità.PzUnitario,
			SUM(ISNULL(RiheContabilità.QTA * RiheContabilità.PzUnitario *(1-ISNULL(RiheContabilità.Sconto,0)/100),0)) Totale
			
		FROM         Contabilità INNER JOIN
			  RiheContabilità ON Contabilità.IDCommessa = RiheContabilità.IdCommessa AND Contabilità.NumContabilità = RiheContabilità.NumContabilità
		  INNER JOIN
                      Ordini ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
                      Contabilità.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta LEFT OUTER JOIN
                      VociBudgetClienti ON Contabilità.IdVoce = VociBudgetClienti.Id
				LEFT JOIN
                      tblComponetiMestiere ON Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere AND 
                      Ordini.IDCommessa = tblComponetiMestiere.IdCommessa LEFT OUTER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
                      tblAttivitàMestiere ON Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa
					  
WHERE (Contabilità.IDCommessa = $IdCommessa) 
	AND (
		(Contabilità.IdSalContrattoGestione = $IdSal)
		OR (Contabilità.IdSalDefContrattoGestione = $IdSal)
		OR (Contabilità.IDCommessa = $IdCommessa)
		AND (Contabilità.idStatoc = 60)
		AND Contabilità.IdSalContrattoGestione IS NULL
		AND Contabilità.IdSalDefContrattoGestione IS NULL
		$addWhere
		GROUP BY RiheContabilità.Descrizione, RiheContabilità.UM, RiheContabilità.PzUnitario
		ORDER BY Descrizione
sql;

$query1 = ntxQuery($sql);

?>