<?php

$sql = <<< sql
	UPDATE    SalContrattiGestione
	SET              
		ImportoProvvisorio = (
			SELECT SUM(isnull(r.QTA*r.PzUnitario
							* case when isnull(r.OneriSicurezza,0)=1 then
								1
							else case when r.TipoPrezzo=2 then -- Manodopera 
									0.951126
								else
									(1-isnull(r.Sconto,0)/100)
								end
							end
			
						,0))
			FROM RiheContabilità  r INNER JOIN Contabilità
			ON r.IdCommessa=Contabilità.IdCommessa
			AND r.NumContabilità=Contabilità.NumContabilità
			WHERE Contabilità.IdCommessa=$IdCommessa AND Contabilità.IdSalContrattoGestione=$IdSal	
		)
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
sql;

ntxQuery($sql);

$sql = <<< sql
	UPDATE    SalContrattiGestione
	SET              
		Importo = (
			SELECT SUM(isnull(r.QTA*r.PzUnitario
							* case when isnull(r.OneriSicurezza,0)=1 then
								1
							else case when r.TipoPrezzo=2 then -- Manodopera 
									0.951126
								else
									(1-isnull(r.Sconto,0)/100)
								end
							end
			
						,0))
			FROM RiheContabilità  r INNER JOIN Contabilità
			ON r.IdCommessa=Contabilità.IdCommessa
			AND r.NumContabilità=Contabilità.NumContabilità
			WHERE Contabilità.IdCommessa=$IdCommessa AND Contabilità.IdSalDefContrattoGestione=$IdSal	
		)
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
sql;

ntxQuery($sql);

$sql = <<< sql
	update tblPgContratti set Importo = (
		SELECT     SUM(ISNULL(SalContrattiGestione.Importo,0))
		FROM         SalContrattiGestione 
		WHERE SalContrattiGestione.IdContrattoGestione = tblPgContratti.IdPgContratto)
	WHERE     (tblPgContratti.IdPgContratto = $IdContrattoGestione)
sql;

ntxQuery($sql);

?>
