<?php
session_start();

require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$NumContabilità = ntxip('NumContabilità');

$sql = <<< sql
	SELECT     VociBudgetClienti.Id, VociBudgetClienti.Voce
	FROM         Contabilità INNER JOIN
						  ElencoEdifici ON Contabilità.IDCommessa = ElencoEdifici.IdCommessa AND Contabilità.CodEdificio = ElencoEdifici.ID INNER JOIN
						  VociBudgetClienti ON ElencoEdifici.IdProprietario = VociBudgetClienti.IdCliente
	WHERE     (VociBudgetClienti.TipoLocalizzazione IS NULL OR VociBudgetClienti.TipoLocalizzazione = ISNULL(ElencoEdifici.Tipo, 0)) 
		AND (Contabilità.IDCommessa = $IdCommessa) 
		AND (Contabilità.NumContabilità = $NumContabilità)
	ORDER BY Voce
sql;

$query = ntxQuery($sql);

$result = <<< result
	<div class=TastoTendinaSelezione onclick="$('#TendinaSelezioneVociBudgetContabilità').hide()">Chiudi</div>
		<div class=TastoTendinaSelezione onclick="SelVoceBudgetContabilità($NumContabilità, '')">Voce Nulla</div>
result;

while($rs=ntxRecord($query))
{
	$Id = $rs[Id]; $Voce = htmlentities($rs[Voce]);
	
	$result .= <<< result
		<div class=TastoTendinaSelezione onclick="SelVoceBudgetContabilità($NumContabilità, $Id)">$Voce</div>
result;
}
	
jhp($result);

?>					  