<?php

$sql = <<< sql
SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine,Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, 
                      Ordini.DescrizioneIntervento2, Ordini.DataInizio, Ordini.DataFine, SUM(RiheContabilità.QTA) AS QTA, RiheContabilità.PzUnitario, 
                      SUM(ISNULL(RiheContabilità.QTA * RiheContabilità.PzUnitario, 0)) AS Totale,
					  (
						  SELECT      tblUtUtilizzatori.Nome
							FROM         tblUtUtilizzatori
							WHERE     tblUtUtilizzatori.IdCommessa = Ordini.IDCommessa 
								AND tblUtUtilizzatori.IdUtilizzatore = Richieste.IdUtilizzatore) Utilizzatore

FROM         Contabilità INNER JOIN
                      RiheContabilità ON Contabilità.IDCommessa = RiheContabilità.IdCommessa AND 
                      Contabilità.NumContabilità = RiheContabilità.NumContabilità INNER JOIN
                      Ordini ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
                      Contabilità.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta  LEFT OUTER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta LEFT OUTER JOIN
                      VociBudgetClienti ON Contabilità.IdVoce = VociBudgetClienti.Id LEFT OUTER JOIN
                      tblComponetiMestiere ON Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere AND 
                      Ordini.IDCommessa = tblComponetiMestiere.IdCommessa LEFT OUTER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
                      tblAttivitàMestiere ON Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
                      Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa
WHERE (Contabilità.IDCommessa = $IdCommessa) 
	AND (
		(Contabilità.IdSalContrattoGestione = $IdSal)
		OR (Contabilità.IdSalDefContrattoGestione = $IdSal)
		OR (Contabilità.IDCommessa = $IdCommessa)
		AND (Contabilità.idStatoc = 60)
		AND Contabilità.IdSalContrattoGestione IS NULL
		AND Contabilità.IdSalDefContrattoGestione IS NULL
		$addWhere
	GROUP BY Richieste.IdUtilizzatore,Ordini.IDCommessa, Ordini.NumOrdine, Ordini.DataOrdine, Ordini.AnnoOrdine,  Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, 
                      Ordini.DescrizioneIntervento2, Ordini.DataInizio, Ordini.DataFine, RiheContabilità.PzUnitario					  
		ORDER BY Ordini.AnnoOrdine, Ordini.NumOrdine
sql;

$query2 = ntxQuery($sql);

?>