<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_339", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_339", "IT", __FILE__);

$mesi = array (
			"", 
			$traduttore->traduci('Gennaio'),
			$traduttore->traduci('Febbraio'),
			$traduttore->traduci('Marzo'),
			$traduttore->traduci('Aprile'),
			$traduttore->traduci('Maggio'),
			$traduttore->traduci('Giugno'),
			$traduttore->traduci('Luglio'),
			$traduttore->traduci('Agosto'),
			$traduttore->traduci('Settembre'),
			$traduttore->traduci('Ottobre'),
			$traduttore->traduci('Novembre'),
			$traduttore->traduci('Dicembre'));

?>
<html>
<head>
	<link href="css/report1.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>

</head>
<body  >

<div class=no_print>
<input type=button value="<?php $traduttore->html('Stampa') ?>" onclick="print()" />
</div>

<?php

include('fatture_risanamento-sql-1.inc');
include('fatture_risanamento-sql-2.inc');

$table1 = "";

$TotImponibile = 0;

while ( $rs = ntxRecord($query1) )
{
	$QTA = ntxRoundThousand($rs[QTA], 2);
	$PzUnitario = ntxRoundThousand($rs[PzUnitario], 3);
	$Totale = ntxRoundThousand($rs[Totale], 2);
	$TotImponibile += $rs[Totale];
	
	foreach($rs as $key => $value)
		$html[$key] = htmlentities($value);
	
	$table1 .= <<< table1
		<tr>
			<td>$html[Descrizione]
			<th class=cellNum>$QTA&nbsp;$html[UM]
			<th class=cellNum>$PzUnitario&nbsp;€/$html[UM]
			<th class=cellNum>$Totale&nbsp;€
table1;
}

$Sconto2x100 = $TotImponibile * 0.02;
	
$Sconto2x100stampa = ntxRoundThousand($Sconto2x100, 2);
	
/*$table1 .= <<< table1
	<tr><th><br>
	<tr>
		<td>Sconto 2%<td class=cellNum><td class=cellNum><td class=cellNum>-$Sconto2x100stampa&nbsp;€
table1;*/
$table1 .=
	"<tr><th><br>
	<tr>
		<td>".$traduttore->traduci('Sconto 2%')."<td class=cellNum><td class=cellNum><td class=cellNum>-$Sconto2x100stampa&nbsp;€"
;

$TotImponibile -= $Sconto2x100;

$IVACalc = $TotImponibile * $AliquotaIVAforCalc*0.01;

$TotImpConIVA = $TotImponibile + $IVACalc;

$ImportoSenzaIVA = ntxRoundThousand($TotImponibile, 2);
$IVA = ntxRoundThousand($IVACalc, 2);
$ImportoConIVA = ntxRoundThousand($TotImpConIVA, 2);

$table2 = "";

while ( $rs = ntxRecord($query2) )
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$QTA = ntxRoundThousand($rs[QTA], 2);
	$PzUnitario = ntxRoundThousand($rs[PzUnitario], 3);
	$Totale = ntxRoundThousand($rs[Totale], 2);
	$DataInizio = ntxDate($rs[DataInizio]);
	$DataFine = ntxDate($rs[DataFine]);
	
	foreach($rs as $key => $value)
		$html[$key] = htmlentities($value);
	
	$table2 .= <<< table2
		<tr>
			<th>$html[Utilizzatore]
			<th class=cellCenter>$html[NumOrdine]/$html[AnnoOrdine]
			<th>$html[AreaIntervento]
			<th class=cellCenter>$DataInizio
			<th class=cellCenter>$DataFine
			<th class=cellNum>$QTA
			<th class=cellNum>$PzUnitario&nbsp;€
			<th class=cellNum>$Totale&nbsp;€
table2;
}

$dessss1 = strtoupper($traduttore->traduci('RISANAMENTO ANNUALE DI')." $DesMeseCompetenza $AnnoCompetenza");

?>
<textarea class=no_print cols=120 rows=1 id=txtDes1 onblur="$('#dessss1').text($(this).val());$('#dessss2').text($(this).val())"><?php echo "$dessss1" ?></textarea>
<br>
<p class="title1">
BRIXIA SOCIETA' CONSORTILE A R.L.
</p>
<p class="title2">
VIA PAOLO PARUTA, 6
</p>
<p class="title3">
20100 MILANO (MI)
<br>
<?php $traduttore->html('P.IVA') ?> 06738160966 - <?php $traduttore->html('C.F.') ?> 06738160966 <?php $traduttore->html('E N. Iscr. di') ?> BS 06738160966
</p>
<table class=table1>
	<tr>
		<td class="title3"><?php $traduttore->html('NUMERO') ?> R.E.A. 1911978
		<td class="title3">C.C.I.A.A. Brescia
		<td class="title3">C.S.i.v. - 10.000,00
</table>
<hr class=hr />
<br>
<div class="title4">
			<?php $traduttore->html('Spett.le') ?>
			<br><span class=title5>FUTURA s.r.l.</span>
			<br>Piazzale degli Spedali Civili, 1
			<br>20100 BRESCIA (BS)
			<br><?php $traduttore->html('P.IVA') ?> 03133870984
</div>
<br style="clear:both">
<br>
<br>
<br>
<br>
<table style="width:100%" class=grid>
<tr><td style="width:15%"><?php $traduttore->html('Data Fattura') ?><td style="width:15%"><?php echo $DataFattura ?><td>
<td style="width:15%"><?php $traduttore->html('Fattura N°') ?><td style="width:15%"><?php echo $NumeroFattura ?>
<tr><td colspan=5><?php $traduttore->html('Modalità di Pagamento: 09 - B.B. 15 GG. DATA RICEVIMENTO FATTURA') ?>
<tr><td colspan=5><?php $traduttore->html('Ns. cordinate: ABI 03500 CAB 11207 - BANCO DI BRESCIA - AGENZIA N.7 - IBAN IT 21 I03500 11207 000000027813') ?>
</table>
<br>
<br>
<br>

<p style="font-weight:bold;border-top:1px solid black;border-bottom:3px double black">
<?php $traduttore->html('ATTIVITA\' DI') ?> <span id=dessss1 style="font-weight:bold"><?php echo "$dessss1" ?></span>
</p>

<table class=table1>
	<tr>
		<th class=cell1><?php $traduttore->html('Descrizione') ?>
		<th class=cell2><?php $traduttore->html('Quantità') ?>
		<th class=cell2><?php $traduttore->html('Prezzo Unitario al netto di IVA') ?>
		<th class=cell2><?php $traduttore->html('Importo') ?>
			
	<?php echo $table1 ?>

	<tr>
		<th class=cell1 colspan=4>

	<tr><td style="padding-top:1em"><?php $traduttore->html('Totale Imponibile al netto di IVA') ?>
		<td class=cellNum><td class=cellNum><td class=cellNum><?php echo $ImportoSenzaIVA ?>&nbsp;€
	<tr><td style="padding-top:1em"><?php $traduttore->html('Aliquota IVA') ?>
		<td class=cellNum><td class=cellNum><td class=cellNum><?php echo $AliquotaIVA ?>%
	<tr><td style="padding-top:1em"><?php $traduttore->html('IVA') ?>
		<td class=cellNum><td class=cellNum><td class=cellNum><?php echo $IVA ?>&nbsp;€
	<tr><td style="padding-top:1em"><?php $traduttore->html('Totale Importo Servizio Pulizia IVA Inclusa') ?>
		<td class=cellNum><td class=cellNum><td class=cellNum><?php echo $ImportoConIVA ?>&nbsp;€
</table>
<br>
<br>
<br>
<br>
<br>
<br>

<p style="font-weight:bold;border-top:1px solid black;border-bottom:1px solid black">
	<table style="width:100%">
		<tr>
			<td style="font-weight:bold;width:1px;padding:5px"><?php $traduttore->html('Totale Servizi') ?>
			<td style="font-weight:bold;width:1px;padding:5px"><?php $traduttore->html('Imponibile') ?> 
			<td style="font-weight:bold;padding:5px;text-align:center"><?php echo $ImportoSenzaIVA ?>&nbsp;€
			<td style="font-weight:bold;width:1px;padding:5px"><?php $traduttore->html('IVA') ?> 
			<td style="font-weight:bold;padding:5px;text-align:center"><?php echo $IVA ?>&nbsp;€
			<td style="font-weight:bold;width:1px;padding:5px"><?php $traduttore->html('Importo IVA Inclusa') ?> 
			<td style="font-weight:bold;padding:5px;text-align:center"><?php echo $ImportoConIVA ?>&nbsp;€
	</table>
</p>
<p style="font-weight:bold;border-bottom:1px solid black">
<?php $traduttore->html('IVA AD ESIGIBILITA\' DIFFERITA') ?>
</p>

<p style="font-weight:bold;page-break-before: always;text-align:center">
<?php $traduttore->html('ALLEGATO ALLA FATTURA NR.') ?> <?php echo "$NumeroFattura ".$traduttore->html('DEL')." $DataFattura" ?>
 - <?php $traduttore->html('DETTAGLIO ATTIVITA\' DI') ?> <span id=dessss2 style="font-weight:bold"><?php echo $dessss1 ?></span>
</p>


<table class=table1 style="">
	<tr>
		<th class=cell2><?php $traduttore->html('Utilizzatore') ?>
		<th class=cell2><?php $traduttore->html('Ordine') ?>
		<th class=cell2><?php $traduttore->html('Area') ?>
		<th class=cell2><?php $traduttore->html('Data Inizio') ?>
		<th class=cell2><?php $traduttore->html('Data Fine') ?>
		<th class=cell2><?php $traduttore->html('Mq') ?>
		<th class=cell2><?php $traduttore->html('Prezzo') ?>
		<th class=cell2><?php $traduttore->html('Totale') ?>
			
	<?php echo $table2 ?>
</table>

</body>
<?php $traduttore->Salva(); ?>

</html>

