<?php  
session_start();

require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_246", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_246", "IT", __FILE__);

$result[contratto] = "";
$result[NumSal] = "";
$result[dataSaleCompetenza] = "";

if ( is_numeric($_POST[IdContrattoGestione]) )
{
	$IdCommessa = ntxise('IdCommessa');
	$IdContratto = ntxip('IdContrattoGestione');

	$sql = <<< sql
		SELECT DISTINCT 
							  tblPgPropietari.Nome AS Ente, 
							  tblPgContratti.Descrizione, 
							  tblPgContratti.DataContratto, 
							  tblPgContratti.DataInizio, 
							  tblPgContratti.DataFine, 
							  tblPgContratti.Aperto, 
							  tblPgContratti.Note,
							  tblPgContratti.TipoContratto, 
							  tblPgContratti.IdPgContratto
		FROM         tblPgPropietari INNER JOIN
							  tblPgContratti ON tblPgPropietari.IdPropietario = tblPgContratti.IdPropietario
		WHERE     (tblPgContratti.IdCommessa = $IdCommessa)
		AND     (tblPgContratti.IdPgContratto = $IdContratto)
sql;

	$query = ntxQuery($sql);
	
	$table = "";
	
	while ( $rs = ntxRecord($query) )
	{
		foreach($rs as $key => $value)
			$rs[$key] = htmlentities($value);
			
		$rs['Aperto'] = $rs['Aperto'] ? "X" : "";
		$rs['DataContratto'] = ntxDate($rs['DataContratto']);
		$rs['DataInizio'] = ntxDate($rs['DataInizio']);
		$rs['DataFine'] = ntxDate($rs['DataFine']);

		$table .= <<< table
	<tr>
		<td>&nbsp;$rs[Aperto]</td>
		<td>&nbsp;$rs[TipoContratto]</td>
		<td>&nbsp;$rs[IdPgContratto]</td>
		<td>&nbsp;$rs[Ente]</td>
		<td>&nbsp;$rs[Descrizione]</td>
		<td>&nbsp;$rs[DataContratto]</td>
		<td>&nbsp;$rs[DataInizio]</td>
		<td>&nbsp;$rs[DataFine]</td>
		<td>&nbsp;$rs[Note]</td>
	</tr>
table;

		$alternate = !$alternate;
	}
	
	if ( strlen($table)>0 ) 		
		/*$table = <<< table
			<table class=grid>
			<caption>Contratto Gestione Selezionato
			<tr>
				<th>Aperto</th>
				<th>Tipo Contratto</th>
				<th>ID</th>
				<th>Ente</th>
				<th>Descrizione</th>
				<th>Data Contratto</th>
				<th>Data Inizio</th>
				<th>Data Fine</th>
				<th>Note</th>
			</tr>   
			$table
			</table>
table;*/
$table =
			"<table class=grid>
			<caption>".$traduttore->traduci('Contratto Gestione Selezionato')
			."<tr>"
				."<th>".$traduttore->traduci('Aperto')."</th>"
				."<th>".$traduttore->traduci('Tipo Contratto')."</th>"
				."<th>".$traduttore->traduci('ID')."</th>"
				."<th>".$traduttore->traduci('Ente')."</th>"
				."<th>".$traduttore->traduci('Descrizione')."</th>"
				."<th>".$traduttore->traduci('Data Contratto')."</th>"
				."<th>".$traduttore->traduci('Data Inizio')."</th>"
				."<th>".$traduttore->traduci('Data Fine')."</th>"
				."<th>".$traduttore->traduci('Note')."</th>"
			."</tr>   
			$table
			</table>"
;
		
	$sqlNumSal = <<< sqlNumSal
		SELECT     ISNULL(MAX(NumeroSal),0)+1
		FROM         SalContrattiGestione
		WHERE     (IdCommessa = $IdCommessa) AND (IdContrattoGestione = $IdContratto)
sqlNumSal;
		
	$sqldataSaleCompetenza = "SELECT getdate()";
	
	$result[contratto] = $table;
	$result[NumSal] = ntxScalar($sqlNumSal);
	$result[dataSaleCompetenza] = ntxDate(ntxScalar($sqldataSaleCompetenza));
}

$traduttore->Salva();

jhp($result);

?>
