<?php  

$IdCommessa = ntxise('IdCommessa');
$IdContratto = ntxip('IdContratto');

$sql = <<< sql
	SELECT DISTINCT 
						  tblPgPropietari.Nome AS Ente, 
						  tblPgContratti.Descrizione, 
						  tblPgContratti.DataContratto, 
						  tblPgContratti.DataInizio, 
						  tblPgContratti.DataFine, 
						  tblPgContratti.Aperto, 
						  tblPgContratti.Note,
						  tblPgContratti.TipoContratto, 
						  tblPgContratti.IdPgContratto
	FROM         tblPgPropietari INNER JOIN
						  tblPgContratti ON tblPgPropietari.IdPropietario = tblPgContratti.IdPropietario
	WHERE     (tblPgContratti.IdCommessa = $IdCommessa)
	AND     (tblPgContratti.IdPgContratto = $IdContratto)
sql;

$query = ntxQuery($sql);
	
?>

<table class=grid>
	<caption><?php $traduttore->html('Contratto Gestione Selezionato') ?>
	<tr>
		<th><?php $traduttore->html('Aperto') ?></th>
		<th><?php $traduttore->html('Tipo Contratto') ?></th>
		<th><?php $traduttore->html('ID') ?></th>
		<th><?php $traduttore->html('Ente') ?></th>
		<th><?php $traduttore->html('Descrizione') ?></th>
		<th><?php $traduttore->html('Data Contratto') ?></th>
		<th><?php $traduttore->html('Data Inizio') ?></th>
		<th><?php $traduttore->html('Data Fine') ?></th>
		<th><?php $traduttore->html('Note') ?></th>
	</tr>   

<?php
	if ( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td>&nbsp;<?php echo $rs['Aperto'] ? "X" : "" ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['TipoContratto']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['IdPgContratto']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataContratto']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataFine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
	</tr>
<?php
	}
?>
</table>
