<?php

$sql = <<< sql
	SELECT     
		SUM(ISNULL(RiheContabilità.QTA * RiheContabilità.PzUnitario,0)) AS IMP_LORDO, 
		SUM(ISNULL(RiheContabilità.QTA * RiheContabilità.PzUnitario * (1-isnull(RiheContabilità.Sconto,0)/100),0)) AS IMP_NETTO
		
	FROM         Ordini INNER JOIN
						  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
						  Ordini.AnnoOrdine = Contabilità.AnnoOrdine INNER JOIN
						  Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
						  Ordini.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
						  RiheContabilità ON Contabilità.IDCommessa = RiheContabilità.IdCommessa AND Contabilità.NumContabilità = RiheContabilità.NumContabilità
	WHERE     (Contabilità.IdSalDefContrattoGestione = $IdSal) AND (Contabilità.IDCommessa = $IdCommessa)
sql;

$rs = ntxRecord(ntxQuery($sql));

$Lordo = ntxRoundThousand($rs[IMP_LORDO],2);
$Netto = ntxRoundThousand($rs[IMP_NETTO],2);

?>
<table class=table>
	<caption><?php $traduttore->html('RIEPILOGO') ?></caption>
	<tr><td style='text-align:center'>A<td><?php $traduttore->html('Importo Lordo') ?><td class=number>&nbsp;<?php echo$Lordo ?>
	<tr><td style='text-align:center'>B<td><?php $traduttore->html('Importo Netto') ?><td class=number>&nbsp;<?php echo$Netto ?>	
</table>
