<?php

if (!isset($_SESSION)) session_start();
  
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

//$ElencoEdifici = explode(",", "414,444,403,780,2166,866");
$ElencoEdifici = explode(",", $_POST[ElencoEdifici]);

$ListaEdifici = "";

foreach($ElencoEdifici as $IdEdificio)
{
	if ( is_numeric($IdEdificio) )
	{
		if ( $ListaEdifici!="" ) $ListaEdifici .= ",";
		
		$ListaEdifici .= (int)$IdEdificio;
	}
}

$vers = time();
?>

<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>
	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>
	<script src="js/canvas_engine_desktop.js?v=<?php echo $vers ?>" type="text/javascript"></script>
	<link href="css/base.css?v=<?php echo $vers ?>" rel="stylesheet" type="text/css">
	<link href="css/index.css?v=<?php echo $vers ?>" rel="stylesheet" type="text/css">
	<script src="js/index.js?v=<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/mappa.js?v=<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/toolbar1.js?v=<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/sel_edifici.js?v=<?php echo $vers ?>" type="text/javascript"></script>
</head>
<body>	

<div id=toolbar1>
	<div class=buttonBorder buttonBorder id=border_legend Spuntato=0><img class=buttonImage src="img/legend.png" onclick="ToggleLegend()" title='legend' /></div>
	<div class=buttonBorder buttonBorder id=border_mappa Spuntato=1 style="background-color:#33FF00"><img class=buttonImage src="img/mappa.png" onclick="ToggleMappa()" title='mappa' /></div>
	<div class=buttonBorder buttonBorder id=border_right_box Spuntato=1 style="background-color:#33FF00"><img class=buttonImage src="img/right_box.png" onclick="ToggleRightBox()" title='Info' /></div>
	<div class=buttonBorder buttonBorder id=border_pan><img class=buttonImage src="img/pan.png" onclick="funcToolbar1('pan')" title='pan' /></div>
	<div class=buttonBorder buttonBorder id=border_zoom_rect><img class=buttonImage src="img/zoom_rect.png" onclick="funcToolbar1('zoom_rect')" title='zoom_rect' /></div>
	<div class=buttonBorder buttonBorder id=border_zoom_plus><img class=buttonImage src="img/zoom_plus.png" onclick="funcToolbar1('zoom_plus')" title='zoom_plus' /></div>
	<div class=buttonBorder buttonBorder id=border_zoom_minus><img class=buttonImage src="img/zoom_minus.png" onclick="funcToolbar1('zoom_minus')" title='zoom_minus' /></div>
	<div class=buttonBorder buttonBorder id=border_fit><img class=buttonImage src="img/fit.png" onclick="funcToolbar1('fit')" title='fit' /></div>
	<div class=buttonBorder buttonBorder id=border_fit_edifici><img class=buttonImage src="img/fit_edifici.png" onclick="funcToolbar1('fit_edifici')" title='fit_edifici' /></div>
	<div class=buttonBorder buttonBorder id=border_sel_edificio><img class=buttonImage src="img/sel_vano.png" onclick="funcToolbar1('sel_edificio')" title='sel_edificio' /></div>
	<span style="font-weight:bold;font-size:2em">ClasseUtilizzatore:	<select id=ClasseUtilizzatore>
					<option value="">
					<option value="AI">AI
					<option value="EN">EN
					<option value="PI" SELECTED>PI
					<option value=",">,
				</select></div>
	</span>
<div id=contenitoreLegend style='display:none'>
	<table class=grid>
		<tr><th>Visibile<th>Copertura
		<tr><td><input type=checkbox checked id=chk2001strade_p onclick="CaricaMappa()" />
			<td>2001strade_p
		<tr><td><input type=checkbox checked id=chkCUPubbl onclick="CaricaMappa()" />
			<td>CUPubbl
		<tr><td><input type=checkbox id=chkToponimiPrincipali onclick="CaricaMappa()" />
			<td>toponimi_principali
		<tr><td><input type=checkbox id=chkToponimi onclick="CaricaMappa()" />
			<td>toponimi
		<tr><td><input type=checkbox id=chkCivici onclick="CaricaMappa()" />
			<td>Civici
	</table>
</div>

<div id=Mappa>
	<canvas id="CanvasMappa" width=800 height=600 style="cursor:crosshair;border:none;margin:0px;padding:0px;width:800px;height:600px">
			Canvas non supportati da browser in uso. 
	</canvas>
</div>
	
<div id=RightBox>
	<div id=Info>
	</div>
</div>
	
<?php

echo <<< script
<script>
	var g = {};
	
	g.IdCommessa = $IdCommessa;
	
	g.ElencoEdifici = '$ListaEdifici';
	g.UltimoEdificioSelezionato = '';
	
</script>
script;
?>

</body>
</html>