<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../_css/navstyleLittleForForm.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$IdOfferta = $_POST['IdOfferta'];
$IdEdificio = $_POST['IdEdificio'];
$IdMestiere = $_POST['IdMestiere'];
$IdComponenteMestiere = $_POST['IdComponenteMestiere'];
$FiltraCriticità = $_POST['FiltraCriticità'];

if ( is_numeric($IdOfferta) ) 
{
	$IdOfferta = (int)$IdOfferta;

	$sql = "SELECT     CriticitàPDI.IdCriticità, CriticitàPDI.AreaIntervento, CriticitàPDI.Normativa, CriticitàPDI.Funzionale, CriticitàPDI.NormaRif, CriticitàPDI.Descrizione, CriticitàPDI.Suggerimenti,  "
	."                      CriticitàPDI.ImportoStimato, CriticitàPDI.Foto, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA,  "
	."                      ElencoEdifici.PROVINCIA, tblMestieri.codice AS CodMest, tblMestieri.Descrizione AS DesMest, tblComponetiMestiere.codice AS CodComp,  "
	."                      tblComponetiMestiere.Descrizione AS DesComp "
	."FROM         ElencoEdifici RIGHT JOIN "
	."                      CriticitàPDI ON ElencoEdifici.IdCommessa = CriticitàPDI.IdCommessa AND ElencoEdifici.ID = CriticitàPDI.IdEdificio LEFT JOIN "
	."                      tblMestieri ON CriticitàPDI.IdCommessa = tblMestieri.IdCommessa AND CriticitàPDI.IdMestiere = tblMestieri.IdMestiere LEFT JOIN "
	."                      tblComponetiMestiere ON CriticitàPDI.IdCommessa = tblComponetiMestiere.IdCommessa AND  "
	."                      CriticitàPDI.IdComponente = tblComponetiMestiere.IdComponenteMestiere "
	."WHERE     (CriticitàPDI.IdOfferta = $IdOfferta) AND (CriticitàPDI.IdCommessa = $IdCommessa) ";
	
	if ( $FiltraCriticità == 1 )
	{
		if ( is_numeric($IdEdificio) ) $sql .= " AND CriticitàPDI.IdEdificio = $IdEdificio ";
		if ( is_numeric($IdMestiere) ) $sql .= " AND CriticitàPDI.IdMestiere = $IdMestiere ";
		if ( is_numeric($IdComponenteMestiere) ) $sql .= " AND CriticitàPDI.IdComponente = $IdComponenteMestiere ";
	}
		
	$sql .= " ORDER BY case when PATINDEX('%[^0-9]%',ElencoEdifici.Codice)=0 then cast(ElencoEdifici.Codice as int) else -1 end, ElencoEdifici.Codice";
}
else
	$sql ="SELECT * FROM ElencoEdifici WHERE 1=0";

$query = ntxQuery($sql);

if ( $FiltraCriticità == 1 )
{
?>
<table align=left>
	<tr>
		<th>FILTRO ATTIVO</th>
</table>
<?php
}
?>		
<table align=left>
	<tr>
		<th>&nbsp;</th>
		<th>ID</th>
		<th>Codice</th>
		<th>Localizzazione</th>
		<th>INDIRIZZO</th>
		<th>COMUNE</th>
		<th>PROV</th>
		<th>Cod. Mestiere</th>
		<th>Des. Mestiere</th>
		<th>Cod. Componente</th>
		<th>Des. Componente</th>
		<th>Area Intervento</th>
		<th>Normativa</th>
		<th>Funzionale</th>
		<th>Descrizione</th>
		<th>Suggerimenti</th>
		<th>Importo Stimato</th>
	</tr>
	<?php
	$alternate = true;

	$EnteName = "";
	
	$counter=0;
	
	while( $rs = ntxRecord($query) )
	{
		if ( strcmp($EnteName,$rs['Ente'].'')!=0 )
		{
?>
			<tr><th>&nbsp;<th colspan=6>&nbsp;<?php echo htmlentities($rs['Ente']) ?>
<?php
			$alternate = true;
			$EnteName = $rs['Ente'].'';
		}
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=radio name=selId onclick="parent.AggiornaNuovaDaElenco(<?php echo htmlentities($rs['IdCriticità']) ?>)" /></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['IdCriticità']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CITTA']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['PROVINCIA']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CodMest']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesMest']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CodComp']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesComp']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['AreaIntervento']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Normativa']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Funzionale']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Suggerimenti']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['ImportoStimato']) ?></td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
</body>
</html>
