<?php

function ConvDate($date)
{ 
	if ( strlen($date.="")>=19 ) 
		return ntxYear($date).ntxMonth($date).ntxDay($date); 
}

function TranslateText($text)
{
	$replace = array(
		"à", "a'",
		"è", "e'",
		"é", "e'",
		"ì", "i'",
		"ò", "o'",
		"ù", "u'",
		"À", "A'",
		"È", "E'",
		"É", "E'",
		"Ì", "I'",
		"Ò", "O'",
		"Ù", "U'",
		"n°", "n.",
		"N°", "N."
	);
	
	$len = count($replace)-1;
	
	for ( $i=0; $i<$len; $i=$i+2 )
		$text = str_replace($replace[$i], $replace[$i+1], $text);
		
	return trim($text);
}

if ( "".$_POST[Data1]!="" )
{
	$Data1 = ntxtp('Data1');
	$andWhere = " AND (Offerte.DataStipulaOrdine <= $Data1)";
}

include("query.inc");

$query = ntxQuery($sql);

$text_body = "";

while ( $rs=ntxRecord($query) )
{
	$CODI_ORDINE = "RH".str_pad((int) $rs[CODI_ORDINE],3,"0",STR_PAD_LEFT)."_AAOPF".str_pad((int) $rs[CODI_ORDINE_2],3,"0",STR_PAD_LEFT);
	
	$SEQU_LOTTO = substr(TranslateText($rs[CODI_LOTTO]), 0, 4);
	
	
	$CODI_ORDINE  = substr(TranslateText($CODI_ORDINE), 0, 20);
	$SEQU_LOTTO  = substr(TranslateText($rs[SEQU_LOTTO]), 0, 4);
	$CODI_SERVIZIO  = substr(TranslateText($rs[CODI_SERVIZIO]), 0, 20);
	$DURATA_SERVIZIO  = substr(TranslateText($rs[DURATA_SERVIZIO]), 0, 2);
	$QNTA_ORDINATA = str_replace(",", ".", ntxRound($rs[QNTA_ORDINATA], 2));
	$IMPO_SERV_ORDINE = str_replace(",", ".", ntxRound($rs[IMPO_SERV_ORDINE], 4));
	$CODI_SEDE_AMM_BEN = substr(TranslateText($rs[CODI_SEDE_AMM_BEN]), 0, 20);
	$QNTA_INTERVENTI = substr(TranslateText($rs[QNTA_INTERVENTI]), 0, 8);
	
	if ( is_numeric($QNTA_INTERVENTI) ) $QNTA_INTERVENTI = (int)$QNTA_INTERVENTI;
	
	if ( $text_body!="" ) $text_body .= "\n";
	
	$text_body .= "$CODI_ORDINE|$SEQU_LOTTO|$CODI_SERVIZIO|$DURATA_SERVIZIO|$QNTA_ORDINATA|$IMPO_SERV_ORDINE|$CODI_SEDE_AMM_BEN|$QNTA_INTERVENTI";
}

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

$countFiles = 0;

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

$textFile = tempnam($dir, "DTA4").".txt";

$mapfile_handle = fopen($textFile, 'w');
fwrite($mapfile_handle, $text_body);
fclose($mapfile_handle);

?>