<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('query.inc');

$query = ntxQuery($sql);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>
	
<table>
	<tr>
		<th>CODI_ORDINE 
		<th>SEQU_LOTTO 
		<th>CODI_SERVIZIO 
		<th>DURATA_SERVIZIO 
		<th>QNTA_ORDINATA 
		<th>IMPO_SERV_ORDINE 
		<th>CODI_SEDE_AMM_BEN
		<th>QNTA_INTERVENTI
	</tr>   

<?php
	while( $rs = ntxRecord($query) )
	{
		$cod = "RH".str_pad((int) $rs[CODI_ORDINE],3,"0",STR_PAD_LEFT)."_AAOPF".str_pad((int) $rs[CODI_ORDINE_2],3,"0",STR_PAD_LEFT);
?>
	<tr>
		<td><?php echo htmlentities($cod) ?>
		<td><?php echo htmlentities($rs['SEQU_LOTTO']) ?>
		<td><?php echo htmlentities($rs['CODI_SERVIZIO']) ?>
		<td><?php echo htmlentities($rs['DURATA_SERVIZIO']) ?>
		<td><?php echo ntxRoundThousand($rs['QNTA_ORDINATA'],2) ?>
		<td><?php echo ntxRoundThousand($rs['IMPO_SERV_ORDINE'],4) ?>
		<td><?php echo htmlentities($rs['CODI_SEDE_AMM_BEN']) ?>
		<td><?php echo ntxRoundThousand($rs['QNTA_INTERVENTI'],2) ?>
	</tr>
<?php
	}
?>
</table>

</body>
</html>


