<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$Utente = ntxsse('Utente');

$sql = <<< sql
	SELECT DISTINCT 
						  DocsClienti.Id, DocsClienti.IdCommessa, DocsClienti.IdCliente, DocsClienti.Des, DocsClienti.Path, 
						  DocsClienti.NomeFileOriginale, DocsClienti.TipoDocumento, DocsClienti.Visibile, DocsClienti.DataCliente
	FROM         (SELECT DISTINCT ElencoEdifici.IdProprietario
FROM         Utenti INNER JOIN
                      UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente INNER JOIN
                      ElencoEdifici ON UtentiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND UtentiEdifici.IdEdificio = ElencoEdifici.ID
WHERE     (Utenti.Nome = $Utente) AND ElencoEdifici.IdCommessa = $IdCommessa) a INNER JOIN
						  DocsClienti ON a.IdProprietario = DocsClienti.IdCliente
	WHERE     (DocsClienti.IdCommessa = $IdCommessa) 
			AND DocsClienti.Visibile=1
sql;

if ( is_numeric($_POST['TipoDocumento'])) 
	$sql .= " AND DocsClienti.TipoDocumento=".ntxip('TipoDocumento');

if ( isset($_POST['Des'])  &&  strlen($_POST['Des'])>0) 
{
	$str = stripslashes($_POST['Des']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND DocsClienti.Des LIKE '%".$str."%' ";
}

if ( isset($_POST['Data1'])  &&  strlen($_POST['Data1'])>0) 
	$sql .= " AND DocsClienti.DataCliente >= ".ntxtp('Data1');

if ( isset($_POST['Data2'])  &&  strlen($_POST['Data2'])>0) 
	$sql .= " AND DocsClienti.DataCliente <= ".ntxtp('Data2');

$paginazione = ntxPaginazione($sql, "DataCliente DESC");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th></th>
			<th>Des</th>
			<th>DataOraInserimento</th>
			<th>TipoDocumento</th>
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[DataCliente] = ntxDateTime($rs[DataCliente]);
	
	$rs[Visibile] = $rs[Visibile] ? "SI" : "no";
	
	switch($rs[TipoDocumento])
	{
		case 1:
			$rs[TipoDocumento] = "Documentazione Contrattuale";
			break;
		case 2:
			$rs[TipoDocumento] = "Documentazione Amministrativa";
			break;
		case 3:
			$rs[TipoDocumento] = "Verbali di Controllo";
			break;
		case 4:
			$rs[TipoDocumento] = "Programma Operativo";
			break;
		case 5:
			$rs[TipoDocumento] = "Documento di Sintesi";
			break;
		case 6:
			$rs[TipoDocumento] = "Lettera di Consegna";
			break;
		case 7:
			$rs[TipoDocumento] = "Ordine di Intervento";
			break;
		case 8:
			$rs[TipoDocumento] = "Livelli di Servizio Mensili";
			break;
		case 9:
			$rs[TipoDocumento] = "Piano di Costituzione Anagrafica";
			break;
		case 10:
			$rs[TipoDocumento] = "Check-List - Servizio di Pulizia";
			break;
		case 11:
			$rs[TipoDocumento] = "Documentazione Varia";
			break;
		default:
			$rs[TipoDocumento] = "Tipo documento non previsto";
	}
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr IdRigaDoc=$rs[Id]>
			<td><input type=button value=download onclick="DownloadDoc($rs[Id])" />
			<td>$html[Des]
			<td>$html[DataCliente]
			<td>$html[TipoDocumento]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
