<?php

session_start();

?>
<html>
<head>
	<link href="../_css/navstyleLittleForForm.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../_ntx/ntxjsint.php"></script>
</head>
<body>
<?php
require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdDitta = ntxise('IdDitta');

$subSql1 = "(SELECT COUNT(*) FROM DocsFornitori  "
	."						WHERE DocsFornitori.DataInizioValidità<=GetDate()  "
	."						AND DocsFornitori.Scadenza>=GetDate()  "
	."						AND DocsFornitori.IdFornitore=TipiFornitureFornitori.IdFornitore  "
	."						AND DocsFornitori.Tipo=TipiDocsFornitori.Id)";

$subSql2 = "(SELECT COUNT(*) FROM DocsFornitori  "
	."						WHERE DocsFornitori.DataInizioValidità<=GetDate()  "
	."						AND DocsFornitori.Scadenza>=GetDate()  "
	."						AND DocsFornitori.Verificato=1  "
	."						AND DocsFornitori.IdFornitore=TipiFornitureFornitori.IdFornitore  "
	."						AND DocsFornitori.Tipo=TipiDocsFornitori.Id)";

$sql = "SELECT DISTINCT    TipiDocsFornitori.Id, TipiDocsFornitori.Ordine, TipiDocsFornitori.Codice, TipiDocsFornitori.Descrizione, "
	."						TipiDocsFornitori.Vincolante, TipiDocsFornitori.NonNormativo, "
	."						$subSql1 AS NumDocs, $subSql2 AS NumVerifDocs "
	."FROM         TipiDocsFornitori INNER JOIN "
	."                      TipiFornTipiDocsForn ON TipiDocsFornitori.Id = TipiFornTipiDocsForn.IdTipoDocFornitorore INNER JOIN "
	."                      TipiForniture ON TipiFornTipiDocsForn.IdTipoFornitura = TipiForniture.Id INNER JOIN "
	."                      TipiFornitureFornitori ON TipiForniture.Id = TipiFornitureFornitori.IdTipoFornitura "
	."WHERE     (TipiFornitureFornitori.IdFornitore = $IdDitta)";
	
$sql .= " ORDER BY TipiDocsFornitori.Ordine;";

$query = ntxQuery($sql);

?>		
<table align=left>
	<tr>
		<th>&nbsp;</th>
		<th>Stato</th>
		<th>Codice</th>
		<th>Descrizione</th>
		<th>Vincolante</th>
		<th>NonNormativo</th>
		<th>NumDocs</th>
		<th>Num Verif Docs</th>
	</tr>
	<?php

	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		if ( $rs['NumVerifDocs']>0 )
			$img = "<img src=\"img/green.bmp\" />";
		elseif ( $rs['NumDocs']>0 )
			$img = "<img src=\"img/yellow.bmp\" />";
		else
			$img = "<img src=\"img/red.bmp\" />";
		
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=radio name=selId onclick="parent.FiltraDocs(<?php echo htmlentities($rs['Id']) ?>)" /></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $img ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Vincolante']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NonNormativo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumDocs']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumVerifDocs']) ?></td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
</body>
</html>
