<?php  

session_start();

require_once('../../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
<link href="../../_css/navstyle.css" rel="stylesheet" type="text/css">
</head>
<body>
<?php

	require_once(NTX_WEBPORTAL_PATH.'_database.inc');

	$IdCommessa = ntxise('IdCommessa');
	$NumOrdine = ntxip('NumOrdine');
	$AnnoOrdine = ntxip('AnnoOrdine');

	$sql = <<< sql
			SELECT     StatoOrd
		FROM         Ordini 
		WHERE     (IDCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine')
sql;

	$StatoOrd = ntxScalar($sql);

	$disabled = "DISABLED";
	
	if ( is_numeric($StatoOrd)  &&  $StatoOrd < 140 )
		$disabled = "";
		

	$sql = <<< sql
			SELECT     DocsOrdini.[IdDoc],  DocsOrdini.[Nota], DocsOrdini.[Path]
		FROM         Ordini INNER JOIN
							  DocsOrdini ON Ordini.IDCommessa = DocsOrdini.IdCommessa AND Ordini.IdOrd = DocsOrdini.IdOrdine
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

	$query = ntxQuery($sql);

	$alternate = true;

	?>

<table align=left style="width:100%">
	<tr><caption>Ordine <?php echo $NumOrdine."/".$AnnoOrdine ?></caption>
	<tr>
		<th>&nbsp;</th>
		<th>&nbsp;</th>
		<th>Nota</th>
		<th>Path</th>
	</tr>
<?php
	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=button value=Vedi onclick="VediDoc(<?php echo $rs[IdDoc] ?>)" style="position:relative">
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=button value=Elimina onclick="Elimina(<?php echo $rs[IdDoc] ?>)" style="position:relative" <?php echo $disabled ?>>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nota']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Path']) ?></td>
				
		</td></form></tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 action="vedi_doc.php" method=post target=_blank target="frame1055_14092009_1">
	<input TYPE=HIDDEN NAME=IdDoc >
</form>

<form name=form2 method=post>
	<input TYPE=HIDDEN NAME=IdCommessa value="<?php echo $IdCommessa ?>">
	<input TYPE=HIDDEN NAME=IdDoc >
</form>


<form name=frmRefresh method="post">
	<input name=NumOrdine type=hidden value=<?php echo $NumOrdine?>>
	<input name=AnnoOrdine type=hidden value=<?php echo $AnnoOrdine?>>
</form>

<form name=frmUpLoad action="upload_ordine.php" method="post" enctype="multipart/form-data" target="frame1055_14092009_1">
	<input name=IdCommessa type=hidden value=<?php echo $IdCommessa?>>
	<input name=NumOrdine type=hidden value=<?php echo $NumOrdine?>>
	<input name=AnnoOrdine type=hidden value=<?php echo $AnnoOrdine?>>
	Nota:<input type=text name="Nota" value="descrizione file" size="50"  maxlength="100" />
	<br>Path:<input type="file" name="upfile" size="50" />
	<br><input type=submit value="Allega file" />
	<input type=button value="Aggiorna Lista" onclick="frmRefresh.submit()" />
</form>

<iframe src="blank.html" name=frame1055_14092009_1 style="display:block;position:static;width:600px;height:200px"></iframe>

<script language=javascript>
function VediDoc(IdDoc)
{
	form1.IdDoc.value = IdDoc;
	form1.submit();
}

function Elimina(IdDoc)
{
	form2.IdDoc.value = IdDoc;
	if(confirm("Sicuro di voler eliminare il documento?"))
	{
		if(ntxSendForm(form2, funcVoid, 'elimina_doc'))
		{	
			frmRefresh.submit();
		}
	}		
}

function funcVoid(){}
</script>

</body>
</html>
