<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdDitta = ntxip('IdDitta');

$IdAttivitàMestiere = ntxip('IdAttivitàMestiere');
$data1 = ntxtp('DataInizioPrg1');
$data2 = ntxtp('DataInizioPrg2');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="index.js"></script>
</head>
<body  >
	
<?php

require_once('testa.inc');

?>
<br>
<div id=setButtons>
<input type=button value="APRI ORDINI" onclick="Vedi('APRI ORDINI', 'apri')" />
<input type=button value="CHIUDI ORDINI" onclick="Vedi('CHIUDI ORDINI', 'chiudi')" />
<input type=button value="APRI E CHIUDI ORDINI" onclick="Vedi('APRI E CHIUDI ORDINI', 'apri_chiudi')" />
<input type=button value="NOTIFICA ANOMALIA" onclick="Vedi('NOTIFICA ANOMALIA', 'anomalia')" />
<input type=button value="NOTIFICA ANOMALIA ED INVIA RICHIESTA" onclick="Vedi('NOTIFICA ANOMALIA ED INVIA RICHIESTA', 'anomalia_richiesta')" disabled />
<input type=button value="ANNULLA ORD. PRG" onclick="Vedi('ANNULLA ORD. PRG', 'annulla')" />
<input type=button value="RIPRISTINA ORD. PRG" onclick="Vedi('RIPRISTINA ORD. PRG', 'ripristina')" />
<input type=button value="ANNULLA E GENERA NUOVI ORD. PRG DA ORDINI SELEZIONATI" onclick="Vedi('ANNULLA E GENERA NUOVI ORD. PRG DA ORDINI SELEZIONATI', 'genera_nuove')" />
</div>
<div style="margin-top:10px;padding:5px;background-color:white;border:1px solid black">
	<span style="background-color:#FF0000;color:white;font-size:8pt;border:1px solid black;margin:2px;padding:2px">Programmato</span>
	<span style="background-color:#FF9900;color:black;font-size:8pt;border:1px solid black;margin:2px;padding:2px">Aperto</span>
	<span style="background-color:#FF00FF;color:white;font-size:8pt;border:1px solid black;margin:2px;padding:2px">Anomalia</span>
	<span style="background-color:#33FF33;color:black;font-size:8pt;border:1px solid black;margin:2px;padding:2px">Chiuso</span>
	<span style="background-color:#FFFF00;color:black;font-size:8pt;border:1px solid black;margin:2px;padding:2px">Annullato</span>
</div>
<div id=div1 style="display:none;border: 2px solid black;margin:5px;padding:5px">
	<div id=spanTitolo style="border: 2px solid black;margin:5px;padding:5px"></div>
	<span id=spanData1>Data Inizio:<input type=text size=12 id=txtDataInizio /> Ora Inizio:<input type=text size=5 id=txtOraInizio value='00.00' /></span>
	<span id=spanData2>Data Fine:<input type=text size=12 id=txtDataFine /> Ora Fine:<input type=text size=5 id=txtOraFine value='00.00' /></span>
	<span id=spanUsaDatePrg>Usa Date Programmate:<input type=checkbox id=chkUsaDatePrg checked /></span>
	<div id=spanMotiviAnnullo>
		Motivi Annullo Edifici:<select id=MotiviAnnulloEdifici></select><br>
		Motivi Annullo Strade:<select id=MotiviAnnulloStrade></select><br>
		Motivi Annullo Verde:<select id=MotiviAnnulloVerde></select>
	</div>
	<div id=spanNote>Note:<textarea id=Note rows=5 style="width:100%"></textarea></div>
	<input type=button value="OK" onclick="funcOK()" />
	<input type=button value="Nascondi" onclick="funcCancel()" />
</div>
<div id=div2 style="display:none;border: 2px solid black;margin:5px;padding:5px">
	<input type=button value="Aggiorna" onclick="frmRefresh.submit()" />
	Per vedere le modifiche fare click su aggiorna
	<div id=div2Content style="border: none;margin:0px;padding:0px">
	</div>
</div>
<br>

<?php

require_once('coda_where.inc');
require_once('giorni_stati_attivita.inc');
require_once('elenco_edifici.inc');

?>

<form name=frmRefresh method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdDitta value="<?php echo $IdDitta ?>" />
	<input type=hidden name=IdAttivitàMestiere value="<?php echo $IdAttivitàMestiere ?>" />
	<input type=hidden name=DataInizioPrg1 value="<?php echo $_POST[DataInizioPrg1] ?>" />
	<input type=hidden name=DataInizioPrg2 value="<?php echo $_POST[DataInizioPrg2] ?>" />
</form>

</body>
</html>
