<?php

session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdDitta = ntxip('IdDitta');
	
?>
<html>
<head>
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="css/index.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery/jquery-1.6.2.min.js" type="text/javascript"></script>
	<script src="/repository/libs/jhp/jhp-1.1.1.js" type="text/javascript"></script>
	<script src="jhp/index.js" type="text/javascript"></script>
</head>
<body class="claro">

<iframe align=center name="mappaTerritoriale" id="mappaTerritoriale" SCROLLING="no" frameborder="no"  
style="position:absolute;top:0;left:0;display:none;width:100%;height:100%;border:inset 2px;background-color:white" 
src="../../../maps/muti_sel_territorio/mappa.php"></iframe>	
	
<table id=tb0>
	<tr><td style="height:1px" colspan=2>
		<input type=button value=Testata onclick="$('#Testata').toggle()" />
		<input type=button value=Mappa onclick="MappaTerritorio()" />
		<span style="padding:2px;margin:2px;border:inset 1px">
			<input type=button value=Tutto onclick="Vedi('Tutto')" />
			<input type=button value=Elementi onclick="Vedi('Elementi')" />
			<input type=button value="Attivita'" onclick="Vedi('Attivita')" />
		</span>

		Data Inizio: <input type=text id=txtData1 value="1/4/2012" size=10 maxlength=10 />
		Data Fine: <input type=text id=txtData2 value="30/5/2012" size=10 maxlength=10 />
		<input type=button value="7 giorni" onclick="SettaData2(1)" />
		<input type=button value="1 Mese" onclick="SettaData2(2)" />
		<input type=button value="Fine Mese" onclick="SettaData2(3)" />
		<input type=button value="Gantt per giorni" onclick="Report(1)" />
		<input type=button value="Gantt per mesi" onclick="Report(2)" />
		<input type=button value="Voci Preplanning" onclick="Report(3)" />

		<div id=Testata style="padding:0px;margin:0px;border:inset 2px">
			Filtri Elementi/Attività:
			<table class="grid grid2">
				<tr>
					<th>ID			<td><input type=text id=txtId size=20 />
					<th>Codice		<td><input type=text id=txtCodice size=20 />
					<th>Des1		<td><input type=text id=txtDes1 size=20 />
					<th>Des2		<td><input type=text id=txtDes2 size=20 />
					<th>Tipo		<td><select id=txtTipo>
						<option value="" selected>
						<option value="0" >edifici
						<option value="1" >strade
						<option value="2" >verde
					</select>
				<tr>
					<th>Indirizzo	<td><input type=text id=txtIndirizzo size=20 />
					<th>Comune		<td><input type=text id=txtComune size=20 />
					<th>Prov		<td><input type=text id=txtProv size=20 />
					<th>Cap			<td><input type=text id=txtCap size=20 />
					<th>Ente/Proprietario<td>
						<input type=text id=DesProprietario size=20 readonly />
						<input type=button value="x" onclick="TogliEnte()" />
				<tr>
					<th>Aperto<td><input type=checkbox id=chkAperto />
					<th>Eseguito<td><input type=checkbox id=chkEseguito />
					<th>Anomalia<td><input type=checkbox id=chkAnomalia />
					<th>Annullato<td><input type=checkbox id=chkAnnullato />
					<th>Verifica<td><select id=cboVerifica><option value=""><option value="1">Contestazione</select>
				<tr><th colspan=10>
					<input type=button value="Filtro Elementi e Attivita'"  onclick="CaricaAttivita()" />
					<input type=button value="Reset Filtro" onclick="ResetFiltroElementi()" />
			</table>
		</div>
	<tr>
		<td style="vertical-align:top;border:inset 1px" id=Elementi><iframe name=FrameElementi id=FrameElementi></iframe>
		<td style="vertical-align:top;border:inset 1px" id=Attivita><iframe name=FrameAttivita id=FrameAttivita></iframe>
</table>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />	
	<input type=hidden name=IdDitta value="<?php echo $IdDitta ?>" />	
	<input type=hidden name=DataInizio value="" />	
	<input type=hidden name=DataFine value="" />	
	<input type=hidden name=IdElementi value="" />	
	<input type=hidden name=IdAttivita value="" />	

	<input type=hidden name=IdPropietario value="" />
	<input type=hidden name=txtId value="" />	
	<input type=hidden name=txtCodice value="" />	
	<input type=hidden name=txtDes1 value="" />	
	<input type=hidden name=txtDes2 value="" />	
	<input type=hidden name=txtTipo value="" />	
	<input type=hidden name=txtIndirizzo value="" />	
	<input type=hidden name=txtComune value="" />	
	<input type=hidden name=txtProv value="" />	
	<input type=hidden name=txtCap value="" />	
	
	<input type=hidden name=chkAperto value="" />
	<input type=hidden name=chkEseguito value="" />
	<input type=hidden name=chkAnomalia value="" />
	<input type=hidden name=chkAnnullato value="" />
	<input type=hidden name=cboVerifica value="" />
</form>

</body>
</html>