<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/jhp.php"></script>
</head>
<body >

<?php  

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdComponente = ntxip('IdComponente');

$sql = <<< sql
SELECT DISTINCT 
                      Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, Stati.DesStato, 
                      Richieste.Descrizione + Richieste.Descrizione1 + Richieste.Descrizione2 AS Des, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, 
                      ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, 
                      tblPgPropietari.Nome AS Ente, Richieste.Classificazione, Richieste.NumOrdineFonte, Richieste.AnnoOrdineFonte, 
                      tblUtUtilizzatori.Nome AS Utilizzatore,
					  Ordini.NumOrdine, Ordini.AnnoOrdine,
					  Richieste.ImpS, Richieste.NoteImpS
FROM         Richieste INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID LEFT OUTER JOIN
                      Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
                      Richieste.AnnoRichiesta = Ordini.AnnoRichiesta LEFT OUTER JOIN
                      AffidatariGestitiDaCallCenter ON Richieste.IDCommessa = AffidatariGestitiDaCallCenter.IdCommessa AND 
                      Richieste.IdDitta = AffidatariGestitiDaCallCenter.IdDitta LEFT OUTER JOIN
                      tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND 
                      Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
				LEFT OUTER JOIN
				RichiesteLatLon ON Richieste.IDCommessa = RichiesteLatLon.IDCommessa AND Richieste.NumRichiesta = RichiesteLatLon.NumRichiesta AND 
				Richieste.AnnoRichiesta = RichiesteLatLon.AnnoRichiesta 
WHERE     (AffidatariGestitiDaCallCenter.IdCommessa IS NULL)
		AND (Richieste.IdCommessa = $IdCommessa)
		AND (Richieste.Localizzazione = $IdEdificio)
		AND (Richieste.IdComponente = $IdComponente)
sql;

$query = ntxPagedQuery($sql, "DataRichiesta DESC");

ntxPagedPrintNavigation();

?>
	<table>
		<tr>
		<th></th>
		<th>Num</th>
		<th>Anno</th>
		<th>Data</th>
		<th>Classificazione</th>
		<th>Stato</th>
		<th>Descrizione</th>
		<th>Importo Stimato</th>
		<th>Nota Affidatario</th>		
		<th>Ente</th>
		<th>Codice Localiz.</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>ordine assegnato</th>
		<th>Originata da ordine</th>
		</tr>   
<?php
while( $query  &&  $rs = ntxRecord($query) )
{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['indiceRigaPaginazione']) ?></td> 
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumRichiesta']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['AnnoRichiesta']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Classificazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Des']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['ImpS']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NoteImpS']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ente']) ?>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ( is_numeric($rs[NumOrdine]) ) echo htmlentities((int)$rs[NumOrdine]."/$rs[AnnoOrdine]") ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities((int)$rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?></td>
	</tr>
<?php
}
?>
</table>

<?php ntxPagedPrintBody() ?>
<?php ntxPagedPrintNavigation() ?>


</body>
</html>
