<?php

$sql = <<< sql
SELECT DISTINCT 
                      ElencoEdifici.ID id0, ElencoEdifici.Codice cod0, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, ElencoEdifici.Tipo,
                          (SELECT     Nome
                            FROM          tblPgPropietari
                            WHERE      (ElencoEdifici.IdProprietario = IdPropietario)) AS Ente,
					  tblMestieri.Ordine AS ord1, tblMestieri.codice AS cod1, tblMestieri.Descrizione AS des1, tblMestieri.IdMestiere AS id1, tblComponetiMestiere.Ordine AS ord2, 
                      tblComponetiMestiere.codice AS cod2, tblComponetiMestiere.Descrizione AS des2, tblComponetiMestiere.IdComponenteMestiere AS id2, 
                      tblAttivitàMestiere.Ordine AS ord3, tblAttivitàMestiere.codice AS cod3, tblAttivitàMestiere.Descrizione AS des3, tblAttivitàMestiere.IdAttivitàMestiere AS id3, 
                      tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg,
					  tblOrdiniProgrammati.IdCommessa, tblOrdiniProgrammati.IdOrdineProgrammato, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblOrdiniProgrammati.Aperto, 
                      tblOrdiniProgrammati.Anomalia, tblOrdiniProgrammati.Eseguito, tblOrdiniProgrammati.Annullato, tblOrdiniProgrammati.Note, 
                      tblOrdiniProgrammati.NumOrdine, tblOrdiniProgrammati.AnnoOrdine, Ditte.Ditta,
					   tblOrdiniProgrammati.IdAnomalia,
					   tblOrdiniProgrammati.IdVerifica, tblOrdiniProgrammati.DataVerifica, tblOrdiniProgrammati.NoteVerifica, tblOrdiniProgrammati.UtenteVerifica, 
                      MotivazioniAnnullamentiOrdiniProgrammati.Motivazione
FROM         tblOrdiniProgrammati INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
                      tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore ON 
                      tblOrdiniProgrammati.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                      tblOrdiniProgrammati.IdEdificio = tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere AND 
                      tblOrdiniProgrammati.dataInizioProg >= tblContrattiFornitori.DataInizio AND tblOrdiniProgrammati.dataInizioProg <= tblContrattiFornitori.DataFine INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      Ditte ON tblOrdiniProgrammati.IdFornitore = Ditte.IDDitta LEFT OUTER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza LEFT OUTER JOIN
                      MotivazioniAnnullamentiOrdiniProgrammati ON tblOrdiniProgrammati.IdMotivoAnnullamento = MotivazioniAnnullamentiOrdiniProgrammati.Id
					  $innerElementi
					  $innerAttivita
$filtri_comuni
ORDER BY Ente, cod0, EdificioBreve, id0, ord1, cod1, des1, id1, ord2, cod2, des2, id2, ord3, cod3, des3, id3, tblOrdiniProgrammati.dataInizioProg
sql;

$query = ntxQuery($sql);

?>