<?php

session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$DataInizioOriginale = ntxtp('DataInizioOriginale',false);
$DataFineOriginale = ntxtp('DataFineOriginale',false);
$DataInizioCopia = ntxtp('DataInizioCopia',false);

$IdCommessa = ntxise('IdCommessa');
$IdElementi = ntxsp('IdElementi');
$IdAttivita = ntxsp('IdAttivita');

$sql = "SELECT datediff(day, $DataInizioOriginale, $DataInizioCopia)";

$offset = ntxScalar($sql); 

$sql = <<< sql
INSERT INTO tblAttivitàProgrammata
                      (IdCommessa, IdEvento, IdAttivitàEdificio, inizio, fine, Oraria, Quantità, UM, Nota, TipoAttivitàEvento, Locazione)
SELECT     tblAttivitàProgrammata_1.IdCommessa, tblAttivitàProgrammata_1.IdEvento, tblAttivitàProgrammata_1.IdAttivitàEdificio, 
			
			dateadd(day, $offset, tblAttivitàProgrammata_1.inizio), 
			dateadd(day, $offset, tblAttivitàProgrammata_1.fine), 
			
			tblAttivitàProgrammata_1.Oraria, tblAttivitàProgrammata_1.Quantità, tblAttivitàProgrammata_1.UM, tblAttivitàProgrammata_1.Nota, 
			tblAttivitàProgrammata_1.TipoAttivitàEvento, tblAttivitàProgrammata_1.Locazione
FROM         tblAttivitàEdifici INNER JOIN
                      tblAttivitàProgrammata AS tblAttivitàProgrammata_1 ON tblAttivitàEdifici.IdCommessa = tblAttivitàProgrammata_1.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàEdificio = tblAttivitàProgrammata_1.IdAttivitàEdificio
					  INNER JOIN dbo.splitid($IdElementi) edifici on tblAttivitàEdifici.IdEdificio=edifici.id 
					  INNER JOIN dbo.splitid($IdAttivita) attivita on tblAttivitàEdifici.IdAttivitàMestiere=attivita.id
WHERE (tblAttivitàProgrammata_1.IdCommessa = $IdCommessa)
	AND dbo.DusGiorno(tblAttivitàProgrammata_1.inizio) <= dbo.DusGiorno($DataFineOriginale)
	AND dbo.DusGiorno(tblAttivitàProgrammata_1.fine) >= dbo.DusGiorno($DataInizioOriginale)
sql;

ntxQuery($sql);

jhp_ok();

?>
