<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdProgrammata = ntxip('IdProgrammata');
$stato = ntxip('stato');

$sql = "SELECT Stato FROM CENSI_Programmate WHERE IdCommessa=$IdCommessa AND IdProgrammata=$IdProgrammata";

$oldStato = ntxScalar($sql);

if ( $stato!=1  &&  $oldStato!=1 )
	jhp_error("Puoi modificare lo stato di un attività solo facendone prima il ripristino!");

if ( $stato==1  &&  $oldStato==1 )
	jhp_error("L'attività è già nello stato pianificato!");
	
if ( $stato==2 )
{
	$d1 = ntxtp('DataInizioE', false);
	$d2 = ntxtp('DataFineE', false);

	$sql = "SELECT 1 WHERE $d1>$d2";

	if ( ntxScalar($sql) ) jhp_error("DataInizioE maggiore di DataFineE!");
}

$table = new NtxTable('CENSI_Programmate');

$update = $table->update();

$update->init();

$update->setp('Nota');

if ( $stato==1 )
{
	$update->set('DataInizioE', '');
	$update->set('DataFineE', '');
}
elseif ( $stato==2 )
{
	$update->setp('DataInizioE');
	$update->setp('DataFineE');
}

$update->set('Stato', $stato);

$update->set('IdUtenteModifica', $_SESSION[IdUtente]);

$update->set('DataModifica', 'getdate()', true);

$update->wherese('IdCommessa');
$update->wherep('IdProgrammata');

$update->execute();

jhp($IdProgrammata);

?>
