<?php
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$GrUrg = ntxsp('GrUrg');
$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumOrdine = ntxise('NumOrdine'); // usata anche in _carica_richiesta
$AnnoOrdine = ntxise('AnnoOrdine'); // usata anche in _carica_richiesta

$subQuery = "case when Richieste.DataAutorizzazione is not null then Richieste.DataAutorizzazione else Richieste.DataRichiesta end";

$sql = <<< sql
	SELECT     
		dbo.CalcTempoPresaInCarico(Richieste.IdCommessa, $GrUrg, $subQuery) DataSPC,
		dbo.CalcInizioIntervento(Richieste.IdCommessa, $GrUrg, $subQuery)   DataScadenza,
		dbo.CalcInterventoTampone(Richieste.IdCommessa, $GrUrg, $subQuery)  DataScadIntTampone,
		dbo.CalcFineIntervento    (Richieste.IdCommessa, $GrUrg, $subQuery) DataSFI
	FROM         Ordini INNER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

$rs = ntxRecord(ntxQuery($sql));

$result[DataSPC] =  ntxDateTime($rs[DataSPC]);
$result[DataScadenza] =  ntxDateTime($rs[DataScadenza]);
$result[DataScadIntTampone] =  ntxDateTime($rs[DataScadIntTampone]);
$result[DataSFI] =  ntxDateTime($rs[DataSFI]);

jhp($result);	
?>
