<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_663", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_663", "IT", __FILE__);

$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxsp('AnnoOrdine');
$Assegnazione = ntxise('Assegnazione');

$sql = "SELECT Ordini.DataOrdine "
	."FROM Ordini "
	."WHERE (((Ordini.IDCommessa)=$IdCommessa) AND ((Ordini.NumOrdine)=$NumOrdine) AND ((Ordini.AnnoOrdine)=$AnnoOrdine));";
	
$DataOrdine = ntxt(ntxDate(ntxScalar($sql)));

$sql = "SELECT IdPrezzo, Cod, tblPrezziFornitori.Gruppo, tblPrezziFornitori.Titolo, tblPrezziFornitori.Descrizione, tblPrezziFornitori.DescrEstesa, tblPrezziFornitori.PzUnitario "
	." FROM tblPrezziFornitori "
	." INNER JOIN tblContrattiFornitori "
	." ON tblPrezziFornitori.IdCommessa=tblContrattiFornitori.IdCommessa "
	." AND tblPrezziFornitori.IdContrattoFornitore=tblContrattiFornitori.IdContrattoFornitore "
	." WHERE tblPrezziFornitori.IdCommessa=$IdCommessa " 
	." AND tblContrattiFornitori.DataInizio<=$DataOrdine " 
	." AND tblContrattiFornitori.DataFine>=$DataOrdine " 
	." AND tblContrattiFornitori.IdFornitore=$Assegnazione ";
	
if ( strlen($_POST['FiltroTitolo']."")>0 )
	$sql .= " AND tblPrezziFornitori.Titolo='".str_replace("'","''",$_POST['FiltroTitolo']."")."' ";
	
if ( strlen($_POST['FiltroGruppo']."")>0 )
	$sql .= " AND tblPrezziFornitori.Gruppo='".str_replace("'","''",$_POST['FiltroGruppo']."")."' ";
	
if ( strlen($_POST['FiltroDescrizione']."")>0 )
	$sql .= " AND tblPrezziFornitori.Descrizione LIKE '%".str_replace("'","''",$_POST['FiltroDescrizione']."")."%' ";
	
if ( strlen($_POST['FiltroCod']."")>0 )
	$sql .= " AND tblPrezziFornitori.Cod LIKE '%".str_replace("'","''",$_POST['FiltroCod']."")."%' ";

$m_riga = "----------------------------------------------------------"
		."-----------------------------------------------------------------";

$m_spazi = "_____________________________________________________"
			."_____________________________________________________";

$descr = substr($traduttore->traduci('Codice')."".$m_spazi, 0, 10)
		." | ".substr($traduttore->traduci('Gruppo')." ".$m_spazi, 0, 15)
		." | ".substr($traduttore->traduci('Titolo')." ".$m_spazi, 0, 15)
		." | ".substr($traduttore->traduci('Descrizione')."".$m_spazi, 0, 30)
		." | ".substr($traduttore->traduci('Descrizione Estesa')"".$m_spazi, 0, 20)
		." | ".substr($traduttore->traduci('Prezzo')." ".$m_spazi, 0, 11);

$result = array();

$result[] = array('', $descr);

$result[] = array('', $m_riga);

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$id = $rs['IdPrezzo'];

	$descr = substr($rs['Cod'].$m_spazi, 0, 10)
		." | ".substr($rs['Gruppo'].$m_spazi, 0, 15)
		." | ".substr($rs['Titolo'].$m_spazi, 0, 15)
		." | ".substr($rs['Descrizione'].$m_spazi, 0, 30)
		." | ".substr($rs['DescrEstesa'].$m_spazi, 0, 20)
		." | ".substr(ntxRound($rs['PzUnitario'],2).$m_spazi, 0, 11);
	
	$result[] = array($id, $descr);
}

$result = ntxSelectTranslate($result);

ntxMsgResult( $result );	

$traduttore->Salva();
?>
