<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_659", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_659", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$IdPrezzo = ntxip('IdPrezzo'); // usata anche in _carica_richiesta
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< SQL
SELECT     tblContrattiFornitori.IdContrattoFornitore
FROM         Ordini INNER JOIN
                      tblContrattiFornitori INNER JOIN
                      tblContrattiFornitoriAttivitMestiereEdifici ON tblContrattiFornitori.IdCommessa = tblContrattiFornitoriAttivitMestiereEdifici.IdCommessa AND 
                      tblContrattiFornitori.IdContrattoFornitore = tblContrattiFornitoriAttivitMestiereEdifici.IdContrattoFornitore INNER JOIN
                      tblAttivitMestiere ON tblContrattiFornitoriAttivitMestiereEdifici.IdCommessa = tblAttivitMestiere.IdCommessa AND 
                      tblContrattiFornitoriAttivitMestiereEdifici.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
                      Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND Ordini.IdMestiere = tblComponetiMestiere.IdMestiere AND 
                      Ordini.IDCommessa = tblContrattiFornitoriAttivitMestiereEdifici.IdCommessa AND 
                      Ordini.CodEdificio = tblContrattiFornitoriAttivitMestiereEdifici.IdEdificio AND Ordini.IDCommessa = tblContrattiFornitori.IdCommessa AND 
                      Ordini.DataOrdine >= tblContrattiFornitori.DataInizio AND Ordini.DataOrdine <= tblContrattiFornitori.DataFine AND 
                      Ordini.Assegnazione = tblContrattiFornitori.IdFornitore
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$IdContrattoFornitore = ntxScalar($sql);

if ( !is_numeric($IdContrattoFornitore) ) $IdContrattoFornitore = -2;

$sql = <<< SQL
		SELECT     
				ElencoPrezziInCommessa.IdPrezzo, 
				ElencoPrezziInCommessa.Cod, 
				ElencoPrezziInCommessa.Descrizione, 
				ElencoPrezziInCommessa.UM, 
				ElencoPrezziInCommessa.PzUnitario, 
				ElencoPrezziInCommessa.Prezziario, 
				ElencoPrezziInCommessa.TipoPrezzo,
				ElencoPrezziInCommessa.Titolo, 
				ElencoPrezziInCommessa.DescrEstesa, 
				ElencoPrezziInCommessa.Gruppo, 
					isnull((
					SELECT ScontiFornitore.Sconto FROM ScontiFornitore 
					WHERE ElencoPrezziInCommessa.IdCommessa = ScontiFornitore.IdCommessa 
					AND ElencoPrezziInCommessa.IdPrezzo = ScontiFornitore.IdPrezzo
					AND ScontiFornitore.IdContrattoFornitore = $IdContrattoFornitore			
					),0) AS 
				Sconto
		FROM         ElencoPrezziInCommessa
		WHERE (ElencoPrezziInCommessa.IdCommessa = $IdCommessa) AND (ElencoPrezziInCommessa.IdPrezzo = $IdPrezzo) 
SQL;

$msg_error = $traduttore->traduci('Riga di costo non trovata!');

$record = ntxRecordArray($sql, $msg_error);

$record['CostoUnit'] = ntxRound($record['PzUnitario'], 2);
$record['Sconto'] = ntxRound($record['Sconto'], 2);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

$traduttore->Salva();
?>













