<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>
<body  >

<?php
	
require_once('sql.inc');

?>

<table>
	<tr>
		<th>Data Richiesta </th>
		<th>Codice</th>
		<th>Descrizione</th>
		<th>marca</th>
		<th>modello</th>
		<th>Note</th>
		
		<th>Quantità Richiesta </th>
		<th>Richiedente </th>
		<th>Stato </th>
		<th>Quantità Autorizzata</th>
		<th>Data Autorizzazione </th>
		<th>Autorizzatore </th>
		<th>Quantità Consegnata </th>
		<th>Data Consegna </th>
		<th>Data Annullo </th>
		<th>Utente Annullo</th>
		
		<th>Nome Localizzazione</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
	</tr>   

<?php
	$alternate = true;

	$Stato = array("",
					"In Attesa Autorizzazione",
					"Autorizzato",
					"Annullato",
					"Evaso");
					
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td title="Data Richiesta " <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td title="Codice"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td title="Descrizione"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td title="marca"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Marca']) ?></td>
		<td title="modello"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Modello']) ?></td>
		<td title="Note"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
		
		<td title="Quantità Richiesta " <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['QuantitàRichiesta'],2) ?></td>
		<td title="Richiedente " <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>
		<td title="Stato " <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($Stato[$rs['Stato']]) ?></td>
		<td title="Quantità Autorizzata" <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['QuantitàAutorizzata'],2) ?></td>
		<td title="Data Autorizzazione " <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataAutorizzazione']) ?></td>
		<td title="Autorizzatore " <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Autorizzatore']) ?></td>
		<td title="Quantità Consegnata " <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['QuantitàConsegnata'],2) ?></td>
		<td title="Data Consegna " <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataConsegna']) ?></td>
		<td title="Data Annullo " <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataAnnullo']) ?></td>
		<td title="Utente Annullo      " <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UtenteAnnullo']) ?></td>
		
		<td title="Nome Localizzazione"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Edificio']) ?></td>
		<td title="Indirizzo"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td title="Comune"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td title="Provincia"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['PROVINCIA']) ?></td>
		<td title="Cap"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CAP']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post>
	<input type=hidden name=IdEdificio>
	<input type=hidden name=IDComponente>

	<input type=hidden name=Marca>
	<input type=hidden name=Modello>
	<input type=hidden name=n_serie>
	<input type=hidden name=Codice>
	<input type=hidden name=Descrizione>
</form>

<script language=javascript>

function SelComponente(IdEdificio, IDComponente)
{
	form1.IdEdificio.value = IdEdificio;
	form1.IDComponente.value = IDComponente;
	
	ntxSendForm(form1, CaricaDati, 'carica_dati');
}

function CaricaDati(txt)
{
	var rows=ntxRecord(txt);

	form1.Marca.value = rows['Marca'];
	form1.Modello.value = rows['Modello'];
	form1.n_serie.value = rows['n_serie'];
	form1.Codice.value = rows['Codice'];
	form1.Descrizione.value = rows['Descrizione'];
	
	parent.frame_edit_ordine_mat.CompilaOrdine(form1);
	parent.drcShowKeyTab("edit_ordine_mat");
}

</script>

</body>
</html>
