<?php

$gIdCommessa = ntxise('IdCommessa');
$_SESSION['NumOrdine'] = $gNumOrdine = ntxip('NumOrdine');
$_SESSION['AnnoOrdine'] = $gAnnoOrdine = ntxip('AnnoOrdine');

$IdCommessa = ntxise('IdCommessa');

$sql = "SELECT RiassegnaGradoUrgenzaOrdine FROM Commesse WHERE IdCommessa=$IdCommessa";

$RiassegnaGradoUrgenzaOrdine = ntxScalar($sql);


$sql = <<< sql
	SELECT lower(GradoUrgenza)
	FROM Ordini
	WHERE     (Ordini.IDCommessa = $gIdCommessa) AND (Ordini.NumOrdine = $gNumOrdine) AND (Ordini.AnnoOrdine = '$gAnnoOrdine')
sql;

$GradoUrgenza = ntxScalar($sql);

if ( $GradoUrgenza=="mon" )
	$andWhere = "and GradoU='mon'";
elseif ( $GradoUrgenza=="mp" )
	$andWhere = "and GradoU='mp'";
else
	$andWhere = "and GradoU<>'mon' and GradoU<>'mp'";
	
$sql = <<< sql
	SELECT     GradoU, Descrizione
	FROM         TabellaGradoUrgenza
	WHERE IdCommessa=$IdCommessa 
		$andWhere
	ORDER BY Descrizione
sql;

$query=ntxQuery($sql);

$optGrUrg = "";

while($rs=ntxRecord($query))
{
	$grd = ntxjs($rs[GradoU]);	
	$des = htmlentities("$rs[GradoU] - $rs[Descrizione]");	
	
	$optGrUrg .= "<option value=\"$grd\">$des";
}

unset($_SESSION['Assegnazione']);

$sql =  <<< sql
	SELECT 
		Ordini.Assegnazione
		,Ordini.NumOrdine
		,Ordini.AnnoOrdine
		,Ordini.NumRichiesta
		,Ordini.AnnoRichiesta
		,Ordini.Contabiliz
		,Ordini.DataOrdine
		,tblPgPropietari.Nome AS Ente
		,ElencoEdifici.EdificioBreve
		,ElencoEdifici.Indirizzo
		,ElencoEdifici.CITTA
		,ElencoEdifici.PROVINCIA, 
		PianoLivello.CodiceAssLivello AS CodPiano, 
		DestinazioniDusoLivello.Destinazione AS DesPiano, 
		Ambiente.CodiceAssAmbiente AS CodVano, 
		DestinazioniDuso.Destinazione AS DesVano, 
		ComponentiAmbiente.CodiceAssComponente AS CodComp, 
		TipoComponente.DesComponente AS DesComp,
		
		TabellaGradoUrgenza.GradoU CodGradoUrgenzaRichiesta,
		TabellaGradoUrgenza.Descrizione GradoUrgenzaRichiesta
		
	FROM         Richieste LEFT OUTER JOIN
                      TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa RIGHT OUTER JOIN
                      Ordini INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND 
                      Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta LEFT OUTER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      TipoComponente RIGHT OUTER JOIN
                      ComponentiAmbiente ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente ON Ordini.IDCommessa = ComponentiAmbiente.IdCommessa AND 
                      Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IdComponente = ComponentiAmbiente.IDComponente LEFT OUTER JOIN
                      DestinazioniDuso RIGHT OUTER JOIN
                      Ambiente ON DestinazioniDuso.IdCommessa = Ambiente.IdCommessa AND DestinazioniDuso.IdDestinazioneuso = Ambiente.IdDestinazioneduso ON 
                      Ordini.IDCommessa = Ambiente.IdCommessa AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
                      Ordini.IdAmbiente = Ambiente.IDAmbiente LEFT OUTER JOIN
                      DestinazioniDusoLivello RIGHT OUTER JOIN
                      PianoLivello ON DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa AND DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso ON 
                      Ordini.IDCommessa = PianoLivello.IdCommessa AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
                      Ordini.IdLivello = PianoLivello.idPiano LEFT OUTER JOIN
                      TipologieIntervento ON Ordini.IDCommessa = TipologieIntervento.IdCommessa AND 
                      Ordini.IdTipologiaIntervento = TipologieIntervento.Id LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
					  
	WHERE     (Ordini.IDCommessa = $gIdCommessa) AND (Ordini.NumOrdine = $gNumOrdine) AND (Ordini.AnnoOrdine = '$gAnnoOrdine')
sql;

$query = ntxQuery($sql);

if( $rs = ntxRecord($query) )
	$_SESSION['Assegnazione'] = $rs['Assegnazione'];

	
$tableRisorse = "Fornitore non assegnato";

if ( is_numeric($rs['Assegnazione']) )
{
	$sqlRiso = <<< sql
		SELECT     ID,  NOME
		FROM         Risorse
		WHERE     (CodDitta = $rs[Assegnazione]) and ruolo='Reperibile'
		ORDER BY NOME
sql;

	$tableRisorse = "<table style='width:100%'>";
	
	$queryRis = ntxQuery($sqlRiso);
	
	while($rsRis=ntxRecord($queryRis))
	{
		$nome = htmlentities($rsRis[NOME]);
		
		$tableRisorse .= <<< tbl
			<tr><td><input type=button value="sel" onclick="SelRisorsa($rsRis[ID])">$nome
tbl;
	}
	
	$tableRisorse .= "</table>";

}

?>
