<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxsp('AnnoOrdine');
$Assegnazione = ntxise('Assegnazione');

$sql = "SELECT Ordini.DataOrdine "
	."FROM Ordini "
	."WHERE (((Ordini.IDCommessa)=$IdCommessa) AND ((Ordini.NumOrdine)=$NumOrdine) AND ((Ordini.AnnoOrdine)=$AnnoOrdine));";
	
$DataOrdine = ntxDate(ntxScalar($sql));

$sql = "SELECT IdPrezzo, Cod, tblPrezziFornitori.Gruppo, tblPrezziFornitori.Titolo, tblPrezziFornitori.Descrizione, tblPrezziFornitori.DescrEstesa, tblPrezziFornitori.PzUnitario "
	." FROM tblPrezziFornitori "
	." INNER JOIN tblContrattiFornitori "
	." ON tblPrezziFornitori.IdCommessa=tblContrattiFornitori.IdCommessa "
	." AND tblPrezziFornitori.IdContrattoFornitore=tblContrattiFornitori.IdContrattoFornitore "
	." WHERE tblPrezziFornitori.IdCommessa=$IdCommessa " 
	." AND tblContrattiFornitori.DataInizio<=dbo.cdate('$DataOrdine') " 
	." AND tblContrattiFornitori.DataFine>=dbo.cdate('$DataOrdine') " 
	." AND tblContrattiFornitori.IdFornitore=$Assegnazione "
	." AND tblPrezziFornitori.DataInizio IS NULL ";
	
if ( strlen($_POST['FiltroTitolo']."")>0 )
	$sql .= " AND tblPrezziFornitori.Titolo='".str_replace("'","''",$_POST['FiltroTitolo']."")."' ";
	
if ( strlen($_POST['FiltroGruppo']."")>0 )
	$sql .= " AND tblPrezziFornitori.Gruppo='".str_replace("'","''",$_POST['FiltroGruppo']."")."' ";
	
if ( strlen($_POST['FiltroDescrizione']."")>0 )
	$sql .= " AND tblPrezziFornitori.Descrizione LIKE '%".str_replace("'","''",$_POST['FiltroDescrizione']."")."%' ";
	
if ( strlen($_POST['FiltroCod']."")>0 )
	$sql .= " AND tblPrezziFornitori.Cod LIKE '%".str_replace("'","''",$_POST['FiltroCod']."")."%' ";
	
$m_riga = "----------------------------------------------------------"
		."-----------------------------------------------------------------"
		."-----------------------------------------------------------------";

$m_spazi = "_____________________________________________________"
			."_____________________________________________________"
			."_____________________________________________________";

$descr = substr("Cod".$m_spazi, 0, 18)
		." | ".substr("Titolo".$m_spazi, 0, 30)
		." | ".substr("Descrizione".$m_spazi, 0, 60)
		." | ".substr("Prezzo".$m_spazi, 0, 15);

$result = array();

$result[] = array('', $descr);

$result[] = array('', $m_riga);

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$id = $rs['IdPrezzo'];

	$descr = substr($rs['Cod'].$m_spazi, 0, 18)
		." | ".substr($rs['Titolo'].$m_spazi, 0, 30)
		." | ".substr($rs['Descrizione'].$m_spazi, 0, 60)
		." | ".substr(ntxRound($rs['PzUnitario'],2).$m_spazi, 0, 15);
	
	$result[] = array($id, $descr);
}

$result = ntxSelectTranslate($result);

ntxMsgResult( $result );	

?>
