<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$DataInizio =ntxtp('DataInizio', false);
$DataFine=ntxtp('DataFine', false);

$sql = "SELECT NoEmailRitornocPerRifAffidatari FROM Commesse WHERE IdCommessa=$IdCommessa";

$NoEmailRitornocPerRifAffidatari = (ntxScalar($sql) ? 1 : 0);

$sql = <<<_SQL
	SELECT  StatoOrd
	FROM 	Ordini
	WHERE   
		IdCommessa = $IdCommessa 
		AND NumOrdine = $NumOrdine 
		AND AnnoOrdine = $AnnoOrdine
_SQL;
$StatoOrd = ntxScalar($sql);

if($StatoOrd<50) ntxmsgerr("Lo stato non permette di finire la contabilita'!");


//////////////***** codice per vedere se operiamo con il flusso di commessa sky (TEAM) *****//////////////
$IdCommessa = ntxise('IdCommessa');

$sql = <<<_SQL
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
_SQL;

$flussoPaginaWeb = "".ntxScalar($sql); 

if($flussoPaginaWeb=='sky')
{
	$NumOrdine = ntxip('NumOrdine'); 
	$AnnoOrdine = ntxip('AnnoOrdine'); 

	$sql = <<< SQL
		SELECT  validazioneTecnica
		FROM 	Ordini
		WHERE   IdCommessa = $IdCommessa AND NumOrdine = $NumOrdine AND AnnoOrdine = $AnnoOrdine
SQL;

	$validazioneTecnica = ntxScalar($sql); 
	
	if( $validazioneTecnica!=true )
		ntxMsgErr("Impossibile continuare poiche' l'utente supervisore non ha valutato il lavoro effettuato!");
}
//////////////***** fine *****//////////////


$IdCommessa = ntxip('IdCommessa'); // usata anche in _carica_richiesta
$NumOrdine = ntxip('NumOrdine'); // usata anche in _carica_richiesta
$AnnoOrdine = ntxip('AnnoOrdine'); // usata anche in _carica_richiesta
		
$sql = "UPDATE Ordini SET "

		."StatoOrd = 100"
		.", DataModifica = getdate()"

		." WHERE StatoOrd < 100 AND IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

ntxQuery($sql);

$sql = <<< SQL
	SELECT     Richieste.Localizzazione, Richieste.NumRichiesta, Richieste.AnnoRichiesta,
				Richieste.DataRichiesta, Ordini.IdMestiere, Ordini.Assegnazione, Richieste.IdAffidatario,
				Descrizione, Descrizione1, Descrizione2
	FROM         Ordini INNER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
	WHERE     (Ordini.IdCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine)
SQL;

$query = ntxQuery($sql);

if ( $rs = ntxIRecord($query) ) 
{
	$Localizzazione = $rs[0];
	$NumRichiesta = $rs[1];
	$AnnoRichiesta = $rs[2];
	$DataRichiesta = ntxt(ntxDate($rs[3]));
	$IdMestiere = $rs[4];
	$IdDitta = $rs[5];
	$IdAffidatario = $rs[6];
	$des1 = $rs[7];
	$des2 = $rs[8];
	$des3 = $rs[9];
	
	$emailRifFuori = null;
		
	if ( is_numeric($IdAffidatario) )
	{
		$sqlEmailRifFuori = <<< sql
			SELECT DISTINCT email_1
			FROM         tblPgRifAffidatari
			WHERE     (VistaFuoriContratto = 1) 
				AND (IdAffidatario = $IdAffidatario)			
				AND (email_1 IS NOT NULL)
				AND (email_1 <> '')
				AND $NoEmailRitornocPerRifAffidatari=0
sql;
		$query = ntxQuery($sqlEmailRifFuori);
		
		while( $rs = ntxIRecord($query) )
		{
			$emailRifFuori[] = $rs[email_1];
		}
	}

	$sql = <<< SQL
		SELECT  DISTINCT tblPgRifAffidatari.email_1
		FROM tblComponetiMestiere INNER JOIN
			tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
			tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
			tblPgContrattiRifAffidatari INNER JOIN
			tblPgContrattiRifAffidatariAttivitàEdifici ON 
			tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
			tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
			tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
			tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
			tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
		WHERE (tblComponetiMestiere.IdMestiere = $IdMestiere) 
			AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) 
			AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa)
			AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) 
			AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)
			AND (tblPgRifAffidatari.email_1 IS NOT NULL)
			AND (tblPgRifAffidatari.email_1 <> '')
			AND $NoEmailRitornocPerRifAffidatari=0
SQL;

	if ( is_numeric($IdAffidatario) )
		$sql .= " AND tblPgRifAffidatari.IdAffidatario = $IdAffidatario ";

	$oggetto = "Fine contabilità fornitore per ordine $NumOrdine/$AnnoOrdine";
	
	$sqlFornitore = <<< sqlFornitore
		SELECT     Ditta
		FROM         Ditte
		WHERE     (IDDitta = $IdDitta)
sqlFornitore;

	$Fornitore = ntxScalar($sqlFornitore);
	
	$sqlLocalizzazione = <<< sqlLocalizzazione
		SELECT   Codice, EdificioBreve, Indirizzo, CITTA, PROVINCIA  
		FROM         ElencoEdifici
		WHERE     (IdCommessa = $IdCommessa) AND (ID = $Localizzazione)
sqlLocalizzazione;

	$rsLocalizzazione = ntxRecord(ntxQuery($sqlLocalizzazione));
	
	$messaggio = "La contabilità relativa all'ordine \"$NumOrdine/$AnnoOrdine\" "
				."è stata inviata dal fornitore \"$Fornitore\" "
				."per l'intervento relativo alla localizzazione "
				."\"$rsLocalizzazione[Codice] - $rsLocalizzazione[EdificioBreve] - $rsLocalizzazione[Indirizzo] "
				."- $rsLocalizzazione[CITTA] ($rsLocalizzazione[PROVINCIA])\" "
				."per l'attività \"{$des1}{$des2}{$des3}\"";

	if ( strlen($messaggio)>2000 ) $messaggio = substr($messaggio, 0, 2000);
	
	$queryEmailRif1 = ntxQuery($sql);
	
	$NonTrovataEmailRif1 = true;
	
	while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"f-ritorno c",				
				"ordine $NumOrdine/$AnnoOrdine",			
				"email",		
				$rsEmailRif1[0],		
				$oggetto,				
				$messaggio,
				true);	
	
		$NonTrovataEmailRif1 = false;
	}
	
	if ( $NonTrovataEmailRif1  &&  isset($emailRifFuori) )
	{
		foreach ( $emailRifFuori as $email )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					"f-ritorno c",				
					"ordine $NumOrdine/$AnnoOrdine",			
					"email",		
					$email,		
					$oggetto,				
					$messaggio,
					true);	
		
			$NonTrovataEmailRif1 = false;
		}
	}
	
	if ( $NonTrovataEmailRif1 )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"f-ritorno c",				
				"ordine $NumOrdine/$AnnoOrdine",			
				"email",		
				EMAIL_DEBUG,		
				$oggetto,				
				$messaggio,
				true);	
	}
				
} 

require_once('_carica_ordine.inc');
?>
