<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumOrdine = ntxise('NumOrdine'); // usata anche in _carica_richiesta
$AnnoOrdine = ntxise('AnnoOrdine'); // usata anche in _carica_richiesta
	
	
$_POST[DataOrdine] = ntxDateTime(ntxScalar("SELECT DataOrdine FROM Ordini WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine) "));
$DataOrdine =ntxtp('DataOrdine');
$DataInizio=ntxtp('DataInizio');
$DataFine=ntxtp('DataFine');	 


//data inizio e data fine non devono essere inferiori alla data dell'ordine
$diff = ntxScalar("SELECT DATEDIFF ( day , $DataInizio, $DataOrdine )");
if($diff>0)
	ntxmsgerr("Errore! La DataInizio $_POST[DataInizio]  minore di DataOrdine $_POST[DataOrdine]  ");
	
$diff = ntxScalar("SELECT DATEDIFF ( day , $DataFine, $DataOrdine )");
if($diff>0)
	ntxmsgerr("Errore! La DataFine $_POST[DataFine]  minore di DataOrdine $_POST[DataOrdine]  ");
	

//data inizio non può essere maggiore della data fine  
$diff = ntxScalar("SELECT DATEDIFF ( day ,  $DataFine, $DataInizio )"); 
if($diff>0)
	ntxmsgerr("Errore! DataFine $_POST[DataFine]  minore di DataInizio $_POST[DataInizio]   ");
	 	
		
	
$sql = <<<_SQL
SELECT ElencoEdifici.Rimosso
FROM  ElencoEdifici INNER JOIN
               Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio
WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine)
_SQL;
	
if( ntxScalar($sql)==1 )
	ntxmsgerr("Non e' possibile eseguire l'operazione richiesta.\nEdificio non utilizzabile!");	
	
	
	
	
	
$DataInizio=ntxtp('DataInizio');
$DataFine=ntxtp('DataFine');

$DataInizioSopralluogo=ntxtp('DataInizioSopralluogo');
$DataFineSopralluogo=ntxtp('DataFineSopralluogo');

$DataInizioProg=ntxtp('DataInizioProg');
$DataFineProg=ntxtp('DataFineProg');

$Intervento=ntxsp('Intervento');
$AnomaliaRiscontrata=ntxip('AnomaliaRiscontrata');
$StatoOrdP=ntxip('StatoOrd');
$StatoOrd=ntxip('StatoOrd');

$Descrizione = $_POST['Descrizione'];

$des1 = $Descrizione;

$des2 = $des3 = "";

//impedire la possibilità di definire la data di fine senza quella di inizio
if( (strlen($_POST[DataFine])>0)  &&  (strlen($_POST[DataInizio])==0) )
	ntxMsgErr("Inserire la DATA DI INIZIO!");

if ( strlen($Descrizione) > 255 )
{
	$des1 = substr($Descrizione, 0, 255); // prende i primi 255 caratteri
	$des2 = substr($Descrizione, 255); // prende i caratteri dal 256° in poi
}

if ( strlen($des2) > 255 )
{
	$des3 = substr($des2, 255); // prende i caratteri dal 256° in poi
	$des2 = substr($des2, 0, 255); // prende i primi 255 caratteri
	$des3 = substr($des3, 0, 255); // prende i primi 255 caratteri
}

//aggiunta AZ
if ( $_POST[ForseFuoriCanone]==1  &&  strlen($_POST[NoteTecnicheEsecutore]) <=0 )
	ntxMsgErr("E' obbligatorio inserire note tecniche esecutore!");

$sql = "SELECT IDPres FROM PresenzaIntervento "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$obj = ntxScalar($sql);

$sql = "SELECT IdRisorsa FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$isIdRisorsa = is_numeric(ntxScalar($sql));

$sql = "SELECT BloccaReinvioMessaggiStatoFinito FROM Commesse "
		." WHERE IdCommessa = $IdCommessa";

$BloccaReinvioMessaggiStatoFinito = (ntxScalar($sql)==1);

$sql = "SELECT InviatoMessaggioStatoFinito FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$InviatoMessaggioStatoFinito = ($BloccaReinvioMessaggiStatoFinito  &&  ntxScalar($sql)==1);

if(strlen($DataFine)>4) 
{
	if ( is_numeric($obj)  &&  $StatoOrd < 80 )
		$StatoOrd = 80;
	elseif ( $StatoOrd < 50 )
		$StatoOrd = 50;
}
elseif(strlen($DataInizio)>4  &&  $StatoOrd < 40 ) 
	$StatoOrd = 40;
elseif ( $StatoOrd < 35 )
	if ( $isIdRisorsa )
		$StatoOrd = 37;
	else
		$StatoOrd = 35;
	
$Ordini= new NtxTable("Ordini");

$UpdateOrdini= $Ordini->update();

$UpdateOrdini->init();

	$UpdateOrdini->setp("IdMestiere");
	$UpdateOrdini->setp("IdComponenteMestiere");
	$UpdateOrdini->setp("IdAttivitàMestiere");
	$UpdateOrdini->setp("DataInizioProg");
	$UpdateOrdini->setp("DataFineProg");
	$UpdateOrdini->setp("DataInizioSopralluogo");
	$UpdateOrdini->setp("DataFineSopralluogo");
	$UpdateOrdini->setp("DataInizio");
	$UpdateOrdini->setp("DataFine");
	$UpdateOrdini->setp("Intervento");
	$UpdateOrdini->setp("AnomaliaRiscontrata");
	$UpdateOrdini->setp("PrestazioneEffettuata");
	$UpdateOrdini->setp("AnomaliaBloccante");
	$UpdateOrdini->setp("InterventoRisolutivo");
	$UpdateOrdini->setp("InterventoIdoneo");
	$UpdateOrdini->setp("DataAggiornamentoCensimento");
	$UpdateOrdini->setp("Note");
	$UpdateOrdini->setp("ForseFuoriCanone");
	$UpdateOrdini->setp("SicuramenteCanone");
	$UpdateOrdini->setp("Trasferta");
	
	$UpdateOrdini->setp("NumRisorse");
	$UpdateOrdini->setp("OreRisorse");	
	$UpdateOrdini->setp("OreExtraRisorse");
	
	
	if ( is_numeric($_POST[RAC]) )
		$UpdateOrdini->set("RichiestoAggiornamentoCensimento", $_POST[RAC]);
		
	$UpdateOrdini->setp("DataSospensione");
	$UpdateOrdini->setp("DataRipresaProg");
	$UpdateOrdini->setp("DataRipresa");
	$UpdateOrdini->setp("NoteSospensione");

	$UpdateOrdini->set("DescrizioneIntervento", $des1);
	$UpdateOrdini->set("DescrizioneIntervento1", $des2);
	$UpdateOrdini->set("DescrizioneIntervento2", $des3);
	
	$UpdateOrdini->set("StatoOrd", $StatoOrd);

	//aggiunta AZ
	if(isset($_POST[ForseFuoriCanone]) && $_POST[ForseFuoriCanone]==1)
	{
		$UpdateOrdini->setp("NoteTecnicheEsecutore");

		$UpdateOrdini->setp("ImportoStimatoEsecutore");
	}

	$UpdateOrdini->setp("IdRisorsa");
	$UpdateOrdini->setp("GradoUrgenza");
	$UpdateOrdini->setp("DataScadenza");
	
	$UpdateOrdini->set("DataPresaInCarico", $_POST[DataPC]);
	$UpdateOrdini->set("DataScadenzaPresaInCarico", $_POST[DataSPC]);
	
	$UpdateOrdini->wherep("IdCommessa");	
	$UpdateOrdini->wherep("NumOrdine");	
	$UpdateOrdini->wherep("AnnoOrdine");	
									   
$UpdateOrdini->execute();	

$sql = <<< sql
	SELECT 1
	FROM Ordini
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
		and IdRisorsa is not null and IdRisorsaOld is null
		and StatoOrd=37
sql;

$PrimaPresaInCarico = ntxScalar($sql);

$sql = <<< sql
	SELECT 1
	FROM Ordini
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
		and IdRisorsa is not null and IdRisorsaOld is not null and IdRisorsa<>IdRisorsaOld
		and StatoOrd=37
sql;

$SuccessivaPresaInCarico = ntxScalar($sql);

if ( $PrimaPresaInCarico )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/presa_in_carico/start.php');
	require_once(NTX_WEBPORTAL_PATH.'messaggi/presa_in_carico/start.php');
}
elseif ( $SuccessivaPresaInCarico )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/presa_in_carico/start.php');
}
elseif ( $StatoOrd == "50"  &&  !$InviatoMessaggioStatoFinito )
{
	$add_OGGETTO_MSG = "";
	if($StatoOrdP==50)//in questo caso i messaggi vengono inviati per la seconda volta o più
	{
		$add_OGGETTO_MSG = "ULTERIORI INFORMAZIONI";
	}

	require_once(NTX_WEBPORTAL_PATH.'messaggi/chiuso_ordine/start.php');
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/chiusura_ordine/start.php');
	
	$sql = <<< sql
		update Ordini set InviatoMessaggioStatoFinito=1
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

	ntxQuery($sql);
}

if ( $PrimaPresaInCarico || $SuccessivaPresaInCarico )
{
	$sql = <<< sql
		update ordini set IdRisorsaOld=IdRisorsa
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

	ntxQuery($sql);
}

require_once('_carica_ordine.inc');

?>
