<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>
<body  >

<?php
	
require_once('sql.inc');

?>

<table>
	<tr>
		<th>Localizzazione</th>
		<th>Gen<th>Feb<th>Mar<th>Apr
		<th>Mag<th>Giu<th>Lug<th>Ago
		<th>Set<th>Ott<th>Nov<th>Dic
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		$edificio = "$rs[Ente]<br>$rs[Codice]&nbsp;-&nbsp;$rs[Nome]<br>$rs[Indirizzo]&nbsp;-&nbsp;$rs[Comune]&nbsp;($rs[Provincia])&nbsp;-&nbsp;$rs[Cap]";
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo 
			htmlentities($rs[Ente])."<br>".
			htmlentities($rs[Codice])."&nbsp;-&nbsp;".
			htmlentities($rs[Nome])."<br>".
			htmlentities($rs[Indirizzo])."&nbsp;-&nbsp;".
			htmlentities($rs[Comune])."&nbsp;(".
			htmlentities($rs[Provincia]).")&nbsp;-&nbsp;".
			htmlentities($rs[Cap]) ?></td>
<?php
		for ( $iMese = 1; $iMese<13; $iMese++ )
		{
			$assegnati = $rs['Assegnati'.$iMese];
			$aperti = $rs['Aperti'.$iMese];
			$chiusi = $rs['Chiusi'.$iMese];
			$visita = $rs['Visita'.$iMese];
						
			$mark = "";

			if ( $visita>0 ) $mark = "$visita";
			
			$totale = $assegnati + $aperti + $chiusi;
			
			$style = "";
			$onclick = "";
			
			if ( $totale != 0 )
			{
				if ( $assegnati==0  &&  $aperti==0 ) // tutti chiusi
				{
					$style = "style='background-color: green;color: white'";
				}
				elseif ( $chiusi==0  &&  $aperti==0 ) // tutti assegnati
				{
					$style = "style='background-color: red;color: white'";
				}
				elseif ( $assegnati!=0 ) // qualcuno aperto
				{
					$style = "style='background-color: yellow;color: black'";
				}
				
				$onclick = "onclick='OrdiniAggregati($rs[IdEdificio],$iMese,$anno)'";
			}
		
			$class = "";
			
			if ( !$alternate ) $class = "class=td2";
			
			echo "<td $class $style $onclick>&nbsp;$mark</td>";
		}
		
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post>
	<input type=hidden name=IdEdificio>
	<input type=hidden name=mese>
	<input type=hidden name=anno>
</form>

<script language=javascript>

function OrdiniAggregati(IdEdificio,mese,anno)
{
	form1.IdEdificio.value=IdEdificio;
	form1.mese.value=mese;
	form1.anno.value=anno;
	parent.drcUpdateFrame(form1, "ordini_aggregati");
	parent.drcShowKeyTab("ordini_aggregati");
}

</script>

</body>
</html>
