<?php  

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta', false);

$IdEdificio = ntxip('IdEdificio', false);
$mese = ntxip('mese', false);
$anno = ntxip('anno', false);
	
$sqlFields .= <<< sql
			(SELECT     COUNT(*)
					FROM         OrdiniDateOrariVisita 
					WHERE     Ordini.IDCommessa = OrdiniDateOrariVisita.IdCommessa AND Ordini.NumOrdine = OrdiniDateOrariVisita.NumOrdine AND 
                      Ordini.AnnoOrdine = OrdiniDateOrariVisita.AnnoOrdine) as Visita
sql;

$sql = <<< sql
	SELECT DISTINCT    Ordini.NumOrdine, Ordini.AnnoOrdine, tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, 
						  ElencoEdifici.EdificioBreve,ElencoEdifici.Indirizzo,ElencoEdifici.CITTA,ElencoEdifici.Provincia,ElencoEdifici.Cap, 
						  Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, 
						  Ordini.DescrizioneIntervento2, Ordini.DataInizioProg, 
						  Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine, StatiOrdini.DesStato,
						  $sqlFields
	FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
	WHERE     (Ordini.Assegnazione = $IdDitta)
		AND     (Ordini.IdCommessa = $IdCommessa)
		AND     (Ordini.CodEdificio = $IdEdificio)
		AND     (MONTH(Ordini.DataInizioProg) = $mese)
		AND     (YEAR(Ordini.DataInizioProg) = $anno)
		AND (Ordini.GradoUrgenza = 'MP')
	ORDER BY Ordini.AnnoOrdine DESC, Ordini.NumOrdine DESC
sql;

$query = ntxQuery($sql);
	
?>
