<?php  

$IdCommessa = ntxise('IdCommessa');

$NumOrdine = ntxip('NumOrdine', false);
$AnnoOrdine = ntxip('AnnoOrdine', false);
	
	$sql = <<< sql
		SELECT     tblOrdiniProgrammati.IdCommessa, tblOrdiniProgrammati.IdOrdineProgrammato, tblOrdiniProgrammati.dataInizioProg, 
                      tblOrdiniProgrammati.dataFineProg, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblOrdiniProgrammati.Aperto, 
                      tblOrdiniProgrammati.Anomalia, tblOrdiniProgrammati.Eseguito, tblOrdiniProgrammati.Annullato, tblOrdiniProgrammati.NumOrdine, 
                      tblOrdiniProgrammati.AnnoOrdine, tblAttivitàMestiere.Descrizione AS Attivita, tblComponetiMestiere.Descrizione AS Componente, 
                      tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.Provincia, ElencoEdifici.Cap
		FROM         tblOrdiniProgrammati INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND 
                      tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario		
		WHERE tblOrdiniProgrammati.IdCommessa=$IdCommessa
		AND tblOrdiniProgrammati.NumOrdine=$NumOrdine
		AND tblOrdiniProgrammati.AnnoOrdine=$AnnoOrdine
sql;


$query = ntxQuery($sql);
	
?>
