<?php

require_once("func_table.inc");

$IdAttivita = ntxip('IdAttivita');

$sql = <<< sql
	SELECT    COUNT(tblAttivitàEdifici.IdEdificio) numedif, tblAttivitàProgrammata.inizio, tblAttivitàProgrammata.fine,
	case when tblAttivitàProgrammata.inizio < $DataPrimoDelMese then -1 else day(tblAttivitàProgrammata.inizio) end Giorno1,
	case when tblAttivitàProgrammata.fine >= $DataPrimoDelMeseSuccessivo then 32 else day(tblAttivitàProgrammata.fine) end Giorno2
	FROM         tblAttivitàProgrammata INNER JOIN
						  tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
						  tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio
	WHERE     (tblAttivitàEdifici.IdCommessa = $IdCommessa) 
			AND (tblAttivitàEdifici.IdAttivitàMestiere = $IdAttivita) 
			$where 
			AND (tblAttivitàProgrammata.fine >= $DataPrimoDelMese) 
			AND (tblAttivitàProgrammata.inizio < $DataPrimoDelMeseSuccessivo)
	GROUP BY tblAttivitàProgrammata.inizio, tblAttivitàProgrammata.fine
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	if ( $rs[numedif]==$NumEdifici )
	{
		$obj = null;

		$obj->des = ntxDate($rs[inizio])." - ".ntxDate($rs[fine]);
		
		$obj->a = $rs[Giorno1];
		$obj->b = $rs[Giorno2];
		
		$IntervalliAttività[$IdAttivita][] = $obj;
	}
}

$result[table] = func_table($IdAttivita);

jhp($result);

?>
