<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');

$sql = <<< SQL
			SELECT     
				Richieste.NumRichiesta, 
				Richieste.AnnoRichiesta, 
				Richieste.DataRichiesta, 
				Richieste.Richiedente, 
				Richieste.Descrizione, 
				Richieste.Descrizione1, 
				Richieste.Descrizione2, 
				ElencoEdifici.Codice, 
				ElencoEdifici.EdificioBreve, 
				ElencoEdifici.Indirizzo, 
				ElencoEdifici.CITTA, 
				ElencoEdifici.PROVINCIA, 
				TabellaGradoUrgenza.Descrizione AS DesGrUrg,
				Stati.DesStato,
				DocsPreventiviRichieste.Id, 
				DocsPreventiviRichieste.Descrizione, 
				DocsPreventiviRichieste.DataRichiestaPreventivo, 
				DocsPreventiviRichieste.ImportoOfferto,
				case when DocsPreventiviRichieste.Path is not null and DocsPreventiviRichieste.Path<>'' 
					then 1 else 0 end AS Allegato, 
				StatiDocsPrevRic.Descrizione AS Stato, 
				DocsPreventiviRichieste.DataPrimaElaborazioneAffidatario as d1, 
				DocsPreventiviRichieste.DataUltimaElaborazioneAffidatario as d2, 
				DocsPreventiviRichieste.DataPrimaElaborazioneFornitore as d3, 
				DocsPreventiviRichieste.DataUltimaElaborazioneFornitore as d4, 
				DocsPreventiviRichieste.DataRichiestaAccettazione as d5, 
				DocsPreventiviRichieste.DataRispostaAccettazione as d6
			FROM         DocsPreventiviRichieste INNER JOIN
                      StatiDocsPrevRic ON DocsPreventiviRichieste.Stato = StatiDocsPrevRic.Id INNER JOIN
                      Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
                      DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
                      TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
                      Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
			WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) 
				AND (DocsPreventiviRichieste.IdDitta = $IdDitta)
SQL;

if ( is_numeric($_POST[NumRichiesta]) )
{
	$NumRichiesta = (int)$_POST[NumRichiesta];
	$sql .= " AND (DocsPreventiviRichieste.NumRichiesta = $NumRichiesta)";
}

if ( is_numeric($_POST[AnnoRichiesta])  )
{
	$AnnoRichiesta = (int)$_POST[AnnoRichiesta];
	$sql .= " AND (DocsPreventiviRichieste.AnnoRichiesta = $AnnoRichiesta)";
}

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sqlWhere .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sqlWhere .= " AND Richieste.DataRichiesta <= ".$str." ";
}

if ( is_numeric($_POST[Stato2])  )
{
	$Stato2 = (int)$_POST[Stato2];
	
	if ( $Stato2 == 1 )
		$sql .= " AND (DocsPreventiviRichieste.Stato = 2)";
	elseif ( $Stato2 == 2 )
		$sql .= " AND (DocsPreventiviRichieste.Stato = 3)";
	elseif ( $Stato2 == 3 )
		$sql .= " AND (DocsPreventiviRichieste.Stato = 4)";
	elseif ( $Stato2 == 4 )
		$sql .= " AND (DocsPreventiviRichieste.Stato = 5 "
				." OR (DocsPreventiviRichieste.Stato = 1 AND DocsPreventiviRichieste.DataRispostaAccettazione IS NOT NULL))";
}

$sql .= " ORDER BY DocsPreventiviRichieste.AnnoRichiesta DESC, DocsPreventiviRichieste.NumRichiesta DESC";

$query = ntxQuery($sql);

?>
