<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>

<?php
	
require_once('query.inc');

$nomiMesi = array(
		 "Gen","Feb","Mar","Apr"
		,"Mag","Giu","Lug","Ago"
		,"Set","Ott","Nov","Dic");
?>
<table>
	<tr>
		<th colspan=8>Contabilità
	</tr>
	<tr>
		<th>Stato:<td><?php echo htmlentities($DesStato) ?>
		<th>Numero SAL:<td><?php echo htmlentities($_POST[NumeroSAL]) ?>
		<th><td><?php echo htmlentities($_POST[DataContabilità1]) ?>
		<th><= Data Ordini <=<td><?php echo htmlentities($_POST[DataContabilità2]) ?>
		<th>Solo Costi Autorizzati:<td><?php echo $_POST[Autorizzati] ? "SI" : "NO" ?> 
	</tr>
</table>
<br>

<table align=left>
	<tr>
		<th>Num. Contabilità
		<th>Data Contabilità
		<th>Stato
		<th>Richiesta
		<th>Ordine
		<th>GU
		<th>Descrizione
		<th>Cod. Localizzazione
		<th>Localizzazione
		<th>Consegnato
		<th>Data Consegna
		<th>Data Ultima Consegna
		<th>Fatturato
		<th>Num. Sal
		<th>Data Sal
		<th>Note
		<th>Approvato
		<th>Importo Fornitore
		<?php
		if($_POST[importoApprovatoContb]==1)
		{
			echo "<th>Importo Approvato C.";
		}
		?>		
		<th>Data Approvazione
		<th>Utente Approvazione
		<th>Contestato
		<th>Data Contestazione
		<th>Utente Contestazione
		<th>Note Contestazione
		<th>Rif. Ordine Cliente
		<th>Voce Budget
		<th>Affidatario
	</tr>
<?php

	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
			<td><?php echo htmlentities($rs['NumContabilità']) ?>
			<td><?php echo ntxDateTime($rs['DataContabilità']) ?>
			<td><?php echo htmlentities($rs['DesstatoC']) ?>
			<td><?php echo (int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'] ?>
			<td><?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?>
			<td><?php echo htmlentities($rs['GU']) ?>
			<td><?php echo htmlentities($rs['Descrizione']) ?>
			<td><?php echo htmlentities($rs['CodEdificio']) ?>
			<td><?php echo htmlentities($rs['Edificio']) ?>
			<td><?php if ($rs['Consegnato']==1) echo "SI"; else echo "no" ?>
			<td><?php echo ntxDateTime($rs['DataConsegna']) ?>
			<td><?php echo ntxDateTime($rs['DataUltimaConsegna']) ?>
			<td><?php if ($rs['Fatturato']==1) echo "SI"; else echo "no" ?>
			<td><?php echo htmlentities($rs['NumSal']) ?>
			<td><?php echo ntxDateTime($rs['DataSal']) ?>
			<td><?php echo htmlentities($rs['Note']) ?>
			<td><?php if ($rs['Approvato']==1) echo "SI"; else echo "no" ?>
			<td><?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?>
				<?php
				if($_POST[importoApprovatoContb]==1)
				{
				?>
					<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?>
				<?php
				}
				?>			
			<td><?php echo ntxDateTime($rs['DataApprovazione']) ?>
			<td><?php echo htmlentities($rs['UtenteApprovazione']) ?>
			<td><?php if ($rs['Contestato']==1) echo "SI"; else echo "no" ?>
			<td><?php echo ntxDateTime($rs['DataContestazione']) ?>
			<td><?php echo htmlentities($rs['UtenteContestazione']) ?>
			<td><?php echo htmlentities($rs['NoteContestazione']) ?>
			<td><?php echo htmlentities($rs['RifOrdineCliente']) ?>
			<td><?php echo htmlentities($rs['Voce']) ?>
			<td><?php echo htmlentities($rs['Affidatario']) ?>
		</tr>
<?php
	}
?>
</table>
