<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>
<body>

<?php

require_once('query.inc');

$Utente	= ntxsse('Utente');
$Password = ntxsse('Password');

?>
<form name=frmExcel method=post action="excel.php" target=frame2>
	<input type=hidden name=IdEdificio value="<?php  echo ntxJS($_POST[IdEdificio]) ?>">
	<input type=hidden name=Stato2 value="<?php  echo ntxJS($_POST[Stato2]) ?>">
	<input type=hidden name=Stato value="<?php  echo ntxJS($_POST[Stato]) ?>">
	<input type=hidden name=NumeroSAL value="<?php  echo ntxJS($_POST[NumeroSAL]) ?>">
	<input type=hidden name=DataContabilità1 value="<?php  echo ntxJS($_POST[DataContabilità1]) ?>">
	<input type=hidden name=DataContabilità2 value="<?php  echo ntxJS($_POST[DataContabilità2]) ?>">
	<input type=hidden name=Autorizzati value="<?php  echo $_POST[Autorizzati] ? 1 : 0 ?>">
</form>

<iframe name=frame2 style="width:1px;height:1px"></iframe>

<table>
	<tr>
		<th colspan=10>Costi
		<td rowspan=2><input type=button value="Excel" onclick="document.frmExcel.submit()">
	</tr>
	<tr>
		<th>Stato:<td>&nbsp;<?php echo htmlentities($DesStato) ?>
		<th>Numero SAL:<td>&nbsp;<?php echo htmlentities($_POST[NumeroSAL]) ?>
		<th>&nbsp;<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità1]) ?>
		<th><= Data Ordini <=<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità2]) ?>
		<th>Solo Costi Autorizzati:<td>&nbsp;<?php echo $_POST[Autorizzati] ? "SI" : "NO" ?> 
	</tr>
</table>
<br>

<table align=left>
	<tr>
		<th>Num. Contabilità
		<th>Data Contabilità
		<th>Stato
		<th>Richiesta
		<th>Ordine
		<th>GU
		<th>Descrizione
		<th>Cod. Localizzazione
		<th>Localizzazione
		<th>Consegnato
		<th>Data Consegna
		<th>Data Ultima Consegna
		<th>Fatturato
		<th>Num. Sal
		<th>Data Sal
		<th>Note
		<th>Approvato
		<th>Importo Fornitore
		<?php
		if($_POST[importoApprovatoContb]==1)
		{
			echo "<th>Importo Approvato C.";
		}
		?>
		<th>Data Approvazione
		<th>Utente Approvazione
		<th>Contestato
		<th>Data Contestazione
		<th>Utente Contestazione
		<th>Note Contestazione
		<th>Rif. Ordine Cliente
		<th>Voce Budget
		<th>Affidatario
		<th>&nbsp;
	</tr>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumContabilità']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataContabilità']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesstatoC']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo (int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'] ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['GU']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CodEdificio']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Edificio']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Consegnato']==1) echo "SI"; else echo "no" ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataConsegna']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataUltimaConsegna']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Fatturato']==1) echo "SI"; else echo "no" ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumSal']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataSal']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Note']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Approvato']==1) echo "SI"; else echo "no" ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?>
			<?php
			if($_POST[importoApprovatoContb]==1)
			{
			?>
				<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?>
			<?php
			}
			?>			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataApprovazione']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UtenteApprovazione']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Contestato']==1) echo "SI"; else echo "no" ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataContestazione']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UtenteContestazione']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NoteContestazione']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['RifOrdineCliente']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['VoceBudget']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Affidatario']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> height=10>
				<input type=button value="Report" onclick="Report(<?php echo "$rs[NumOrdine], $rs[AnnoOrdine]" ?>)" disabled>
			
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post>
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="" >
</form>

<form name=frmEditVoce method=post>
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input TYPE=HIDDEN NAME=NumContabilità>
	<input TYPE=HIDDEN NAME=IdVoce>
</form>

<script language=javascript>

function Report(NumOrdine, AnnoOrdine)
{
	form1.NumOrdine.value = NumOrdine;
	form1.AnnoOrdine.value = AnnoOrdine;
	form1.action = "../../../fornitori/contabilita/contab_ord/report/index.php";
	form1.target = "_blank";
	form1.submit();
}

</script>


</body>
</html>
