<?php  

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sql = <<< sql
	SELECT DISTINCT IdDitta
	FROM         Utenti
	WHERE     (Nome = $mUtente) AND (Password = $mPassword)
sql;

$IdDitta = ntxScalar($sql);

require_once("pivot_costi_sql_coda.inc"); // setta $sqlQueue
require_once("pivot_costi_sql_min_max.inc"); // setta $minMese, $minAnno, $maxMese e $maxAnno
require_once("pivot_costi_sql_funcs.inc"); // GeneraSubQuery($mese, $anno) e GeneraSubQuery2($TipoPrezzo)

// GENERA TABELLA TEMPORANEA #my123 con i valori dei mesi ed anni da scandagliare
$sqlTemp = <<< sqlTemp
		SELECT     Mese, Anno
		INTO            [#my123]
		FROM         (SELECT 0 AS Mese, 0 AS Anno) AS a;
		
		DELETE FROM [#my123];
sqlTemp;

for($mese=$minMese, $anno=$minAnno; $anno<$maxAnno || ($anno==$maxAnno  &&  $mese<=$maxMese); $mese++)
{
	if ( $mese == 13 ) { $mese = 1; $anno++; }
	
	$sqlTemp .= " insert into #my123 (Mese, Anno) values($mese, $anno);";
}

ntxQuery($sqlTemp);

$numCols = ntxScalar("SELECT COUNT(*) FROM #my123");

$sql1 = <<< SQL
	SELECT  sum( isnull(Costi.QTA * Costi.CostoUnit, 0)
								* (1 - isnull(Costi.Sconto, 0)/100))
	FROM         Costi INNER JOIN
                      Ordini ON Costi.IdCommessa = Ordini.IDCommessa AND Costi.NumOrdine = Ordini.NumOrdine AND 
                      Costi.AnnoOrdine = Ordini.AnnoOrdine LEFT OUTER JOIN
                      Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
                      Ordini.AnnoOrdine = Contabilità.AnnoOrdine
	WHERE      Ordini.IDCommessa = b.IdCommessa
			AND Ordini.CodEdificio = b.ID	
			AND MONTH(Ordini.DataOrdine) = #my123.Mese 	
			AND YEAR(Ordini.DataOrdine) = #my123.Anno	
			AND  (Ordini.Assegnazione = $IdDitta)
			AND $sqlQueue
SQL;

$sql2 = <<< sql
	SELECT DISTINCT 
			ElencoEdifici.IdCommessa, 
			ElencoEdifici.ID, 
			ElencoEdifici.Codice, 
			ElencoEdifici.EdificioBreve, 
			ElencoEdifici.Indirizzo, 
			ElencoEdifici.CITTA
	FROM         Costi INNER JOIN
                      Ordini ON Costi.IdCommessa = Ordini.IDCommessa AND Costi.NumOrdine = Ordini.NumOrdine AND Costi.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
                      Ordini.AnnoOrdine = Contabilità.AnnoOrdine
	WHERE  Ordini.IDCommessa = $IdCommessa
			AND  (Ordini.Assegnazione = $IdDitta)
		AND $sqlQueue
sql;

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql2 .= " AND (Ordini.CodEdificio = $IdEdificio) ";
}
	
$sql3 = <<< sql
	SELECT 
		b.*,
		#my123.Mese, 
		#my123.Anno, 
		($sql1) AS Valore
	FROM ($sql2) b, #my123
	ORDER BY Codice, EdificioBreve, ID, Anno, Mese
sql;

$query = ntxQuery($sql3);
	
?>
