<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$user=ntxsse('Utente');
$pwd=ntxsse('Password');
$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT DISTINCT IdDitta
	FROM         Utenti
	WHERE     (Nome = $user) AND (Password = $pwd)
sql;

$IdDitta = ntxScalar($sql);

$sql1 = <<< sql
	SELECT     sum( isnull(RiheDocPrevRichieste.QTA * RiheDocPrevRichieste.PzUnitario, 0)
						* (1 - isnull(RiheDocPrevRichieste.Sconto, 0)/100))
	FROM         RiheDocPrevRichieste 
	WHERE     DocsPreventiviRichieste.IdCommessa = RiheDocPrevRichieste.IdCommessa AND 
			  DocsPreventiviRichieste.Id = RiheDocPrevRichieste.IdDocPrevRichiesta
sql;

$sql = <<< SQL
			SELECT DISTINCT Richieste.*, ElencoEdifici.*, TabellaGradoUrgenza.Descrizione AS DesGrUrg,
					Richieste.Richiedente, 
					Preventivi.Descrizione AS DesCliente, Preventivi.Path AS PathCliente, Preventivi.NumPreventivo, Preventivi.IdVoce, 
					Preventivi.Importo AS ImportoCliente, Stati.DesStato,
					($sql1) AS ImportoNetto, VociBudgetClienti.Voce
			FROM         ElencoEdifici INNER JOIN
                      Richieste ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND ElencoEdifici.ID = Richieste.Localizzazione INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
                      Preventivi ON Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND 
                      Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta INNER JOIN
                      DocsPreventiviRichieste ON Richieste.IDCommessa = DocsPreventiviRichieste.IdCommessa AND 
                      Richieste.NumRichiesta = DocsPreventiviRichieste.NumRichiesta AND 
                      Richieste.AnnoRichiesta = DocsPreventiviRichieste.AnnoRichiesta LEFT OUTER JOIN
                      VociBudgetClienti ON Preventivi.IdVoce = VociBudgetClienti.Id LEFT OUTER JOIN
                      TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU
			  WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) 
					AND (DocsPreventiviRichieste.IdDitta = $IdDitta)
						AND (Richieste.stato >= 35 or Richieste.stato=15 or Richieste.stato=18)
SQL;

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (Richieste.Localizzazione = $IdEdificio) ";
}

if ( $_POST['Stato2'] == 2 )
{
	$sql .= " AND (Richieste.stato = 15) ";
	$DesStato = "Ricerca preventivi da approvare";
}
elseif ( $_POST['Stato2'] == 3 )
{
	$sql .= " AND (Richieste.stato >= 35 or Richieste.stato=18) ";
	$DesStato = "Ricerca preventivi approvati";
}

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sql .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sql .= " AND Richieste.DataRichiesta <= ".$str." ";
}

$sql .= " ORDER BY Richieste.AnnoRichiesta, Richieste.NumRichiesta;";

$query = ntxQuery($sql);

?>
