<?php

	$sql = <<< sql
		SELECT DISTINCT tblOrdiniProgrammati.IdAttivitàMestiere, Month(tblOrdiniProgrammati.dataInizioProg) AS mese,
		Year(tblOrdiniProgrammati.dataInizioProg) AS anno,
		tblOrdiniProgrammati.Aperto, tblOrdiniProgrammati.Eseguito, tblOrdiniProgrammati.Annullato, tblOrdiniProgrammati.Anomalia
		FROM         UtentiRifAffidatari INNER JOIN
                      Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id INNER JOIN
                      tblOrdiniProgrammati INNER JOIN
                      tblPgContrattiRifAffidatariAttivitàEdifici ON tblOrdiniProgrammati.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
                      tblOrdiniProgrammati.IdEdificio = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
                      tblPgContrattiRifAffidatari ON 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario AND 
                      tblOrdiniProgrammati.dataFineProg >= tblPgContrattiAffidatari.DataInizio AND 
                      tblOrdiniProgrammati.dataInizioProg <= tblPgContrattiAffidatari.DataFine ON 
                      UtentiRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario
		WHERE     
			(Utenti.Nome = $user) AND (Utenti.Password = $pwd)		
			AND (((tblOrdiniProgrammati.IdCommessa)=$IdCommessa)
			AND ((tblOrdiniProgrammati.IdEdificio)=$IdEdificio)
			AND ((dbo.format(tblOrdiniProgrammati.[dataInizioProg],'yyyymmdd'))<='$DDataFineP')
			AND ((dbo.format(tblOrdiniProgrammati.[dataFineProg],'yyyymmdd'))>='$DDataInizioP'))
sql;
		
	if ( is_numeric($IdAttivitàMestiere) ) 
		$sql .= " AND tblOrdiniProgrammati.IdAttivitàMestiere=$IdAttivitàMestiere ";

	if ( $_POST[Aperto] )
		$sql .= " AND tblOrdiniProgrammati.Aperto=1 ";

	if ( $_POST[Eseguito] )
		$sql .= " AND tblOrdiniProgrammati.Eseguito=1 ";

	if ( $_POST[Anomalia] )
		$sql .= " AND tblOrdiniProgrammati.Anomalia=1 ";

	if ( $_POST[Annullato] )
		$sql .= " AND tblOrdiniProgrammati.Annullato=1 ";
		
	$sql .= " ORDER BY tblOrdiniProgrammati.IdAttivitàMestiere,  anno, mese";

	$qryOrdini = ntxQuery($sql);

	$old = "";
	
	while( $rs = ntxIRecord($qryOrdini) )
	{
		if ($old != $rs[0]) $i = 0;
		
		$arrayOrdini['k_'.$rs[0]][$i++] = array($rs[0], $rs[1], $rs[2], $rs[3], $rs[4], $rs[5], $rs[6]);

		$old = $rs[0];
	}

?>