<?php  
session_start();

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once('../../_ntx/ntxconst.inc');
	require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$gUtente     = $_SESSION['Utente'];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>

<table>
<tr>
<th>Num
<th>Mestiere
<th>Componente
<th>Attività
<th>Data Inizio Prog<th>Data Fine Prog
<th>Data Inizio<th>Data Fine
<th>Aperto<th>Anomalia<th>Eseguito<th>Annullato<th>Ditta Esecutrice
<th>Note
<th>NumOrdine<th>AnnoOrdine

<?php
	require_once('ordini_prg_sql.inc');

	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		$rs[NumOrdine] = (int)$rs[NumOrdine];
		
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[IdOrdineProgrammato]) ?></td>
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Mestiere]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Componente]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Attivita]) ?></td>

			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs[dataInizioProg]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs[dataFineProg]) ?></td>

			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs[dataInizio]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs[datafine]) ?></td>
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[Aperto] ? "SI" : "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[Anomalia] ? "SI" : "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[Eseguito] ? "SI" : "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[Annullato] ? "SI" : "no" ?></td>
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Ditta]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Note]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities((int)$rs[NumOrdine]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[AnnoOrdine]) ?></td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
</body>
</html>
