<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

?>
<html>
<head>
<link href="../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../_ntx/ntxjsint.php"></script>
<script type="text/javascript" src="js/filtro.js"></script>
</head>
<body  >

<form name=form1 method=post action="gantt_month.php" target="_blank">
	<input type=hidden name="IdCommessa" value="<?php echo $_SESSION[IdCommessa] ?>">
	<input type=hidden name="IdEdificio">
	<input type=hidden name="TipoAttore">
	<input type=hidden name=DataInizioP value="<?php echo date("j/n/Y") ?>">
	<input type=hidden name=DataFineP value="<?php echo date("j/n/Y") ?>">
	<table align=center>
		<caption>Filtro Gantt</caption>
		<tr><th style="text-align:left">Data Inizio P<td style="text-align:left">
			<select name=giornoInizio onchange="ValidaData(giornoInizio,meseInizio,annoInizio,DataInizioP)">
				<?php 
					for ($i=1; $i<32; $i++)
						echo "<option value=$i ".($i==date("j")?"SELECTED":"").">$i</option>\n";
				?>
			</select>
			<select name=meseInizio onchange="ValidaData(giornoInizio,meseInizio,annoInizio,DataInizioP)">
				<?php 
					$nomi_mesi = array('gen','feb','mar','apr','mag','giu',
										'lug','ago','set','ott','nov','dic');
					for ($i=1; $i<13; $i++)
						echo "<option value=$i ".($i==date("n")?"SELECTED":"").">".$nomi_mesi[$i-1]."</option>\n";
				?>
			</select>
			<select name=annoInizio onchange="ValidaData(giornoInizio,meseInizio,annoInizio,DataInizioP)">
				<?php 
					for ($i=1900; $i<2100; $i++)
						echo "<option value=$i ".($i==date("Y")?"SELECTED":"").">$i</option>";
				?>
			</select>
		<tr><th style="text-align:left">Data Fine P<td style="text-align:left">
			<select name=giornoFine onchange="ValidaData(giornoFine,meseFine,annoFine,DataFineP)">
				<?php 
					for ($i=1; $i<32; $i++)
						echo "<option value=$i ".($i==date("j")?"SELECTED":"").">$i</option>\n";
				?>
			</select>
			<select name=meseFine onchange="ValidaData(giornoFine,meseFine,annoFine,DataFineP)">
				<?php 
					$nomi_mesi = array('gen','feb','mar','apr','mag','giu',
										'lug','ago','set','ott','nov','dic');
					for ($i=1; $i<13; $i++)
						echo "<option value=$i ".($i==date("n")?"SELECTED":"").">".$nomi_mesi[$i-1]."</option>\n";
				?>
			</select>
			<select name=annoFine onchange="ValidaData(giornoFine,meseFine,annoFine,DataFineP)">
				<?php 
					for ($i=1900; $i<2100; $i++)
						echo "<option value=$i ".($i==date("Y")?"SELECTED":"").">$i</option>";
				?>
			</select>
		<tr><th style="text-align:left">Localizzazione<td style="text-align:left">
			<input type=text name=Edificio readonly size=50>
			<input type=button value="x" onclick="TogliEdificio()" />
		<tr><th style="text-align:left">Mestiere<td style="text-align:left">
			<select name=IdMestiere onchange="javascript:caricaComponenti()">
			<?php
				echo "<option value='' SELECTED>Non Importa\n";
			?>
			</select>                   

		<tr><th style="text-align:left">Componente Mestiere<td style="text-align:left">
				<select name=IdComponenteMestiere onchange="javascript:caricaAttività()">
			<?php
				echo "<option value='' SELECTED>Non Importa\n";
			?>
			</select>                   

		<tr><th style="text-align:left">Attività Mestiere<td style="text-align:left">
				<select name=IdAttivitàMestiere>
			<?php
				echo "<option value='' SELECTED>Non Importa\n";
			?>
			</select>        
			
		<tr><th style="text-align:left">Aperto<td style="text-align:left">
			<input type=checkbox name=Aperto>
		<tr><th style="text-align:left">Eseguito<td style="text-align:left">
			<input type=checkbox name=Eseguito>
		<tr><th style="text-align:left">Anomalia<td style="text-align:left">
			<input type=checkbox name=Anomalia>
		<tr><th style="text-align:left">Annullato<td style="text-align:left">
			<input type=checkbox name=Annullato>
			
		<tr><th colspan=2><input type=button style="width:100%;height:100%" value="Genera Gantt Per Mesi..."
			onclick="GanttPerMesi()">
		<tr><th colspan=2><input type=button style="width:100%;height:100%" value="Genera Gantt Per Giorni..."
			onclick="GanttPerGiorni()">
		<tr><th colspan=2><input type=button style="width:100%;height:100%" value="Elenco Ordini Prg"
			onclick="ElencoOrdiniPrg()">
	</table>
</form>

<script language=javascript>

form1.TipoAttore.value = parent.form1.TipoAttore.value;

function ElencoOrdiniPrg()
{
	var pathAttori = new Array('callcenter','callcenter','callcenter','affidatari','fornitori');

	form1.action = pathAttori[form1.TipoAttore.value]+"\\ordini_prg.php";
	parent.frame_frames.AppendFrame(form1);
	parent.drcShowKeyTab("frames");
}

function GanttPerMesi()
{
	form1.action = "gantt_month.php";
	parent.frame_frames.AppendFrame(form1);
	parent.drcShowKeyTab("frames");
}

function GanttPerGiorni()
{
	form1.action = "gantt_day.php";
	parent.frame_frames.AppendFrame(form1);
	parent.drcShowKeyTab("frames");
}

function SelEdificio(IdEdificio)
{
	document.form1.IdEdificio.value = IdEdificio;
	ntxSendForm(form1, CaricaEdificio, 'filtro_edifici/carica_edificio');
	caricaMestieri();
}

function CaricaEdificio(txt)
{
	var rows=ntxRecord(txt);
	form1.Edificio.value = rows['Edificio'];
}

function TogliEdificio()
{
	document.form1.IdEdificio.value = '';
	document.form1.Edificio.value = '';
	caricaMestieri();
}

</script>

</body>
</html>
