<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

require_once('const.inc');

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
	
$gUtente     = $_SESSION['Utente'];

$TipoAttore = ntxip('TipoAttore',false);
			
$prefixAttore = $pathAttori[$TipoAttore];

?>
<html>
<head>
<link href="../_css/gantt.css" rel="stylesheet" type="text/css">
</head>
<body>

<input type=button value="excel" onclick="formExcel.submit()">

<form name=formExcel method=post action="gantt_day_excel.php">
	<?php ntxCreateHiddens(); ?>
</form>

<form name=form1 method=post action="<?php echo "$prefixAttore/ordini_prg.php" ?>" target=_blank>
	<input type=hidden name=IdCommessa>
	<input type=hidden name=IdEdificio>
	<input type=hidden name=locIdAttivitàMestiere>
	<input type=hidden name=giorno>
	<input type=hidden name=mese>
	<input type=hidden name=anno>
	
	<input type=hidden name=Aperto value="<?php echo $_POST[Aperto] ?>">
	<input type=hidden name=Eseguito value="<?php echo $_POST[Eseguito] ?>">
	<input type=hidden name=Anomalia value="<?php echo $_POST[Anomalia] ?>">
	<input type=hidden name=Annullato value="<?php echo $_POST[Annullato] ?>">
</form>

<script>

function VaiAdOrdini(IdCommessa, IdEdificio, locIdAttivitàMestiere, giorno, mese, anno)
{
	form1.IdCommessa.value = IdCommessa;
	form1.IdEdificio.value = IdEdificio;
	form1.locIdAttivitàMestiere.value = locIdAttivitàMestiere;
	form1.giorno.value = giorno;
	form1.mese.value = mese;
	form1.anno.value = anno;
	parent.parent.frame_frames.AppendFrame(form1);
	parent.parent.drcShowKeyTab("frames");
}

</script>

<?php  
	$user=ntxsse('Utente');
	$pwd=ntxsse('Password');
	
	$IdCommessa = ntxise('IdCommessa');
	
	$DataInizioP = ntxtp('DataInizioP',false,false);
	$DataFineP = ntxtp('DataFineP',false,false);
	$DataFineP = str_replace("'","''",$_POST['DataFineP'].' 23.59.59');
	$IdEdificio = ntxip('IdEdificio',false);
	$TipoAttore = ntxip('TipoAttore',false);
	$IdMestiere = ntxip('IdMestiere');
	
	if (isset($_POST['IdComponenteMestiere'])) 
		$IdComponenteMestiere = ntxip('IdComponenteMestiere');
	else
		$IdComponenteMestiere = "x";
	
	if (isset($_POST['IdAttivitàMestiere'])) 
		$IdAttivitàMestiere = ntxip('IdAttivitàMestiere');
	else
		$IdAttivitàMestiere = "x";
		
	$prefixAttore = $pathAttori[$TipoAttore];
	
	$sql="SELECT dbo.format(dbo.cdate($DataInizioP),'yyyymmdd'),dbo.format(dbo.cdate('$DataFineP'),'yyyymmdd'),"
				."dbo.format(dbo.cdate($DataInizioP),'dd mmmm yyyy'),dbo.format(dbo.cdate('$DataFineP'),'dd mmmm yyyy'),"
				."dbo.format(dbo.cdate($DataInizioP),'dd'),dbo.format(dbo.cdate('$DataFineP'),'dd'),"
				."dbo.format(dbo.cdate($DataInizioP),'m'),dbo.format(dbo.cdate('$DataFineP'),'m'),"
				."dbo.format(dbo.cdate($DataInizioP),'yyyy'),dbo.format(dbo.cdate('$DataFineP'),'yyyy');";

	$query = ntxQuery($sql);
	
	if ( $rs = ntxIRecord($query) )
	{
		$DDataInizioP = $rs[0];
		$DDataFineP = $rs[1];
		$DataInizioP = $rs[2];
		$DataFineP = $rs[3];
		$GiornoInizioP = (int)$rs[4];
		$GiornoFineP = (int)$rs[5];
		$MeseInizioP = (int)$rs[6];
		$MeseFineP = (int)$rs[7];
		$AnnoInizioP = (int)$rs[8];
		$AnnoFineP = (int)$rs[9];
	}

	echo "<h1>Gantt giornaliero [$DataInizioP / $DataFineP]</h1>";

	require_once("$prefixAttore/gantt_qry_mestieri.inc");
	require_once("$prefixAttore/gantt_qry_componenti.inc");
	require_once("$prefixAttore/gantt_qry_attività.inc");
	require_once("$prefixAttore/gantt_day_qry_ordini.inc");

	$sql = "SELECT ElencoEdifici.ID, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, "
		." ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA "
		." FROM ElencoEdifici "
		." WHERE ElencoEdifici.IdCommessa=$IdCommessa "
		." AND ElencoEdifici.ID=$IdEdificio ";

	$query = ntxQuery($sql);
	
	$gcolspan=1;
	
	while ( $rs = ntxIRecord($query) )
	{
		$IdEdificio=$rs[0];
		$des=htmlentities($rs[1].' '.$rs[2].' - '.$rs[3].' - '.$rs[4].' ('.$rs[5].')');
		
		echo "<table>\n";
		echo "<caption>&nbsp;$des</caption>\n";
		generaRigheAnniMesi();
		generaRigheMestieri($IdEdificio);
		echo "</table><br>\n";
	}
	
function generaRigheAnniMesi()
{
	global $AnnoInizioP, $MeseInizioP, $AnnoFineP, $MeseFineP,$GiornoInizioP, $GiornoFineP, $gcolspan;
	
	$nomi_mesi = array('gen','feb','mar','apr','mag','giu',
						'lug','ago','set','ott','nov','dic');
						
	echo "<tr><th rowspan=3>&nbsp;\n";
	
	for($anno=$AnnoInizioP, $mese=$MeseInizioP, $giorno=$GiornoInizioP,$colspan=1; 
		$anno<$AnnoFineP 
			|| ($anno==$AnnoFineP  &&  $mese<$MeseFineP) 
			|| ($anno==$AnnoFineP  &&  $mese==$MeseFineP  &&  $giorno<=$GiornoFineP); 
		$giorno++, $colspan++)
	{		
		if ( $giorno > GiorniMese($mese,$anno) )
		{
			$giorno = 1;
			$mese++;
			
			if ( $mese==13 )
			{
				$mese = 1;
				
				$colspan--;
				echo "\t<th colspan=$colspan>$anno\n";

				$colspan=1;
				$anno++;
			}
		}
	}

	if ( $giorno>1  &&  $mese==$MeseFineP  &&  $anno==$AnnoFineP )
	{
		$colspan--;
		
		echo "\t<th colspan=$colspan>$anno\n";
	}
	echo "<tr>\n";
		
	for($anno=$AnnoInizioP, $mese=$MeseInizioP, $giorno=$GiornoInizioP,$colspan=1; 
		$anno<$AnnoFineP 
			|| ($anno==$AnnoFineP  &&  $mese<$MeseFineP) 
			|| ($anno==$AnnoFineP  &&  $mese==$MeseFineP  &&  $giorno<=$GiornoFineP); 
		$giorno++, $colspan++)
	{		
		if ( $giorno >= GiorniMese($mese,$anno) )
		{
			$nome_mese = $nomi_mesi[$mese-1];
		
			echo "\t<th colspan=$colspan>$nome_mese\n";

			$giorno = 1;
			$colspan=1;
			$mese++;
			
			if ( $mese==13 )
			{
				$mese = 1;
				$anno++;
			}
		}
	}

	if ( $giorno>1  &&  $mese==$MeseFineP  &&  $anno==$AnnoFineP )
	{
		$colspan--;
	
		$nome_mese = $nomi_mesi[$mese-1];
		
		echo "\t<th colspan=$colspan>$nome_mese\n";
	}
	echo "<tr>\n";
	
	for($anno=$AnnoInizioP, $mese=$MeseInizioP, $giorno=$GiornoInizioP; 
		$anno<$AnnoFineP 
			|| ($anno==$AnnoFineP  &&  $mese<$MeseFineP) 
			|| ($anno==$AnnoFineP  &&  $mese==$MeseFineP  &&  $giorno<=$GiornoFineP); 
		$gcolspan++)
	{
		if (IsDomenica($giorno,$mese,$anno))
			$class2 = " class=classBlu ";
		else
			$class2 = "";

		echo "\t<th $class2>$giorno\n";

		$giorno++;
		
		if ( $giorno > GiorniMese($mese,$anno) )
		{
			$giorno = 1;
			$mese++;
			
			if ( $mese==13 )
			{
				$mese = 1;
				$anno++;
			}
		}
	}
}

function generaRigheMestieri($IdEdificio)
{
	global $gcolspan, $arrayMestieri, $arrayComponenti, $arrayAttività;

	$iMestieri = 0;
	
	while ( $iMestieri < count($arrayMestieri) )
	{
		$rs = $arrayMestieri[$iMestieri++];
		
		$des=htmlentities($rs[1].' - '.$rs[2]);
		
		echo "<tr><th colspan=$gcolspan>&nbsp;$des\n";

		$trovato = false;
		
		$iComponenti = 0;
	
		while ( $iComponenti < count($arrayComponenti)  )
		{
			$rs2 = $arrayComponenti[$iComponenti++];
		
			if ( $rs[0] == $rs2[0] )
			{
				$des=htmlentities($rs2[2].' - '.$rs2[3]);
				
				echo "<tr><th colspan=$gcolspan class=th2>&nbsp;$des\n";

				$alternate = false;
				
				$trovato2 = false;
		
				$iAttività = 0;
			
				while ( $iAttività < count($arrayAttività)  )
				{
					$rs3 = $arrayAttività[$iAttività++];
		
					if ( $rs2[1] == $rs3[0] )
					{
						$locIdAttivitàMestiere=$rs3[1];
						$des=htmlentities($rs3[2].' - '.$rs3[3]);
						
						$class = ($alternate ? " class=td2 " : "");
						
						echo "\t<tr><td $class>&nbsp;$des\n";
						
						$alternate = !$alternate;
						
						generaCellaPerRighe($locIdAttivitàMestiere, $class);
				
						$trovato2 = true;
					}
					elseif ($trovato2)
						break;
				}
				
				$trovato = true;
			}
			elseif ($trovato)
				break;
		}
	}
}
	
function GiorniMese($mese,$anno)
{
	switch($mese)
	{
		case 1: //mesi di 31
		case 3:
		case 5:
		case 7:
		case 8:
		case 10:
		case 12:
			return 31;
		break;
		case 4: //mesi di 30
		case 6:
		case 9:
		case 11:
			return 30;
		break;
		case 2: //mese di 28 o 29
			// verifica se anno è bisestile
			if ( (anno % 100==0  &&  anno % 400==0)  		// anno divisibile per 100 e 400	
					|| (anno % 100!=0  &&  anno % 4==0) ) // o  anno non divisibile per 100 e divisibile per 4
				return 29;
			else
				return 28;
		break;
	}
}

function IsDomenica($giorno,$mese,$anno)
{
	return date("w",strtotime("$anno/$mese/$giorno"))==0;
}

function generaCellaPerRighe($locIdAttivitàMestiere, $class)
{
	global $IdCommessa, $IdEdificio, $arrayOrdini,
			$AnnoInizioP, $MeseInizioP, $GiornoInizioP, 
			$AnnoFineP, $MeseFineP, $GiornoFineP;
	
	for($anno=$AnnoInizioP, $mese=$MeseInizioP, $giorno=$GiornoInizioP; 
			$anno<$AnnoFineP 
				|| ($anno==$AnnoFineP  &&  $mese<$MeseFineP) 
				|| ($anno==$AnnoFineP  &&  $mese==$MeseFineP  &&  $giorno<=$GiornoFineP);)
	{
		$conteggiati = $annullati = $anomali = $eseguiti = $aperti = 0;
		
		$iOrdini = 0;
		
		$trovato = false;

		$int_giorno = (int)date("Ymd",strtotime("$anno/$mese/$giorno"));
		
		while ( $iOrdini < count($arrayOrdini['k_'.$locIdAttivitàMestiere]) )
		{
			$arr = $arrayOrdini['k_'.$locIdAttivitàMestiere];
			$rs = $arr[$iOrdini++];
			
			if ( (int)$rs[1] <= $int_giorno and (int)$rs[2] >= $int_giorno )
			{
				$trovato = true;

				$conteggiati++;
				
				if ( $rs[3] ) $aperti++;
				if ( $rs[4] ) $eseguiti++;
				if ( $rs[5] ) $annullati++;
				if ( $rs[6] ) $anomali++;
			}
			elseif ( $trovato )
				break;
		}
		
		$class2 = $class;
		
		if (IsDomenica($giorno,$mese,$anno))
			$class2 = " class=classVerdeChiaro ";
			
		if ($anomali)
			$class2 = " class=classViola ";
			
		elseif ($aperti  &&  $eseguiti+$annullati>=$aperti)
			$class2 = " class=classVerde ";
			
		elseif ($aperti  &&  !$eseguiti  &&  !$annullati)
			$class2 = " class=classRosso ";
			
		elseif ($aperti  &&  ($eseguiti || $annullati))
			$class2 = " class=classGiallo ";
			
		elseif ($conteggiati)
			$class2 = " class=classArancio ";
		
		echo "\t\t<td $class2 onclick=\"VaiAdOrdini($IdCommessa, $IdEdificio, $locIdAttivitàMestiere, $giorno, $mese, $anno)\">&nbsp;$dess\n";
	
		$giorno++;
		
		if ( $giorno > GiorniMese($mese,$anno) )
		{
			$giorno = 1;
			$mese++;
			
			if ( $mese==13 )
			{
				$mese = 1;
				$anno++;
			}
		}
	}
}
?>

<table>
<tr><th colspan=2>legenda
<tr><td class=classArancio>&nbsp;<td>Ci sono diversi ordini senza nessuno stato
<tr><td class=classViola>&nbsp;<td>Almeno un ordine presenta un'anomalia
<tr><td class=classRosso>&nbsp;<td>Uno o più ordini aperti, ma nessuno ancora eseguito od annullato
<tr><td class=classGiallo>&nbsp;<td>Uno o più ordini aperti di cui solo qualcuno eseguito od annullato
<tr><td class=classVerde>&nbsp;<td>Uno o più ordini aperti tutti eseguiti od annullato
<tr><td class=classVerdeChiaro>&nbsp;<td>Domenica
</table>
</body>
</html>
