<?php
/*
$utilizzatori[index][id|inizio|fine|perc]
$personale[index][id|inizio|fine|perc]
$cdc2[index][id|inizio|fine|perc]

$cdc1
$caratteristiche
$des_uso

$IdCommessa
$IdEdificio
$IdAmbiente
*/

foreach($cdc2 as $cdc21)
{
	$id = $cdc21[id];
	$inizio = ntxt($cdc21[inizio]);
	$fine = ntxt($cdc21[fine]);
	
	$sql = <<< sql
		SELECT	2
		FROM CdCAmbienti 
		WHERE     
			(IdCommessa = $IdCommessa) 
			AND (IdEdificio = $IdEdificio) 
			AND (IdAmbiente = $IdAmbiente) 
			AND (IdCdC = $id) 
sql;

	if ( $inizio == "NULL" )
		$sql .= " AND DataInizio is null ";
	else
		$sql .= " AND DataInizio = $inizio ";

	if ( $fine == "NULL" )
		$sql .= " AND DataFine is null ";
	else
		$sql .= " AND DataFine = $fine ";
	
	$value = ntxScalar($sql);
	
	if ( $value == 2 ) continue;
	
	$sql = <<< sql
		INSERT INTO CdCAmbienti
				(IdCommessa, 	IdEdificio, 	IdAmbiente, 	IdCdC, 	DataInizio, DataFine)
		VALUES	($IdCommessa, 	$IdEdificio, 	$IdAmbiente, 	$id, 		$inizio, 	$fine)
sql;
	
	ntxQuery($sql);
}

foreach($personale as $pers)
{
	$id = $pers[id];
	$inizio = ntxt($pers[inizio]);
	$fine = ntxt($pers[fine]);
	
	$sql = <<< sql
		SELECT	2
		FROM tblUtPersAmbienti 
		WHERE     
			(IdCommessa = $IdCommessa) 
			AND (IdEdificio = $IdEdificio) 
			AND (IdAmbiente = $IdAmbiente) 
			AND (IdPersona = $id) 
sql;

	if ( $inizio == "NULL" )
		$sql .= " AND DataInizio is null ";
	else
		$sql .= " AND DataInizio = $inizio ";

	if ( $fine == "NULL" )
		$sql .= " AND DataFine is null ";
	else
		$sql .= " AND DataFine = $fine ";
	
	$value = ntxScalar($sql);

	if ( $value == 2 ) continue;
	 
	$sql = <<< sql
		DECLARE @newId as int
		
		select @newId = isnull((select max(IdUtPersAmbiente) FROM tblUtPersAmbienti WHERE IdCommessa=$IdCommessa),0)+1
		
		INSERT INTO tblUtPersAmbienti
				(IdCommessa, 	IdUtPersAmbiente,	IdEdificio, 	IdAmbiente, 	IdPersona, 	DataInizio, DataFine)
		VALUES	($IdCommessa, 	@newId,			$IdEdificio, 	$IdAmbiente, 	$id, 		$inizio, 	$fine)
sql;
	
	ntxQuery($sql);
}

foreach($utilizzatori as $util)
{
	$id = $util[id];
	$inizio = ntxt($util[inizio]);
	$fine = ntxt($util[fine]);
	$perc = ntxi($util[perc]);

	$sql = <<< sql
		SELECT	2
		FROM tblUtAmbienti 
		WHERE     
			(IdCommessa = $IdCommessa) 
			AND (IdEdificio = $IdEdificio) 
			AND (IdAmbiente = $IdAmbiente) 
			AND (IdUtilizzatore = $id) 
sql;

	if ( $inizio == "NULL" )
		$sql .= " AND DataInizio is null ";
	else
		$sql .= " AND DataInizio = $inizio ";

	if ( $fine == "NULL" )
		$sql .= " AND DataFine is null ";
	else
		$sql .= " AND DataFine = $fine ";
	
	$value = ntxScalar($sql);
	
	if ( $value == 2 ) continue;
	
	$sql = <<< sql
		DECLARE @newId as int
		
		select @newId = isnull((select max(IdUtAmbiente) FROM tblUtAmbienti WHERE IdCommessa=$IdCommessa),0)+1
		
		INSERT INTO tblUtAmbienti
				(IdCommessa, 	IdUtAmbiente,	IdEdificio, 	IdAmbiente, 	IdUtilizzatore, DataInizio, DataFine, PercentualeUtilizzo)
		VALUES	($IdCommessa, 	@newId,			$IdEdificio, 	$IdAmbiente, 	$id, 			$inizio, 	$fine, 		$perc)
sql;

	ntxQuery($sql);
}

if ( $cdc1."" != ""  &&  strlen($cdc1."")>0 )
{
	$cdc1 = ntxs($cdc1."");
	
	$sql = <<< sql
			UPDATE    Ambiente
			SET              CdC = $cdc1
			WHERE     (IdCommessa = $IdCommessa) 
			AND (IdEdificio = $IdEdificio) 
			AND (IDAmbiente = $IdAmbiente)		
sql;

	ntxQuery($sql);
}

if ( is_numeric($caratteristiche) )
{
	$caratteristiche = (int)$caratteristiche;
	
	$sql = <<< sql
			UPDATE    Ambiente
			SET              Caratteristiche = $caratteristiche
			WHERE     (IdCommessa = $IdCommessa) 
			AND (IdEdificio = $IdEdificio) 
			AND (IDAmbiente = $IdAmbiente)		
sql;

	ntxQuery($sql);
}

if ( is_numeric($des_uso) )
{
	$des_uso = (int)$des_uso;
	
	$sql = <<< sql
			UPDATE    Ambiente
			SET              IdDestinazioneduso = $des_uso
			WHERE     (IdCommessa = $IdCommessa) 
			AND (IdEdificio = $IdEdificio) 
			AND (IDAmbiente = $IdAmbiente)		
sql;
	ntxQuery($sql);
}

?>