<?php

$subSql3 = "(SELECT  TOP 1   1 "
	."FROM         InvisibiliPDI  "
	."             WHERE InvisibiliPDI.IdCommessaOfferta = OfferteEdificiMestieri.IdCommessaOfferta AND  "
	."                      InvisibiliPDI.IdOfferta = OfferteEdificiMestieri.IdOfferta AND   "
	."                      InvisibiliPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere AND  "
	."                      InvisibiliPDI.IdEdificio = OfferteEdificiMestieri.IdEdificio)";

	
$subFrom = <<< subFrom
	SELECT     ElencoEdifici.EdificioBreve, ElencoEdifici.Codice, ElencoEdifici.Indirizzo, ElencoEdifici.[Tipologia abitativa], ElencoEdifici.CITTA, 
						  ElencoEdifici.PROVINCIA, tblMestieri.Descrizione AS DesMest, ElencoEdifici.ID, tblComponetiMestiere.Descrizione AS DesComp, 
						  tblComponetiMestiere.IdComponenteMestiere AS IdComponente, TipiComponentiMestieri.Descrizione AS DesTipo, TipiComponentiMestieri.UM, 
						  ElencoEdifici.Ordine AS OrdEdi, tblMestieri.Ordine AS OrdMes, tblComponetiMestiere.Ordine AS OrdComp, TipiComponentiMestieri.Ordine AS OrdTip, 
						  TipiComponentiMestieri.Fattore, TipiComponentiMestieri.IdCommessa, TipiComponentiMestieri.IdTipoComponenteMestiere,
						  OfferteEdificiMestieri.IdOfferta,
						  TipiComponentiMestieri.UnaTantum,
						  OfferteEdificiMestieri.CalcSotto400mq,
						  tblMestieri.Calc14x100,
						OfferteEdificiMestieri.DataInizio DataInizioX, 
						OfferteEdificiMestieri.Durata DurataX 
	FROM         TipiComponentiMestieri INNER JOIN
						  tblComponetiMestiere INNER JOIN
						  tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere ON 
						  TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
						  TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
						  ElencoEdifici INNER JOIN
						  OfferteEdificiMestieri ON ElencoEdifici.IdCommessa = OfferteEdificiMestieri.IdCommessaEdificio AND 
						  ElencoEdifici.ID = OfferteEdificiMestieri.IdEdificio ON tblMestieri.IdCommessa = OfferteEdificiMestieri.IdCommessaEdificio AND 
						  tblMestieri.IdMestiere = OfferteEdificiMestieri.IdMestiere
	WHERE     (OfferteEdificiMestieri.IdCommessaOfferta = $IdCommessa) AND (OfferteEdificiMestieri.IdOfferta = $IdOfferta)
	AND     $subSql3 IS NULL
subFrom;

$sql = <<< sql
	SELECT     a.*, SopralluogoPDI.QTA, SopralluogoPDI.NonConsiderareUnatantum, 
			
			case when SopralluogoPDI.Durata is null then 
				DurataX 
			else
				SopralluogoPDI.Durata
			end Durata, 
			
			case when SopralluogoPDI.DataInizio is null then 
				DataInizioX 
			else
				SopralluogoPDI.DataInizio
			end DataInizio, 

			OfferteRevisioneConsistenza.Numero Revisione,

			OfferteRevisioneConsistenza.Proroga,
			
			(
				SELECT     MAX(OfferteRevisioneConsistenza.Numero)
						
				FROM SopralluogoPDI 
					INNER JOIN OfferteRevisioneConsistenza
					ON  SopralluogoPDI.IdRevConsistenza = OfferteRevisioneConsistenza.Id
				WHERE  SopralluogoPDI.IdCommessaTipoComp = a.IdCommessa 
						AND SopralluogoPDI.IdTipoComp = a.IdTipoComponenteMestiere 
						AND SopralluogoPDI.IdOfferta = a.IdOfferta 
						AND SopralluogoPDI.IdEdificio = a.ID
					
			) MaxRevisione
			
	FROM ($subFrom) a INNER JOIN SopralluogoPDI 
		ON SopralluogoPDI.IdCommessaTipoComp = a.IdCommessa 
			AND SopralluogoPDI.IdTipoComp = a.IdTipoComponenteMestiere 
			AND SopralluogoPDI.IdOfferta = a.IdOfferta 
			AND SopralluogoPDI.IdEdificio = a.ID
		LEFT JOIN OfferteRevisioneConsistenza
		ON  SopralluogoPDI.IdRevConsistenza = OfferteRevisioneConsistenza.Id
	ORDER BY OrdEdi, Codice, ID, IdComponente, OrdMes, DesMest, OrdComp, DesComp, OrdTip, DesTipo, Revisione
sql;

$query = ntxQuery($sql);

?>	