<?php

$IdEdificio = null;
$started = false;
$IdComponente = null;
$totaloneValue = null;
?>

<?php
while ( $rs=ntxRecord($query) )
{ 
	if ( !isset($IdEdificio) || $IdEdificio != $rs['ID'] )
	{
		if ( $started )
		{
			$totalone = ntxRoundThousand($totaloneValue, 2);
?>
				<tr>
					<td class=tbl4_left>&nbsp;</td>
					<td class=tbl4_center_right_align_bold colspan=8>TOTALE:</td>
					<td class=tbl4_right_bold>&nbsp;<?php echo $totalone ?></td>
			</table>
			<br>	
<?php		
		}
?>
	<table class=tbl4>
		<tr><td colspan=10 class=tbl4_top>SCHEDA RILIEVO GRANDEZZE PER DETERMINAZIONE CANONI</td>

		<tr><td colspan=9 class=tbl4_top2_left>Immobile <?php echo htmlentities($rs['Codice'].' - '.$rs['EdificioBreve'].' - '.$rs['Indirizzo'].' - '.$rs['CITTA'].' ('.$rs['PROVINCIA'].')') ?></td>
			<td class=tbl4_top2_right>&nbsp;</td>
		<tr><td colspan=10 class=tbl4_top3>SERVIZI DI MANUTENZIONE COSTITUENTI IL CANONE COMPLESSIVO</td>
<?php
		$IdEdificio = $rs['ID'];
		$IdComponente = null;
	}

	if ( !isset($IdComponente) || $IdComponente != $rs['IdComponente'] )
	{
		if ( isset($IdComponente) )
		{
			$totalone = ntxRoundThousand($totaloneValue, 2);
?>
			<tr>
				<td class=tbl4_left>&nbsp;</td>
				<td class=tbl4_center_right_align_bold colspan=8>TOTALE:</td>
				<td class=tbl4_right_bold>&nbsp;<?php echo $totalone ?></td>
<?php		
		}
?>
		<tr><td class=tbl4_top4_left>&nbsp;<?php echo htmlentities($rs['DesMest'].' - '.$rs['DesComp']) ?></td>
			<td class=tbl4_top4_center>Importo Unitario</td>
			<td class=tbl4_top4_center>Revisione</td>
			<td class=tbl4_top4_center>Data Inizio</td>
			<td class=tbl4_top4_center>U. di misura</td>
			<td class=tbl4_top4_center>Quantità</td>
			<td class=tbl4_top4_center>Rev. qta</td>
			<td class=tbl4_top4_center>Durata</td>
			<td class=tbl4_top4_center>Importo</td>
			<td class=tbl4_top4_right>Subtotale</td>
<?php
		$IdComponente = $rs['IdComponente'];
		
		$IdTipoComponenteMestiere = null;
		$totaloneValue = null;
	}

	$started = true;
	$totale = 0;
	
	$fattore = ntxRound($rs['Fattore'],4);
	
	if ( $rs[Calc14x100]==1 )
	{
		if ( $rs[NonConsiderareUnatantum]==1 )
		{
			$durata = "solo 14% per $rs[Durata] anni";
			$totale = $rs['QTA']*$rs[Fattore]*$rs[Durata]*0.14;
		}
		else
		{
			$durata = "una tantum + 14% per $rs[Durata] anni";
			$totale= $rs['QTA']*$rs[Fattore];
			$totale += $rs['QTA']*$rs[Fattore]*$rs[Durata]*0.14;
		}
	}
	elseif ( $rs[UnaTantum]==1 )
	{
		if ( $rs[NonConsiderareUnatantum]==1 )
		{
			$durata = "no tantum";
			$totale = 0;
		}
		else
		{
			$durata = "una tantum";
			$totale = $rs['QTA']*$rs[Fattore];
		}
	}
	else
	{
		$durata = "$rs[Durata] mesi";
		$totale = $rs[QTA]*$rs[Fattore]*$rs[Durata]*($rs[CalcSotto400mq]==1 ? 0.7 : 1)/12;
		$totale2 = "$rs[QTA]*$rs[Fattore]*$rs[Durata]/12";
		
		if ( $rs[CalcSotto400mq]==1 )
			$fattore = "$fattore x 0.7";
	}
	
	if ( !isset($IdTipoComponenteMestiere) || $IdTipoComponenteMestiere != $rs['IdTipoComponenteMestiere'] )
	{
		$IdTipoComponenteMestiere = $rs['IdTipoComponenteMestiere'];
		
		$subtotale = 0;
		$subqta = 0;
	}
	
	$subtotale += $totale;
	$totaloneValue += $totale;
	
	if ( !$rs[Proroga] )
		$subqta += $rs['QTA'];
	else
		$subqta = $rs['QTA'];
	
	$ressubtotale = "";
	
	if ( !is_numeric($rs[MaxRevisione]) || (is_numeric($rs[Revisione])  &&  $rs[MaxRevisione] == $rs[Revisione]) )
	{
		$ressubtotale = ntxRoundThousand($subtotale, 2);
	}
	
	//$styleRed = $rs[Proroga] ? "style='background-color:#FFAAAA'" : "";
	$styleRed = $rs[Proroga] ? "style='text-color:red;background-color:white'" : "";
	$DesTipo = $rs['DesTipo'].($rs[Proroga] ? " [Proroga]" : "");
?>
	<tr><td <?php echo $styleRed ?> class=tbl4_left>&nbsp;<?php echo htmlentities($DesTipo) ?></td>
		<td <?php echo $styleRed ?> class=tbl4_center_right_align>&nbsp;<?php echo $fattore ?></td>
		<td <?php echo $styleRed ?> class=tbl4_center_right_align>&nbsp;<?php echo htmlentities($rs['Revisione']) ?></td>
		<td <?php echo $styleRed ?> class=tbl4_center_right_align>&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td <?php echo $styleRed ?> class=tbl4_center>&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
		<td <?php echo $styleRed ?> class=tbl4_center_right_align>&nbsp;<?php echo ntxRoundThousand($rs['QTA'], 2) ?></td>
		<td <?php echo $styleRed ?> class=tbl4_center_right_align>&nbsp;<?php echo ntxRoundThousand($subqta, 2) ?></td>
		<td <?php echo $styleRed ?> class=tbl4_center_right_align>&nbsp;<?php echo $durata ?></td>
		<td <?php echo $styleRed ?> class=tbl4_center_right_align>&nbsp;<?php echo ntxRoundThousand($totale, 2) ?></td>
		<td <?php echo $styleRed ?> class=tbl4_right>&nbsp;<?php echo $ressubtotale ?></td>
<?php
}

if ( $started )
{
	$totalone = ntxRoundThousand($totaloneValue, 2);
	
?>
		<tr>
			<td class=tbl4_left>&nbsp;</td>
			<td class=tbl4_center_right_align_bold colspan=8>TOTALE:</td>
			<td class=tbl4_right_bold>&nbsp;<?php echo $totalone ?></td>
	</table>
	<br>	
<?php		
}
?>
