<?php

$sql = <<< sql
INSERT INTO GruppiIndGlobPreOfferte
                      (IdCommessa, IdGruppo, Totale, IdOfferta)
SELECT     IdCommessa, Id, TotaleDefault, $IdOfferta
FROM         GruppiIndGlobPre
WHERE     (IdCommessa = $IdCommessa) AND (SELECT TOP 1 Totale
FROM GruppiIndGlobPreOfferte
WHERE IdCommessa=GruppiIndGlobPre.IdCommessa
AND IdOfferta=$IdOfferta
AND IdGruppo=GruppiIndGlobPre.Id) IS NULL
sql;

ntxQuery($sql);

$sql = <<< sql
SELECT     1 AS Tipo, GruppiIndGlobPre.Id AS IdGruppo, GruppiIndGlobPre.Descr AS Gruppo, GruppiIndGlobPre.TotaleDefault, IndGlobPre.Id AS IdVoce, 
                      IndGlobPre.Descr AS Voce, IndGlobPre.ValoreDefault,
					GruppiIndGlobPre.Ordinamento ord1, IndGlobPre.Ordinamento ord2,
					
					(
						SELECT     Totale
						FROM         GruppiIndGlobPreOfferte
						WHERE     (IdGruppo = GruppiIndGlobPre.Id)
						AND (IdOfferta = $IdOfferta) 
					
					) Totale,
					
					(
						SELECT     Valore
						FROM         IndGlobPreOfferte
						WHERE     (IdVoce = IndGlobPre.Id)
						AND (IdOfferta = $IdOfferta) 
					
					) Valore
					
FROM         GruppiIndGlobPre INNER JOIN
                      IndGlobPre ON GruppiIndGlobPre.Id = IndGlobPre.IdGruppo
WHERE     (GruppiIndGlobPre.IdCommessa = $IdCommessa)

UNION

SELECT     2 AS Tipo, GruppiIndGlobPre.Id AS IdGruppo, GruppiIndGlobPre.Descr AS Gruppo, GruppiIndGlobPre.TotaleDefault, tblMestieri.IdMestiere AS IdVoce, 
                      tblMestieri.Descrizione AS Voce, NULL AS ValoreDefault,
					GruppiIndGlobPre.Ordinamento ord1, tblMestieri.Ordine ord2,
					
					(
						SELECT     Totale
						FROM         GruppiIndGlobPreOfferte
						WHERE     (IdGruppo = GruppiIndGlobPre.Id)
						AND (IdOfferta = $IdOfferta) 
					
					) Totale,
					
					(
						SELECT     Valore
						FROM         IndGlobPreOfferteMest
						WHERE     (IdCommessa = tblMestieri.IdCommessa)
						AND (IdMestiere = tblMestieri.IdMestiere)
						AND (IdOfferta = $IdOfferta) 
					
					) Valore
					
FROM         GruppiIndGlobPre INNER JOIN
                      tblMestieri ON GruppiIndGlobPre.Id = tblMestieri.IdGruppoIndGlobPre
					  
			INNER JOIN (
				SELECT DISTINCT IdMestiere
				FROM         OfferteEdificiMestieri
				WHERE     (IdCommessaOfferta = $IdCommessa) AND (IdOfferta = $IdOfferta)) off_mest
				ON off_mest.IdMestiere = tblMestieri.IdMestiere
WHERE     (GruppiIndGlobPre.IdCommessa = $IdCommessa)
ORDER BY ord1, ord2
sql;
/*
$sql2 = str_replace("\n","<br>",$sql);
echo "<br>$sql2<br>";
*/

$query = ntxQuery($sql);

?>