<?php 

$sql = <<< sql
	SELECT     Offerte.IdCommessa, Offerte.IdOfferta, 
	
			Offerte.Protocollo, 
			Offerte.DataOfferta, 
			Offerte.DataProtocolloCliente DPC, 
			Offerte.Referente, 
			Offerte.Richiedente, 
			Offerte.Lotto, 
			Offerte.Regione, 
			Offerte.Supervisore, 
			
			Offerte.DataAttivazione, 
			dateadd(month, Offerte.DurataContratto,Offerte.DataAttivazione) DataFine, 
			Offerte.DataRicPreliminare, 
			Offerte.ProtocolloOPF, 
			Offerte.GestoreServizio, 
			Offerte.DataOPF, 
			Offerte.DataCondivisione, 
			Offerte.FacilityManagementLight Light, 
			
			tblPgGestori.Nome AS Gestore, 
			tblPgGestori.Indirizzo AS IndGest, 
			tblPgGestori.Comune AS ComGest, 
			tblPgGestori.Provincia AS ProvGest, 
			tblPgGestori.telefono_1 AS TelGest, 
			tblPgGestori.fax_1 AS FaxGest, 
			tblPgGestori.email_1 AS EmailGest, 
			tblPgGestori.Cap AS CapGest, 
			
			tblPgPropietari.Nome AS Cliente, 
			tblPgPropietari.Dipartimento, 
			tblPgPropietari.Indirizzo AS IndCli, 
			tblPgPropietari.Comune AS ComCli, 
			tblPgPropietari.Provincia AS ProvCli, 
			tblPgPropietari.telefono_1 AS TelCli, 
			tblPgPropietari.fax_1 AS FaxCli, 
			tblPgPropietari.email_1 AS EmailCli, 
			tblPgPropietari.CodiceFiscale AS CfCli, 
			tblPgPropietari.Cap AS CapCli, 
			tblPgPropietari.PartitaIva AS PivaCli
			
	FROM         Offerte INNER JOIN
						  tblPgGestori ON Offerte.IdGestore = tblPgGestori.IdGestore INNER JOIN
						  tblPgPropietari ON Offerte.IdPropietario = tblPgPropietari.IdPropietario
	WHERE     (Offerte.IdCommessa = $IdCommessa) AND (Offerte.IdOfferta = $IdOfferta)
sql;

$rsOfferta = ntxRecord(ntxQuery($sql));

$rsOfferta[DataCondivisione] = ntxDate($rsOfferta[DataCondivisione]);
$rsOfferta[DataFine] = ntxDate($rsOfferta[DataFine]);
$rsOfferta[DataAttivazione] = ntxDate($rsOfferta[DataAttivazione]);
$rsOfferta[DataRicPreliminare] = ntxDate($rsOfferta[DataRicPreliminare]);
$rsOfferta[DataOfferta] = ntxDate($rsOfferta[DataOfferta]);
$rsOfferta[DataOPF] = ntxDate($rsOfferta[DataOPF]);
$rsOfferta[DPC] = ntxDate($rsOfferta[DPC]);

$isLight = $rsOfferta[Light] ? 1 : 0;

$erogazione = $rsOfferta[Light] ? "Facility Management Light" : "Facility Management";

$_1o2perCento = 0.01;//$rsOfferta[Light] ? 0.01 : 0.02;
$_99o98perCento = $rsOfferta[Light] ? 0.98 : 0.96;

if ( $erogazione=="" ) $erogazione = "________________";

foreach( $rsOfferta as $k => $v )
	$rsOfferta[$k] = htmlentities($v);

foreach( $rsOfferta as $k => $v )
	if ( $v=="" ) $rsOfferta[$k] = "________________";

$sql = <<< sql
	SELECT  top 1   DataRevisione
	FROM         OfferteRevisioniStampa
	WHERE     (IdCommessa = $IdCommessa) AND (IdOfferta = $IdOfferta)
	ORDER BY NumRevisione desc
sql;
	
$DataRevisione = ntxDate(ntxScalar($sql));

if ( $DataRevisione=="" ) $DataRevisione = "________________";

$sql = <<< sql
	SELECT     SUM(isnull(ElencoEdifici.NumEdifici,1)) AS NumEdifici, SUM(ElencoEdifici.NumDipendenti) AS NumDipendenti
	FROM         OfferteEdifici INNER JOIN
						  ElencoEdifici ON OfferteEdifici.IdCommessaEdificio = ElencoEdifici.IdCommessa AND OfferteEdifici.IdEdificio = ElencoEdifici.ID
	WHERE     (OfferteEdifici.IdCommessaOfferta = $IdCommessa) AND (OfferteEdifici.IdOfferta = $IdOfferta)
sql;

$rsOffertaEdifici = ntxRecord(ntxQuery($sql));

foreach( $rsOffertaEdifici as $k => $v )
	if ( $v=="" ) $rsOffertaEdifici[$k] = "________________";

 ?>
