
<?php

$ID = null;
$IdMestiere = null;
$second = false;

$IDS = array();
$NomiEdifici = array();
$TotEdifici1 = array();
$TotEdifici2 = array();

$TotEdifici3 = array(); // una tantum = voci una tantum (censimento+diagnosi energetica)
$TotEdifici4 = array(); // canone 1° anno somma canoni + una tantum 
$TotEdifici5 = array(); // canone dal 2° anno somma canoni + aggiornamento anagrafica
$TotEdifici6 = array(); // canone annuo reperibilità

$count = 0;

$outTabs = array();
$tempTab = "";

while ( $rs=ntxRecord($query) )
{
	$DurataServizio = $rs['Durata'];
	
	$DurataServizioPrimoAnno = ($DurataServizio % 12);
	
	if ( $DurataServizioPrimoAnno == 0 )
		$DurataServizioPrimoAnno = 12;
	
	$DataInizio = ntxDate($rs['DataInizio']);
	
	if ( $ID != $rs['ID'] )
	{
		$viewTotEdifici1 = ntxRoundThousand($TotEdifici1["id$ID"],2);
		$viewTotEdifici2 = ntxRoundThousand($TotEdifici2["id$ID"],2);
		
		if ( $second )
		{
			$tempTab .= <<< sql
					<tr><td colspan=5 class=tbl7_orange>TOTALE IMPORTO SERVIZI A CANONE </td>
						<td colspan=1 class=tbl7_orange>Euro</td>
						<td colspan=2 class=tbl7_top2gc>&nbsp;$viewTotEdifici1</td>
					<tr><td colspan=5 class=tbl7_orange2>TOTALE IMPORTO SERVIZI DI REPERIBILITA’  </td>
						<td colspan=1 class=tbl7_orange2>Euro</td>
						<td colspan=2 class=tbl7_orange>&nbsp;$viewTotEdifici2</td>
				</table>
				<br>	
sql;

			$outTabs["id$ID"] = $tempTab;
			$tempTab = "";
		}
		
		$ID = $rs['ID'];
		$IdMestiere = null;
		
		$IDS[$count++] = $ID;
		
		$NomiEdifici["id$ID"] = htmlentities("Localizzazione ".$rs['Codice']." ".$rs['Edificio']);
		$TotEdifici1["id$ID"] = 0;
		$TotEdifici2["id$ID"] = 0;

		$TotEdifici3["id$ID"] = 0;
		$TotEdifici4["id$ID"] = 0;
		$TotEdifici5["id$ID"] = 0;
		$TotEdifici6["id$ID"] = 0;

		$second = true;
		
		$vwNomeEnte = htmlentities($NomeEnte);
		$vwIndirizzoEnte = htmlentities($IndirizzoEnte);
		$vwNOPF = htmlentities($NOPF);
		$vwEdificio = htmlentities($rs['Codice']." ".$rs['Edificio']);
		$vwDesUso = htmlentities($DesUso);
		
		$tempTab .= <<< sql
			<table class=tbl7>
				<tr><td colspan=8 class=tbl7_top>TABELLA DEI CORRISPETTIVI DEI SERVIZI A CANONE</td>
				<tr><td colspan=6 class=tbl7_top2g>Dati generali Amministrazione</td>
					<td colspan=2 class=tbl7_top2w>&nbsp;</td>
				<tr><td colspan=2 class=tbl7_top2w>Nome Contraente&nbsp;$vwNomeEnte</td>
					<td colspan=4 class=tbl7_top2w>Indirizzo&nbsp;$vwIndirizzoEnte</td>
					<td class=tbl7_top2w>N° OPF</td>
					<td class=tbl7_top2w>&nbsp;$vwNOPF</td>
				<tr><td colspan=8  class=tbl7_top2w>Localizzazione&nbsp;$vwEdificio</td>
				<tr><td colspan=8  class=tbl7_top2w>Destinazione d’uso $vwDesUso</td>
				<tr><td colspan=8 class=tbl7_top2gc>SERVIZI MANUTENTIVI</td>
				<tr><td class=tbl7_top2gc>TIPOLOGIA DI SERVIZI </td>
					<td class=tbl7_top2gc>Data inizio erogazione</td>
					<td class=tbl7_top2gc>Attivaz. Reperibilità</td>
					<td class=tbl7_top2gc>Mod di pagamento reperibilità 5% canone</td>
					<td class=tbl7_top2gc>Mod di pagamento reperibilità a chiamata</td>
					<td class=tbl7_top2gc>Importo Mensile   Euro</td>
					<td class=tbl7_top2gc>Durata Contratto  Mesi</td>
					<td class=tbl7_top2gc>Importo Globale*  Euro</td>
sql;
	}
	
	if ( $IdMestiere != $rs['IdMestiere'] )
	{
		$IdMestiere = $rs['IdMestiere'];
		
		if ( $rs['Gruppo'] == 0 )
		{
			$TotEdifici1["id$ID"] += $rs['ImportoMensile'];
			$TotEdifici1["id$ID"] += $rs['ImportoMensile']*0.14*$DurataServizio;

			$TotEdifici3["id$ID"] += $rs['ImportoMensile'];

			$TotEdifici4["id$ID"] += $rs['ImportoMensile'];

			$TotEdifici5["id$ID"] += $rs['ImportoMensile']*0.14;
			
			$vwMestiere = htmlentities($rs['Mestiere']);
			$vwImportoMensile = ntxRoundThousand($rs['ImportoMensile'],2);
			$vwDurataServizio = "$DurataServizio anni";
			$vwImportoDurata = ntxRoundThousand($rs['ImportoMensile']*0.14*$DurataServizio,2);

			$tempTab .= <<< sql
				<tr><td class=tbl7_top2gc>&nbsp;$vwMestiere</td>
					<td  class=tbl7_center>Una tantum</td>
					<td colspan=4 class=tbl7_center>&nbsp;</td>
					<td  class=tbl7_center>Una tantum</td>
					<td  class=tbl7_right>&nbsp;$vwImportoMensile</td>
				<tr><td class=tbl7_left>+14% per anni successivi al primo</td>
					<td colspan=5 class=tbl7_center>&nbsp;</td>
					<td  class=tbl7_center>&nbsp;$vwDurataServizio</td>
					<td  class=tbl7_right>&nbsp;$vwImportoDurata</td>
sql;
		}
		elseif ( $rs['Gruppo'] == 2 )
		{
			$TotEdifici1["id$ID"] += $rs['ImportoTotale'];

			$TotEdifici3["id$ID"] += $rs['ImportoTotale'];

			$TotEdifici4["id$ID"] += $rs['ImportoTotale'];
			
			$vwMestiere = htmlentities($rs['Mestiere']);
			$vwDataInizio = htmlentities($DataInizio);
			$vwTipoComp = htmlentities($rs['TipoComp']);
			$vwImportoTotale = ntxRoundThousand($rs['ImportoTotale'],2);

			$tempTab .= <<< sql
				<tr><td class=tbl7_top2gc>&nbsp;$vwMestiere</td>
					<td  class=tbl7_hight>&nbsp;$vwDataInizio</td>
					<td colspan=6 class=tbl7_center>&nbsp;</td>
				<tr><td class=tbl7_left>&nbsp;$vwTipoComp</td>
					<td  class=tbl7_center>Una tantum</td>
					<td colspan=4 class=tbl7_center>&nbsp;</td>
					<td  class=tbl7_center>Una tantum</td>
					<td  class=tbl7_right>&nbsp;$vwImportoTotale</td>
sql;
		}
		elseif ( $rs['Reperibilità']==1 )
		{
			$TotEdifici1["id$ID"] += $rs['ImportoMensile']*$DurataServizio;
		
			if ( $rs['CinquePerCento']==1 )
			{
				$partTotEdif205 = $rs['ImportoMensile']*0.05;
				$TotEdifici2["id$ID"] += $partTotEdif205*$DurataServizio;
			
				$TotEdifici6["id$ID"] += $rs['ImportoMensile']*0.6;
			}
			else
			{
				$partTotEdif205 = null;
			}
		
			$TotEdifici4["id$ID"] += $rs['ImportoMensile']*$DurataServizioPrimoAnno;
		
			$TotEdifici5["id$ID"] += $rs['ImportoMensile']*12;
			
			$vwMestiere = htmlentities($rs['Mestiere']);
			$vwDataInizio = htmlentities($DataInizio);
			$vwCinquePerCento = $rs['CinquePerCento']==1 ? "SI":"NO";
			
			$vwAChiamata = $rs['AChiamata']==1 ? "SI":"NO";
			$vwImportoMensile = ntxRoundThousand($rs['ImportoMensile'],2);
			$vwDurataServizio = $DurataServizio;
			
			$vwImportoDurata = ntxRoundThousand($rs['ImportoMensile']*$DurataServizio,2);
			$vwpartTotEdif205 = ntxRoundThousand($partTotEdif205,2);
			$vwpartTotDurata = ntxRoundThousand($partTotEdif205*$DurataServizio,2);

			$tempTab .= <<< sql
				<tr><td class=tbl7_top2gc>&nbsp;$vwMestiere</td>
					<td  class=tbl7_hight>&nbsp;$vwDataInizio</td>
					<td  class=tbl7_hight>&nbsp;</td>
					<td  class=tbl7_hight rowspan=2>&nbsp;$vwCinquePerCento</td>
					<td  class=tbl7_hight rowspan=2>&nbsp;$vwAChiamata</td>
					<td  class=tbl7_hight>&nbsp;$vwImportoMensile</td>
					<td  class=tbl7_hight>&nbsp;$vwDurataServizio</td>
					<td  class=tbl7_hight>&nbsp;$vwImportoDurata</td>
				<tr><td class=tbl7_left>Reperibilità</td>
					<td  class=tbl7_center>&nbsp;</td>
					<td  class=tbl7_center>SI</td>
					<td  class=tbl7_center>&nbsp;$vwpartTotEdif205</td>
					<td  class=tbl7_center>&nbsp;$vwDurataServizio</td>
					<td  class=tbl7_right>&nbsp;$vwpartTotDurata</td>
sql;
		}
		else
		{
			$TotEdifici1["id$ID"] += $rs['ImportoMensile']*$DurataServizio;
		
			$TotEdifici4["id$ID"] += $rs['ImportoMensile']*$DurataServizioPrimoAnno;
		
			$TotEdifici5["id$ID"] += $rs['ImportoMensile']*12;
		
			$vwMestiere = htmlentities($rs['Mestiere']);
			$vwDataInizio = htmlentities($DataInizio);
			$vwImportoMensile = ntxRoundThousand($rs['ImportoMensile'],2);
			$vwDurataServizio = $DurataServizio;
			$vwvwImportoDurata = ntxRoundThousand($rs['ImportoMensile']*$DurataServizio,2);

			$tempTab .= <<< sql
				<tr><td class=tbl7_top2gc>&nbsp;$vwMestiere</td>
					<td  class=tbl7_hight>&nbsp;$vwDataInizio</td>
					<td  class=tbl7_hight>&nbsp;</td>
					<td  class=tbl7_hight rowspan=2>NO</td>
					<td  class=tbl7_hight rowspan=2>NO</td>
					<td  class=tbl7_hight>&nbsp;$vwImportoMensile</td>
					<td  class=tbl7_hight>&nbsp;$vwDurataServizio</td>
					<td  class=tbl7_hight>&nbsp;$vwvwImportoDurata</td>
				<tr><td class=tbl7_left>Reperibilità</td>
					<td  class=tbl7_center>&nbsp;</td>
					<td  class=tbl7_center>NO</td>
					<td  class=tbl7_center>&nbsp;</td>
					<td  class=tbl7_center>&nbsp;</td>
					<td  class=tbl7_right>&nbsp;</td>
sql;
		}
?>
<?php
	}
	elseif ( $rs['Gruppo'] == 2 )
	{
		$TotEdifici1["id$ID"] += $rs['ImportoTotale'];

		$TotEdifici3["id$ID"] += $rs['ImportoTotale'];

		$TotEdifici4["id$ID"] += $rs['ImportoTotale'];
		
		$vwTipoComp = htmlentities($rs['TipoComp']);
		$vwImportoTotale = ntxRoundThousand($rs['ImportoTotale'],2);
		$vwTotEdifici1 = ntxRoundThousand($TotEdifici1["id$ID"],2);
		$vwTotEdifici2 = ntxRoundThousand($TotEdifici2["id$ID"],2);

		$tempTab .= <<< sql
			<tr><td class=tbl7_left>&nbsp;$vwTipoComp</td>
				<td  class=tbl7_center>Una tantum</td>
				<td colspan=4 class=tbl7_center>&nbsp;</td>
				<td  class=tbl7_center>Una tantum</td>
				<td  class=tbl7_right>&nbsp;$vwImportoTotale</td>
sql;
	}
}

if ( isset($ID) )
{
	$vwTotEdifici1 = ntxRoundThousand($TotEdifici1["id$ID"],2);
	$vwTotEdifici2 = ntxRoundThousand($TotEdifici2["id$ID"],2);

	$tempTab .= <<< sql
		<tr><td colspan=5 class=tbl7_orange>TOTALE IMPORTO SERVIZI A CANONE </td>
			<td colspan=1 class=tbl7_orange>Euro</td>
			<td colspan=2 class=tbl7_top2gc>&nbsp;$vwTotEdifici1</td>
		<tr><td colspan=5 class=tbl7_orange2>TOTALE IMPORTO SERVIZI DI REPERIBILITA’  </td>
			<td colspan=1 class=tbl7_orange2>Euro</td>
			<td colspan=2 class=tbl7_orange>&nbsp;$vwTotEdifici2</td>
	</table>
	<br>	
sql;

	$outTabs["id$ID"] = $tempTab;
	$tempTab = null;
}

foreach($outTabs as $key => $table)
{
	echo $table;
	echo $outTabs2[$key];
}

?>

