<?php

$sqlSwitchDurata = "(case when SopralluogoPDI.IdRevConsistenza is null then off2.Durata else SopralluogoPDI.Durata end)";

$subSqlX1_e_11 = <<< sql
	FROM         SopralluogoPDI INNER JOIN
                      TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
                      SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN
                      tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      OfferteEdificiMestieri AS off2 ON SopralluogoPDI.IdCommessaOfferta = off2.IdCommessaOfferta AND SopralluogoPDI.IdOfferta = off2.IdOfferta AND 
                      SopralluogoPDI.IdEdificio = off2.IdEdificio AND tblComponetiMestiere.IdMestiere = off2.IdMestiere AND 
                      tblComponetiMestiere.IdCommessa = off2.IdCommessaEdificio
	WHERE     (SopralluogoPDI.IdCommessaOfferta = ElencoEdifici.IdCommessa)
	AND (SopralluogoPDI.IdOfferta = OfferteEdificiMestieri.IdOfferta)
	AND (tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere)
	AND (TipiComponentiMestieri.UnaTantum = 0 OR TipiComponentiMestieri.UnaTantum IS NULL)
	AND (SopralluogoPDI.IdEdificio = ElencoEdifici.ID)
sql;
	
$subSql1 = "SELECT     SUM(SopralluogoPDI.QTA * TipiComponentiMestieri.Fattore)/12 $subSqlX1_e_11";

$subSql11 = "SELECT     SUM({$sqlSwitchDurata} * SopralluogoPDI.QTA * TipiComponentiMestieri.Fattore)/12 $subSqlX1_e_11";

$subSqlX2_e_21 = <<< sql
	FROM         SopralluogoPDI INNER JOIN
                      TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
                      SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN
                      tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      OfferteEdificiMestieri AS off2 ON SopralluogoPDI.IdCommessaOfferta = off2.IdCommessaOfferta AND SopralluogoPDI.IdEdificio = off2.IdEdificio AND 
                      SopralluogoPDI.IdOfferta = off2.IdOfferta AND tblComponetiMestiere.IdMestiere = off2.IdMestiere AND 
                      tblComponetiMestiere.IdCommessa = off2.IdCommessaEdificio
	WHERE     (SopralluogoPDI.IdCommessaOfferta = ElencoEdifici.IdCommessa)
	AND (SopralluogoPDI.IdOfferta = OfferteEdificiMestieri.IdOfferta)
	AND (tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere)
	AND (TipiComponentiMestieri.UnaTantum = 1)
	AND (SopralluogoPDI.IdEdificio = ElencoEdifici.ID)
sql;

$NonCon = "case when SopralluogoPDI.NonConsiderareUnatantum=1 then 0 else SopralluogoPDI.QTA end";

$subSql2 = "SELECT     SUM($NonCon * TipiComponentiMestieri.Fattore) $subSqlX2_e_21";

$subSql24 = "SELECT     SUM({$sqlSwitchDurata} * 0.14 * SopralluogoPDI.QTA * TipiComponentiMestieri.Fattore) $subSqlX2_e_21";

$subSql21 = "SELECT     SUM(TipiComponentiMestieri.Fattore * ($NonCon + 0.14*SopralluogoPDI.QTA*{$sqlSwitchDurata})) $subSqlX2_e_21";

$sql1 = "SELECT     ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.Ordine, ElencoEdifici.EdificioBreve AS Edificio, ElencoEdifici.[Tipologia abitativa] AS DesUso, "
	."				OfferteEdificiMestieri.Reperibilità, OfferteEdificiMestieri.CinquePerCento, OfferteEdificiMestieri.AChiamata, "
	."				tblMestieri.IdMestiere, tblMestieri.Descrizione AS Mestiere, ($subSql1)* CASE WHEN OfferteEdificiMestieri.CalcSotto400mq = 1 THEN 0.7 ELSE 1 END AS ImportoMensile, "
	."				NULL AS TipoComp, OfferteEdificiMestieri.Durata, OfferteEdificiMestieri.Migliorie, OfferteEdificiMestieri.DataInizio, "
	."              ($subSql11) * CASE WHEN OfferteEdificiMestieri.CalcSotto400mq = 1 THEN 0.7 ELSE 1 END AS ImportoTotale, 1 AS Gruppo,  "
	."              tblMestieri.IdMestiere AS Ord2, NULL AS Ord3, NULL AS AnniSucc "
	."FROM         ElencoEdifici INNER JOIN "
	."                      OfferteEdificiMestieri ON ElencoEdifici.IdCommessa = OfferteEdificiMestieri.IdCommessaEdificio AND  "
	."                      ElencoEdifici.ID = OfferteEdificiMestieri.IdEdificio INNER JOIN "
	."                      tblMestieri ON OfferteEdificiMestieri.IdCommessaEdificio = tblMestieri.IdCommessa AND  "
	."                      OfferteEdificiMestieri.IdMestiere = tblMestieri.IdMestiere "
	."WHERE     (OfferteEdificiMestieri.IdCommessaOfferta = $IdCommessa)  "
	."			AND (OfferteEdificiMestieri.IdOfferta = $IdOfferta)  "
	."			AND (tblMestieri.Calc14x100 = 0 OR tblMestieri.Calc14x100 IS NULL)  "
	."			AND ($subSql1) IS NOT NULL ";
	
$sql2 = "SELECT     ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.Ordine, ElencoEdifici.EdificioBreve AS Edificio, ElencoEdifici.[Tipologia abitativa] AS DesUso,  "
	."				NULL AS Reperibilità, NULL AS CinquePerCento, NULL AS AChiamata, "
	."				tblMestieri.IdMestiere, tblMestieri.Descrizione AS Mestiere,  NULL AS ImportoMensile, "
	."				TipiComponentiMestieri.Descrizione AS TipoComp, 1 AS Durata, NULL AS Migliorie, NULL AS DataInizio, "
	."              TipiComponentiMestieri.Fattore * $NonCon AS ImportoTotale, 2 AS Gruppo,  "
	."              tblMestieri.IdMestiere AS Ord2, TipiComponentiMestieri.Ordine AS Ord3, NULL AS AnniSucc "
	."FROM         ElencoEdifici INNER JOIN "
	."                      SopralluogoPDI ON ElencoEdifici.IdCommessa = SopralluogoPDI.IdCommessaEdificio AND ElencoEdifici.ID = SopralluogoPDI.IdEdificio INNER JOIN "
	."                      TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND  "
	."                      SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN "
	."                      tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND  "
	."                      TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN "
	."                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere "
	."WHERE     (SopralluogoPDI.IdCommessaOfferta = $IdCommessa)  "
	."			AND (SopralluogoPDI.IdOfferta = $IdOfferta)  "
	."			AND (tblMestieri.Calc14x100 = 0 OR tblMestieri.Calc14x100 IS NULL)  "
	."			AND (TipiComponentiMestieri.UnaTantum = 1) ";
	
$sql3 = "SELECT     ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.Ordine, ElencoEdifici.EdificioBreve AS Edificio, ElencoEdifici.[Tipologia abitativa] AS DesUso, "
	."				OfferteEdificiMestieri.Reperibilità, OfferteEdificiMestieri.CinquePerCento, OfferteEdificiMestieri.AChiamata, "
	."				tblMestieri.IdMestiere, tblMestieri.Descrizione AS Mestiere, ($subSql2) AS ImportoMensile, "
	."				NULL AS TipoComp, OfferteEdificiMestieri.Durata, NULL AS Migliorie, OfferteEdificiMestieri.DataInizio, "
	."              ($subSql21) AS ImportoTotale, 0 AS Gruppo,  "
	."              tblMestieri.IdMestiere AS Ord2, NULL AS Ord3, ($subSql24) AS AnniSucc "
	."FROM         ElencoEdifici INNER JOIN "
	."                      OfferteEdificiMestieri ON ElencoEdifici.IdCommessa = OfferteEdificiMestieri.IdCommessaEdificio AND  "
	."                      ElencoEdifici.ID = OfferteEdificiMestieri.IdEdificio INNER JOIN "
	."                      tblMestieri ON OfferteEdificiMestieri.IdCommessaEdificio = tblMestieri.IdCommessa AND  "
	."                      OfferteEdificiMestieri.IdMestiere = tblMestieri.IdMestiere "
	."WHERE     (OfferteEdificiMestieri.IdCommessaOfferta = $IdCommessa)  "
	."			AND (OfferteEdificiMestieri.IdOfferta = $IdOfferta)  "
	."			AND (tblMestieri.Calc14x100 = 1)  "
	."			AND ($subSql2) IS NOT NULL ";
	
$sql = "SELECT * FROM ($sql1 UNION $sql2 UNION $sql3) a ORDER BY Ordine, Codice, ID, Ord2, Gruppo, Ord3";

$query = ntxQuery($sql);

?>	