<?php  
session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>


<?php
	
require_once('sql.inc');

?>

<table>
	<tr>
		<th>IdOfferta</th>
		<th>Protocollo</th>
		<th>Sigla</th>
		<th>Accettata</th>
		<th>Data Offerta</th>
		<th>Tipo Offerta</th>
		<th>Nota</th>
		<th>Costo Presunto</th>
		<th>Importo Offerta</th>
		<th>Importo Accettato</th>
		<th>Referente</th>
		<th>Descrizione</th>
		<th>Nome Ente</th>
		<th>Nome Gestore</th>
	</tr>   

<?php
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td>&nbsp;<?php echo htmlentities($rs['IdOfferta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Protocollo']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Sigla']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Accettata']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataOfferta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['TipoOfferta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Nota']) ?></td>
		<td>&nbsp;<?php echo ntxRound($rs['CostoPresunto'],2) ?></td>
		<td>&nbsp;<?php echo ntxRound($rs['ImportoOfferta'],2) ?></td>
		<td>&nbsp;<?php echo ntxRound($rs['ImportoAccettato'],2) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Referente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NomeEnte']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NomeGestore']) ?></td>
	</tr>
<?php
	}
?>
</table>
</body>
</html>
