<?php

$sql = <<< sql
	SELECT     id, NomeSet, liv1, liv2, liv3
	FROM         SetVoci
	WHERE     (NomeSet = 'opf-man') or (NomeSet = 'opf-pul') or (NomeSet = 'opf-altro') or (NomeSet = 'opf-presidio')
	ORDER BY id
sql;

$query = ntxQuery($sql);

$table = <<< table
	<tr><td style="font-weight:bold;width:60%">MANUTENZIONI<td>Reperibilità <th>Importo annuo<br>EURO<th>Importo globale<br>EURO(2)
table;

$first = true;

$ManImpAnno = null;
$ManImpTot = null;
$PulImpAnno = null;
$PulImpTot = null;
$AltImpAnno = null;
$AltImpTot = null;

while($rs=ntxRecord($query))
{
	$imp = $impTot[$rs[id]];
	
	$imp[DataInizio] = ntxDate($imp[DataInizio]);

	$cellaX = "<div class=checkbox2>&nbsp;&nbsp;</div>";

	if ($rs[NomeSet]=='opf-man')
	{
		$ManImpAnno += $imp[ImportoAnno]*$_99o98perCento;
		$ManImpTot += $imp[ImportoTotale]*$_99o98perCento;
	}
	elseif ($rs[NomeSet]=='opf-pul')
	{
		$PulImpAnno += $imp[ImportoAnno]*$_99o98perCento;
		$PulImpTot += $imp[ImportoTotale]*$_99o98perCento;
	}
	elseif ($rs[NomeSet]=='opf-altro')
	{
		$AltImpAnno += $imp[ImportoAnno]*$_99o98perCento;
		$AltImpTot += $imp[ImportoTotale]*$_99o98perCento;
	}
	
	if ($rs[NomeSet]=='opf-presidio')
	{
		$AltImpAnno += $imp[ImportoAnno];
		$AltImpTot += $imp[ImportoTotale];
		
		if ( is_numeric($imp[ImportoAnno]) )
			$imp[ImportoAnno] = ntxRoundThousand($imp[ImportoAnno], 2);
		
		if ( is_numeric($imp[ImportoTotale]) )
			$imp[ImportoTotale] = ntxRoundThousand($imp[ImportoTotale], 2);
	}
	else
	{
		if ( is_numeric($imp[ImportoAnno]) )
			$imp[ImportoAnno] = ntxRoundThousand($imp[ImportoAnno]*$_99o98perCento, 2);
		
		if ( is_numeric($imp[ImportoTotale]) )
			$imp[ImportoTotale] = ntxRoundThousand($imp[ImportoTotale]*$_99o98perCento, 2);
	}
	
	if ( $imp[esiste] )
		$cellaX = "<div class=checkbox2>X</div>";

	foreach($rs as $k=>$v)
		$rs[$k]=htmlentities($v);
	
	if ($rs[NomeSet]=='opf-pul'  &&  $first )
	{
		$first = false;

		$htmlManImpAnno = ntxRoundThousand($ManImpAnno, 2);
		$htmlManImpTot = ntxRoundThousand($ManImpTot, 2);
		
		$table .= <<< table
			<tr><td style="text-align:left">TOTALE IMPORTO MANUTENZIONI A CANONE<th><td style="text-align:right">$htmlManImpAnno<td style="text-align:right">$htmlManImpTot
			<tr><td style="font-weight:bold;width:60%">SERVIZI DI PULIZIA ED IGIENE AMBIENTALE<td><td><td>
table;
	}
	elseif ($rs[NomeSet]=='opf-altro' )
	{
		$first = false;

		$htmlPulImpAnno = ntxRoundThousand($PulImpAnno, 2);
		$htmlPulImpTot = ntxRoundThousand($PulImpTot, 2);
		
		$table .= <<< table
			<tr><td style="text-align:left">TOTALE IMPORTO SERVIZI DI PULIZIA ED IGIENE AMBIENTALE A CANONE<th><td style="text-align:right">$htmlPulImpAnno<td style="text-align:right">$htmlPulImpTot
			<tr><td style="font-weight:bold;width:60%">ALTRI SERVIZI<td><td><td>
table;
	}
	
	if ($rs[NomeSet]=='opf-man')
		$table .= <<< table
			<tr><td style="">{$cellaX}$rs[liv1]<td style="text-align:center">$imp[Reperibilità]<td style="text-align:right">$imp[ImportoAnno]<td style="text-align:right">$imp[ImportoTotale]
table;
	else
		$table .= <<< table
			<tr><td style="">{$cellaX}$rs[liv1]<td><td style="text-align:right">$imp[ImportoAnno]<td style="text-align:right">$imp[ImportoTotale]
table;
}

$CanImpAnno = $GovImpAnno+$ManImpAnno+$PulImpAnno+$AltImpAnno;
$CanImpTot = $GovImpTot+$ManImpTot+$PulImpTot+$AltImpTot;

$htmlCanImpAnno = ntxRoundThousand($CanImpAnno, 2);
$htmlCanImpTot = ntxRoundThousand($CanImpTot, 2);

$table .= <<< table
	<tr><td style="font-weight:bold;text-align:left">TOTALE GLOBALE A CANONE<th><th style="font-weight:bold;text-align:right">$htmlCanImpAnno<th style="font-weight:bold;text-align:right">$htmlCanImpTot
table;

?>

<table class=table1>

<?php echo $table ?>	

</table>
