<?php

$sql = <<< sql
	SELECT     id, liv1, liv2, liv3
	FROM         SetVoci
	WHERE     (NomeSet = 'opf-gov')
	ORDER BY id
sql;

$query = ntxQuery($sql);

$table = <<< table
	<tr><td style="font-weight:bold;width:60%">SERVIZI DI  GOVERNO<td><td><td>
table;

$Unper100Anno = null;
$Unper100Totale = null;

for ($i=14;$i<28;++$i)
{
	$imp = $impTotEdifici[$IdEdificio."_".$i];
	
	if ( is_numeric($imp[ImportoAnno]) )
		$Unper100Anno += $imp[ImportoAnno]*$_1o2perCento;
	
	if ( is_numeric($imp[ImportoTotale]) )
		$Unper100Totale += $imp[ImportoTotale]*$_1o2perCento;
}

$GovImpAnno = null;
$GovImpTot = null;
$CanImpAnno = null;
$CanImpTot = null;

while($rs=ntxRecord($query))
{
	$imp = $impTotEdifici[$IdEdificio."_".$rs[id]];

	$cellaX = "[ ] - ";
	
	if ( ($rs[id]==5 || $rs[id]==6 || (!$isLight  &&  ($rs[id]==8 || $rs[id]==9)))  &&  is_numeric($Unper100Anno) )
	{
		$GovImpAnno += $Unper100Anno;
		$GovImpTot += $Unper100Totale;
		
		$imp[ImportoAnno] = ntxRoundThousand($Unper100Anno, 2);
		$imp[ImportoTotale] = ntxRoundThousand($Unper100Totale, 2);
	
		$cellaX = "[X] - ";
		$imp[DataInizio] = $rsOfferta[DataAttivazione];
	}
	else
	{
		$imp[DataInizio] = ntxDate($imp[DataInizio]);
		$GovImpAnno += $imp[ImportoAnno];
		$GovImpTot += $imp[ImportoTotale];

		if ( $imp[esiste] )
			$cellaX = "[X] - ";
	}
	
	$imp[ImportoAnno] = ntxRoundThousand($imp[ImportoAnno], 2);
	$imp[ImportoTotale] = ntxRoundThousand($imp[ImportoTotale], 2);

	foreach($rs as $k=>$v)
		$rs[$k]=htmlentities($v);
		
	if ( "$rs[liv1]"!="" )
	{
		$table .= <<< table
			<tr><td style="font-weight:bold;padding-left:10px">$rs[liv1]<td><td><td>
table;
	}
	else
	{
		$table .= <<< table
			<tr><td style="">{$cellaX}$rs[liv2]<td style="text-align:right">$imp[ImportoAnno]<td style="text-align:right">$imp[ImportoTotale]
				<td style="text-align:right">$imp[DataInizio]
table;
	}
}

$htmlGovImpAnno = ntxRoundThousand($GovImpAnno, 2);
$htmlGovImpTot = ntxRoundThousand($GovImpTot, 2);

$table .= <<< table
	<tr><td style="text-align:left">TOTALE IMPORTO SERVIZI DI GOVERNO<td style="text-align:right">$htmlGovImpAnno<td style="text-align:right">$htmlGovImpTot<td>
table;

?>

<table class=table1>
	<tr><th>SERVIZI A CANONE<th>Importo annuo<br>EURO<th>Importo globale<br>EURO<th>Inizio erogazione<br>servizio gg/mm/a a

<?php echo $table ?>	
</table>
