<?php 

$sql = <<< sql
	SELECT     OfferteEdificiMestieri.IdEdificio, 
				GruppiMestieri.Descrizione AS Gruppo, 
				tblMestieri.Descrizione AS Mestiere, 
				tblMestieri.UM, 
				OfferteEdificiMestieri.Valore, 
				OfferteEdificiMestieri.Reperibilità, 
				OfferteEdificiMestieri.DataInizio
	FROM         OfferteEdificiMestieri INNER JOIN
						  tblMestieri ON OfferteEdificiMestieri.IdMestiere = tblMestieri.IdMestiere AND 
						  OfferteEdificiMestieri.IdCommessaOfferta = tblMestieri.IdCommessa INNER JOIN
						  GruppiMestieri ON tblMestieri.IdCommessa = GruppiMestieri.IdCommessa AND tblMestieri.IdGruppo = GruppiMestieri.IdGruppo
	WHERE     (OfferteEdificiMestieri.IdCommessaOfferta = $IdCommessa) AND (OfferteEdificiMestieri.IdOfferta = $IdOfferta)
	ORDER BY OfferteEdificiMestieri.IdEdificio, GruppiMestieri.Ordine, Gruppo, tblMestieri.Ordine, Mestiere
sql;

$query = ntxQuery($sql);

$mestieriEdifici = array();

$IdEdificio = "";
$Gruppo = "";

while ( $rs = ntxRecord($query) )
{
	$rs[Valore] = ntxRoundThousand($rs[Valore], 2);
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[Reperibilità] = $rs[Reperibilità] ? "X" : "";
	
	foreach( $rs as $k => $v )
		$rs[$k] = htmlentities($v);

	if ( $IdEdificio!=$rs[IdEdificio] || $Gruppo!=$rs[Gruppo] )
	{
		$rs[testata] = 1;
		
		$mestieriEdifici[$rs[IdEdificio]][] = $rs;
		
		$IdEdificio = $rs[IdEdificio];
		$Gruppo = $rs[Gruppo];
	}
	
	$rs[testata] = 0;
	
	$mestieriEdifici[$rs[IdEdificio]][] = $rs;
}

$numEdifici = count($edifici);

?>
