<?php  
session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="css/principale.css" rel="stylesheet" type="text/css">
<link href="css/indice.css" rel="stylesheet" type="text/css">
<link href="css/copertina.css" rel="stylesheet" type="text/css">
<link href="css/tabelle.css" rel="stylesheet" type="text/css">
<link href="css/sezione_1_3.css" rel="stylesheet" type="text/css">
<link href="css/tbl1.css" rel="stylesheet" type="text/css">
<link href="css/tbl2.css" rel="stylesheet" type="text/css">
<link href="css/tbl3.css" rel="stylesheet" type="text/css">
<link href="css/tbl4.css" rel="stylesheet" type="text/css">
<link href="css/tbl5.css" rel="stylesheet" type="text/css">
<link href="css/tbl6.css" rel="stylesheet" type="text/css">
<link href="css/tbl7.css" rel="stylesheet" type="text/css">
<link href="css/tbl7b.css" rel="stylesheet" type="text/css">
<link href="css/tbl_a1.css" rel="stylesheet" type="text/css">
<link href="css/tbl_txt_5.css" rel="stylesheet" type="text/css">
<link href="css/tbl_txt_6.css" rel="stylesheet" type="text/css">

<link href="css/pulizie.css" rel="stylesheet" type="text/css">
<link href="css/giardinaggio.css" rel="stylesheet" type="text/css">

<link href="css/table2print.css" rel="stylesheet" type="text/css">
</head>
<body>

<script languange=javascript>
	function MandaStampa()
	{
		focus();
		print();
	}
</script>

<?php
	
$IdCommessa = ntxise('IdCommessa');
$IdOfferta = ntxip('IdOfferta');

if ( is_numeric($_POST[IdRevisione]) )
{
	$IdRevisioneConsistenza = (int)$_POST[IdRevisione];
}
else
{
	$sql = <<< sql
		SELECT  TOP 1   Id
		FROM         OfferteRevisioneConsistenza
		WHERE     (IdCommessa = $IdCommessa) AND (IdOfferta = $IdOfferta) AND (DaPresentareNelPDI = 1)
		ORDER BY Id DESC
sql;

	$IdRevisioneConsistenza = ntxScalar($sql);
}

if ( is_numeric($IdRevisioneConsistenza) )
{
	$sql = <<< sql
		SELECT  Numero
		FROM         OfferteRevisioneConsistenza
		WHERE     (Id = $IdRevisioneConsistenza)
sql;

	$NumeroRevisioneConsistenza = ntxScalar($sql);
}
else
{
	$IdRevisioneConsistenza = "NULL";
	$NumeroRevisioneConsistenza = "";
}

$andSoprallugoPerPdi = " AND (dbo.isSopralluogoForPDI($IdRevisioneConsistenza, SopralluogoPDI.IdRevConsistenza)=1) ";

require_once('pagine/copertina-sql.inc');

$footerContent = <<<_HTML
<div class="divFooter" >
	<span class="intest1">
		<img src="/repository/materiale/guerrato_pdi3/intestazione.png" />
	</span>	
	
	<span class="intest2" style='text-align:center'>
		CONVENZIONE CONSIP FM3 UFFICI
		<br>PIANO DETTAGLIATO DEGLI INTERVENTI
		<br>$NomeCliente
	</span>
</div>
<hr>
_HTML;

echo $footerContent;

require_once('pagine/copertina.inc');

?>

	
<div class=sommario style="page-break-before: always">
	<?php  echo $footerContent ?>
	Sommario
</div>

<?php

require_once('pagine/pagina_index.inc');

?>

<div class=sezione style="page-break-before: always">
<?php  echo $footerContent ?>
Sezione 1: Configurazione dei servizi e dati di consistenza
</div>
<p class=capitolo>1. Riferimenti alla Convenzione</p>
Premesso che:
<?php

require_once('pagine/pagina_1_txt_sql.inc');
require_once('pagine/pagina_1_txt_txt.inc');

require_once('pagine/pagina_1_sql.inc');
require_once('pagine/pagina_1_tbl.inc');

?>

<div class=capitolo style="page-break-before: always">
<?php  echo $footerContent ?>
2. Servizi richiesti, data inizio di erogazione e durata
</div>

<?php

require_once('pagine/pagina_2_sql.inc');
require_once('pagine/pagina_2_tbl.inc');

require_once('pagine/pagina_3_sql.inc');
require_once('pagine/pagina_3_tbl.inc');

?>

<div class=capitolo style="page-break-before: always">
<?php  echo $footerContent ?>
3. Corrispettivi manodopera
</div>
<?php

require_once('pagine/sezione_1_3.inc');

?>

	
<div class=sezione style="page-break-before: always">
<?php  echo $footerContent ?>
Sezione 2: Dettaglio dei servizi a canone
</div>
<p>In questa sezione saranno elencate le prestazioni a canone comprese nei servizi, dalla data di inizio di erogazione.</p>
<p class=capitolo>1. Dati di consistenza</p>

<?php

require_once('pagine/pagina_3_txt_txt.inc');
require_once('pagine/pagina_extrasconto_txt.inc');

require_once('pagine/pagina_4_sql.inc');
require_once('pagine/pagina_4_tbl.inc');

?>

<div class=capitolo style="page-break-before: always">
<?php  echo $footerContent ?>
<p class=capitolo>2.Pianificazione temporale attività</p>
</div>

<?php

require_once('pagine/pagina_dep_cont_sql.inc');
require_once('pagine/pagina_dep_cont_tbl.inc');

require_once('pagine/pagina_5_sql.inc');
require_once('pagine/pagina_5_tbl.inc');

?>


<div class=sezione style="page-break-before: always">
<?php  echo $footerContent ?>
Sezione 3: Dettaglio dei servizi a misura
</div>

<p class=capitolo>1. Dimensionamento dei servizi Facchinaggio Interno e Facchinaggio Esterno/Traslochi</p>

<?php

require_once('pagine/pagina_4_3_sql.inc');
require_once('pagine/pagina_4_3_tbl.inc');

?>


<div class=sezione style="page-break-before: always">
<?php  echo $footerContent ?>
Sezione 4: Interventi extra-canone proposti dal Fornitore
</div>

<p class=normale>La sezione contiene l'individuazione e quantificazione di massima degli interventi manutentivi proposti e ritenuti necessari dalla presente ATI; qualora gli stessi vengano autorizzati dall'Amministrazione dovranno essere gestiti tramite Ordini di Intervento senza l'applicazione di alcuna franchigia.</p>

<p class=capitolo>1. Elenco delle criticità e degli interventi proposti</p>

<?php

require_once('pagine/pagina_6_sql.inc');
require_once('pagine/pagina_6_tbl.inc');

?>

<p class=capitolo>2. Tabelle riassuntiva delle proposte di intervento</p>

<?php

require_once('pagine/pagina_6tot_sql.inc');
require_once('pagine/pagina_6tot_tbl.inc');

?>

<div class=sezione style="page-break-before: always">
<?php  echo $footerContent ?>
Sezione 5: Calendario Lavorativo
</div>
<p class=capitolo>1. Calendario Lavorativo</p>
<p class=normale>Di seguito viene riportato il calendario lavorativo degli immobili oggetto dei servizi di manutenzione, fornito dall'Amministrazione Contraente, per programmare l'orario di svolgimento dei servizi in modo tale da non recare intralcio alle attività che si svolgono.</p>

<?php

require_once('pagine/pagina_9_sql.inc');
require_once('pagine/pagina_9_tbl.inc');

?>


<div class=sezione style="page-break-before: always">
<?php  echo $footerContent ?>
Sezione 6: Gestione degli Indicatori di Prestazione
</div>
<p class=normale>La presente sezione fa riferimento a quanto previsto nel par. 5.5.2.6 e al cap. 9 del Capitolato Tecnico.</p>

<p class=capitolo>1. Elenco degli Indicatori previsti</p>

<table>
	<tr><td>LS 	<td>Livello di Servizio Effettivo
	<tr><td>LS0	<td>Livello di Servizio Obiettivo
	<tr><td>IP	<td>Indicatore globale di prestazione
	<tr><td>IS	<td>Indicatore di soddisfazione
	<tr><td>IPxx<td>Indicatore di prestazione per i singoli servizi
	<tr><td>Itp	<td>Indicatore di Puntualità
	<tr><td>Iqp	<td>Indicatore di Qualità
</table>

<p class=capitolo>2. Definizione del Livello di Servizio Obiettivo</p>

<p class=normale>Il livello di servizio obiettivo viene fissato pari a LSO=0.75</p>

<p class=capitolo>3. Pesi attribuiti ai servizi per il calcolo dell'Indicatore Globale di Prestazione</p>

<?php

require_once('pagine/pagina_ind_glob_pre_sql.inc');
require_once('pagine/pagina_ind_glob_pre_tbl.inc');

?>

<p class=capitolo>4. Modalità per la taratura del valore Obiettivo (primi 6 mesi appalto)</p>

<p class=normale>La taratura del Livello di Servizio Obiettivo avverrà secondo le modalità stabilite nel par. 5.5.2.6 e nel cap. 9 del Capitolato Tecnico. In caso contrario le parti accettano implicitamente il valore di LSO indicato nel presente documento. Durante i primi 6 mesi dall'attivazione di un nuovo servizio non si darà luogo all'applicazione delle rispettive penali.</p>


<p class=capitolo>5. Definizione delle Unità di Controllo (UdC)</p>


<?php

if ( $flagVisualizzaTabellaSez6Cap5 )
{
?>
<p class=normale>Le Unita di Controllo fanno riferimento alle seguenti cinque tipologie di aree di controllo (si veda par. 9.1.1.13.2.1 del Capitolato Tecnico):</p>

<ul class=normale>
<li>area di controllo 1: insieme delle unita di controllo afferenti alla destinazione d'uso â€œArea Ufficiâ€ (uffici e sale riunioni);</li>
<li>area di controllo 2: insieme delle unita di controllo afferenti alla destinazione d'uso â€œAree Comuniâ€ (circolazione primaria e collegamenti verticali);</li>
<li>area di controllo 3: insieme delle unita di controllo afferenti alla destinazione d'uso â€œAree Servizi igieniciâ€ (bagni e antibagni);</li>
<li>area di controllo 4: insieme delle unita di controllo afferenti alla destinazione d'uso â€œAree Esterneâ€ (aree esterne scoperte, porticati e balconi);</li>
<li>area di controllo 5: insieme delle unita di controllo afferenti alla destinazione d'uso â€œAree Tecnicheâ€ (depositi, ripostigli, archivi morti, scantinati).</li>
</ul>

<p class=normale>Per quanto riguarda il presente PDI si definisce quanto segue:</p>

<?php
	require_once('pagine/pagina_aree_controllo_sql.inc');
	require_once('pagine/pagina_aree_controllo_tbl.inc');
?>

<p class=normale>Per ciascuna area di controllo, il numero di unita che deve essere sottoposto a ispezione si ricava dalla tabella seguente:</p>

<table class=simplegrid>
	<tr>
		<th class=SottotitoloNeroSuGrigio>NÂ° UdC PER AREA DI CONTROLLO
		<th class=SottotitoloNeroSuGrigio>NÂ° UdC PER AREA DI CONTROLLO ISPEZIONABILI
	<tr>
		<td class=Celle>1-3
		<td class=Celle>1
	<tr>
		<td class=Celle>4-8
		<td class=Celle>2
	<tr>
		<td class=Celle>9-15
		<td class=Celle>3
	<tr>
		<td class=Celle>16-25
		<td class=Celle>5
	<tr>
		<td class=Celle>26-50
		<td class=Celle>8
	<tr>
		<td class=Celle>51-90
		<td class=Celle>13
	<tr>
		<td class=Celle>91-150
		<td class=Celle>20
	<tr>
		<td class=Celle>151-280
		<td class=Celle>32
	<tr>
		<td class=Celle>281-500
		<td class=Celle>50
	<tr>
		<td class=Celle>501-1200
		<td class=Celle>80
</table>

<?php
}
else
{
	echo "<p class=normale>Non applicabile senza l'attivazione del servizio di pulizia.</p>";
}

?>

<div class=sezione style="page-break-before: always">
<?php  echo $footerContent ?>
Sezione 7: CORRISPETTIVI PER I SERVIZI A CANONE
</div>
<p class=normale>In questa sezione si riepilogano i corrispettivi per i servizi a canone oggetto del presente PDI:</p>

<?php

require_once('pagine/pagina_corr_canone_sql.inc');
require_once('pagine/pagina_corr_canone_tbl.inc');

?>

<div class=sezione style="page-break-before: always">
<?php  echo $footerContent ?>
Sezione 8: DIMENSIONAMENTO DEL MASSIMALE PER ATTIVITA' EXTRA-CANONE
</div>
<p class=normale>Il massimale predisposto per le attività extra-canone, così come definite nel par .3.2.2 del Capitolato Tecnico, è dimensionato nelle seguenti tabelle:</p>

<p class=normale>A) FACCHINAGGIO INTERNO E FACCHINAGGIO ESTERNO/TRASLOCHI</p>
<?php

require_once('pagine/pagina_4_3_sum_sql.inc');
require_once('pagine/pagina_4_3_sum_tbl.inc');

?>

<p class=normale>B) INTERVENTI EXTRA-CANONE ESCLUSI I SERVIZI DI CUI AL PUNTO A)</p>
<?php

require_once('pagine/pagina_4_2_sql.inc');
require_once('pagine/pagina_4_2_tbl.inc');

?>

<div class=sezione style="page-break-before: always">
<?php  echo $footerContent ?>
Sezione 9: Riepilogo importi convenzione
</div>
<p class=capitolo>1. Riepilogo importi per edificio</p>

<?php

require_once('pagine/pagina_7_sql-can-extra.inc');
require_once('pagine/pagina_7_tbl-can-extra.inc');

?>

<p class=capitolo>2. Riepilogo importi convenzione</p>

<?php

require_once('pagine/pagina_servizi_a_canone-sql.inc');
require_once('pagine/pagina_servizi_a_canone-tbl.inc');

require_once('pagine/pagina_servizi_a_extracanone-sql.inc');
require_once('pagine/pagina_servizi_a_extracanone-tbl.inc');

require_once('pagine/pagina_7b_sql-1.inc');
require_once('pagine/pagina_7b_tbl-1.inc');

require_once('pagine/pagina_7b_sql-2.inc');
require_once('pagine/pagina_7b_tbl-2.inc');

require_once('pagine/pagina_7c_sql.inc');
require_once('pagine/pagina_7c_tbl.inc');

?>

<div class=sezione style="page-break-before: always">
<?php  echo $footerContent ?>
Sezione 10: Note
</div>
<p class=capitolo>1. Note</p>
<?php echo $NoteVariePdi ?>



</body>
</html>
