<?php

if ( !$_SESSION ) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdOfferta = ntxip('IdOfferta');

$sql = <<< sql
	SELECT     Id, Numero, DaPresentareNelPDI, case when OfferteRevisioneConsistenza.IdentificativoAtto IS NOT NULL then 1 end isIdentificativoAtto
	FROM         OfferteRevisioneConsistenza
	WHERE     (IdCommessa = $IdCommessa) AND (IdOfferta = $IdOfferta)
sql;

$query = ntxquery($sql);

$options = <<< options
		<option value=""></option>
		<option value="NULL">Revisione 0 (solo per OPF)</option>
options;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$DaPresentareNelPDI = $rs[DaPresentareNelPDI] ? "- [Da presentare nel PDI] " : "";
	$isIdentificativoAtto = $rs[isIdentificativoAtto] ? "- [Settato Id Atto] " : "";
	
	$options .= <<< options
		<option value="$rs[Id]">$html[Numero] $isIdentificativoAtto $DaPresentareNelPDI</option>
options;
}

jhp($options);

?>
