<?php

$sql = <<< sql
	SELECT     id, liv1, liv2, liv3
	FROM         SetVoci
	WHERE     (NomeSet = 'opf-gov')
	ORDER BY id
sql;

$query = ntxQuery($sql);

$table = "";

$Unper100Anno = null;
$Unper100Totale = null;

for ($i=14;$i<28;++$i)
{
	$imp = $impTot[$i];
	
	if ( is_numeric($imp[ImportoAnno]) )
		$Unper100Anno += $imp[ImportoAnno]*$_1o2perCento;
	
	if ( is_numeric($imp[ImportoTotale]) )
		$Unper100Totale += $imp[ImportoTotale]*$_1o2perCento;
}

$GovImpAnno = null;
$GovImpTot = null;
$CanImpAnno = null;
$CanImpTot = null;

while($rs=ntxRecord($query))
{
	$imp = $impTot[$rs[id]];
		
	$cellaX = "<div class=checkbox2>&nbsp;&nbsp;</div>";
	
	if ( ($rs[id]==5 || $rs[id]==6 || (!$isLight  &&  ($rs[id]==8 || $rs[id]==9)))  &&  is_numeric($Unper100Anno) )
	{
		$GovImpAnno += $Unper100Anno;
		$GovImpTot += $Unper100Totale;
		
		$imp[ImportoAnno] = ntxRoundThousand($Unper100Anno, 2);
	
		$imp[ImportoTotale] = ntxRoundThousand($Unper100Totale, 2);
	
		$cellaX = "<div class=checkbox2>X</div>";
	}
	else
	{
		$GovImpAnno += $imp[ImportoAnno];
		$GovImpTot += $imp[ImportoTotale];

		if ( $imp[esiste] )
			$cellaX = "<div class=checkbox2>X</div>";
	}
	
	$imp[DataInizio] = ntxDate($imp[DataInizio]);
	$imp[ImportoAnno] = ntxRoundThousand($imp[ImportoAnno], 2);
	$imp[ImportoTotale] = ntxRoundThousand($imp[ImportoTotale], 2);

	foreach($rs as $k=>$v)
		$rs[$k]=htmlentities($v);
		
	if ( "$rs[liv1]"!="" )
	{
		$table .= <<< table
			<tr><td class="tsxc" style="font-weight:bold;padding-left:10px">SERVIZIO DI GOVERNO - $rs[liv1]<td class="tcc"><td class="tcc"><td class="tcc"><td class="tdxc">
table;
	}
	else
	{
		$table .= <<< table
			<tr><td class="tsxc" style="">$rs[liv2]<td class="tcc"><td class="tcc" style="text-align:right">$imp[DataInizio]<td class="tcc" style="text-align:right">$imp[ImportoAnno]<td class="tdxc" style="text-align:right">$imp[ImportoTotale]
table;
	}
}

$htmlGovImpAnno = ntxRoundThousand($GovImpAnno, 2);
$htmlGovImpTot = ntxRoundThousand($GovImpTot, 2);

$table .= <<< table
	<tr><td class="tsxb" style="text-align:left;font-weight:bold">TOTALE IMPORTO SERVIZI DI GOVERNO<td class="tcb"><td class="tcb"><td class="tcb"  style="text-align:right;font-weight:bold">$htmlGovImpAnno<td class="tdxb"  style="text-align:right;font-weight:bold">$htmlGovImpTot
table;

$tableTitle .= <<< table
		<tr><td colspan=1 class=txxx>Ente:&nbsp;$html[Cliente]
			<td colspan=3 class=txxx>Indirizzo:&nbsp;$html[IndirizzoCliente] - $html[CapCliente] $html[ComuneCliente] ($html[ProvinciaCliente])
			<td colspan=1 class=txxx>&nbsp;RPF{$NRPF_TAG}
table;

?>

<table class=table1>
<?php echo $tableTitle ?>	
	<tr><th class="t2sx" style="width:40%">SERVIZI<th class="t2c">REPERIBILITA'<br>(Si/No)<th class="t2c">DATA<br>ATTIVAZIONE<th class="t2c">IMPORTO<br>ANNUALE(â‚¬)<th class="t2dx">IMPORTO<br>TOTALE(â‚¬)

<?php echo $table ?>	

</table>
<div class=capitolo style="page-break-before: always">
<?php  echo $footerContent ?>
