<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/grid/grid-1.1.1.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/grid/grid-1.1.1.js"></script>
	
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery.ui.datepicker-it.js"></script>
	
	<script type="text/javascript" src="jhp/dettagli.js?v2"></script>
</head>
<body>

<table class=grid style="width:800px">
	<tr>
		<th>Data Riferimento/Data Inizio<td><input type=text id=Data1>
		<th>Data Fine<td><input type=text id=Data2>
</table>
<br>
<table class=grid style="width:800px">
	<caption>Edifici
	<tr><td>
		<input type=button value="Seleziona tutto" onclick="selectAll(tblEdifici, true)">
		<input type=button value="Deseleziona tutto" onclick="selectAll(tblEdifici, false)">
		<input type=button value="Elimina" onclick="deleteChecked(tblEdifici)">
		<input type=button value="Analisi Superfici" onclick="AnalisiSup('mq_x_utilizz_e_car')">
</table>

<table id="tblEdifici" style="width:800px;height:100px;background-color:gray"></table>

<table class=grid style="width:800px">
	<caption>UTILIZZATORI
	<tr><td>
		<input type=button value="Seleziona tutto" onclick="selectAll(tblUtilizzatori, true)">
		<input type=button value="Deseleziona tutto" onclick="selectAll(tblUtilizzatori, false)">
		<input type=button value="Elimina" onclick="deleteChecked(tblUtilizzatori)">
		<input type=button value="Analisi Superfici" onclick="AnalisiSup('utilizzatori')">
		<input type=button value="Analisi Superfici Per Piani" onclick="AnalisiSup('utilizzatori_per_piani')">
</table>

<table id="tblUtilizzatori" style="width:800px;height:100px;background-color:gray"></table>

<table class=grid style="width:800px">
	<caption>PERSONALE
	<tr><td>
		<input type=button value="Seleziona tutto" onclick="selectAll(tblPersonale, true)">
		<input type=button value="Deseleziona tutto" onclick="selectAll(tblPersonale, false)">
		<input type=button value="Elimina" onclick="deleteChecked(tblPersonale)">
		<input type=button value="Analisi Superfici" onclick="AnalisiSup('personale')">
		<input type=button value="Analisi Superfici Per Piani" onclick="AnalisiSup('personale_per_piani')">
</table>

<table id="tblPersonale" style="width:800px;height:100px;background-color:gray"></table>

<table class=grid style="width:800px">
	<caption>CdC1
	<tr><td>
		<input type=button value="Seleziona tutto" onclick="selectAll(tblCdC1, true)">
		<input type=button value="Deseleziona tutto" onclick="selectAll(tblCdC1, false)">
		<input type=button value="Elimina" onclick="deleteChecked(tblCdC1)">
</table>

<table id="tblCdC1" style="width:800px;height:100px;background-color:gray"></table>
<br>

<table class=grid style="width:800px">
	<caption>CdC2
	<tr><td>
		<input type=button value="Seleziona tutto" onclick="selectAll(tblCdC2, true)">
		<input type=button value="Deseleziona tutto" onclick="selectAll(tblCdC2, false)">
		<input type=button value="Elimina" onclick="deleteChecked(tblCdC2)">
		<input type=button value="Analisi Superfici" onclick="AnalisiSup('cdc2')">
		<input type=button value="Analisi Superfici Per Piani" onclick="AnalisiSup('cdc2_per_piani')">
</table>

<table id="tblCdC2" style="width:800px;height:100px;background-color:gray"></table>
<br>

<table class=grid style="width:800px">
	<caption>Destinazione&nbsp;d'uso
	<tr><td>
		<input type=button value="Seleziona tutto" onclick="selectAll(tblDesUso, true)">
		<input type=button value="Deseleziona tutto" onclick="selectAll(tblDesUso, false)">
		<input type=button value="Analisi Superfici Per Piani" onclick="AnalisiSup('desuso_per_piani')">
		<input type=button value="Analisi Volumi Per Piani" onclick="AnalisiSup('mc_desuso_per_piani')">
</table>

<table id="tblDesUso" style="width:800px;height:100px;background-color:gray"></table>
<br>

<table class=grid style="width:800px">
	<caption>Caratteristiche
	<tr><td>
		<input type=button value="Seleziona tutto" onclick="selectAll(tblCar, true)">
		<input type=button value="Deseleziona tutto" onclick="selectAll(tblCar, false)">
		<input type=button value="Analisi Sup. Per Piani" onclick="AnalisiSup('car_per_piani')">
		<input type=button value="Analisi Sup. 2" onclick="AnalisiSup('car2')">
		<input type=button value="Analisi Sup. Per Piani 2" onclick="AnalisiSup('car2_per_piani')">
</table>

<table id="tblCar" style="width:800px;height:100px;background-color:gray"></table>
<br>

<table class=grid style="width:800px">
	<caption>Tipi Destinazione&nbsp;d'uso ambienti
	<tr><td>
		<input type=button value="Seleziona tutto" onclick="selectAll(tblTipiDesUso, true)">
		<input type=button value="Deseleziona tutto" onclick="selectAll(tblTipiDesUso, false)">
		<input type=button value="Analisi Superfici Per Piani" onclick="AnalisiSup('tipi_desuso_per_piani')">
</table>

<table id="tblTipiDesUso" style="width:800px;height:100px;background-color:gray"></table>
<br>


<form name=frmAnalisiPrezzi method=post>
	<input type=hidden name=tipo>
	<input type=hidden name=ok>
	<input type=hidden name=Data1>
	<input type=hidden name=Data2>
	<input type=hidden name=cdc1>
	<input type=hidden name=cdc2>
	<input type=hidden name=des_uso>
	<input type=hidden name=tipi_des_uso>
	<input type=hidden name=caratteristiche>
	<input type=hidden name=utilizzatori>
	<input type=hidden name=personale>
	<input type=hidden name=edifici>
</form>

</body>
</html>
