<?php

session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="stylesheet" type="text/css" href="/repository/css/grid-2.0.0.css" /> 
<style>
@media print
{
	input  {display:none}
}

</style>
</head>
<body>
<input type=button value=stampa onclick="print()" />
<?php

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');
$Tematizza = $_POST[Tematizza];

$sql = <<< sql
SELECT     PianoLivello.IdCommessa, PianoLivello.IdEdificio, PianoLivello.idPiano, Commesse.DesComm, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, 
                      PianoLivello.CodPiano, PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione
FROM         Commesse INNER JOIN
                      ElencoEdifici ON Commesse.IDCommessa = ElencoEdifici.IdCommessa INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND 
                      PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa
WHERE     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdEdificio = $IdEdificio) AND (PianoLivello.idPiano = $IdLivello)
sql;

$query = ntxQuery($sql);

if ( $rs = ntxRecord($query) )
{
	foreach ( $rs as $key=>$value )
		$rs[$key] = htmlentities($value);
		
	$datiPiano = <<< datiPiano
		Edificio: $rs[Codice] - $rs[EdificioBreve] - Piano: $rs[Destinazione]
datiPiano;
}

$result = "";

if ( $Tematizza=="utilizzatori")
	require_once("legend_utilizzatori.inc");
elseif ( $Tematizza=="personale")
	require_once("legend_personale.inc");
elseif ( $Tematizza=="cdc1")
	require_once("legend_cdc1.inc");
elseif ( $Tematizza=="cdc2")
	require_once("legend_cdc2.inc");
elseif ( $Tematizza=="desuso")
	require_once("legend_desuso.inc");
elseif ( $Tematizza=="tipo_desuso")
	require_once("legend_tipo_desuso.inc");
elseif ( $Tematizza=="caratteristiche")
	require_once("legend_caratteristiche.inc");
elseif ( $Tematizza=="caratteristiche2")
	require_once("legend_caratteristiche2.inc");
	
$result = "<table class=grid>";

while ( $rs = ntxIRecord($query) )
{
	$Colore = '#'.$rs['Colore'];
	
	if ( strlen($Colore)!=7 ) $Colore = 'black';

	$rs[0] = htmlentities($rs[0]);
	$rs[1] = htmlentities($rs[1]);
	
	$result .= "<tr><td style='background-color:#$rs[0];width:20px'></td><td>$rs[1]</td></tr>";
}

$result .= "</table>";

$FileMappa = str_replace('\\\\','\\',str_replace('/','\\',$_POST[FileMappa]));

?>

<table border=on style="width:90%">
<tr><th colspan=2><?php echo $datiPiano ?>
<tr><td style="vertical-align:top;width:10%"><?php echo $result ?>
	<td style="vertical-align:top"><img src="<?php echo ntxJs($FileMappa) ?>" style="width:100%"> 
<!--
		<div style="overflow:hidden;width:25cm;height:18cm">
			<img src="<?php echo ntxJs($FileMappa) ?>"> 
		</div>
-->
</table>

</body>
</html>