<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

function explode2($str)
{
	$str = explode("|",$str);
	
	if ( is_numeric($str[0]) )
		return $str;
	else
		return null;
}

$IdCommessa = ntxise('IdCommessa');

$tipo = $_POST[tipo];
$ok = $_POST[ok];
$Data1 = $_POST[Data1];
$Data2 = $_POST[Data2];
$Data1sql = ntxtp('Data1');
$Data2sql = ntxtp('Data2');
$cdc1 = explode2($_POST[cdc1]);
$cdc2 = explode2($_POST[cdc2]);
$des_uso = explode2($_POST[des_uso]);
$caratteristiche = explode2($_POST[caratteristiche]);
$utilizzatori = explode2($_POST[utilizzatori]);
$personale = explode2($_POST[personale]);
$edifici = explode2($_POST[edifici]);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>


<?php

include_once("report_analisi_desuso_per_piani_sql.inc");

echo "<table border=on>";
echo <<< echo
	<tr>
	<th>IdEdificio
		<th>Codice
		<th>EdificioBreve
		<th>Indirizzo
		<th>Comune
		<th>Provincia
		<th>MQ Edificio
		<th>Vani Edificio
		<th>IdPiano
		<th>Piano
		<th>OrdPiano
		<th>MQ Piano
		<th>Vani Piano
		<th>Des.Uso
		<th>MQ Des.Uso 
		<th>Vani Des.Uso 
		<th>IdAmbiente
		<th>CodAmb
		<th>MQ
echo;

$keyEdificio = null;
$keyAttore = null;
$keyPiano = null;

foreach ( $tab as $rs )
{
	if ( $keyEdificio != $rs[keyEdificio] )
	{
		$keyEdificio = $rs[keyEdificio];
		$mqEdificio = $mqEdifici[$keyEdificio];
		$countEdificio = $countEdifici[$keyEdificio];
	}
	
	if ( $keyAttore != $rs[keyAttore] )
	{
		$keyAttore = $rs[keyAttore];
		$mqAttoreFormat = $mqAttore[$keyAttore];
		$countAttoreFormat = $countAttore[$keyAttore];
	}
	
	if ( $keyPiano != $rs[keyPiano] )
	{
		$keyPiano = $rs[keyPiano];
		$mqPiano = $mqPiani[$keyPiano];
		$countPiano = $countPiani[$keyPiano];
	}

	foreach ( $rs as $key=>$value )
		$rss[$key] = htmlentities($value);
		
	$rss[MQ] = ntxRoundThousand($rss[MQ],2);
	$mqEdificio = ntxRoundThousand($mqEdificio,2);
	$mqAttoreFormat = ntxRoundThousand($mqAttoreFormat,2);
	$mqPiano = ntxRoundThousand($mqPiano,2);
	
	echo <<< echo
		<tr>
			<td>$rss[IdEdificio]
			<td>$rss[Codice]
			<td>$rss[EdificioBreve]
			<td>$rss[Indirizzo]
			<td>$rss[Comune]
			<td>$rss[Provincia]
			<td>$mqEdificio
			<td>$countEdificio
			<td>$rss[IdPiano]
			<td>$rss[Piano]
			<td>$rss[OrdPiano]
			<td>$mqPiano
			<td>$countPiano
			<td>$rss[Attore]
			<td>$mqAttoreFormat
			<td>$countAttoreFormat
			<td>$rss[IdAmbiente]
			<td>$rss[CodAmb]
			<td>$rss[MQ]
echo;
}

echo "</table>";

?>

</body>
</html>