<?php

$subSelectCar2 = <<< subSelectCar2
	(
		SELECT TOP 1
		     CaratteristicheAmbienti.Descrizione
		FROM         CaratteristicheAmbientiMN  INNER JOIN
                      CaratteristicheAmbienti ON CaratteristicheAmbientiMN.IdCaratteristicaAmbiente = CaratteristicheAmbienti.Id
		WHERE Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa 
		AND Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio 
		AND Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente
		AND (CaratteristicheAmbientiMN.DataInizio<=$Data1sql OR CaratteristicheAmbientiMN.DataInizio IS NULL)
		AND (CaratteristicheAmbientiMN.DataFine>=$Data1sql OR CaratteristicheAmbientiMN.DataFine IS NULL)

	) AS Car2
	
subSelectCar2;

$head_right = <<< head_right
SELECT     ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Provincia, PianoLivello.idPiano AS IdPiano, DestinazioniDusoLivello.Destinazione AS Piano, 
                      DestinazioniDusoLivello.ordinamento AS OrdPiano, Ambiente.CodiceAssAmbiente AS CodAmb, Ambiente.IDAmbiente AS IdAmbiente, 
					  DestinazioniDuso.Destinazione AS Ambiente, 
					  DestinazioniDuso.Tipo AS Categoria,  
                      tblUtAmbienti.DataInizio, tblUtAmbienti.DataFine, Ambiente.MQ, null IdUtilizzatore, 
                      null Utilizzatore, 'FFFFFF' as Colore,
					  
					  $subSelectCar2
head_right;

$head = <<< head
SELECT     ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Provincia, PianoLivello.idPiano AS IdPiano, DestinazioniDusoLivello.Destinazione AS Piano, 
                      DestinazioniDusoLivello.ordinamento AS OrdPiano, Ambiente.CodiceAssAmbiente AS CodAmb, Ambiente.IDAmbiente AS IdAmbiente, 
					  DestinazioniDuso.Destinazione AS Ambiente, 
					  DestinazioniDuso.Tipo AS Categoria,   
                      tblUtAmbienti.DataInizio, tblUtAmbienti.DataFine, Ambiente.MQ, tblUtUtilizzatori.IdUtilizzatore IdUtilizzatore, 
                      tblUtUtilizzatori.Nome AS Utilizzatore, tblUtUtilizzatori.Colore,
					  
					  $subSelectCar2
head;

$from_inner = <<< from_inner
FROM         tblUtUtilizzatori INNER JOIN
                      tblUtAmbienti ON tblUtUtilizzatori.IdCommessa = tblUtAmbienti.IdCommessa AND 
                      tblUtUtilizzatori.IdUtilizzatore = tblUtAmbienti.IdUtilizzatore INNER JOIN
                      ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso ON tblUtAmbienti.IdCommessa = Ambiente.IdCommessa AND 
                      tblUtAmbienti.IdEdificio = Ambiente.IdEdificio AND tblUtAmbienti.IdAmbiente = Ambiente.IDAmbiente
from_inner;

$from_right = <<< from_left
FROM         (SELECT     tblUtAmbienti.IdCommessa, tblUtAmbienti.IdEdificio, tblUtAmbienti.IdAmbiente, 
					tblUtAmbienti.DataInizio, tblUtAmbienti.DataFine, tblUtAmbienti.PercentualeUtilizzo, tblUtUtilizzatori.IdUtilizzatore, tblUtUtilizzatori.Nome
FROM         tblUtUtilizzatori RIGHT OUTER JOIN
                      tblUtAmbienti ON tblUtUtilizzatori.IdCommessa = tblUtAmbienti.IdCommessa AND tblUtUtilizzatori.IdUtilizzatore = tblUtAmbienti.IdUtilizzatore
WHERE 
 (tblUtAmbienti.DataInizio <= $Data1sql or tblUtAmbienti.DataInizio is null) 
AND (tblUtAmbienti.DataFine >= $Data1sql or tblUtAmbienti.DataFine is null) 
						) tblUtAmbienti RIGHT OUTER JOIN
                      ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso ON tblUtAmbienti.IdCommessa = Ambiente.IdCommessa AND 
                      tblUtAmbienti.IdEdificio = Ambiente.IdEdificio AND tblUtAmbienti.IdAmbiente = Ambiente.IDAmbiente
from_left;

$where = <<< where
WHERE     
	(ElencoEdifici.IdCommessa = $IdCommessa) 
	AND (PianoLivello.Rimosso = 0 OR PianoLivello.Rimosso IS NULL) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
where;

$where_edifici = "";

foreach($edifici as $IdEdificio)
	if ( is_numeric($IdEdificio) )
	{
		if ( $where_edifici != "" )
			$where_edifici .= " OR ";
			
		$where_edifici .= "ElencoEdifici.ID=$IdEdificio";
	}
	
if ( $where_edifici != "" )
	$where .= " AND ($where_edifici)";

$where_attori = "";

foreach($utilizzatori as $IdUtilizzatore)
	if ( is_numeric($IdUtilizzatore) )
	{
		if ( $where_attori != "" )
			$where_attori .= " OR ";
			
		$where_attori .= "tblUtUtilizzatori.IdUtilizzatore=$IdUtilizzatore";
	}

if ( $where_attori == "" )
	$where_attori = "1=1";

$sql = <<< sql
$head_right, 1 ord1, 'vani vuoti' testa
$from_right
$where
AND tblUtAmbienti.IdUtilizzatore is null

UNION   
                
$head, 2 ord1, 'utilizzatori non selezionati' testa
$from_inner
$where
AND (tblUtAmbienti.DataInizio <= $Data1sql or tblUtAmbienti.DataInizio is null) 
AND (tblUtAmbienti.DataFine >= $Data1sql or tblUtAmbienti.DataFine is null) 
AND NOT ($where_attori)

UNION 
                  
$head, 3 ord1, 'utilizzatori selezionati' testa
$from_inner
$where
AND (tblUtAmbienti.DataInizio <= $Data1sql or tblUtAmbienti.DataInizio is null) 
AND (tblUtAmbienti.DataFine >= $Data1sql or tblUtAmbienti.DataFine is null) 
AND ($where_attori)

ORDER BY Codice, EdificioBreve, IdEdificio, ord1, Utilizzatore, IdUtilizzatore, OrdPiano, CodAmb, Ambiente
sql;

$query = ntxQuery($sql);

$tab = array();
$mqEdifici = array();
$mqUtilizzaEdifici = array();
$mqPiani = array();
$countEdifici = array();
$countUtilizzaEdifici = array();
$countPiani = array();

while ( $rs = ntxRecord($query) )
{
	$keyEdificio = "k_$rs[ord1]_$rs[IdEdificio]";
	$rs[keyEdificio] = $keyEdificio;
	$mqEdifici[$keyEdificio] += $rs[MQ];
	$countEdifici[$keyEdificio] += 1;
	
	$keyUtilizzaEdificio = "k_$rs[ord1]_$rs[IdEdificio]_$rs[IdUtilizzatore]";
	$rs[keyUtilizzaEdificio] = $keyUtilizzaEdificio;
	$mqUtilizzaEdifici[$keyUtilizzaEdificio] += $rs[MQ];
	$countUtilizzaEdifici[$keyUtilizzaEdificio] += 1;
	
	$keyPiano = "k_$rs[ord1]_$rs[IdEdificio]_$rs[IdUtilizzatore]_$rs[IdPiano]";
	$rs[keyPiano] = $keyPiano;
	$mqPiani[$keyPiano] += $rs[MQ];
	$countPiani[$keyPiano] += 1;
	
	$tab[] = $rs;
}


?>