<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
<style>
table.grid  { 
	border-collapse: collapse;
	border-spacing: 0;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 8pt;
	border: solid 1px black;
	empty-cells:show;
}

table.grid th { 
	color: white;
	background:  #999988;
	font-weight: bold;
	vertical-align: middle;
	text-align:center;
	border: solid 1px black;
}

table.grid td { 
	color: black;
	background:  white;
	font-weight: normal;
	vertical-align: middle;
	text-align:right;
	border: solid 1px black;
}

</style>
</head>

<?php
	
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$Data1 = ntxtp('Data1');

$edifici = explode("|", $_POST[edifici]);

if ( !is_numeric($edifici[0]) )
	die("Bisogna selezionare un edificio!");

if ( count($edifici)>1 )
	die("Bisogna selezionare un solo edificio!");

$IdEdificio = (int)$edifici[0];

include_once("report_mq_x_utilizz_e_car_testa.inc");

include_once("report_mq_x_utilizz_e_car_sql.inc");

$table = <<< table
	<table class=grid><tr><th>
table;

foreach($ElencoCar as $Car)
{
	$IdCar = $Car[0];
	$NomeCar = $Car[1];
	
	$table .= <<< table
		<th>$NomeCar
table;
}

$table .= <<< table
	<th>NESSUNA<br>CARATTERISTICA
	<th>Tot. per<br>Utilizzatore
table;

foreach($ElencoUtiliz as $Utiliz)
{
	$IdUtiliz = $Utiliz[0];
	$NomeUtiliz = $Utiliz[1];
	$MqUtiliz = $mq_util[$IdUtiliz];
	$MqUtilizSenzaCar = $ElencoUtilizSenzaCar[$IdUtiliz];
	
	$table .= <<< table
		<tr><th style="text-align:left">$NomeUtiliz
table;

	foreach($ElencoCar as $Car)
	{
		$IdCar = $Car[0];
		$MqUtilCar = $mq_util_car[$IdUtiliz][$IdCar];
	
		$table .= <<< table
			<td>$MqUtilCar
table;
	}
	
	$table .= <<< table
		<td style="background:#EFEFEF">$MqUtilizSenzaCar
		<td style="font-weight:bold">$MqUtiliz
table;
}

$table .= <<< table
	<tr><th style="text-align:left">NESSUN<br>UTILIZZATORE
table;

foreach($ElencoCar as $Car)
{
	$IdCar = $Car[0];
	$MqCarSenzaUtiliz = $ElencoCarSenzaUtiliz[$IdCar];
	
	$table .= <<< table
		<td style="background:#EFEFEF">$MqCarSenzaUtiliz
table;
}

$table .= <<< table
	<td style="background:#EFEFEF">$MqSenzaCarSenzaUtiliz
	<td style="background:#EFEFEF;font-weight:bold">$MqElencoCarSenzaUtilizStampa
	<tr><th>Tot. per<br>Caratteristica
table;

foreach($ElencoCar as $Car)
{
	$IdCar = $Car[0];
	$MqCar = $mq_car[$IdCar];
	
	$table .= <<< table
		<td style="font-weight:bold">$MqCar
table;
}

$table .= <<< table
		<td style="background:#EFEFEF;font-weight:bold">$MqElencoUtilizSenzaCarStampa
		<td style="background:#EFEFEF;font-weight:bold">$MqTotStampa
	</table>
table;

echo $table;
?>

</body>
</html>
