<?php  

// ricerca gestione
$sql = <<< sql
SELECT DISTINCT 
                      tblComponetiMestiere.IdMestiere, tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio, tblPgGestori.Nome, tblPgGestori.telefono_1, 
                      tblPgGestori.email_1
FROM         tblComponetiMestiere INNER JOIN
                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere INNER JOIN
                      tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto INNER JOIN
                      tblPgGestori ON tblPgContratti.IdGestore = tblPgGestori.IdGestore
WHERE   
		(tblPgContratti.IdCommessa = $IdCommessa) 
		AND (tblPgContratti.IdPgContratto = $IdContratto) 
		AND (tblPgContratti.DataInizio <= $DataRicerca)
		AND (tblPgContratti.DataFine >= $DataRicerca)

sql;

$query = ntxQuery($sql);
	
$gestori = array();

while ( $rs = ntxRecord($query) )
{
	$idEdificio = $rs[IdEdificio];
	$idMestire = $rs[IdMestiere];
	
	$des = htmlentities($rs[Nome])." - ".
			htmlentities($rs[telefono_1])." - ".
			htmlentities($rs[email_1]);
				
	$gestori[] = array($idEdificio, $idMestire, $des);
}


?>
