<?php  

// ricerca affidatari
$sql = <<< sql
SELECT DISTINCT 
		  tblComponetiMestiere.IdMestiere, tblPgContrattiAffidatariAttivitàEdifici.IdEdificio, 
		  tblPgAffidatari.Nome, tblPgAffidatari.telefono_1, tblPgAffidatari.email_1
FROM         tblComponetiMestiere INNER JOIN
                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
                      tblPgContrattiAffidatari INNER JOIN
                      tblPgContrattiAffidatariAttivitàEdifici ON 
                      tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario INNER JOIN
                      tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario ON 
                      tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere
WHERE   
		(tblPgContrattiAffidatari.IdCommessa = $IdCommessa) 
		AND (tblPgContrattiAffidatari.IdPgContratto = $IdContratto) 
		AND (tblPgContrattiAffidatari.DataInizio <= $DataRicerca)
		AND (tblPgContrattiAffidatari.DataFine >= $DataRicerca)

sql;

$query = ntxQuery($sql);
	
$affidatari = array();

while ( $rs = ntxRecord($query) )
{
	$idEdificio = $rs[IdEdificio];
	$idMestire = $rs[IdMestiere];
	
	$des = htmlentities($rs[Nome])." - ".
			htmlentities($rs[telefono_1])." - ".
			htmlentities($rs[email_1]);
				
	$affidatari[] = array($idEdificio, $idMestire, $des);
}


?>
