<?php  

// ricerca affidatari
$sql = <<< sql
SELECT DISTINCT 
                      tblComponetiMestiere.IdMestiere, tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio, tblPgRifAffidatari.Nome, tblPgRifAffidatari.telefono_1, 
                      tblPgRifAffidatari.email_1
FROM         tblPgRifAffidatari INNER JOIN
                      tblPgContrattiRifAffidatari ON tblPgRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblPgContrattiRifAffidatariAttivitàEdifici ON 
                      tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
                      tblComponetiMestiere INNER JOIN
                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere ON 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
WHERE   
		(tblPgContrattiAffidatari.IdCommessa = $IdCommessa) 
		AND (tblPgContrattiAffidatari.IdPgContratto = $IdContratto) 
		AND (tblPgContrattiAffidatari.DataInizio <= $DataRicerca)
		AND (tblPgContrattiAffidatari.DataFine >= $DataRicerca)

sql;

$query = ntxQuery($sql);
	
$rifAffidatari = array();

while ( $rs = ntxRecord($query) )
{
	$idEdificio = $rs[IdEdificio];
	$idMestire = $rs[IdMestiere];
	
	$des = htmlentities($rs[Nome])." - ".
			htmlentities($rs[telefono_1])." - ".
			htmlentities($rs[email_1]);
				
	$rifAffidatari[] = array($idEdificio, $idMestire, $des);
}


?>
