<?php  

// ricerca fornitori
$sql = <<< sql
SELECT DISTINCT 
                      tblComponetiMestiere.IdMestiere, tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio, Ditte.Ditta AS Nome, Ditte.telefono AS telefono_1, 
                      Ditte.email AS email_1
FROM         tblComponetiMestiere INNER JOIN
                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
                      tblContrattiFornitoriAttivitàMestiereEdifici ON tblAttivitàMestiere.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere INNER JOIN
                      tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
                      Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta
WHERE    
		(tblContrattiFornitori.IdContrattoGestione = $IdContratto)
		AND (tblContrattiFornitori.IdCommessa = $IdCommessa) 
		AND (tblContrattiFornitori.DataInizio <= $DataRicerca)
		AND (tblContrattiFornitori.DataFine >= $DataRicerca)

sql;

$query = ntxQuery($sql);
	
$fornitori = array();

while ( $rs = ntxRecord($query) )
{
	$idEdificio = $rs[IdEdificio];
	$idMestire = $rs[IdMestiere];
	
	$des = htmlentities($rs[Nome])." - ".
			htmlentities($rs[telefono_1])." - ".
			htmlentities($rs[email_1]);
				
	$fornitori[] = array($idEdificio, $idMestire, $des);
}


?>
