<?php  

$IdPgContratto = ntxip('IdPgContratto',false);

$sql = <<< sql
	SELECT DISTINCT 
						  ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
						  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, tblPgPropietari.Nome AS Ente
	FROM         tblPgContrattiPropietariGestoriAttivitàEdifici INNER JOIN
                      ElencoEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa INNER JOIN
                      tblAttivitàEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = tblAttivitàEdifici.IdEdificio AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàEdifici.IdAttivitàMestiere LEFT OUTER JOIN
                      tblPgPropietari ON tblPgPropietari.IdPropietario = ElencoEdifici.IdProprietario
	WHERE      (tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = $IdPgContratto)
sql;
	
$sql .= " ORDER BY Ente, Nome;";

$query = ntxQuery($sql);
	
?>
