<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/jhp.php"></script>
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>
<body  >

<?php
	
$IdCommessa = ntxise('IdCommessa');

$sql = "select 2 from GiorniSettimanaFestivi where IdCommessa=$IdCommessa";

$result = ntxScalar($sql);

if ( $result != 2 )
{
	$sql = "insert into GiorniSettimanaFestivi (IdCommessa) values ($IdCommessa)";
	
	ntxQuery($sql);
}

$sql = "select dom, lun, mar, mer, gio, ven, sab from GiorniSettimanaFestivi where IdCommessa=$IdCommessa";

$query = ntxQuery($sql);

$rsSettimana = ntxRecord($query);

?>

<table>
<tr>
<td><input type=checkbox name=dom onclick="SetSettimana(this)" <?php if ($rsSettimana[dom]==1) echo "checked" ?>>Domenica
<td><input type=checkbox name=lun onclick="SetSettimana(this)" <?php if ($rsSettimana[lun]==1) echo "checked" ?>>Lunedì
<td><input type=checkbox name=mar onclick="SetSettimana(this)" <?php if ($rsSettimana[mar]==1) echo "checked" ?>>Martedì
<tr>
<td><input type=checkbox name=mer onclick="SetSettimana(this)" <?php if ($rsSettimana[mer]==1) echo "checked" ?>>Mercoledì
<td><input type=checkbox name=gio onclick="SetSettimana(this)" <?php if ($rsSettimana[gio]==1) echo "checked" ?>>Giovedì
<td><input type=checkbox name=ven onclick="SetSettimana(this)" <?php if ($rsSettimana[ven]==1) echo "checked" ?>>Venerdì
<tr>
<td><input type=checkbox name=sab onclick="SetSettimana(this)" <?php if ($rsSettimana[sab]==1) echo "checked" ?>>Sabato
</table>

<script language=javascript>

function SetSettimana(obj)
{
	var result = jhp("jhp/set_settimana.php", 
			{
				giorno: obj.name,
				valore: obj.checked ? 1 : 0
			});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		obj.checked = (result.value==1);
	}

}

</script>

<?php

$sql = <<< sql
	SELECT     IdFestività, Descrizione, Giorno, Mese, Selezione
	FROM         tblFestività
	WHERE     (IdCommessa = 37)
	order by mese, giorno
sql;

$query = ntxQuery($sql);

?>
<br>
<table>
<tr><th>Sel<th>Descrizione<th>Giorno<th>Mese<th>Canc
<?php
$mesi = array('','gen','feb','mar','apr','mag','giu','lug','ago','set','ott','nov','dic');

while ($rs=ntxRecord($query))
{
	$checked = $rs[Selezione]==1 ? 'checked' : '';
	
	echo "\n<tr><td><input type=checkbox value=del onclick=\"SelFesta(this, $IdCommessa, $rs[IdFestività])\" $checked>";
	echo "\n<td>".htmlentities($rs[Descrizione]);
	echo "\n<td>".htmlentities($rs[Giorno]);
	echo "\n<td>".htmlentities($mesi[$rs[Mese]]);
	echo "\n<td><input type=button value=Canc onclick=\"DelFesta($IdCommessa, $rs[IdFestività])\">";
}
?>
</table>

<script language=javascript>

function SelFesta(obj,IdCommessa,IdFestività)
{
	var result = jhp("jhp/sel_festa.php", 
			{
				IdCommessa: IdCommessa,
				IdFestività: IdFestività,
				valore: obj.checked ? 1 : 0
			});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		obj.checked = (result.value==1);
	}

}

function DelFesta(IdCommessa,IdFestività)
{
	if (!confirm("Sicuro di voler eliminare la festa?"))
		return;
		
	var result = jhp("jhp/del_festa.php", 
			{
				IdCommessa: IdCommessa,
				IdFestività: IdFestività
			});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		parent.drcUpdateFrame(parent.form1, "festivita");;
	}
}

function AggFesta()
{
	var result = jhp("jhp/agg_festa.php", 
			{
				Descrizione: formIns.Descrizione.value,
				Giorno: formIns.Giorno.value,
				Mese: formIns.Mese.value
			});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		parent.drcUpdateFrame(parent.form1, "festivita");;
	}
}

</script>

<form name=formIns method=post>
<table>
<tr><th>Descrizione<td colspan=3><input type=text name=Descrizione size=25 maxlength=50>
<tr>
<th>Giorno<td><input type=text name=Giorno size=2 maxlength=2>
<th>Mese<td><select name=Mese>
<?php
for($i=1;$i<13;$i++)
	echo "\n<option value=$i>$mesi[$i]";
?>
</select>
<tr><td colspan=4><input type=button value=Aggiungi onclick="AggFesta()">
</form>

</body>
</html>
