<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$Anno1 = ntxip('Anno1');
$Anno2 = $Anno1+1;

$sql = <<< sql
	SELECT     dom, lun, mar, mer, gio, ven, sab
	FROM         GiorniSettimanaFestivi
	WHERE     (IdCommessa = $IdCommessa)
sql;

$query=ntxQuery($sql);

$rsSettimana = ntxRecord($query);

if ( count($rsSettimana)==7 )
	extract($rsSettimana);
else
	ntxMsgErr("Settare giorni settimana festivi!");

$mesi1 = array('',
		'gen1', 'feb1', 'mar1', 'apr1', 
		'mag1', 'giu1', 'lug1', 'ago1', 
		'set1', 'ott1', 'nov1', 'dic1');

$mesi2 = array('',
		'gen2', 'feb2', 'mar2', 'apr2', 
		'mag2', 'giu2', 'lug2', 'ago2', 
		'set2', 'ott2', 'nov2', 'dic2');

$sql = <<< sql
	SELECT
		att.IdAttivitàEdificio, 
		
		case when att.DurataAttivitàInGiorni is not null and att.DurataAttivitàInGiorni>0 then att.DurataAttivitàInGiorni else 1 end  AS Durata, 
		
		case when freq.Valore is not null and freq.Valore>0 and freq.Valore<30 then freq.Valore else 40 end AS Frequenza, 
		
		case when att.ScostamentoDataInizio is not null and att.ScostamentoDataInizio>0 then att.ScostamentoDataInizio else 0 end AS Scostamento, 
		
		att.gen1, att.feb1, att.mar1, att.apr1, 
		att.mag1, att.giu1, att.lug1, att.ago1, 
		att.set1, att.ott1, att.nov1, att.dic1, 
		
		att.gen2, att.feb2, att.mar2, att.apr2, 
		att.mag2, att.giu2, att.lug2, att.ago2, 
		att.set2, att.ott2, att.nov2, att.dic2 
		
	FROM tblAttivitàEdifici att right JOIN tblFrequenzeMestieri freq 
	ON att.IdCommessa = freq.IdCommessa AND att.IdFrequenza = freq.IdFrequenza
	WHERE (att.IdCommessa = $IdCommessa) 
	AND (NOT (freq.FrequenzaMensile IS NULL)) 
sql;

$query = ntxQuery($sql);

while ( $rs=ntxRecord($query) )
{
	$Durata = (int)$rs[Durata];
	
	for($indiceMese=1;$indiceMese<=12;$indiceMese++)
	{
		$nomeMese = $mesi1[$indiceMese];
		$valoreMese = $rs[$nomeMese];
	
		if ( $valoreMese==1 )
		{
			$cmd = "exec GeneraPreprogMistoMese $Anno1, $IdCommessa, $rs[IdAttivitàEdificio], $Durata, $rs[Frequenza], $rs[Scostamento], $indiceMese, $dom, $lun, $mar, $mer, $gio, $ven, $sab";
			
			ntxQuery($cmd);
		}
	}
	
	for($indiceMese=1;$indiceMese<=12;$indiceMese++)
	{
		$nomeMese = $mesi2[$indiceMese];
		$valoreMese = $rs[$nomeMese];
		
		if ( $valoreMese==1 )
		{
			$cmd = "exec GeneraPreprogMistoMese $Anno2, $IdCommessa, $rs[IdAttivitàEdificio], $Durata, $rs[Frequenza], $rs[Scostamento], $indiceMese, $dom, $lun, $mar, $mer, $gio, $ven, $sab";
			
			ntxQuery($cmd);
		}
	}
}

ntxMsgResult( "" );	

?>
