<?php  

$sql = <<< sql
	SELECT DISTINCT tblPgPropietari.Nome AS Ente, tblPgContratti.Descrizione AS Des1
		, tblPgContratti.DataContratto, tblPgContratti.DataInizio, tblPgContratti.DataFine
		, tblPgContratti.IdPgContratto 
	FROM         tblPgPropietari RIGHT JOIN
		  tblPgContratti ON tblPgPropietari.IdPropietario = tblPgContratti.IdPropietario
  WHERE     IdPgContratto=$IdPgContratto
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);
?>
<table class=grid>
	<tr>
		<caption><?php $traduttore->html('Contratto Gestione') ?>
		<th>ID</th>
		<th><?php $traduttore->html('Proprietario') ?></th>
		<th><?php $traduttore->html('Descrizione') ?></th>
		<th><?php $traduttore->html('Data Contratto') ?></th>
		<th><?php $traduttore->html('Data Inizio') ?></th>
		<th><?php $traduttore->html('Data Fine') ?></th>
	</tr>   
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['IdPgContratto']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Des1']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataContratto']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataFine']) ?></td>
	</tr>
</table>
<br>