<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_102", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_102", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdContrattoGestione = ntxip('IdContrattoGestione');

$where = "WHERE IdCommessa=$IdCommessa and IdContrattoGestione=$IdContrattoGestione";

$sql = <<< sql
	SELECT     Id, Prezzo, numMin, numMax
	FROM         FascePrezzoPulizieStanze
	$where
	order by numMin, numMax
sql;

$query = ntxQuery($sql);

/*$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>Id
			<th>numMin
			<th>numMax
			<th>Prezzo
		</tr>
table;*/
$table =
	"<table class=grid>
		<tr>
			<th>
			<th>
			<th>ID"
			."<th>".$traduttore->traduci('num Min')
			."<th>".$traduttore->traduci('num Max')
			."<th>".$traduttore->traduci('Prezzo')
		."</tr>"
;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[Prezzo] = ntxRound($rs[Prezzo],3);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	/*$table .= <<< table
		<tr $classTr>
			<td><input type=button value=edit onclick="objCodice.CaricaForm('$rs[Id]')" />
			<td><input type=checkbox SelRiga IdRiga="$rs[Id]" />
			<td>$rs[Id]
			<td style="text-align:right">$html[numMin]
			<td style="text-align:right">$html[numMax]
			<td style="text-align:right">$html[Prezzo]
		</tr>
table;*/
$table .=
		"<tr $classTr>"
			."<td><input type=button value=\"".$traduttore->traduci('Modifica')."\" onclick=\"objCodice.CaricaForm('$rs[Id]')\" />"
			."<td><input type=checkbox SelRiga IdRiga=\"$rs[Id]\" />"
			."<td>$rs[Id]"
			."<td style=\"text-align:right\">$html[numMin]"
			."<td style=\"text-align:right\">$html[numMax]"
			."<td style=\"text-align:right\">$html[Prezzo]"
		."</tr>"
;

	$alternate = !$alternate;
}

$table .= "</table>";

$traduttore->Salva();

jhp($table);

?>
