<?php  
require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_120", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_120", "IT", __FILE__);
?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
</head>
<body>
<input type=button value="<?php $traduttore->js('Seleziona Tutto') ?>" onclick="$('input[type=checkbox][chkAttività]').attr('checked', true)" />
<input type=button value="<?php $traduttore->js('Deseleziona Tutto') ?>" onclick="$('input[type=checkbox][chkAttività]').attr('checked', false)" />

<?php

require_once('mestieri_sql.inc');

$IdAttivita2all = explode(",", "".$_POST[IdAttivita2all]);

$IdOldMestiere = "";
$IdOldComponente = "";

$arrayTipologie = array('canone', 'extracanone', 'canone/extracanone');

?>

<table class=grid>
	<tr>
		<th>&nbsp;</th>
		<th>&nbsp;</th>
		<th><?php $traduttore->html('Seleziona') ?></th>
		<th><?php $traduttore->html('Descrizione') ?></th>
		<th><?php $traduttore->html('Tipologia') ?></th>
		<th><?php $traduttore->html('Frequenza') ?></th>
		<th><?php $traduttore->html('Note') ?></th>
	</tr>   

<?php
while( $rs = ntxRecord($query) )
{
	if ( !in_array($rs[IdAttivita]."", $IdAttivita2all) )
		continue;
		
	$Tipologia = $arrayTipologie[$rs['Tipologia']];
	
	$IdMestiere = $rs['IdMestiere'];
	$IdComponente = $rs['IdComponente'];
	$IdAttivita = $rs['IdAttivita'];
	$CodMestiere = htmlentities($rs['CodMestiere']); 
	$DesMestiere = htmlentities($rs['DesMestiere']); 
	$CodComponente = htmlentities($rs['CodComponente']);
	$DesComponente = htmlentities($rs['DesComponente']);
	$CodAttivita = htmlentities($rs['CodAttivita']); 
	$DesAttivita = htmlentities($rs['DesAttivita']);
	$Tipologia = htmlentities($Tipologia);
	$DesFrequenza = htmlentities($rs['DesFrequenza']);
	$Nota = htmlentities($rs['Nota']);
	
	if ( $IdMestiere != $IdOldMestiere || $IdOldMestiere == "" )
	{
		$IdOldMestiere = $IdMestiere;
	
		echo <<< echo
			<tr trMestiere IdMestiere=$IdMestiere>
				<th><input type=button value="-" onclick="ShowHideMestiere(this, '$IdMestiere')"></th>
				<th></th>
				<td ><input type=checkbox onclick="SelezionaMestiere(this, '$IdMestiere')" /></td>
				<td  colspan=4 style="text-align:left;font-size:12pt;font-weight:bold">&nbsp;$CodMestiere - $DesMestiere</td>
			</tr>
echo;
	}
	
	if ( $IdComponente != $IdOldComponente || $IdOldComponente == "" )
	{
		$IdOldComponente = $IdComponente;
		
		echo <<< echo
			<tr trComponente IdMestiere=$IdMestiere IdComponente=$IdComponente>
				<th>&nbsp;</th>
				<th><input type=button btnComponente IdMestiere=$IdMestiere value="-" onclick="ShowHideComponente(this, '$IdComponente')"></th>
				<td ><input type=checkbox chkComponente IdMestiere=$IdMestiere onclick="SelezionaComponente(this, '$IdComponente')" /></td>
				<td  colspan=4 style="text-align:left;font-size:8pt;font-weight:bold">&nbsp;$CodComponente - $DesComponente</td>
			</tr>
echo;
	}
	
	echo <<< echo
		<tr trAttività IdMestiere=$IdMestiere IdComponente=$IdComponente IdAttivita=$IdAttivita>
			<th>&nbsp;</th>
			<th>&nbsp;</th>
			<td $class><input type=checkbox chkAttività IdMestiere=$IdMestiere IdComponente=$IdComponente IdAttivita=$IdAttivita /></td>
			<td $class style="text-align:left">&nbsp;$CodAttivita - $DesAttivita</td>
			<td $class>&nbsp;$Tipologia</td>
			<td $class>&nbsp;$DesFrequenza</td>
			<td $class>&nbsp;$Nota</td>
		</tr>
echo;
}
	
?>
</table>
<script language=javascript>

$(function(){
	$('input[type=button]').button().css('font-size','0.8em');
});

function ShowHideMestiere(btn, IdMestiere)
{
	if ( btn.value=="-" )
	{
		btn.value="+";
		$('tr[trComponente][IdMestiere='+IdMestiere+']').hide();
		$('input[type=button][btnComponente][IdMestiere='+IdMestiere+']').val('+');
		$('tr[trAttività][IdMestiere='+IdMestiere+']').hide();
	}
	else
	{
		btn.value="-";
		$('tr[trComponente][IdMestiere='+IdMestiere+']').show();
	}
}

function SelezionaMestiere(chk, IdMestiere)
{
	$('input[type=checkbox][chkComponente][IdMestiere='+IdMestiere+']').attr('checked', chk.checked);
	$('input[type=checkbox][chkAttività][IdMestiere='+IdMestiere+']').attr('checked', chk.checked);
}

function ShowHideComponente(btn, IdComponente)
{
	if ( btn.value=="-" )
	{
		btn.value="+";
		$('tr[trAttività][IdComponente='+IdComponente+']').hide();
	}
	else
	{
		btn.value="-";
		$('tr[trAttività][IdComponente='+IdComponente+']').show();
	}
}

function SelezionaComponente(chk, IdComponente)
{
	$('input[type=checkbox][chkAttività][IdComponente='+IdComponente+']').attr('checked', chk.checked);
}

function AttivitàSelezionate()
{
	var chks = $('input[type=checkbox][chkAttività]:checked');
	var len = chks.length;
	var i;
	var result = "";

	for ( i=0; i<len; ++i )
	{
		if ( result.length>0 ) result +=",";
		
		result += $(chks[i]).attr('IdAttivita');
	}
	
	return result;
}

</script>
<?php
	$traduttore->Salva();
?>
</body>
</html>
