<?php  

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT DISTINCT 
					Ditte.IDDitta, 
					Ditte.Ditta, 
					tblContrattiFornitori.IdContrattoFornitore, 
					tblContrattiFornitori.DataContratto, 
					tblContrattiFornitori.Protocollo, 
					tblContrattiFornitori.Descrizione, 
					tblContrattiFornitori.DataInizio, 
					tblContrattiFornitori.DataFine, 
					tblContrattiFornitori.ImportoContrattuale, 
					tblContrattiFornitori.Note, 
					tblContrattiFornitori.MonteOre
	FROM         Ditte INNER JOIN
						  tblContrattiFornitori ON Ditte.IDDitta = tblContrattiFornitori.IdFornitore LEFT OUTER JOIN
						  DocsFornitori2 ON Ditte.IDDitta = DocsFornitori2.IdFornitore
	WHERE     (tblContrattiFornitori.IdCommessa = $IdCommessa)
			AND Ditte.Docente=1
sql;

if ( is_numeric($_POST['IdContratto'])) 
{
	$IdContratto = (int)$_POST['IdContratto'];
	$sql .= " AND (tblContrattiFornitori.IdContrattoFornitore = $IdContratto) ";
}
	
if ( is_numeric($_POST['IdDitta'])) 
{
	$IdDitta = (int)$_POST['IdDitta'];
	$sql .= " AND (Ditte.IDDitta = $IdDitta) ";
}
	
if ( is_numeric($_POST['IdDocumento'])) 
{
	$IdDocumento = (int)$_POST['IdDocumento'];
	$sql .= " AND (DocsFornitori2.Id = $IdDocumento) ";
}

if ( isset($_POST['Ditta'])  &&  strlen($_POST['Ditta'])>0) 
{
	$str = stripslashes($_POST['Ditta']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ditte.Ditta LIKE '%".$str."%' ";
}

if ( isset($_POST['Data1'])  &&  strlen($_POST['Data1'])>0) 
{
	$sql .= " AND tblContrattiFornitori.DataContratto >= ".ntxtp('Data1');
}

if ( isset($_POST['Data2'])  &&  strlen($_POST['Data2'])>0) 
{
	$sql .= " AND tblContrattiFornitori.DataContratto <= ".ntxtp('Data2');
}

if ( isset($_POST['Protocollo'])  &&  strlen($_POST['Protocollo'])>0) 
{
	$str = stripslashes($_POST['Protocollo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblContrattiFornitori.Protocollo = '".$str."' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblContrattiFornitori.Descrizione LIKE '%".$str."%' ";
}

if ( isset($_POST['Note'])  &&  strlen($_POST['Note'])>0) 
{
	$str = stripslashes($_POST['Note']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblContrattiFornitori.Note LIKE '%".$str."%' ";
}

$sql .= " ORDER BY Ditte.Ditta, tblContrattiFornitori.DataContratto;";

$query = ntxQuery($sql);
	
?>
