<?php

if (is_numeric($IdDocumento) )
{
	$IdDocumento = (int)$IdDocumento;
	
	$sql = <<< sql
		SELECT     
				DocsFornitori2.Id IdDocumento, 
				DocsFornitori2.IdFornitore IdDitta, 
				DocsFornitori2.Tipo, 
				DocsFornitori2.Descrizione, 
				DocsFornitori2.DataRilascio, 
				DocsFornitori2.Note, 
				DocsFornitori2.DataInserimento, 
				DocsFornitori2.UtenteInserimento, 
				Ditte.Ditta,
				CASE WHEN DocsFornitori2.Path IS NOT NULL AND DocsFornitori2.Path<>'' then 'x' else '' end ThereIsPath
		FROM         Ditte INNER JOIN
                      DocsFornitori2 ON Ditte.IDDitta = DocsFornitori2.IdFornitore
		WHERE     (Id = $IdDocumento)
sql;

	$record = ntxRecord(ntxQuery($sql));

	$record[DataRilascio] = ntxDate($record[DataRilascio]);
	$record[DataInserimento] = ntxDateTime($record[DataInserimento]);
	
	$record = ntxRecordTranslate($record);

	ntxMsgResult( $record );	
}
else
	ntxMsgResult( '' );	

?>
