<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_380", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_380", "IT", __FILE__);

$dataInizio = ntxDate(ntxScalar("select getdate()"));
$dataFine = ntxDate(ntxScalar("select dateadd(day, 1, getdate())"));


require_once('_comuni.php');
?>
<html>
<head>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>
<body  >

<br>
<form method="post" name="form1">
	<table align="center">
		<caption id="hide1"><?php $traduttore->html('Filtro di Ricerca'); ?></caption>

		<tr >
			<th><?php $traduttore->html('Nome utente'); ?></th>
			<td ><input type="text" name="login" size="40" /></td>
		</tr>
	
		<tr >
			<th><?php $traduttore->html('Data >= Data Inizio'); ?></th>
			<td ><input type="text" name="dataInizio" size="40" value="<?php echo htmlentities($dataInizio) ?>" /></td>
		</tr>
		<tr>
			<th><?php $traduttore->html('Data <= Data Fine'); ?></th>
			<td ><input type="text" name="dataFine" size="40" value="<?php echo htmlentities($dataFine) ?>" /></td>
		</tr>

		<tr>	
			<th><?php $traduttore->html('Stato'); ?></th>
			<td>
				<select style="width:100%;" name="Stato" id="Stato">
					<option value="0"><?php $traduttore->html('Non importa'); ?></option>	
					<option value="1"><?php $traduttore->html('Login avvenuto correttamente'); ?></option>						
					<option value="2"><?php $traduttore->html('Utente non riconosciuto'); ?></option>				
					<option value="3"><?php $traduttore->html('Password sbagliata'); ?></option>
				</select>
			</td>
		</tr>	

		<tr>	
			<th><?php $traduttore->html('Portale'); ?></th>
			<td>
				<select style="width:100%;" name="Portale"  > 
					<option value="X">Non importa 
					<?php
					foreach ($portali as $key => $value)
					{
						$key=htmlentities($key);
						$value=htmlentities($value);
					?>
						<option value="<?php echo $key ?>"><?php echo $value ?> 
					<?php					
					}
					?> 
				</select>
			</td>
		</tr>	

		
		<!--
		<tr>	
			<th>Portali:</th>
			<td>
				<fieldset style="text-align:left" >
					<legend>Scelte disponibili</legend>
					<input type="checkbox" id="webportal_1" name="webportal_1" value="0" checked="checked"/> Web Portal 1
					<br> 
					<input type="checkbox" id="webportal_2" name="webportal_2" value="1" checked="checked"/> Web Portal 2 
					<br>
					<input type="checkbox" id="webportal_3" name="webportal_3" value="2" checked="checked"/> Portale Carrefour
					<br>
					<input type="checkbox" id="webportal_nonDefinito" name="webportal_nonDefinito" value="3" title="Da selezionare per ricercare gli accessi di tutti quegli utenti che si sono loggati prima che questa funzione fosse disponibile." /> Portali non dichiarati
				</fieldset>
			</td>
		</tr>	
		-->
		
		
		<tr><th colspan="2"><input type="button" style="width:100%;height:30px" value="<?php $traduttore->html('Ricerca'); ?>" onclick="Filtra();"></th>
		</tr>
	</table>
</form>


<script language="javascript">
function Filtra()
{
	parent.drcUpdateFrame(form1, "elenco");
	parent.drcShowKeyTab("elenco");
}
</script>

</body>
<?php $traduttore->Salva(); ?>

</html>
