<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
	SELECT DISTINCT    Ambiente.IDAmbiente
	FROM         Ambiente INNER JOIN
                      OrdiniAmbienti ON Ambiente.IdCommessa = OrdiniAmbienti.IdCommessaAmbiente AND Ambiente.IdEdificio = OrdiniAmbienti.IdEdificioAmbiente AND 
                      Ambiente.IDAmbiente = OrdiniAmbienti.IDAmbiente LEFT OUTER JOIN
                      Utenti ON OrdiniAmbienti.IdUtenteEseguito = Utenti.Id LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	WHERE     (OrdiniAmbienti.NumOrdine =  $NumOrdine) AND (OrdiniAmbienti.AnnoOrdine =  $AnnoOrdine)
	AND     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
sql;

$query = ntxQuery($sql);

$result = array();

while ( $rs = ntxRecord($query) )
	$result[] = $rs[IDAmbiente];

jhp($result);

?>
