<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdUtente = ntxise('IdUtente');
$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = "SELECT DataInizio FROM Ordini WHERE IDCommessa=$IdCommessa AND NumOrdine=$NumOrdine AND Ordini.AnnoOrdine=$AnnoOrdine";

$DataInizioOrdine = ntxt(ntxDateTime(ntxScalar($sql)));

if ( $DataInizioOrdine=="NULL" )
	jhp_error("Serve la data inizio ordine per selezionare car2 e voci elenco prezzo valide!");


$sql = <<< SQL
	SELECT     NumContabilità
	FROM         Contabilità
	WHERE     (IDCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine')
SQL;

$NumContabilità = ntxScalar($sql);

if ( is_numeric($NumContabilità ) )
	jhp_error("Contabilità associata ad ordine già esistenze!");

$sql = <<< SQL
	INSERT INTO Contabilità
						  (RifOrdineCliente, IDCommessa, NumOrdine, AnnoOrdine, GradoUrgenza, Tipo, Sede, CodEdificio, Edificio, Fase, Descrizione, DataModifica, 
						  DataContabilità, idStatoc, idvoce)
	SELECT     LTRIM(Richieste.NumRifCli) + ' / ' + LTRIM(Richieste.AnnoRifCli) + ' / ' + Richieste.CommRifCli + ' / ' + Richieste.TipoRifRic AS Espr1, 
						  Ordini.IDCommessa, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.GradoUrgenza, Ordini.Contabiliz, Ordini.Sede, Ordini.CodEdificio, 
						  ElencoEdifici.EdificioBreve, Ordini.Fase, Ordini.DescrizioneIntervento, GETDATE() AS DM, GETDATE() AS DM2, 30 AS idstatoc
						  , richieste.IdVoceBudget
	FROM         ElencoEdifici INNER JOIN
						  Ordini ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa LEFT OUTER JOIN
						  Richieste ON Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
						  Ordini.IDCommessa = Richieste.IDCommessa
	WHERE Ordini.IDCommessa = $IdCommessa
		AND Ordini.NumOrdine = $NumOrdine
		AND Ordini.AnnoOrdine = $AnnoOrdine
SQL;

ntxQuery($sql);

$NumContabilità = ntxScalar('SELECT @@IDENTITY'); 

$addWherePrezziario = "";

if ( strlen($_POST[Prezziario])>0 ) $addWherePrezziario = " AND ElencoPrezziInCommessa.Prezziario=".ntxsp('Prezziario');

$sql = <<< sql
INSERT INTO RiheContabilità
                      (QTA, IdCommessa, IdPrezzo, Cod, Descrizione, UM, PzUnitario, Gruppo, Titolo, DescrEstesa, Prezziario, TipoPrezzo, NumContabilità, Importo, 
                      Sconto)
SELECT     SUM(Ambiente.MQ) AS TotMq, ElencoPrezziInCommessa.IdCommessa, ElencoPrezziInCommessa.IdPrezzo, ElencoPrezziInCommessa.Cod, 
                      ElencoPrezziInCommessa.Descrizione, ElencoPrezziInCommessa.UM, ElencoPrezziInCommessa.PzUnitario, ElencoPrezziInCommessa.Gruppo, 
                      ElencoPrezziInCommessa.Titolo, ElencoPrezziInCommessa.DescrEstesa, ElencoPrezziInCommessa.Prezziario, 
                      ElencoPrezziInCommessa.TipoPrezzo, 
					  
					  $NumContabilità AS NumContabilità, 
					  
					  SUM(Ambiente.MQ) * ElencoPrezziInCommessa.PzUnitario AS Importo, 
                      
					  0 AS Sconto
					  
FROM         Ambiente INNER JOIN
                      OrdiniAmbienti ON Ambiente.IdCommessa = OrdiniAmbienti.IdCommessaAmbiente AND Ambiente.IdEdificio = OrdiniAmbienti.IdEdificioAmbiente AND 
                      Ambiente.IDAmbiente = OrdiniAmbienti.IDAmbiente INNER JOIN
                      CaratteristicheAmbientiMN ON Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND 
                      Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio AND Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente INNER JOIN
                      ElencoPrezziInCommessa ON CaratteristicheAmbientiMN.IdCaratteristicaAmbiente = ElencoPrezziInCommessa.IdCaratteristicaAmbiente
WHERE     (OrdiniAmbienti.IDCommessaOrdine = $IdCommessa) 
	AND (OrdiniAmbienti.NumOrdine = $NumOrdine) 
	AND (OrdiniAmbienti.Eseguito = 1) 
	AND (OrdiniAmbienti.AnnoOrdine = $AnnoOrdine) AND 
                      (ElencoPrezziInCommessa.Sostituito = 0 OR
                      ElencoPrezziInCommessa.Sostituito IS NULL) AND (ElencoPrezziInCommessa.DataFine is null or ElencoPrezziInCommessa.DataFine >= $DataInizioOrdine) AND 
                      (CaratteristicheAmbientiMN.DataFine >= $DataInizioOrdine) AND (CaratteristicheAmbientiMN.DataInizio <= $DataInizioOrdine) AND 
                      (ElencoPrezziInCommessa.DataInizio is null or ElencoPrezziInCommessa.DataInizio <= $DataInizioOrdine)
					  $addWherePrezziario
GROUP BY ElencoPrezziInCommessa.IdCommessa, ElencoPrezziInCommessa.IdPrezzo, ElencoPrezziInCommessa.Cod, 
                      ElencoPrezziInCommessa.Descrizione, ElencoPrezziInCommessa.UM, ElencoPrezziInCommessa.PzUnitario, ElencoPrezziInCommessa.Gruppo, 
                      ElencoPrezziInCommessa.Titolo, ElencoPrezziInCommessa.DescrEstesa, ElencoPrezziInCommessa.Prezziario, ElencoPrezziInCommessa.TipoPrezzo
sql;

ntxQuery($sql);
				  
$sql = "UPDATE Ordini SET "

		."StatoOrd = 200"
		.", DataModifica = getdate()"

		." WHERE StatoOrd < 200 AND IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

ntxQuery($sql);
					  
jhp_ok();

?>
