<?php

if ( !$_SESSION ) session_start();

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$NumOrdine  = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = "SELECT DataInizio FROM Ordini WHERE IDCommessa=$IdCommessa AND NumOrdine=$NumOrdine AND Ordini.AnnoOrdine=$AnnoOrdine";

$DataInizioOrdine = ntxt(ntxDateTime(ntxScalar($sql)));

if ( $DataInizioOrdine=="NULL" )
	jhp_error("Serve la data inizio ordine per selezionare car2 e voci elenco prezzo valide!");

$sql = <<< sql
SELECT  DISTINCT   ElencoPrezziInCommessa.Prezziario
					  
FROM         Ambiente INNER JOIN
                      OrdiniAmbienti ON Ambiente.IdCommessa = OrdiniAmbienti.IdCommessaAmbiente AND Ambiente.IdEdificio = OrdiniAmbienti.IdEdificioAmbiente AND 
                      Ambiente.IDAmbiente = OrdiniAmbienti.IDAmbiente INNER JOIN
                      CaratteristicheAmbientiMN ON Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND 
                      Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio AND Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente INNER JOIN
                      ElencoPrezziInCommessa ON CaratteristicheAmbientiMN.IdCaratteristicaAmbiente = ElencoPrezziInCommessa.IdCaratteristicaAmbiente
WHERE     (OrdiniAmbienti.IDCommessaOrdine = $IdCommessa) 
	AND (OrdiniAmbienti.NumOrdine = $NumOrdine) 
	AND (OrdiniAmbienti.Eseguito = 1) 
	AND (OrdiniAmbienti.AnnoOrdine = $AnnoOrdine) AND 
                      (ElencoPrezziInCommessa.Sostituito = 0 OR
                      ElencoPrezziInCommessa.Sostituito IS NULL) AND (ElencoPrezziInCommessa.DataFine is null or ElencoPrezziInCommessa.DataFine >= $DataInizioOrdine) AND 
                      (CaratteristicheAmbientiMN.DataFine >= $DataInizioOrdine) AND (CaratteristicheAmbientiMN.DataInizio <= $DataInizioOrdine) AND 
                      (ElencoPrezziInCommessa.DataInizio is null or ElencoPrezziInCommessa.DataInizio <= $DataInizioOrdine)
ORDER BY ElencoPrezziInCommessa.Prezziario
sql;

$query = ntxQuery($sql);

$table .= <<< table
		<option value="">Qualsiasi Prezziario
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$html = htmlentities($rs[Prezziario]);
	$js = ntxjs($rs[Prezziario]);

	$table .= <<< table
		<option value="$js">$html
table;
}

jhp($table);

?>
