<?php  

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT   DISTINCT  
			tblPgContratti.IdPgContratto, 
			tblPgPropietari.Nome AS Cliente, 
			tblPgGestori.Nome AS Gestore, 
			tblPgContratti.Descrizione, 
			tblPgContratti.Note, 
            tblPgContratti.DataContratto, 
			tblPgContratti.DataInizio, 
			tblPgContratti.DataFine, 
			tblPgContratti.Aperto, 
			tblPgContratti.CentroDiCosto,
			tblPgContratti.TipoContratto
	FROM         tblPgContratti LEFT OUTER JOIN
	  tblPgContrattiPropietariGestoriAttivitàEdifici 
	  ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto LEFT OUTER JOIN
	  tblPgGestori ON tblPgContratti.IdGestore = tblPgGestori.IdGestore LEFT OUTER JOIN
	  tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
	WHERE     (tblPgContratti.IdCommessa = $IdCommessa)  
sql;

switch($_POST[TipoContratto])
{
	case 1:
		$sql .= " AND (tblPgContratti.TipoContratto = 'canone') ";
		break;
	case 2:
		$sql .= " AND (tblPgContratti.TipoContratto = 'extracanone') ";
		break;
	case 3:
		$sql .= " AND (tblPgContratti.TipoContratto = 'cantiere') ";
		break;
}

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sql .= " AND (tblPgContratti.IdPropietario = $IdPropietario) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = $IdEdificio) ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgContratti.Descrizione  LIKE '%$str%' ";
}

if ( isset($_POST['Nota'])  &&  strlen($_POST['Nota'])>0) 
{
	$str = stripslashes($_POST['Nota']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgContratti.Note LIKE '%$str%' ";
}

if ( isset($_POST['cdc'])  &&  strlen($_POST['cdc'])>0) 
{
	$str = stripslashes($_POST['cdc']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgContratti.CentroDiCosto = '$str' ";
}

$sql .= " ORDER BY tblPgContratti.DataContratto DESC;";

$query = ntxQuery($sql);
	
?>
