<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>
<body  >
<?php
	
require("label_pratica.inc");

require_once('ambienti_sql.inc');

?>
<br>		
<table>
	<tr>
		<td><input type=button value="Seleziona Tutto" onclick="SelAll()">
		<td><input type=button value="Deseleziona Tutto" onclick="DeselAll()">
</table>
<br>		
<table>
	<tr>
		<th>&nbsp;</th>
		<th>Codice</th>
		<th>Des.Uso</th>
		<th>Caratteristiche</th>
		<th>Altezza (m)</th>
		<th>Perimetro (m)</th>
		<th>Area (mq)</th>
		<th>Volume (mc)</th>
		<th>Graficizzato</th>
		<th>Rimosso</th>
	</tr>   

<?php
	$alternate = true;

	$IdAmbienti = "";
	
	while( $rs = ntxRecord($query) )
	{
		if ( strlen($IdAmbienti)>0 ) $IdAmbienti .= ",";
		
		$IdAmbienti .= $rs[IDAmbiente];
		
		if (in_array($rs[IDAmbiente], $arrayAmbInPratica, true))
		{
			$checked =  "CHECKED";
		}
		else
		{
			$checked =  "";
		}
		
		$onclick = "SelAmbiente(this, $rs[IDAmbiente])";
		
		$input = "<input type=checkbox onclick=\"$onclick\" $checked />";
?>	

	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo $input ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CodiceAssAmbiente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Destinazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Caratteristiche']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['H']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['P']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['MQ']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['MC']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[Graficizzato]==1 ? "x" : "" ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[Rimosso]==1 ? "x" : "" ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form method=post name=form1>
	<input type=hidden name=IdCommessa value="<?php echo $_SESSION['IdCommessa']; ?>" >
	<input type=hidden name=IdUtente value="<?php echo ntxJS($_POST[IdUtente]) ?>" >
	<input type=hidden name=IdEdificio value="<?php echo ntxJS($_POST[IdEdificio]) ?>" >
	<input type=hidden name=IdPiano value="<?php echo ntxJS($_POST[IdPiano]) ?>" >
	<input type=hidden name=IdUtilizzatore value="<?php echo ntxJS($_POST[IdUtilizzatore]) ?>" >
	<input type=hidden name=IdPratica value="<?php echo ntxJS($_POST[IdPratica]) ?>" >
	<input type=hidden name=IdPraticaSet value="<?php echo ntxJS($_POST[IdPraticaSet]) ?>" >
	<input type=hidden name=Codice value="<?php echo ntxJS($_POST[Codice]) ?>" >
	<input type=hidden name=DesUso value="<?php echo ntxJS($_POST[DesUso]) ?>" >
	<input type=hidden name=stato value="<?php echo ntxJS($_POST[stato]) ?>" >
	<input type=hidden name=IdAmbiente>
	<input type=hidden name=IdAmbienti value="<?php echo $IdAmbienti ?>" >
	<input type=hidden name=value>
</form>

<script language=javascript>

function Reload()
{
	form1.submit();
}

function SelAll()
{
	ntxSendForm(form1, Reload, 'pratiche/sel_all');
	parent.drcUpdateFrame(form1, "mappa");
}

function DeselAll()
{
	ntxSendForm(form1, Reload, 'pratiche/desel_all');
	parent.drcUpdateFrame(form1, "mappa");
}

function SelAmbiente(chk, IdAmbiente)
{
	form1.value.value = (chk.checked ? 1 : 0);
	form1.IdAmbiente.value = IdAmbiente;
	ntxSendForm(form1, funcVoid, 'pratiche/spunta_ambiente');
	parent.drcUpdateFrame(form1, "mappa");
}

function funcVoid(){}

</script>

</body>
</html>
