<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

if ( is_numeric($_POST[IdPraticaSet]) )
{
	$IdPraticaSet = ntxip('IdPraticaSet');

	$sql = <<< sql
		SELECT     
				tblPgContratti.IdPgContratto, 
				tblPgContratti.Descrizione AS Contratto, 
				PraticheDismissioneAmbienti.Id, 
				PraticheDismissioneAmbienti.Descrizione, 
				PraticheDismissioneAmbienti.DataInizio, 
				PraticheDismissioneAmbienti.DataFine, 
				PraticheDismissioneAmbienti.Percentuale
	FROM         PraticheDismissioneAmbienti INNER JOIN
						  tblPgContratti ON PraticheDismissioneAmbienti.IdContrattoGestione = tblPgContratti.IdPgContratto
		  WHERE     (PraticheDismissioneAmbienti.IdCommessa = $IdCommessa)
		  AND     (PraticheDismissioneAmbienti.Id = $IdPraticaSet)
sql;

	$query = ntxQuery($sql);
}

?>

<table>
	<tr>
		<caption style="font-size:8pt">Pratica da associare agli ambienti</caption>
		<th>Id</th>
		<th>Descrizione</th>
		<th>DataInizio</th>
		<th>DataFine</th>
		<th>Percentuale</th>
		<th>Contratto</th>
	</tr>   

<?php
	$alternate = true;

	while( is_numeric($_POST[IdPraticaSet])  &&  $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Id']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataFine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Percentuale']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Contratto']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
