<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
</head>
<body  >

<?php
	
require_once('ambienti_table_sql.inc');

?>

<table class=grid>
	<caption>Contratto Selezionato
	<tr>
		<th>DataContratto</th>
		<th>Id Contratto</th>
		<th>Cliente</th>
		<th>Gestore</th>
		<th>Descrizione</th>
		<th>Note</th>
		<th>DataInizio</th>
		<th>DataFine</th>
		<th>Aperto</th>
		<th>TipoContratto</th>
	</tr>   

<?php
	$alternate = true;

	while( $query  &&  $rs = ntxRecord($query) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td>&nbsp;<?php echo ntxDate($rs['DataContratto']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['IdPgContratto']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Cliente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Gestore']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataFine']) ?></td>
		<td>&nbsp;<?php echo $rs['Aperto']==1 ? "SI" : "no" ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['TipoContratto']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<table class=grid>
	<caption>Edificio/Piano Selezionato
	<tr>
		<th>Piano</th>
		<th>Id</th>
		<th>Codice</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Prov</th>
		<th>Ente</th>
	</tr>   

<?php
	$alternate = true;

	while( $query2  &&  $rs = ntxRecord($query2) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td>&nbsp;<?php echo htmlentities($rs['Piano']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['ID']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['CITTA']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['PROVINCIA']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<table class=grid>
	<caption>Ambienti
	<tr>
		<th></th>
		<th>Codice1</th>
		<th>Codice2</th>
		<th>Destinazione d'uso</th>
		<th>Caratteristiche</th>
		<th>CdC</th>
	</tr>   

<?php
	$alternate = true;

	while( $query3  &&  $rs = ntxRecord($query3) )
	{
?>	
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td><input type=checkbox <?php if ( $rs[associato] )echo "checked" ?> onclick="Set(this, <?php echo "'$IdPratica','$rs[IDAmbiente]'" ?>)"></td>
		<td>&nbsp;<?php echo htmlentities($rs['CodiceAmbiente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['CodiceAssAmbiente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesUso']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Caratteristiche']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['cdc']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<script>

function Set(check, IdPratica, IdAmbiente)
{
	var result = jhp("jhp/setta_ambiente.php", { 
												checked: check.checked ? 1:0, 
												IdPratica:IdPratica, 
												IdAmbiente:IdAmbiente });
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		check.checked = (result.value==1);
	}
}

</script>

</body>
</html>
