<?php  

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT   DISTINCT  
			tblPgContratti.IdPgContratto, 
			tblPgPropietari.Nome AS Cliente, 
			tblPgGestori.Nome AS Gestore, 
			tblPgContratti.Descrizione, 
			tblPgContratti.Note, 
            tblPgContratti.DataContratto, 
			tblPgContratti.DataInizio, 
			tblPgContratti.DataFine, 
			tblPgContratti.Aperto, 
			tblPgContratti.CentroDiCosto,
			tblPgContratti.TipoContratto
	FROM         tblPgContratti LEFT OUTER JOIN
	  tblPgContrattiPropietariGestoriAttivitàEdifici 
	  ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto LEFT OUTER JOIN
	  tblPgGestori ON tblPgContratti.IdGestore = tblPgGestori.IdGestore LEFT OUTER JOIN
	  tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
	WHERE     (tblPgContratti.IdCommessa = $IdCommessa)  
sql;

switch($_POST[TipoContratto])
{
	case 1:
		$sql .= " AND (tblPgContratti.TipoContratto = 'canone') ";
		break;
	case 2:
		$sql .= " AND (tblPgContratti.TipoContratto = 'extracanone') ";
		break;
	case 3:
		$sql .= " AND (tblPgContratti.TipoContratto = 'cantiere') ";
		break;
}

if ( is_numeric($_POST['IdPgContratto'])) 
{
	$str = (int)$_POST['IdPgContratto'];
	$sql .= " AND tblPgContratti.IdPgContratto = $str ";
}

if ( isset($_POST['Data1'])  &&  strlen($_POST['Data1'])>0) 
{
	$str = ntxtp('Data1');
	$sql .= " AND tblPgContratti.DataContratto >= $str ";
}

if ( isset($_POST['Data2'])  &&  strlen($_POST['Data2'])>0) 
{
	$str = ntxtp('Data2');
	$sql .= " AND tblPgContratti.DataContratto <= $str ";
}

if ( strlen($_POST[Cliente]) )
	$sql .= " AND tblPgPropietari.Nome like '%".str_replace("'","''",$_POST[Cliente])."%'";

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgContratti.Descrizione  LIKE '%$str%' ";
}

$query = ntxPagedQuery($sql, "DataContratto DESC");
	
?>
