<?php

require('set_unset_head.inc');

while ( $rs = ntxRecord($query) )
{
	$nomeFile = $rs[FileName];
	
	$data = "{$pathShapes}{$nomeFile}.shp";

	if ( !is_file($data) ) continue;
	
	$layer = ms_newLayerObj($map);
	
	$layer->set("type", MS_LAYER_POLYGON);
	
	$layer->set("template", 'none');

	$layer->set("status", MS_ON);
	
	$layer->set("data", $data);
	
	$x = $_POST[map_x];
	$y = $_POST[map_y];
	$dx = $_POST[map_dx];
	$dy = $_POST[map_dy];
	
	$y = $dy - $y;
	
	$dx2 = abs($maxx - $minx);
	$dy2 = abs($maxy - $miny);
	
	$x2 = $x * $dx2 / $dx + $minx;
	$y2 = $y * $dy2 / $dy + $miny;

	$my_point = ms_newpointObj();
	$my_point->setXY($x2 , $y2);

	$res = @$layer->queryByPoint($my_point, MS_MULTIPLE, -1);
	
	if ( $res == MS_SUCCESS )
	{
		$num = $layer->getNumResults();
		
		$layer->open();
		
		for ( $i=0;$i<$num; $i++ )
		{
			$resObj = $layer->getResult($i);
			
			$shape = $layer->getShape($resObj);
			
			$CodAmb = ntxs($shape->values[CODICE]);
			
			$sql = "SELECT IDAmbiente FROM Ambiente WHERE CodiceAmbiente = $CodAmb";
			
			$IdAmbiente = ntxScalar($sql);
			
			$sql = <<< sql
				DELETE FROM         AmbientiPraticheDismissioni
				WHERE     (IdAmbiente = $IdAmbiente) AND (IdPraticaDismissione = $IdPratica)
sql;
			ntxQuery($sql);
		}
		
		$layer->close();
	}
}

jhp_ok();

?>
