<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
</head>
<body  >

<?php
	
require_once('piani_table_sql.inc');

?>

<table class=grid>
	<caption>Contratto Selezionato
	<tr>
		<th>DataContratto</th>
		<th>Id Contratto</th>
		<th>Cliente</th>
		<th>Gestore</th>
		<th>Descrizione</th>
		<th>Note</th>
		<th>DataInizio</th>
		<th>DataFine</th>
		<th>Aperto</th>
		<th>TipoContratto</th>
	</tr>   

<?php
	$alternate = true;

	while( $query  &&  $rs = ntxRecord($query) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td>&nbsp;<?php echo ntxDate($rs['DataContratto']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['IdPgContratto']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Cliente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Gestore']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataFine']) ?></td>
		<td>&nbsp;<?php echo $rs['Aperto']==1 ? "SI" : "no" ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['TipoContratto']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<table class=grid>
	<caption>Edificio Selezionato
	<tr>
		<th>Id</th>
		<th>Codice</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Prov</th>
		<th>Ente</th>
	</tr>   

<?php
	$alternate = true;

	while( $query2  &&  $rs = ntxRecord($query2) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td>&nbsp;<?php echo htmlentities($rs['ID']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['CITTA']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['PROVINCIA']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<table class=grid>
	<tr>
		<th></th>
		<th>Piano</th>
	</tr>   

<?php
	$alternate = true;

	while( $query2  &&  $rs = ntxRecord($query3) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td><input type=button value="sel" onclick="SelPiano(<?php echo "'$rs[IdEdificio]','$rs[idPiano]'" ?>)" /></td>
		<td>&nbsp;<?php echo htmlentities($rs['Destinazione']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<script language=javascript>

function SelPiano(IdEdificio, IdPiano)
{ 
	parent.pratiche_edit.SelEdificioPiano(IdEdificio, IdPiano);
	parent.Sel('pratiche_edit');
}

</script>

</body>
</html>
