<?php  

$IdContratto = ntxip('IdContratto',false);
$Mese = ntxip('Mese',false);
$Anno = ntxip('Anno',false);
$d1 = ntxt("1/$Mese/$Anno");

$sql = <<< sql
	SELECT     day(dateadd(day,-1,dateadd(month,1,$d1)))
sql;

$giornoFineMese = ntxScalar($sql);

$d2 = ntxt("$giornoFineMese/$Mese/$Anno");
	
$sql = <<< sql
SELECT     CaratteristicheAmbienti.Descrizione AS Caratteristica, SUM(Ambiente.MQ * CanoniTipiAree.CanoneMQ) 
                      AS CanoneContratto, SUM(Ambiente.MQ) AS TotMQ, CanoniTipiAree.CanoneMQ
FROM         CaratteristicheAmbientiMN INNER JOIN
                      Ambiente ON CaratteristicheAmbientiMN.IdCommessa = Ambiente.IdCommessa AND CaratteristicheAmbientiMN.IdEdificio = Ambiente.IdEdificio AND 
                      CaratteristicheAmbientiMN.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      TipiAree INNER JOIN
                      EdificiTipiAree ON TipiAree.IdTipoArea = EdificiTipiAree.IdTipoArea AND TipiAree.IdCommessa = EdificiTipiAree.IdCommessa2 INNER JOIN
                      CanoniTipiAree ON TipiAree.IdCommessa = CanoniTipiAree.IdCommessa AND TipiAree.IdTipoArea = CanoniTipiAree.IdTipoArea INNER JOIN
                      CarattereAmbTipiAree ON TipiAree.IdCommessa = CarattereAmbTipiAree.IdCommessa2 AND 
                      TipiAree.IdTipoArea = CarattereAmbTipiAree.IdTipoArea INNER JOIN
                      CaratteristicheAmbienti ON CarattereAmbTipiAree.IdCaratteristicaAmbiente = CaratteristicheAmbienti.Id ON 
                      CaratteristicheAmbientiMN.IdCaratteristicaAmbiente = CaratteristicheAmbienti.Id AND Ambiente.IdCommessa = EdificiTipiAree.IdCommessa1 AND 
                      Ambiente.IdEdificio = EdificiTipiAree.IdEdificio
WHERE     (TipiAree.IdContrattoGestione = $IdContratto) 
	AND (CanoniTipiAree.DataInizio <= $d2) 
	AND (CanoniTipiAree.DataFine >= $d1)
	AND (CaratteristicheAmbientiMN.DataInizio <= $d2) 
	AND (CaratteristicheAmbientiMN.DataFine >= $d1)
	AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0)
sql;

if ( is_numeric($_POST[IdTipoArea]) )
	$sql .= " AND TipiAree.IdTipoArea=".ntxip('IdTipoArea')." ";
	
$sql .= <<< sql
GROUP BY CaratteristicheAmbienti.Descrizione, CanoniTipiAree.CanoneMQ
ORDER BY Caratteristica, CanoniTipiAree.CanoneMQ
sql;

$query = ntxQuery($sql);

$table = "";

$tot = 0;

while($rs=ntxRecord($query))
{
	$tot += $rs[CanoneContratto];
	$rs[TotMQ] = ntxRoundThousand($rs[TotMQ],2);
	$rs[CanoneMQ] = ntxRoundThousand($rs[CanoneMQ],3);
	$rs[CanoneContratto] = ntxRoundThousand($rs[CanoneContratto],2);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$table .= <<< table
		<tr>
			<td>$html[Caratteristica]
			<td class=cellNum>$html[TotMQ]
			<td class=cellNum>$html[CanoneMQ]
			<td class=cellNum>$html[CanoneContratto]
table;
		
}

$duePerCento = $tot * 0.02;
$duePerCentoStampa = ntxRoundThousand($duePerCento,2);

$imponibile = $tot - $duePerCento;
$imponibileStampa = ntxRoundThousand($imponibile,2);

$iva = 20;
$ivaStampa = ntxRoundThousand($iva,0);

$ivaImponibile = $imponibile * $iva/100.0;
$ivaImponibileStampa = ntxRoundThousand($ivaImponibile,2);

$totImponibile = $imponibile + $ivaImponibile;
$totImponibileStampa = ntxRoundThousand($totImponibile,2);

?>

