<?php  

$minMese = $minAnno = $maxMese = $maxAnno = 0;

$sql = <<< SQL
SELECT DISTINCT 
	MONTH(MIN(DataContabilità)) AS minMese,
	YEAR(MIN(DataContabilità)) AS minAnno,
	MONTH(MAX(DataContabilità)) AS maxMese,
	YEAR(MAX(DataContabilità)) AS maxAnno
	FROM         Ordini INNER JOIN
                      ElencoEdifici INNER JOIN
                      Contabilità ON ElencoEdifici.IdCommessa = Contabilità.IDCommessa AND ElencoEdifici.ID = Contabilità.CodEdificio ON 
                      Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID AND Ordini.IDCommessa = Contabilità.IDCommessa AND 
                      Ordini.NumOrdine = Contabilità.NumOrdine AND Ordini.AnnoOrdine = Contabilità.AnnoOrdine	
	WHERE  (Contabilità.IdCommessa = $IdCommessa)
	AND $sqlQueue
SQL;

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sql .= " AND (ElencoEdifici.IdProprietario = $IdPropietario) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (ElencoEdifici.ID = $IdEdificio) ";
}

$query = ntxQuery($sql);
	
if ( $rs = ntxIRecord($query) )
{
	$minMese = $rs[0];
	$minAnno = $rs[1];
	$maxMese = $rs[2]; 
	$maxAnno = $rs[3];
}

if ( !is_numeric($minAnno) )
{
	$minAnno = 0;
	$maxAnno = -1;
}

?>
