<?php  
session_start();

require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if ( is_numeric($_POST[IdSal]) )
{
	$IdCommessa = ntxise('IdCommessa');
	$IdSal = ntxip('IdSal');

	$sql = <<< sql
		SELECT DISTINCT 
							  Ditte.Ditta AS Ente, 
							  tblContrattiFornitori.Descrizione, 
							  tblContrattiFornitori.DataContratto, 
							  tblContrattiFornitori.DataInizio, 
							  tblContrattiFornitori.DataFine, 
							  tblContrattiFornitori.Aperto, 
							  tblContrattiFornitori.Note,
							  tblContrattiFornitori.Importo ImportoC,
							  tblContrattiFornitori.TipoContratto, 
							  tblContrattiFornitori.IdContrattoFornitore,
							  SalContrattiFornitori.IdSal, 
							  SalContrattiFornitori.NumeroSal, 
							  SalContrattiFornitori.DataSal, 
							  SalContrattiFornitori.DataCompetenza, 
							  SalContrattiFornitori.NumeroFattura, 
							  SalContrattiFornitori.DataFattura, 
							  SalContrattiFornitori.Importo, 
							  SalContrattiFornitori.Progressivo, 
							  SalContrattiFornitori.ImportoProvvisorio, 
							  SalContrattiFornitori.NoteSal
		FROM         Ditte INNER JOIN
							  tblContrattiFornitori ON Ditte.IdDitta = tblContrattiFornitori.IdFornitore INNER JOIN
							  SalContrattiFornitori ON tblContrattiFornitori.IdContrattoFornitore = SalContrattiFornitori.IdContrattoFornitore
		WHERE     (SalContrattiFornitori.IdCommessa = $IdCommessa) AND (SalContrattiFornitori.IdSal = $IdSal)	
sql;

	$query = ntxQuery($sql);
	
	$table = "";
	$table2 = "";
	
	while ( $rs = ntxRecord($query) )
	{
		foreach($rs as $key => $value)
			$rs[$key] = htmlentities($value);
			
		$rs['Aperto'] = $rs['Aperto'] ? "X" : "";
		$rs['DataContratto'] = ntxDate($rs['DataContratto']);
		$rs['DataInizio'] = ntxDate($rs['DataInizio']);
		$rs['DataFine'] = ntxDate($rs['DataFine']);
		$rs['DataSal'] = ntxDate($rs['DataSal']);
		$rs['DataCompetenza'] = ntxDate($rs['DataCompetenza']);
		$rs['DataFattura'] = ntxDate($rs['DataFattura']);
		$rs['Importo'] = ntxRoundThousand($rs['Importo'],2);
		$rs['ImportoC'] = ntxRoundThousand($rs['ImportoC'],2);
		$rs['Progressivo'] = ntxRoundThousand($rs['Progressivo'],2);
		$rs['ImportoProvvisorio'] = ntxRoundThousand($rs['ImportoProvvisorio'],2);

		$table .= <<< table
	<tr>
		<td>&nbsp;$rs[Aperto]</td>
		<td>&nbsp;$rs[TipoContratto]</td>
		<td>&nbsp;$rs[IdContrattoFornitore]</td>
		<td>&nbsp;$rs[Ente]</td>
		<td>&nbsp;$rs[Descrizione]</td>
		<td>&nbsp;$rs[DataContratto]</td>
		<td>&nbsp;$rs[DataInizio]</td>
		<td>&nbsp;$rs[DataFine]</td>
		<td>&nbsp;$rs[ImportoC]</td>
		<td>&nbsp;$rs[Note]</td>
	</tr>
table;

		$table2 .= <<< table2
	<tr>
		<td>&nbsp;$IdSal</td>
		<td>&nbsp;$rs[NumeroSal]</td>
		<td>&nbsp;$rs[DataSal]</td>
		<td>&nbsp;$rs[DataCompetenza]</td>
		<td>&nbsp;$rs[NumeroFattura]</td>
		<td>&nbsp;$rs[DataFattura]</td>
		<td>&nbsp;$rs[Importo]</td>
		<td>&nbsp;$rs[Progressivo]</td>
		<td>&nbsp;$rs[NoteSal]</td>
		<td>&nbsp;$rs[ImportoProvvisorio]</td>
	</tr>
table2;

		$alternate = !$alternate;
	}
	
	if ( strlen($table)>0 ) 		
		$table = <<< table
			<table class=grid>
			<caption>Contratto Gestione Sal Selezionato
			<tr>
				<th>Aperto</th>
				<th>TipoContratto</th>
				<th>ID</th>
				<th>Fornitore</th>
				<th>Descrizione</th>
				<th>Data Contratto</th>
				<th>Data Inizio</th>
				<th>Data Fine</th>
				<th>Importo</th>
				<th>Note</th>
			</tr>   
			$table
			</table>
			<br>
			<table class=grid>
			<caption>Sal Selezionato
			<tr>
				<th>IdSal</th>
				<th>NumeroSal</th>
				<th>DataSal</th>
				<th>DataCompetenza</th>
				<th>NumeroFattura</th>
				<th>DataFattura</th>
				<th>Importo</th>
				<th>Progressivo</th>
				<th>NoteSal</th>
				<th>ImportoProvvisorio</th>
			</tr>   
			$table2
			</table>
table;
		
	jhp($table);
}

jhp_ok();

?>
