<?php

$sql = <<< sql
	SELECT     
		SUM(ISNULL(Costi.QTA * Costi.CostoUnit,0)) AS IMP_LORDO, 
		SUM(ISNULL(Costi.QTA * Costi.CostoUnit * (1-isnull(Costi.Sconto,0)/100),0)) AS IMP_NETTO
		
	FROM         Ordini LEFT JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      Costi ON Ordini.IDCommessa = Costi.IdCommessa AND Ordini.NumOrdine = Costi.NumOrdine AND Ordini.AnnoOrdine = Costi.AnnoOrdine
	  WHERE     (Ordini.IdSalContrattoFornitore = $IdSal) AND (Ordini.IDCommessa = $IdCommessa)
sql;

$rs = ntxRecord(ntxQuery($sql));

$Lordo = ntxRoundThousand($rs[IMP_LORDO],2);
$Netto = ntxRoundThousand($rs[IMP_NETTO],2);

?>
<table class=table>
	<caption>RIEPILOGO</caption>
	<tr><td style='text-align:center'>A<td>Importo Lordo<td class=number>&nbsp;<?php echo$Lordo ?>
	<tr><td style='text-align:center'>B<td>Importo Netto<td class=number>&nbsp;<?php echo$Netto ?>	
</table>
