<?php
session_start();

require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdSal = ntxip('IdSal');

$sql = <<< sql
		SELECT     MAX(RiheContabilità.ValidazioneSAL) AS Expr1
		FROM         Contabilità INNER JOIN
                      RiheContabilità ON Contabilità.IDCommessa = RiheContabilità.IdCommessa 
					  AND Contabilità.NumContabilità = RiheContabilità.NumContabilità
WHERE     (Contabilità.IdCommessa = $IdCommessa) AND (Contabilità.IdSalDefContrattoGestione = $IdSal)
sql;

$maxValidazioneSAL = ntxScalar($sql);

if ( is_numeric($maxValidazioneSAL) )
	jhp_error("Operazione BLOCCATA perchè precedentemente effettuata su questo SAL!!!!");
	
$sql = <<< sql
	SELECT     IdContrattoGestione
	FROM         SalContrattiGestione
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
sql;

$IdContrattoGestione = ntxScalar($sql);

if ( !is_numeric($IdContrattoGestione) )
	jhp_error("Manca contratto gestione associato su contabilità/ordini definitivi!!!!");
	
$sql = <<< sql
	SELECT MAX(RiheContabilità.ValidazioneSAL)
	FROM         Ordini INNER JOIN
						  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
						  Ordini.AnnoOrdine = Contabilità.AnnoOrdine INNER JOIN
                      RiheContabilità ON Contabilità.IDCommessa = RiheContabilità.IdCommessa 
					  AND Contabilità.NumContabilità = RiheContabilità.NumContabilità
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.IdContrattoGestore = $IdContrattoGestione)
sql;

$maxValidazioneSAL = ntxScalar($sql);

if ( !is_numeric($maxValidazioneSAL) )
	$maxValidazioneSAL = 0;

$ValidazioneSAL = $maxValidazioneSAL + 1;

$sql = <<< sql
	SELECT     RiheContabilità.RigaC
	FROM         Contabilità INNER JOIN
						  RiheContabilità ON Contabilità.IDCommessa = RiheContabilità.IdCommessa 
						  AND Contabilità.NumContabilità = RiheContabilità.NumContabilità
	WHERE     (Contabilità.IdCommessa = $IdCommessa) AND (Contabilità.IdSalDefContrattoGestione = $IdSal)
	ORDER BY Contabilità.DataUltimaConsegna, Contabilità.AnnoOrdine, Contabilità.NumOrdine, 
				RiheContabilità.Cod, RiheContabilità.RigaC
sql;

$query = ntxQuery($sql);

while($rs = ntxiRecord($query))
{
		
		$sql = <<< sql
			UPDATE    RiheContabilità
			SET ValidazioneSAL=$ValidazioneSAL 
			WHERE     (IDCommessa = $IdCommessa) AND (RigaC = $rs[0])
sql;

		ntxQuery($sql);

		$ValidazioneSAL++;
}

$sql = <<< sql
	UPDATE    SalContrattiGestione
	SET BloccaModificaSal=1 
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
sql;

ntxQuery($sql);

jhp_ok();

?>
