<?php

$sql = <<< sql
	SELECT     
			SalContrattiGestione.NumeroSal, 
			SalContrattiGestione.DataSal, 
			tblPgContratti.Descrizione AS DesContratto, 
			tblPgContratti.DataInizio, 
			tblPgContratti.DataFine, 
			tblPgContratti.Note, 
			LTRIM(tblPgGestori.Nome) + ' ' + LTRIM(tblPgGestori.Indirizzo) + ', ' + LTRIM(tblPgGestori.Cap) + ' ' + LTRIM(tblPgGestori.Comune) AS DatiGestore, 
			tblPgContratti.Protocollo, 
			tblPgContratti.DataContratto, 
			tblPgGestori.Nome AS NomeGestore
			
	FROM         tblPgGestori INNER JOIN
                      tblPgContratti ON tblPgGestori.IdGestore = tblPgContratti.IdGestore INNER JOIN
                      SalContrattiGestione ON tblPgContratti.IdPgContratto = SalContrattiGestione.IdContrattoGestione
	WHERE     (SalContrattiGestione.IdCommessa = $IdCommessa) AND (SalContrattiGestione.IdSal = $IdSal)
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$rs[DataInizio] = ntxDate($rs[DataInizio]);
$rs[DataFine] = ntxDate($rs[DataFine]);
$rs[DataSal] = ntxDate($rs[DataSal]);
$rs[DataContratto] = ntxDate($rs[DataContratto]);

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);
	
?>

<img src='../logo-abbanoa.png' style="position:absolute;right:0px"></img>
<p style="width:100%;text-align:center">
ABBANOA S.p.A.<br>
Sede legale Via Staullu, 35<br>
08100 - Nuoro (NU)
</p>
<div style="text-align:center">****</div>
<?php

echo <<< echo
<p style="text-align:center">
	APPALTO "$html[DesContratto]"
</p>

<p style="text-align:center">
	- PERIODO $html[DataInizio] - $html[DataFine]
</p>

<p style="text-align:center">
	$html[Note]
</p>

<p style="text-align:center">
	STATO D’AVANZAMENTO DEI LAVORI (Art. 194 del D.P.R n.207/10)
</p>

<p style="text-align:center">
	Relativo allo STATO DEI LAVORI
</p>

<p style="text-align:center">
	a tutto il $html[DataSal]
</p>

<table>
	<tr>
		<td style="width:1px">Impresa Appaltatrice:
		<td>$html[DatiGestore]
	<tr>
		<td style="width:1px">Contratto:
		<td>Contratto $html[Protocollo] del $html[DataContratto]
</table>

<table style="border-collapse:collapse;width:90%" align=center>
	<tr>
		<td style="width:30%;border:1px solid black">Data inizio servizio:<br>Data fine servizio:
		<td style="border:1px solid black">$html[DataInizio]<br>$html[DataFine]
</table>

<hr>
echo;

?>