<?php  
session_start();
require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-1.0.0.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
</head>
<body>
<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$IdAttivita = explode(",", $_POST[IdAttivita]);

$where = "";

$count = 0;

foreach($IdAttivita as $id)
	if ( is_numeric($id) )
	{
		if ( $where!="" )
			$where .= " OR ";
			
		$where .= "IdAttivitàMestiere=$id";
		
		$count++;
	}

if ( $where!="" )
	$where = "AND ($where)";

$sql = <<< sql
	SELECT IdTipoComp 
	FROM AttivitàMestTipiComp 
	WHERE IdCommessaAttività=$IdCommessa $where
	group by IdTipoComp
	having count(IdAttivitàMestiere)=$count
sql;
	
$query = ntxQuery($sql);

$IdTipiAssociati = array();

while ( $rs = ntxIRecord($query) )
	$IdTipiAssociati[] = $rs[0];
	
$sql = <<< sql
	SELECT     IDTipoComponente id, DesComponente des, TipoComponente.GeneraDettaglioOrdPrg Gen
	FROM         TipoComponente
	WHERE     (IdCommessa = $IdCommessa)
	ORDER BY ordinamento, DesComponente
sql;
	
$query = ntxQuery($sql);

echo "<table class=grid style='width:100%'>";

$altern = false;

while ( $rs = ntxRecord($query) )
{
	if ( in_array($rs[id], $IdTipiAssociati) )
	{
		$alternate = $altern ? "class=alternate" : "";
		$altern = !$altern;
		echo "<tr $alternate><td style='width:1px'><input type=button value=remove onclick=\"Togli(this,'$rs[id]')\">";
		echo "<td style='width:1px;font-weight:bold'>".($rs[Gen] ? "X" : "");
		echo "<td>".htmlentities($rs[des]);
	}
}

echo "</table>";

?>
<script>

function Togli(obj, id)
{
	var result = jhp("jhp/togli.php", { id:id, IdAttivita: '<?php echo $_POST[IdAttivita]?>'});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(obj).parent().parent().remove();
	
		parent.tree.frmNotAssigned.submit();
	}	
}

</script>
</body>
</html>