<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_082", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_082", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$no_edit = false;
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script>
	
	
	<link href="css/base.css" rel="stylesheet" type="text/css">
	<script src="js/index.js" type="text/javascript"></script>
	<script src="js/affidatari-gestori.js" type="text/javascript"></script>
</head>
<body>
<?php $traduttore->html('Affidatari-Gestori')?>

<input type=button value="<?php echo $no_edit ? "+" : "-" ?>" onclick="objCodice.MostraNascondi(this)" style="float:left" />

<form name="frmRicerca" method="post" Paginazione <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>
	<?php PaginazioneCampiPerForm(20, 'jhp/affidatari/gestori-ricerca.php', 'lista-risultati-ricerca') ?>

	<input type=hidden name=no_edit value="<?php echo $no_edit ? "1" : "0" ?>" />

	<table class=grid>
		<caption><?php $traduttore->html('Gestori')?>
		<tr><th><?php $traduttore->html('ID Gestori')?><td><input type=text name=IdGestore size=25 disabled />
		<tr><th><?php $traduttore->html('Nome')?><td><input type=text name=Nome size=25 maxlength=255 />
		<tr><th><?php $traduttore->html('Indirizzo')?><td><input type=text name=Indirizzo size=25 maxlength=255 />
		<tr><th><?php $traduttore->html('Comune')?><td><input type=text name=Comune size=25 maxlength=255 />
		<tr><th><?php $traduttore->html('Provincia')?><td><input type=text name=Provincia size=2 maxlength=2 />
		<tr><th><?php $traduttore->html('CAP')?><td><input type=text name=Cap size=5 maxlength=5 />
		<tr><th colspan=2>
<?php if ( !$no_edit ) { ?>
			<input type=button name=btnAggiungi value="<?php $traduttore->js('Aggiungi')?>" onclick="objCodice.Aggiungi()" />
			<input type=button name=btnModifica value="<?php $traduttore->js('Modifica')?>" onclick="objCodice.Modifica()" />
<?php } ?>
			<input type=button value="Reset" onclick="this.form.reset()" />
			<input type=button name=btnRicerca value="<?php $traduttore->js('Ricerca')?>" onclick="PaginazioneRicerca(this, 'first')" />
	</table>
</form>

<br id=br1 <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>
<span ButtonSet>
<input type=button value="<?php $traduttore->js('Seleziona Tutto')?>" onclick="objCodice.Seleziona(true)" />
<input type=button value="<?php $traduttore->js('Seleziona Niente')?>" onclick="objCodice.Seleziona(false)" />
<?php if ( !$no_edit ) { ?>
	<input type=button value="<?php $traduttore->js('Elimina')?>" onclick="objCodice.Elimina()" />
<?php } ?>
</span>

<span ButtonSet>
<?php PaginazioneNavigazione('frmRicerca') ?>
</span>
<br>
<br>

<div id="lista-risultati-ricerca"></div>
<br>

<span ButtonSet>
<input type=button value="<?php $traduttore->js('Seleziona Tutto')?>" onclick="objCodice.Seleziona(true)" />
<input type=button value="<?php $traduttore->js('Seleziona Niente')?>" onclick="objCodice.Seleziona(false)" />
<?php if ( !$no_edit ) { ?>
	<input type=button value="<?php $traduttore->js('Elimina')?>" onclick="objCodice.Elimina()" />
<?php } ?>
</span>

<span ButtonSet>
<?php PaginazioneNavigazione('frmRicerca') ?>
</span>
<script>
var messaggi = {
	Seleziona: "<?php $traduttore->js('Prima seleziona riga da cancellare!') ?>",
	Elimina: "<?php $traduttore->js('Eliminare righe selezionate?') ?>"
};
</script>
<?php
	$traduttore->Salva();
?>
</body>
</html>
