<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_009", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_009", "IT", __FILE__);
?>
<html>
<head>
<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
<link href="/repository/css/grid-1.0.0.css" rel="stylesheet" type="text/css">
<link href="css/edit.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/componenti.js"></script>
<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
</head>
<body>

<div id=divPopup1 style="display:none;position:absolute;width:100%;height:100%;z-index:100;background-color:gray;filter: alpha(opacity=90)">
</div>
<div id=divPopup2 style="display:none;position:absolute;top:50%;margin-top:-100px;height:200px;left:50%;z-index:101;margin-left:-200px;width:400px;background-color:lightgray">
	<form>
		<input type=button value="<?php $traduttore->js('Chiudi') ?>" onclick="ChiudiPopup()">
		<input type=button value="<?php $traduttore->js('Modifica') ?>" onclick="modificaTxt()">
		<textarea id=txtArea style="width:100%" rows=10></textarea>
	</form>
</div>

<?php
	
require_once('componenti_sql.inc');

function inputText($value, $len, $maxlen, $idRecord, $campo, $id="")
{
	$value = ntxJs($value);
	
	$onblur = "onblur=\"Modifica('$idRecord','$campo',this)\" ondblclick=\"ApriPopup(this)\"";
	
	echo "<input $id type=text value=\"$value\" maxlength=$maxlen size=$len $onblur>";
}

function inputCheck($checked, $idRecord, $campo, $id="")
{
	$checked = $checked==1 ? "checked" : "";
	
	$onclick = "onclick=\"ModificaChk('$idRecord','$campo',this)\"";
	
	echo "<input $id type=checkbox $checked $onclick>";
}

?>
<table class=grid>
	<caption><?php $traduttore->js('Mestiere') ?>
	<tr>
		<th style="width:80px"><?php $traduttore->js('Codice') ?></th> 
		<th style="width:500px"><?php $traduttore->js('Descrizione') ?></th>
	</tr>   

<?php
	$alternate = true;

	while( $query1  &&  $rs = ntxRecord($query1) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td>&nbsp;<?php echo htmlentities($rs['codice']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<br>

<table class=grid>
	<caption><?php $traduttore->js('Componenti') ?>
	<tr>
		<th></th> 
		<th><?php $traduttore->js('Ordine') ?></th> 
		<th><?php $traduttore->js('Codice') ?></th> 
		<th><?php $traduttore->js('Descrizione') ?></th>
		<th><?php $traduttore->js('Descrizione Estesa') ?></th>
		<th><?php $traduttore->js('Selezionato') ?></th>
	</tr>   

<?php
	$alternate = true;

	while( $query2  &&  $rs = ntxRecord($query2) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td><input type=button value="<?php $traduttore->js('Elimina') ?>" onClick="Elimina('<?php echo $rs[id] ?>')" /></td>
		<td>&nbsp;<?php inputText($rs['Ordine'], 10, 20, $rs[id], 'Ordine') ?></td>
		<td>&nbsp;<?php inputText($rs['codice'], 10, 255, $rs[id], 'codice') ?></td>
		<td>&nbsp;<?php inputText($rs['Descrizione'], 50, 255, $rs[id], 'Descrizione') ?></td>
		<td>&nbsp;<?php inputText($rs['DescrizioneEstesa'], 50, 4000, $rs[id], 'DescrizioneEstesa') ?></td>
		<td>&nbsp;<?php inputCheck($rs['Selezionato'], $rs[id], 'Selezionato') ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form method=post name=frmRefresh>
	<input type=hidden name=IdMestiere value="<?php echo $IdMestiere ?>" />
</form>
<script>

var messaggi = {
	Elimina: "<?php $traduttore->js('Eliminare componente?') ?>"
};

</script>
<?php
	//$traduttore->Salva();
?>
</body>
</html>