<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_004", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_004", "IT", __FILE__);
?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="css/edit.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="js/frequenze.js"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
</head>
<body>

<form id="frmReload" name="frmReload" method="post" action="" target="" >
	<?php ntxCreateHiddens() ?> 		
</form>	

<script>
function copiaFrequenzeDaCommessa()
{
	if(!confirm("Si desidera continuare?\nL'operazione copierà le frequenze dalla commessa selezionata.")) return;
	
	var IdCommessaF = $('#IdCommessaPerFrequenza').val();
	
	var obj = {};
	obj.IdCommessaF = IdCommessaF; 
	
	var result = jhp("jhp/frequenze/copia_da_commessa.php", obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		document.frmReload.submit();
	}
}
</script>

<select id="IdCommessaPerFrequenza" style="display:inline;" >
<?php
$IdCommessa = ntxise('IdCommessa');
	
$sql = <<<_SQL
SELECT IDCommessa, DesComm
FROM  Commesse
WHERE IDCommessa<>$IdCommessa
_SQL;
$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	echo <<<_HTML
	<option value="$html[IDCommessa]" >$html[DesComm] 
_HTML;
}
?>
</select>
<input type="button" value="copia frequenze" style="display:inline;" onclick="copiaFrequenzeDaCommessa();" /> 


<?php
require_once('frequenze_sql.inc');

function inputText($value, $len, $maxlen, $idRecord, $campo, $id="")
{
	$value = ntxJs($value);
	
	$onblur = "onblur=\"Modifica('$idRecord','$campo',this)\"";
	
	echo "<input $id type=text value=\"$value\" maxlength=$maxlen size=$len $onblur>";
}

function inputCheck($value, $idRecord, $campo, $id="")
{
	$checked = $value ? "checked" : "";
	
	$onclick = "onclick=\"ModificaChk('$idRecord','$campo',this)\"";
	
	echo "<input $id type=checkbox $checked  $onclick>";
}

?>
<table class=grid>
	<caption><?php $traduttore->html('Frequenze') ?>
	<tr>
		<th></th> 
		<th><?php $traduttore->html('Pulizie') ?></th> 
		<th><?php $traduttore->html('Ordine') ?></th> 
		<th><?php $traduttore->html('Descrizione') ?></th>
		<th><?php $traduttore->html('Valore') ?></th>
		<th><?php $traduttore->html('Frequenza Mensile') ?></th>
		<th><?php $traduttore->html('Durata (giorni)') ?></th>
		<th><?php $traduttore->html('Usa Frequenza In Settimane') ?></th>
		<th><?php $traduttore->html('Frequenze In Settimane') ?></th>
		<th><?php $traduttore->html('Usa Giorni Fissi Settimana') ?></th>
		<th><?php $traduttore->html('Giorni Per Settimana') ?></th>
		<th><?php $traduttore->html('Un Giorno al Mese') ?></th>
	</tr>   
	<?php
	$alternate = true;

	while( $query  &&  $rs = ntxRecord($query) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td><input type=button value="<?php $traduttore->js('Elimina') ?>" onClick="Elimina('<?php echo $rs[id] ?>')" /></td>
		<td style="text-align:center">&nbsp;<?php inputCheck($rs['Pulizie'], $rs[id], 'Pulizie') ?></td>
		<td>&nbsp;<?php inputText($rs['ordine'], 10, 20, $rs[id], 'ordine') ?></td>
		<td>&nbsp;<?php inputText($rs['Descrizione'], 30, 255, $rs[id], 'Descrizione') ?></td>
		<td>&nbsp;<?php inputText($rs['Valore'], 10, 20, $rs[id], 'Valore') ?></td>
		<td>&nbsp;<?php inputText($rs['FrequenzaMensile'], 10, 20, $rs[id], 'FrequenzaMensile') ?></td>
		<td>&nbsp;<?php inputText($rs['DurataAttivitàInGiorni'], 10, 20, $rs[id], 'DurataAttivitàInGiorni') ?></td>
		<td style="text-align:center">&nbsp;<?php inputCheck($rs['UsaFrequenzaInSettimane'], $rs[id], 'UsaFrequenzaInSettimane') ?></td>
		<td>&nbsp;<?php inputText($rs['FrequenzaInSettimane'], 10, 20, $rs[id], 'FrequenzaInSettimane') ?></td>
		<td style="text-align:center">&nbsp;<?php inputCheck($rs['UsaGiorniFissiSettimana'], $rs[id], 'UsaGiorniFissiSettimana') ?></td>
		<td>&nbsp;<?php inputText($rs['GiorniPerSettimana'], 10, 20, $rs[id], 'GiorniPerSettimana') ?></td>
		<td style="text-align:center">&nbsp;<?php inputCheck($rs['UnGiornoAlMese'], $rs[id], 'UnGiornoAlMese') ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form method=post name=frmRefresh>
</form>
<script>

var messaggi = {
	Elimina: "<?php $traduttore->js('Eliminare frequenza?') ?>"
};

</script>
<?php
	//$traduttore->Salva();
?>
</body>
</html>