<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_005", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_005", "IT", __FILE__);
?>
<html>
<head>
<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
<link href="/repository/css/grid-1.0.0.css" rel="stylesheet" type="text/css">
<link href="css/edit.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
<script type="text/javascript" src="js/frequenze_pulizie.js"></script>
<script type="text/javascript" src="/repository/libs/jhp/jhp-1.4.1.min.js"></script>
</head>
<body>

<?php
	
require_once('frequenze_pulizie_sql.inc');

function inputText($value, $len, $maxlen, $idRecord, $campo, $id="", $etichetta)
{
	$value = ntxJs($value);
	
	$onblur = "onblur=\"Modifica('$idRecord','$campo',this)\"";
	
	echo "<input $id type=text value=\"$value\" maxlength=$maxlen size=$len $onblur  title='$etichetta' >";
}

function inputCheck($value, $idRecord, $campo, $id="")
{
	$checked = $value ? "checked" : "";
	
	$onclick = "onclick=\"ModificaChk('$idRecord','$campo',this)\"";
	
	echo "<input $id type=checkbox $checked  $onclick  title=$campo >";
}

function inputOption($value, $idRecord, $campo, $valueComp, $etichetta)
{
	$checked = $value==$valueComp ? "checked" : "";
	
	$onclick = "onclick=\"ModificaOption('$idRecord','$campo', this)\"";
	
	echo "<input type=radio idRecord=$idRecord name=$campo_{$idRecord} $checked  $onclick valore=$valueComp title='$etichetta' >";
}

?>
<table class=grid>
	<caption><?php $traduttore->html('Frequenze Pulizie') ?>
	<tr>
		<th rowspan=2></th> 
		<th rowspan=2><?php $traduttore->html('Ordine') ?></th> 
		<th rowspan=2><?php $traduttore->html('Descrizione') ?></th>
		<th rowspan=2><?php $traduttore->html('Valore') ?></th>
		<th rowspan=2><?php $traduttore->html('Frequenza Mensile') ?></th>
		<th rowspan=2><?php $traduttore->html('LUN') ?></th>
		<th rowspan=2><?php $traduttore->html('MAR') ?></th>
		<th rowspan=2><?php $traduttore->html('MER') ?></th>
		<th rowspan=2><?php $traduttore->html('GIO') ?></th>
		<th rowspan=2><?php $traduttore->html('VEN') ?></th>
		<th rowspan=2><?php $traduttore->html('SAB') ?></th>
		<th rowspan=2><?php $traduttore->html('DOM') ?></th>
		<th rowspan=2><?php $traduttore->html('Mese di inizio pianificazione') ?>
		<th colspan=4><?php $traduttore->html('Settimana di inizio') ?>
		<th rowspan=2><?php $traduttore->html('Durata standard in giorni della pianificazione') ?></th>
	<tr>
		<th>1
		<th>2
		<th>3
		<th>4
	</tr>   
	<?php
	$alternate = true;

	while( $query  &&  $rs = ntxRecord($query) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td><input type=button value="<?php $traduttore->html('Elimina') ?>" onClick="Elimina('<?php echo $rs[id] ?>')" /></td>
		<td>&nbsp;<?php inputText($rs['ordine'], 4, 3, $rs[id], 'ordine',"", "Ordine") ?></td>
		<td>&nbsp;<?php inputText($rs['Descrizione'], 30, 255, $rs[id], 'Descrizione',"", "Descrizione") ?></td>
		
		<td>&nbsp;<?php inputText($rs['Valore'], 5, 15, $rs[id], 'Valore',"", "Valore") ?></td>
		<td>&nbsp;<?php inputText($rs['FrequenzaMensile'], 5, 15, $rs[id], 'FrequenzaMensile',"", "Frequenza Mensile") ?></td>

		<td style="text-align:center">&nbsp;<?php inputCheck($rs['Lun'], $rs[id], 'Lun') ?></td>
		<td style="text-align:center">&nbsp;<?php inputCheck($rs['Mar'], $rs[id], 'Mar') ?></td>
		<td style="text-align:center">&nbsp;<?php inputCheck($rs['Mer'], $rs[id], 'Mer') ?></td>
		<td style="text-align:center">&nbsp;<?php inputCheck($rs['Gio'], $rs[id], 'Gio') ?></td>
		<td style="text-align:center">&nbsp;<?php inputCheck($rs['Ven'], $rs[id], 'Ven') ?></td>
		<td style="text-align:center">&nbsp;<?php inputCheck($rs['Sab'], $rs[id], 'Sab') ?></td>
		<td style="text-align:center">&nbsp;<?php inputCheck($rs['Dom'], $rs[id], 'Dom') ?></td>

		<td>&nbsp;<?php inputText($rs['MeseInizio'], 4, 2, $rs[id], 'MeseInizio',"", "Mese di inizio pianificazione") ?></td>

		<td style="text-align:center">&nbsp;<?php inputOption($rs['SettimanaInizio'], $rs[id], 'SettimanaInizio', 1, 'Prima settimana') ?></td>
		<td style="text-align:center">&nbsp;<?php inputOption($rs['SettimanaInizio'], $rs[id], 'SettimanaInizio', 2, 'Seconda settimana') ?></td>
		<td style="text-align:center">&nbsp;<?php inputOption($rs['SettimanaInizio'], $rs[id], 'SettimanaInizio', 3, 'Terza settimana') ?></td>
		<td style="text-align:center">&nbsp;<?php inputOption($rs['SettimanaInizio'], $rs[id], 'SettimanaInizio', 4, 'Quarta settimana') ?></td>

		<td>&nbsp;<?php inputText($rs['DurataAttivitàInGiorni'], 5, 4, $rs[id], 'DurataAttivitàInGiorni',"", "Durata standard in giorni della pianificazione") ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form method=post name=frmRefresh>
</form>
<script>

var messaggi = {
	Elimina: "<?php $traduttore->js('Eliminare frequenza?') ?>"
};

</script>
<?php
	//$traduttore->Salva();
?>
</body>
</html>