<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_011", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_011", "IT", __FILE__);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<link href="css/edit.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="js/letture.js"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>

	<style>
	.elemNascosto
	{
		display: none;
	}
	</style>
</head>
<body>

<?php
	
require_once('letture_sql.inc');

function inputText($value, $len, $maxlen, $idRecord, $campo, $id="")
{
	$value = ntxJs($value);
	
	$onblur = "onblur=\"Modifica('$idRecord','$campo',this)\" ondblclick=\"ApriPopup(this)\"";
	
	echo "<input $id type=text value=\"$value\" maxlength=$maxlen size=$len $onblur>";
}

function inputCheck($checked, $idRecord, $campo, $id="")
{
	$checked = $checked==1 ? "checked" : "";
	
	$onclick = "onclick=\"ModificaChk('$idRecord','$campo',this)\"";
	
	echo "<input $id type=checkbox $checked $onclick>";
}

function comboBox($valori, $valore_settato, $idRecord, $campo, $id="")
{
	$onchange = "onchange=\"Modifica('$idRecord','$campo',this)\"";

	echo "<select $id $onchange>";
	echo "<option value=''></option>";
	
	foreach($valori as $rs)
	{
		$selected = is_numeric($valore_settato)  &&  $valore_settato == $rs[0] ? "selected" : "";
		
		echo "<option value='$rs[0]' $selected>".htmlentities($rs[1])."</option>";
	}
	
	echo "</select>";
}

?>
<table class=grid>
	<caption><?php $traduttore->js('Mestiere') ?>
	<tr>
		<th style="width:80px"><?php $traduttore->js('Codice') ?></th> 
		<th style="width:500px"><?php $traduttore->js('Descrizione') ?></th>
	</tr>   
<?php
	$alternate = true;

	while( $query1  &&  $rs = ntxRecord($query1) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td>&nbsp;<?php echo htmlentities($rs['codice']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<br>
<table class=grid>
	<caption><?php $traduttore->js('Componente') ?>
	<tr>
		<th style="width:80px"><?php $traduttore->js('Codice') ?></th> 
		<th style="width:500px"><?php $traduttore->js('Descrizione') ?></th>
	</tr>   

<?php
	$alternate = true;

	while( $query2  &&  $rs = ntxRecord($query2) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td>&nbsp;<?php echo htmlentities($rs['codice']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<br>
<table class=grid>
	<caption><?php $traduttore->js('Attività') ?>
	<tr>
		<th style="width:80px"><?php $traduttore->js('Codice') ?></th> 
		<th style="width:500px"><?php $traduttore->js('Descrizione') ?></th>
	</tr>   

<?php
	$alternate = true;

	while( $query3  &&  $rs = ntxRecord($query3) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td>&nbsp;<?php echo htmlentities($rs['codice']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<br>

<table class=grid>
	<caption><?php $traduttore->js('Modello Lettura Attività') ?>
	<tr>
		<th></th> 
		<th><?php $traduttore->js('Etichetta') ?>
		<th><?php $traduttore->js('Tipo Dato') ?>
	</tr>   

<?php
	$alternate = true;

	while( $query4  &&  $rs = ntxRecord($query4) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td><input type=button value="<?php $traduttore->js('Elimina') ?>" onClick="Elimina('<?php echo $rs[id] ?>')" /></td>
		<td>&nbsp;<?php inputText($rs['Etichetta'], 10, 50, $rs[id], 'Etichetta') ?></td>
		<td>&nbsp;<?php comboBox($TipiDati, $rs['TipoDato'], $rs[id], 'TipoDato') ?></td> 
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<input type=button value="<?php $traduttore->js('Aggiungi') ?>" onclick="Aggiungi()" />

<form method=post name=frmRefresh>
	<input type=hidden name=IdAttivitàMestiere value="<?php echo $IdAttivitàMestiere ?>" />
</form>
<script>

var messaggi = {
	Elimina: "<?php $traduttore->js('Eliminare Lettura?') ?>"
};

</script>
<?php
	//$traduttore->Salva();
?>
</body>
</html>