<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_003", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_003", "IT", __FILE__);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
		"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="css/edit.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="js/mestieri.js"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	
	<style>
	input
	{
		display:inline;
	}
	</style>
</head>
<body>

<div id=divPopup1 style="display:none;position:absolute;width:100%;height:100%;z-index:100;background-color:gray;filter: alpha(opacity=90)">
</div>
<div id=divPopup2 style="display:none;position:absolute;top:50%;margin-top:-100px;height:200px;left:50%;z-index:101;margin-left:-200px;width:400px;background-color:lightgray">
	<form>
		<input type=button value="<?php $traduttore->js('Chiudi') ?>" onclick="ChiudiPopup()">
		<input type=button value="<?php $traduttore->js('Modifica') ?>" onclick="modificaTxt()">
		<textarea id=txtArea style="width:100%" rows=10></textarea>
	</form>
</div>


<?php
	
require_once('mestieri_sql.inc');

function inputText($value, $len, $maxlen, $idRecord, $campo, $id="")
{
	$value = ntxJs($value);
	
	$onblur = "onblur=\"Modifica('$idRecord','$campo',this)\" ondblclick=\"ApriPopup(this)\"";
	
	echo "<input $id type=text value=\"$value\" maxlength=$maxlen size=$len $onblur>";
}

function inputCheck($checked, $idRecord, $campo, $id="")
{
	$checked = $checked==1 ? "checked" : "";
	
	$onclick = "onclick=\"ModificaChk('$idRecord','$campo',this)\"";
	
	echo "<input $id type=checkbox $checked $onclick>";
}

?>
<table class=grid>
	<caption><?php $traduttore->html('Mestieri') ?>
	<tr>
		<th> 
		<th><?php $traduttore->html('Ordine') ?> 
		<th><?php $traduttore->html('Codice') ?> 
		<th><?php $traduttore->html('Cod.Ammin. ') ?>
		<th><?php $traduttore->html('Descrizione') ?>
		<th><?php $traduttore->html('AttoreInUso') ?>
		<th><?php $traduttore->html('Sotto400mq') ?>
		<th><?php $traduttore->html('Calc14x100') ?>
		<th><?php $traduttore->html('Nascondi in segnalazioni') ?>
		
		<th><?php $traduttore->html('Modulo Risaldamento') ?>
		<th><?php $traduttore->html('Modulo Sale') ?>
		<th><?php $traduttore->html('Modulo Lavanderia') ?>
		
		<th><?php $traduttore->html('Escludi dalle statistiche MC') ?>
		<th><?php $traduttore->html('Escludi caricamento in filtro MC') ?>
		<th><?php $traduttore->html('UsaInModStrade') ?>  
		<th><?php $traduttore->html('SoloExtracanone') ?>  
	</tr>   

<?php
	$alternate = true;

	while( $query  &&  $rs = ntxRecord($query) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td><input type=button value="<?php $traduttore->js('Elimina') ?>" onClick="Elimina('<?php echo $rs[id] ?>')" />
		<td><?php inputText($rs['Ordine'], 10, 20, $rs[id], 'Ordine') ?>
		<td><?php inputText($rs['codice'], 10, 255, $rs[id], 'codice') ?>
		<td><?php inputText($rs['codiceAM'], 10, 255, $rs[id], 'codiceAM') ?>
		<td><?php inputText($rs['Descrizione'], 50, 255, $rs[id], 'Descrizione') ?>
		<td><?php inputText($rs['AttoreInUso'], 30, 255, $rs[id], 'AttoreInUso') ?>
		<td><?php inputCheck($rs['CalcSotto400mq'], $rs[id], 'CalcSotto400mq') ?>
		<td><?php inputCheck($rs['Calc14x100'], $rs[id], 'Calc14x100') ?>
		<td><?php inputCheck($rs['NonVisSuSegnCliente'], $rs[id], 'NonVisualizzareSuSegnalazioniCliente') ?>
		
		<td><?php inputCheck($rs['moduloRiscaldamento'], $rs[id], 'RichiedeCompilazioneModuloRiscaldamento') ?>
		<td><?php inputCheck($rs['moduloSale'], $rs[id], 'RichiedeCompilazioneModulo') ?>		
		<td><?php inputCheck($rs['ModuloLavanderia'], $rs[id], 'ModuloLavanderia') ?>	
		
		<td><?php inputCheck($rs['escludiDaMatriceControllo'], $rs[id], 'escludiDaMatriceControllo') ?>		
		<td><?php inputCheck($rs['caricaInFiltroMC'], $rs[id], 'caricaInFiltroMC') ?>		
		<td><?php inputCheck($rs['UsaInModStrade'], $rs[id], 'UsaInModStrade') ?>		 
		<td><?php inputCheck($rs['SoloExtracanone'], $rs[id], 'SoloExtracanone') ?>		 
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form method=post name=frmRefresh>
</form>
<script>

var messaggi = {
	Elimina: "<?php $traduttore->js('Eliminare mestiere?') ?>"
};

</script>
<?php
	//$traduttore->Salva();
?>
</body>
</html>