<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_006", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_006", "IT", __FILE__);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="css/edit.css" rel="stylesheet" type="text/css">

	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script> 
</head>
<body>


<script language="javascript">
var messaggi = {
	Errore: "<?php $traduttore->js('Errore nel salvataggio!') ?>",
	Aggiunta_succ: "<?php $traduttore->js('Aggiunta avvenuta con successo!') ?>",
	Eliminare: "<?php $traduttore->js('Eliminare la riga?') ?>",
	Rimozione_succ: "<?php $traduttore->js('Rimozione avvenuta con successo!') ?>"	
};

function update(obj , strElement, ID, where)
{
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID;

	
	if ( !ntxSendForm(document.formUpdate, function(){}, where+'/update') )
		alert(messaggi.Errore);
		
	document.formUpdate.Element.value = '';
	document.formUpdate.valueElement.value = '';		
}

function aggiungi(where, form)
{
	if (ntxSendForm(form, function(){},  where+'/aggiungi') )
	{
		alert(messaggi.Aggiunta_succ);
		
		form.submit();
	}
}

function elimina(ID, where)
{
	if(!confirm(messaggi.Eliminare)) return;
	
	document.formUpdate.ID.value = ID;

	if (ntxSendForm(document.formUpdate, function(){},  where+'/elimina') )
	{
		alert(messaggi.Rimozione_succ);
		
		document.formUpdate.submit();
	}
	
	document.formUpdate.ID.value = '';
}
</script>
 
 

<form name="formUpdate" id="formUpdate" method="post" >  
	<input type="hidden" name="ID" id="ID" /> 
	<input type="hidden" name="Element" id="Element" /> 
	<input type="hidden" name="valueElement" id="valueElement" /> 
</form> 




 
<?php
$sql = <<< sql
SELECT Id, Descrizione
FROM tblAttivitàMestiere_TipoSoglia
WHERE IdCommessa=$IdCommessa
ORDER BY Descrizione
sql;

$query = ntxQuery($sql);
?>
<table class=grid>
	<caption><?php $traduttore->html('Tipi Docs Soglia') ?>
	<tr>
		<th></th> 
		<th>ID</th> 
		<th><?php $traduttore->html('Descrizione') ?></th>
	</tr>   

<?php
	$alternate = true;

	while( $query  &&  $rs = ntxRecord($query) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td> <input type=button value="<?php $traduttore->js('Elimina') ?>" onClick="elimina('<?php echo $rs[Id] ?>', 'tipo_docs_soglia')" /> 
		
		<td> <input type="text" onblur="update(this , 'Id', '<?php echo $rs[Id]?>', 'tipo_docs_soglia')" value="<?php echo htmlentities($rs['Id']) ?>" />		
		
		<td> <input type="text" onblur="update(this , 'Descrizione', '<?php echo $rs[Id]?>',  'tipo_docs_soglia')" value="<?php echo htmlentities($rs['Descrizione']) ?>" />	
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
		<form name="formAdd1" id="formAdd1" method="post" >  
		<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
			<td > <input type="button" onclick="aggiungi('tipo_docs_soglia', document.formAdd1)" value="<?php $traduttore->js('Aggiungi') ?>"/> 
			
			<td> <input type="text" name="Id" />
			
			<td> <input type="text" name="Descrizione" />
		</tr>	
		</form>	
</table>


<br>

 
<?php
$sql = <<< sql
SELECT Id, Descrizione
FROM tblAttivitàMestiere_TipiDocsAllegati
WHERE IdCommessa=$IdCommessa
ORDER BY Descrizione
sql;

$query = ntxQuery($sql);
?>
<table class=grid>
	<caption><?php $traduttore->html('Tipi Docs Allegati') ?>
	<tr>
		<th></th> 
		<th>ID</th> 
		<th><?php $traduttore->html('Descrizione') ?></th>
	</tr>   

<?php
	$alternate = true;

	while( $query  &&  $rs = ntxRecord($query) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td> <input type=button value="<?php $traduttore->js('Elimina') ?>" onClick="elimina('<?php echo $rs[Id] ?>', 'tipo_docs_allegati')" /> 
		
		<td> <input type="text" onblur="update(this , 'Id', '<?php echo $rs[Id]?>', 'tipo_docs_allegati')" value="<?php echo htmlentities($rs['Id']) ?>" />		
		
		<td> <input type="text" onblur="update(this , 'Descrizione', '<?php echo $rs[Id]?>',  'tipo_docs_allegati')" value="<?php echo htmlentities($rs['Descrizione']) ?>" />	
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
		<form name="formAdd2" id="formAdd2" method="post" >  
		<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
			<td > <input type="button" onclick="aggiungi('tipo_docs_allegati', document.formAdd2)" value="<?php $traduttore->js('Aggiungi') ?>"/> 
			
			<td> <input type="text" name="Id" />
			
			<td> <input type="text" name="Descrizione" />
		</tr>	
		</form>	
</table>
<?php
	//$traduttore->Salva();
?>
</body>
</html>