<?php  

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

$vers = 2;

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
	<style>	
<?php
		include('css/base.css');
?>
	</style>
</head>
<body>

<?php
$IdCommessa = ntxise('IdCommessa');
/*
$sql = <<< sql
	UPDATE    tblAttivitàMestiere
	SET              TipoMP = case when (
										SELECT COUNT(*)
										FROM AttivitàMestTipiComp
										WHERE     (IdCommessaAttività = tblAttivitàMestiere.IdCommessa) 
										AND (IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere))>0 then 1 else 0 end
	FROM      tblAttivitàMestiere 
	WHERE     (IdCommessa = $IdCommessa)
sql;

ntxQuery($sql);
*/
$sql = <<< sql
UPDATE    TipoComponente
SET              GeneraDettaglioOrdPrg = case when (
								SELECT COUNT(*)
								FROM AttivitàMestTipiComp
								WHERE     (IdCommessaTipoComp = TipoComponente.IdCommessa) 
								AND (IdTipoComp = TipoComponente.IDTipoComponente))>0 then 1 else 0 end
	WHERE     (IdCommessa = $IdCommessa)
sql;

ntxQuery($sql);

$addInnerJoin = "";

if ( is_numeric($_POST['Contratto']) )	
{
	$IdPgContratto = ntxip('Contratto');
	
	$addInnerJoin = <<< addInnerJoin
		INNER JOIN
                      (SELECT  DISTINCT   tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa, ComponentiAmbiente.IdTipoComponente
						FROM         tblPgContrattiPropietariGestoriAttivitàEdifici INNER JOIN
											  ComponentiAmbiente ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ComponentiAmbiente.IdCommessa AND 
											  tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ComponentiAmbiente.IdEdificio
						WHERE     (ComponentiAmbiente.Rimosso = 0 OR
											  ComponentiAmbiente.Rimosso IS NULL)
							AND (tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = $IdPgContratto)) a ON TipoComponente.IdCommessa = a.IdCommessa AND 
							  TipoComponente.IDTipoComponente = a.IdTipoComponente
addInnerJoin;

}

$sql = <<< sql
SELECT * FROM (
	SELECT DISTINCT    TipoComponente.IDTipoComponente id, TipoComponente.DesComponente des, TipoComponente.ordinamento, TipoComponente.GeneraDettaglioOrdPrg Gen,
		(SELECT     COUNT(*) AS Expr1
			FROM    componentiAmbiente 

			 WHERE TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
								  TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente
			AND     (ComponentiAmbiente.Rimosso = 0) OR
								  (ComponentiAmbiente.Rimosso IS NULL)) ComponentiCensiti
					  
	FROM         
			TipoComponente 
			
			$addInnerJoin
			
			LEFT OUTER JOIN
			GruppiImpTipiComp ON TipoComponente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND 
			TipoComponente.IDTipoComponente = GruppiImpTipiComp.IdTipoComponente
			
	WHERE     (TipoComponente.IdCommessa = $IdCommessa) 
sql;

if ( is_numeric($_POST['IdGruppoImpianto']) ) $sql .= " AND GruppiImpTipiComp.IdGruppoImpianto = ".ntxip('IdGruppoImpianto'); 

if ( strlen($_POST['Descrizione']) ) $sql .= " AND TipoComponente.DesComponente like '%".str_replace("'","''",$_POST['Descrizione'])."%'"; 

if ( $_POST['GeneraDettaglioProgrammate']=="SI" )
	$sql .= " AND TipoComponente.GeneraDettaglioOrdPrg =1 ";
elseif ( $_POST['GeneraDettaglioProgrammate']=="NO" )
	$sql .= " AND (TipoComponente.GeneraDettaglioOrdPrg =0 OR TipoComponente.GeneraDettaglioOrdPrg IS NULL) ";
	
	
$sql .= <<< sql
	) a WHERE 1=1
sql;

if ( $_POST['ComponentiCensiti']=="SI" ) 
	$sql .= " AND ComponentiCensiti>0"; 
elseif ( $_POST['ComponentiCensiti']=="NO" ) 
	$sql .= " AND ComponentiCensiti=0"; 
	
$sql .= <<< sql
	ORDER BY ordinamento, des
sql;

$query = ntxQuery($sql);;

$table = <<< table
	<table class=grid>
		<tr>
			<th>Descrizione
			<th>N.Componenti Censiti
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$x = $rs[Gen] ? "X" : "";
	
	$table .= <<< table
		<tr $classTr>
			<td>$html[des]
			<td style="text-align:right">$html[ComponentiCensiti]
table;

	$alternate = !$alternate;
}

$table .= "</table>";
	
	echo $table;
?>

</body>
</html>
