function TxtOnBlur()
{
	this.title = this.value;
	
	var rowPos = g.tblMy.getRowIndex(this);
		
	memorizzaRiga(rowPos);
}

function ButtonClick()
{
	var rowPos = g.tblMy.getRowIndex(this);
	var colPos = g.tblMy.getColIndex(this);

	buttonClick(rowPos, colPos, g.tblMy.colNames[colPos]);
}

function CheckClick()
{
	var rowPos = g.tblMy.getRowIndex(this);
		
	memorizzaRiga(rowPos);
}

function TxtDoubleClick()
{
	if ( this.rows==1 )
		this.rows=8;
	else
		this.rows=1;
}

function CreaTextArea()
{
	var component = document.createElement('textarea');
	
	component.onblur = TxtOnBlur;
	component.ondblclick = TxtDoubleClick;
	
	component.style.width="100%";
	component.rows = 1;
	
	return component;
}

function CreaTextbox()
{
	var component = document.createElement('input');
	
	component.type = 'text';

	component.onblur = TxtOnBlur;
	
	component.style.width="100%";
	
	return component;
}

function CreaCheck()
{
	var component = document.createElement('input');
	
	component.type = 'checkbox';

	component.onclick = CheckClick;
	
	return component;
}

function CreaButton()
{
	var component = document.createElement('input');
	
	component.type = 'button';

	component.value = "...";
	
	component.onclick = ButtonClick;
	
	return component;
}

function CreaHiddenbox()
{
	var component = document.createElement('input');
	
	component.type = 'hidden';
	
	return component;
}

function CreaImage()
{
	var component = document.createElement('img');
	
	component.style.width = "16px";
	component.style.heigth = "16px";
	
	component.src = 'img/blank.bmp';
	
	return component;
}

function AggiungiRiga()
{
	if ( g.blocco ) return;
	
	var checkbox = document.createElement('input');
	checkbox.type = 'checkbox';

	var hidden = document.createElement('input');
	hidden.type = 'hidden';

	g.tblMy.appendRow();
	
	var iRow = g.tblMy.getRowCount()-1;
	
	g.tblMy.setCellByName(iRow, 'Id', hidden);
	
	g.tblMy.setCellByName(iRow, 'Sel', checkbox);
	
	g.tblMy.setCellByName(iRow, 'Ordine', CreaTextbox());
	
	g.tblMy.getCellByName(iRow, "Ordine").value = 0;
	
	g.tblMy.setCellByName(iRow, 'Nome', CreaTextbox());
	g.tblMy.setCellByName(iRow, 'FileName', CreaTextbox());
	g.tblMy.setCellByName(iRow, 'Simbolo', CreaTextbox());
	g.tblMy.setCellByName(iRow, 'btnSymbol', CreaButton());
	g.tblMy.setCellByName(iRow, 'imgSymbol', CreaImage());
	
	g.tblMy.setCellByName(iRow, 'Visibile', CreaCheck());
	g.tblMy.setCellByName(iRow, 'Global', CreaCheck());
	g.tblMy.setCellByName(iRow, 'Populate', CreaCheck());
	
	return iRow;
}

function AggiungiRiga2()
{
	var button = document.createElement('input');
	button.type = 'button';
	button.onclick = buttonClick2;
	button.value = 'Sel';

	tblMy2.appendRow();
	
	var iRow = tblMy2.getRowCount()-1;
	
	tblMy2.setCellByName(iRow, 'Sel', button);
	
	tblMy2.setCellByName(iRow, 'Simbolo', CreaTextbox());
	
	tblMy2.getCellByName(iRow, 'Simbolo').disabled = true;
	
	tblMy2.setCellByName(iRow, 'imgSymbol', CreaImage());
		
	return iRow;
}

function selectAll(value)
{
	var i, len = g.tblMy.getRowCount();
	
	var iCol = g.tblMy.getIndexColName('Sel');
	
	for (i=0; i<len; ++i)
	{
		var chk = g.tblMy.getCell(i,iCol);

		if ( chk.type && chk.type=="checkbox" )
			chk.checked = value;
	}
}

function deleteSelected()
{
	if ( g.blocco ) return;
	
	if ( !confirm("Elimina righe selezionate?") ) return;
	
	var i = g.tblMy.getRowCount()-1;
	
	var iCol = g.tblMy.getIndexColName('Sel');
	
	for (; i>=0; --i)
	{
		var chk = g.tblMy.getCell(i,iCol);

		if ( chk.type && chk.type=="checkbox" && chk.checked )
		{
			if (elimina(i))
				g.tblMy.deleteRow(i);
		}
	}
}

