<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">

	<link href="css/index.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>

	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	
	<link href="/repository/libs/jquery_nameless/combobox.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery_nameless/combobox.js"></script>

	<script type="text/javascript" src="jhp/index.js"></script>
	<script type="text/javascript" src="jhp/prop_loc_multiplo.js"></script>
</head>
<body>
<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_050", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_050", "IT", __FILE__);


$TipoLoc = ntxip('TipoLoc');

if ( $TipoLoc==0 )
	$DesTipoLoc = "Edifici";
elseif ( $TipoLoc==1 )
	$DesTipoLoc = "Strade";
elseif ( $TipoLoc==2 )
	$DesTipoLoc = "Verde";
else
	$DesTipoLoc = "Tipo Localizzazione Sconosciuta";

?>
	<input type=button value="<?php $traduttore->html('Gruppi Localizzazioni') ?>" onclick="VaiA('index.php')" />
	<input type=button value="<?php $traduttore->html('Edifici') ?>" onclick="VaiB('localizzazioni.php', 0)" />
	<input type=button value="<?php $traduttore->html('Strade') ?>" onclick="VaiB('localizzazioni.php', 1)" />
	<input type=button value="<?php $traduttore->html('Verde') ?>" onclick="VaiB('localizzazioni.php', 2)" />
	<br>
	<input type=button value="<?php $traduttore->html('Categorie Edifici') ?>" onclick="VaiB('categorie.php', 0)" />
	<input type=button value="<?php $traduttore->html('Categorie Strade') ?>" onclick="VaiB('categorie.php', 1)" />
	<input type=button value="<?php $traduttore->html('Categorie Verde') ?>" onclick="VaiB('categorie.php', 2)" />
	<br>
	<input type=button value="<?php $traduttore->html('Personalizza Proprietà Edifici') ?>" onclick="VaiB('customize_props.php', 0)" />
	<input type=button value="<?php $traduttore->html('Personalizza Proprietà Strade') ?>" onclick="VaiB('customize_props.php', 1)" />
	<input type=button value="<?php $traduttore->html('Personalizza Proprietà Verde') ?>" onclick="VaiB('customize_props.php', 2)" />
	<h1><?php echo $traduttore->html('Modifica Multiplo Proprietà')." $DesTipoLoc" ?></h1>
	
	<input type=button value="<?php $traduttore->html('Aggiorna') ?>" onclick="VaiA('prop_localiz.php')" />
	<input type=button value="<?php $traduttore->html('Mostra Edifici Selezionati') ?>" onclick="$('#ElencoEdifici').show()" />
	<input type=button value="<?php $traduttore->html('Nascondi Edifici Selezionati') ?>" onclick="$('#ElencoEdifici').hide()" />
<br><br>
<?php

$IdEdificiStr = ntxsp('IdEdifici');

$sql = <<< sql
		SELECT     a.ID IdEdificio, Codice, EdificioEstesa, EdificioBreve, Indirizzo, CITTA, PROVINCIA, CAP, AreaMQ, MqLordiPDI, Note, 
				(SELECT     Nome
					FROM         tblPgPropietari
					WHERE     (IdPropietario = ElencoEdifici.IdProprietario)) Proprietario
		FROM         ElencoEdifici INNER JOIN dbo.splitid($IdEdificiStr) a ON ElencoEdifici.ID=a.id
		WHERE     (IdCommessa = $IdCommessa)
sql;

$query = ntxQuery($sql);

/*$table = <<< table
	<table class=grid id=ElencoEdifici>
		<caption>Elenco Edifici Selezionati su cui intervenire
		<tr>
			<th>Codice
			<th>Nome Breve
			<th>Nome Esteso
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>CAP
			<th>MQ
			<th>MQ Lordi
			<th>Note
			<th>Proprietario
			<th>Id
table;*/
$table =
	"<table class=grid id=ElencoEdifici>"
		."<caption>".$traduttore->html('Elenco Edifici Selezionati su cui intervenire')
		."<tr>"
			."<th>".$traduttore->traduci('Codice')
			."<th>".$traduttore->traduci('Nome Breve')
			."<th>".$traduttore->traduci('Nome Esteso')
			."<th>".$traduttore->traduci('Indirizzo')
			."<th>".$traduttore->traduci('Comune')
			."<th>".$traduttore->traduci('Provincia')
			."<th>".$traduttore->traduci('CAP')
			."<th>".$traduttore->traduci('Mq')
			."<th>".$traduttore->traduci('Mq Lordi')
			."<th>".$traduttore->traduci('Note')
			."<th>".$traduttore->traduci('Proprietario')
			."<th>ID"
;

while ( $rs = ntxRecord($query) )
{
	$html = array();

	foreach($rs as $key=>$value)
		$html[$key] = htmlentities($value);
		
	$table .= <<< table
			<tr>
				<td>$html[Codice]
				<td>$html[EdificioBreve]
				<td>$html[EdificioEstesa]
				<td>$html[Indirizzo]
				<td>$html[CITTA]
				<td>$html[PROVINCIA]
				<td>$html[CAP]
				<td>$html[AreaMQ]
				<td>$html[MqLordiPDI]
				<td>$html[Note]
				<td>$html[Proprietario]
				<td>$rs[IdEdificio]
	<br>
table;
}

$table .= <<< table
	</table>
<br>
table;

echo $table;

require_once("prop_loc_carica_combobox.inc");

$sql = <<< sql
	SELECT     tblValPropTipiEdifici.IdPropTipoEdificio, tblValPropTipiEdifici.Valore
	FROM         tblValPropTipiEdifici INNER JOIN
						  tblPropTipiEdifici ON tblValPropTipiEdifici.IdCommessa = tblPropTipiEdifici.IdCommessa AND 
						  tblValPropTipiEdifici.IdPropTipoEdificio = tblPropTipiEdifici.IdPropTipoEdificio
	WHERE     (tblPropTipiEdifici.IdCommessa = $IdCommessa) AND (tblPropTipiEdifici.TipoEdificio = $TipoLoc)
sql;

$query = ntxQuery($sql);

$listeValoriDefault = array();

while ( $rs = ntxIRecord($query) )
{
	$listeValoriDefault[$rs[0]][] = $rs[1];
}

$sql = <<< sql
	SELECT     IdPropTipoEdificio, Propietà
	FROM         tblPropTipiEdifici
	WHERE     (IdCommessa = $IdCommessa) AND (TipoEdificio = $TipoLoc)
sql;

$query = ntxQuery($sql);

/*$table = <<< table
<table class=grid style="font-size:1.2em"><tr>
	<th>
	<th>
	<th>Proprietà
	<th>Valore
	<th>Lista Valori Predefiniti
table;*/
$table = 
"<table class=grid style=\"font-size:1.2em\"><tr>"
	."<th>
	<th>"
	."<th>".$traduttore->traduci('Proprietà')
	."<th>".$traduttore->traduci('Valore')
	."<th>".$traduttore->traduci('Lista Valori Predefiniti')
;

while ( $rs=ntxRecord($query) )
{
	$htmlPropietà = htmlentities($rs[Propietà]);

	$select = getSelectSelected($listeValoriDefault[$rs[IdPropTipoEdificio]]);
	
	/*$table .= <<< table
		<tr IdPropTipoEdificio=$rs[IdPropTipoEdificio]>
			<td><input type=button value=Cancella onclick="CancellaProp($rs[IdPropTipoEdificio])" />
			<td><input type=checkbox IdPropTipoEdificio=$rs[IdPropTipoEdificio] SelectedValues />
			<td>$htmlPropietà
			<td><input type=text IdPropTipoEdificio=$rs[IdPropTipoEdificio] onchange="Modifica(this)" Campo=Valore value="" size=50 maxlength=255 />
			<td><select IdPropTipoEdificio=$rs[IdPropTipoEdificio] Campo=IdProprietario onchange="SelValoreDaLista(this)">$select</select>
table;*/
	$table .=
		"<tr IdPropTipoEdificio=$rs[IdPropTipoEdificio]>"
			."<td><input type=button value=\"".$traduttore->traduci('Elimina')."\" onclick=\"CancellaProp($rs[IdPropTipoEdificio])\" />"
			."<td><input type=checkbox IdPropTipoEdificio=$rs[IdPropTipoEdificio] SelectedValues />
			<td>$htmlPropietà
			<td><input type=text IdPropTipoEdificio=$rs[IdPropTipoEdificio] onchange=\"Modifica(this)\" Campo=Valore value=\"\" size=50 maxlength=255 />
			<td><select IdPropTipoEdificio=$rs[IdPropTipoEdificio] Campo=IdProprietario onchange=\"SelValoreDaLista(this)\">$select</select>"
;
}
$table .= "</table>";

echo $table;

?>
<br>
<input type=button value="<?php $traduttore->html('MEMORIZZA') ?>" onclick="Memorizza()" />
	
<form name=form1 method=post>
	<input type=hidden name=IdGruppo value="<?php echo $IdGruppo ?>" />
	<input type=hidden name=TipoLoc value="<?php echo $TipoLoc ?>" />
	<input type=hidden name=IdEdifici value="<?php echo $_POST[IdEdifici] ?>" />
</form>
<script>
var messaggi = {
	Finito: "<?php $traduttore->js('FINITO!') ?>"
};
</script>
<?php
	$traduttore->Salva();
?>
</body>
</html>