<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');

$where = "WHERE (ILS_Dispositivi.IDCommessa = $IdCommessa)";

if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ILS_Dispositivi.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( is_numeric($_POST[Tipo]) ) $where .= " AND ILS_Dispositivi.Tipo=".((int)$_POST[Tipo]);

$sql = <<< sql
	SELECT     ILS_Dispositivi.Id, ILS_Dispositivi.Attivo, ILS_Dispositivi.DataPrimaAttivazione, ILS_Dispositivi.DataUltimaDisattivazione, 
                      ILS_Dispositivi.DataUltimaAttivazione, ILS_Dispositivi.Codice, ILS_Utenti.Nome AS UltimoUtenteILS, Utenti.Nome AS UltimoUtenteWeb, 
                      ILS_TipiDispositivi.Tipo 
	FROM         ILS_Dispositivi LEFT OUTER JOIN
                      ILS_TipiDispositivi ON ILS_Dispositivi.IdCommessa = ILS_TipiDispositivi.IdCommessa AND 
                      ILS_Dispositivi.Tipo = ILS_TipiDispositivi.Id LEFT OUTER JOIN
                      Utenti ON ILS_Dispositivi.IdUltimoUtenteWeb = Utenti.Id LEFT OUTER JOIN
                      ILS_Utenti ON ILS_Dispositivi.IdCommessa = ILS_Utenti.IdCommessa AND ILS_Dispositivi.IdUltimoUtenteILS = ILS_Utenti.Id
	$where
sql;

$paginazione = ntxPaginazione($sql, "Id");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>ID
			<th>Codice
			<th>Attivo
			<th>Tipo
			<th>Data Prima<br>Attivazione
			<th>Data Ultima<br>Disattivazione
			<th>Data Ultima<br>Attivazione
			<th>Ultimo<br>Utente-ILS
			<th>Ultimo<br>Utent-eWeb
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";

	$rs[DataPrimaAttivazione] = ntxDateTime($rs[DataPrimaAttivazione]);
	$rs[DataUltimaDisattivazione] = ntxDateTime($rs[DataUltimaDisattivazione]);
	$rs[DataUltimaAttivazione] = ntxDateTime($rs[DataUltimaAttivazione]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td><input type=button value=edit onclick="objCodice.CaricaForm('$rs[Id]')" />
			<td><input type=checkbox SelRiga IdRiga='$rs[Id]' />
			<td>$rs[Id]
			<td>$html[Codice]
			<td>$html[Attivo]
			<td>$html[Tipo]
			
			<td>$html[DataPrimaAttivazione]
			<td>$html[DataUltimaDisattivazione]
			<td>$html[DataUltimaAttivazione]

			<td>$html[UltimoUtenteILS]
			<td>$html[UltimoUtenteWeb]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
