function funcToolbar1(cmd)
{
	switch(cmd)
	{
		case 'fit':
			CaricaMappa(cmd);
			return;
			
		case 'zoom_rect':
			engineMap.DrawType = 'box';
			break;

		case 'sel_comp':
			CaricaListaDettaglio("componente");
			
			CaricaListaComponenti();
			
			DettaglioComponente();
			
			engineMap.DrawType = 'box';
			break;

		case 'sel_vano':
			CaricaListaDettaglio("vano");
			
			CaricaListaVani();
			
			DettaglioVano();
			engineMap.DrawType = 'none';
			break;
			
		default:
			engineMap.DrawType = 'none';
	}
	
	g.SettedAction = cmd;

	$('div[buttonBorder]').css('background-color', 'gray');
	$('#border_'+cmd).css('background-color', 'silver');
}

function CaricaListaDettaglio(tipo_dettaglio)
{
	g.tipo_dettaglio = tipo_dettaglio;
	
	var result = jhp("jhp/lista_dettaglio.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#Info').html(result.value);
		$('#dettaglio').tabs({ active: 0 });
	}
}

function SoloCompVaniSel()
{
	var chk = $('#solo_comp_vani_sel');

	if ( chk.attr('Spuntato')==1 )
	{
		chk.attr('Spuntato', 0);
		chk.css('background-color', 'gray');
	}
	else
	{
		chk.attr('Spuntato', 1);
		chk.css('background-color', 'silver');
	}
	
	CaricaMappa();
}

function ToggleBussola()
{
	var chk = $('#border_bussola');

	if ( chk.attr('Spuntato')==1 )
	{
		chk.attr('Spuntato', 0);
		chk.css('background-color', 'gray');
		
		clearInterval(gg.TimerBussola);
	}
	else
	{
		chk.attr('Spuntato', 1);
		chk.css('background-color', 'silver');
		
		gg.count=0;
		$('#spanBussola').html(gg.count);
		gg.TimerBussola = setInterval(TimerBussolaFunc, 2000);
	}
}

function TimerBussolaFunc()
{
	$('#spanBussola').html(gg.count++);

	CaricaMappa();
}

function ToggleLegend()
{
	var chk = $('#border_legend');

	if ( chk.attr('Spuntato')==1 )
	{
		chk.attr('Spuntato', 0);
		chk.css('background-color', 'gray');
	}
	else
	{
		chk.attr('Spuntato', 1);
		chk.css('background-color', 'silver');
	}
	
	$('#contenitoreLegend').toggle();
}

function ToggleMappa()
{
	var chk = $('#border_mappa');

	if ( chk.attr('Spuntato')==1 )
	{
		chk.attr('Spuntato', 0);
		chk.css('background-color', 'gray');
	}
	else
	{
		chk.attr('Spuntato', 1);
		chk.css('background-color', 'silver');
	}
	
	$('#Mappa').toggle();
}

function ToggleRightBox()
{
	var chk = $('#border_right_box');

	if ( chk.attr('Spuntato')==1 )
	{
		chk.attr('Spuntato', 0);
		chk.css('background-color', 'gray');
	}
	else
	{
		chk.attr('Spuntato', 1);
		chk.css('background-color', 'silver');
	}
	
	$('#RightBox').toggle();
}

function ToggleFilter()
{
	var chk = $('#border_filter');

	if ( chk.attr('Spuntato')==1 )
	{
		chk.attr('Spuntato', 0);
		chk.css('background-color', 'gray');
	}
	else
	{
		chk.attr('Spuntato', 1);
		chk.css('background-color', 'silver');
	}
	
	$('#filter').toggle();
}