<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdAttivitàMestiere = ntxip('IdAttivitàMestiere');

$where = "WHERE ListeControlloAttivitàMestiere.IdCommessa = $IdCommessa AND ListeControlloAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere";

if ( $_POST[Filtro]==1 ) $where .= " AND ListeControlloAttivitàMestiere.Tipo=1";
elseif ( $_POST[Filtro]==2 ) $where .= " AND ListeControlloAttivitàMestiere.Tipo=2";

if ( strlen("$_POST[Voce]")>0 ) $where .= " AND ListeControlloAttivitàMestiere.Voce LIKE '%".str_replace("'","''",$_POST[Voce])."%'";

if ( is_numeric($_POST[IdMestierePerRichieste]) ) $where .= " AND ListeControlloAttivitàMestiere.IdMestierePerRichieste=".(int)$_POST[IdMestierePerRichieste];

$sql = <<< sql
	SELECT     ListeControlloAttivitàMestiere.IdVoce, ListeControlloAttivitàMestiere.Voce, ListeControlloAttivitàMestiere.Tipo, ListeControlloAttivitàMestiere.Ordine, 
                      ListeControlloAttivitàMestiere.IdMestierePerRichieste, tblMestieri.codice AS CodMest, tblMestieri.Descrizione AS DesMest
	FROM         ListeControlloAttivitàMestiere LEFT JOIN
                      tblMestieri ON ListeControlloAttivitàMestiere.IdCommessa = tblMestieri.IdCommessa AND 
                      ListeControlloAttivitàMestiere.IdMestierePerRichieste = tblMestieri.IdMestiere
	$where
sql;


$paginazione = ntxPaginazione($sql, "Tipo, Ordine, Voce");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>Tipo
			<th>Ordine
			<th>Voce
			<th>Mestiere
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$Tipo = $rs[Tipo]==1 ? "Voce per Operatore" : "Voce per Supervisore";
	
	$table .= <<< table
		<tr $classTr>
			<td><input type=button value=edit onclick="objCodice.CaricaForm($rs[IdVoce])" />
			<td><input type=checkbox SelRiga IdRiga=$rs[IdVoce] />
			<td>$Tipo
			<td>$html[Ordine]
			<td>$html[Voce]
			<td>$html[CodMest] - $html[DesMest]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
