<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');

$where = "WHERE (ReseOrarie.IdCommessa = $IdCommessa)";

if ( strlen("$_POST[Descrizione]")>0 ) $where .= " AND ReseOrarie.Descrizione LIKE '%".str_replace("'","''",$_POST[Descrizione])."%'";

if ( is_numeric($_POST[Pulizie])  &&  $_POST[Pulizie]==1 ) 
	$where .= " AND ReseOrarie.Pulizie = 1";
	
if ( is_numeric($_POST[Pulizie])  &&  $_POST[Pulizie]==0 ) 
	$where .= " AND (ReseOrarie.Pulizie = 0 OR ReseOrarie.Pulizie IS NULL)";

if ( is_numeric($_POST[IdTipoResa]) ) $where .= " AND ReseOrarie.IdTipoResa = ".(int)$_POST[IdTipoResa];

if ( is_numeric($_POST[IdProfiloRisorsa]) ) $where .= " AND ReseOrarie.IdProfiloRisorsa = ".(int)$_POST[IdProfiloRisorsa];

$sql = <<< sql
	SELECT     ReseOrarie.Id, ReseOrarie.Descrizione, TipiReseOrarie.Descrizione AS TipoResa, ReseOrarie.SoloUnAttività, ReseOrarie.ResaSpaziale, 
						  ReseOrarie.ResaComponente, ReseOrarie.NumRisorse, ProfiliRisorse.Descrizione AS ProfiloRisorsa, Pulizie
	FROM         ReseOrarie LEFT OUTER JOIN
						  ProfiliRisorse ON ReseOrarie.IdProfiloRisorsa = ProfiliRisorse.Id LEFT OUTER JOIN
						  TipiReseOrarie ON ReseOrarie.IdTipoResa = TipiReseOrarie.Id
	$where
sql;

$paginazione = ntxPaginazione($sql, "Descrizione");

$query = $paginazione->query;

if ( !$_POST[no_edit] ) $edit = "<th>"; else $edit = "";

$table = <<< table
	<table class=grid>
		<tr>
			$edit
			<th>
			<th>ID
			<th>Descrizione
			<th>TipoResa
			<th>SoloUnAttività
			<th>ResaSpaziale
			<th>ResaComponente
			<th>NumRisorse
			<th>ProfiloRisorsa
			<th>Pulizie
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[ResaSpaziale] = ntxRound($rs[ResaSpaziale], 2);
	$rs[ResaComponente] = ntxRound($rs[ResaComponente], 2);

	$SoloUnAttività = $rs[SoloUnAttività] ? "Si" : "No";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( !$_POST[no_edit] ) 
		$edit = "<td><input type=button value=edit onclick=\"objCodice.CaricaForm($rs[Id])\" />"; 
	else 
		$edit = "";

	$Pulizie = $html[Pulizie] ? "SI" : "no";
	
	$table .= <<< table
		<tr $classTr>
			$edit
			<td><input type=checkbox SelRiga IdRiga=$rs[Id] />
			<td>$rs[Id]
			<td>$html[Descrizione]
			<td>$html[TipoResa]
			<td style="text-align:center">$SoloUnAttività
			<td>$html[ResaSpaziale]
			<td>$html[ResaComponente]
			<td>$html[NumRisorse]
			<td>$html[ProfiloRisorsa]
			<td>$Pulizie
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
