<?php

session_start();

require_once("../../../_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$idPiano = ntxip('idPiano');

$mq_netti = ntxfp('mq_netti');
$mq_lordi = ntxfp('mq_lordi');
$mq_prop = ntxfp('mq_prop');

if ( $_POST[campo]=='mq_netti' )
{
	$campo = "MQ";
	
	$sql = <<< sql
		SELECT     MQ
		FROM         Ambiente
		WHERE     (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio) AND (IdLivello = $idPiano) AND (Rimosso is null or Rimosso=0)
sql;

	$value = ntxScalar($sql);
	
	if ( !is_numeric($value) ) $value = "NULL";
}
elseif ( $_POST[campo]=='mq_lordi' )
{
	$campo = "MQ_LORDI";
	
	$value = $mq_netti*$mq_prop;
}
elseif ( $_POST[campo]=='mq_prop' )
{
	$campo = "RapportoMqLordiNetti";
	
	if ( !is_numeric($mq_netti) || $mq_netti==0 )
		$value = "NULL";
	else
		$value = $mq_lordi/$mq_netti;
}
else
	jhp_error('campo indicato non supportato!');

$sql = <<< sql
UPDATE    PianoLivello
SET              [$campo] = $value
WHERE 	PianoLivello.idPiano=$idPiano AND PianoLivello.IdEdificio=$IdEdificio	AND PianoLivello.IdCommessa=$IdCommessa			  
sql;

ntxQuery($sql);

$sql = <<< sql
SELECT     [$campo]
FROM         PianoLivello
WHERE 	PianoLivello.idPiano=$idPiano AND PianoLivello.IdEdificio=$IdEdificio	AND PianoLivello.IdCommessa=$IdCommessa			  
sql;

$result = ntxScalar($sql);

if ( $_POST[campo]=='mq_prop' )
	$result = ntxRound($result,4);
else
	$result = ntxRound($result,3);

jhp($result);

?>
