<?php

if ( is_numeric($IdMestiere) )
{
	$sql = "select Codice, Descrizione from tblMestieri where IdCommessa=$IdCommessa and IdMestiere=$IdMestiere";

	$query = ntxQuery($sql);

	$html = null;

	$mestiereSelezionato = "";

	if ($rs=ntxRecord($query))
	{
		foreach($rs as $k=>$v)
			$html[$k] = htmlentities($v);
			
		if ( $html[Codice]!="" )
			$mestiereSelezionato = " - $html[Codice]";
		
		$mestiereSelezionato = " - $html[Descrizione]";
	}
	
	$query = ntxQuery($sql);

	$html = null;

	$Mestieri = "";

	while ($rs=ntxRecord($query))
	{
		foreach($rs as $k=>$v)
			$html[$k] = htmlentities($v);
			
		$selected = $IdMestiere==$rs[IdMestiere] ? "selected" : "";
		
		$Mestieri .= "<option value='$rs[IdMestiere]' $selected>$html[Codice] - $html[Descrizione]";
	}
}

$subSql = "";

$subSql .= <<< subSql
	, (SELECT TOP 1 MonteOre FROM OrePerMeseEdifici
		WHERE IdCommessa=ElencoEdifici.IdCommessa
		AND IdEdificio=ElencoEdifici.ID
		AND Mese=0
		AND Anno=$Anno) MonteOreAnno
subSql;

for($i=1;$i<=12;++$i)
{
	$subSql .= <<< subSql
		, (select sum(OreExtraRisorse)
			FROM         Ordini
			WHERE     (OreExtraRisorse IS NOT NULL) AND (IDCommessa = $IdCommessa) 
				AND (CodEdificio = ElencoEdifici.ID) 
				AND (MONTH(DataFine) = $i) 
				AND (YEAR(DataFine) = $Anno)
subSql;

	if( is_numeric($IdMestiere) )
		$subSql .= " AND (IdMestiere = $IdMestiere) ";
	
	$subSql .= ") Mese{$i} ";
}

$sql = <<< sql
	SELECT     ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA
				$subSql
	FROM         ElencoEdifici INNER JOIN
						  UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
	WHERE     (ElencoEdifici.IdCommessa = $IdCommessa) 
		AND (UtentiEdifici.IdUtente = $IdUtente)
	ORDER BY ID
sql;

$query = ntxQuery($sql);

?>