var gIdPropComp = "";

$(function(){
	RicercaProp();
});
		
function MostraNascondiCampiLingue()
{
	$('tr[LINGUA]').hide();
	$('th[LINGUA]').hide();
	$('td[LINGUA]').hide();
		
	$('input[type=checkbox][chkLingua]:checked').each(function(){
		var codice = $(this).attr('chkLingua');
		
		$('tr[LINGUA='+codice+']').show();
		$('th[LINGUA='+codice+']').show();
		$('td[LINGUA='+codice+']').show();
	});
}

function TornaProp()
{
	$('#divContProp').show();
	$('#divContVal').hide();
}

////////////////////////////////////////////////////////////////////////////////////////

function RicercaProp()
{
	var result = jhp("jhp/prop/ricerca.php", {IdTipoComp:gIdTipoComp});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divProp').html(result.value);
		MostraNascondiCampiLingue();
	}
}

function AggiungiProp()
{
	var result = jhp("jhp/prop/aggiungi.php", {IdTipoComp:gIdTipoComp});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divProp').html(result.value);
		MostraNascondiCampiLingue();
	}
}

function MemorizzaProp(txt)
{
	var $txt = $(txt);
	
	var obj = {};
	
	obj.IdPropComp = $txt.attr('IdPropComp');
	obj.campo = $txt.attr('campo');
	obj.value = $txt.val();
	
	var result = jhp("jhp/prop/memorizza.php", obj);

	if(result.state)
	{
		alert(result.message);
	}
}
function ModificaRichieto(IdPropComp, chk)
{
	var result = jhp("jhp/prop/modifica_richiesto.php", {IdPropComp: IdPropComp, richiesto: chk.checked ? 1 : 0});

	if(result.state)
	{
		alert(result.message);
	}
}

function EliminaPro(IdPropComp)
{
	if ( !confirm("elimina?") ) return;
	
	var result = jhp("jhp/prop/elimina.php", {IdPropComp: IdPropComp});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('tr[IdPropComp='+IdPropComp+']').remove();
	}
}

////////////////////////////////////////////////////////////////////////////////////////

function RicercaVal(IdPropComp)
{
	gIdPropComp = IdPropComp;
	
	var result = jhp("jhp/val/ricerca.php", {IdPropComp: IdPropComp});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#pProp').html(result.value["pProp"]);
		$('#divVal').html(result.value["divVal"]);
		MostraNascondiCampiLingue();
		$('#divContProp').hide();
		$('#divContVal').show();
	}
}

function AggiungiVal()
{
	var result = jhp("jhp/val/aggiungi.php", {IdPropComp:gIdPropComp});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divVal').html(result.value["divVal"]);
		MostraNascondiCampiLingue();
	}
}

function MemorizzaVal(txt)
{
	var $txt = $(txt);
	
	var obj = {};
	
	obj.IdValPropComp = $txt.attr('IdValPropComp');
	obj.campo = $txt.attr('campo');
	obj.value = $txt.val();
	
	var result = jhp("jhp/val/memorizza.php", obj);

	if(result.state)
	{
		alert(result.message);
	}
}
	
function EliminaVal(IdValPropComp)
{
	if ( !confirm("elimina?") ) return;
	
	var result = jhp("jhp/val/elimina.php", {IdValPropComp: IdValPropComp});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('tr[IdValPropComp='+IdValPropComp+']').remove();
	}
}

	