$(function(){
	Ricerca();
});
	
function MostraNascondiCampiLingue()
{
	$('tr[LINGUA]').hide();
	$('th[LINGUA]').hide();
	$('td[LINGUA]').hide();
		
	$('input[type=checkbox][chkLingua]:checked').each(function(){
		var codice = $(this).attr('chkLingua');
		
		$('tr[LINGUA='+codice+']').show();
		$('th[LINGUA='+codice+']').show();
		$('td[LINGUA='+codice+']').show();
	});
}

function Ricerca()
{
	var result = jhp("jhp/ricerca.php", {IDTipoLivello:gIDTipoLivello});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#result').html(result.value);
		MostraNascondiCampiLingue();
	}
}

function Aggiungi()
{
	var result = jhp("jhp/aggiungi.php", {IDTipoLivello:gIDTipoLivello});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#result').html(result.value);
		MostraNascondiCampiLingue();
	}
}

function Memorizza(txt)
{
	var $txt = $(txt);
	
	var obj = {};
	
	obj.IDTipoAmbiente = $txt.attr('IDTipoAmbiente');
	obj.campo = $txt.attr('campo');
	obj.value = $txt.val();
	
	var result = jhp("jhp/memorizza.php", obj);

	if(result.state)
	{
		alert(result.message);
	}
}
	
function Elimina(IDTipoAmbiente)
{
	if ( !confirm("elimina?") ) return;
	
	var result = jhp("jhp/elimina.php", {IDTipoAmbiente: IDTipoAmbiente});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('tr[IDTipoAmbiente='+IDTipoAmbiente+']').remove();
	}
}

function AssociaDissocia(chk, IDTipoLivello, IDTipoAmbiente)
{
	var result = jhp("jhp/associa_dissocia.php", {
		assegnato: chk.checked ? 1 : 0,
		IDTipoLivello: IDTipoLivello,
		IDTipoAmbiente: IDTipoAmbiente
	});

	if(result.state)
	{
		alert(result.message);
	}	
}