<?php

$sql = <<< sql
	UPDATE RIMM_Valori SET FR = RIMM_VALORI.Pr*RIMM_VALORI.Imp*RIMM_VALORI.[Int]
	FROM RIMM_VALORI INNER JOIN RIMM_Elementi 
		ON RIMM_VALORI.IdAmbito=RIMM_Elementi.IdAmbito
		AND RIMM_VALORI.Progressivo=RIMM_Elementi.Progressivo
	WHERE     (RIMM_VALORI.IdAmbito = $IdAmbito) 
		AND (IdCommessa = $IdCommessa) 
		AND (IdEdificio = $IdEdificio) 
		AND (Gruppo = 1)
sql;

ntxQuery($sql);

//1 - (sum(([FR]/[Rmax])x[P])/sum[P])
$sql = <<< sql
	SELECT 
			case when sum(RIMM_VALORI.P)<>0 then 
				1 - SUM(RIMM_VALORI.FR/RIMM_VALORI.Rmax*RIMM_VALORI.P)/SUM(RIMM_VALORI.P)
			end
	FROM RIMM_VALORI INNER JOIN RIMM_Elementi 
		ON RIMM_VALORI.IdAmbito=RIMM_Elementi.IdAmbito
		AND RIMM_VALORI.Progressivo=RIMM_Elementi.Progressivo
	WHERE     (RIMM_VALORI.IdAmbito = $IdAmbito) 
		AND (IdCommessa = $IdCommessa) 
		AND (IdEdificio = $IdEdificio) 
		AND (Gruppo = 1)
		AND (RIMM_VALORI.Att = 1)
		AND (RIMM_VALORI.Rmax <> 0)
sql;

$Totale = ntxScalar($sql);

if ( !is_numeric($Totale) ) $Totale = 'NULL';

$sql = <<< sql
	SELECT 2
	FROM RIMM_VALORI INNER JOIN RIMM_Elementi 
		ON RIMM_VALORI.IdAmbito=RIMM_Elementi.IdAmbito
		AND RIMM_VALORI.Progressivo=RIMM_Elementi.Progressivo
	WHERE     (RIMM_VALORI.IdAmbito = $IdAmbito) 
		AND (IdCommessa = $IdCommessa) 
		AND (IdEdificio = $IdEdificio) 
		AND (Gruppo = 2)
sql;

$esiste = (ntxScalar($sql)==2);

if ( !$esiste )
{
	$sql = <<< sql
		INSERT INTO RIMM_Valori (Totale, IdAmbito, IdCommessa, IdEdificio, Progressivo)
		SELECT  $Totale, $IdAmbito, $IdCommessa, $IdEdificio, Progressivo
		FROM RIMM_Elementi
		WHERE     (IdAmbito = $IdAmbito) 
			AND (Gruppo = 2)
sql;
}
else
{
	$sql = <<< sql
		UPDATE RIMM_Valori SET Totale = $Totale
		FROM RIMM_VALORI INNER JOIN RIMM_Elementi 
			ON RIMM_VALORI.IdAmbito=RIMM_Elementi.IdAmbito
			AND RIMM_VALORI.Progressivo=RIMM_Elementi.Progressivo
		WHERE     (RIMM_VALORI.IdAmbito = $IdAmbito) 
			AND (IdCommessa = $IdCommessa) 
			AND (IdEdificio = $IdEdificio) 
			AND (Gruppo = 2)
sql;
}

ntxQuery($sql);


?>
