<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdAmbito = ntxip('IdAmbito');
$IdEdificio = ntxip('IdEdificio');
$Progressivo = ntxip('Progressivo');

$sql = <<< sql
	SELECT     2
	FROM         RIMM_Valori
	WHERE     (IdAmbito = $IdAmbito) AND (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio) AND (Progressivo = $Progressivo)
	ORDER BY Progressivo
sql;

$esiste = (ntxScalar($sql)==2);

$table = new NtxTable('RIMM_Valori');

if ( !$esiste )
{
	$insert = $table->insert();

	$insert->init();

	$insert->set($_POST[Campo], $_POST[value]);
	
	if ( $_POST[Campo]!='Rmax'  &&  ($IdAmbito==4 || $IdAmbito==5) )
		$insert->set('Rmax', 36);
		
	$insert->setp('IdAmbito');
	$insert->setse('IdCommessa');
	$insert->setp('IdEdificio');
	$insert->setp('Progressivo');

	$insert->execute();
}
else
{
	$update = $table->update();

	$update->init();

	$update->set($_POST[Campo], $_POST[value]);
	$update->wherep('IdAmbito');
	$update->wherese('IdCommessa');
	$update->wherep('IdEdificio');
	$update->wherep('Progressivo');

	$update->execute();
}

switch($IdAmbito)
{
	case '1': // diagnosi-conservativa
		require_once('calc-diagnosi-conservativa.inc');
		break;
	case '2': // vulnerabilita-sismica
		require_once('calc-vulnerabilita-sismica.inc');
		break;
	case '3': // atteggiamento-energetico
		require_once('calc-atteggiamento-energetico.inc');
		break;
	case '4': // contesto-urbano
		require_once('calc-contesto-urbano.inc');
		break;
	case '5': // rischio-ambientale
		require_once('calc-rischio-ambientale.inc');
		break;
}

jhp_ok();

?>
