<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script src="/repository/libs/jhp/jhp-1.1.1.js" type="text/javascript"></script>
</head>
<body>

<?php
	
require_once('elenco_rif_affidatari_sql.inc');

?>


<table class=grid>
	<tr>
		<th>ID</th>
		<th>Codice Fiscale</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>Telefono_1</th>
		<th>Telefono_2</th>
		<th>Fax_1</th>
		<th>Fax_2</th>
		<th>Email_1</th>
		<th>Email_2</th>
	</tr>   
	<tr>
		<td>&nbsp;<?php echo htmlentities($rsProp['IdPropietario']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['CodiceFiscale']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['Nome']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['Indirizzo']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['Comune']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['Provincia']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['Cap']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['telefono_1']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['telefono_2']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['fax_1']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['fax_2']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['email_1']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rsProp['email_2']) ?></td>
	</tr>
</table>

<input type=button value="AGGIORNA" onclick="Aggiorna()" />
<input type=button value="Associa" onclick="Associa()" />
<input type=button value="Dissocia" onclick="Dissocia()" /><br>

<input type=button value="Seleziona Tutto" onclick="$('input[CheckDiSelezione]').attr('checked',true)" />
<input type=button value="Seleziona Niente" onclick="$('input[CheckDiSelezione]').attr('checked',false)" />

<table class=grid>
	<tr>
		<th></th>
		<th></th>
		<th>Associato</th>
		<th>Id</th>
		<th>Rif.Affidatario</th>
		<th>Affidatario</th>
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		$Associato = in_array($rs[IdRifAffidatario], $RifAssociati);
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=alternate" ?> ><input type=checkbox value=<?php echo $rs[IdRifAffidatario] ?> CheckDiSelezione /></td>
		<td <?php echo  $alternate ? "" : "class=alternate" ?> ><input type=button value=dettagli onclick="Dettagli(this,<?php echo $rs[IdRifAffidatario] ?>)" /></td>
		<td <?php echo  $alternate ? "" : "class=alternate" ?> >&nbsp;<?php echo $Associato ? "SI" : "" ?></td>
		<td <?php echo  $alternate ? "" : "class=alternate" ?> >&nbsp;<?php echo $rs[IdRifAffidatario] ?></td>
		<td <?php echo  $alternate ? "" : "class=alternate" ?> >&nbsp;<?php echo htmlentities($rs['RifAffidatario']) ?></td>
		<td <?php echo  $alternate ? "" : "class=alternate" ?> >&nbsp;<?php echo htmlentities($rs['Affidatario']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<br>
<div id=divDettaglio style='position:absolute;display:none;background-color:white;border:1px black solid'>
</div>

<form name=form1 method=post>
	<input type=hidden name=IdTipiDocsEdificiList value="" />
	<input type=hidden name=IdRifAffidatariList value="" />
	<input type=hidden name=IdPropietario value="<?php echo ntxJs($_POST[IdPropietario]) ?>" />
	<input type=hidden name=Affidatario value="<?php echo ntxJs($_POST[Affidatario]) ?>" />
	<input type=hidden name=RifAffidatatio value="<?php echo ntxJs($_POST[RifAffidatatio]) ?>" />
</form>

<script>

function Dettagli(obj,IdRifAffidatario)
{
	var result = jhp("jhp/associazioni_rif_affidatari.php", {IdRifAffidatario:IdRifAffidatario});

	var offset = $(obj).offset();
	
	$('#divDettaglio').css('top',offset.top+$(obj).height()).css('display','block');
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divDettaglio').html(result.value);
	}
}

function Aggiorna()
{
	form1.IdTipiDocsEdificiList.value = parent.frame_tipi_docs_edifici.RecuperaIdTipiSelezionati();
	
	form1.submit();
}

function Associa()
{
	form1.IdTipiDocsEdificiList.value = parent.frame_tipi_docs_edifici.RecuperaIdTipiSelezionati();
	form1.IdRifAffidatariList.value = RecuperaIdTipiSelezionati();

	var result = jhp("jhp/associa_rif_affidatari.php", jhp_frm(form1));

	if(result.state)
	{
		alert(result.message);
	}
	
	form1.submit();
}

function Dissocia()
{
	form1.IdTipiDocsEdificiList.value = parent.frame_tipi_docs_edifici.RecuperaIdTipiSelezionati();
	form1.IdRifAffidatariList.value = RecuperaIdTipiSelezionati();
	
	var result = jhp("jhp/dissocia_rif_affidatari.php", jhp_frm(form1));

	if(result.state)
	{
		alert(result.message);
	}
	
	form1.submit();
}


function RecuperaIdTipiSelezionati()
{
	var result = "";
	
	$('input[CheckDiSelezione]:checked').each(function(){
		var obj = $(this);
		
		if ( obj.attr('checked') )
		{
			if ( result!="" ) result +=',';
			
			result+=obj.attr('value');
		}
	});
	
	return result;
}

</script>

</body>
</html>
