<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');


?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery.ui.datepicker-it.js"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
</head>
<body >

<?php
	
require_once('3.inc');

if ( is_numeric($IdUtilizzatore) )
{
?>

<table class=grid>
	<caption>Utilizzatore
	<tr>
		<th>Codice Utilizzatore</th>
		<th>Nome</th>
		<th>Descrizione</th>
		<th>Nota</th>
		<th>cdc</th>
		<th>Colore</th>
	</tr>   
<?php

	if( $query2  &&  $rs = ntxRecord($query2) )
	{
		$Colore = '#'.$rs['Colore'];
		
		if ( strlen($Colore)!=7 ) $Colore = 'black';
		
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CodiceUtilizzatore']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nota']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['cdc']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<div style="float:left;width:20px;height:10px;background-color:<?php echo $Colore ?>;border:2px black solid"></div>
		</td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<?php 
}

if ( is_numeric($IdEdificio) )
{
?>
<table class=grid>
	<caption>Edificio
	<tr>
		<th>Codice</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>Ente</th>
		<th>Id Edificio</th>
	</tr>   

<?php
	$alternate = true;

	if( $query  &&  $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CITTA']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['PROVINCIA']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CAP']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['ID']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<?php 
}

if ( is_numeric($IdEdificio)  &&  is_numeric($IdUtilizzatore) )
{
?>
<table class=grid>
	<caption>Date
	<tr>
		<th></th> 
		<th>Data Inizio</th>
		<th>Data Fine</th>
		<th>MQ</th>
		<th>Canone</th>
		<th>Tipologia</th>
	</tr>   

<?php
	$alternate = true;

	function inputText($value, $len, $maxlen, $IdUtEdificio, $campo, $tipo="")
	{
		$value = ntxJs($value);
		
		$onblur = "onblur=\"Modifica('$IdUtEdificio','$campo',this)\"";
		
		echo "<input type=text $tipo value=\"$value\" maxlength=$maxlen size=$len $onblur>";
	}

	function select($value, $IdUtEdificio, $campo)
	{
		$value = ntxJs($value);
		
		$s0 = is_numeric($value)  &&  $value==0 ? "selected" : "";
		$s1 = $value==1 ? "selected" : "";
		$s2 = $value==2 ? "selected" : "";
		
		$onchange = "onchange=\"Modifica('$IdUtEdificio','$campo',this)\"";
		
		echo "<select $onchange>";
		echo "<option value=''>";
		echo "<option value=0 $s0>canone";
		echo "<option value=1 $s1>extracanone";
		echo "<option value=2 $s2>canone/extracanone";
		echo "</select>";
	}

	while( $query3  &&  $rs = ntxRecord($query3) )
	{		
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td><input type=button value=elimina onClick="Elimina('<?php echo $rs[IdUtEdificio] ?>')" /></td>
		<td>&nbsp;<?php inputText(ntxDate($rs['DataInizio']), 20, 20, $rs[IdUtEdificio], 'DataInizio',"tipo=data") ?></td>
		<td>&nbsp;<?php inputText(ntxDate($rs['DataFine']), 20, 20, $rs[IdUtEdificio], 'DataFine',"tipo=data") ?></td>
		<td>&nbsp;<?php inputText(ntxRound($rs['MQ'],2), 20, 20, $rs[IdUtEdificio], 'MQ') ?></td>
		<td>&nbsp;<?php inputText(ntxRound($rs['Canone'],2), 20, 20, $rs[IdUtEdificio], 'Canone') ?></td>
		<td>&nbsp;<?php select($rs['Tipologia'], $rs[IdUtEdificio], 'Tipologia') ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<input type=button value=Aggiungi onclick="Aggiungi()">
<?php 
}
?>
<script>

function Modifica(IdUtEdificio,campo,txt)
{
	var result = jhp("jhp/modifica_periodo.php", {IdUtEdificio:IdUtEdificio,
													campo:campo,
													value:txt.value});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		txt.value = result.value;
	}	
}

function Elimina(IdUtEdificio)
{
	if(!confirm("Eliminare periodo?")) return;
	
	var result = jhp("jhp/elimina_periodo.php", {IdUtEdificio:IdUtEdificio});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		parent.form2.submit();
	}	
}

function Aggiungi()
{
	var result = jhp("jhp/aggiungi_periodo.php", {IdUtilizzatore:'<?php echo $IdUtilizzatore ?>',
													IdEdificio:'<?php echo $IdEdificio ?>'
													});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		parent.form2.submit();
	}	
}

$(function(){
	$('input[tipo=data]').datepicker({
   onSelect: function(dateText, inst) { this.focus(); }
});
});
</script>

</body>
</html>
