<?php  
session_start();
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<link href="../_css/navstyleLittle.css" rel="stylesheet" type="text/css">

	<style>
	.x
	{
	margin:0;
	padding:0;
	border: none;
	text-align:center;
	text-transform: none;
	letter-spacing: 4px;
	color: #C00000;
	background: transparent; 
	text-transform:uppercase;
	font-family: times,verdana;georgia,serif; 
	color: #555;	
	font-weight: bold;
	text-shadow: #9C9C9C 0.1em 0.1em 0.3em;
	font-size: 2em;
	}		
	</style>

</head>
<body>

<?php

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = (int)$_SESSION['IdCommessa'];
$mese = ntxip('Mese');
$anno = ntxip('Anno');
$IdPropietario = ntxip('IdPropietario');

$sql = <<< SQL
SELECT COUNT(*) AS N
FROM   DatiIndicatori
WHERE  (Mese = $mese) AND (Anno = $anno) AND (IdProp = $IdPropietario) AND (IdCommessa = $IdCommessa) AND (DataCalcolo IS NULL) AND (IdInd = 4)
SQL;
$test = ntxScalar($sql);

if ($test>0) 
{
?>
<br><br>
<form method=post action=elenco.php>
<input TYPE=HIDDEN NAME=Mese value=<?php echo $mese ?> />
<input TYPE=HIDDEN NAME=Anno value=<?php echo $anno ?> />
<input TYPE=HIDDEN NAME=IdPropietario value=<?php echo $IdPropietario ?> />
<table align=center>
<tr><th>IMPOSSIBILE ELABORARE: L'INDICATORE CALL CENTER NON E' STATO CALCOLATO</th>
<tr><td><input type=submit style="width:100%" value="< back" ></td>
</table>
</form>
<?php
die;
}

$sql =  <<< SQL
SELECT 	  IdInd, IdDati
FROM      DatiIndicatori
WHERE     (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (Mese = $mese) AND (Anno = $anno) AND (IdInd >= 3)
ORDER BY  IdInd
SQL;
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{	

$IdDati = ($rs['IdDati']);

	if ($rs['IdInd']==3) 
	{
	$sql1 = <<< SQL
	
	SELECT COUNT(*) AS N
	FROM   Richieste INNER JOIN ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	WHERE  (MONTH(Richieste.DataRichiesta) = $mese) AND (YEAR(Richieste.DataRichiesta) = $anno) AND (Richieste.IDCommessa = $IdCommessa)
	GROUP BY ElencoEdifici.IdProprietario
	HAVING (ElencoEdifici.IdProprietario = $IdPropietario)
	
SQL;
	$N = ntxScalar($sql1);

	if ($N.''=='') 
	{
	$N = 0;
	}

	$Na = $N/100;
	$Nb = $Na*5;
	$N5 = Intval($Nb+1);

	$Nr = 0;
	for ($i=1; $i<=$N5; $i++)
	{
	$sql2 = <<< SQL
	
	SELECT  DATEDIFF(HH, Richieste.DataRichiesta, Richieste.DataInserimento)
	FROM    Richieste INNER JOIN ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	WHERE   (MONTH(Richieste.DataRichiesta) = $mese) AND (YEAR(Richieste.DataRichiesta) = $anno) 
	AND (Richieste.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario)
	ORDER BY Richieste.AnnoRichiesta, Richieste.NumRichiesta
	
SQL;
	$x = ntxScalar($sql2);
	if ($x > 24) {$Nr = $Nr + 1;}
	}

	$M = $N5 * 9;
	$Mr = $Nr;

	$a = $Nr/$N5;
	$b = $a * 0.4;
	$c = $Mr/$M;
	$d = $c * 0.6;
	$r = $b + $d;
	$risultato = 1 - $r;

	$sql =  <<< SQL

	   UPDATE DatiIndicatori 
	   SET Nr = $Nr, N = $N5, Mr = $Mr, M = $M, Risultato = $risultato, DataCalcolo = getdate()
       WHERE IdDati=$IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==5) 
	{
	
	$Mr1 = ntxScalar("SELECT Mr1 FROM DatiIndicatori WHERE (IdDati = $IdDati)");

	$sql1 = <<< SQL
	SELECT COUNT(*) AS N
	FROM   Ordini INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE  (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.Contabiliz = 'extracanone') AND (DATEDIFF(HH, 
    Ordini.DataScadenza, Ordini.DataInizio) > 24) AND (Ordini.IDCommessa = $IdCommessa)
	GROUP BY ElencoEdifici.IdProprietario
	HAVING (ElencoEdifici.IdProprietario = $IdPropietario)
SQL;
	$Ndr = ntxScalar($sql1);

	$sql2 = <<< SQL
	SELECT COUNT(*) AS N
	FROM   Ordini INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE  (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.Contabiliz = 'extracanone') AND (Ordini.IDCommessa = $IdCommessa)
	GROUP BY ElencoEdifici.IdProprietario
	HAVING (ElencoEdifici.IdProprietario = $IdPropietario)
SQL;
	$Nd = ntxScalar($sql2);

	if ($Ndr.''=='') 
	{
	$Ndr = 0;
	}

	if ($Nd.''=='') 
	{
	$Nd = 0;
	}

	$j = $Nd/100;
	$jj = $j * 5;
	$M1 = Intval($jj+1);

	$a = $Ndr/$Nd;
	$aa = $a * 0.4;

	$b = $Mr1/$M1;
	$bb = $b * 0.6;

	$c = $aa + $bb;
	$risultato = 1 - $c;

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET Ndr = $Ndr, Nd = $Nd, Mr1 = $Mr1, M1 = $M1, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==6) 
	{
	$sql = <<< SQL
	
	SELECT SUM(ABS(DATEDIFF(day, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.dataInizioProg))) AS S_RAI
	FROM   tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
	AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID
	WHERE  (tblOrdiniProgrammati.dataInizioProg IS NOT NULL) AND (tblOrdiniProgrammati.dataInizio IS NOT NULL) AND 
    (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) AND 
    (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) AND 
	(DATEDIFF(day, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.dataInizioProg) > 0 OR
    DATEDIFF(day, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.dataFineProg) < 0)	   
	
SQL;

	$S_RAI = ntxScalar($sql);
	if ($S_RAI.''=='') {$S_RAI = 0;}

	$sql = <<< SQL
	
	SELECT  SUM(ABS(DATEDIFF(day, tblOrdiniProgrammati.datafine, tblOrdiniProgrammati.dataFineProg))) AS S_RAC
	FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
	AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID
	WHERE   (tblOrdiniProgrammati.dataFineProg IS NOT NULL) AND (tblOrdiniProgrammati.datafine IS NOT NULL) AND 
    (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) AND 
    (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) AND 
	(DATEDIFF(day, tblOrdiniProgrammati.datafine, tblOrdiniProgrammati.dataFineProg) < 0 OR
    DATEDIFF(day, tblOrdiniProgrammati.datafine, tblOrdiniProgrammati.dataInizioProg) > 0)
	
SQL;

	$S_RAC = ntxScalar($sql);
	if ($S_RAC.''=='') {$S_RAC = 0;}

	$sql = <<< SQL
	
	SELECT SUM(ABS(DATEDIFF(day, tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg))+1) AS S_DP
	FROM   tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
    AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID
	WHERE  (tblOrdiniProgrammati.dataInizioProg IS NOT NULL) AND (tblOrdiniProgrammati.dataFineProg IS NOT NULL) AND 
    (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno)
	AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa)
	GROUP BY ElencoEdifici.IdProprietario
	HAVING (ElencoEdifici.IdProprietario = $IdPropietario)
	
SQL;

	$S_DP = ntxScalar($sql);
	if ($S_DP.''=='') {$S_DP = 0;}

	if ($S_DP==0) 
	{
	?>
	<br><br>
	<form method=post action=elenco.php>
	<input TYPE=HIDDEN NAME=Mese value=<?php echo $mese ?> />
	<input TYPE=HIDDEN NAME=Anno value=<?php echo $anno ?> />
	<input TYPE=HIDDEN NAME=IdPropietario value=<?php echo $IdPropietario ?> />
	<table align=center>
	<tr><th><font size="3">Impossibile calcolare: fattore S_DP = 0</font></th>
	<tr><td><input type=submit style="width:100%" value="< back" ></td>
	</table>
	</form>
	<?php
	die;
	}

	$a = $S_RAI/$S_DP;
	$aa = $a * 0.4;

	$b = $S_RAC/$S_DP;
	$bb = $b * 0.6;

	$c = $aa + $bb;
	$risultato = 1 - $c;

	if ($risultato < 0) 
	{
	$risultato = 0;
	}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET S_RAI = $S_RAI, S_RAC = $S_RAC, S_DP = $S_DP, 
	Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==7) 
	{
	$S_VPe = ntxScalar("SELECT S_VPe FROM DatiIndicatori WHERE (IdDati = $IdDati)");

	$sql = <<< SQL
	
	SELECT  SUM(Contabilità.ImportoStimatoC) AS S_VIe
	FROM    Ordini INNER JOIN
    Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine 
	AND Ordini.AnnoOrdine = Contabilità.AnnoOrdine INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa 
	AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE   (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.IdMestiere = 1) 
	AND (Ordini.Contabiliz = 'Extracanone') AND (Ordini.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario)
	
SQL;

	$S_VIe = ntxScalar($sql);
	if ($S_VIe.''=='') {$S_VIe = 0;}

	$sql = <<< SQL
	
	SELECT Canone
	FROM   Servizi_Canoni_Indicatori
	WHERE  (IdServizio = 7) AND (Mese = $mese) AND (Anno = $anno) AND (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario)
	
SQL;

	$Cme = ntxScalar($sql);
	if ($Cme.''=='') {$Cme = 0;}

	$a = $Cme + $S_VPe;
	$c = $S_VIe/$a;
	$risultato = 1 - $c;

	if ($risultato < 0) 
	{
	$risultato = 0;
	}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET S_VIe = $S_VIe, S_VPe = $S_VPe, Cme = $Cme, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==8) 
	{
	$S_VPi = ntxScalar("SELECT S_VPi FROM DatiIndicatori WHERE (IdDati = $IdDati)");

	$sql = <<< SQL
	
	SELECT  SUM(Contabilità.ImportoStimatoC) AS S_VIi
	FROM    Ordini INNER JOIN Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
    Ordini.AnnoOrdine = Contabilità.AnnoOrdine INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa 
	AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE   (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.IdMestiere = 2) 
	AND (Ordini.Contabiliz = 'Extracanone') AND (Ordini.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario)
	
SQL;

	$S_VIi = ntxScalar($sql);
	if ($S_VIi.''=='') {$S_VIi = 0;}

	$sql = <<< SQL
	
	SELECT  Canone
	FROM    Servizi_Canoni_Indicatori
	WHERE   (IdServizio = 8) AND (Mese = $mese) AND (Anno = $anno) AND (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario)
	
SQL;

	$Cmi = ntxScalar($sql);
	if ($Cmi.''=='') {$Cmi = 0;}

	$a = $Cmi + $S_VPi;
	$c = $S_VIi/$a;
	$risultato = 1 - $c;

	if ($risultato < 0) 
	{
	$risultato = 0;
	}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET S_VIi = $S_VIi, S_VPi = $S_VPi, Cmi = $Cmi, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==9) 
	{
	$S_VPri = ntxScalar("SELECT S_VPri FROM DatiIndicatori WHERE (IdDati = $IdDati)");

	$sql = <<< SQL
	
	SELECT  SUM(Contabilità.ImportoStimatoC) AS S_VIri
	FROM    Ordini INNER JOIN Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
    Ordini.AnnoOrdine = Contabilità.AnnoOrdine INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa 
	AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE   (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.IdMestiere = 3) 
	AND (Ordini.Contabiliz = 'Extracanone') AND (Ordini.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario)
	
SQL;

	$S_VIri = ntxScalar($sql);
	if ($S_VIri.''=='') {$S_VIri = 0;}

	$sql = <<< SQL
	
	SELECT Canone
	FROM   Servizi_Canoni_Indicatori
	WHERE  (IdServizio = 9) AND (Mese = $mese) AND (Anno = $anno) AND (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario)
	
SQL;

	$Cmri = ntxScalar($sql);
	if ($Cmri.''=='') {$Cmri = 0;}

	$a = $Cmri + $S_VPri;
	$c = $S_VIri/$a;
	if ($c > 1) {$c = 1;}
	$d = $c * 0.5;

	$sql = <<< SQL
	
	SELECT  SUM(DATEDIFF(minute, Ordini.DataInizio, Ordini.DataFine)) AS TI_m
	FROM    Ordini INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE   (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.IdMestiere = 3) AND (Ordini.Contabiliz = 'Extracanone') 
	AND (Ordini.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) AND (Ordini.AnomaliaBloccante = 1)
	
SQL;

	$TI_m = ntxScalar($sql);
	if ($TI_m.''=='') {$TI_m = 0;}
	$TIri = $TI_m/60;

	$sql = <<< SQL
	SELECT  Ore
	FROM    Servizi_Ore_Disponibilità_Indicatori
	WHERE   (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (IdServizio = 9) AND (Mese = $mese)
	
SQL;

	$TDri = ntxScalar($sql);
	if ($TDri.''=='') {$TDri = 0;}

	$e = $TIri/$TDri;
	$f = $e * 0.5;
	$g = $d + $f;

	$risultato = 1 - $g;
	if ($risultato < 0) {$risultato = 0;}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET S_VIri = $S_VIri, S_VPri = $S_VPri, Cmri = $Cmri, TIri = $TIri, TDri = $TDri, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==10) 
	{
	$S_VPra = ntxScalar("SELECT S_VPra FROM DatiIndicatori WHERE (IdDati = $IdDati)");

	$sql = <<< SQL
	
	SELECT  SUM(Contabilità.ImportoStimatoC) AS S_VIra
	FROM    Ordini INNER JOIN Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
    Ordini.AnnoOrdine = Contabilità.AnnoOrdine INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa 
	AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE   (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.IdMestiere = 4) 
	AND (Ordini.Contabiliz = 'Extracanone') AND (Ordini.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario)
	
SQL;

	$S_VIra = ntxScalar($sql);
	if ($S_VIra.''=='') {$S_VIra = 0;}

	$sql = <<< SQL
	
	SELECT Canone
	FROM   Servizi_Canoni_Indicatori
	WHERE  (IdServizio = 10) AND (Mese = $mese) AND (Anno = $anno) AND (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario)
	
SQL;

	$Cmra = ntxScalar($sql);
	if ($Cmra.''=='') {$Cmra = 0;}

	$a = $Cmra + $S_VPra;
	$c = $S_VIra/$a;
	if ($c > 1) {$c = 1;}
	$d = $c * 0.5;

	$sql = <<< SQL

	SELECT  SUM(DATEDIFF(minute, Ordini.DataInizio, Ordini.DataFine)) AS TI_m
	FROM    Ordini INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE   (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.IdMestiere = 4) AND (Ordini.Contabiliz = 'Extracanone') 
	AND (Ordini.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) AND (Ordini.AnomaliaBloccante = 1)
	
SQL;

	$TI_m = ntxScalar($sql);
	if ($TI_m.''=='') {$TI_m = 0;}
	$TIra = $TI_m/60;

	$sql = <<< SQL
	
	SELECT  Ore
	FROM    Servizi_Ore_Disponibilità_Indicatori
	WHERE   (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (IdServizio = 10) AND (Mese = $mese)
	
SQL;

	$TDra = ntxScalar($sql);
	if ($TDra.''=='') {$TDra = 0;}

	$e = $TIra/$TDra;
	$f = $e * 0.5;
	$g = $d + $f;

	$risultato = 1 - $g;
	if ($risultato < 0) {$risultato = 0;}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET S_VIra = $S_VIra, S_VPra = $S_VPra, Cmra = $Cmra, TIra = $TIra, TDra = $TDra, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==11) 
	{
	$S_VPel = ntxScalar("SELECT S_VPel FROM DatiIndicatori WHERE (IdDati = $IdDati)");

	$sql = <<< SQL
	
	SELECT  SUM(Contabilità.ImportoStimatoC) AS S_VIel
	FROM    Ordini INNER JOIN Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
    Ordini.AnnoOrdine = Contabilità.AnnoOrdine INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa 
	AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE   (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.IdMestiere = 10) 
	AND (Ordini.Contabiliz = 'Extracanone') AND (Ordini.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario)
	
SQL;

	$S_VIel = ntxScalar($sql);
	if ($S_VIel.''=='') {$S_VIel = 0;}

	$sql = <<< SQL
	
	SELECT Canone
	FROM   Servizi_Canoni_Indicatori
	WHERE  (IdServizio = 11) AND (Mese = $mese) AND (Anno = $anno) AND (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario)
	
SQL;

	$Cmel = ntxScalar($sql);
	if ($Cmel.''=='') {$Cmel = 0;}

	$a = $Cmel + $S_VPel;
	$c = $S_VIel/$a;
	if ($c > 1) {$c = 1;}
	$d = $c * 0.25;

	$sql = <<< SQL
	
	SELECT  SUM(DATEDIFF(minute, Ordini.DataInizio, Ordini.DataFine)) AS TI_m
	FROM    Ordini INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE   (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.IdMestiere = 10) AND (Ordini.Contabiliz = 'Extracanone') 
	AND (Ordini.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) AND (Ordini.AnomaliaBloccante = 1)
	
SQL;

	$TI_m = ntxScalar($sql);
	if ($TI_m.''=='') {$TI_m = 0;}
	$TIel = $TI_m/60;

	$sql = <<< SQL
	
	SELECT  Ore
	FROM    Servizi_Ore_Disponibilità_Indicatori
	WHERE   (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (IdServizio = 11) AND (Mese = $mese)
	
SQL;

	$TDel = ntxScalar($sql);
	if ($TDel.''=='') {$TDel = 0;}

	$e = $TIel/$TDel;
	$f = $e * 0.75;
	$g = $d + $f;

	$risultato = 1 - $g;

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET S_VIel = $S_VIel, S_VPel = $S_VPel, Cmel = $Cmel, TIel = $TIel, TDel = $TDel, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==12) 
	{
	$S_RADai = ntxScalar("SELECT S_RADai FROM DatiIndicatori WHERE (IdDati = $IdDati)");
	
	$sql = <<< SQL
	
	SELECT  SUM(ABS(DATEDIFF(day, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.dataInizioProg))) AS S_RACai
	FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
	AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
	ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
	AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
    tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
	AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE   (tblOrdiniProgrammati.dataInizioProg IS NOT NULL) AND (tblOrdiniProgrammati.dataInizio IS NOT NULL) 
	AND (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
	AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
	AND (ABS(DATEDIFF(day, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.dataInizioProg)) > 0) 
	AND (tblComponetiMestiere.IdMestiere = 5)
	
SQL;

	$S_RACai = ntxScalar($sql);
	if ($S_RACai.''=='') {$S_RACai = 0;}

	$sql = <<< SQL
	SELECT  SUM(tblFrequenzeMestieri.Valore) AS S_FPCai
	FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
	AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
	ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
	AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
    tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
	AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
    tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa 
	AND tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
	WHERE   (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
	AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
	AND (tblComponetiMestiere.IdMestiere = 5)
	
SQL;

	$S_FPCai = ntxScalar($sql);
	if ($S_FPCai.''=='') {$S_FPCai = 0;}

	if ($S_FPCai==0) 
	{
	?>
	<br><br>
	<form method=post action=elenco.php>
	<input TYPE=HIDDEN NAME=Mese value=<?php echo $mese ?> />
	<input TYPE=HIDDEN NAME=Anno value=<?php echo $anno ?> />
	<input TYPE=HIDDEN NAME=IdPropietario value=<?php echo $IdPropietario ?> />
	<table align=center>
	<tr><th><font size="3">Impossibile calcolare: fattore S_FPC = 0</font></th>
	<tr><td><input type=submit style="width:100%" value="< back" ></td>
	</table>
	</form>
	<?php
	die;
	}

	$a = $S_RACai/$S_FPCai;
	$aa = $a * 0.6;

	$b = $S_RADai/$S_FPCai;
	$bb = $b * 0.4;

	$c = $aa + $bb;
	$risultato = 1 - $c;

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET S_RACai = $S_RACai, S_RADai = $S_RADai, S_FPCai = $S_FPCai, 
	Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==13) 
	{
	$S_VPs = ntxScalar("SELECT S_VPs FROM DatiIndicatori WHERE (IdDati = $IdDati)");

	$sql = <<< SQL
	
	SELECT  SUM(Contabilità.ImportoStimatoC) AS S_VIs
	FROM    Ordini INNER JOIN Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
    Ordini.AnnoOrdine = Contabilità.AnnoOrdine INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa 
	AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE   (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.IdMestiere = 6) 
	AND (Ordini.Contabiliz = 'Extracanone') AND (Ordini.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario)
	
SQL;

	$S_VIs = ntxScalar($sql);
	if ($S_VIs.''=='') {$S_VIs = 0;}

	$sql = <<< SQL
	
	SELECT  Canone
	FROM    Servizi_Canoni_Indicatori
	WHERE   (IdServizio = 13) AND (Mese = $mese) AND (Anno = $anno) AND (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario)
	
SQL;

	$Cms = ntxScalar($sql);
	if ($Cms.''=='') {$Cms = 0;}

	$a = $Cms + $S_VPs;
	$c = $S_VIs/$a;
	$risultato = 1 - $c;

	if ($risultato < 0) 
	{
	$risultato = 0;
	}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET S_VIs = $S_VIs, S_VPs = $S_VPs, Cms = $Cms, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==14) 
	{
	
	$Aan = ntxScalar("SELECT Aan FROM DatiIndicatori WHERE (IdDati = $IdDati)");
	$Abn = ntxScalar("SELECT Abn FROM DatiIndicatori WHERE (IdDati = $IdDati)");
	
	$sql = <<< SQL
	
	SELECT COUNT(*) AS Ap
	FROM   tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
	AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
	ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
	AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN tblComponetiMestiere 
	ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
	AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE  (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
	AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
	AND (tblComponetiMestiere.IdMestiere = 11)
	
SQL;

	$Ap = ntxScalar($sql);
	if ($Ap.''=='') {$Ap = 0;}

	$sql = <<< SQL
	
	SELECT  COUNT(*) AS Arp
	FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
	AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
	ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
	AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
    tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
	AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
    tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa 
	AND tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
	WHERE   (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
	AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
	AND (tblComponetiMestiere.IdMestiere = 11) AND (DATEDIFF(day, tblOrdiniProgrammati.dataInizioProg, 
    tblOrdiniProgrammati.dataInizio) > (tblFrequenzeMestieri.Valore / 2))
	
SQL;

	$Arp = ntxScalar($sql);
	if ($Arp.''=='') {$Arp = 0;}

	$sql = <<< SQL
	
	SELECT  COUNT(*) AS An
	FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
	AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
	ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
	AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
    tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
	AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE   (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
	AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
	AND (tblComponetiMestiere.IdMestiere = 11) AND (tblOrdiniProgrammati.dataInizio IS NULL)	   
	
SQL;

	$An = ntxScalar($sql);
	if ($An.''=='') {$An = 0;}

	$sql = <<< SQL
	
	SELECT  COUNT(*) AS Aap
	FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
	AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
	ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
	AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
    tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
	AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
    tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa 
	AND tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
	WHERE   (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
	AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
	AND (tblComponetiMestiere.IdMestiere = 11) AND ((tblFrequenzeMestieri.Valore >= 1) AND (tblFrequenzeMestieri.Valore <= 7))
	
SQL;

	$Aap = ntxScalar($sql);
	if ($Aap.''=='') {$Aap = 0;}

	$sql = <<< SQL
	
	SELECT  COUNT(*) AS Abp
	FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
	AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
	ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
	AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
    tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
	AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
    tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa 
	AND tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
	WHERE   (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
	AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
	AND (tblComponetiMestiere.IdMestiere = 11) AND (tblFrequenzeMestieri.Valore > 7)
	
SQL;

	$Abp = ntxScalar($sql);
	if ($Abp.''=='') {$Abp = 0;}

	$c = $Arp + $An;
	$d = $c/$Ap;
	$Itp = 1-$d;

	$a = $Aan/$Aap;
	$IQpa = 1-$a;
	$b = $Abn/$Abp;
	$IQpb = 1-$b;
	$e = $IQpa * 0.8;
	$f = $IQpb * 0.2;
	$Iqp = $e+$f;

	$g = $Itp*0.3;
	$h = $Iqp*0.7;

	$risultato = $g + $h;

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET Arp = $Arp, An = $An, Ap = $Ap, Aan = $Aan, Aap = $Aap, Abn = $Abn, Abp = $Abp, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==15) 
	{
	$GMgiar = ntxScalar("SELECT GMgiar FROM DatiIndicatori WHERE (IdDati = $IdDati)");

	$mm = 0;
	$aa = 0;

	for ($i=1; $i<=5; $i++)
	{
	$k = $mese - $i;
	if ($k <= 0) 
	{
	$mm = 12 + $k; 
	$aa = $anno - 1;
	}
	else
	{
	$mm = $k; 
	$aa = $anno;
	}

	$sql =  <<< SQL
	
	SELECT GMgiar
	FROM   DatiIndicatori
	WHERE  (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (Mese = $mm) AND (Anno = $aa) AND (IdInd = 15) AND (DataCalcolo IS NOT NULL)
	
SQL;

	$v = ntxScalar($sql);
	if ($v.''=='') {$v = 0.5;}
	$S_GMgiar += $v;
	}

	if (($S_GMgiar + $GMgiar) < 3) 
	{
	$a = $S_GMgiar + $GMgiar;
	$b = $a/12;
	$risultato = 0.5 + $b;
	}
	else
	{
	$risultato = 1;
	}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET GMgiar = $GMgiar, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==16) 
	{
	$S_VPreti = ntxScalar("SELECT S_VPreti FROM DatiIndicatori WHERE (IdDati = $IdDati)");

	$sql = <<< SQL
	
	SELECT  SUM(Contabilità.ImportoStimatoC) AS S_VIreti
	FROM    Ordini INNER JOIN Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
    Ordini.AnnoOrdine = Contabilità.AnnoOrdine INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa 
	AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE   (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.IdMestiere = 7) 
	AND (Ordini.Contabiliz = 'Extracanone') AND (Ordini.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario)
	
SQL;

	$S_VIreti = ntxScalar($sql);
	if ($S_VIreti.''=='') {$S_VIreti = 0;}

	$sql = <<< SQL
	
	SELECT  Canone
	FROM    Servizi_Canoni_Indicatori
	WHERE   (IdServizio = 16) AND (Mese = $mese) AND (Anno = $anno) AND (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario)
	
SQL;

	$Cmreti = ntxScalar($sql);
	if ($Cmreti.''=='') {$Cmreti = 0;}

	$a = $Cmreti + $S_VPreti;
	$c = $S_VIreti/$a;
	$risultato = 1 - $c;

	if ($risultato < 0) 
	{
	$risultato = 0;
	}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET S_VIreti = $S_VIreti, S_VPreti = $S_VPreti, Cmreti = $Cmreti, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}

	elseif ($rs['IdInd']==17) 
	{
	$S_GSrec = ntxScalar("SELECT S_GSrec FROM DatiIndicatori WHERE (IdDati = $IdDati)");
	
	if ($S_GSrec < 2) 
	{
	$a = $S_GSrec/8;
	$risultato = 0.5 + $a;
	}
	else
	{
	$risultato = 1;
	}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET S_GSrec = $S_GSrec, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==18) 
	{
	$GMdis = ntxScalar("SELECT GMdis FROM DatiIndicatori WHERE (IdDati = $IdDati)");

	$mm = 0;
	$aa = 0;

	for ($i=1; $i<=5; $i++)
	{
	$k = $mese - $i;
	if ($k <= 0) 
	{
	$mm = 12 + $k; 
	$aa = $anno - 1;
	}
	else
	{
	$mm = $k; 
	$aa = $anno;
	}

	$sql =  <<< SQL
	
	SELECT GMdis
	FROM   DatiIndicatori
	WHERE  (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (Mese = $mm) AND (Anno = $aa) AND (IdInd = 18) AND (DataCalcolo IS NOT NULL)
	
SQL;

	$v = ntxScalar($sql);
	if ($v.''=='') {$v = 0.5;}
	$S_GMdis += $v;
	}

	if (($S_GMdis + $GMdis) < 3) 
	{
	$a = $S_GMdis + $GMdis;
	$b = $a/12;
	$risultato = 0.5 + $b;
	}
	else
	{
	$risultato = 1;
	}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET GMdis = $GMdis, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==19) 
	{
	$GMfi = ntxScalar("SELECT GMfi FROM DatiIndicatori WHERE (IdDati = $IdDati)");
	
	$mm = 0;
	$aa = 0;

	for ($i=1; $i<=2; $i++)
	{
	$k = $mese - $i;
	if ($k <= 0) 
	{
	$mm = 12 + $k; 
	$aa = $anno - 1;
	}
	else
	{
	$mm = $k; 
	$aa = $anno;
	}

	$sql =  <<< SQL
	
	SELECT GMfi
	FROM   DatiIndicatori
	WHERE  (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (Mese = $mm) AND (Anno = $aa) AND (IdInd = 19) AND (DataCalcolo IS NOT NULL)
	
SQL;

	$v = ntxScalar($sql);
	if ($v.''=='') {$v = 0.5;}
	$S_GMfi += $v;
	}

	if (($S_GMfi + $GMfi) < 1.5) 
	{
	$a = $S_GMfi + $GMfi;
	$b = $a/6;
	$risultato = 0.5 + $b;
	}
	else
	{
	$risultato = 1;
	}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET GMfi = $GMfi, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==20) 
	{
	$risultato = 1;

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==21) 
	{
	$GMsmal = ntxScalar("SELECT GMsmal FROM DatiIndicatori WHERE (IdDati = $IdDati)");

	$mm = 0;
	$aa = 0;

	for ($i=1; $i<=5; $i++)
	{
	$k = $mese - $i;
	if ($k <= 0) 
	{
	$mm = 12 + $k; 
	$aa = $anno - 1;
	}
	else
	{
	$mm = $k; 
	$aa = $anno;
	}

	$sql =  <<< SQL
	
	SELECT GMsmal
	FROM   DatiIndicatori
	WHERE  (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (Mese = $mm) AND (Anno = $aa) AND (IdInd = 21) AND (DataCalcolo IS NOT NULL)
	
SQL;

	$v = ntxScalar($sql);
	if ($v.''=='') {$v = 0.5;}
	$S_GMsmal += $v;
	}

	if (($S_GMsmal + $GMsmal) < 3) 
	{
	$a = $S_GMsmal + $GMsmal;
	$b = $a/12;
	$risultato = 0.5 + $b;
	}
	else
	{
	$risultato = 1;
	}

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET GMsmal = $GMsmal, Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	}
}

$sql =  <<< SQL
SELECT 	  IdInd, IdDati
FROM      DatiIndicatori
WHERE     (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (Mese = $mese) AND (Anno = $anno) AND (IdInd < 3)
ORDER BY  IdInd DESC
SQL;
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{	

	$IdDati = ($rs['IdDati']);
	
	if ($rs['IdInd']==2) 
	{
	$sql = <<< SQL
	
	SELECT  SUM(DatiIndicatori.Risultato * Servizi_Pesi_Indicatori.Peso) AS W, SUM(Servizi_Pesi_Indicatori.Peso) AS Z
	FROM    DatiIndicatori INNER JOIN Servizi_Pesi_Indicatori ON DatiIndicatori.IdInd = Servizi_Pesi_Indicatori.IdServizio 
	AND DatiIndicatori.IdProp = Servizi_Pesi_Indicatori.IdProp AND DatiIndicatori.IdCommessa = Servizi_Pesi_Indicatori.IdCommessa
	WHERE   (DatiIndicatori.Mese = $mese) AND (DatiIndicatori.Anno = $anno) AND (DatiIndicatori.IdInd <> 0) AND (DatiIndicatori.IdInd <> 1) 
	AND (DatiIndicatori.IdInd <> 2)  AND (DatiIndicatori.IdInd <> -1) AND (DatiIndicatori.IdProp = $IdPropietario) 
	AND (DatiIndicatori.IdCommessa = $IdCommessa)

SQL;

	$queryx = ntxQuery($sql);
	$rsx = ntxRecord($queryx);

	$S_IPxC = $rsx['W'];
	$S_C = $rsx['Z'];

	$risultato = $S_IPxC/$S_C;

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET S_IPxC = $S_IPxC, S_C = $S_C, 
	Risultato = $risultato, DataCalcolo = getdate()
	WHERE IdDati=$IdDati
	   
SQL;

	ntxQuery($sql);
	}
	
	elseif ($rs['IdInd']==1) 
	{
	$n = ntxScalar("SELECT n FROM Parametri_IS WHERE (IdCommessa = $IdCommessa) AND (IdEnte = $IdPropietario)");
	$D = ntxScalar("SELECT D FROM Parametri_IS WHERE (IdCommessa = $IdCommessa) AND (IdEnte = $IdPropietario)");

	$sql = <<< SQL
	
	SELECT COUNT(*) AS N
	FROM   Solleciti INNER JOIN Richieste ON Solleciti.IDCommessa = Richieste.IDCommessa AND Solleciti.NumRichiesta = Richieste.NumRichiesta 
	AND Solleciti.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa 
	AND Richieste.Localizzazione = ElencoEdifici.ID
	WHERE  (MONTH(Solleciti.DataSollecito) = $mese) AND (YEAR(Solleciti.DataSollecito) = $anno) AND (Solleciti.IDCommessa = $IdCommessa)
	GROUP BY ElencoEdifici.IdProprietario
	HAVING (ElencoEdifici.IdProprietario = $IdPropietario)
	
SQL;

	$NS = ntxScalar($sql);
	if ($NS.''=='') {$NS = 0;}

	$a = $D/$n;
	$b = $NS-$a;
	$c = $b/100;

	if ($c >= 0.9) {$c = 0.9;}
	if ($c <= 0) {$c = 0;}

	$risultato = 1 - $c;

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET NS = $NS, nis = $n, Dis = $D, 
	Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati=$IdDati
	   
SQL;

	ntxQuery($sql);
	}

	elseif ($rs['IdInd']==0) 
	{
	$sql = <<< SQL
	
	SELECT Risultato
	FROM   DatiIndicatori
	WHERE  (Mese = $mese) AND (Anno = $anno) AND (IdProp = $IdPropietario) AND (IdInd = 2) AND (IdCommessa = $IdCommessa)
	
SQL;

	$IP = ntxScalar($sql);

	$sql = <<< SQL
	
	SELECT Risultato
	FROM   DatiIndicatori
	WHERE  (Mese = $mese) AND (Anno = $anno) AND (IdProp = $IdPropietario) AND (IdInd = 1) AND (IdCommessa = $IdCommessa)
	
SQL;

	$IS = ntxScalar($sql);

	$risultato = $IP * $IS;

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET Risultato = $risultato, DataCalcolo = getdate()
	WHERE IdDati=$IdDati
	   
SQL;

	ntxQuery($sql);
	}

	elseif ($rs['IdInd']==-1) 
	{
	$mm = 0;
	$aa = 0;

	for ($i=0; $i<=2; $i++)
	{
	$k = $mese - $i;
	if ($k <= 0) 
	{
	$mm = 12 + $k; 
	$aa = $anno - 1;
	}
	else
	{
	$mm = $k; 
	$aa = $anno;
	}

	if ($i == 1)
	{
	$uno = ntxScalar("SELECT DataCalcolo FROM DatiIndicatori WHERE (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (Mese = $mm) AND (Anno = $aa) AND (IdInd = 0)");
	$uno_mese = $mm;
	$uno_anno = $aa;
	}
	if ($i == 2)
	{
	$due = ntxScalar("SELECT DataCalcolo FROM DatiIndicatori WHERE (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (Mese = $mm) AND (Anno = $aa) AND (IdInd = 0)");
	$due_mese = $mm;
	$due_anno = $aa;
	}

	$sql =  <<< SQL
	
	SELECT Risultato
	FROM   DatiIndicatori
	WHERE  (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (Mese = $mm) AND (Anno = $aa) AND (IdInd = 0) AND (DataCalcolo IS NOT NULL)
	
SQL;

	$v = ntxScalar($sql);

	if ($v.''=='') {$v = 1;}
	$S += $v;
	}

	$a = $S/2.25;
	$b = 1-$a;
	$DLS = $b*100;

	if (($DLS >= 10)  &&  ($DLS < 15)){$P = 0.05;}
	elseif (($DLS >= 15)  &&  ($DLS < 20)){$P = 0.08;}
	elseif (($DLS >= 20)  &&  ($DLS < 25)){$P = 0.09;}
	elseif (($DLS >= 25)  &&  ($DLS < 30)){$P = 0.1;}
	elseif ($DLS >= 30){$P = 0.25;}

	$sql =  <<< SQL
	
	SELECT  SUM(Canone) AS SC
	FROM    Servizi_Canoni_Indicatori
	WHERE   (IdCommessa = $IdCommessa) AND (IdProp = $IdPropietario) AND (Mese = $mese) AND (Anno = $anno)
	
SQL;

	$SC = ntxScalar($sql);
	if ($SC.''=='') {$SC = 0;}

	$risultato = $P * $SC;

	$sql =  <<< SQL

	UPDATE DatiIndicatori 
	SET Risultato = $risultato, DataCalcolo = getdate()
    WHERE IdDati = $IdDati
	   
SQL;

	ntxQuery($sql);
	?>

	<br>
	<?php
	if (($uno.''=='')  &&  ($due.''==''))
	{
	?>
	<form method=post>
	<table align=center style="width:60%">
	<tr><th>ATTENZIONE: I LIVELLI DI SERVIZIO DEI MESI&nbsp;<?php echo $due_mese ?>-<?php echo $due_anno ?>
	&nbsp;E&nbsp;<?php echo $uno_mese ?>-<?php echo $uno_anno ?>&nbsp;NON SONO STATI CALCOLATI; SONO STATI COMUNQUE CONSIDERATI =1 AI FINI DEL COMPUTO DEL MESE IN QUESTIONE</th>
	</table>
	</form>
	<br>
	<?php
	}
	elseif (($uno.''<>'')  &&  ($due.''==''))
	{
	?>
	<form method=post>
	<table align=center style="width:60%">
	<tr><th>ATTENZIONE: IL LIVELLO DI SERVIZIO DEL MESE&nbsp;<?php echo $due_mese ?>-<?php echo $due_anno ?>&nbsp;NON E' STATO CALCOLATO; E' STATO COMUNQUE CONSIDERATO =1 AI FINI DEL COMPUTO DEL MESE IN QUESTIONE</th>
	</table>
	</form>
	<br>
	<?php
	}
	elseif (($uno.''=='')  &&  ($due.''<>''))
	{
	?>
	<form method=post>
	<table align=center style="width:60%">
	<tr><th>ATTENZIONE: IL LIVELLO DI SERVIZIO DEL MESE&nbsp;<?php echo $uno_mese ?>-<?php echo $uno_anno ?>&nbsp;NON E' STATO CALCOLATO; E' STATO COMUNQUE CONSIDERATO =1 AI FINI DEL COMPUTO DEL MESE IN QUESTIONE</th>
	</table>
	</form>
	<br>
	<?php
	}
	}

}
	
?>
<br>
<form name=form1 method=post action=elenco.php>
<input TYPE=HIDDEN NAME=Mese value=<?php echo $mese ?> />
<input TYPE=HIDDEN NAME=Anno value=<?php echo $anno ?> />
<input TYPE=HIDDEN NAME=IdPropietario value=<?php echo $IdPropietario ?> />
<table align=center>
<tr><th><font size="2">ELABORAZIONE AVVENUTA CORRETTAMENTE</font></th>
<tr><td><input type=submit style="width:100%" value="< back" ></td>
</table>
</form>

</body>
</html>

