<?php  
session_start();
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<link href="../_css/navstyleLittle.css" rel="stylesheet" type="text/css">

	<style>
	.x
	{
	margin:0;
	padding:0;
	border: none;
	text-align:center;
	text-transform: none;
	letter-spacing: 4px;
	color: #C00000;
	background: transparent; 
	text-transform:uppercase;
	font-family: times,verdana;georgia,serif; 
	color: #555;	
	font-weight: bold;
	text-shadow: #9C9C9C 0.1em 0.1em 0.3em;
	font-size: 2em;
	}		
	</style>

</head>
<body>

<?php

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = (int)$_SESSION['IdCommessa'];
$IdDati = ntxip('IdDati');
$mese = ntxip('Mese');
$anno = ntxip('Anno');
$IdPropietario = ntxip('IdPropietario');

$n = ntxScalar("SELECT n FROM Parametri_IS WHERE (IdCommessa = $IdCommessa) AND (IdEnte = $IdPropietario)");
$D = ntxScalar("SELECT D FROM Parametri_IS WHERE (IdCommessa = $IdCommessa) AND (IdEnte = $IdPropietario)");

$sql = <<< SQL
SELECT COUNT(*) AS N
FROM   Solleciti INNER JOIN Richieste ON Solleciti.IDCommessa = Richieste.IDCommessa AND Solleciti.NumRichiesta = Richieste.NumRichiesta 
	   AND Solleciti.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa 
	   AND Richieste.Localizzazione = ElencoEdifici.ID
WHERE  (MONTH(Solleciti.DataSollecito) = $mese) AND (YEAR(Solleciti.DataSollecito) = $anno) AND (Solleciti.IDCommessa = $IdCommessa)
GROUP BY ElencoEdifici.IdProprietario
HAVING (ElencoEdifici.IdProprietario = $IdPropietario)
SQL;
$NS = ntxScalar($sql);
if ($NS.''=='') {$NS = 0;}

$a = $D/$n;
$b = $NS-$a;
$c = $b/100;

if ($c >= 0.9) {$c = 0.9;}
if ($c <= 0) {$c = 0;}

$risultato = 1 - $c;

$sql =  <<< SQL

	   UPDATE DatiIndicatori 
	   SET NS = $NS, nis = $n, Dis = $D, 
	   Risultato = $risultato, DataCalcolo = getdate()
       WHERE IdDati=$IdDati
	   
SQL;

ntxQuery($sql);
?>

<h2 class="x">INDICATORI DI PRESTAZIONE</h2>
<br>
<form name=form1 method=post action=elenco.php>
<input TYPE=HIDDEN NAME=Mese value=<?php echo $mese ?> />
<input TYPE=HIDDEN NAME=Anno value=<?php echo $anno ?> />
<input TYPE=HIDDEN NAME=IdPropietario value=<?php echo $IdPropietario ?> />
<table align=center>
<tr><th><font size="2">Elaborazione avvenuta correttamente</font></th>
<tr><td><input type=submit style="width:100%" value="< back" ></td>
</table>
</form>

</body>
</html>

