<?php  
session_start();
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<link href="../_css/navstyleLittle.css" rel="stylesheet" type="text/css">

	<style>
	.x
	{
	margin:0;
	padding:0;
	border: none;
	text-align:center;
	text-transform: none;
	letter-spacing: 4px;
	color: #C00000;
	background: transparent; 
	text-transform:uppercase;
	font-family: times,verdana;georgia,serif; 
	color: #555;	
	font-weight: bold;
	text-shadow: #9C9C9C 0.1em 0.1em 0.3em;
	font-size: 2em;
	}		
	</style>

</head>
<body>

<?php

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = (int)$_SESSION['IdCommessa'];
$IdDati = ntxip('IdDati');
$mese = ntxip('Mese');
$anno = ntxip('Anno');
$IdPropietario = ntxip('IdPropietario');

$sql = <<< SQL
SELECT  SUM(ABS(DATEDIFF(day, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.dataInizioProg))) AS S_RACai
FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
		AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
		ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
		AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
        tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
		AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
WHERE   (tblOrdiniProgrammati.dataInizioProg IS NOT NULL) AND (tblOrdiniProgrammati.dataInizio IS NOT NULL) 
		AND (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
		AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
		AND (ABS(DATEDIFF(day, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.dataInizioProg)) > 0) 
		AND (tblComponetiMestiere.IdMestiere = 5)	   
SQL;
$S_RACai = ntxScalar($sql);
if ($S_RACai.''=='') {$S_RACai = 0;}

$S_RADai = 0;

$sql = <<< SQL
SELECT  SUM(tblFrequenzeMestieri.Valore) AS S_FPCai
FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
		AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
		ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
		AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
        tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
		AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
        tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa 
		AND tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
WHERE   (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
		AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
		AND (tblComponetiMestiere.IdMestiere = 5)
SQL;
$S_FPCai = ntxScalar($sql);
if ($S_FPCai.''=='') {$S_FPCai = 0;}

if ($S_FPCai==0) 
{
?>
<br><br>
<form method=post action=elenco.php>
<input TYPE=HIDDEN NAME=Mese value=<?php echo $mese ?> />
<input TYPE=HIDDEN NAME=Anno value=<?php echo $anno ?> />
<input TYPE=HIDDEN NAME=IdPropietario value=<?php echo $IdPropietario ?> />
<table align=center>
<tr><th><font size="3">Impossibile calcolare: fattore S_FPC = 0</font></th>
<tr><td><input type=submit style="width:100%" value="< back" ></td>
</table>
</form>
<?php
die;
}

$a = $S_RACai/$S_FPCai;
$aa = $a * 0.6;

$b = $S_RADai/$S_FPCai;
$bb = $b * 0.4;

$c = $aa + $bb;
$risultato = 1 - $c;

$sql =  <<< SQL

	   UPDATE DatiIndicatori 
	   SET S_RACai = $S_RACai, S_RADai = $S_RADai, S_FPCai = $S_FPCai, 
	   Risultato = $risultato, DataCalcolo = getdate()
       WHERE IdDati = $IdDati
	   
SQL;
ntxQuery($sql);
?>

<h2 class="x">INDICATORI DI PRESTAZIONE</h2>
<br>
<form name=form1 method=post action=elenco.php>
<input TYPE=HIDDEN NAME=Mese value=<?php echo $mese ?> />
<input TYPE=HIDDEN NAME=Anno value=<?php echo $anno ?> />
<input TYPE=HIDDEN NAME=IdPropietario value=<?php echo $IdPropietario ?> />
<table align=center>
<tr><th><font size="2">Elaborazione avvenuta correttamente</font></th>
<tr><td><input type=submit style="width:100%" value="< back" ></td>
</table>
</form>

</body>
</html>

