<?php  
session_start();
?>
 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<link href="../_css/navstyleLittle.css" rel="stylesheet" type="text/css">

	<style>
	.x
	{
	margin:0;
	padding:0;
	border: none;
	text-align:center;
	text-transform: none;
	letter-spacing: 4px;
	color: #C00000;
	background: transparent; 
	text-transform:uppercase;
	font-family: times,verdana;georgia,serif; 
	color: #555;	
	font-weight: bold;
	text-shadow: #9C9C9C 0.1em 0.1em 0.3em;
	font-size: 2em;
	}	
	
	.y
	{
	margin:0;
	padding:0;
	border: none;
	text-align:center;
	text-transform: none;
	letter-spacing: 4px;
	color: #C00000;
	background: transparent; 
	text-transform:uppercase;
	font-family: times,verdana;georgia,serif; 
	color: #555;	
	font-weight: bold;
	text-shadow: #9C9C9C 0.1em 0.1em 0.3em;
	font-size: 1,6em;
	}	
	
	@media print
	{
	#tabella1{}
	.stampa{display:none}
	}
	</style>

</head>
<body>

<?php

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = (int)$_SESSION['IdCommessa'];
$mese = ntxip('Mese');
$anno = ntxip('Anno');
$IdPropietario = ntxip('IdPropietario');
$data = '01/'.$mese.'/'.$anno;

$sql0 =  <<< SQL
SELECT IdDati FROM DatiIndicatori WHERE (Mese = $mese) AND (Anno = $anno) AND (IdProp = $IdPropietario) AND (IdCommessa = $IdCommessa)
SQL;
$k = ntxScalar($sql0);

if ($k.''=='') 
{
$sql3 = <<< SQL
SELECT DISTINCT Indicatori.IdInd
FROM   tblPgContratti INNER JOIN tblPgContrattiPropietariGestoriAttivitàEdifici ON 
	   tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto 
	   AND tblPgContratti.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa INNER JOIN
       tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
       tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
       tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
       tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
       Indicatori ON tblComponetiMestiere.IdCommessa = Indicatori.IdCommessa AND tblComponetiMestiere.IdMestiere = Indicatori.IdMestiere
WHERE  (tblPgContratti.DataInizio <= '$data') AND (tblPgContratti.DataFine >= '$data') AND (tblPgContratti.IdPropietario = $IdPropietario) 
	   AND (tblPgContratti.IdCommessa = $IdCommessa)
SQL;
$test = ntxScalar($sql3);

if ($test.''=='') 
{
?>
<h2 class="x">INDICATORI DI PRESTAZIONE</h2>
<br>
<form method=post action=elencop.php>
<table align=center>
<tr><th>NESSUN SERVIZIO ATTIVATO SU ENTE E MESE SELEZIONATI</th>
<tr><td><input type=submit style="width:100%" value="< back" ></td>
</table>
</form>
<?php
die;
}

$sql2 =  <<< SQL
INSERT INTO DatiIndicatori (IdCommessa, IdProp, IdInd, Mese, Anno, DataGenerazione)
SELECT DISTINCT tblPgContratti.IdCommessa, tblPgPropietari.IdPropietario, Indicatori.IdInd, $mese, $anno, getdate()
FROM   tblPgContratti INNER JOIN
       tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario INNER JOIN
       tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto AND 
       tblPgContratti.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa INNER JOIN
       tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
       tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
       tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
       tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
       Indicatori ON tblComponetiMestiere.IdCommessa = Indicatori.IdCommessa AND tblComponetiMestiere.IdMestiere = Indicatori.IdMestiere
WHERE  (tblPgContratti.DataInizio <= '$data') AND (tblPgContratti.DataFine >= '$data') AND (tblPgPropietari.IdPropietario = $IdPropietario) 
	   AND (tblPgContratti.IdCommessa = $IdCommessa)
	   
SQL;
ntxQuery($sql2);

$sql =  <<< SQL
INSERT INTO DatiIndicatori (IdCommessa, IdProp, IdInd, Mese, Anno, DataGenerazione)
SELECT $IdCommessa, $IdPropietario, IdInd, $mese, $anno, getdate()
FROM   Indicatori
WHERE  (IdMestiere = 0)
SQL;
ntxQuery($sql);
}

$sql =  <<< SQL
SELECT  tblPgPropietari.Nome, DatiIndicatori.IdDati, DatiIndicatori.Mese, DatiIndicatori.Anno, DatiIndicatori.Risultato, 
		Indicatori.Percorso, Indicatori.Descrizione, Indicatori.IdInd, DatiIndicatori.IdProp
FROM    Indicatori INNER JOIN DatiIndicatori ON Indicatori.IdInd = DatiIndicatori.IdInd INNER JOIN
        tblPgPropietari ON DatiIndicatori.IdProp = tblPgPropietari.IdPropietario
WHERE   (DatiIndicatori.Mese = $mese) AND (DatiIndicatori.Anno = $anno) 
		AND (DatiIndicatori.IdProp = $IdPropietario) AND (DatiIndicatori.IdCommessa = $IdCommessa)
ORDER BY Indicatori.IdInd
SQL;

$prop = ntxScalar($sql);
$query = ntxQuery($sql);

?>

<script language=javascript>

function insdati(id,idp)
{

	document.form1.IdDati.value=''+id; 	
	document.form1.action="insdati"+idp+".php";
	document.form1.submit();
}

function calcolo(id,idp)
{

	document.form1.IdDati.value=''+id; 
	document.form1.action="calcolo"+idp+".php";
	document.form1.submit();
}

function dettaglio(id,idp)
{
	document.form1.IdDati.value=''+id; 
	document.form1.action="dettaglio"+idp+".php";
	document.form1.submit();
}

function back(id)
{	
	document.form2.IdPropietario.value=''+id;
	document.form2.action="ricerca.php";
	document.form2.submit();
}

function excel(a,b,c)
{
	document.form2.Mese.value=''+a;
	document.form2.Anno.value=''+b;
	document.form2.IdPropietario.value=''+c;	
	document.form2.action="excel.php";
	document.form2.target="frameExcel";
	document.form2.submit();
}

function calcolo_completo(a,b,c)
{

	if ( !confirm("PROCEDERE CON L'ELABORAZIONE?") ) return;

	document.form2.Mese.value=''+a;
	document.form2.Anno.value=''+b;
	document.form2.IdPropietario.value=''+c;	
	document.form2.action="calcolo.php";
	document.form2.submit();
}

function elimina_mese(a,b,c)
{

	if ( !confirm("CONFERMI ELIMINAZIONE?") ) return;

	document.form2.Mese.value=''+a;
	document.form2.Anno.value=''+b;
	document.form2.IdPropietario.value=''+c;
	document.form2.action="elimina_mese.php";
	document.form2.submit();

}

</script>

<h2 class="x">INDICATORI DI PRESTAZIONE</h2>
<br>
<h2 class="y"><?php echo $prop ?></h2>
<br>

<iframe id="frameExcel" name="frameExcel" style="width:1px;height:1px"></iframe>

<form name=form2 method=post>
<input TYPE=HIDDEN NAME=Mese />
<input TYPE=HIDDEN NAME=Anno />
<input TYPE=HIDDEN NAME=IdPropietario />
<table align=center id=tabella1 >
<tr><th>Mese</th><td>&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $mese ?>&nbsp;&nbsp;&nbsp;&nbsp;</td>
<th>Anno</th><td>&nbsp;<?php echo $anno ?>&nbsp;</td>
<th class=stampa><input type="button" value="< back" onclick="back('<?php echo $IdPropietario ?>')"></th>
<th class=stampa><input type="button" value="stampa" onclick="print()"></th>
<th class=stampa><input type="button" value="excel" onclick="excel('<?php echo $mese ?>' , '<?php echo $anno ?>' , '<?php echo $IdPropietario ?>')"></th>	
<th class=stampa><input type="button" value="calcolo completo" onclick="calcolo_completo('<?php echo $mese ?>' , '<?php echo $anno ?>' , '<?php echo $IdPropietario ?>')"></th>
<th class=stampa><input type="button" value="elimina mese" onclick="elimina_mese('<?php echo $mese ?>' , '<?php echo $anno ?>' , '<?php echo $IdPropietario ?>')"></th></tr>
</table>
</form>

<br>

<form name=form1 method=post>
<input TYPE=HIDDEN NAME=IdDati />
<input TYPE=HIDDEN NAME=Mese value=<?php echo $mese ?> />
<input TYPE=HIDDEN NAME=Anno value=<?php echo $anno ?> />
<input TYPE=HIDDEN NAME=IdPropietario value=<?php echo $IdPropietario ?> />

<table align=center >

	<tr><th class=stampa >FUNZIONE</th><th>INDICATORE</th><th>FORMULA</th><th>VALORE</th></tr>
<?php
	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		
<?php	

if ($rs['IdInd']<>4) 
{
?>
<td class=stampa><input type="button" style="width:100%;" value="calcolo" onclick="calcolo('<?php echo $rs['IdDati'] ?>' , '<?php echo $rs['IdInd'] ?>')">
<?php
} else {
?>
<td class=stampa><input type="button" style="width:100%;" value="inserimento dati" onclick="insdati('<?php echo $rs['IdDati'] ?>' , '<?php echo $rs['IdInd'] ?>')">
<?php
}

if ($rs['IdInd']>=3  &&  $rs['IdInd']<=19 || $rs['IdInd']==21) 
{
?>
<input type="button" style="width:100%;" value="dettaglio" onclick="dettaglio('<?php echo $rs['IdDati'] ?>' , '<?php echo $rs['IdInd'] ?>')"></td>
<?php
} else {
?>
</td>
<?php
}

?>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Descrizione']) ?>&nbsp;</td>
		<td>&nbsp;<IMG SRC=<?php echo htmlentities($rs['Percorso']) ?> WIDTH=150 HEIGHT=60>&nbsp;</td>
		
<?php	
if ($rs['IdInd']==-1) 
{
?>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><font size=2>&nbsp;€&nbsp;<?php echo ntxRoundThousand($rs['Risultato'],2) ?>&nbsp;</td>
<?php
} else {
?>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><font size=2>&nbsp;<?php echo ntxRound($rs['Risultato'],3) ?>&nbsp;</td>				
<?php		
}
	$alternate = !$alternate;
	}
?>

</table>
</form>
<br><br>
</body>
</html>
