<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
	
$IdCommessa = ntxip('IdCommessa');
$IdElementi = ntxsp('IdElementi');

$sql = <<< sql
SELECT     ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA
FROM         ElencoEdifici INNER JOIN
                      dbo.SplitId($IdElementi) AS SplitId_1 ON ElencoEdifici.ID = SplitId_1.id
WHERE     (ElencoEdifici.IdCommessa = $IdCommessa)
sql;

$query = ntxQuery($sql);

$result = <<< table
	<table class=grid>
		<tr>
			<th><th>Codice
			<th>Nome
			<th>Indirizzo
			<th>Comune
			<th>Prov
table;

$alternate = false;
	
while($rs=ntxRecord($query))
{
	$class = $alternate ? "class=alternate" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$result .= <<< table
		<tr $class>
			<td ><input type=button value=sel onclick="SelEdificio('$rs[ID]')" />
			<td >$html[Codice]
			<td >$html[EdificioBreve]
			<td >$html[Indirizzo]
			<td >$html[CITTA]
			<td >$html[PROVINCIA]
table;

	$alternate = !$alternate;	
}

$result .= <<< table
	</table>
table;

jhp($result);

?>
