<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$xs = explode(",", $_POST[map_xs]);
$ys = explode(",", $_POST[map_ys]);

$len = count($xs);

$points = "";

for($i=0;$i<$len;++$i)
{
	$x = $xs[$i];
	$y = $ys[$i];

	$point = "$x;$y";
	
	if ( $points!="" ) $points .= ";";
	
	$points .= $point;
}

$CodiceAmbienti = explode(",",$_POST[CodiceAmbienti]);

if ( count($CodiceAmbienti)>1 )
	jhp_error("Trovate due aree UG sovrapposte!");
	
$CodiceAmbiente = $CodiceAmbienti[0];

if ( strlen($CodiceAmbiente)==0 )
	jhp_error("Codice Interno Area UG trovato nullo!");
	
$CodiceAmbiente = ntxs($CodiceAmbiente);


$IdCommessa = ntxip('IdCommessa');

$Utente = ntxsse('Utente');

$sql = <<< sql
	INSERT INTO ComponentiAmbiente
						  (IdCommessa, IdEdificio, IDAmbiente, IDComponente, IdTipoComponente, UtenteModifica, DataModifica, Graficizzato)
	SELECT     IdCommessa, IdEdificio, IDAmbiente, 

						ISNULL((SELECT     MAX(IDComponente) AS Expr1
								  FROM         ComponentiAmbiente
								  WHERE     (Ambiente.IdCommessa = IdCommessa) AND (Ambiente.IdEdificio = IdEdificio))
							, 0) + 1 AS IdComponente, 

						  3 AS IdTipoComponente, 
						  
						$Utente AS UtenteModifica, 

						GETDATE() AS DataModifica,
						
						1 Graficizzato
						
	FROM         Ambiente
	WHERE     (CodiceAmbiente = $CodiceAmbiente)
sql;

ntxQuery($sql);

$IdUnivoco = ntxId();

$sql = <<< sql
	UPDATE    ComponentiAmbiente
	SET              CodiceComponente = Ambiente.CodiceAmbiente + 'C' + ltrim(ComponentiAmbiente.IDComponente)
	FROM         Ambiente INNER JOIN
						  ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
						  Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente
	WHERE     (ComponentiAmbiente.IdUnivoco = $IdUnivoco)
sql;

ntxQuery($sql);
		
$sql = <<< sql
	INSERT INTO ComponentiAmbienteShapes
						  (IdCommessa, IdEdificio, IdComponente, Tipo, CoordXY)
	SELECT     IdCommessa, IdEdificio, IDComponente, 2 AS Tipo, '$points' AS CoordXY
	FROM         ComponentiAmbiente
	WHERE     (IdUnivoco = $IdUnivoco)
sql;

ntxQuery($sql);

$sql = <<< sql
	SELECT     CodiceComponente
	FROM         ComponentiAmbiente
	WHERE     (IdUnivoco = $IdUnivoco)
sql;

$CodiceComponente = ntxScalar($sql);

jhp($CodiceComponente);

?>
