<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if ( !$_SESSION ) session_start();

$IdCommessa = ntxise('IdCommessa');
$IdTipoComp = ntxip('IdTipoComp');

$sql = <<< sql
	SELECT     tblPropTipiComp.IdPropComp, tblPropTipiComp.Propietà, tblPropTipiComp.SoloInLista
	FROM         tblPropTipiComp
	WHERE     (tblPropTipiComp.IdTipoComp = $IdTipoComp) AND (tblPropTipiComp.IdCommessa = $IdCommessa)
sql;

$query = ntxQuery($sql);

$props = array();

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropComp]] = $rs;
}

$sql = <<< sql
	SELECT  DISTINCT   tblPropTipiComp.IdPropComp, tblValPropTipiComp.Valore
	FROM         tblPropTipiComp INNER JOIN
						  tblValPropTipiComp ON tblPropTipiComp.IdCommessa = tblValPropTipiComp.IdCommessa AND 
						  tblPropTipiComp.IdPropComp = tblValPropTipiComp.IdPropComp
	WHERE     (tblPropTipiComp.IdTipoComp = $IdTipoComp) AND (tblPropTipiComp.IdCommessa = $IdCommessa)
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropComp]][Valori][] = $rs[Valore];
}

$table = "<table class=grid>";

$table .= <<< table
	<tr><th><input type=checkbox MultiEditProp campo=meDesComponente1 />Descrizione Componente (max 255 car.)</th>	
		<td><textarea 	id=meDesComponente1 propMeDinamiche onchange="MeCambiaValore(this)" rows=2 style="width:100%"></textarea></td></tr>
		
	<tr class=alternate><th><input type=checkbox MultiEditProp campo=meNote1 />Note Componente (max 255 car.)</th>			
		<td><textarea	id=meNote1 propMeDinamiche onchange="MeCambiaValore(this)" rows=2 style="width:100%"></textarea></td></tr>
	
	<tr><th><input type=checkbox MultiEditProp campo=meRimosso1 />Abbattuto</th>								
		<td><input 		id=meRimosso1 onchange="MeCambiaValore(this)" type=checkbox /></td></tr>
		
	<tr class=alternate><th><input type=checkbox MultiEditProp campo=meDataRimozione1 />Data Abbattimento</th>						
		<td><input 		id=meDataRimozione1 propMeDinamiche onchange="MeCambiaValore(this)" type=text value="" style="width:100%" /></td></tr>
table;

$alternate = false;

foreach($props as $prop)
{
	$label = htmlentities($prop[Propietà]);
	
	$label = "<input type=checkbox MultiEditProp IdProp=$prop[IdPropComp] campo=\"\" />$label";
	
	$textboxSearch = "";
	
	if ( substr($prop[Propietà],0,6)=="Specie" )
		$textboxSearch = "<input type=text onblur=\"FiltraComboSpecie(this, 'cboMeProp1_$prop[IdPropComp]')\" /><input type=button value=filtra />";
	
	$textbox = "";
	
	if ( !$prop[SoloInLista] )
		$textbox = "<input id=txtMeProp1_$prop[IdPropComp] type=text propMeDinamiche IdProp=$prop[IdPropComp] value=\"\" onchange=\"MeCambiaValore2($prop[IdPropComp])\" />";
	
	$select = "";
	
	if ( count($prop[Valori])>0 )
	{
		$select = "<select id=cboMeProp1_$prop[IdPropComp] propMeDinamiche IdProp=$prop[IdPropComp] onchange=\"MeCambiaValore2($prop[IdPropComp])\" >";
		$select .= "<option value=\"\"></option>";
		
		foreach($prop[Valori] as $val)
		{
			$Valore = str_replace("\"", "&quot;", $val);
			$html = htmlentities($val);
			
			$select .= "<option value=\"$Valore\">$html</option>";
		}
		
		$select .= "</select>";
	}

	$alt = $alternate ? "class=alternate" : "";

	$alternate = !$alternate;
	
	if ( $select!=""  &&  $textbox!="" )
		$table .= "<tr $alt><th>$label</th><td>$textbox<br>{$textboxSearch}<br>$select</td></tr>";
	else
		$table .= "<tr $alt><th>$label</th><td>{$textbox}{$textboxSearch}{$select}</td></tr>";
}

$table .= "</table>";

$page = <<< page
	$table
	
	<br>
	<input type=button value=MEMORIZZA onclick="MemorizzaMultiEdit($IdTipoComp)" style="font-size:0.7cm;padding:2px;" />
	<input type=button value=RESET onclick="ResetMultiEdit()" style="font-size:0.7cm;padding:2px;" />
	<br>
	
	<form name=frmUploadMultiEdit action="upload_foto_multi_edit.php" method="post" enctype="multipart/form-data" target="frameUploadMultiEdit" style="background:silver;border:2px solid gray">
		<input name=IdCommessa type=hidden value="">
		<input name=IdTipoComp type=hidden value="$IdTipoComp">
		<input name=CodiceComponenti type=hidden value="">
		File:<input type="file" name="upfile" size="50" />
		<br>
		Descrizione:<input type=text name=Nota value="descrizione file" size="50"  maxlength="100" />
		<br>
		<input type=button value="Aggiungi Foto" onclick="AggiungiFotoMulti()" />
	
		<iframe style="width:80%;height:4cm" name=frameUploadMultiEdit></iframe>
	</form> 
page;
?>

<?php

jhp($page);

?>
