/***************************************************************

TOOLBAR

***************************************************************/

var SnapCivico = false;

function ToggleButton(key, value)
{
	document.getElementById('img'+key).src = '_img/btn' + key + (value ? 'Sel' : 'Des') + '.png';
}

function ButtonToolbarSwitch(key, key2)
{
	document.getElementById('img'+key2).src = '_img/btn' + key2 + (key==key2 ? 'Sel' : 'Des') + '.png';
}

function ToolbarSwitch(key)
{
	ButtonToolbarSwitch(key, 'Sel');
	ButtonToolbarSwitch(key, 'Pan');
	ButtonToolbarSwitch(key, 'ZoomArea');
	ButtonToolbarSwitch(key, 'ZoomIn');
	ButtonToolbarSwitch(key, 'ZoomOut');
}
			
function ToolbarClick(key)
{
	switch(key)
	{
		case 'Sel':
			form1.doAction.value = "sel_strada";
			ToolbarSwitch(key);
			break;
		case 'Pan':
			form1.doAction.value = "pan";
			ToolbarSwitch(key);
			break;
		case 'ZoomArea':
			form1.doAction.value = "zoomarea";
			ToolbarSwitch(key);
			break;
		case 'ZoomIn':
			form1.doAction.value = "zoomin";
			ToolbarSwitch(key);
			break;
		case 'ZoomOut':
			form1.doAction.value = "zoomout";
			ToolbarSwitch(key);
			break;
		case 'Fit':
			OtherAction('fit');
			break;
		case 'Find':
			// non fa nulla uso una popup
			break;
		case 'Ok':
			try {
				myOwner.Ok(form1);
			} catch (err) {alert(err);}
			break;
		case 'Close':
			try {
				myOwner.Close();
			} catch (err) {alert(err);}
			break;
		default:
			alert('funzione ancora non implementata!');
			break;
	}
}

/***************************************************************

MAPPA

***************************************************************/

var firstPointZoomArea = true;
var zoomAreaClientX1 = 0;
var zoomAreaClientY1 = 0;
var zoomAreaPageX1 = 0;
var zoomAreaPageY1 = 0;

var myTooltipDialog2;

dojo.addOnLoad(function(){
	$('#imgMappa').mousedown(mapMouseDown);
	$('#imgMappa').mousemove(mapMouseMove);
	jei('imgMappa').oncontextmenu = function(){if ( form1.doAction.value == 'zoomin' ) return false;};

    myTooltipDialog2 = new dijit.TooltipDialog({
        id: 'myTooltipDialog2',
        style: "borde:none",
        content: "",
        onMouseLeave: function(){
            dijit.popup.close(myTooltipDialog2);
        }
    });
	
	PrimoCaricamento();
});

function SelCopertura(IdCopertura)
{
	form1.IdCopertura.value = IdCopertura;
}

function Ridimensiona()
{
	var dx = jei('map_dx').value;
	var dy = jei('map_dy').value;
	
	try
	{
		jei('map_dx').value = dijit.byId('txt_dx').value;
		jei('map_dy').value = dijit.byId('txt_dy').value;
		$('#imgMappa').width(jei('map_dx').value).height(jei('map_dy').value);
	
		RefreshMap();
	}
	catch(ex)
	{
		jei('map_dx').value = dx;
		jei('map_dy').value = dy;
		$('#imgMappa').width(jei('map_dx').value).height(jei('map_dy').value);
		alert(ex.message);
	}
}

function CaricaMappa()
{
	var dati_input = jhp_frm(form1);

	var visi = new Array();
	var count = 0;
	
	$('[myGroup=layerChecks]:checked').each(function(){
		visi[count++] = this.value;
	});
	
	dati_input['visi'] = visi+"";

	var result = jhp("jhp/carica_mappa.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var record = result.value;
		
		jei("imgMappa").src = record['FileName'];
		jei("extent").value = record['extent'];
	}
}

function OtherAction(key)
{
	var lastAction = form1.doAction.value;
	
	form1.doAction.value = key;
	
	CaricaMappa();
	
	form1.doAction.value = lastAction;
}

function  RefreshMap()
{
	OtherAction('refresh'); 
}

function Fit()
{
	OtherAction('fit'); 
}

function setXY(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;

	if ( form1.doAction.value=='pan' || form1.doAction.value=='zoomin' || form1.doAction.value=='zoomout' )
	{
		CaricaMappa();
	}
	else if ( form1.doAction.value=='sel_strada' ) 
	{
		SelStrada();
	}
}

function PrimoCaricamento()
{
	CaricaMappa();
	
	if ( form1.AzioneMappa.value == "fit_strada" )
		FitStrada();
	else if ( form1.AzioneMappa.value == "fit_civico" )
		FitCivico();
		
	form1.AzioneMappa.value = "";
}

function FitStrada()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/fit_strada.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var record = result.value;
		
		jei("extent").value = record['extent'];
		
		RefreshMap();
	}
}


function FitCivico()
{
	alert("funzione FitCivico da implementare!");
}

function mapMouseDown(e)
{
	var x = e.pageX - $('#imgMappa').offset().left;
	var y = e.pageY - $('#imgMappa').offset().top;

	form1.map_x.value = x;
	form1.map_y.value = y;
	
	form1.mouse_button.value = e.which;
	
	if ( form1.doAction.value == 'zoomarea' && e.which==1 )
	{
		if ( firstPointZoomArea )
		{
			zoomAreaPageX1 = e.pageX;
			zoomAreaPageY1 = e.pageY;
			
			zoomAreaClientX1 = x;
			zoomAreaClientY1 = y;			
		}
		else 
		{
			$('#rectZoomArea').hide();
			// esegui zoom
			
			form1.zoom_x1.value = zoomAreaClientX1<x ? zoomAreaClientX1 : x;
			form1.zoom_y1.value = zoomAreaClientY1<y ? zoomAreaClientY1 : y;
			
			form1.zoom_x2.value = zoomAreaClientX1>x ? zoomAreaClientX1 : x;
			form1.zoom_y2.value = zoomAreaClientY1>y ? zoomAreaClientY1 : y;
			
			CaricaMappa();
		}
		
		firstPointZoomArea = !firstPointZoomArea;
	}
	else
	{
		setXY(x, y);
	}
}

function InsertPoint(PointNumber)
{
	var dati_input = jhp_frm(form1);

	dati_input['PointNumber'] = PointNumber;
	
	var result 
	
	if ( !SnapCivico )
		result = jhp("jhp/insert_point.php", dati_input);
	else
		result = jhp("jhp/snap_civico.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		if ( PointNumber==1 )
		{
			form1.PuntoInserimento1.value = result.value.xy;
			form1.PuntoInsLatLon1.value = result.value.latlon;
		}
		else
		{
			form1.PuntoInserimento2.value = result.value.xy;
			form1.PuntoInsLatLon2.value = result.value.latlon;
		}
		
		if ( SnapCivico )
		{
			if ( PointNumber==1 )
			{
				form1.Indirizzo1.value = result.value.indirizzo;
				form1.Civico1.value = result.value.civico;
				form1.Subcivico1.value = result.value.subcivico;
			}
			else
			{
				form1.Indirizzo2.value = result.value.indirizzo;
				form1.Civico2.value = result.value.civico;
				form1.Subcivico2.value = result.value.subcivico;
			}
		}
		
		RefreshMap();
	}
}

function SelStrada()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/sel_strada.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		dijit.byId('myTooltipDialog2').set('content', result.value.html);

		dijit.popup.open({
			popup: myTooltipDialog2,
			x: event.pageX, y: event.pageY
		});
		
		form1.IdStrada.value = result.value.IdStrada;
		
		RefreshMap();
	}
}

function mapMouseMove(e)
{
	if ( form1.doAction.value == 'zoomarea' && !firstPointZoomArea )
	{
		var x1,x2,y1,y2;
		
		x1 = (zoomAreaPageX1<e.pageX ? zoomAreaPageX1 : e.pageX)+1;
		y1 = (zoomAreaPageY1<e.pageY ? zoomAreaPageY1 : e.pageY)+1;
		
		x2 = Math.abs(e.pageX-zoomAreaPageX1)-5;
		y2 = Math.abs(e.pageY-zoomAreaPageY1)-5;
		
		var color = $('#rectZoomArea').css('border-color')=='red' ? 'blue' : 
					($('#rectZoomArea').css('border-color')=='blue' ? 'yellow' : 
					($('#rectZoomArea').css('border-color')=='yellow' ? 'green' : 'red'));
		
		$('#rectZoomArea').show()
			.css('border-color',color)
			.css('top',y1+'px')
			.css('left',x1+'px')
			.height(y2)
			.width(x2);
	}
}

