<?php

session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdMappa = 1;//ntxip('IdEdificio');

require("carica_dati_mappa.inc");
require("carica_layers.inc");

$dx = 500;
$dy = 400;

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html dir="ltr">
<head>
<link rel="stylesheet" type="text/css" href="/repository/css/grid-2.0.0.css" /> 
<link rel="stylesheet" type="text/css" href="/repository/libs/dojo-release-1.7.1/dijit/themes/claro/claro.css" /> 
<link rel="stylesheet" type="text/css" href="mappa.css" /> 
<script type="text/javascript" src="/repository/libs/dojo-release-1.7.1/dojo/dojo.js" djConfig="parseOnLoad: true, locale:'it'"></script>
<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
<script type="text/javascript" src="mappa/combo.js"></script>
<script type="text/javascript" src="mappa/map.js"></script>
<script type="text/javascript">
	dojo.require("dojo.i18n");
	dojo.require("dijit.layout.BorderContainer");
	dojo.require("dijit.layout.AccordionContainer");
	dojo.require("dijit.layout.ContentPane");
	dojo.require("dijit.Toolbar");
	dojo.require("dijit.Menu");
	dojo.require("dijit.form.Button");
	dojo.require("dijit.form.DateTextBox");
	dojo.require("dijit.form.NumberTextBox");
	dojo.require("dijit.MenuBar");
	dojo.require("dijit.PopupMenuBarItem");
	dojo.require("dijit.DropDownMenu");
	dojo.require("dijit.CheckedMenuItem");
	dojo.require("dijit.MenuItem");
	dojo.require("dijit.Dialog");
</script>
</head>
<body class="claro">
<div id="rootElement" data-dojo-type="dijit.layout.BorderContainer">
	<div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'top', splitter: false" style="background:#F1F1F1;padding:0px">
		<div id="toolbar1" dojoType="dijit.Toolbar">
			<div dojoType="dijit.form.ComboButton" id=cboCmd>
				<span>Info</span>
				<div dojoType="dijit.Menu"></div>
			</div>
			
            <span dojoType="dijit.ToolbarSeparator"></span>
			
			<input type=button dojoType="dijit.form.Button" label=Fit onclick="Fit()" />
			
            <span dojoType="dijit.ToolbarSeparator"></span>
			
			<input type=button dojoType="dijit.form.Button" label="Togli Punti Inserimento" onclick="TogliPuntiInserimento()" />
			
            <span dojoType="dijit.ToolbarSeparator"></span>
			
			<input type=button dojoType="dijit.form.Button" myKey=refresh label=Aggiorna onclick="RefreshMap()" />
			
            <span dojoType="dijit.ToolbarSeparator"></span>
			
			<input type=text dojoType="dijit.form.NumberTextBox" size=3
				value="<?php echo $dx ?>" 
				constraints="{min:200,max:1200,places:0}" required="true"
				invalidMessage="Larghezza mappa non valida."
				style="width:40px"
				id=txt_dx />
				
			x<input type=text dojoType="dijit.form.NumberTextBox" size=3
				value="<?php echo $dy ?>" 
				constraints="{min:200,max:1200,places:0}" required="true"
				invalidMessage="Altezza mappa non valida."
				style="width:40px"
				id=txt_dy />
				
			<input type=button dojoType="dijit.form.Button" label=Ridimensiona onclick="Ridimensiona()" />
        </div>

		<?php echo $datiMappa ?>
	</div>
	<div id="Legende"
		data-dojo-type="dijit.layout.ContentPane" 
		data-dojo-props="region: 'left', splitter: true" 
		style="padding:0px;margin:0px;width:150px">
			<?php echo $tabellaLayers ?>
	</div>
	<div id="Info"
		data-dojo-type="dijit.layout.ContentPane" 
		data-dojo-props="region: 'right', splitter: true" 
		style="padding:0px;margin:0px;overflow:visible;width:140px">
	</div>
	<div id="Mappa"
		data-dojo-type="dijit.layout.ContentPane" 
		data-dojo-props="region: 'center'" 
		style="overflow:auto;padding:0px;background-color:#F1F1F1">
		<INPUT id=imgMappa
			TYPE=IMAGE  
			NAME="imgMappa" 
			SRC="blank.bmp" />
	</div>
</div>

<div id=rectZoomArea></div>

<FORM name=form1 id=form1 style="display:none" method=post>
	<input type=hidden name=IdCommessa value=<?php echo $IdCommessa ?>>
	<input type=hidden name=IdMappa value=<?php echo $IdMappa ?>>
	<input type=hidden name=AzioneMappa value=""><!--<?php echo ntxJs($_POST[AzioneMappa]) ?>">-->
	<input type=hidden name=IdCopertura value="">
	<input type=hidden name=IdStrada value="">
	<input type=hidden name=PuntoInserimento1 value="">
	<input type=hidden name=PuntoInserimento2 value="">
	<input type=hidden name=map_dx id=map_dx value="<?php echo $dx ?>">
	<input type=hidden name=map_dy id=map_dy value="<?php echo $dy ?>">
	<input type=hidden name=map_x>
	<input type=hidden name=map_y>
	<input type=hidden name=zoom_x1>
	<input type=hidden name=zoom_y1>
	<input type=hidden name=zoom_x2>
	<input type=hidden name=zoom_y2>
	<input type=hidden name=mouse_button>
	<INPUT TYPE=HIDDEN NAME=extent id=extent>
	<INPUT TYPE=HIDDEN NAME=doAction value="InfoCoperture">
	<INPUT TYPE=HIDDEN NAME=visi value="">
</FORM>

<form name=frmCorrela method=post action="correla_shape.php" target=_blank>
	<input type=hidden name=TipoEdificio />
	<input type=hidden name=IdCommessa />
	<input type=hidden name=IdCopertura />
	<input type=hidden name=IndexShape />
</form>


</body>
</html>