<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x1 = $_POST[x1];
$y1 = $_POST[y1];
$x2 = $_POST[x2];
$y2 = $_POST[y2];

$dx = $_POST[map_dx];
$dy = $_POST[map_dy];

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

function ConvX($x)
{
	global $dx2, $dx, $minx;
	
	return $x * $dx2 / $dx + $minx;
}

function ConvY($y)
{
	global $dy2, $dy, $miny;
	
	$y = $dy - $y;
	
	return $y * $dy2 / $dy + $miny;
}

$x1 = ConvX($x1);
$y1 = ConvY($y1);
$x2 = ConvX($x2);
$y2 = ConvY($y2);

$minx3 = $x1 < $x2 ? $x1 : $x2;
$miny3 = $y1 < $y2 ? $y1 : $y2;
$maxx3 = $x1 > $x2 ? $x1 : $x2;
$maxy3 = $y1 > $y2 ? $y1 : $y2;

$IdCommessa = ntxip('IdCommessa');
$IdMappa = ntxip('IdMappa');

$sql = <<< sql
	SELECT     MAX(IdMappaPiano) 
	FROM         MAP_Coperture
	WHERE     (IdCommessa = $IdCommessa) AND (IdMappa = $IdMappa)
sql;

$IdMappaPiano = ntxScalar($sql);

$sql = <<< sql
	SELECT DISTINCT ComponentiAmbiente.CodiceComponente
	FROM         ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ComponentiAmbienteShapes ON ComponentiAmbiente.IdCommessa = ComponentiAmbienteShapes.IdCommessa AND 
                      ComponentiAmbiente.IdEdificio = ComponentiAmbienteShapes.IdEdificio AND 
                      ComponentiAmbiente.IDComponente = ComponentiAmbienteShapes.IdComponente
	WHERE     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdMappa = $IdMappaPiano) AND (ComponentiAmbienteShapes.Tipo = 0) AND 
                      (ComponentiAmbiente.IdTipoComponente = 1) 

	AND dbo.PointInRect(ComponentiAmbienteShapes.x,ComponentiAmbienteShapes.y,
							$minx3, 		$miny3,
							$maxx3, 		$maxy3)=1
sql;

$query = ntxQuery($sql);

$CodiceComponenti = "";

while ( $rs = ntxIRecord($query) )
{
	if ( $CodiceComponenti!="" ) $CodiceComponenti .= ",";
	
	$CodiceComponenti .= $rs[0];
}

jhp($CodiceComponenti);

?>
