<?php

session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

require_once("copia_simboli_in_htdocs.inc");
require_once("lista_mappe.inc");

?>
<html>
<head>
	<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0">
	<meta name="format-detection" content="telephone=no" />
	
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">	
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js"></script>	
	
	<script src="/repository/libs/jhp/jhp-1.1.1.js" type="text/javascript"></script>

	<script src="/repository/libs/map_engine/canvas_engine_desktop.js" type="text/javascript"></script>
	<script src="/repository/libs/map_engine/gps.js" type="text/javascript"></script>
	
	<link href="mappa.css" rel="stylesheet" type="text/css">
	<link href="edit_componente.css" rel="stylesheet" type="text/css">

	<script src="edit_componente.js" type="text/javascript"></script>
	
	<script src="canvas_mappa.js" type="text/javascript"></script>
	
	<script src="mappa.js" type="text/javascript"></script>
</head>
<body onresize="ResetCanvasSize()">

	<canvas id="canvas_1" class=Canvas> 
		Canvas non supportati da browser in uso. 
	</canvas>

	<div id="panel_1" class="Panel">
		<img id="ImageMiniBar2" class=MiniImageButton2 src="_img/pan.png" onclick="ClosePanel1()" />
		
		<button class=Button onclick="Action('legend')">
			<img class=ButtonImage src="_img/legend.png" />
		</button>
		<button class=Button onclick="Action('fit')">
			<img class=ButtonImage src="_img/fit.png" />
		</button>
		<button class=Button onclick="Action('pan')">
			<img class=ButtonImage src="_img/pan.png" />
		</button>
		<button class=Button onclick="Action('zoom_rect')">
			<img class=ButtonImage src="_img/zoom_rect.png" />
		</button>
		<button class=Button onclick="Action('zoom_out')">
			<img class=ButtonImage src="_img/zoom_out.png" />
		</button>
		<button class=Button onclick="Action('metro')">
			<img class=ButtonImage src="_img/metro.png" />
		</button>
		<button class=Button onclick="Action('find_palo')">
			<img class=ButtonImage src="_img/find_palo.png" />
		</button>
		<button class=Button onclick="Action('find_quadro')">
			<img class=ButtonImage src="_img/find_quadro.png" />
		</button>
		<button class=Button onclick="Action('toggle_map_list')">
			<img class=ButtonImage src="_img/toggle_map_list.png" />
		</button>
		<div id=divHide style="display:none;background: silver">
			<?php echo $ListaMappe ?>
			<button class=Button onclick="gCanvasEngine.DrawColor1='black';$('#Misura').css('color','black')"		style="background:black"></button>
			<button class=Button onclick="gCanvasEngine.DrawColor1='red';$('#Misura').css('color','red')" 		style="background:red"></button>
			<button class=Button onclick="gCanvasEngine.DrawColor1='green';$('#Misura').css('color','green')" 	style="background:green"></button>
			<button class=Button onclick="gCanvasEngine.DrawColor1='blue';$('#Misura').css('color','blue')" 	style="background:blue"></button>
			<button class=Button onclick="gCanvasEngine.DrawColor1='white';$('#Misura').css('color','white')" 	style="background:white"></button>
		</div>
	</div>
	
	<div id="Legenda" class="Panel" style="display:none">
	</div>
	
	<img id="ImageMiniBar" class=MiniImageButton src="_img/pan.png" onclick="OpenPanel1()" />
	
	<div id="Misura" class="Misura" style="display:none">	
		misura:
	</div>
	
	<div id="MsgBox" class="MsgBox" style="display:none">
		<div id="MsgBoxText" style="background:silver"></div>
		<input type=button value="OK" onclick="MsgBoxResponse('ok')" style="font-size:0.7cm;padding:2px;" />
		<input type=button value="Annulla" onclick="MsgBoxResponse('cancel')" style="font-size:0.7cm;padding:2px;" />
<!--
		<br><br><input type=button value="Traccia Punto" onclick="RedrawPointer()" style="font-size:0.7cm;padding:2px;" />
-->
	</div>

	<div id="EditContainer" style="display:none"><div id="Edit" style="display:block"></div></div>
	
	<form name="form1" method="post">
		<input type=hidden name=IdCommessa	value="<?php echo $IdCommessa ?>" />
		<input type=hidden name=IdMappa		value="<?php echo $IdMappa ?>" />
		<input type=hidden name=map_x		value="" />
		<input type=hidden name=map_y		value="" />
		<input type=hidden name=map_scale	value="" />
		<input type=hidden name=extent		value="" />
		<input type=hidden name=zoom_x1		value="" />
		<input type=hidden name=zoom_y1		value="" />
		<input type=hidden name=zoom_x2		value="" />
		<input type=hidden name=zoom_y2		value="" />

		<input type=hidden name=ins_albero_x value="" />
		<input type=hidden name=ins_albero_y value="" />

		<input type=hidden name=CodiceComponenti 	value="" />
		<input type=hidden name=CodiceComponente 	value="" />
		<input type=hidden name=CodiceAmbienti 		value="" />
		<input type=hidden name=zoom_radius value="10" />
	</form>
	
</body>
</html>