<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x = $_POST[map_x];
$y = $_POST[map_y];
$dx = $_POST[map_dx];
$dy = $_POST[map_dy];


$inv_dx = 1.0 / $dx;
$inv_dy = 1.0 / $dy;

$CodiceComponente = "";

$IdCommessa = ntxip('IdCommessa');
$IdMappa = ntxip('IdMappa');

$delta = 10;

$sql = <<< sql
	SELECT   TOP 1  CodiceAmbiente
	FROM         Ambiente
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 

	AND dbo.CatchPoint2Fast(Ambiente.x,Ambiente.y,
							$minx, 		$miny,
							$maxx, 		$maxy,
							$x, 		$y,
							$dx, 		$dy,
							$inv_dx, 	$inv_dy,
							$delta)=1
sql;

$CodiceAmbiente = ntxScalar($sql);

$sql = <<< sql
	SELECT   distinct  ComponentiAmbiente.CodiceComponente
	FROM         Ambiente INNER JOIN
						  ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
						  Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 

	AND dbo.CatchPoint2Fast(Ambiente.x,Ambiente.y,
							$minx, 		$miny,
							$maxx, 		$maxy,
							$x, 		$y,
							$dx, 		$dy,
							$inv_dx, 	$inv_dy,
							$delta)=1
sql;

$query = ntxQuery($sql);

$CodiceComponenti = "";

while ( $rs = ntxIRecord($query) )
{
	if ( $CodiceComponenti!="" ) $CodiceComponenti .= ",";
	
	$CodiceComponenti .= $rs[0];
}

$result[CodiceAmbiente] = $CodiceAmbiente;
$result[CodiceComponenti] = $CodiceComponenti;

jhp($result);

?>
