<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$dx = $_POST[map_dx];
$dy = $_POST[map_dy];

$longitude = $_POST[longitude];
$latitude = $_POST[latitude];

$projInObj  = ms_newprojectionobj("proj=latlong,datum=WGS84");
$projOutObj = ms_newprojectionobj("proj=tmerc,units=m,".
                                  "ellps=intl,".
                                  "lat_0=-0.000115,". // originale 0.0
								  "lon_0=8.999023,". // originale 9.0-0.000977
                                  "k=0.9996,".
                                  "x_0=500000.0,".
                                  "y_0=-4000000.0");

$poPoint = ms_newpointobj();
$poPoint->setXY((float)$longitude, (float)$latitude);
$poPoint->project($projInObj, $projOutObj);

$x2 = $world_x = $poPoint->x;
$y2 = $world_y = $poPoint->y;

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

$x = ($x2 -  $minx) *  $dx / $dx2;
$y = ($y2 -  $miny) *  $dy / $dy2;

$y = $dy - $y;

$result[pixel_x] = (int)$x;
$result[pixel_y] = (int)$y;
$result[world_x] = $world_x;
$result[world_y] = $world_y;

jhp($result);

?>
