<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
	
$IdCommessa = ntxip('IdCommessa');

$sql = <<< sql
	select c.x, c.y, c.CodiceComponente COD_MANPRONET,
		Ambiente.CodiceAssAmbiente COD_QUADRO, c.CodiceAssComponente COD_PALO,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 0) AS INDIRIZZO,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 1) AS CIVICO,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 2) AS NOME_COSTRUTTORE,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 3) AS NUMERO_APPARECCHI,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 4) AS NOTE,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 5) AS ALTEZZA,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 6) AS SBRACCIO,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 7) AS MESSA_A_TERRA,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 8) AS LOCALIZ_LINEA,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 9) AS QUADRO,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 10) AS NOTE_LINEA,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 11) AS TIPO_SOSTEGNO,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 12) AS MATERIALE_SOSTEGNO,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 13) AS GEOMETRIA_SOSTEGNO,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 14) AS POTENZA_LAMPADA,
		(SELECT Valore FROM tblValoriComponenti WHERE IdCommessa=c.IdCommessa and IdEdificio=c.IdEdificio and IDComponente=c.IDComponente AND IdPropComp = 15) AS TIPO_LAMPADA
	FROM         ComponentiAmbiente c INNER JOIN
						  Ambiente ON c.IdCommessa = Ambiente.IdCommessa AND c.IdEdificio = Ambiente.IdEdificio AND 
						  c.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
						  PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
						  Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
						  ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID
	where c.idcommessa=$IdCommessa and c.x is not null
sql;

$file_path = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp\\";

$baseName = "pali ".time();

$file_names = array();

$file_names[] = $shpName = "$baseName.shp";
$file_names[] = $dbfName = "$baseName.dbf";
$file_names[] = $shxName = "$baseName.shx";

$shapeFile = ms_newShapefileObj($file_path.$shpName, MS_SHP_POINT);

$def = array(
  array("COD_MPNET",     		"C",  	254),
  array("COD_PALO",     		"C",  	254),
  array("INDIRIZZO",     		"C",  	254),
  array("CIVICO",     			"C",  	254),
  array("COSTRUTTOR",    	"C",  	254),
  array("N_APPARECC",   	"C",  	254),
  array("NOTE",     			"C",  	254),
  array("ALTEZZA",     			"C",  	254),
  array("SBRACCIO",     		"C",  	254),
  array("MESSA_TERR",     	"C",  	254),
  array("LOC_LINEA",     	"C",  	254),
  array("QUADRO",     			"C",  	254),
  array("NOTE_LINEA",     		"C",  	254),
  array("TIPO_SOST",     	"C",  	254),
  array("MAT_SOSTEG",  	"C",  	254),
  array("GEOM_SOST",  	"C",  	254),
  array("POT_LAMPAD",    	"C",  	254),
  array("TIPO_LAMPA", 		"C",  	254)
);

// creation
if (!($db = dbase_create($file_path.$dbfName, $def))) {
  die("Probliema nel creare il file $dbfName");
}

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$poPoint = ms_newpointobj();
	$poPoint->setXY($rs[x], $rs[y]);

	$shapeFile->addPoint($poPoint);
	
	dbase_add_record($db, array(
      $rs[COD_MANPRONET],    
	  $rs[COD_PALO],     	
	  $rs[INDIRIZZO],     	
	  $rs[CIVICO],     		
	  $rs[COSTRUTTORE], 
	  $rs[NUMERO_APPARECCHI],
	  $rs[NOTE],     		
	  $rs[ALTEZZA],     		
	  $rs[SBRACCIO],     	
	  $rs[MESSA_A_TERRA],    
	  $rs[LOCALIZ_LINEA],    
	  $rs[QUADRO],     		
	  $rs[NOTE_LINEA],     	
	  $rs[TIPO_SOSTEGNO],    
	  $rs[MATERIALE_SOSTEGNO],
	  $rs[GEOMETRIA_SOSTEGNO],
	  $rs[POTENZA_LAMPADA],  
	  $rs[TIPO_LAMPADA]
	  ));
}

$shapeFile->free();
dbase_close($db);

$zip_name = $file_path."$baseName.zip"; 

$cmd = str_replace("/","\\","COMPRESS -R \"$file_path$baseName.*\" \"$zip_name\"");

echo("$cmd<br>");
exec($cmd);

if(file_exists($zip_name))
{
	header('Content-type: application/zip');
	header('Content-Disposition: attachment; filename="'.$zip_name.'"');
	
	readfile($zip_name);

	unlink($zip_name);
	unlink($shpName);
	unlink($dbfName);
	unlink($shxName);
}

?>  

