var gCanvasEngine;
var gGps = null;

$(function(){
	gCanvasEngine = new CanvasEngine("canvas_1", funcCallBackTouchEnd);
	
	gCanvasEngine.Command  = "pan";
	gCanvasEngine.DrawType = "none";
	
	gGps = new gps(funcCallBackGpsGetLocationExample);
	CaricaLegenda();
	CaricaMappa();
});

function SelezionaQuadro(IdAmbiente)
{
	parent.form1.IdAmbiente.value = IdAmbiente;
}

function SelezionaPalo(IdAmbiente, IdComponente)
{
	parent.form1.IdAmbiente.value = IdAmbiente;
	parent.caricaComponentiAmbienti();
	parent.form1.IdComponente.value = IdComponente;
}

function CambiaMappa(cbo)
{
	form1.IdMappa.value = cbo.value;
	CaricaLegenda();
	CaricaMappa();
}

function CaricaLegenda()
{
	var dati = jhp_frm(form1);
	
	var result = jhp('jhp/legenda.php', dati);
	
	if(result.state)
	{
		$('#Legenda').html('');
		alert(result.message);
	}
	else
	{
		$('#Legenda').html(result.value);
	}
}

function download_shape_file_pali()
{
	var action = form1.action;
	var target = form1.target;
	
	form1.action = "download_shapefile_pali.php";
	form1.target = "_blank";
	form1.submit();
	
	form1.action = action;
	form1.target = target;
}

function Action(command)
{
	switch(command)
	{
		case "download_shape_file_pali":
			alert("funzione non attiva!");
			download_shape_file_pali();
			break;			
		case "fit":
			CaricaMappa("fit");
			ClosePanel1();
			break;
		case "legend":
			$('#Legenda').toggle(true);
			$('#panel_1').toggle(false);
			break;
		case "toggle_map_list":
			$('#divHide').toggle();
			break;
		case "reset_offset":
			gCanvasEngine.ResetOffsetPointer();
			break;
		case "pan":
		case "zoom_out":
			gCanvasEngine.Command = command;
			gCanvasEngine.DrawType="none";
			gCanvasEngine.Redraw();
			ClosePanel1();
			break;
		case "metro":
			gCanvasEngine.Command = command;
			gCanvasEngine.DrawType="segment";
			gCanvasEngine.Redraw();
			ClosePanel1();
			$('#Misura').toggle(true);
			break;
		case "multi_find_palo":
		case "zoom_rect":
			gCanvasEngine.Command = command;
			gCanvasEngine.DrawType="box";
			gCanvasEngine.Redraw();
			ClosePanel1();
			break;
		case "multi_edit_pali":
			MultiEditPali();
			break;
		case "multi_fit_palo":
			MultiFitPali();
			break;
		case "ins_gps_albero":
			ClosePanel1();
			gGps.GetLocation();
			break;
		case "ins_palo":
		case "ins_quadro":
		case "move_quadro":
		case "find_palo":
		case "find_quadro":
			gCanvasEngine.Command = command;
			gCanvasEngine.DrawType="pointer";
			gCanvasEngine.Redraw();
			ClosePanel1();
			break;
		default:
			alert("comando \""+command+"\" non implementato!");
			break;
	}
}

function MultiFitPali()
{
	var dati_input = jhp_frm(form1);

	var result = jhp("jhp/multi_fit_pali.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		form1.extent.value = result.value;

		CaricaMappa();
	}
}

function MultiEditPali()
{
	ClosePanel1();

	EditMultiComponenti("");
}

function ChangeCheckBox(obj)
{
	if ( $(obj).attr('Stato') == "CHECKED" )
	{
		$(obj).attr('Stato', "UNCHECKED");
		$(obj).attr('src', "_img/unchecked.png");
	}
	else
	{
		$(obj).attr('Stato', "CHECKED");
		$(obj).attr('src', "_img/checked.png");
	}
	
	CaricaMappa();
}

function CaricaMappa(doAction)
{
	var dati_input = jhp_frm(form1);

	var visi = new Array();
	var count = 0;
	
	$('.CheckBoxLegend').each(function(){
		if ( $(this).attr('Stato')=="CHECKED" )
			visi[count++] = $(this).attr('IdCopertura');
	});
	
	dati_input['visi'] = visi+"";

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;
	dati_input['doAction'] = doAction+"";

	var result = jhp("jhp/carica_mappa.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var record = result.value;

		gCanvasEngine.Image.src = record['FileName'];
		form1.extent.value = record['extent'];
	}
}

function funcCallBackGpsGetLocationExample(position)
{
	var dati_input = jhp_frm(form1);

	var latitude =  dati_input['latitude'] = gGps.latitude;
	var longitude = dati_input['longitude'] = gGps.longitude;
	
	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/lat_lon_to_wolrd.php", dati_input);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		form1.ins_albero_x.value = result.value.world_x; // coordinate mondo nuovo albero
		form1.ins_albero_y.value = result.value.world_y;
		
		gCanvasEngine.p1.x2 = result.value.pixel_x;
		gCanvasEngine.p1.y2 = result.value.pixel_y;
		
		gCanvasEngine.Redraw('pointer');
		
		dati_input = jhp_frm(form1);

		var result2 = jhp("jhp/codice_area_ug.php", dati_input);

		if(result2.state)
		{
			alert(result2.message);
		}
		else
		{
			form1.CodiceAmbienti.value = result2.value;
			
			if ( result2.value+""=="" )
			{
				alert("Nessun area UG recuperata");
				return;
			}
			
			$('#MsgBoxText').html("Ambienti selezionati: "+result2.value+"<br>"+
				"Coordinate in pixel: "+result.value.pixel_x+" "+result.value.pixel_y+"<br>"+
				"Coordinate mondo: "+result.value.world_x+" "+result.value.world_y+"<br>"+
				"Coordinate latitudine/longitudine: "+latitude+" "+longitude+"<br>"+
				"Confermi che vuoi inserire un albero nel punto indicato?");
			
			$('#MsgBox').toggle(true);
		}
	}
}

function funcCallBackGpsGetLocationExample_OLD(position)
{
	var dati_input = jhp_frm(form1);

	var latitude =  dati_input['latitude'] = 44.465552;//gGps.latitude;
	var longitude = dati_input['longitude'] = 11.400247;//gGps.longitude;
	
	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/lat_lon_to_wolrd.php", dati_input);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		form1.ins_albero_x.value = result.value.world_x; // coordinate mondo nuovo albero
		form1.ins_albero_y.value = result.value.world_y;
		
		form1.map_x.value = result.value.pixel_x;
		form1.map_y.value = result.value.pixel_y;
		
		CaricaMappa("zoom_radius");
		
		dati_input = jhp_frm(form1);

		var result2 = jhp("jhp/codice_area_ug.php", dati_input);

		if(result2.state)
		{
			alert(result2.message);
		}
		else
		{
			form1.CodiceAmbienti.value = result2.value;
			
			if ( result2.value+""=="" )
			{
				alert("Nessun area UG recuperata");
				return;
			}
			
			$('#MsgBoxText').html("Ambienti selezionati: "+result2.value+"<br>"+
				"Coordinate in pixel: "+result.value.pixel_x+" "+result.value.pixel_y+"<br>"+
				"Coordinate mondo: "+result.value.world_x+" "+result.value.world_y+"<br>"+
				"Coordinate latitudine/longitudine: "+latitude+" "+longitude+"<br>"+
				"Confermi che vuoi inserire un albero nel punto indicato?");
			
			$('#MsgBox').toggle(true);
		}
	}
}

function RedrawPointer()
{
	var p1 = WorldToPixel(parseFloat(form1.ins_albero_x.value), parseFloat(form1.ins_albero_y.value));

	gCanvasEngine.p1.x2 = parseFloat(p1.x);
	gCanvasEngine.p1.y2 = parseFloat(p1.y);
	
	gCanvasEngine.Redraw('pointer');
}

function WorldToPixel(x, y)
{
	var extent = form1.extent.value.split(" ");

	var minx = parseFloat(extent[0]);
	var miny = parseFloat(extent[1]);
	var maxx = parseFloat(extent[2]);
	var maxy = parseFloat(extent[3]);

	var dx = parseFloat(gCanvasEngine.width);
	var dy = parseFloat(gCanvasEngine.height);

	var dx2 = Math.abs(maxx - minx);
	var dy2 = Math.abs(maxy - miny);

	var x2 = (x-minx) * dx / dx2;
	var y2 = (y-miny) * dy / dy2;

	y2 = dy - y2;

	return {x: x2, y: y2};
}

function OpenPanel1()
{
	$('#Misura').toggle(false);
	$('#ImageMiniBar').toggle(false);
	$('#panel_1').toggle(true);
}

function ClosePanel1()
{
	if ( gCanvasEngine )
		gCanvasEngine.Redraw();
	
	jei('ImageMiniBar').src = "_img/"+gCanvasEngine.Command+".png";
	jei('ImageMiniBar2').src = "_img/"+gCanvasEngine.Command+".png";
	
	$('#panel_1').toggle(false);
	$('#ImageMiniBar').toggle(true);
}

function MsgBoxResponse(response)
{
	if ( response == 'ok' )
	{
		var dati_input = jhp_frm(form1);

		dati_input['map_dx'] = gCanvasEngine.width;
		dati_input['map_dy'] = gCanvasEngine.height;
		
		var result = jhp("jhp/ins_albero.php", dati_input);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			CaricaMappa();
			
			gCanvasEngine.Redraw();
			
			form1.CodiceAmbiente.value = "";
			form1.CodiceComponenti.value = result.value;

			EditComponente("");
		}
	}
	
	$('#MsgBox').toggle(false);
}