<?php
session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

		
$sqlFields = <<< sqlFields
		Ordini.IdOrd, 
		Ordini.NumOrdine, 
		Ordini.AnnoOrdine, 
		Ordini.StatoOrd, 
		Ordini.DataInizioProg,
		CONVERT( VARCHAR(20), Ordini.DataInizioProg, 103 ) AS DataInizioProgSTRING,

		
		ElencoEdifici.ID AS IdEdificio,
		
		MonStradeLatLon.Id, 
		
		MonStradeLatLon.Latitudine, 
		MonStradeLatLon.Longitudine, 
		
		MonStradeLatLon.Latitudine2, 
		MonStradeLatLon.Longitudine2, 
		
		MonStradeLatLon.Polilinea, 
		MonStradeLatLon.Geometria	
sqlFields;




$sqlWHERE = "";

$Stati = explode(",",$_POST[Stati]);

$where_stati = "";

foreach($Stati as $stato)
{
	if (is_numeric($stato))
	{
		if ($where_stati != "")
			$where_stati .= " OR ";
		else
			$where_stati = " AND (";
		
		$where_stati .= "Ordini.StatoOrd = $stato";
	}
}

if ($where_stati != "")
	$where_stati .= ")";
	
$sqlWHERE .= $where_stati;
	
if ( isset($_POST['nomeEdificio'])  &&  strlen($_POST['nomeEdificio'])>0) 
{
	$str = stripslashes($_POST['nomeEdificio']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND ElencoEdifici.EdificioBreve LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['NumOrdine']) ) 
{
	$val = (int)$_POST['NumOrdine'];
	$sqlWHERE .= " AND Ordini.NumOrdine = $val ";
}

if ( is_numeric($_POST['AnnoOrdine']) ) 
{
	$val = (int)$_POST['AnnoOrdine'];
	$sqlWHERE .= " AND Ordini.AnnoOrdine = $val ";
}

if ( is_numeric($_POST['RicercaOrdiniScaduti']) )
{
	$val = (int)$_POST['RicercaOrdiniScaduti'];
	if($val)
		$sqlWHERE.= " AND (Ordini.DataScadenza <= GETDATE() AND Ordini.DataInizio IS NULL) ";
}

if ( is_numeric($_POST['OrdiniInCarico'])  &&  $_POST['OrdiniInCarico']==1 ) 
{
	$sqlWHERE .= " AND (Ordini.StatoOrd=35 OR Ordini.StatoOrd=40) ";
}

if ( isset($_POST['Data1p'])  &&  strlen($_POST['Data1p'])>0) 
{
	$str = ntxtp("Data1p");
	$sqlWHERE .= " AND Ordini.DataInizioProg >= ".$str." ";
}

if ( isset($_POST['Data2p'])  &&  strlen($_POST['Data2p'])>0) 
{
	$str = ntxtp("Data2p");
	$sqlWHERE .= " AND Ordini.DataInizioProg <= ".$str." ";
}

if ( is_numeric($_POST['EscludiOrdiniAnnullati'])  &&  $_POST['EscludiOrdiniAnnullati']==1) 
{
	$sqlWHERE .= " AND (Ordini.StatoOrd <> 70) ";
}


if ( is_numeric($_POST['IdTipiCompMonitorati']) )
{
	$val = (int)$_POST['IdTipiCompMonitorati'];
	$sqlWHERE.= " AND (TipiCompMonitorati.Id = $val) ";
}

if ( is_numeric($_POST['IdVotiMonitoraggio']) )
{
	$val = (int)$_POST['IdVotiMonitoraggio'];
	$sqlWHERE.= " AND (VotiMonitoraggio.Id = $val) ";
}


if ( is_numeric($_POST['IdEdificio']) ) 
{
	$val = (int)$_POST['IdEdificio'];
	$sqlWHERE .= " AND ElencoEdifici.ID = $val ";
}



$sql1 = <<< SQL
	SELECT DISTINCT $sqlFields
	FROM         
		Ditte INNER JOIN
		ElencoEdifici INNER JOIN
		Ordini LEFT OUTER JOIN
		StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa ON 
		Ditte.IDDitta = Ordini.Assegnazione INNER JOIN
		tblPgContrattiRifAffidatari INNER JOIN
		tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario AND 
		tblPgContrattiRifAffidatari.IdCommessa = tblPgContrattiAffidatari.IdCommessa INNER JOIN
		tblPgContrattiRifAffidatariAttivitàEdifici ON 
		tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
		UtentiRifAffidatari INNER JOIN
		Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario ON 
		Ordini.IDCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
		Ordini.CodEdificio = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio AND Ordini.DataFineProg >= tblPgContrattiAffidatari.DataInizio AND 
		Ordini.DataInizioProg <= tblPgContrattiAffidatari.DataFine INNER JOIN
		tblComponetiMestiere INNER JOIN
		tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND 
		tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
		tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
		tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere ON 
		tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
		tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere AND 
		Ordini.IDCommessa = tblMestieri.IdCommessa LEFT OUTER JOIN
		tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 

		LEFT OUTER JOIN
		MonitoraggioStrade ON MonitoraggioStrade.IdCommessa = Ordini.IDCommessa AND MonitoraggioStrade.NumOrdine = Ordini.NumOrdine AND 
		MonitoraggioStrade.AnnoOrdine = Ordini.AnnoOrdine 
		LEFT OUTER JOIN
		MonStradeLatLon ON MonitoraggioStrade.IdCommessa = MonStradeLatLon.IdCommessa AND 
		MonitoraggioStrade.NumOrdine = MonStradeLatLon.NumOrdine AND MonitoraggioStrade.AnnoOrdine = MonStradeLatLon.AnnoOrdine AND 
		MonitoraggioStrade.Componente = MonStradeLatLon.Componente 
		LEFT OUTER JOIN
		TipiCompMonitorati ON MonitoraggioStrade.IdCommessa = TipiCompMonitorati.IdCommessa AND MonitoraggioStrade.Componente = TipiCompMonitorati.Id
		LEFT OUTER JOIN
		VotiMonitoraggio ON VotiMonitoraggio.IdCommessa = MonStradeLatLon.IdCommessa AND VotiMonitoraggio.Id = MonStradeLatLon.Voto


					
	WHERE  
		Utenti.Nome=$mUtente AND Utenti.Password=$mPassword 
		AND Ordini.IdCommessa=$IdCommessa 
		AND Ordini.GradoUrgenza='mon' 
		$sqlWHERE
		AND (Ordini.IdAffidatario IS NULL OR Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario)
SQL;

$sql2 = <<< SQL
	SELECT DISTINCT $sqlFields
	FROM         
		tblPgPropietari RIGHT OUTER JOIN
		tblMestieri INNER JOIN
		Ditte INNER JOIN
		ElencoEdifici INNER JOIN
		Ordini LEFT OUTER JOIN
		StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa ON 
		Ditte.IDDitta = Ordini.Assegnazione ON tblMestieri.IdMestiere = Ordini.IdMestiere AND tblMestieri.IdCommessa = Ordini.IDCommessa INNER JOIN
		tblPgRifAffidatari INNER JOIN
		UtentiRifAffidatari INNER JOIN
		Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario ON 
		Ordini.IdAffidatario = tblPgRifAffidatari.IdAffidatario ON tblPgPropietari.IdPropietario = ElencoEdifici.IdProprietario 

		LEFT OUTER JOIN
		MonitoraggioStrade ON MonitoraggioStrade.IdCommessa = Ordini.IDCommessa AND MonitoraggioStrade.NumOrdine = Ordini.NumOrdine AND 
		MonitoraggioStrade.AnnoOrdine = Ordini.AnnoOrdine 
		LEFT OUTER JOIN
		MonStradeLatLon ON MonitoraggioStrade.IdCommessa = MonStradeLatLon.IdCommessa AND 
		MonitoraggioStrade.NumOrdine = MonStradeLatLon.NumOrdine AND MonitoraggioStrade.AnnoOrdine = MonStradeLatLon.AnnoOrdine AND 
		MonitoraggioStrade.Componente = MonStradeLatLon.Componente 
		LEFT OUTER JOIN
		TipiCompMonitorati ON MonitoraggioStrade.IdCommessa = TipiCompMonitorati.IdCommessa AND MonitoraggioStrade.Componente = TipiCompMonitorati.Id
		LEFT OUTER JOIN
		VotiMonitoraggio ON VotiMonitoraggio.IdCommessa = MonStradeLatLon.IdCommessa AND VotiMonitoraggio.Id = MonStradeLatLon.Voto
					
					  
	WHERE 
		Utenti.Nome=$mUtente AND Utenti.Password=$mPassword
		AND Ordini.IdCommessa=$IdCommessa 
		AND Ordini.GradoUrgenza='mon' 
		$sqlWHERE
		AND tblPgRifAffidatari.VistaFuoriContratto = 1
SQL;



$sql = "SELECT DISTINCT * FROM ($sql1 UNION $sql2) a ORDER BY IdEdificio DESC, DataInizioProg DESC,  Id DESC "; //importantissimo l'ordinamento!!!!

$query = ntxQuery($sql);



$result = array();

$query=ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$result[] = $rs;	
}

jhp($result);
?>
