<?php  
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sqlFields = <<< sqlFields
	Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, Stati.DesStato,
	Richieste.Descrizione + Richieste.Descrizione1 + Richieste.Descrizione2 AS Des,
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice,
	ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.Provincia,
	ElencoEdifici.Cap, tblPgPropietari.Nome AS Ente, Richieste.Classificazione,
	Richieste.NumOrdineFonte, Richieste.AnnoOrdineFonte, 
	Ordini.NumOrdine, Ordini.AnnoOrdine,
	Richieste.ImpS, Richieste.NoteImpS
sqlFields;



$sqlWHERE = "";

if ( isset($_POST['nomeEdificio'])  &&  strlen($_POST['nomeEdificio'])>0) 
{
	$str = stripslashes($_POST['nomeEdificio']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND ElencoEdifici.EdificioBreve LIKE '%".$str."%' ";
}

if ( isset($_POST['Classificazione'])  &&  strlen($_POST['Classificazione'])>0) 
{
	$str = stripslashes($_POST['Classificazione']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND Richieste.Classificazione = '".$str."' ";
}
	
	
	
if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sqlWHERE .= " AND (Richieste.IdMestiere = $IdMestiere) ";
}

if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sqlWHERE .= " AND (Richieste.IdComponenteMestiere = $IdComponente) ";
}	
	
if ( is_numeric($_POST['IdAttivitàMestiere']) ) 
{
	$val = (int)$_POST['IdAttivitàMestiere'];
	$sqlWHERE .= " AND Richieste.IdAttivitàMestiere = $val ";
}	


if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND Richieste.Descrizione+Richieste.Descrizione1+Richieste.Descrizione2 LIKE '%".$str."%' ";
}


if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sqlWHERE .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sqlWHERE .= " AND Richieste.DataRichiesta <= ".$str." ";
}


if ( is_numeric($_POST['IdTipiCompMonitorati']) )
{
	$val = (int)$_POST['IdTipiCompMonitorati'];
	$sqlWHERE.= " AND (TipiCompMonitorati.Id = $val) ";
}

if ( is_numeric($_POST['IdVotiMonitoraggio']) )
{
	$val = (int)$_POST['IdVotiMonitoraggio'];
	$sqlWHERE.= " AND (VotiMonitoraggio.Id = $val) ";
}



if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sqlWHERE .= " AND Richieste.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sqlWHERE .= " AND Richieste.AnnoRichiesta = $val ";
}


if ( is_numeric($_POST['IdEdificio']) ) 
{
	$val = (int)$_POST['IdEdificio'];
	$sqlWHERE .= " AND ElencoEdifici.ID = $val ";
}





$sql = <<< sql
	SELECT DISTINCT    $sqlFields

	FROM         
		Richieste INNER JOIN
		Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
		ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
		UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
		Utenti ON UtentiEdifici.IdUtente = Utenti.Id  LEFT OUTER JOIN
		tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND 
		Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore 

		LEFT OUTER JOIN
		Ordini ON Richieste.IDCommessa = Ordini.IDCommessa AND Richieste.AnnoOrdineFonte = Ordini.AnnoOrdine AND 
		Richieste.NumOrdineFonte = Ordini.NumOrdine

		LEFT OUTER JOIN
		tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario

		LEFT OUTER JOIN
		MonStradeLatLonRichieste ON Richieste.IDCommessa = MonStradeLatLonRichieste.IdCommessa AND 
		Richieste.NumRichiesta = MonStradeLatLonRichieste.NumRichiesta AND 
		Richieste.AnnoRichiesta = MonStradeLatLonRichieste.AnnoRichiesta 
		LEFT OUTER JOIN
		MonStradeLatLon ON MonStradeLatLonRichieste.IdMonStradeLatLon = MonStradeLatLon.Id 
		LEFT OUTER JOIN
		TipiCompMonitorati ON MonStradeLatLon.IdCommessa = TipiCompMonitorati.IdCommessa AND MonStradeLatLon.Componente = TipiCompMonitorati.Id
		LEFT OUTER JOIN
		VotiMonitoraggio ON VotiMonitoraggio.IdCommessa = MonStradeLatLon.IdCommessa AND VotiMonitoraggio.Id = MonStradeLatLon.Voto	  
							
						  
	WHERE     
		(Utenti.Nome = $mUtente)
		AND (Utenti.Password = $mPassword)
		AND (Richieste.IdCommessa = $IdCommessa)	
		AND Ordini.GradoUrgenza = 'MON'	
				
	ORDER BY Richieste.DataRichiesta						
sql;


$query = ntxQuery($sql);
?>
