<?php
session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

		
$sqlFields = <<< sqlFields
		Ordini.IdOrd, 
		Ordini.NumOrdine, 
		Ordini.AnnoOrdine, 
		Ordini.StatoOrd, 
		Ordini.DataInizioProg,
		CONVERT( VARCHAR(20), Ordini.DataInizioProg, 103 ) AS DataInizioProgSTRING,

		
		ElencoEdifici.ID AS IdEdificio,
		
		MonStradeLatLon.Id, 
		
		MonStradeLatLon.Latitudine, 
		MonStradeLatLon.Longitudine, 
		
		MonStradeLatLon.Latitudine2, 
		MonStradeLatLon.Longitudine2, 
		
		MonStradeLatLon.Polilinea, 
		MonStradeLatLon.Geometria	
sqlFields;




$sqlWHERE = "";

$Stati = explode(",",$_POST[Stati]);

$where_stati = "";

foreach($Stati as $stato)
{
	if (is_numeric($stato))
	{
		if ($where_stati != "")
			$where_stati .= " OR ";
		else
			$where_stati = " AND (";
		
		$where_stati .= "Ordini.StatoOrd = $stato";
	}
}

if ($where_stati != "")
	$where_stati .= ")";
	
$sqlWHERE .= $where_stati;
	
if ( isset($_POST['nomeEdificio'])  &&  strlen($_POST['nomeEdificio'])>0) 
{
	$str = stripslashes($_POST['nomeEdificio']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND ElencoEdifici.EdificioBreve LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['NumOrdine']) ) 
{
	$val = (int)$_POST['NumOrdine'];
	$sqlWHERE .= " AND Ordini.NumOrdine = $val ";
}

if ( is_numeric($_POST['AnnoOrdine']) ) 
{
	$val = (int)$_POST['AnnoOrdine'];
	$sqlWHERE .= " AND Ordini.AnnoOrdine = $val ";
}

if ( is_numeric($_POST['RicercaOrdiniScaduti']) )
{
	$val = (int)$_POST['RicercaOrdiniScaduti'];
	if($val)
		$sqlWHERE.= " AND (Ordini.DataScadenza <= GETDATE() AND Ordini.DataInizio IS NULL) ";
}

if ( is_numeric($_POST['OrdiniInCarico'])  &&  $_POST['OrdiniInCarico']==1 ) 
{
	$sqlWHERE .= " AND (Ordini.StatoOrd=35 OR Ordini.StatoOrd=40) ";
}

if ( isset($_POST['Data1p'])  &&  strlen($_POST['Data1p'])>0) 
{
	$str = ntxtp("Data1p");
	$sqlWHERE .= " AND Ordini.DataInizioProg >= ".$str." ";
}

if ( isset($_POST['Data2p'])  &&  strlen($_POST['Data2p'])>0) 
{
	$str = ntxtp("Data2p");
	$sqlWHERE .= " AND Ordini.DataInizioProg <= ".$str." ";
}

if ( is_numeric($_POST['EscludiOrdiniAnnullati'])  &&  $_POST['EscludiOrdiniAnnullati']==1) 
{
	$sqlWHERE .= " AND (Ordini.StatoOrd <> 70) ";
}

if ( is_numeric($_POST['IdTipiCompMonitorati']) )
{
	$val = (int)$_POST['IdTipiCompMonitorati'];
	$sqlWHERE.= " AND (TipiCompMonitorati.Id = $val) ";
}

if ( is_numeric($_POST['IdVotiMonitoraggio']) )
{
	$val = (int)$_POST['IdVotiMonitoraggio'];
	$sqlWHERE.= " AND (VotiMonitoraggio.Id = $val) ";
}


if ( is_numeric($_POST['IdEdificio']) ) 
{
	$val = (int)$_POST['IdEdificio'];
	$sqlWHERE .= " AND ElencoEdifici.ID = $val ";
}



$sql = <<< SQL
	SELECT DISTINCT $sqlFields
	FROM         
		tblAttivitàMestiere RIGHT OUTER JOIN
		ElencoEdifici INNER JOIN
		Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio INNER JOIN
		StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
		Richieste ON Ordini.IDCommessa = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
		Ordini.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
		UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
		Utenti ON UtentiEdifici.IdUtente = Utenti.Id INNER JOIN
		tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
		Ditte ON Ordini.Assegnazione = Ditte.IDDitta ON tblAttivitàMestiere.IdCommessa = Ordini.IDCommessa AND 
		tblAttivitàMestiere.IdAttivitàMestiere = Ordini.IdAttivitàMestiere LEFT OUTER JOIN
		tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND 
		Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere LEFT OUTER JOIN
		tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
		tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
		

		LEFT OUTER JOIN
		MonitoraggioStrade ON MonitoraggioStrade.IdCommessa = Ordini.IDCommessa AND MonitoraggioStrade.NumOrdine = Ordini.NumOrdine AND 
		MonitoraggioStrade.AnnoOrdine = Ordini.AnnoOrdine 
		LEFT OUTER JOIN
		MonStradeLatLon ON MonitoraggioStrade.IdCommessa = MonStradeLatLon.IdCommessa AND 
		MonitoraggioStrade.NumOrdine = MonStradeLatLon.NumOrdine AND MonitoraggioStrade.AnnoOrdine = MonStradeLatLon.AnnoOrdine AND 
		MonitoraggioStrade.Componente = MonStradeLatLon.Componente 
		LEFT OUTER JOIN
		TipiCompMonitorati ON MonStradeLatLon.IdCommessa = TipiCompMonitorati.IdCommessa AND MonStradeLatLon.Componente = TipiCompMonitorati.Id
		LEFT OUTER JOIN
		VotiMonitoraggio ON VotiMonitoraggio.IdCommessa = MonStradeLatLon.IdCommessa AND VotiMonitoraggio.Id = MonStradeLatLon.Voto	  
			
	WHERE  
		Utenti.Nome=$mUtente AND Utenti.Password=$mPassword 
		AND Ordini.IdCommessa=$IdCommessa 
		AND Ordini.GradoUrgenza='mon' 
		$sqlWHERE
		
	ORDER BY IdEdificio DESC, Ordini.DataInizioProg DESC,  MonStradeLatLon.Id DESC
	
SQL;


$query = ntxQuery($sql);

$result = array();

$query=ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$result[] = $rs;	
}

jhp($result);
?>
