<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');
$IdUtilizzatore = ntxip('IdUtilizzatore');
$IdEdificio = ntxip('IdEdificio');

$where = "WHERE e.IdCommessa=$IdCommessa AND e.ID=$IdEdificio AND u.IdUtilizzatore=$IdUtilizzatore ";

$sql = <<< sql
	SELECT     e.IdCommessa, e.ID AS IdEdificio, u.IdUtilizzatore, u.CodiceUtilizzatore, u.cdc, u.Indirizzo, u.Descrizione AS Quartiere, t2.Classe, t2.Tipo AS Tipo2, 
						  e.EdificioBreve AS Edificio, u.Nome AS Utilizzatore
	FROM         ElencoEdifici e, tblUtUtilizzatori AS u LEFT OUTER JOIN
						  TipiUtilizzatori2 AS t2 ON u.IdCommessa = t2.IdCommessa AND u.TipoUtilizzatore2 = t2.IdTipo					 
	$where				
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>ID UT
			<th>CdC
			<th>Codice UT
			<th>Utilizzatore
			<th>Indirizzo
			<th>Quartiere
			<th>Classe UT
			<th>Tipo UT
			<th>CDE
			<th>Edificio
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr>
			<td>$html[IdUtilizzatore]
			<td>$html[cdc]
			<td>$html[CodiceUtilizzatore]
			<td>$html[Utilizzatore]
			<td>$html[Indirizzo]
			<td>$html[Quartiere]
			<td>$html[Classe]
			<td>$html[Tipo2]
			<td>$html[IdEdificio]
			<td>$html[Edificio]
table;

	$Des = "\n\tID UT: $html[IdUtilizzatore]\n\tCdC: $html[cdc]\n\tCodice UT: $html[CodiceUtilizzatore]\n\tUtilizzatore: $html[Utilizzatore]"
			."\n\tIndirizzo: $html[Indirizzo]\n\tQuartiere: $html[Quartiere]\n\tClasse UT: $html[Classe]\n\tTipo UT: $html[Tipo2]"
			."\n\tCDE: $html[IdEdificio]\n\tEdificio: $html[Edificio]\n\n";

	$CodiceUtilizzatore = "$rs[CodiceUtilizzatore]";
}


$table .= "</table>";

$result[0] = $table;
$result[1] = $Des;
$result[2] = $CodiceUtilizzatore;

jhp($result);

?>
