<?php

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$allowed_types = array
(
		"audio/3gpp"
		,"audio/amr"
		,"audio/midi"
		,"text/html"
		,"image/bmp"
		,"image/x-bmp"
		,"image/png"
		,"image/tiff" 	
		,"image/vnd.wap.wbmp"
		,"video/3gpp"
		,"video/mp4"
		,"audio/mpeg"
		,"audio/vorbis"
		,"video/theora"
		,"application/x-rar-compressed"
		,"application/x-zip-compressed"
		,"multipart/x-zip"
		,"application/zip"
		,"application/x-compressed"
		,"application/x-compress"
		,"video/x-msvideo"
		,"application/acad"
		,"application/x-acad"
		,"application/autocad_dwg "
		,"image/x-dwg"
		,"application/dwg"
		,"application/x-dwg"
		,"application/x-autocad"
		,"image/vnd.dwg"
		,"drawing/dwg"
		,"image/gif"
		,"image/x-png"
		,"image/pjpeg"
		,"image/jpeg"
		,"image/jpg"
		,"application/pdf"
		,"text/plain"
		, "application/msword"
		, "application/vnd.openxmlformats-officedocument.wordprocessingml.document"
		, "application/vnd.openxmlformats-officedocument.wordprocessingml.template" 
		, "application/vnd.ms-excel"
		, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
		, "application/vnd.openxmlformats-officedocument.spreadsheetml.template" 
		, "application/vnd.ms-powerpoint"
		, "application/vnd.openxmlformats-officedocument.presentationml.presentation"
		, "application/vnd.openxmlformats-officedocument.presentationml.template"
		, "application/vnd.openxmlformats-officedocument.presentationml.slideshow" 
	);


$email = "$_POST[Email]";

$oggetto = "$_POST[Oggetto]"; 
$messaggio = "$_POST[Messaggio]"; 

if ( trim($email)=="")
	die("Serve una email!");

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT pathPublicShapeWeb FROM Commesse
	WHERE IdCommessa=$IdCommessa
sql;

$pathPublicShapeWeb = ntxScalar($sql);

if ( !is_dir($pathPublicShapeWeb) )
	die("Path commessa id $IdCommessa non settata!");

$root = "$pathPublicShapeWeb\\allegati_modifica_orari";

if ( !is_dir($root) ) mkdir($root);
	
$table = new NtxTable('MANCOOP_EmailOrariCalore');

$insert = $table->insert();

$insert->init();

$insert->setse('IdCommessa');
if ( is_numeric($_POST[IdUtilizzatore]) ) $insert->setp('IdUtilizzatore');
if ( is_numeric($_POST[IdEdificio]) ) $insert->setp('IdEdificio');
$insert->setp('IndirizzoEmail', 'Email');
$insert->set('Oggetto', $oggetto);
$insert->setp('Messaggio');
$insert->setp('TipoCircuito');
$insert->setp('TipoOrario');
$insert->setp('DataInizio', 'Data1');

$insert->execute();

$Id = ntxId();

if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;

$file_name = $_FILES["upfile"]["name"];

$dest_path = "";

if(trim($_FILES["upfile"]["name"]) != "" 
	 &&  $_FILES["upfile"]["size"]!=0
	 &&  in_array($_FILES["upfile"]["type"],$allowed_types))
{
	$dest_path = "$root\\allegato_{$Id}_$file_name";

	if(@is_uploaded_file($_FILES["upfile"]["tmp_name"])) 
		@move_uploaded_file($_FILES["upfile"]["tmp_name"], $dest_path) 
			or die("Impossibile spostare il file, controlla l'esistenza o i permessi della directory dove fare l'upload.<br>");
	else
		die("Problemi nell'upload del file " . $_FILES["upfile"]["name"]);

	echo "L'upload del file " . $_FILES["upfile"]["name"] . " è avvenuto correttamente con nome $dest_path";
}

$update = $table->update();

$update->init();

$update->set('Allegato', str_replace("\\","\\\\",$dest_path));
$update->set('CoordinateMessaggiDaSpedire', "orecal $Id");
$update->where('Id', $Id);

$update->execute();

/* ntxfire per email + allegato */

ntxFireNetInit($_SESSION['Utente'].'',				
				"orario calore",				
				"orecal $Id",			
				"email",		
				"$email;gestioneclimatizzazione@comune.bologna.it",		
				$oggetto,				
				$messaggio);
				
if ( $dest_path!="" ) ntxFireNetAddAttached($dest_path);

ntxFireNetRegister();

die("<br>Email registrata");

?> 
