<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdDitta = ntxip('IdDitta');
$IdCommessa = ntxip('IdCommessa');
$IdLocalizzazione = ntxip('IdLocalizzazione');
$IdMestiere = ntxip('IdMestiere');
$IdRisorsa = ntxip('IdRisorsa');
$giorno = ntxip('giorno');
$mese = ntxip('mese');
$anno = ntxip('anno');
$Filtro = ntxip('Filtro');
$Filtro2 = ntxip('Filtro2');

if ( is_numeric($giorno) )
{
	if ( $_POST[DataConfronto]=="DataScadenza" )
		$addWhere1 = " AND (DAY(Ordini.DataScadenza) = $giorno ) AND (MONTH(Ordini.DataScadenza) = $mese) AND (YEAR(Ordini.DataScadenza) = $anno) ";
	else
		$addWhere1 = " AND (DAY(Ordini.dataInizioProg) = $giorno ) AND (MONTH(Ordini.dataInizioProg) = $mese) AND (YEAR(Ordini.dataInizioProg) = $anno) ";
	
	$addWhere2 = " AND (DAY(Ordini.dataInizioProg) = $giorno )  ";
}

$sql = <<< sql
	SELECT     Commesse.IDCommessa, Commesse.DesComm, Ordini.NumOrdine, Ordini.AnnoOrdine, UPPER(Ordini.GradoUrgenza) AS GradoUrgenza, 
                      Ordini.DataScadenza, Ordini.DataInizioProg, Ordini.DataFineProg, TabellaGradoUrgenza.Descrizione AS GrUrg, StatiOrdini.DesStato, ElencoEdifici.ID AS IdEdificio, 
                      ElencoEdifici.Codice AS CodEdificio, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      tblMestieri.Descrizione AS Mestiere, Ordini.DescrizioneIntervento AS des1, Ordini.DescrizioneIntervento1 AS des2, 
                      Ordini.DescrizioneIntervento2 AS des3, Ordini.StatoOrd, Risorse.NOME AS Risorsa, Ordini.IdRisorsa, Ordini.DataPresaInCarico DataPC
					  ,Ordini.DataAssegnazioneRisorsa
	FROM         tblMestieri INNER JOIN
                      Ordini INNER JOIN
                      Commesse ON Ordini.IDCommessa = Commesse.IDCommessa ON tblMestieri.IdCommessa = Ordini.IDCommessa AND 
                      tblMestieri.IdMestiere = Ordini.IdMestiere INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      TabellaGradoUrgenza ON Ordini.GradoUrgenza = TabellaGradoUrgenza.GradoU AND 
                      Ordini.IDCommessa = TabellaGradoUrgenza.IdCommessa INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      Risorse ON Ordini.IdRisorsa = Risorse.ID
	WHERE     (Ordini.Assegnazione = $IdDitta) 
		AND (Ordini.GradoUrgenza <> 'MON') 
		AND (
			((Ordini.GradoUrgenza <> 'MP') 
			$addWhere1)
			OR
			((Ordini.GradoUrgenza = 'MP') 
			$addWhere2
			AND (MONTH(Ordini.dataInizioProg) = $mese) 
			AND (YEAR(Ordini.dataInizioProg) = $anno)))

sql;

if ( is_numeric($IdCommessa) )
	$sql .= " AND (Ordini.IdCommessa=$IdCommessa) ";

if ( is_numeric($IdLocalizzazione) )
	$sql .= " AND (Ordini.CodEdificio=$IdLocalizzazione) ";

if ( is_numeric($IdMestiere) )
	$sql .= " AND (Ordini.IdMestiere=$IdMestiere) ";

if ( is_numeric($IdRisorsa) )
	$sql .= " AND (Ordini.IdRisorsa=$IdRisorsa) ";

if ( $Filtro==1 )
	$sql .= " AND (Ordini.GradoUrgenza = 'MP') ";
elseif ( $Filtro==2 )
	$sql .= " AND (Ordini.GradoUrgenza <> 'MP') ";

if ( $Filtro2==1 )
	$sql .= " AND (Ordini.IdRisorsa IS NOT NULL) ";
elseif ( $Filtro2==2 )
	$sql .= " AND (Ordini.IdRisorsa IS NULL) ";

$paginazione = ntxPaginazione($sql, "DesComm, DataScadenza, DataInizioProg");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>Commessa
			<th>Ordine
			<th>Data Scadenza
			<th>Data Inizio Prog
			<th>Ora Inizio Prog
			<th>Data Fine Prog
			<th>Ora Fine Prog
			<th>GradoUrgenza
			<th>Stato
			<th>Localizzazione
			<th>Mestiere
			<th>Descrizione
			<th>Risorsa
			<th>
			<th>Presa in Carico
			<th>Data Assegnazione Risorsa
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	
	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);
	$DataInizioProg = ntxDate($rs[DataInizioProg]);
	$DataFineProg = ntxDate($rs[DataFineProg]);
	$OraInizioProg = ntxTime($rs[DataInizioProg]);
	$OraFineProg = ntxTime($rs[DataFineProg]);
	$rs[DataPC] = ntxDateTime($rs[DataPC]);
	$rs[DataAssegnazioneRisorsa] = ntxDateTime($rs[DataAssegnazioneRisorsa]);
	
	if ( $rs[IdRisorsa] )
		$ColoreRisorsa = "#BBFFBB";
	else
		$ColoreRisorsa = "#FFBBBB";
	
	if ( $rs[GradoUrgenza]=="MP" )
		$ColoreMP = "#BBBBFF";
	else
		$ColoreMP = "#BBFFBB";
	
	if ( $rs[StatoOrd]>=50 )
		$ColoreStato = "#BBFFBB";
	else
		$ColoreStato = "#FFBBBB";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$disabled = $rs[StatoOrd]!=35 ? "disabled" : "";
	
		
	$table .= <<< table
		<tr>
			<td>$html[DesComm] - $html[IDCommessa]
			<td>{$html[NumOrdine]}/{$html[AnnoOrdine]}
			<td>$html[DataScadenza]
			<td><input type=text $disabled size=12 maxlength=10 DatePicker onblur="UpdateDateProg($rs[IDCommessa],$rs[NumOrdine],$rs[AnnoOrdine])" 
					campo=DataInizioProg IDCommessa=$rs[IDCommessa] NumOrdine=$rs[NumOrdine] AnnoOrdine=$rs[AnnoOrdine] value="$DataInizioProg" />
			<td><input type=text $disabled size=6 maxlength=5  onblur="UpdateDateProg($rs[IDCommessa],$rs[NumOrdine],$rs[AnnoOrdine])" 
					campo=OraInizioProg IDCommessa=$rs[IDCommessa] NumOrdine=$rs[NumOrdine] AnnoOrdine=$rs[AnnoOrdine] value="$OraInizioProg" />
			<td><input type=text $disabled size=12 maxlength=10 DatePicker onblur="UpdateDateProg($rs[IDCommessa],$rs[NumOrdine],$rs[AnnoOrdine])" 
					campo=DataFineProg IDCommessa=$rs[IDCommessa] NumOrdine=$rs[NumOrdine] AnnoOrdine=$rs[AnnoOrdine] value="$DataFineProg" />
			<td><input type=text $disabled size=6 maxlength=5  onblur="UpdateDateProg($rs[IDCommessa],$rs[NumOrdine],$rs[AnnoOrdine])" 
					campo=OraFineProg IDCommessa=$rs[IDCommessa] NumOrdine=$rs[NumOrdine] AnnoOrdine=$rs[AnnoOrdine] value="$OraFineProg" />
			<td style="background-color:$ColoreMP">$html[GrUrg]
			<td style="background-color:$ColoreStato">$html[DesStato]
			<td>{$html[IdEdificio]} - {$html[CodEdificio]} - {$html[EdificioBreve]} - {$html[Indirizzo]} - {$html[CITTA]} ({$html[PROVINCIA]})
			<td>$html[Mestiere]
			<td>{$html[des1]}{$html[des2]}{$html[des3]}
			<td style="background-color:$ColoreRisorsa" CellaRisorsa IdCommessa=$rs[IDCommessa] NumOrdine=$rs[NumOrdine] AnnoOrdine=$rs[AnnoOrdine]>$html[Risorsa]
			<td><input type=button value="..." onclick="VisualizzaElencoRisorse($rs[IDCommessa], $rs[NumOrdine], $rs[AnnoOrdine], this)" />
			<td style="background-color:$ColoreRisorsa" CellaPresaInCarico IdCommessa=$rs[IDCommessa] NumOrdine=$rs[NumOrdine] AnnoOrdine=$rs[AnnoOrdine]>$html[DataPC]
			<td style="background-color:$ColoreRisorsa" CellaDataAssegnazioneRisorsa IdCommessa=$rs[IDCommessa] NumOrdine=$rs[NumOrdine] AnnoOrdine=$rs[AnnoOrdine]>$html[DataAssegnazioneRisorsa]
table;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
