<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');

$sql = <<< sql
	SELECT     ID, Codice, EdificioBreve, Indirizzo, CITTA, PROVINCIA
	FROM         ElencoEdifici
	WHERE     (IdCommessa = $IdCommessa)
	ORDER BY Codice, EdificioBreve, Indirizzo
sql;

$query = ntxQuery($sql);

$options = <<< options
		<option value="">
options;

while ( $rs=ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$options .= <<< options
		<option value="$rs[ID]">$html[Codice] - $html[EdificioBreve] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
options;
}

$result[IdLocalizzazione] = $options;

$sql = <<< sql
	SELECT     IdPgContratto, Descrizione, DataContratto, DataInizio, DataFine, Aperto
	FROM         tblPgContratti
	WHERE     (IdCommessa = $IdCommessa)
	ORDER BY DataContratto, Descrizione
sql;

$query = ntxQuery($sql);

$options = <<< options
		<option value="">
options;

while ( $rs=ntxRecord($query) )
{
	$rs[DataContratto] = ntxDate($rs[DataContratto]);
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	$Aperto = $rs[Aperto] ? "Aperto" : "Chiuso";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$options .= <<< options
		<option value="$rs[IdPgContratto]">$html[DataContratto] - $html[Descrizione] - $html[DataInizio] - $html[DataFine] - $Aperto
options;
}

$result[IdContratto] = $options;

jhp($result);

?>
