<?php

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, 
                      Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Des, ElencoEdifici.ID AS IdEdificio, 
                      ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, tblPgPropietari.Nome AS Ente, Ordini.Contabiliz, Ditte.Ditta AS Fornitore, tblMestieri.Descrizione AS Mestiere, Ordini.Note, 
                      Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine, Ditte.Ditta, tblMestieri.codice AS CodMest, 
                      tblComponetiMestiere2.codice AS CodComp, tblAttivitàMestiere2.codice AS CodAtt, tblMestieri.Descrizione AS DesMest, 
                      tblComponetiMestiere2.Descrizione AS DesComp, tblAttivitàMestiere2.Descrizione AS DesAtt, Ordini.DataScadenza,
					  ElencoEdifici.ID AS IdEdificio
	FROM         tblPgPropietari RIGHT OUTER JOIN
                      tblMestieri RIGHT OUTER JOIN
                      Ditte RIGHT OUTER JOIN
                      ElencoEdifici INNER JOIN
                      Ordini LEFT OUTER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa ON 
                      Ditte.IDDitta = Ordini.Assegnazione ON tblMestieri.IdMestiere = Ordini.IdMestiere AND tblMestieri.IdCommessa = Ordini.IDCommessa ON 
                      tblPgPropietari.IdPropietario = ElencoEdifici.IdProprietario LEFT OUTER JOIN
                      tblComponetiMestiere AS tblComponetiMestiere2 ON tblComponetiMestiere2.IdCommessa = Ordini.IDCommessa AND 
                      tblComponetiMestiere2.IdComponenteMestiere = Ordini.IdComponenteMestiere LEFT OUTER JOIN
                      tblAttivitàMestiere AS tblAttivitàMestiere2 ON Ordini.IDCommessa = tblAttivitàMestiere2.IdCommessa AND 
                      Ordini.IdAttivitàMestiere = tblAttivitàMestiere2.IdAttivitàMestiere		
	WHERE     (Ordini.IdCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine) 
	AND (Ordini.AnnoOrdine = $AnnoOrdine)
sql;

$query = ntxQuery($sql);

?>

<table style="width:900px">
	<tr>
		<th colspan=4>Ordine Monitoraggio</th>

<?php 
	if ( $rs=ntxRecord($query) ) 
	{ 
		$IdEdificio = $rs[IdEdificio];
?>
	<tr>
		<th>Ordine:<td>&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']."/".$rs['AnnoOrdine']) ?></td>
	
		<th>Ditta:<td >&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
	
	<tr><th>Mestiere:<td  colspan=3>&nbsp;<?php echo htmlentities("$rs[CodMest] - $rs[DesMest]") ?></td>
	<tr><th>Componente:<td  colspan=3>&nbsp;<?php echo htmlentities("$rs[CodComp] - $rs[DesComp]") ?></td>
	<tr><th>Attività:<td  colspan=3>&nbsp;<?php echo htmlentities("$rs[CodAtt] - $rs[DesAtt]") ?></td>

	<tr><th>Localizzazione:<td  colspan=3>&nbsp;<?php echo htmlentities("($rs[Codice]) - $rs[Nome] - $rs[Comune] ($rs[Provincia])") ?></td>
	
	<tr><th>Descrizione:<td  colspan=3>&nbsp;<?php echo htmlentities($rs['Des']) ?></td>

	<tr><th>Stato:<td ><select id=StatoOrd onchange="MemOrdine()"></select>
		<th>Scadenza:<td >&nbsp;<?php echo ntxDateTime($rs['DataScadenza']) ?></td>

	<tr><th>Data Inizio Programmato:<td >&nbsp;<?php echo ntxDateTime($rs['DataInizioProg']) ?></td>
		<th>Data Fine Programmato:<td >&nbsp;<?php echo ntxDateTime($rs['DataFineProg']) ?></td>

	<tr><th>Data Inizio:<td ><input type=text id=DataInizio size=16 maxlength=16 onblur="MemOrdine()">
		<th>Data Fine:<td ><input type=text id=DataFine size=16 maxlength=16 onblur="MemOrdine()">

<?php 
	} 
?>

</table>

