<?php

session_start();

require_once('../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa',false);
$NumOrdine = ntxip('NumOrdine',false);
$AnnoOrdine = ntxip('AnnoOrdine',false);
$NumOrdinePrec = ntxip('NumOrdinePrec',false);
$AnnoOrdinePrec = ntxip('AnnoOrdinePrec',false);
$CopiaDocs = ntxip('CopiaDocs',false);
$CopiaRics = ntxip('CopiaRics',false);
$CopiaDocsRics = ntxip('CopiaDocsRics',false);

$conRic = ntxip('conRic');
$numRic = explode(',', $_POST[numRic]);
$annRic = explode(',', $_POST[annRic]);

$IdUtente = ntxise('IdUtente');
$Utente = ntxs($_SESSION['Utente']);


$sql = <<< sql
	DELETE FROM MonitoraggioStrade
	WHERE     (IdCommessa = $IdCommessa) 
	AND (NumOrdine = $NumOrdine) 
	AND (AnnoOrdine = '$AnnoOrdine')
sql;

ntxQuery($sql);

$sql = <<< sql
	INSERT INTO MonitoraggioStrade
						  (IdCommessa, Componente, Voto, Note, NumOrdine, AnnoOrdine)
	SELECT     IdCommessa, Componente, Voto, Note, $NumOrdine, $AnnoOrdine
	FROM         MonitoraggioStrade AS MonitoraggioStrade_1
	WHERE     (IdCommessa = $IdCommessa) 
	AND (NumOrdine = $NumOrdinePrec) 
	AND (AnnoOrdine = '$AnnoOrdinePrec')
sql;

ntxQuery($sql);

$sql = <<< sql
	SELECT     Componente
	FROM         MonitoraggioStrade
	WHERE     (IdCommessa = $IdCommessa) 
	AND (NumOrdine = $NumOrdine) 
	AND (AnnoOrdine = '$AnnoOrdine')
sql;

$query1 = ntxQuery($sql);

while ( $rs1 = ntxIRecord($query1) )
{
	$sql2 = <<< sql2
		SELECT     Id
		FROM         MonStradeLatLon 
		WHERE     (IdCommessa = $IdCommessa) 
		AND (NumOrdine = $NumOrdinePrec) 
		AND (AnnoOrdine = '$AnnoOrdinePrec')
		AND (Componente = $rs1[0])
sql2;

	$query2 = ntxQuery($sql2);
	
	while ( $rs2 = ntxIRecord($query2) )
	{
		$sql3 = <<< sql3
			INSERT INTO MonStradeLatLon
								  (IdCommessa, NumOrdine, AnnoOrdine, Componente, Descrizione, Nota, Civico, SubCivico, Latitudine, Longitudine, Civico2, SubCivico2, Latitudine2, 
								  Longitudine2, Polilinea, Geometria, Voto)
			SELECT     IdCommessa, $NumOrdine, '$AnnoOrdine', Componente, Descrizione, Nota, Civico, SubCivico, Latitudine, Longitudine, Civico2, SubCivico2, Latitudine2, 
								  Longitudine2, Polilinea, Geometria, Voto
			FROM         MonStradeLatLon AS MonStradeLatLon_1
			WHERE     (Id = $rs2[0]) 
sql3;

		ntxQuery($sql3);
		
		$NewId = ntxId();
		
		if ( $CopiaDocs )
		{
			$sql4 = <<< sql4
				INSERT INTO MonStradeLatLonDocs
									  (IdPadre, IdCommessa, Descrizione, Path)
				SELECT     $NewId, IdCommessa, Descrizione, Path
				FROM         MonStradeLatLonDocs AS MonStradeLatLonDocs_1
				WHERE     (IdPadre = $rs2[0])	
sql4;

			ntxQuery($sql4);
		}
	}
}

if ( $CopiaRics )
{
	for($i=0;$i<$conRic;++$i)
	{
		$OldNumRichiesta = $numRic[$i];
		$OldAnnoRichiesta = $annRic[$i];

		$NewAnnoRichiesta = ntxScalar("SELECT YEAR(GETDATE())");
		$NewNumRichiesta = ntxScalar("SELECT MAX(NumRichiesta) FROM RICHIESTE WHERE AnnoRichiesta=$NewAnnoRichiesta");
		
		if ( !is_numeric($NewNumRichiesta) ) $NewNumRichiesta = 1; else $NewNumRichiesta++;
	
		$sql5 = <<< sql5
			INSERT INTO Richieste
								  (NumRichiesta, AnnoRichiesta, Stato, IdUtenteInserimento, NumOrdineFonte, AnnoOrdineFonte, Utente, Operatore, DataRichiesta, DataModifica, 
								  DataInserimento, IDCommessa, Localizzazione, Sede, Tipo, Tecnico, Descrizione, Descrizione1, Descrizione2, Mestiere, Riferimento, Richiedente, 
								  TelefonoRif, Note, Classificazione, GradoUrgenza, TecnicoC, ImpS, IdLivello, IdAmbiente, IdComponente, IdSubComponente, IdMestiere, 
								  IdComponenteMestiere, IdAttivitàMestiere, IdUtilizzatore, IdAffidataria, NoteImpS, IdRichiedente, TipoEdificio, CompMonitorato, StatoCompMonitorato, 
								  NumRichiestaFonte, AnnoRichiestaFonte, IdEnteTerzo, IdAffidatario, NumRifCli, AnnoRifCli)
			SELECT     $NewNumRichiesta, 
						$NewAnnoRichiesta, 
						-1, 
						$IdUtente, 
						$NumOrdine, 
						'$AnnoOrdine', 
						$Utente, 
						$Utente, 
						GETDATE() AS Expr3, 
						GETDATE() AS Expr5, 
						GETDATE() AS Expr6, 
								  IDCommessa, Localizzazione, Sede, Tipo, Tecnico, Descrizione, Descrizione1, Descrizione2, 
								  Mestiere, Riferimento, Richiedente, TelefonoRif, Note, Classificazione, GradoUrgenza, TecnicoC, ImpS, IdLivello, IdAmbiente, IdComponente, 
								  IdSubComponente, IdMestiere, IdComponenteMestiere, IdAttivitàMestiere, IdUtilizzatore, IdAffidataria, NoteImpS, IdRichiedente, TipoEdificio, 
								  CompMonitorato, StatoCompMonitorato, NumRichiestaFonte, AnnoRichiestaFonte, IdEnteTerzo, IdAffidatario, NumRifCli, AnnoRifCli
			FROM         Richieste AS Richieste_1
			WHERE     (IDCommessa = $IdCommessa) 
			AND (NumRichiesta = $OldNumRichiesta) 
			AND (AnnoRichiesta = $OldAnnoRichiesta)
sql5;

		ntxQuery($sql5);

		$sql7 = "SELECT Id FROM RichiesteLatLon WHERE IDCommessa=$IdCommessa AND NumRichiesta=$OldNumRichiesta AND AnnoRichiesta=$OldAnnoRichiesta";				

		$query7 = ntxQuery($sql7);
		
		while ( $rs7 = ntxIRecord($query7) )
		{
			$OldId7 = $rs7[0];
			
			$sql8 = <<< sql8
				INSERT INTO RichiesteLatLon
									  (NumRichiesta, AnnoRichiesta, IDCommessa, Descrizione, Nota, Civico, SubCivico, Latitudine, Longitudine, Civico2, SubCivico2, Latitudine2, 
									  Longitudine2, Polilinea, Geometria)
				SELECT     $NewNumRichiesta, 
					$NewAnnoRichiesta,
					IDCommessa, Descrizione, Nota, Civico, SubCivico, Latitudine, Longitudine, Civico2, SubCivico2, Latitudine2, 
									  Longitudine2, Polilinea, Geometria
				FROM         RichiesteLatLon AS RichiesteLatLon_1
				WHERE     Id=$OldId7					
sql8;
			ntxQuery($sql8);
			
			$NewId8 = ntxId();
			
			if ( $CopiaDocsRics )
			{
				$sql9=<<< sql9
					INSERT INTO RichiesteLatLonDocs
										  (IdCommessa, Descrizione, Path, IdPadre)
					SELECT     IdCommessa, Descrizione, Path, $NewId8
					FROM         RichiesteLatLonDocs AS RichiesteLatLonDocs_1
					WHERE     (IdPadre = $OldId7)					
sql9;

				ntxQuery($sql9);
			}
		}

		$sql6 = <<< sql6
			INSERT INTO MonStradeLatLonRichieste
								  (IdMonStradeLatLon, IdCommessa, NumRichiesta, AnnoRichiesta)
			SELECT     $NewId, $IdCommessa, $NewNumRichiesta, $NewAnnoRichiesta
sql6;

		ntxQuery($sql6);
	}
}

jhp_ok();

?>
