<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');
$IdComponente = ntxip('IdComponente');

$no_edit = false;
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script>
	
	<link href="css/base.css" rel="stylesheet" type="text/css">
	
	<script src="js/base.js" type="text/javascript"></script>
	<script src="js/edit-mon-alberi.js" type="text/javascript"></script>
</head>
<body>
<?php

$sql = <<< sql
	SELECT     DataInizio, CodEdificio
	FROM         Ordini
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) 
			AND (Ordini.AnnoOrdine = $AnnoOrdine) 
sql;

$rs = ntxRecord(ntxQuery($sql));

$DataInizio = ntxDate($rs[DataInizio]);
$IdEdificio = $rs[CodEdificio];

?>
<input type=button value="<?php echo $no_edit ? "+" : "-" ?>" onclick="objCodice.MostraNascondi(this)" style="float:left" />

<form name="frmRicerca" method="post" Paginazione <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>
	<?php PaginazioneCampiPerForm(20, 'jhp/edit-mon-alberi/ricerca.php', 'lista-richiedenti') ?>

	<input type=hidden name=no_edit value="<?php echo $no_edit ? "1" : "0" ?>" />
	<input type=hidden name=NumOrdine value="<?php echo $NumOrdine ?>" />
	<input type=hidden name=AnnoOrdine value="<?php echo $AnnoOrdine ?>" />
	<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
	<input type=hidden name=IdComponente value="<?php echo $IdComponente ?>" />
	
	<table class=grid>
		<caption>Monitoraggio Alberi/Popoloamenti
		<tr><th>ID<td><input type=text name=IdMon size=25 readonly />
			<th>Voce<td><select name=IdVoce onchange="objCodice.CaricaValoriVoce()"></select>
			<th>Valori<td>
				<select name=Valore1></select>
				<select name=Valore2></select>
		<tr><th>DataMon<td><input type=text name=DataMon size=25 DatePicker value="<?php echo $DataInizio ?>" />
			<th>NumRichiesta<td><input type=text name=NumRichiesta size=25 readonly />
			<th>AnnoRichiesta<td><input type=text name=AnnoRichiesta size=25 readonly />
		<tr><th>Note<br>(max.1000 car.)<td colspan=5><textarea rows=5 name=Note style="width:100%"></textarea>
		<tr><th colspan=6>
			<span ButtonSet>
<?php if ( !$no_edit ) { ?>
				<input type=button name=btnAggiungi value="Aggiungi" onclick="objCodice.Aggiungi()" />
				<input type=button name=btnModifica value="Modifica" onclick="objCodice.Modifica()" />
<?php } ?>
				<input type=button value="Reset" onclick="this.form.reset()" />
				<input type=button name=btnRicerca value="Ricerca" onclick="PaginazioneRicerca(this, 'first')" />
<?php if ( !$no_edit ) { ?>
			</span>
<?php } ?>
	</table>
</form>

<br id=br1 <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>

<table class=grid>
	<caption>Dati per Generazione Richieste
	<tr><th>Gruado Urgenza<td><select id=GruadoUrgenza></select>
		<th>Data Inizio P<td><input type=text id=DataInizioP DatePicker />
		<th>Data Fine P<td><input type=text id=DataFineP DatePicker />
	<tr><th colspan=6>
		<input type=button value="Genera Richieste" onclick="objCodice.GeneraRichieste()" />
</table>
<br>
<span ButtonSet>
<input type=button value="Sel.Tutto" onclick="objCodice.Seleziona(true)" />
<input type=button value="Sel.Niente" onclick="objCodice.Seleziona(false)" />
<?php if ( !$no_edit ) { ?>
	<input type=button value="Elimina" onclick="objCodice.Elimina()" />
<?php } ?>
</span>

<span ButtonSet>
<?php PaginazioneNavigazione('frmRicerca') ?>
</span>
<br>
<br>

<div id="lista-richiedenti"></div>
<br>

<span ButtonSet>
<input type=button value="Sel.Tutto" onclick="objCodice.Seleziona(true)" />
<input type=button value="Sel.Niente" onclick="objCodice.Seleziona(false)" />
<?php if ( !$no_edit ) { ?>
	<input type=button value="Elimina" onclick="objCodice.Elimina()" />
<?php } ?>
</span>

<span ButtonSet>
<?php PaginazioneNavigazione('frmRicerca') ?>
</span>


</body>
</html>
