<?php

if ( !isset($_SESSION) ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataInizio, Ordini.DataFine, StatiOrdini.DesStato, ElencoEdifici.Codice, ElencoEdifici.EdificioEstesa, ElencoEdifici.EdificioBreve, 
						  ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, Ordini.DescrizioneIntervento
	FROM         Ordini INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato
	WHERE (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.IDCommessa = $IdCommessa)
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<caption>Ordine Monitoraggio Verde Selezionato
		<tr>
			<th>Data Inizio
			<th>Data Fine
			<th>Stato
			<th>Descrizione
			<th>Area
			<th>Num/Anno
		</tr>
table;

$alternate = false;

while( $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$DataInizio = ntxDateTime($rs[DataInizio]);
	$DataFine = ntxDateTime($rs[DataFine]);
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);

	$rs[NumOrdine] = (int)$rs[NumOrdine];
		
	$table .= <<< table
		<tr $classTr>
			<td>$DataInizio
			<td>$DataFine
			<td>$rs[DesStato]
			<td>$rs[DescrizioneIntervento]
			<td>$rs[Codice] - $rs[EdificioBreve] - $rs[EdificioEstesa] - $rs[Indirizzo] - $rs[CITTA] ($rs[PROVINCIA])
			<td>$rs[NumOrdine]/$rs[AnnoOrdine]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

jhp($table);

?>
