var objOrdiniMon = {
	rootJhp: "jhp/ordini-mon/",
	msgConfermaEliminazione: "Cancella Ordine Monitoraggio Area Verde?",
	
	ResetEdificio: function()
	{
		frmEditOrdiniMon.Codice.value = '';
		frmEditOrdiniMon.EdificioBreve.value = '';
		frmEditOrdiniMon.EdificioEstesa.value = '';
		frmEditOrdiniMon.Indirizzo.value = '';
		frmEditOrdiniMon.CITTA.value = '';
		frmEditOrdiniMon.PROVINCIA.value = '';
	},

	CaricaEdificio: function()
	{
		this.ResetEdificio();
		
		var result = jhp(this.rootJhp+"carica_edificio.php", 
				{ IdEdificio: frmEditOrdiniMon.IdEdificio.value });

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			frmEditOrdiniMon.Codice.value = result.value.Codice;
			frmEditOrdiniMon.EdificioBreve.value = result.value.EdificioBreve;
			frmEditOrdiniMon.EdificioEstesa.value = result.value.EdificioEstesa;
			frmEditOrdiniMon.Indirizzo.value = result.value.Indirizzo;
			frmEditOrdiniMon.CITTA.value = result.value.CITTA;
			frmEditOrdiniMon.PROVINCIA.value = result.value.PROVINCIA;
		}
	},

	Aggiungi: function()
	{
		var result = jhp(this.rootJhp+"aggiungi.php", 
				jhp_frm(frmEditOrdiniMon));

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			this.CaricaOrdineMon(result.value);
		}
	},

	Modifica: function()
	{
		var result = jhp(this.rootJhp+"modifica.php", 
				jhp_frm(frmEditOrdiniMon));

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			this.CaricaOrdineMon(result.value);
		}
	},

	Elimina: function()
	{
		if ( !confirm(this.msgConfermaEliminazione) ) return;
		
		var result = jhp(this.rootJhp+"elimina.php", 
				jhp_frm(frmEditOrdiniMon));

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			frmEditOrdiniMon.reset();
		}
	},

	SelOrdineMon: function(NumOrdine, AnnoOrdine)
	{
		var result = jhp(this.rootJhp+"carica.php", 
				{NumOrdine:NumOrdine, AnnoOrdine:AnnoOrdine});

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			this.CaricaOrdineMon(result.value);
			objIndex.MostraSoloPagina('pagina-edit-ordini-mon');
		}
	},

	CaricaOrdineMon: function(rs)
	{
		frmEditOrdiniMon.NumOrdine.value = rs.NumOrdine;
		frmEditOrdiniMon.AnnoOrdine.value = rs.AnnoOrdine;
		frmEditOrdiniMon.DataInizio.value = rs.DataInizio;
		frmEditOrdiniMon.DataFine.value = rs.DataFine;
		frmEditOrdiniMon.OraInizio.value = rs.OraInizio;
		frmEditOrdiniMon.OraFine.value = rs.OraFine;
		frmEditOrdiniMon.IdEdificio.value = rs.IdEdificio;
		frmEditOrdiniMon.DesStato.value = rs.DesStato;
		frmEditOrdiniMon.DescrizioneIntervento.value = rs.DescrizioneIntervento;
		
		this.CaricaEdificio();
	}
};
