$(function(){
	// settaggi
	objMappaAreeVerdi.Resize();
	objMappaAreeVerdi.Legenda();
});

var objMappaAreeVerdi = {
	jhpRoot: "jhp/mappa-aree-verdi/",
	firstMap: true,
	TipoSelezione: "",
	
	Legenda: function() {
			frmMappaAreeVerdi.action = "mappa-legenda.php";
			frmMappaAreeVerdi.target = "frameLegendMappa";
			
			frmMappaAreeVerdi.submit();
		},
		
	Resize: function() {
			var offset = $('#tblMappaAreeVerdi').offset();
			
			$('#tblMappaAreeVerdi').width($(window).width()-offset.left-15);
			$('#tblMappaAreeVerdi').height($(window).height()-offset.top-15);
		},
		
	Mostra: function(index) {
			switch(index)
			{
				case 1:
					$('#tdMappaAreeVerdi1').show();
					$('#tdMappaAreeVerdi2').hide();
					$('#tdMappaAreeVerdi3').hide();
					break;
				case 2:
					$('#tdMappaAreeVerdi1').hide();
					$('#tdMappaAreeVerdi2').show();
					$('#tdMappaAreeVerdi3').hide();
					break;
				case 3:
					$('#tdMappaAreeVerdi1').hide();
					$('#tdMappaAreeVerdi2').hide();
					$('#tdMappaAreeVerdi3').show();
					break;
				case 4:
					$('#tdMappaAreeVerdi1').show();
					$('#tdMappaAreeVerdi2').show();
					$('#tdMappaAreeVerdi3').show();
					break;
			}
		},

	MostraNascondi: function(btn) {
		if ( btn.value=="+" )
		{
			btn.value = "-";
			$(frmMappaAreeVerdi).show();
		}
		else
		{
			btn.value = "+";
			$(frmMappaAreeVerdi).hide();
		}
		
		this.Resize();
	},
	
	SelOpzioneAttiva: function(label, opzione)
	{
		frameCanvasMappa.codice.doAction = opzione;
		
		switch(frameCanvasMappa.codice.doAction)
		{
			case 'zoomarea':
			case 'multisel_alberi':
				frameCanvasMappa.codice.engine.DrawType = "box";
				break;
			case 'zoom+':
			case 'zoom-':
			case 'pan':
			case 'sel_area':
			case 'sel_ug':
			case 'sel_albero':
			case 'sel_popolamento':
				frameCanvasMappa.codice.engine.DrawType = "";
				break;
		}

		$('#spanOpSuMappa').html(label);
	},
	
	SelTipoSelezione: function(IdPaginaRitorno, TipoSelezione)
	{
		this.TipoSelezione = TipoSelezione;
		
		frmMappaAreeVerdi.IdPaginaRitorno.value = IdPaginaRitorno;

		switch(TipoSelezione)
		{
			case 'sel_area':
				this.SelOpzioneAttiva('Sel.Area Verde', 'sel_area');
				
				$('input[type=button][TastiSelArea]').show();
				$('input[type=button][TastiSelUG]').hide();
				$('input[type=button][TastiSelAlberiPop]').hide();
				
				frmMappaAreeVerdi.action = "mappa-sel-area.php";
				break;
			case 'sel_ug':
				this.SelOpzioneAttiva('Sel.UG', 'sel_ug');
				
				$('input[type=button][TastiSelArea]').hide();
				$('input[type=button][TastiSelUG]').show();
				$('input[type=button][TastiSelAlberiPop]').hide();
				
				frmMappaAreeVerdi.action = "mappa-sel-ug.php";
				break;
			case 'sel_alberi_pop':
				this.SelOpzioneAttiva('Sel.Albero', 'sel_albero');
				
				$('input[type=button][TastiSelArea]').hide();
				$('input[type=button][TastiSelUG]').hide();
				$('input[type=button][TastiSelAlberiPop]').show();
				
				frmMappaAreeVerdi.action = "mappa-sel-alberi.php";
				break;
			default:
				this.SelOpzioneAttiva('Pan', 'pan');
				
				$('input[type=button][TastiSelArea]').hide();
				$('input[type=button][TastiSelUG]').hide();
				$('input[type=button][TastiSelAlberiPop]').hide();
				
				frmMappaAreeVerdi.action = "blank.html";
				break;
		}
			
		frmMappaAreeVerdi.target = "frameSelezioniMappa";
		
		frmMappaAreeVerdi.submit();

		objIndex.MostraSoloPagina('pagina-mappa-aree-verdi');

		if ( this.firstMap )
		{
			this.firstMap = false;
			frameCanvasMappa.codice.Fit();
		}
		else
			frameCanvasMappa.codice.Refresh();
	}
};