$(function(){
	// settaggi
	objMonAlberi.Resize();
});

var objMonAlberi = {
	jhpRoot: "jhp/mon-alberi/",
		
	NumOrdine: null,
	AnnoOrdine: null,
	IdComponente: null,
	IdMon: null,
	
	Ricerca: function() {
			frmMonAlberi.action = "blank.html";
			frmMonAlberi.target = "frameEditMonAlberi";
			
			frmMonAlberi.submit();
			
			frmMonAlberi.action = "blank.html";
			frmMonAlberi.target = "frameDocsMonAlberi";
			
			frmMonAlberi.submit();
			
			frmMonAlberi.NumOrdine.value = this.NumOrdine;
			frmMonAlberi.AnnoOrdine.value = this.AnnoOrdine;
			
			frmMonAlberi.action = "alberi.php";
			frmMonAlberi.target = "frameListaAlberi";
			
			frmMonAlberi.submit();
		},
		
	Resize: function() {
			var offset = $('#tblMonAlberi').offset();
			
			$('#tblMonAlberi').width($(window).width()-offset.left-5);
			$('#tblMonAlberi').height($(window).height()-offset.top-5);
		},
		
	Mostra: function(index) {
			switch(index)
			{
				case 1:
					$('#tdMonAlberi1').show();
					$('#tdMonAlberi2').hide();
					$('#tdMonAlberi3').hide();
					break;
				case 2:
					$('#tdMonAlberi1').hide();
					$('#tdMonAlberi2').show();
					$('#tdMonAlberi3').hide();
					break;
				case 3:
					$('#tdMonAlberi1').hide();
					$('#tdMonAlberi2').hide();
					$('#tdMonAlberi3').show();
					break;
				case 4:
					$('#tdMonAlberi1').show();
					$('#tdMonAlberi2').show();
					$('#tdMonAlberi3').show();
					break;
			}
		},

	MostraNascondi: function(btn) {
		if ( btn.value=="+" )
		{
			btn.value = "-";
			$(frmMonAlberi).show();
		}
		else
		{
			btn.value = "+";
			$(frmMonAlberi).hide();
		}
		
		this.Resize();
	},
	
	SelOrdineMon: function(IdPaginaRitorno, NumOrdine, AnnoOrdine)
	{
		frmMonAlberi.IdPaginaRitorno.value = IdPaginaRitorno;
		
		this.NumOrdine = NumOrdine;
		this.AnnoOrdine = AnnoOrdine;
		
		this.CaricaTestata();
		
		this.Ricerca();
		
		objIndex.MostraSoloPagina('pagina-mon-alberi');
		
		this.Resize();
	},
	
	CaricaTestata: function()
	{
		var dati_input = {
						NumOrdine: this.NumOrdine,
						AnnoOrdine: this.AnnoOrdine
		};

		var result = jhp(this.jhpRoot+"carica-testata.php", dati_input);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			$('#MonAlberiTestata').html(result.value);
		}
	},
	
	Edit: function(IdComponente)
	{
			
			frmMonAlberi.action = "blank.html";
			frmMonAlberi.target = "frameDocsMonAlberi";
			
			frmMonAlberi.submit();

			frmMonAlberi.NumOrdine.value = this.NumOrdine;
			frmMonAlberi.AnnoOrdine.value = this.AnnoOrdine;
			frmMonAlberi.IdComponente.value = this.IdComponente = IdComponente;
			
			frmMonAlberi.action = "edit-mon-alberi.php";
			frmMonAlberi.target = "frameEditMonAlberi";
			
			frmMonAlberi.submit();
	},
	
	EditDocs: function(IdMon)
	{
			frmMonAlberi.IdMon.value = this.IdMon = IdMon;
			
			frmMonAlberi.action = "edit-docs-mon-alberi.php";
			frmMonAlberi.target = "frameDocsMonAlberi";
			
			frmMonAlberi.submit();
	},
	
	DuplicaVociSelezionate: function() 
	{
		if ( !frameEditMonAlberi.objCodice ) return;

		var lista1 = frameListaAlberi.objCodice.ElementiSelezionati();
		var lista2 = frameEditMonAlberi.objCodice.ElementiSelezionati();
		
		if ( lista1 == "" )
		{
			alert("Selezionare Alberi/Popolamenti!");
			return;
		}
		
		if ( lista2 == "" )
		{
			alert("Selezionare Monitoraggi!");
			return;
		}
		
		if ( !confirm("Sicuro di voler duplicare monitoraggi?") ) return;
		
		var result = jhp(this.jhpRoot+"duplica.php", 
				{
					chkCopiaDocs: jei('chkCopiaDocsAlberi').checked ? 1:0,
					lista1: lista1,
					lista2: lista2,
					genera_richiesta: 0
				});

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			alert("Operazione avvenuta con successo!");
		}
	},
	
	RichiesteVociSelezionate: function() 
	{
		if ( !frameEditMonAlberi.objCodice ) return;
		
		var lista1 = frameListaAlberi.objCodice.ElementiSelezionati();
		var lista2 = frameEditMonAlberi.objCodice.ElementiSelezionati();
		
		if ( lista2 == "" )
		{
			alert("Selezionare Monitoraggi!");
			return;
		}
		
		if ( !confirm("Sicuro di voler generare richieste su monitoraggi?") ) return;
		
		var result = jhp(this.jhpRoot+"duplica.php", 
				{
					lista1: lista1,
					lista2: lista2,
					genera_richiesta: 1
				});

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			alert("Operazione avvenuta con successo!");
		}
	}
};