<?php

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x = $_POST[map_x];
$y = $_POST[map_y];
$dx = $_POST[dx];
$dy = $_POST[dy];

$y = $dy - $y;

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

$x2 = $x * $dx2 / $dx + $minx;
$y2 = $y * $dy2 / $dy + $miny;

$point = ntxs("$x2;$y2");

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$sql = <<< sql
	SELECT TOP 1 Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente, Ambiente.MQ, DestinazioniDuso.Destinazione
	FROM         Ambiente INNER JOIN
						  DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
						  Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 

	AND dbo.WindingNumberVani($point, Ambiente.IdCommessa, Ambiente.IdEdificio, Ambiente.IdAmbiente)=1
sql;

$query = ntxQuery($sql);

$tableDyn = "";

while ( $rs = ntxRecord($query) )
{
	$rs[MQ] = ntxRoundThousand($rs[MQ], 2);
	
	$IDAmbiente = $rs[IDAmbiente];
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$tableFix .= <<< tableFix
		<tr>
			<td>$html[IDAmbiente]
			<td>$html[CodiceAssAmbiente]
			<td>$html[Destinazione]
			<td>$html[MQ]
tableFix;
}

$result[IDAmbiente] = $IDAmbiente;

$result[text] = <<< result
	<table class=grid>
		<tr>
			<th>Id
			<th>Codice
			<th>Des.Uso
			<th>MQ
			$tableFix
	</table>
result;

jhp($result);

?>
