<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$dataInizioProg = $dataOrdierna = ntxtp('dataOrdierna');

$ArrayVaniSelezionati = explode(",", $_POST[VaniSelezionati]);

if ( !is_array($ArrayVaniSelezionati) )
	jhp_error("Seleziona stanze!");

$ok = true;

foreach($ArrayVaniSelezionati as $val)
{
	if (!is_numeric($val))
	{
		$ok = false;
		break;
	}
}

$VaniSelezionati = $ok ? "$_POST[VaniSelezionati]" : "";

if ( $VaniSelezionati=="" )
	jhp_error("Seleziona stanze!");

$sql = <<< sql
	SELECT     COUNT(*)
	FROM         Ordini INNER JOIN
						  tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND 
						  Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	WHERE     (tblAttivitàMestiere.PulizieCamereHotel = 1)
		AND Ordini.IdCommessa=$IdCommessa 
		AND Ordini.CodEdificio=$IdEdificio
		AND Ordini.IdAmbiente in ($VaniSelezionati)
		AND Ordini.dataInizioProg=$dataInizioProg
sql;

$count = ntxScalar($sql);


jhp($count);

?>
