<?php
// cerca contratto fornitore
$sql = <<< sql
	SELECT     TOP (1) tblContrattiFornitori.IdContrattoFornitore, tblContrattiFornitori.IdFornitore
	FROM         tblContrattiFornitori INNER JOIN
						  tblContrattiFornitoriAttivitàMestiereEdifici ON tblContrattiFornitori.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
						  tblContrattiFornitori.IdContrattoFornitore = tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore INNER JOIN
						  tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
						  tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	WHERE     (tblAttivitàMestiere.VerificaPulizieHotel = 1)
		and     (tblContrattiFornitori.DataInizio <= $dataOrdierna) AND (tblContrattiFornitori.DataFine >= $dataOrdierna) AND 
						  (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa) AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $IdEdificio) AND 
						  (tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = $IdAttivitàMestiere)
sql;

$rs = ntxRecord(ntxQuery($sql));

$IdContrattoFornitore = $rs[IdContrattoFornitore];
$IdFornitore = $rs[IdFornitore];

if ( !is_numeric($IdContrattoFornitore) ||  !is_numeric($IdFornitore) )
	jhp_error("Manca contratto fornitore!");

//jhp_error("$IdContrattoFornitore $IdFornitore");

// cerca contratto affidatario

$sql = <<< sql
	SELECT  TOP 1    tblPgContrattiAffidatari.IdPgContrattoAffidatario, tblPgContrattiAffidatari.IdAffidatario, 
						  tblPgContrattiAffidatari.IdPgContratto
	FROM         tblPgContrattiAffidatari INNER JOIN
						  tblPgContrattiAffidatariAttivitàEdifici ON 
						  tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario INNER JOIN
						  tblAttivitàMestiere ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
						  tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	WHERE     (tblAttivitàMestiere.VerificaPulizieHotel = 1)
		and     (tblPgContrattiAffidatari.DataInizio <= $dataOrdierna) AND (tblPgContrattiAffidatari.DataFine >= $dataOrdierna) AND 
						  (tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = $IdCommessa) AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $IdEdificio) AND 
						  (tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere = $IdAttivitàMestiere)
sql;

$rs = ntxRecord(ntxQuery($sql));

$IdPgContrattoAffidatario = $rs[IdPgContrattoAffidatario];
$IdAffidatario = $rs[IdAffidatario];
$IdPgContrattoGestione = $rs[IdPgContratto];

if ( !is_numeric($IdPgContrattoAffidatario) ||  !is_numeric($IdAffidatario) )
	jhp_error("Manca contratto affidatario!");

//jhp_error("$IdPgContrattoAffidatario $IdAffidatario");

?>