<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../_css/navstyleLittleForForm.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$IdPropietario = $_POST['IdPropietario'];

$IdOfferta = $_POST['IdOfferta'];

$IdEdificiList = array();

if ( is_numeric($IdPropietario)  &&  is_numeric($IdOfferta) ) 
{
	$IdPropietario = (int)$IdPropietario;
	$IdOfferta = (int)$IdOfferta;

	$sql = "SELECT DISTINCT OfferteEdifici.IdEdificio FROM OfferteEdifici "
			." WHERE OfferteEdifici.IdCommessaOfferta=$IdCommessa AND OfferteEdifici.IdOfferta=$IdOfferta;";
		
	$query = ntxQuery($sql);

	while( $rs = ntxIRecord($query) )
	{
		$IdEdificiList[] = $rs[0];
	}
	
	$sql = "SELECT ElencoEdifici.* FROM ElencoEdifici  "
			." WHERE ElencoEdifici.IdCommessa=$IdCommessa AND ElencoEdifici.IdProprietario=$IdPropietario;";
}
else
	$sql ="SELECT * FROM ElencoEdifici WHERE 1=0";

$query = ntxQuery($sql);

function IsInList($IdEdificio)
{
	global $IdEdificiList;
	
	foreach ( $IdEdificiList as $id )
		if ( $id == $IdEdificio )
			return true;
			
	return false;
}

?>
<table align=left>
	<tr>
		<th>&nbsp;</th>
		<th>ID</th>
				<th>Codice</th>
				<th>Localizzazione</th>
				<th>INDIRIZZO</th>
				<th>COMUNE</th>
				<th>PROV</th>
				<th>CAP</th>
	</tr>
	<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=checkbox value="Sel" onclick="parent.SelezionaEdificio(<?php echo htmlentities($rs['ID']) ?>, this)" 
					<?php if(IsInList($rs['ID'])) echo 'checked' ?> /></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['ID']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CITTA']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['PROVINCIA']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CAP']) ?></td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
</body>
</html>
