<?php

session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
	
$IdCommessa = ntxise('IdCommessa');
$IdOfferta = ntxip('IdOfferta');
$IdATI = ntxip('IdATI');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
		
</head>
<body>

<?php

$sql = <<< sql
	SELECT  DISTINCT   IdVoce
	FROM         VociATIinOfferta
	WHERE     (IdATI <> $IdATI) AND (IdCommessa = $IdCommessa) AND (IdOfferta = $IdOfferta)
sql;

$query = ntxQuery($sql);

$VociAssociateAdAltreATI = array();

while ( $rs=ntxIrecord($query) )
	$VociAssociateAdAltreATI[] = $rs[0];

$sql = <<< sql
	SELECT  DISTINCT   IdVoce
	FROM         VociATIinOfferta
	WHERE     (IdATI = $IdATI) AND (IdCommessa = $IdCommessa) AND (IdOfferta = $IdOfferta)
sql;

$query = ntxQuery($sql);

$VociAssociateAdATI = array();

while ( $rs=ntxIrecord($query) )
	$VociAssociateAdATI[] = $rs[0];
	
$sql = <<< sql
	SELECT     id, NomeSet, liv1, liv2, liv3
	FROM         SetVoci
	WHERE id<>1 and id<>7 and id<>10
	ORDER BY id
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Voce
table;

$alternate = false;

while($rs=ntxRecord($query))
{
	if ( in_array($rs[id], $VociAssociateAdAltreATI) ) continue;
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$alt = $alternate ? "class=alternate" : "";
	
	$alternate = !$alternate;

	if ( in_array($rs[id], $VociAssociateAdATI) ) 
		$checked = "CHECKED";
	else
		$checked = "";
	
	$table .= <<< table
		<tr $alt>
			<td><input type=checkbox name=opt onclick="AssociaVociAdATI(this, $rs[id])" $checked />
			<td>$rs[liv1] $rs[liv2]
table;
}

$table .= "</table>";

echo $table;

?>

<script>

function AssociaVociAdATI(chk, IdVoce)
{
	f = $(chk);

	var result = jhp("jhp/ati/associa.php", {
		IdCommessa: <?php echo $IdCommessa ?>,
		IdOfferta: <?php echo $IdOfferta ?>,
		IdATI: <?php echo $IdATI ?>,
		IdVoce: IdVoce,
		Associa: f.attr('checked') ? 1 : 0
	});

	if(result.state)
	{
		alert(result.message);
	}
}

</script>

</body>
</html>
