<?php

session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
	
$IdCommessa = ntxise('IdCommessa');
$IdOfferta = ntxip('IdOfferta');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
		
</head>
<body>

<?php

$sql = <<< sql
	SELECT     ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.[Tipologia abitativa] AS Tipo, 
                      ElencoEdifici.CAP, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, OfferteEdifici.MqLordiPDI, Offerte.IdOfferta, OfferteEdifici.FacilityManagementLight Light
	FROM         Offerte INNER JOIN
                      ElencoEdifici ON Offerte.IdCommessa = ElencoEdifici.IdCommessa AND Offerte.IdPropietario = ElencoEdifici.IdProprietario INNER JOIN
                      OfferteEdifici ON Offerte.IdCommessa = OfferteEdifici.IdCommessaOfferta AND Offerte.IdOfferta = OfferteEdifici.IdOfferta AND 
                      ElencoEdifici.IdCommessa = OfferteEdifici.IdCommessaEdificio AND ElencoEdifici.ID = OfferteEdifici.IdEdificio
	WHERE     (Offerte.IdCommessa = $IdCommessa) AND (Offerte.IdOfferta = $IdOfferta)
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>ID
			<th>Codice
			<th>Edificio
			<th>Tipo
			<th>Facility<br>Management<br>Light
table;

$alternate = false;

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$alt = $alternate ? "class=alternate" : "";
	
	$alternate = !$alternate;
	
	$Light = $rs[Light] ? "x" : ""; 
	
	$table .= <<< table
		<tr $alt>
			<td><input type=radio name=opt onclick="parent.parent.SelezionaEdificioMestiere($rs[IdEdificio])"  />
			<td>$rs[IdEdificio]
			<td>$rs[Codice]
			<td>$rs[EdificioBreve] - $rs[Indirizzo] - $rs[CAP] - $rs[CITTA] ($rs[PROVINCIA])
			<td>$rs[Tipo]
			<td style="text-align:center">$Light
table;
}

$table .= "</table>";

echo $table;

?>

</body>
</html>
