<?php  
session_start();

require_once('../_ntx/ntxconst.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>ManPro.Net WebPortal</title>
		<link href="../_css/navstyleLittleForForm.css" rel="stylesheet" type="text/css">
		
		<style>
		.errore
		{
			font-weight:bold;
			font-size:120%;
			background:#FF0000;
			color:white;
		}
		</style>
	</head>
<body>

<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$IdPropietario = $_POST['IdPropietario'];

$IdOfferta = $_POST['IdOfferta'];

$IdEdificiList = array();

if ( is_numeric($IdPropietario)  &&  is_numeric($IdOfferta) ) 
{
	$IdPropietario = (int)$IdPropietario;
	$IdOfferta = (int)$IdOfferta;

	$sql = "SELECT DISTINCT OfferteEdifici.IdEdificio FROM OfferteEdifici "
			." WHERE OfferteEdifici.IdCommessaOfferta=$IdCommessa AND OfferteEdifici.IdOfferta=$IdOfferta;";
		
	$query = ntxQuery($sql);

	while( $rs = ntxIRecord($query) )
	{
		$IdEdificiList[] = $rs[0];
	}
	
	$sql = "SELECT ElencoEdifici.* FROM ElencoEdifici  "
			." WHERE ElencoEdifici.IdCommessa=$IdCommessa AND ElencoEdifici.IdProprietario=$IdPropietario;";
			
	$sqlIncongruenze = <<<_SQL
	SELECT     
		COUNT(OfferteEdifici.IdEdificio) AS somma
		
	FROM         
	OfferteEdifici 
	INNER JOIN
		ElencoEdifici ON OfferteEdifici.IdCommessaEdificio = ElencoEdifici.IdCommessa AND OfferteEdifici.IdEdificio = ElencoEdifici.ID
		
	WHERE     
		(OfferteEdifici.IdCommessaOfferta = $IdCommessa) 
		AND (OfferteEdifici.IdCommessaEdificio = $IdCommessa) 
		AND (OfferteEdifici.IdOfferta = $IdOfferta) 
		AND (ElencoEdifici.IdProprietario IS NOT NULL)
		AND (ElencoEdifici.IdProprietario <> $IdPropietario)
_SQL;
	
	$incongruenze = ntxScalar($sqlIncongruenze);
}
else
	$sql ="SELECT * FROM ElencoEdifici WHERE 1=0";

$query = ntxQuery($sql);

function IsInList($IdEdificio)
{
	global $IdEdificiList;
	
	foreach ( $IdEdificiList as $id )
		if ( $id == $IdEdificio )
			return true;
			
	return false;
}


if( is_numeric($incongruenze) && $incongruenze>0)
{
?>
	<div class="errore">ATTENZIONE: sono state rilevate <?php $incongruenze ?> incongruenze!<br><br>Contattare l'amministratore del sistema.</div>
	
	<?php// echo $sqlIncongruenze ?>
<?php
}
?>
<table align=left>
	<tr>
		<th>&nbsp;
		<th>ID
				<th>Codice
				<th>Localizzazione
				<th>INDIRIZZO
				<th>COMUNE
				<th>PROV
				<th>CAP
	</tr>
	<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=checkbox value="Sel" onclick="parent.SelezionaEdificio(<?php echo htmlentities($rs['ID']) ?>, this)" 
					<?php if(IsInList($rs['ID'])) echo 'checked' ?> />
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['ID']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CITTA']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['PROVINCIA']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CAP']) ?>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
</body>
</html>
