<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../_css/navstyleLittleForForm.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$IdOfferta = $_POST['IdOfferta'];

if ( is_numeric($IdOfferta) ) 
{
	$IdOfferta = (int)$IdOfferta;

	$sql = "SELECT * FROM OfferteRevisioneConsistenza WHERE IdCommessa=$IdCommessa AND IdOfferta=$IdOfferta ORDER BY Numero;";
}
else
	$sql ="SELECT * FROM OfferteRevisioni WHERE 1=0";
	
$query = ntxQuery($sql);
?>
<table align=left>
	<tr><caption>revisioni consistenza
	<tr>
		<th>&nbsp;</th>
		<th>Numero</th>
		<th>Data</th>
		<th>Data<br>Presentazione</th>
		<th>Nota</th>

		<th>Codice<br>Atto</th>
		<th>Protocollo</th>
		<th>Data<br>Protocollo</th>
		<th>Data<br>Accettazione<br>Atto</th>
		<th>Tipo<br>Emissione<br>Atto</th>
		<th>Durata<br>Contratto</th>
		<th>Importo<br>Riservato<br>Extracanone</th>
		<th>Identificativo<br>Atto</th>
		<th>Da Presentare<br>Nel PDI</th>
		</tr>
	<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		$rs['DataProtocollo'] = ntxDateTime($rs['DataProtocollo']);
		$rs['DataAccettazioneAtto'] = ntxDateTime($rs['DataAccettazioneAtto']);
		
		$rs['ImportoRiservatoExtracanone'] = ntxRound($rs['ImportoRiservatoExtracanone'], 2);
		$rs['DaPresentareNelPDI'] = $rs[DaPresentareNelPDI] ? "SI" : "no";
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=button value="Modifica" onclick="parent.ModificaRevisione2(<?php echo htmlentities($rs['Id']) ?>)" /></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Numero']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['Data']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataPresentazione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nota']) ?></td>

			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CodiceAtto']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Protocollo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DataProtocollo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DataAccettazioneAtto']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['TipoEmissioneAtto']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DurataContratto']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['ImportoRiservatoExtracanone']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['IdentificativoAtto']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DaPresentareNelPDI']) ?></td>
			</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
</body>
</html>
