<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../_css/navstyleLittleForForm.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../_ntx/ntxjsint.php"></script>
<script>

	function jei(id){ return document.getElementById(id); }
	
</script>
</head>
<body>

<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$IdEdificio = $_POST['SelIdEdificioOfferta'];

$IdOfferta = $_POST['IdOfferta'];

$IdMestieriList = array();
$Reperibilità = array();
$CinquePerCento = array();
$AChiamata = array();
$CalcSotto400mq = array();
$Durata = array();
$Migliorie = array();
$DataInizio = array();
$DataFine = array();
$AttivaCalcSotto400mq = array();

if ( is_numeric($IdEdificio)  &&  is_numeric($IdOfferta) ) 
{
	$IdEdificio = (int)$IdEdificio;
	$IdOfferta = (int)$IdOfferta;

	$sql = "SELECT DISTINCT OfferteEdificiMestieri.IdMestiere, OfferteEdificiMestieri.Reperibilità, "
			." OfferteEdificiMestieri.CinquePerCento, OfferteEdificiMestieri.AChiamata, "
			." OfferteEdificiMestieri.CalcSotto400mq, OfferteEdificiMestieri.Durata, OfferteEdificiMestieri.Migliorie, OfferteEdificiMestieri.DataInizio, "
			." OfferteEdificiMestieri.DataFine, tblMestieri.CalcSotto400mq AS AttivaCalcSotto400mq "
			." FROM tblMestieri INNER JOIN "
            ."          OfferteEdificiMestieri ON tblMestieri.IdMestiere = OfferteEdificiMestieri.IdMestiere AND "
            ."          tblMestieri.IdCommessa = OfferteEdificiMestieri.IdCommessaOfferta "
			." WHERE OfferteEdificiMestieri.IdCommessaOfferta=$IdCommessa  "
			." AND OfferteEdificiMestieri.IdOfferta=$IdOfferta  "
			." AND OfferteEdificiMestieri.IdEdificio=$IdEdificio;";
		
	$query = ntxQuery($sql);

	while( $rs = ntxIRecord($query) )
	{
		$IdMestieriList[] = $rs[0];
		$Reperibilità["id$rs[0]"] = $rs[1];
		$CinquePerCento["id$rs[0]"] = $rs[2];
		$AChiamata["id$rs[0]"] = $rs[3];
		$CalcSotto400mq["id$rs[0]"] = $rs[4];
		$Durata["id$rs[0]"] = $rs[5];
		$Migliorie["id$rs[0]"] = ntxRound($rs[6],2);
		$DataInizio["id$rs[0]"] = ntxDate($rs[7]);
		$DataFine["id$rs[0]"] = ntxDate($rs[8]);
		$AttivaCalcSotto400mq["id$rs[0]"] = $rs[9];
	}
	
	$sql = "SELECT IdMestiere, Codice, Descrizione FROM tblMestieri  "
			." WHERE IdCommessa=$IdCommessa "
			." ORDER BY Ordine, Codice, Descrizione;";
}
else
	$sql ="SELECT NULL FROM tblMestieri WHERE 1=0";
	
$query = ntxQuery($sql);

function IsInList($IdMestiere)
{
	global $IdMestieriList;
	
	foreach ( $IdMestieriList as $id )
		if ( $id == $IdMestiere )
			return true;
			
	return false;
}

?>
<script language=javascript>
	MyVar = {};
	
	function Registra(IdMestiere, Registrato, Reperibilità, CinquePerCento, AChiamata, 
						CalcSotto400mq, Durata, DataInizio, DataFine, Migliorie)
	{
		MyVar.Registrato = Registrato;
		MyVar.Reperibilità = Reperibilità;
		MyVar.CinquePerCento = CinquePerCento;
		MyVar.AChiamata = AChiamata;
		MyVar.CalcSotto400mq = CalcSotto400mq;
		MyVar.Durata = Durata;
		MyVar.Migliorie = Migliorie;
		MyVar.DataInizio = DataInizio;
		MyVar.DataFine = DataFine;

		form1.IdMestiere.value = IdMestiere;
		form1.Registrato.value = Registrato.checked ? 1 : 0;
		form1.Reperibilità.value = Reperibilità.checked ? 1 : 0;
		form1.CinquePerCento.value = CinquePerCento.checked ? 1 : 0;
		form1.AChiamata.value = AChiamata.checked ? 1 : 0;
		form1.CalcSotto400mq .value= CalcSotto400mq.checked ? 1 : 0;
		form1.Durata.value = Durata.value;
		form1.Migliorie.value = Migliorie.value;
		form1.DataInizio.value = DataInizio.value;
		form1.DataFine.value = DataFine.value;
		
		if ( ntxSendForm(form1, funcCarica, 'registra_mestiere_edificio') )
		{
			//alert("Registrazione avvenuta con successo!");
		}
	}
	
	function Riempi(Registrato, Durata, DataInizio, DataFine)
	{
		if ( Registrato.checked )
		{
			Durata.value=parent.parent.form1.DurataContratto.value;
			DataInizio.value=parent.parent.form1.DataAttivazione.value;
		}
		else
		{
			Durata.value='';
			DataInizio.value='';
			DataFine.value='';
		}
	}
	
	function funcCarica(text)
	{
		var rows=ntxRecord(text);

		MyVar.Registrato.checked = (rows['Registrato']==1);
		MyVar.Reperibilità.checked = (rows['Reperibilità']==1);
		MyVar.CinquePerCento.checked = (rows['CinquePerCento']==1);
		MyVar.AChiamata.checked = (rows['AChiamata']==1);
		MyVar.CalcSotto400mq.checked = (rows['CalcSotto400mq']==1);
		
		if ( rows['Durata']==null ) rows['Durata'] = '';
		if ( rows['Migliorie']==null ) rows['Migliorie'] = '';
		if ( rows['DataInizio']==null ) rows['DataInizio'] = '';
		if ( rows['DataFine']==null ) rows['DataFine'] = '';
		
		MyVar.Durata.value = rows['Durata'];
		MyVar.Migliorie.value = rows['Migliorie'];
		MyVar.DataInizio.value = rows['DataInizio'];		
		MyVar.DataFine.value = rows['DataFine'];		
	}
</script>

<table align=left>
	<tr>
		<th>&nbsp;</th>
		<th>CODICE</th>
		<th>DESCRIZIONE</th>
		<th>Rep.</th>
		<th>5&nbsp;%</th>
		<th>A<br>Chiamata</th>
		<th>Sotto 400mq</th>
		<th>Durata</th>
		<th>Data<br>Inizio</th>
		<th>Data<br>Fine</th>
		<th>Migliorie&nbsp;%</th>
		<th>&nbsp;</th>
	</tr>
	<?php
	$alternate = true;

	$cnt = 0;
	
	while( $rs = ntxRecord($query) )
	{
		$IdMestiere = $rs['IdMestiere'];
		$okIdMestiere = IsInList($rs['IdMestiere']);
		
		$bitReperibilità = $Reperibilità["id$IdMestiere"];
		$bitCinquePerCento = $CinquePerCento["id$IdMestiere"];
		$bitAChiamata = $AChiamata["id$IdMestiere"];
		$bitCalcSotto400mq = $CalcSotto400mq["id$IdMestiere"];
		$valDurata = $Durata["id$IdMestiere"];
		$valDataInizio = $DataInizio["id$IdMestiere"];
		$valDataFine = $DataFine["id$IdMestiere"];
		$valMigliorie = $Migliorie["id$IdMestiere"];
		$bitAttivaCalcSotto400mq = $AttivaCalcSotto400mq["id$IdMestiere"];
		
		$cnt++;
		
		$onclickA = " onclick=\"Riempi(jei('a$cnt'), jei('f$cnt'), jei('g$cnt'), jei('i$cnt'))\" ";
		$onclick = " onclick=\"Registra($IdMestiere,
									jei('a$cnt'), jei('b$cnt'), jei('c$cnt'), jei('d$cnt'), 
									jei('e$cnt'), jei('f$cnt'), jei('g$cnt'), jei('i$cnt'), 
									jei('h$cnt'))\" ";

?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=checkbox <?php echo "$onclickA name=a$cnt id=a$cnt "; if($okIdMestiere) echo 'checked' ?>  /></td>
				
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> style="text-align:center">
				<input type=checkbox <?php  echo "name=b$cnt id=b$cnt "; if($bitReperibilità==1) echo 'checked' ?> /></td>
				
			<td <?php echo  $alternate ? "" : "class=td2" ?> style="text-align:center">
				<input type=checkbox <?php  echo "name=c$cnt id=c$cnt "; if($bitCinquePerCento==1) echo 'checked' ?> /></td>
				
			<td <?php echo  $alternate ? "" : "class=td2" ?> style="text-align:center">
				<input type=checkbox  <?php  echo "name=d$cnt id=d$cnt "; if($bitAChiamata==1) echo 'checked' ?> /></td>
				
			<td <?php echo  $alternate ? "" : "class=td2" ?> style="text-align:center">
				<input type=checkbox  <?php  echo "name=e$cnt id=e$cnt "; if($bitCalcSotto400mq==1) echo 'checked '; if($bitAttivaCalcSotto400mq==0) echo 'disabled' ?> /></td>
				
			<td <?php echo  $alternate ? "" : "class=td2" ?> style="text-align:left">
				<input type=text size=7 style="text-align:right" <?php  echo "name=f$cnt id=f$cnt value=\"$valDurata\" " ?> /></td>
				
			<td <?php echo  $alternate ? "" : "class=td2" ?> style="text-align:left">
				<input type=text  size=10 <?php  echo "name=g$cnt id=g$cnt value=\"$valDataInizio\" " ?> /></td>
				
			<td <?php echo  $alternate ? "" : "class=td2" ?> style="text-align:left">
				<input type=text  size=10 <?php  echo "name=i$cnt id=i$cnt value=\"$valDataFine\" " ?> /></td>

			<td <?php echo  $alternate ? "" : "class=td2" ?> style="text-align:left">
				<input type=text size=10 style="text-align:right" <?php  echo "name=h$cnt id=h$cnt value=\"$valMigliorie\" " ?> /></td>
								
			<td <?php echo  $alternate ? "" : "class=td2" ?> style="text-align:left">
				<input type=button value="Registra"  <?php  echo $onclick ?> /></td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post>
	<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
	<input type=hidden name=IdOfferta value="<?php echo $IdOfferta ?>" />
	<input type=hidden name=IdMestiere value="" />
	<input type=hidden name=Registrato value="" />
	<input type=hidden name=Reperibilità value="" />
	<input type=hidden name=CinquePerCento value="" />
	<input type=hidden name=AChiamata value="" />
	<input type=hidden name=CalcSotto400mq value="" />
	<input type=hidden name=Durata value="" />
	<input type=hidden name=Migliorie value="" />
	<input type=hidden name=DataInizio value="" />
	<input type=hidden name=DataFine value="" />
</form>
</body>
</html>
