<?php

if ( is_numeric($IdOfferta) )
{
	$IdOfferta = (int)$IdOfferta;
	
	$sql = "SELECT    CigDerivato, IdOfferta, Protocollo, Sigla, DataOfferta, TipoOfferta, Nota, Nota2,  "
	."		CostoPresunto, ImportoOfferta, ImportoAccettato, IdPropietario,  "
	."		IdGestore, Referente, Descrizione, NRPF, NOPF, NTOPF, DataAttivazione, DurataContratto,  "
	."		DataRicPreliminare, DataPresaVisione, DataSopralluogo, Budget, NascondiPerMobile "
	."FROM         Offerte "
	."WHERE     (IdCommessa = $IdCommessa)  "
	."			AND (IdOfferta = $IdOfferta)";

	$msg_error = "Offerta $IdOfferta non trovato!";

	$record = ntxRecordArray($sql, $msg_error);

	$record['DataOfferta'] = ntxDate($record['DataOfferta']);
	$record['DataAttivazione'] = ntxDate($record['DataAttivazione']);
	$record['DataRicPreliminare'] = ntxDate($record['DataRicPreliminare']);
	$record['DataPresaVisione'] = ntxDate($record['DataPresaVisione']);
	$record['DataSopralluogo'] = ntxDate($record['DataSopralluogo']);
	
	$record['CostoPresunto'] = ntxRound($record['CostoPresunto'], 2);
	$record['ImportoOfferta'] = ntxRound($record['ImportoOfferta'], 2);
	$record['ImportoAccettato'] = ntxRound($record['ImportoAccettato'], 2);
	
	$record['Budget'] = ntxRound($record['Budget'], 2);
	
	$record = ntxRecordTranslate($record);

	ntxMsgResult( $record );	
}
else
	ntxMsgResult( '' );	

?>
