<?php

if ( !$_SESSION ) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$where = "WHERE 1=1 ";

if ( strlen("$_POST[Descrizione]")>0 ) $where .= " AND tblPgContratti.Descrizione LIKE '%".str_replace("'","''",$_POST[Descrizione])."%'";

if ( strlen("$_POST[DataValida]")>0 ) 
{
	$DataValida = ntxtp('DataValida');
	
	$where .= " AND tblPgContratti.DataInizio<=$DataValida AND tblPgContratti.DataFine>=$DataValida";
}

if ( is_numeric($_POST[IdPgContratto]) ) $where .= " AND tblPgContratti.IdPgContratto=".((int)$_POST[IdPgContratto]);

if ( is_numeric($_POST[IdPropietario]) ) $where .= " AND tblPgContratti.IdPropietario=".((int)$_POST[IdPropietario]);


$sql = <<< sql
	SELECT     
		tblPgContratti.IdPgContratto, tblPgPropietari.Nome AS Cliente, tblPgContratti.Descrizione, tblPgContratti.DataContratto, tblPgContratti.DataInizio
		,CASE
			WHEN tblPgContratti.Aperto=1
				THEN 'SI'
			ELSE 'NO'
		END AS Aperto 			 
		,tblPgContratti.DataFine, tblPgContratti.TipoContratto, tblPgContratti.Protocollo, Commesse.DesComm
		,case when DataFine<getdate() then ' - Attenzione contratto scaduto: '+tblPgContratti.MessaggioSeScaduto end Coda
		,CASE
			WHEN (DataFine>getdate())
				THEN 0
			ELSE 1
		END AS Scaduto 						  
						  
	FROM         
		tblPgContratti  
		INNER JOIN Commesse ON tblPgContratti.IdCommessa=Commesse.IdCommessa 
		INNER JOIN
		tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
	$where
sql;

$paginazione = ntxPaginazione($sql, "DesComm, IdPgContratto");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Commessa
			<th>ID
			<th>Cliente
			<th>Descrizione
			<th>Data Contratto
			<th>Data Inizio
			<th>Data Fine
			<th>TipoContratto
			<th>Protocollo
			<th>Aperto
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[DataContratto] = ntxDate($rs[DataContratto]);
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	$classTr = $alternate ? "class=alternate" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$style='';	 
	if($rs[Scaduto]==1) 
	{
		$style=' style="background:red;color:white;" ';	 
	}		
	
	$table .= <<< table
		<tr $classTr>
			<td $style ><input type=button value="sel" onclick="SelContratto($rs[IdPgContratto])" />
			<td>$html[DesComm]
			<td>$html[IdPgContratto]
			<td>$html[Cliente]
			<td>$html[Descrizione]
			<td>$html[DataContratto]
			<td>$html[DataInizio]
			<td>$html[DataFine]
			<td>$html[TipoContratto]
			<td>$html[Protocollo]
			<td>$html[Aperto]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
