<?php

if ( !$_SESSION ) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdMestiere = ntxip('IdMestiere');

$where = "WHERE Richieste.IdCommessa=$IdCommessa AND Richieste.Localizzazione=$IdEdificio AND Richieste.Localizzazione=$IdEdificio  ";

if ( is_numeric($IdMestiere) ) $where .= " AND Richieste.IdMestiere=$IdMestiere";


$sql = <<< sql
	SELECT     Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, 
						  tblMestieri.Descrizione AS Mestiere, Stati.DesStato AS StatoRic, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataScadenza, StatiOrdini.DesStato AS StatoOrd
	FROM         StatiOrdini RIGHT OUTER JOIN
						  Ordini ON StatiOrdini.IDStato = Ordini.StatoOrd RIGHT OUTER JOIN
						  Richieste INNER JOIN
						  Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
						  tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere ON 
						  Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
						  Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
	$where
sql;

$paginazione = ntxPaginazione($sql, "AnnoRichiesta, NumRichiesta");

$query = $paginazione->query;

$table = <<< table
	<table class="grid" style="width:100%">
		<tr>
			<th>Richiesta
			<th>Chiamante
			<th>Problema
			<th>Attività
			<th>Stato
			<th>Ordine
			<th>Scadenza Ordine
		</tr>
table;

$alternate = true;

while( $query  &&  $rs = ntxRecord($query) )
{
	if ( is_numeric($rs[NumOrdine]) )
		$stato = htmlentities($rs[StatoOrd]);
	else
		$stato = htmlentities($rs[StatoRic]);
		
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);
	
	$classTr = $alternate ? "class=alternate" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$Tipo = $rs[Tipo]==2 ? "verde" : $rs[Tipo]==1 ? "strada" : "edile";
	
	$table .= <<< table
		<tr $classTr>
			<td>$html[NumRichiesta]/$html[AnnoRichiesta]
			<td>$html[Richiedente]
			<td><div class=trunc>$html[Descrizione]$html[Descrizione1]$html[Descrizione2]</div>
			<td>$html[Mestiere]
			<td>$stato
			<td>$html[NumOrdine]/$html[AnnoOrdine]
			<td>$html[DataScadenza]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
