<?php

if ( !$_SESSION ) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$where = "WHERE ElencoEdifici.IdCommessa=$IdCommessa AND  ElencoEdifici.ID=$IdEdificio";

$sql = <<< sql
	SELECT  DISTINCT   ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioEstesa, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, ElencoEdifici.Tipo, ElencoEdifici.Regione, tblPgPropietari.Nome AS Cliente, Commesse.DesComm
	FROM         ElencoEdifici  INNER JOIN Commesse ON ElencoEdifici.IdCommessa=Commesse.IdCommessa
			LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	  $where
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Commessa
			<th>ID
			<th>Codice
			<th>Nome Breve
			<th>Nome Esteso
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>CAP
			<th>Regione
			<th>Tipo
			<th>Cliente
		</tr>
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$Tipo = $rs[Tipo]==2 ? "verde" : $rs[Tipo]==1 ? "strada" : "edile";

	$table .= <<< table
		<tr>
			<td><input type=button value="x" onclick="DeselEdificio()" />
			<td>$html[DesComm]
			<td>$html[ID]
			<td>$html[Codice]
			<td>$html[EdificioBreve]
			<td>$html[EdificioEstesa]
			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[CAP]
			<td>$html[Regione]
			<td>$Tipo
			<td>$html[Cliente]
		</tr>
table;
}

$table .= "</table>";

jhp($table);

?>
