<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$TipoConIdCircuito = explode(",", $_POST[TipoConIdCircuito]);

$Tipo = $TipoConIdCircuito[0];
$IdCircuito = $TipoConIdCircuito[1];

if ( !is_numeric($Tipo)  &&  !is_numeric($IdCircuito)  )
	jhp_error("Tipo obbligatorio!");

$table = new NtxTable('EnNoteUtenze');

$insert = $table->insert();

$insert->init();

$insert->setp('IdCommessa');
$insert->setp('IdEdificio');
$insert->set('Tipo', $Tipo);
$insert->set('IdCircuito', $IdCircuito);
$insert->setp('DataPromemoria');
$insert->setp('Destinatario');
$insert->setp('Nota');

$insert->set('DataInserimento', 'getdate()', true);
$insert->set('IdUtenteInserimento', $_SESSION[IdUtente]);

$insert->set('DataModifica', 'getdate()', true);
$insert->set('IdUtenteModifica', $_SESSION[IdUtente]);

$insert->execute();

jhp_ok();

?>
