<?php  
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("vers.inc"); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>Allegati ordine <?php echo htmlentities($_POST[Ordine]) ?></title>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	
	<link href="css/index.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css">
	<link href="css/grid.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css">
	<link href="css/form.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css">
	<script src="js/allega_doc.js?vers=<?php echo $vers ?>" type="text/javascript"></script>
	
	<style>
	body, html
	{
		background: transparent;
		width:auto;
		height:auto;
	}
	</style>
</head>

<body>

<span style="font-weight:bold;font-size:1.5em">Allegati ordine <?php echo htmlentities($_POST[Ordine]) ?></span> 
	
<?php
$IdOrd = ntxip('IdOrd'); 

$sql = <<< sql
SELECT DISTINCT *
FROM
(
	SELECT     
		EnAllegati.*
	FROM      
		EnAllegati
		INNER JOIN
		EnAllegatiOrdini ON EnAllegati.IdTestata = EnAllegatiOrdini.IdTestataAllegati
	WHERE 
		EnAllegatiOrdini.IdOrdine = $IdOrd
		AND EnAllegati.Visibile=1 
		
	UNION
	
	SELECT     
		EnAllegati.*
	FROM      
		EnAllegati
		INNER JOIN
		EnAllegatiOrariBase ON EnAllegati.IdTestata = EnAllegatiOrariBase.IdTestataAllegati
		INNER JOIN
		Ordini ON EnAllegatiOrariBase.IdOrarioBase = Ordini.IdOrarioBase
	WHERE 
		1=1
		AND EnAllegati.Visibile=1 
		AND Ordini.IdOrd = $IdOrd
		
	UNION
	
	SELECT     
		EnAllegati.*
	FROM      
		EnAllegati
		INNER JOIN
		EnAllegatiOrariSpeciali ON EnAllegati.IdTestata = EnAllegatiOrariSpeciali.IdTestataAllegati
		INNER JOIN
        Ordini ON EnAllegatiOrariSpeciali.IdOrarioSpeciale = Ordini.IdOrarioSpeciale	
	WHERE 
		1=1
		AND EnAllegati.Visibile=1 
		AND Ordini.IdOrd = $IdOrd
	
	UNION
	
	SELECT     
		EnAllegati.*
	FROM      
		EnAllegati
		INNER JOIN
		EnAllegatiPeriodi ON EnAllegati.Id = EnAllegatiPeriodi.Id 
		INNER JOIN
		Ordini ON EnAllegatiPeriodi.IdPeriodo = Ordini.IdPeriodoEnergia
	WHERE 
		1=1
		AND EnAllegati.Visibile=1 
		AND Ordini.IdOrd = $IdOrd
) AS A1
sql;
 
$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Nome Orginale
			<th>Richiedente
			<th>Data Ricezione
			<th>Sorgente
			<th>Chiamante
			<th>Telefono
table;

$alternate = true;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[DataRicezione] = ntxDate($rs[DataRicezione]);
	$rs[DataInserimento] = ntxDateTime($rs[DataInserimento]);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr IdAllegato=$rs[Id]>
			<td><input type=button value="vedi" onclick="ScaricaAllegato($rs[Id])" />
			<td>$html[NomeOrginale]
			<td>$html[Richiedente]
			<td>$html[DataRicezione]
			<td>$html[Sorgente]
			<td>$html[Mittente]
			<td>$html[Telefono]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

echo $table;

?> 

<form name=frmDownload method=post target=_blank action="download.php">
	<input type=hidden name=IdAllegato value="" />
</form>

</body>
</html>