<?php  
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

require_once("vers.inc"); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head> 
	<title>Gestione Orari TLC - Ricerca</title>
	<script type="text/javascript" src="/repository/libs/jquery-ui-1.11.4/external/jquery/jquery.js"></script>  
	<script type="text/javascript" src="/repository/libs/jquery-ui-1.11.4/jquery-ui.min.js"></script>  
	<link href="/repository/libs/jquery-ui-1.11.4/jquery-ui.theme.min.css" rel="stylesheet" type="text/css"> 
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script> 

	<script src="js/_console.js"></script>
	<script src="js/_messaggi_localStorage.js?vers=<?php echo $vers ?>" type="text/javascript"></script>
	
	<script src="/repository/js/convalida_dati.js?vers=<?php echo $vers ?>" type="text/javascript"></script>   
	
	<link href="css/bottoni.css" rel="stylesheet" type="text/css">
	<link href="css/controllo_tlc.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css">  
	
	<link href="css/grid.css" rel="stylesheet" type="text/css">
	<link href="css/index.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css"> 
	<link href="css/risultati_ricerca_ticket.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css"> 
	<link href="/repository/css/entypo.css" rel="stylesheet" type="text/css"> 
	
	<style>
	</style>
	
	<script> 
	var timer1 = null;
	var timer2 = null;
	var secondi = 120;
	var secondi2 = 120;
	
	$(function()
	{   
		if (typeof(Storage) !== "undefined") 
		{ 
			set_message_type('controllo_orari_tlc');
			$(window).on('storage', message_receive_controlloOrariTLC);
		} 
		else 
		{
			alert("Attenzione: manca il supporto al Web Storage!");
		}
		
		try
		{ 
			setIntervalFunction();
			
			timerStart();
		}
		catch(ex)
		{
			console.log(ex);
		} 

		$('#O-frame-edit-ordine').hide();
	});
	
	function message_receive_controlloOrariTLC(ev)
	{
		console.log("message_receive_controlloOrariTLC");
		
		var obj = message_receive(ev);
		message_clear(); 
		
		if(obj.command=="scarica_localizzazione")
		{
			var IdCommessa = obj.IdCommessa;
			var IdEdificio = obj.IdEdificio; 
			
			sbloccaEdificio(IdCommessa, IdEdificio);
		} 
	}	
	
	function timerStart()
	{
		timer1 = setInterval(setIntervalFunction, secondi*1000);  
		timer2 = setInterval(setIntervalFunction2, 1*1000);  
	}
	
	function timerStop(noLabel)
	{
		secondi2=120;
	
		clearTimeout(timer1);	
		clearTimeout(timer2);	
	
		timer1 = null;
		timer2 = null;
		
		if(noLabel){}
		else
			$('#divAggiornamentoInfo2').html("aggiornamento automatico dei risultati <strong>fermato</strong>"); 
	}	
	
	function timerIsStopped()
	{
		return (timer1==null  &&  timer1==null) ? true : false;
	}	
	
	function setIntervalFunction() 
	{
		var date = new Date();
		var d = date.getDate()
		var m = date.getMonth()
		var y = date.getFullYear()
		var hh = (date.getHours()<10?'0':'')+date.getHours()
		var mm = (date.getMinutes()<10?'0':'')+date.getMinutes() 
		
		var dateS = d+"/"+m+"/"+y+" "+hh+":"+mm;	
	
		$('#divAggiornamentoInfo').html("risultati aggiornati alle ore <strong>"+dateS+"</strong>");
		$("#btnAggiornaHide").click();
	}
	
	function setIntervalFunction2() 
	{
		--secondi2;
	
		if(secondi2<=0) secondi2=120;
	
		$('#divAggiornamentoInfo2').html("<strong>"+secondi2+"</strong> secondi al prossimo aggiornamento dei risultati"); 
	} 
	
	function sendHeightFrameOrd(height, IdFrame)
	{    
		$("#O-frame-edit-ordine").height(height);
	} 	 
	
	function ricarica() 
	{   
		$('#O-frame-edit-ordine').hide();
		
		if(!timerIsStopped()) timerStop(true);
		
		setIntervalFunction();
		
		timerStart();		
	}
	
	function noteLocalizzazione(IdCommessa, IdEdificio) 
	{    
		var width = $(document).width()*2/3;
		var height = $(document).height()*2/3;
	
		document.frmPopupNoteUtenza.IdCommessa.value = IdCommessa;
		document.frmPopupNoteUtenza.IdEdificio.value = IdEdificio;
		
		var settings = "toolbar=yes,scrollbars=yes,resizable=yes,top=5,left=5,width="+width+",height="+height;
		
		var frm = document.getElementById('frmPopupNoteUtenza'); 
		var myWindow = window.open("", "Note Localizzazione", settings);  
		frm.submit();	
		
		return myWindow;
	} 	
	
	function prendiInCaricoEdificio(IdCommessa, IdEdificio) 
	{
		var obj = {}; 
		obj.IdCommessa = IdCommessa; 
		obj.IdEdificio = IdEdificio; 

		var result = jhp("jhp_controllo_orari_tlc/edificio_prendiInCarico.php", obj);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			var esito = result.value.esito;
			
			if(esito==1)
			{ 
				ricarica()  
			}
			else
			{
				alert("L'operazione non è stata eseguita.");
			}
		}	
	}

	function sbloccaEdificio(IdCommessa, IdEdificio) 
	{
		var obj = {}; 
		obj.IdCommessa = IdCommessa; 
		obj.IdEdificio = IdEdificio; 

		var result = jhp("jhp_controllo_orari_tlc/edificio_sblocca.php", obj);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			var esito = result.value.esito;
			
			if(esito==1)
			{ 
				ricarica()  
			}
			else
			{
				alert("L'operazione di scaricamento localizzazione non è stata eseguita.");
			}
		}	
	} 	
	
	function dettaglioOrdini(IdCommessa, IdEdificio) 
	{	
		var obj = {}; 
		obj.IdCommessa = IdCommessa; 
		obj.IdEdificio = IdEdificio; 

		var result = jhp("jhp_controllo_orari_tlc/edificio_dettaglio_azioni.php", obj);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			var esito = result.value.esito;
			
			if(esito==1)
			{ 
				document.fromLoadOrdini.IdCommessa.value = IdCommessa; 
				document.fromLoadOrdini.IdEdificio.value = IdEdificio; 
				document.fromLoadOrdini.submit();
			} 
			else
				alert("L'azione non può essere eseguita! Ricaricare la pagina.")
		}
	}
	
	function ricerca(campo, verso)
	{
		document.frmRicercaTicket.campo.value = campo;
		document.frmRicercaTicket.verso.value = verso;
		
		ricarica();
	}	
	</script> 
</head>

<body> 

<form id="fromLoadOrdini" name="fromLoadOrdini" method="post" target="_blank" action="controllo_orari_tlc_edit_ordini.php" >
	<input type="hidden" name="IdCommessa" /> 
	<input type="hidden" name="IdEdificio" />  
</form>

<form id="frmPopupNoteUtenza" name="frmPopupNoteUtenza" method="post" action="../note_utenza/index.php" target="Note Localizzazione">
	<input type="hidden" name="IdCommessa"  />
	<input type="hidden" name="IdEdificio" /> 
</form>


<span style="font-weight:bold;font-size:2em">Gestione Orari TLC</span>  

<?php
require('utilita/_dittaTlc_associata_utente_loggato.php');

$errore=false;
if(!is_numeric($IdDittaAssociata)) 
{
	$errore=true;	
	
?>
<div class="avviso1" >
	Nessuna ditta TLC associata all'utente loggato. 
</div>	
<?php
} 
?>

<?php
require('utilita/_risorsa_associata_utente_loggato.php');

if(!is_numeric($IdRisorsaAssociata)) 
{
	$errore=true;	
?>
<div class="avviso1" >
	Nessuna risorsa associata all'utente loggato. 
</div>	
<?php
} 
?>
 
<?php
if($errore)
{
	die();
}
?>

<form id="frmRisorsaAssociata" name="frmRisorsaAssociata" method="post"  >
	<input type="hidden" name="IdRisorsa" value="<?php echo $IdRisorsaAssociata ?>" />
</form>

<form id="frmRicercaTicket" name="frmRicercaTicket" method="post" Paginazione >

	<input type="hidden" name="campo" />
	<input type="hidden" name="verso" /> 
	 
	<table class="maxWidth" id="tblCriteriRicerca" style="display:none;" >  
		<tr> 
			<td>
				<div style="width:500px;" >
					<input type=button id="btnRicerca" name="btnRicerca" value="Nuova Ricerca" onclick="PaginazioneRicerca(this, 'first')" 
					style="display:none;" />
					
					<input type=button id="btnAggiornaHide" name="btnAggiornaHide" value="Aggiorna" onclick="PaginazioneRicerca(this)" 
					style="display:none;" />
					
					<input type=button id="btnAggiorna" name="btnAggiorna" value="Aggiorna" onclick="ricarica()" 
					style="width:90px;height:25px;float:right;font-style: italic;" />
				</div>
	</table>
	 
	<?php PaginazioneCampiPerForm(20, 'jhp/ricerca-orari-tlc-mascheraRicerca.php', 'lista-risultati-ticket') ?>
</form>

<br>
 
<?php PaginazioneNavigazione('frmRicercaTicket') ?> 

<div style="font-style:italic;float:right;margin-left:10px;height:30px;vertical-align:middle;">
	<input type="button" value="Aggiorna" onclick="ricarica()"   />	
</div> 

<div class="divAggiornamentoInfo"  >
	<span id="divAggiornamentoInfo"></span>
	<br>
	<span id="divAggiornamentoInfo2"></span>
</div>  

<div id="lista-risultati-ticket"></div>
 

<?php PaginazioneNavigazione('frmRicercaTicket') ?> 


<form id="formBuffer" name="formBuffer" method="post" >
	<input type="hidden" name=IdPropietario value="<?php echo $IdPropietario ?>" />
	<input type="hidden" name=IdPgContratto value="<?php echo $IdPgContratto ?>" />
	<input type="hidden" name=IdCommessa 	value="<?php echo $IdCommessa ?>" />
	<input type="hidden" name=IdEdificio 	value="<?php echo $IdEdificio ?>" />
</form>

 
<iframe 
	id="O-frame-edit-ordine"
	style="border:solid 2px black;display:block;padding:6px;z-index:9999;background:#E0E0E0 !important;position:absolute;top:0;left:0;" 
	marginWidth="0" 
	marginHeight="0" 
	frameBorder="0" 
	border="0" 
	allowTransparency="true"
	src="controllo_tlc_chiusura_ordine.php"
></iframe> 
 
</body>
</html>
