<?php

if ( !is_numeric($IdCommessa) || !is_numeric($IdEdificio)  || !is_numeric($IdMestiere) || !strlen($DataRiferimento) ) jhp($table);

$IdCommessa = (int)$IdCommessa;
$IdEdificio = (int)$IdEdificio;
$IdMestiere = (int)$IdMestiere;
$DataRiferimento = ntxt($DataRiferimento);

if ( is_numeric($IdAttivitMestiere) )
{
	$IdAttivitMestiere = (int)$IdAttivitMestiere;

	$sql = <<< sql
		SELECT DISTINCT Ditte.IDDitta, Ditte.Ditta
		FROM         tblContrattiFornitoriAttivitMestiereEdifici INNER JOIN
							  tblContrattiFornitori ON tblContrattiFornitoriAttivitMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
							  tblContrattiFornitoriAttivitMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
							  Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta
		WHERE     (tblContrattiFornitoriAttivitMestiereEdifici.IdCommessa = $IdCommessa) 
			AND (tblContrattiFornitoriAttivitMestiereEdifici.IdEdificio = $IdEdificio) 
			AND (tblContrattiFornitoriAttivitMestiereEdifici.IdAttivitMestiere = $IdAttivitMestiere)
			AND (tblContrattiFornitori.DataInizio <= $DataRiferimento) 
			AND (tblContrattiFornitori.DataFine >= $DataRiferimento)
		ORDER BY Ditte.Ditta
sql;
}
elseif ( is_numeric($IdComponenteMestiere) )
{
	$IdComponenteMestiere = (int)$IdComponenteMestiere;

	$sql = <<< sql
		SELECT DISTINCT Ditte.IDDitta, Ditte.Ditta
		FROM         tblContrattiFornitoriAttivitMestiereEdifici INNER JOIN
							  tblContrattiFornitori ON tblContrattiFornitoriAttivitMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
							  tblContrattiFornitoriAttivitMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
							  Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta INNER JOIN
							  tblAttivitMestiere ON tblContrattiFornitoriAttivitMestiereEdifici.IdCommessa = tblAttivitMestiere.IdCommessa AND 
							  tblContrattiFornitoriAttivitMestiereEdifici.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere
		WHERE     (tblAttivitMestiere.IdComponenteMestiere = $IdComponenteMestiere)
			AND (tblContrattiFornitoriAttivitMestiereEdifici.IdCommessa = $IdCommessa) 
			AND (tblContrattiFornitoriAttivitMestiereEdifici.IdEdificio = $IdEdificio) 
			AND (tblContrattiFornitori.DataInizio <= $DataRiferimento) 
			AND (tblContrattiFornitori.DataFine >= $DataRiferimento)
sql;
}
else // IdMestiere sicuramente numerico
{
	$sql = <<< sql
		SELECT DISTINCT Ditte.IDDitta, Ditte.Ditta
		FROM         tblContrattiFornitoriAttivitMestiereEdifici INNER JOIN
							  tblContrattiFornitori ON tblContrattiFornitoriAttivitMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
							  tblContrattiFornitoriAttivitMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
							  Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta INNER JOIN
							  tblAttivitMestiere ON tblContrattiFornitoriAttivitMestiereEdifici.IdCommessa = tblAttivitMestiere.IdCommessa AND 
							  tblContrattiFornitoriAttivitMestiereEdifici.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere INNER JOIN
							  tblComponetiMestiere ON tblAttivitMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
							  tblAttivitMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
		WHERE     (tblComponetiMestiere.IdMestiere = $IdMestiere)
			AND (tblContrattiFornitoriAttivitMestiereEdifici.IdCommessa = $IdCommessa) 
			AND (tblContrattiFornitoriAttivitMestiereEdifici.IdEdificio = $IdEdificio) 
			AND (tblContrattiFornitori.DataInizio <= $DataRiferimento) 
			AND (tblContrattiFornitori.DataFine >= $DataRiferimento)
sql;
}


?>