<?php
if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta'); 
 
$result = array(); 
	
//richiesta	
$sql = <<< sql
SELECT     
	Richieste.IDCommessa, Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2,   Richieste.Tipo, Richieste.DataRichiesta AS DataRicezione,  Richieste.DataGestione, Richieste.Stato, Richieste.IdRich,
	tblMestieri.Descrizione AS Mestiere, 
	tblAttivitMestiere.Descrizione AS AttivitaMestiere, 
	tblComponetiMestiere.Descrizione AS ComponenteMestiere, 
	Stati.DesStato AS StatoRic,  
	Richiedenti.Nome AS RichiedenteNome,
	EnCircuiti.Nome AS CircuitoNome, EnCircuiti.CodiceCliente AS CircuitoCodiceCliente,
	ElencoEdifici.EdificioBreve AS Edificio, 
	tblPgPropietari.Nome AS Propietario,
	Richieste.TipologiaEnergia,
	EnTipiAttivitMestiere.Tipo AS TipologiaEnergia_TXT
FROM    
	Richieste 
	LEFT OUTER JOIN  
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	  
	LEFT OUTER JOIN
	Richiedenti ON Richieste.IDCommessa = Richiedenti.IdCommessa AND Richieste.IdRichiedente = Richiedenti.IdRichiedente	 
	LEFT OUTER JOIN   
	tblComponetiMestiere ON Richieste.IDCommessa = tblComponetiMestiere.IdCommessa AND Richieste.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
	LEFT OUTER JOIN
	tblAttivitMestiere ON Richieste.IDCommessa = tblAttivitMestiere.IdCommessa AND Richieste.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere
	LEFT OUTER JOIN
	EnCircuiti ON Richieste.IdCircuitoEnergia = EnCircuiti.IdCircuito
	LEFT OUTER JOIN
	Stati ON Richieste.Stato = Stati.IDStato  
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	LEFT OUTER JOIN
	EnTipiAttivitMestiere ON Richieste.TipologiaEnergia = EnTipiAttivitMestiere.Id	
WHERE
	1=1
	AND Richieste.IdCommessa = $IdCommessa
	AND Richieste.NumRichiesta = $NumRichiesta
	AND Richieste.AnnoRichiesta = $AnnoRichiesta
sql;
 
$query = ntxQuery($sql);
$rs = ntxRecord($query);
 
$rs[DataRicezione] = ntxDateTime($rs[DataRicezione]);	 
$rs[DataGestione] = ntxDateTime($rs[DataGestione]);	 
 
foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v); 

	
$disableAnnullamentoR = ' disabled="disabled" ';
if($rs[Stato]==-1||$rs[Stato]==1||$rs[Stato]==2||$rs[Stato]==35)
	$disableAnnullamentoR = '';	

$disableEditR = '';
//if ($rs[TipologiaEnergia]!=5) $disableEditR =$disableAnnullamentoR=' disabled="disabled" ';

$styleAllegatiR='';
//if ($rs[TipologiaEnergia]==5) $styleAllegatiR=' style="display:none;" '; 
	
	
$CodTipologiaEnergia = substr($html[TipologiaEnergia_TXT], 0, 3);  	
	
$trRichiesta .= <<< _HTML
<table class="grid"  style="margin:0;padding:0;" id="tblRisultatiRicerca"  >
	<tr>
		<th>Richiesta   
		<th>Sorgente
		<th>Ricezione
		<th>Richiedente
		<th>Cliente
		<th>Localizzazione
		<th>Circuito
		<th>Descrizione
		<th>Mestiere
		<th>Componente
		<th>Attivit  
		<th>Stato&nbsp;R. 
		<th>
		<th $styleAllegatiR >
			
	<tr>
		<td>
		<input type="button" onclick="selRic('$html[IDCommessa]','$html[NumRichiesta]','$html[AnnoRichiesta]', this);" value="R-$html[NumRichiesta]-$html[AnnoRichiesta]-$html[IDCommessa]" style="font-size:90%;font-weight:bold;" $disableEditR  />
		
		<td>$html[Tipo]
		
		<td>$html[DataRicezione]
		
		<td>$html[Richiedente]
		
		<td>$html[Propietario]
		
		<td>$html[Edificio]  
		
		<td>
			$html[CircuitoNome]
			$html[CircuitoCodiceCliente]
			
		<td>$html[Descrizione] $html[Descrizione1] $html[Descrizione2] 	
		
		<td>$html[Mestiere] 
		
		<td>$html[ComponenteMestiere] 
		
		<td>$html[AttivitaMestiere] 
		
		<td>$html[StatoRic]   
		
		<td>
		<input type="button" value="Annulla Richiesta" style="font-size:90%;font-weight:bold;" onclick="annullaRichiesta('$rs[NumRichiesta]', '$rs[AnnoRichiesta]', '$rs[IDCommessa]');" $disableAnnullamentoR  class="btnAzione" />	
		
		<td $styleAllegatiR >
		<input type="button" value="Allegati" style="font-size:90%;font-weight:bold;" onclick="allegatiRichiestaDiversoRI('$rs[IdRich]', this);"  />	
</table>			
_HTML;
 
$result[trRichiesta] = $trRichiesta;
$result[TipologiaEnergia] = $rs[TipologiaEnergia];
	

//Ordini	
$sql = <<< sql
SELECT     
	Richieste.IDCommessa, Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2,   Richieste.Tipo, Richieste.DataRichiesta AS DataRicezione,  Richieste.DataGestione,Richieste.IdRich,
	tblMestieri.Descrizione AS Mestiere, 
	tblAttivitMestiere.Descrizione AS AttivitaMestiere, 
	tblComponetiMestiere.Descrizione AS ComponenteMestiere,  
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataScadenza, StatiOrdini.DesStato AS StatoOrd, Ordini.StatoOrd	AS IdStatoOrdine,
	Richiedenti.Nome AS RichiedenteNome,
	EnCircuiti.Nome AS CircuitoNome, EnCircuiti.CodiceCliente AS CircuitoCodiceCliente,
	ElencoEdifici.EdificioBreve AS Edificio,
	Ditte.Ditta,
	Risorse.Nome AS Risorsa,
	tblPgPropietari.Nome AS Propietario,
	Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2,
	Ordini.DataInizio, Ordini.DataFine,
	Ordini.DataInizioProg, Ordini.DataFineProg,	
	Ordini.TipologiaEnergia,
	Ordini.DataPresaInCarico,
	Ordini.IdOrd,
	EnTipiAttivitMestiere.Tipo AS TipologiaEnergia_TXT
FROM    
	Richieste 
	INNER JOIN
	Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa 
	LEFT OUTER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio  = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere	  
	LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta 
	LEFT OUTER JOIN
	Richiedenti ON Richieste.IDCommessa = Richiedenti.IdCommessa AND Richieste.IdRichiedente = Richiedenti.IdRichiedente	 
	LEFT OUTER JOIN
	StatiOrdini ON StatiOrdini.IDStato = Ordini.StatoOrd	 
	LEFT OUTER JOIN
	tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
	LEFT OUTER JOIN
	tblAttivitMestiere ON Ordini.IDCommessa = tblAttivitMestiere.IdCommessa AND Ordini.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere
	LEFT OUTER JOIN
	EnCircuiti ON Ordini.IdCircuitoEnergia = EnCircuiti.IdCircuito 
	LEFT OUTER JOIN
	Risorse ON Risorse.ID = Ordini.IdRisorsa	
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	LEFT OUTER JOIN
	EnTipiAttivitMestiere ON Ordini.TipologiaEnergia = EnTipiAttivitMestiere.Id	
WHERE
	1=1
	AND Richieste.IdCommessa = $IdCommessa
	AND Richieste.NumRichiesta = $NumRichiesta
	AND Richieste.AnnoRichiesta = $AnnoRichiesta
sql;
 
$query = ntxQuery($sql); 
 
$alternate = true;
$trOrdini = '';

if($query)
	$trOrdini .= <<< _HTML
	<table class="grid"  style="margin:0;padding:0;"  >
		<tr>
			<th>Ordine 
			<th>InizioProg
			<th>FineProg
			<th>Scadenza 
			<th>Circuito 
			<th>Descrizione
			<th>Mestiere
			<th>Componente
			<th>Attivit 
			<th>Fornitore 
			<th>Risorsa 			
			<th>Inizio 
			<th>Fine 	
			<th>Stato&nbsp;O.  
			<th>  
_HTML;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);	
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);	
	$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);	
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);	
	$rs[DataFine] = ntxDateTime($rs[DataFine]);	 
	$rs[DataPresaInCarico] = ntxDateTime($rs[DataPresaInCarico]);	 
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine];
	
	$disableAnullamento = ' disabled="disabled" ';
	if($rs[IdStatoOrdine]<50)
		$disableAnullamento = '';	
	
	$disableEditO = '';
	if ($rs[TipologiaEnergia]!=5) $disableEditO=$disableAnullamento=' disabled="disabled" ';
	
	$displayChiusuraOrd = ' display:none;  ';
	if ($rs[TipologiaEnergia]!=5  &&  (is_numeric($rs[IdStatoOrdine])  &&  $rs[IdStatoOrdine]<50) )
		$displayChiusuraOrd=' ';
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v); 

	$classTr = $alternate ? "class=alternate" : "";
	
	$CodTipologiaEnergia = substr($html[TipologiaEnergia_TXT], 0, 3);  	
	
	$trOrdini .= <<< _HTML
		<tr>
			<td>
			<input type="button" onclick="selOrd('$html[IDCommessa]','$html[NumOrdine]','$html[AnnoOrdine]', this);" value="O-$html[NumOrdine]-$html[AnnoOrdine]-$html[IDCommessa]" style="font-size:90%;font-weight:bold;" $disableEditO />
			
			<td>$html[DataInizioProg]  
			
			<td>$html[DataFineProg] 
			
			<td>$html[DataScadenza] 
			
			<td>
				$html[CircuitoNome]
				$html[CircuitoCodiceCliente]
				
			<td>$html[DescrizioneIntervento] $html[DescrizioneIntervento1] $html[DescrizioneIntervento2] 	
				
			<td>$html[Mestiere] 
			
			<td>$html[ComponenteMestiere] 
			
			<td>$html[AttivitaMestiere] 
			
			<td>$html[Ditta] 
			
			<td>$html[Risorsa] 			
			
			<td>$html[DataInizio]
			
			<td>$html[DataFine]    
			
			<td>$html[StatoOrd]    
			
			<td>
			<input type="button" value="Annulla Ordine" style="font-size:90%;font-weight:bold;width:100%;" onclick="annullaOrdine('$rs[NumOrdine]', '$rs[AnnoOrdine]', '$rs[IDCommessa]')" $disableAnullamento class="btnAzione" />	
			
			<div style="margin:4px;" ></div>
			
			<input type="button" value="Storico Ordine" style="font-size:90%;font-weight:bold;width:100%;" onclick="storicoOrdine('$rs[IdOrd]')" />	
			
			<div style="margin:4px;" ></div>
			
			<input type="button" value="Chiudi Ordine" style="font-size:90%;font-weight:bold;width:100%;$displayChiusuraOrd" onclick="chiudiOrdineOrario('$rs[IdOrd]')" />	
_HTML;
} 
 
if($trOrdini!='')
	$trOrdini .= <<< _HTML
	</table> 
_HTML;
 
$result[trOrdini] = $trOrdini;

jhp($result);
?>
