<?php
session_start();
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdOrd = ntxip('IdOrd');	
 
$result = array(); 
		
$sql = <<< sql
SELECT     
	Richieste.IDCommessa, Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2,   Richieste.Tipo, Richieste.DataRichiesta AS DataRicezione,  Richieste.DataGestione,Richieste.IdRich,
	tblMestieri.Descrizione AS Mestiere, 
	tblAttivitMestiere.Descrizione AS AttivitaMestiere, 
	tblComponetiMestiere.Descrizione AS ComponenteMestiere,  
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataScadenza, StatiOrdini.DesStato AS StatoOrd, Ordini.StatoOrd	AS IdStatoOrdine,
	Richiedenti.Nome AS RichiedenteNome,
	EnCircuiti.Nome AS CircuitoNome, EnCircuiti.CodiceCliente AS CircuitoCodiceCliente,
	ElencoEdifici.EdificioBreve AS Edificio,
	Ditte.Ditta,
	Risorse.Nome AS Risorsa,
	tblPgPropietari.Nome AS Propietario,
	Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2,
	Ordini.DataInizio, Ordini.DataFine,
	Ordini.DataInizioProg, Ordini.DataFineProg,	
	Ordini.TipologiaEnergia,
	Ordini.DataPresaInCarico,
	Ordini.DataSospensione,
	Ordini.IdOrd,
	EnTipiAttivitMestiere.Tipo AS TipologiaEnergia_TXT
FROM    
	Richieste 
	INNER JOIN
	Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa 
	LEFT OUTER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio  = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere	  
	LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta 
	LEFT OUTER JOIN
	Richiedenti ON Richieste.IDCommessa = Richiedenti.IdCommessa AND Richieste.IdRichiedente = Richiedenti.IdRichiedente	 
	LEFT OUTER JOIN
	StatiOrdini ON StatiOrdini.IDStato = Ordini.StatoOrd	 
	LEFT OUTER JOIN
	tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
	LEFT OUTER JOIN
	tblAttivitMestiere ON Ordini.IDCommessa = tblAttivitMestiere.IdCommessa AND Ordini.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere
	LEFT OUTER JOIN
	EnCircuiti ON Ordini.IdCircuitoEnergia = EnCircuiti.IdCircuito 
	LEFT OUTER JOIN
	Risorse ON Risorse.ID = Ordini.IdRisorsa	
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	LEFT OUTER JOIN
	EnTipiAttivitMestiere ON Ordini.TipologiaEnergia = EnTipiAttivitMestiere.Id	
WHERE
	Ordini.IdOrd = $IdOrd
sql;
 
$query = ntxQuery($sql); 
 
$alternate = true;
$tableOrdini = '';
$title = '';

if($query)
	$tableOrdini .= <<< _HTML
	<table class="grid"  style="margin:0;padding:0;"  >
		<tr> 
			<th>Tipo 
			<th>InizioProg
			<th>FineProg
			<th>Scadenza 
			<th>Sopensione 
			<th>Inizio 
			<th>Fine 	
			<th>Stato&nbsp;O.  			
			<th>Circuito 
			<th>Descrizione
			<th>Mestiere
			<th>Componente
			<th>Attivit 
			<th>Fornitore 
			<th>Risorsa 	 
			<th>  
_HTML;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);	
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);	
	$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);	
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);	
	$rs[DataFine] = ntxDateTime($rs[DataFine]);	 
	$rs[DataPresaInCarico] = ntxDateTime($rs[DataPresaInCarico]);	 
	$rs[DataSospensione] = ntxDateTime($rs[DataSospensione]);	 
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine]; 
	 
	
	$enableGestisci = ' disabled="disabled" ';
	if ($rs[TipologiaEnergia]==5  &&  (is_numeric($rs[IdStatoOrdine])  &&  $rs[IdStatoOrdine]==60) )
		$enableGestisci=' '; 
	
	$enableRiassegna = ' disabled="disabled" ';
	if ($rs[TipologiaEnergia]==5  &&  (is_numeric($rs[IdStatoOrdine])  &&  $rs[IdStatoOrdine]==60)  &&  strlen($rs[DataFineProg])>0 )
		$enableRiassegna=' ';
	
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v); 

	$classTr = $alternate ? "class=alternate" : "";
	
	$CodTipologiaEnergia = substr($html[TipologiaEnergia_TXT], 0, 3);  	
	
	$title .= <<<_HTML
	<div style="font-size:200%;font-weight:bold;word-break:break-all;" >
	O-$html[NumOrdine]-$html[AnnoOrdine]-$html[IDCommessa]
	</div>
_HTML;
	
	
	$tableOrdini .= <<< _HTML
		<tr>  
			<td>$CodTipologiaEnergia 
			
			<td>$html[DataInizioProg]  
			
			<td>$html[DataFineProg] 
			
			<td>$html[DataScadenza] 
			
			<td>$html[DataSospensione]
			
			<td>$html[DataInizio]
			
			<td>$html[DataFine]    
			
			<td>$html[StatoOrd] 			
			
			<td>
			$html[CircuitoNome]
			$html[CircuitoCodiceCliente]
				
			<td>$html[DescrizioneIntervento] $html[DescrizioneIntervento1] $html[DescrizioneIntervento2] 	
				
			<td>$html[Mestiere] 
			
			<td>$html[ComponenteMestiere] 
			
			<td>$html[AttivitaMestiere] 
			
			<td>$html[Ditta] 
			
			<td>$html[Risorsa] 			   
			
			<td>
			<input type="button" value="Gestisci" style="font-size:90%;font-weight:bold;width:100%;" onclick="gestisciOrdine('$rs[IdOrd]', this)" $enableGestisci />	
			
			<div style="margin:5px;"></div>
			
			<input type="button" value="Riassegna" style="font-size:90%;font-weight:bold;width:100%;" onclick="riassegnaOrdine('$rs[IdOrd]', this)" $enableRiassegna />	 
_HTML;
} 
 
if($tableOrdini!='')
	$tableOrdini .= <<< _HTML
	</table> 
_HTML;
 
$result[tableOrdini] = $tableOrdini;
$result[title] = $title;

jhp($result);
?>
