function NuovoTicket()
{
	formInsTicket.reset();
		
	document.formInsTicket.NumRichiesta.value = '';
	document.formInsTicket.AnnoRichiesta.value = '';
	document.formInsTicket.IdCommessaRichiesta.value = ''; 
	 
	$(formInsTicket).find(":input[type=text][type=hidden]").val(''); 
	
	$(formInsTicket.IdMestiere).html('');
	$(formInsTicket.IdComponenteMestiere).html('');
	$(formInsTicket.IdAttivitMestiere).html('');
	$(formInsTicket.IdAmbiente).html('');
	$(formInsTicket.IdComponente).html('');
	$(formInsTicket.Assegnazione).html('');
	
	var data = DataOraAttuali();
	
	formInsTicket.DataRichiesta.value = data;
	formInsTicket.DataGestione.value = data; 
	
	ResetError();
	
	document.formInsTicket.Tipo.value = 'Telefono';
	gestioneTipo(); 	
	
	document.formInsTicket.FiltroFornitore.value = 1;
	document.formInsTicket.Assegnazione.value = '';
	
	document.formInsTicket.FiltroRisose.value = 1;
	document.formInsTicket.IdRisorsa.value = '';
	
	resetCalendarioOrdiniRisorsa();
	
	setButtons();
}
 

function CaricaCircuiti()
{
	var result = jhp("jhp_caricamenti/carica_circuiti.php", jhp_frm(formInsTicket));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(formInsTicket.IdCircuito).html(result.value);
	}
}

function CaricaRichiedenti()
{
	var result = jhp("jhp_caricamenti/carica_richiedenti.php", jhp_frm(formInsTicket));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(formInsTicket.IdRichiedente).html(result.value);
	}
}

function CaricaGradiUrgenza()
{
	var result = jhp("jhp_caricamenti/carica_gradi_urgenza.php", jhp_frm(formInsTicket));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(formInsTicket.GradoUrgenza).html(result.value); 
		
		$("#GradoUrgenza").val($("#GradoUrgenza option:first").val());
		
		var GradoUrgenzaSel = ""+$("#GradoUrgenza").val();
		
		if(GradoUrgenzaSel.trim().length>0)
		{ 
			CalcolaScadenze()
		}
	}
}

function CompilaRichiedente()
{
	var result = jhp("jhp_caricamenti/compila_richiedente.php", jhp_frm(formInsTicket));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		formInsTicket.Richiedente.value = "";
		formInsTicket.EmailRichiedente.value = "";
		formInsTicket.TelefonoRif.value = "";
		 
		if(Object.keys(result.value).length > 0)
		{
			formInsTicket.Richiedente.value = result.value['Nome'];
			formInsTicket.EmailRichiedente.value = result.value['email'];
			formInsTicket.TelefonoRif.value = result.value['cellulare'];
			
			if(formInsTicket.TelefonoRif.value.length>0  &&  result.value['telFisso'].length>0)
				formInsTicket.TelefonoRif.value += " , "+result.value['telFisso'];
		} 
	}
}
 
function setButtons()
{
	var NumRichiesta = document.formInsTicket.NumRichiesta.value;
	var AnnoRichiesta = document.formInsTicket.AnnoRichiesta.value;
	var IdCommessaRichiesta = document.formInsTicket.IdCommessaRichiesta.value;

	$(formInsTicket.btnInserisci).prop('disabled', true);
	$(formInsTicket.btnInserisciRegistrata).prop('disabled', true);	 
	
	if( $.isNumeric(NumRichiesta)  &&   $.isNumeric(AnnoRichiesta)  &&   $.isNumeric(IdCommessaRichiesta) )
	{
	
	}
	else
	{ 
		$(formInsTicket.btnInserisciRegistrata).prop('disabled', false);	
		$(".disablePerTelecontrollo").prop('disabled', '');				
	
	
		settaggiIsDittaTelecontrollo(); 
	}	 
}


function settaggiIsDittaTelecontrollo()
{
	var IdDitta = formInsTicket.Assegnazione.value;
	var IdRisorsa = formInsTicket.IdRisorsa.value; 	 
		
	var result1 = jhp("jhp_caricamenti/is_ditta_telecontrollo.php", {IdDitta:IdDitta} );

	if(result1.state)
	{
		alert(result1.message);
	}
	else
	{
		var tlc =  result1.value.tlc;  
		
		if(!$.isNumeric(tlc))  tlc=0;
		
		if( tlc==0  &&  $.isNumeric(IdRisorsa) ) 
		{
			$(formInsTicket.btnInserisci).prop('disabled', false);	 			
		} 
			
		if( tlc==1 )
		{
			$(formInsTicket.btnInserisci).prop('disabled', false);	
 
			$(".disablePerTelecontrolloReset").val('');	
			$(".disablePerTelecontrolloReset div, span").text('');	
			$(".disablePerTelecontrollo").prop('disabled', 'disabled');	 	  					
		}
		
		
		//su tlc non deve apparire il calendario
		if( tlc==0 ) 
		{
			abilitaCalendarioOrdiniRisorsa(true);	
		} 
		else
		{
			abilitaCalendarioOrdiniRisorsa(false);	
		}			
	}  	 
}