<?php  
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");
require_once("vers.inc");

foreach($_GET as $key => $value)
{ 
	$_POST[$key] = $_GET[$key];
}
 
$_POST[UtentiEdifici] = $_POST[UtentiEdifici]==1 ? 1 : 0;
$_POST[noEdit] = $_POST[noEdit]==1 ? 1 : 0;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head> 
	<title>Grafici</title>
	<script type="text/javascript" src="/repository/libs/jquery-ui-1.11.4/external/jquery/jquery.js"></script>  
	<script type="text/javascript" src="/repository/libs/jquery-ui-1.11.4/jquery-ui.min.js"></script>  
	<link href="/repository/libs/jquery-ui-1.11.4/jquery-ui.theme.min.css" rel="stylesheet" type="text/css">	  
	
	<script type="text/javascript" src="/repository/libs/moment/moment-with-locales.min.js"></script> 	 
	<script type="text/javascript" src="/repository/libs/bootstrap-master/dist/js/bootstrap.min.js"></script>
	<link href="/repository/libs/bootstrap-master/dist/css/bootstrap.min.css" rel="stylesheet" type="text/css">	
	<link href="/repository/libs/bootstrap-master/dist/css/bootstrap-theme.min.css" rel="stylesheet" type="text/css">	 
	<script type="text/javascript" src="/repository/libs/bootstrap-datetimepicker-master/build/js/bootstrap-datetimepicker.min.js"></script>
	<link href="/repository/libs/bootstrap-datetimepicker-master/build/css/bootstrap-datetimepicker.min.css" rel="stylesheet" type="text/css">	
	<link href="/repository/libs/bootstrap-datetimepicker-master/build/css/bootstrap-datetimepicker-standalone.css" rel="stylesheet" type="text/css">
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script> 

	<script src="/repository/js/convalida_dati.js?vers=<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/ricerca/ricerca_richieste.js?vers=<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/ricerca/ricerca_richieste_azioni.js?vers=<?php echo $vers ?>" type="text/javascript"></script>
	
	<link href="css/grid.css" rel="stylesheet" type="text/css">
	<link href="css/index.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css"> 
	<link href="css/risultati_ricerca_ticket.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css">  
	
	<!--
	<script language="javascript" type="text/javascript" src="/repository/libs/flot-0.8.3/flot/jquery.js"></script>
	-->
	<script language="javascript" type="text/javascript" src="/repository/libs/flot-0.8.3/flot/jquery.flot.js"></script> 
	<script language="javascript" type="text/javascript" src="/repository/libs/flot-0.8.3/flot/jquery.flot.pie.js"></script> 
	<script language="javascript" type="text/javascript" src="/repository/libs/flot-0.8.3/flot/jquery.flot.selection.js"></script> 
	<script language="javascript" type="text/javascript" src="/repository/libs/flot-0.8.3/flot/jquery.flot.canvas.js"></script> 
	<script language="javascript" type="text/javascript" src="/repository/libs/flot-0.8.3/flot/jquery.flot.time.js"></script>  
	
	<script language="javascript" type="text/javascript" src="/repository/libs/flot-0.8.3/plugins/jquery.flot.axislabels.js"></script> 
	<script language="javascript" type="text/javascript" src="/repository/libs/flot-0.8.3/plugins/jquery.flot.orderBars.js"></script> 	
	
	<script src='js/_console.js'></script>
	
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script> 
	<link href="/repository/css/entypo.css" rel="stylesheet" type="text/css">
	

	<style>
	div.graph
	{
		width: 600px;
		height: 400px;
		display:inline-block;
		border: 1px dashed gainsboro; 
	}	

	div.legend
	{
		width: 200px;
		display:inline-block;
	} 
	</style>
	
	<script> 
	var UtentiEdifici = "<?php echo $_POST[UtentiEdifici] ?>";	
	var noEdit = "<?php echo $_POST[noEdit] ?>";
	var plot = null;
	
	$(function()
	{  
		$('.datetimepickerP').datetimepicker({
			locale: 'it'
		}); 
		
		CaricaClienti(); 
		
		EnablePaginazione(false);
	}); 

	function Grafico()
	{
		EnablePaginazione(false);
		
		document.frmRicercaTicket.TipoRicerca.value = 'grafico'; 

		var data = null;
		
		var obj = jhp_frm(document.frmRicercaTicket);  	

		var result = jhp("jhp_grafici/ricerca_torta.php", obj);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{  
			data = 
			[
				{label:"Evase",  data:result.value.evaso, infoSql:"evaso"}
				,{label:"Non evase",  data:result.value.non_evaso, infoSql:"non_evaso"}
				,{label:"Annullate",  data:result.value.annullate, infoSql:"annullate"}
			];
			
			
			if(plot!=null)  plot.shutdown();
			 
			plot = $.plot($("#grafico1"), data,
			{
				series: 
				{
					pie: { 
						show: true,
						radius: 3/4,
						label: {
							show: true,
							radius: 3/4,
							formatter: function(label, series){
								return '<div style="font-size:10px;text-align:center;padding:2px;color:white;width:50px !important;word-wrap:break-word;">'+label+'</div>';
							},
							background: { 
								opacity: 0.5,
								color: '#000'
							}
						}
					}
				}
				, 
				legend: 
				{
					show: true,
					labelFormatter: function(label, series) 
					{
						var percent= Math.round(series.percent);
						var number= series.data[0][1]; 
						return('<b>'+label+'</b><br>'+ percent + '%');
					}
				}	
				
				,    
				grid: {
					hoverable: true,
					clickable: true
				}
			});
			
			$("#grafico1").unbind();
			
			$("#grafico1").bind("plotclick", function (event, pos, item) 
			{   
				RisultatiTabella(item.series.infoSql);
			}); 				
		} 
	}

	function RisultatiTabella(TipoRicerca)
	{
		EnablePaginazione(true);
		
		document.frmRicercaTicket.TipoRicerca.value = TipoRicerca; 
	 
		$("#btnRicerca").trigger("click"); 	
	} 

	function EnablePaginazione(enable)
	{ 
		if(enable)
			$("#layoutPaginazione").show();
		else
			$("#layoutPaginazione").hide(); 	
	} 
</script> 
	
</head>

<body>

<?php 
if ( is_numeric($_SESSION[IdPropietario]) ) $IdPropietario = ntxise('IdPropietario');
if ( is_numeric($_SESSION[IdPgContratto]) ) $IdPgContratto = ntxise('IdPgContratto');
if ( is_numeric($_SESSION[IdCommessa]) ) 	$IdCommessa = ntxise('IdCommessa');
if ( is_numeric($_SESSION[IdEdificio]) ) 	$IdEdificio = ntxise('IdEdificio');	
	
if ( is_numeric($_POST[IdPropietario]) ) 	$IdPropietario = ntxip('IdPropietario');
if ( is_numeric($_POST[IdPgContratto]) ) 	$IdPgContratto = ntxip('IdPgContratto');
if ( is_numeric($_POST[IdCommessa]) ) 		$IdCommessa = ntxip('IdCommessa');
if ( is_numeric($_POST[IdEdificio]) ) 		$IdEdificio = ntxip('IdEdificio'); 
?>

<form id="fromLoadRic" name="fromLoadRic" method="post" target="_blank" action="edit_ticket.php" >
	<input type="hidden" name="IdCommessa" /> 
	<input type="hidden" name="NumRichiesta" /> 
	<input type="hidden" name="AnnoRichiesta" /> 
	
	<input type="hidden" name="noEdit" value="<?php echo $_POST[noEdit] ?>" /> 
</form>

<span style="font-weight:bold;font-size:2em">Grafico su Richieste</span>  


<form id="frmRicercaTicket" name="frmRicercaTicket" method="post"  Paginazione >

	<input type="hidden" name=campo />
	<input type="hidden" name=verso />
	
	<input type="hidden" name=IdCommessa 	value="<?php echo $IdCommessa ?>" />
	<input type="hidden" name=IdEdificio 	value="<?php echo $IdEdificio ?>" /> 
	<input type="hidden" name=IdEdificio 	value="<?php echo $IdEdificio ?>" /> 
	
	<input type="hidden" name="UtentiEdifici" value="<?php echo $_POST[UtentiEdifici] ?>" />

		
	<input type="hidden" name="FiltroFornitore" value="1" />
	<input type="hidden" name="Assegnazione" />
	<input type="hidden" name="IdRisorsa" /> 	
	<input type="hidden" name="IdLivello" /> 	
	<input type="hidden" name="IdCircuito" /> 	
	
	<input type="hidden" name="TipoRicerca" /> 	
	
	<table class="maxWidth" id="tblCriteriRicerca" style="display:block;" >
		<tr>
			<td style="width:1px;font-weight:bold">Cliente:
			<td>  
				<select class=input id=Cliente name=Cliente style="width:500px" onchange="CaricaContratti()"></select>
				
		<tr>
			<td style="font-weight:bold">Contratto:
			<td>
				<select class=input id=Contratto name=Contratto style="width:500px" onchange="CaricaCommessa(); CaricaUtenze()"></select>
				
		<tr>
			<td style="font-weight:bold">Localizzazione:
			<td>
				<select class=input id=Utenza style="width:500px" onchange="SettaUtenza()"></select>  
			
		<tr>
			<td>Richiedente (testo):
			<td> 
			<input type="text" name="Richiedente" class="input" style="width:500px;" />
				
		<tr>
			<td>Descrizione:
			<td>  
			<input type="text" name="Descrizione" class="input"  style="width:500px;" /> 
			
		<tr><td>Mestiere:
			<td>
				<select name="IdMestiereSel"   class=input style="width:500px;"  convalida  tipo=int ></select>
				<input type="hidden" name="IdMestiere" />
				
		<tr><td>Componente:
			<td>
				<select name="IdComponenteMestiere"  onchange="CaricaAttivitàMestiere();"  class=input style="width:500px;"  ></select>
				
		<tr><td>Attività:
			<td>
				<select name="IdAttivitàMestiere" class=input  style="width:500px;"   ></select>	 

		<tr><td>Chiamante: 
			<td><SELECT NAME="IdRichiedente"   class=input style="width:500px" convalida  tipo=int ></select>				
		<tr><td>Priorità:
			<td>
				<select name="GradoUrgenza" class=input style="width:500px"   convalida  tipo=testo></select>

		<tr><td>Data/Ora&nbsp;Richiesta: 
			<td class="divLabeDateTime" style="text-align:center;">
				<i>
				maggiore di: 
				</i> 
				<input type=text class="input datetimepickerP"  name="DataRichiesta1" convalida tipo=data_ora  /> 

				<i>
				e minore di: 
				</i>
				<input type=text class="input datetimepickerP"  name="DataRichiesta2" convalida tipo=data_ora   />  
			
		<tr>
			<td colspan="2">&nbsp; 
			
		<tr>
			<td>
			<td>
				<input type=button   value="Mostra Grafico" onclick="Grafico()" 
				style="width:500px;height:25px;font-weight:bold;float:left;" />
				
				<input type=button id="btnRicerca" name="btnRicerca" value="Ricerca" onclick="PaginazioneRicerca(this, 'first')" 
				style="display:none;" />	
				
				<br>
				<br> 
				
				<button onclick="getExcel(); return false;"  >
					<img src="/repository/xhdpi/9_av_download.png" style="width:15px" />
					Ottieni Excel
				</button>	
	
	</table> 
	

	
	<?php PaginazioneCampiPerForm(10, 'jhp_grafici/ricerca_torta.php', 'lista-risultati-ticket') ?>
</form> 

<div id="grafico1" class="graph"></div> 
 
<form id="formBuffer" name="formBuffer" method="post" >
	<input type="hidden" name=IdPropietario value="<?php echo $IdPropietario ?>" />
	<input type="hidden" name=IdPgContratto value="<?php echo $IdPgContratto ?>" />
	<input type="hidden" name=IdCommessa 	value="<?php echo $IdCommessa ?>" />
	<input type="hidden" name=IdEdificio 	value="<?php echo $IdEdificio ?>" />
</form>


<script>
function getExcel()
{ 
	var form = document.frmRicercaTicket;
	
	//save precedenti valori
	var method_old = form.method;
	var target_old = form.target;
	var action_old = form.action;
	
	form.method = 'post';
	form.target = '_blank';
	form.action = 'ricerca_torta_excel.php';
	form.submit();  
	
	//restore precedenti valori
	form.method = method_old;
	form.target = target_old;	
	form.action = action_old;	
}
</script>		

<div id="layoutPaginazione" >
	<?php PaginazioneNavigazione('frmRicercaTicket') ?> 

	<div id="lista-risultati-ticket"></div> 

	<?php PaginazioneNavigazione('frmRicercaTicket') ?>
</div>

</body>
</html>
