<?php  
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); 
$IdDoc = ntxip('IdDoc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<!--
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	-->
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js?v=<?php echo time() ?>" type="text/javascript"></script> 
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	
	<link href="css.css" rel="stylesheet" type="text/css">	 
	
	<style> 
		
	#container
	{
		width:100%;
		height:100%;

		border: solid 2px black;
		padding:0;
		margin:0; 
		
		top:0px; 
		left:0px; 
		position:relative; 
	}

	#imgPiano
	{
		width:100%;
		height:auto;
	} 
		
	.marker
	{  
		position:absolute;  
		
		z-index: 100; 
		 
		width:40px;
		height:40px;
		border-radius: 25px;
		background:#FF3333;
		border: solid 1px black;
		text-align:center;
		font-weight:bold;
		font-size:100%; 
		cursor:pointer;
	}

	.marker:hover
	{ 
		background: #FFFFFF;
	}	
	
	#salvataggi
	{
		width:100%; 
		border: solid 2px black;
	}	

	.entrySalvataggi 
	{  
		float: left;
		border-collapse: collapse;
	} 

	.markerInTabella
	{  
		background:#FF3333;
		border: solid 1px black;
		width:20px;
		height:20px;
		border-radius: 15px;
		display:block-inline;
	} 

	.entrySalvataggi 
	{ 
		border: solid 1px black; 
		font-size: 90%;
	} 

	.entrySalvataggi td
	{  
		text-align: center; 
	}  
	
	.tbl1 
	{
		border-collapse: collapse;
	}
	
	.tbl1 th 
	,.tbl1 td 
	{
		border:solid 1px black;
	}
	
	.tbl0 
	{
		border-collapse: collapse;
	}
	
	.tbl0 th 
	,.tbl0 td 
	{
		vertical-align: top;
	}
	</style>
</head>
<body > 

<div class="divBottoni"> 

	<form method="post"  class="allineatoSinistra">
		<?php ntxCreateHiddens() ?>
		<button   type="submit"  >
			<img src="/repository/xhdpi/1_navigation_refresh.png" style="width:15px" />
			Ricarica
		</button>
	</form> 	
</div>


<table class="tbl0">
	<tr>
		<td>
			<table class="tbl1" >
			<?php 
			$sql = <<< _SQL
			SELECT     
				SopralugoServiziPulizia.*
			FROM         
				SopralugoServiziPulizia 
			WHERE
				SopralugoServiziPulizia.IdCommessa = $IdCommessa 
				AND SopralugoServiziPulizia.classificazione like 'pulizie_canone'  
_SQL;

			$query1=ntxQuery($sql);		 

			while( $query1  &&  $rs1 = ntxRecord($query1) )
			{ 
			?>
				<tr>
					<th><?php echo $rs1[Codice]   ?>
					<td><?php echo $rs1[Descrizione]   ?>
			<?php
			}
			?>
			</table>
			
		<?php
		$sql = <<<_SQL
		SELECT DISTINCT     
			DocsPianiLivelli.IdEdificio
			,DocsPianiLivelli.IdPiano
			,SopralugoAmbienti.IdRiepilogo
			,DocsPianiLivelli.Id AS IdDoc
			,ElencoEdifici.IdProprietario
		FROM         
			DocsPianiLivelli 
			INNER JOIN
			PianoLivello ON DocsPianiLivelli.IdCommessa = PianoLivello.IdCommessa AND DocsPianiLivelli.IdEdificio = PianoLivello.IdEdificio AND 
			DocsPianiLivelli.IdPiano = PianoLivello.idPiano 
			INNER JOIN
			SopralugoAmbienti ON PianoLivello.IdCommessa = SopralugoAmbienti.IdCommessa AND PianoLivello.IdEdificio = SopralugoAmbienti.IdEdificio AND 
			PianoLivello.idPiano = SopralugoAmbienti.IdLivello
			INNER JOIN
			ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID
		WHERE     
			(DocsPianiLivelli.IdCommessa = $IdCommessa) 
			AND (DocsPianiLivelli.Id = $IdDoc)
_SQL;
		$rs = ntxRecord( ntxQuery($sql) );
		
		$IdEdificio = $rs[IdEdificio];
		$IdPiano = $rs[IdPiano]; 
		$IdProprietario = $rs[IdProprietario];

		
		$sql = <<< _SQL
		SELECT     SUM(MQ) AS somma
		FROM         SopralugoAmbienti
		WHERE     
			IdCommessa = $IdCommessa 
			AND IdEdificio = $IdEdificio
_SQL;
		$mqEdificio=ntxScalar($sql); 
		
		$sql = <<< _SQL
		SELECT     SUM(MQ) AS somma
		FROM         SopralugoAmbienti
		WHERE     
			IdCommessa = $IdCommessa 
			AND IdEdificio = $IdEdificio
			AND IdLivello = $IdPiano
_SQL;
		$mqPiano=ntxScalar($sql); 
		
		$sql = <<< _SQL
		SELECT     SUM(MQ) AS somma
		FROM         
			SopralugoAmbienti
			INNER JOIN
			ElencoEdifici ON SopralugoAmbienti.IdCommessa = ElencoEdifici.IdCommessa AND SopralugoAmbienti.IdEdificio = ElencoEdifici.ID			
			
		WHERE     
			(SopralugoAmbienti.IdCommessa = $IdCommessa) 
			AND (ElencoEdifici.IdProprietario = $IdProprietario)
_SQL;
		$mqEnte=ntxScalar($sql); 
		?>		
			
		<td>
			<table class="tbl1" >
				<tr>
					<th>MQ ente
					<td><?php echo ntxRoundThousand($mqEnte,2) ?>
				<tr>	
					<th>MQ edificio
					<td><?php echo ntxRoundThousand($mqEdificio,2) ?>
				<tr>	
					<th>MQ piano
					<td><?php echo ntxRoundThousand($mqPiano,2) ?>		
			</table>
</table>



<form name="form1" id="form1" method="post"> 
	<input type="hidden" name="IdDoc" value="<?php echo $IdDoc ?>" /> 
</form>	 

<script>
window.onload = inizio;
 

function inizio()
{
	Sopralluogo();
	$( document ).tooltip();
}

function Sopralluogo()
{
	var result = jhp("jhp/trova_foto_allegato_sopraluogo.php", 
			jhp_frm(document.form1));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{ 	   
		var IdEdificio = result.value.IdEdificio; 			
		var IdPiano = result.value.IdPiano; 			
		var IdDoc = result.value.IdDoc; 			
		var IdRiepilogo = result.value.IdRiepilogo; 
		
		$('#imgPiano').attr('src', 'vedi_doc_piano.php?IdDoc='+IdDoc)  
			 

		if(!$.isNumeric(IdRiepilogo))
		{
			alert("Prima di continuare è necessario inserire una testata di riepilogo!");
			return;
		}   
		 
		caricaPunti(IdEdificio, IdPiano, IdRiepilogo);			
	} 
}


function caricaPunti(IdEdificio, IdLivello, IdRiepilogo)
{
	var result = jhp("jhp/carica_tutti_SopralugoAmbienti.php", 
	{
		IdEdificio: IdEdificio 
		,IdLivello: IdLivello 
		,IdRiepilogo: IdRiepilogo 
	});

	if(result.state)
	{ 
		alert(result.message);
	}
	else
	{    
		var recordSet = result.value;
		
		var len = recordSet.length;
	
		for(var i=0; i<len; i++) 
		{	
			var record = recordSet[i];  
			caricaPuntoSuMappa(record.X, record.Y, record.ID, record.ServCodice, record.ServDesc, record.MQ, record.H, record.L)
		} 
	}
}

function caricaPuntoSuMappa(epX, epY, ID, ServCodice, ServDesc, MQ, H, L)
{ 
	var id = "id"+$.now()+"_"+ID; 
	var idJquery = "#"+id;  
	 
	$("#container").append('<div id="'+id+'" class="marker SopralugoAmbienti_'+ID+'" title="MQ: '+MQ+'<br>servizio: '+ServDesc+'<br>H: '+H+'<br>L: '+L+' " >'+ServCodice+'<br>'+MQ+'</div>');
	
	$(idJquery).css("left",epX+"%" )
	$(idJquery).css("top",epY+"%" ) 
	
	try
	{
		console.log(idJquery);
		console.log('x:'+epX);
		console.log('y:'+epY);
		console.log('-----------------');
	}
	catch(ex)
	{ 
	}
}
</script>

<div id="container" >
	<img id="imgPiano"   /> 
</div>  

</body>
</html>
