<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdEdificio = $_POST['IdEdificio'];
$IdCommessa = $_POST['IdCommessa'];

if (is_numeric($IdEdificio) && is_numeric($IdCommessa))
{
	$IdEdificio = (int)$IdEdificio;
	$IdCommessa = (int)$IdCommessa;
	
	$sql = <<< sql
	SELECT DISTINCT 
		ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Edificio, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
		ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, tblPgPropietari.Nome AS Ente 
		,Commesse.DesComm AS Commessa
	FROM         
		ElencoEdifici INNER JOIN
		UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
		Utenti ON UtentiEdifici.IdUtente = Utenti.Id LEFT OUTER JOIN
		tblUtEdifici ON ElencoEdifici.IdCommessa = tblUtEdifici.IdCommessa AND ElencoEdifici.ID = tblUtEdifici.IdEdificio LEFT OUTER JOIN
		tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 			  				  
		LEFT  OUTER JOIN
		Commesse ON ElencoEdifici.IdCommessa = Commesse.IDCommessa
						  
	WHERE     
		ElencoEdifici.ID=$IdEdificio
		AND ElencoEdifici.IdCommessa=$IdCommessa
sql;

	$record = ntxRecord(ntxQuery($sql));

	$record = ntxRecordTranslate($record);

	ntxMsgResult( $record );	
}
else
	ntxMsgResult( '' );	

?>
 