<?php

$ListaId1 = ntxsp('ListaId1');
 
switch($_POST[QueryAssociazione])
{ 
	case "attrezzature2edifici":
		$sql = <<< sql
			SELECT DISTINCT Attrezzatura2Edifici.IdEdificio, Attrezzatura2Edifici.IdCommessaEdificio AS IdCommessa
			FROM         Attrezzatura2Edifici INNER JOIN
								  dbo.SplitId($ListaId1) AS SplitId_1 ON Attrezzatura2Edifici.IdAttrezzatura = SplitId_1.id
			WHERE     1=1
sql;
		break;
		 
	default:
		die("QueryAssociazione $_POST[QueryAssociazione] non prevista!");
}
 
$query = ntxQuery($sql);

$ListaAssociati = ""; 
$ListaNonAssociati = ""; 
while($rs=ntxIRecord($query))
{ 
	if ($ListaAssociati != "")
		$ListaAssociati .= " OR ";
	else
		$ListaAssociati = " AND (";  
	
	$ListaAssociati .= " (ElencoEdifici.ID=$rs[0] AND ElencoEdifici.IdCommessa=$rs[1]) ";  
	$ListaNonAssociati .= " OR (A1.ID = $rs[0] AND A1.IdCommessa = $rs[1]) ";  
}
if ($ListaAssociati != "")
	$ListaAssociati .= ")"; 

if ($ListaNonAssociati != "")
	$ListaNonAssociati .= ")"; 	 

$where = "WHERE 1=1 ";


$CampoId = "ElencoEdifici.ID";

if ( $Associate  )
{
	if ( $ListaAssociati!="" )
		$where .=  $ListaAssociati;
	else
		$where .= " AND 1=0 ";
}
else
{
	if ( $ListaAssociati!="" )
		$where .=  <<<_SQL
		AND ElencoEdifici.ID NOT IN 
		(
			SELECT A1.ID
			FROM 
				ElencoEdifici AS A1
			WHERE 
				A1.idcommessa=ElencoEdifici.IdCommessa
				$ListaAssociati
		)
	
_SQL;
}

if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( strlen("$_POST[EdificioBreve]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";

if ( strlen("$_POST[EdificioEstesa]")>0 ) $where .= " AND ElencoEdifici.EdificioEstesa LIKE '%".str_replace("'","''",$_POST[EdificioEstesa])."%'";

if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[CITTA]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";

if ( strlen("$_POST[PROVINCIA]")>0 ) $where .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[PROVINCIA])."%'";

if ( strlen("$_POST[Regione]")>0 ) $where .= " AND ElencoEdifici.Regione LIKE '%".str_replace("'","''",$_POST[Regione])."%'";

if ( strlen("$_POST[CAP]")>0 ) $where .= " AND ElencoEdifici.CAP = '".str_replace("'","''",$_POST[CAP])."'";

if ( strlen("$_POST[Proprietario]")>0 ) $where .= " AND tblPgPropietari.Nome LIKE '%".str_replace("'","''",$_POST[Proprietario])."%'";

if ( is_numeric($_POST[Tipo]) )
{
	if ( $_POST[Tipo]>0 )
		$where .= " AND ElencoEdifici.Tipo=".((int)$_POST[Tipo]);
	else
		$where .= " AND (ElencoEdifici.Tipo=0 OR ElencoEdifici.Tipo IS NULL)";
}

if ( is_numeric($_POST[IdCommessa]) )
{ 
	$where .= " AND ElencoEdifici.IdCommessa=".((int)$_POST[IdCommessa]); 
}

$sql = <<< sql
SELECT   DISTINCT 
	ElencoEdifici.ID, ElencoEdifici.IdCommessa, ElencoEdifici.Codice, ElencoEdifici.EdificioEstesa, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, 
	ElencoEdifici.CAP, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.Regione, ElencoEdifici.Tipo, 
	tblPgPropietari.Nome AS Proprietario,
	Commesse.DesComm AS Commessa
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	Dismesso 		
	,(
		SELECT  DISTINCT   
		CASE
			WHEN (tblPgContratti.DataFine>getdate())
				THEN 0
			ELSE 1
		END AS Scaduto 
			
		FROM         
			tblPgContrattiPropietariGestoriAttivitàEdifici 
			INNER JOIN
			tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto 
		WHERE     
			tblPgContratti.IdPropietario=ElencoEdifici.IdProprietario
			AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa
			AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID  
	) AS ContrGestioneScaduto	
	
FROM         
	ElencoEdifici 
	LEFT JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	LEFT  OUTER JOIN
	Commesse ON ElencoEdifici.IdCommessa = Commesse.IDCommessa
	
$where
sql;

$query = ntxPagedQuery($sql, "ID", "IdCommessa");

?>

