<?php  
session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  
 
if( strlen($_GET['IdAutomezzo'])>0 )
	$_POST['IdAutomezzo'] = $_GET['IdAutomezzo']; 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../../_css/_addictionCompact.css" rel="stylesheet" type="text/css">
	<link href="classi_scedenze.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script> 
	
	
	<style>
	html, body
	{
		background: transparent !important; 
	}
	</style>
</head>

<body>
<?php
$IdCommessa = ntxise('IdCommessa');  
$IdAutomezzo = ntxip('IdAutomezzo');  

$sql = <<< _SQL
SELECT 
	AutomezziZTL.*,
	datediff (d, getdate(), DataFine)  AS GiorniScadenza
	
FROM  AutomezziZTL
WHERE 
	(IdAutomezzo = $IdAutomezzo)
ORDER BY 
	DataFine DESC, 	
	DataInizio DESC 	
_SQL;

$query = ntxQuery($sql);	
?>
<table  align="center" style="width:95%;" >
	<tr>
		<th style="width:1%;" >&nbsp; 
		<th>Comune
		<th>Data Rinnovo  
		<th>Data Scadenza  
		<th>Costo
  
	<form name="formAdd" id="formAdd" method="post" >  
		<tr>
			<td class="<?php echo $classe ?>" > 
				<input type="hidden" name="IdAutomezzo" value="<?php echo $IdAutomezzo ?>" />
				<input type="button" onclick="aggiungi()" value="aggiungi" style="width:100%;" /> 	

			<td class="<?php echo $classe ?>" >
				<input type="text" name="Comune" /> 

			<td class="<?php echo $classe ?>" >
				<input type="text" name="DataInizio" /> 

			<td class="<?php echo $classe ?>" >
				<input type="text" name="DataFine" />  

			<td class="<?php echo $classe ?>" >
				<input type="text" name="Costo" />  	
	</form>	
	
	<?php
		$alternate = false;

		while( $rs = ntxRecord($query) )
		{ 
			$classe = $alternate ? "" : "td2";
			
			if(is_numeric($rs[GiorniScadenza])  &&  $rs[GiorniScadenza]>=0 )
			{ 
				$classe = "verde";	
			}
			else
			{ 
				$classe = "rosso";	
			}			
	?>
		<tr>
			<td class="<?php echo $classe ?>" > 
				<input type="button" onclick="elimina('<?php echo ($rs[ID])?>')" value="cancella" style="width:100%;" /> 	 		
		
			<td class="<?php echo $classe ?>" >
				<input type="text"  onchange="update(this , 'Comune', '<?php echo ($rs[ID])?>')" value="<?php echo htmlentities($rs['Comune']) ?>" />
		
			<td class="<?php echo $classe ?>" >
				<input type="text"  onchange="update(this , 'DataInizio', '<?php echo ($rs[ID])?>')" value="<?php echo ntxDate($rs['DataInizio']) ?>" /> 
		
			<td class="<?php echo $classe ?>" >
				<input type="text"  onchange="update(this , 'DataFine', '<?php echo ($rs[ID])?>')" value="<?php echo ntxDate($rs['DataFine']) ?>" /> 
		
			<td class="<?php echo $classe ?>" >
				<input type="text"  onchange="update(this , 'Costo', '<?php echo ($rs[ID])?>')" value="<?php echo ntxRound($rs['Costo'],2) ?>" /> 
	<?php
			$alternate = !$alternate;
		}
	?>
</table>


<form method="post"  id="frmReload"  name="frmReload" >
	<?php ntxCreateHiddens() ?> 
</form> 	

<form name="formUpdate" id="formUpdate" method="post" >  
	<input type="hidden" name="ID" id="ID" /> 
	<input type="hidden" name="Element" id="Element" /> 
	<input type="hidden" name="valueElement" id="valueElement" /> 
</form>

<script language="javascript">
function update(obj , strElement, ID)
{
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID;

	
	if ( !ntxSendForm(document.formUpdate, function(){}, 'ztl/update') )
		alert("Operazione terminata con successo!");  	
}

function aggiungi()
{
	if (ntxSendForm(document.formAdd, function(){}, 'ztl/aggiungi') )
	{
		alert("Operazione terminata con successo!"); 
		document.frmReload.submit();
	}
}

function elimina(ID)
{
	if(!confirm("Si desidera cancellare l'elemento?")) return;
	
	document.formUpdate.ID.value = ID;

	if (ntxSendForm(document.formUpdate, function(){}, 'ztl/elimina') )
	{
		alert("Operazione terminata con successo!"); 
		document.frmReload.submit();
	} 
}
</script>



</body>
</html>
