<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Strict//EN"
http://www.w3.org/TR/html4/strict.dtd>
<html>
<head>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/overcast/jquery-ui.css" rel="stylesheet" type="text/css">	
	
	<script type='text/javascript' src='/repository/libs/fullcalendar_latest/fullcalendar/fullcalendar.min.js'></script>
	<link rel='stylesheet' type='text/css' href='/repository/libs/fullcalendar_latest/fullcalendar/fullcalendar.css' /> 
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="../../_ntx/jhp.php"></script>
	
	<script type="text/javascript" src="aimag_calendar.js"></script>
	<link href="calendar.css" rel="stylesheet" type="text/css">		
</head>
<body>

<script type='text/javascript'>  
$(document).ready(function() { 
 
	$( "#slider" ).slider({
		range: "min",
		min: 1,
		max: 60,
		value: 8,
		slide: function( event, ui )  
		{
			rejustCalendar( ui.value );
		}
	});  
	
	$('#calendar').fullCalendar(
	{ 
		header: { 
		  left: 'prev,next today',
		  center: 'title', 	
		  right: 'month,agendaWeek,agendaDay'
		}  	
		
		
		,axisFormat: 'HH:mm' 
		,timeFormat: 
		{ 
			month: 'H:mm{ - H:mm}'
			,agenda: 'H:mm{ - H:mm}'
		}
		,minTime: 0
		,maxTime: 24
		,titleFormat:
		 {
			month: 'MMMM yyyy'                              
			,week: "MMM d[ yyyy]{ '&#8212;'[ MMM] d yyyy}"   
		   , day: 'dddd, d/MMM  yyyy'                   
		 }		
		
 		, monthNames: ["Gennaio","Febbraio","Marzo","Aprile","Maggio","Giugno", "Luglio", "Agosto", "Settembre", "Ottobre", "Novembre", "Dicembre" ] 
		, monthNamesShort: ['Gen','Feb','Mar','Apr','Mag','Giu','Lug','Ago','Set','Ott','Nov','Dic'] 
		, dayNames: [ 'Domenica', 'Lunedì', 'Martedì', 'Mercoledì', 'Giovedì', 'Venerdì', 'Sabato'] 
		, dayNamesShort: ['Dom','Lun','Mar','Mer','Gio','Ven','Sab'] 
		, buttonText: 
		{
			today: 'oggi',
			month: 'mese',
			week: 'settimana',
			day: 'giorno'
		}		  
		
		,eventDrop: function(event, delta) 
		{
			alert(event.title + ' modificato ');
		},
		
		dayClick: function(date, allDay, jsEvent, view) 
		{ 
		},
		
		eventClick: function(calEvent, jsEvent, view) 
		{
			var title = calEvent.title;
			var Id = calEvent.id;		
			
			var array = Id.split("_");
			var tipo = array[0];
		 
			if(tipo=='REVISIONE_TAGLIANDO')
			{	
				var tmp =  array[2].split(":");
				var IdElemento = tmp[1];		  
			}
			
			if(tipo=='ASSEGNAZIONE_CONDUCENTI')
			{	
				var tmp =  array[2].split(":");
				var IdElemento = tmp[1];		  
			}
		},
		
		eventAfterRender: function(event, element, view) 
		{		
			if (view.name == 'agendaDay') 
			{
				var numElemDayAgenda = $('.numElemDayAgenda').val();
				numElemDayAgenda = $.isNumeric(numElemDayAgenda) ? parseInt(numElemDayAgenda)+1 : 1;
				
				var width = $('#calendar').width( ); 
				width = width/numElemDayAgenda;  
				
				$(element).css('width', width+'px'); 
			}
		} 

		,viewRender: function (view, element) 
		{ 
			var calCurrDate = $('#calendar').fullCalendar('getView').start;
			var date = calCurrDate.getDate();
			var month = calCurrDate.getMonth();
			var year = calCurrDate.getFullYear(); 
			
			document.frmRicercaRevisioni.NumMese.value = ++month;
			document.frmRicercaRevisioni.Anno.value = year
			
			caricaDatiMese(month, year);
        } 		
	}); 			
}); 
</script>


<div id="containerSettings" >

	<button  onclick="apriRicerca(); return false;" class="bntPrint tastiEditing" >  
		<img src="/repository/_icons/find.png" /> cerca
	</button>

	<form method="post"  style="display:inline;" >
		<?php ntxCreateHiddens() ?>
		
		<button   type="submit"  >
			<img src="/repository/_icons/arrow_refresh.png" />
			ricarica
		</button>
	</form>

	<button  onclick="window.print(); return false;" class="bntPrint tastiEditing" >  
		<img src="/repository/_icons/printer.png" /> stampa
	</button>

	<button  onclick="mostraTabelle(); return false;" class="bntInfo tastiEditing"> 
		<img src="/repository/_icons/exclamation.png" /> tabella con scadenze caricate
	</button>

	<div class="containerNumElementi" >visualizza al massimo <input type="text"  class="numElemDayAgenda" title="number of items in day view" value="4" /> elementi in un giorno</div>
	
	<div id="slider"  ></div>
</div>
  
  
<div id='calendar'></div>
 
	 
<div id="dialog3"  style="display:none;">
	<table style="width:90%;">
		<tr>
			<td>  
				<h3>Revisioni</h3>
				
				<table id="legend_revisione" style="width:100%;" class="tblLegend" >
					<tr>
						<th>&nbsp;&nbsp;&nbsp;
						<th>Numero
						<th>Targa
						<th>Massa Complessiva
						<th>Data Scadenza
						<th>Data Revisione
						<th>Descrizione 
						<th>Note 
						<th>&nbsp;&nbsp;&nbsp;
					</tr>
				</table>	
				
				<br><br><br><br><br> 
				
				<h3>Attrezzature</h3>
				
				<table id="legend_attrezzatura" style="width:100%;" class="tblLegend" >
					<tr>
						<th>&nbsp;&nbsp;&nbsp;
						<th>Numero
						<th>Targa
						<th>Data Scadenza Verifica AUSL
						<th>Descrizione 
						<th>&nbsp;&nbsp;&nbsp;
					</tr>
				</table>
				
				<br><br><br><br><br> 
				
				<h3>Assicurazioni</h3>
				
				<table id="legend_assicurazione" style="width:100%;" class="tblLegend" >
					<tr>
						<th>&nbsp;&nbsp;&nbsp;
						<th>Numero
						<th>Targa
						<th>Data Scadenza  
						<th>Descrizione 
						<th>&nbsp;&nbsp;&nbsp;
					</tr>
				</table>
				
	</table>		
</div>
 
<div id="dialogRicerca"  style="display:none;">

	<table style="width:90%;"> 	
		<tr>
			<td  style="text-align:center !important;" > 
			<form id="frmRicercaRevisioni"  name="frmRicercaRevisioni" method="post" >
					<table  class="tblLegend" style="display:inline !important; float:center;" >
						<tr>
							<th colspan="2" style="text-align:center;" > mesi/anno di riferimento 
						<tr> 
							<th>anno
							<td><input type="text" name="Anno" /> 
						<tr> 
							<th>mese
							<td><input type="text" name="NumMese" /> 
							
						<tr>
							<th colspan="2" style="text-align:center;" > REVISIONI 
						<tr> 
							<th>data revisione >= 
							<td><input type="text" name="DataRevisione1" /> 
							
						<tr> 
							<th>data revisione <=
							<td><input type="text" name="DataRevisione2" /> 
					
						<tr> 
							<th>data scadenza >= 
							<td><input type="text" name="DataScadenza1" /> 
							
						<tr> 
							<th>data scadenza <=
							<td><input type="text" name="DataScadenza2" />  
							
						<tr>
							<th colspan="2" style="text-align:center;" > AUTOMEZZI 
							
						<tr> 
							<th>massa complessiva <=
							<td><input type="text" name="MassaComplessiva1" />  	
							
						<tr> 
							<th>massa complessiva >=
							<td><input type="text" name="MassaComplessiva2" />  							
							
						<tr> 
							<td colspan="2"><input type="button" value="ricerca" onclick="ricercaManuale();" style="width:100%;" /> 			
					</table>	 
			</form>		
	</table>	
</div> 

<form id="form1" name="form1" method="post" >
	<input type="hidden" name="ID" />
</form>	 
  
  
</body>
</html>
