<?php  
header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report".time().".xls");

session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
	
require_once("$_POST[modalita]/automezzi_sql.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
		<style>		
		th
		{
			color: black;
			font-weight: bold;
		} 
		
		table
		,th
		,td	
		{
			border: 0.5pt solid black; 
			font-size:12px; 
		}	
		</style>
	</head>
	
<body> 
 
<table>
	<thead>
		<tr> 
			<th>Numero
			<th>Targa 
			<th>Immatricolazione 
			<th>MassaComplessiva 
			<th>Tipo
			<th>tipo pneumatico
			<th>Alimentazione
			<th>Attivo
		</tr>   
	</thead>
	
	<tbody>	
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{ 
		$IdAutomezzo = $rs['ID'];
		
		$Stato = "X";
		if( is_numeric($rs[Stato])  &&  $rs[Stato]==1 )
			$Stato = "SI";
		elseif( is_numeric($rs[Stato])  &&  $rs[Stato]==0 )
			$Stato = "NO"; 
?>
	<tr>	 
		<td><?php echo htmlentities($rs[Numero]) ?>	
		<td><?php echo htmlentities($rs[Targa]) ?>	 
		<td><?php echo ntxDate($rs[DataImmatricolazione]) ?>	 
		<td><?php echo ntxRound($rs[MassaComplessiva],2) ?>	 
		<td><?php echo htmlentities($rs[Tipo]) ?> 
		<td><?php echo htmlentities($rs[TipoPneumatico]) ?> 
		<td><?php echo htmlentities($rs[Alimentazione]) ?> 
		<td><?php echo $Stato ?>	
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
	</tbody>	
</table> 
		
</body>
</html>
