<?php  
header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
	
require_once("$_POST[modalita]/automezzi_sql.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
		<meta charset="UTF-8">
		<style>		
		th
		{
			color: black;
			font-weight: bold;
		} 
		
		table
		,th
		,td	
		{
			border: 0.5pt solid black; 
			font-size:12px; 
		}	
		
		.td2
		{
			background: #C0C0C0;
		}
		</style>
	</head>
<body> 
 
<table>
	<tr>
		<th>segnalazioni
		<th>litri / km 
		<th>Numero
		<th>Targa
		<th>Cantiere
		<th>Descrizione
		<th>Immatricolazione
		<th>Acquisto
		<th>Tara 
		<th>Tipo
		<th>Attivo
	</tr>   
<?php
	$alternate = true;
	
	while( $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "td2";  
		
		$IdAutomezzo = $rs['ID'];
		
		$Stato = "X";
		if( is_numeric($rs[Stato])  &&  $rs[Stato]==1 )
			$Stato = "SI";
		elseif( is_numeric($rs[Stato])  &&  $rs[Stato]==0 )
			$Stato = "NO";	
?>
		<tr>
			<?php
			$IdAutomezzo = $rs[ID]; 
			require('../automezzi_variabili_globali/_controllo_segnalazioni_evase.php');	
			?>
			<td class="<?php echo $classe ?>" style="text-align:center;" > 
			<?php echo $title?> 

			<?php
			$IdAutomezzo = $rs[ID];
			$MeseControllo = $_POST[MeseControllo];
			$AnnoControllo = $_POST[AnnoControllo];
			require('../automezzi_inserimento_dati/_controllo_anomalie_carburante.php');	
			?>
			<td class="<?php echo $classe ?>" style="text-align:center;" > 
			<?php echo $title?>	 
			
			<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Numero]) ?>	
			<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Targa]) ?>	
			<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Localizzazione]) ?>	
			<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Descrizione]) ?>	
			<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[AnnoImmatricolazione]) ?>	
			<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[AnnoAcquisto]) ?>	
			<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxRound($rs[Tara],2) ?>	 
			<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Tipo]) ?> 
			<td class="<?php echo $classe ?>" >&nbsp;<?php echo $Stato ?>	
		</tr>
<?php 
		$alternate = !$alternate;
	}
?>
</table>  
		
</body>
</html>
