<?php
require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa'); 
$IdElemento = ntxip('IdElemento');
 
 
$result = array();

$sql = <<< sql
SELECT    
	AutomezziRevisioni.*, 
	Automezzi.Numero, Automezzi.Targa, Automezzi.Modello, Automezzi.MassaComplessiva
	
FROM         
	AutomezziRevisioni 
	INNER JOIN
	Automezzi ON AutomezziRevisioni.IdAutomezzo = Automezzi.ID
	
WHERE     
	AutomezziRevisioni.ID = $IdElemento
sql;
  
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{
	$Targa = $rs[Targa];
	$Numero = $rs[Numero];
	$Modello = $rs[Modello];
	$Descrizione = "revisione con scadenza ".ntxDate($rs[DataScadenza])." e frequenza di ".ntxRound($rs[FrequenzaRevisione],2)." mesi";
	
	$color = "#CD5555";
	
	$Data = $rs[DataScadenza];  

	
	$result[] = array(
		'id' => "REVISIONE"."_"."COM:$IdCommessa"."_"."ID:$IdElemento" 
		,'title' => "[".strtoupper($Numero)." - ".strtoupper($Targa)."] - ".$Descrizione
		,'start' => $Data
		,'end' => $Data 
		 
		,'Data' => ntxDateTime($Data)    
		,'DataRevisione' => ntxDateTime($rs[DataRevisione])    
		,'Numero' => htmlentities($rs[Numero])   
		,'Modello' => htmlentities($rs[Modello])   
		,'Targa' => htmlentities($rs[Targa])   
		,'MassaComplessiva' => ntxRoundThousand($rs[MassaComplessiva],2)   
		,'Descrizione' => htmlentities($rs[Descrizione])   
		,'Note' => htmlentities($rs[Note])   
		
		,'sqlData' => $rs[Data]
		
		,'allDay' => false
		,'color' => $color
	);
}


$json = new Services_JSON();
echo $json->encode( $result  );
?>
