<?php
require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa'); 
$IdElemento = ntxip('IdElemento');
 
 
$result = array();

$sql = <<< sql
SELECT     
	AutomezziConducenti.Nome+' '+AutomezziConducenti.Cognome+' - '+AutomezziConducenti.CodiceFiscale AS Conducente, 
	Automezzi.Targa, Automezzi.Modello, Automezzi.AnnoImmatricolazione, Automezzi.AnnoAcquisto, 
	Automezzi2Conducente.ID, Automezzi2Conducente.Data1, Automezzi2Conducente.Data2
	
FROM         
	Automezzi2Conducente 
	INNER JOIN
	AutomezziConducenti ON Automezzi2Conducente.IdConducente = AutomezziConducenti.ID 
	INNER JOIN
	Automezzi ON Automezzi2Conducente.IdAutomezzo = Automezzi.ID
	
WHERE     
	Automezzi2Conducente.ID = $IdElemento 
sql;
 
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{
	$Targa = $rs[Targa];
	$Conducente = $rs[Conducente];
	$Descrizione = $rs[Descrizione];
	
	$color = "#6495ED";
	
	$Data1 = $rs[Data1];  
	$Data2 = $rs[Data2];  

	
	$result[] = array(
		'id' => "ASSEGNAZIONE_CONDUCENTI"."_"."COM:$IdCommessa"."_"."ID:$IdElemento" 
		,'title' => "[".strtoupper($Targa)."] - ".$Conducente 
		,'start' => $Data1
		,'end' => $Data2 
		 
		,'Data1' => ntxDateTime($rs[Data1])  
		,'Data2' => ntxDateTime($rs[Data2])   
		,'Targa' => htmlentities($rs[Targa])   
		,'Conducente' => htmlentities($rs[Conducente])   
		
		,'sqlData1' => $rs[Data1]
		,'sqlData2' => $rs[Data2]
		
		,'allDay' => false
		,'color' => $color
	);
}


$json = new Services_JSON();
echo $json->encode( $result  );
?>
