<?php	
/*
Il modulo per funzionare richiede:

- $IdAutomezzo  
- $MeseControllo  
- $AnnoControllo
 
*/
	
$sql = <<<_SQL
SELECT   SUM(AutomezziKilometri.KM) AS Somma 
FROM  AutomezziKilometri 
WHERE  
	AutomezziKilometri.IdAutomezzo = $IdAutomezzo 
	AND MONTH(AutomezziKilometri.DataImmissione) = $MeseControllo
	AND YEAR(AutomezziKilometri.DataImmissione) = $AnnoControllo
_SQL;
$KM = ntxScalar($sql); 


$sql = <<< _SQL
SELECT SUM(AutomezziMulticardLetture.Litri) AS Somma 
FROM         
	AutomezziMulticardLetture 
	INNER JOIN
	AutomezziMulticard ON AutomezziMulticardLetture.IdMulticard = AutomezziMulticard.ID 
	INNER JOIN
	Automezzi2Multicard ON AutomezziMulticard.ID = Automezzi2Multicard.IdMulticard 
WHERE     
	Automezzi2Multicard.IdAutomezzo = $IdAutomezzo 
	AND AutomezziMulticardLetture.DataImmissione >= Automezzi2Multicard.DataInizio
	AND AutomezziMulticardLetture.DataImmissione <= Automezzi2Multicard.DataFine
	
	AND MONTH(AutomezziMulticardLetture.DataImmissione) = $MeseControllo
	AND YEAR(AutomezziMulticardLetture.DataImmissione) = $AnnoControllo	
_SQL;
$Litri = ntxScalar($sql);  

$src = '/repository/_img/pallini/bianco.png';
$title = 'nessun LITRO inserito, nessun KM inserito';

if( is_numeric($Litri))
{
	$src = '/repository/_img/pallini/rosso.png';
	$title = 'LITRI inseriti, nessun KM inserito';
}

if( is_numeric($KM))
{
	$src = '/repository/_img/pallini/rosso.png';
	$title = 'KM inseriti, nessun LITRO inserito';
}

if( is_numeric($Litri)  &&  is_numeric($KM))
{
	$src = '/repository/_img/pallini/verde.png';
	$title = 'KM inseriti e LITRI inseriti';
}
?>