<?php  
session_start(); 
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
require($_SERVER['DOCUMENT_ROOT'].'/repository/php/tabs/tabs_jquery.inc');  

$IdCommessa = ntxise('IdCommessa');  

/*
	**STATO
	10 : registato
	20 : chiuso
	
	**TIPO
	1 : sveglia
	2 : avviso
*/

$arrayStato[10] = 'registato';
$arrayStato[20] = 'chiuso';
foreach ($arrayStato as $id => $nome)
{
	$sql = <<<_SQL
	SELECT ID
	FROM  PortineriaEventiStato
	WHERE 
		IdCommessa = $IdCommessa
		AND ID = $id
_SQL;
	$IdEsiste = ntxScalar($sql); 
	
	if( !is_numeric($IdEsiste)  )
	{
		$PortineriaEventiStato= new NtxTable("PortineriaEventiStato");
		$Insert= $PortineriaEventiStato->insert();

		$Insert->set("ID", $id );
		$Insert->set("Nome", $nome );
		$Insert->set("IdCommessa", $IdCommessa);	 
								
		$Insert->execute();	  
	} 
}


$arrayTipo[1] = 'sveglia';
$arrayTipo[2] = 'avviso';
foreach ($arrayTipo as $id => $nome)
{
	$sql = <<<_SQL
	SELECT ID
	FROM  PortineriaEventiTipo
	WHERE 
		IdCommessa = $IdCommessa
		AND ID = $id
_SQL;
	$IdEsiste = ntxScalar($sql); 
	
	if( !is_numeric($IdEsiste)  )
	{
		$PortineriaEventiTipo= new NtxTable("PortineriaEventiTipo");
		$Insert= $PortineriaEventiTipo->insert();

		$Insert->set("ID", $id );
		$Insert->set("Nome", $nome );
		$Insert->set("IdCommessa", $IdCommessa);	 
								
		$Insert->execute();	  
	} 
}


$prefisso = "f1410940389"; 

$keys[] = "calendario";			$caption[] = "Calendario";			$links[] = "";   
$keys[] = "ricerca";			$caption[] = "Eventi";				$links[] = "";
$keys[] = "edit";				$caption[] = "Edit Evento";			$links[] = "";

$tabs = new tbJq($prefisso , $keys , $caption, $links); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<?php echo  tbJq::tbJq_requirements(); ?>
		<script type="text/javascript" src="/repository/libs/jquery/jquery.blockUI.js"></script>		
		<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	</head>

<body>	  

	<form name="form1" id="form1" method="post"> 
		<input type="hidden" name="cartella_ricerca"  	value="<?php echo $cartella_ricerca ?>" /> 
		<input type="hidden" name="attore"  			value="<?php echo $attore ?>" />
	</form>	 
 
	<script  type="text/javascript">  
	$(function() 
	{
		<?php echo $tabs->tbJq_init(); ?> 
  
		tbJq_updateTabFrame(document.form1, "calendario", 'calendar.php');
		tbJq_updateTabFrame(document.form1, "ricerca", 'ricerca_eventi.php');
		tbJq_updateTabFrame(document.form1, "edit", 'edit_eventi.php');
		
		tbJq_showTabFrame('calendario');
	}); 
	
	<?php echo  $tabs->tbJq_createJavascript(); ?>	
	</script>
	

	<?php echo  $tabs->tbJq_createHTML(); ?>
	 	
		
		

	<div id="dialog" title="" style="display:none;padding:0px;margin:0px;">
		<iframe id="frameDialog"   scrolling="auto" marginWidth="0" marginHeight="0" frameBorder="0" border="0" allowTransparency="true"  style="border: none; width:100%; height:100%; background:transparent; display:block; overflow:auto;"></iframe>
	</div>		
	
	<script  type="text/javascript">  	 
	function aggiungiElementi(type, elem1, elem2)
	{
		function creaDialog()
		{
			$("#dialog").dialog(
			{ 
				title: title,
				modal: true,
				position: ['top',20],
				width: $(document).width()*3/4,
				height: $(document).height()*3/4,
				buttons: 
				{	
					"chiudi": function() 
					{  					
					
						$(this).dialog("close");
					}
				}
			} );			
		} 
		
		var title = "";
		
		if(type=='carica_evento')
		{
			$("#frameDialog").attr("src","edit_eventi.php?ID="+elem1+"&modalitaPopup=1");
			title = "Modifica un evento";
		}	 
		
		if(type=='nuovo_evento')
		{
			$("#frameDialog").attr("src","edit_eventi.php?DataAvviso="+elem2+"&modalitaPopup=1");
			title = "Modifica un evento";
		}	  
		
		$('#frameDialog').load(function() 
		{
			$('#frameDialog').unbind('load');
			creaDialog();
		});	
	}  	
	</script>
</body>

</html>