<?php
$IdCommessa = ntxise('IdCommessa');  

$sql = <<< sql
SELECT  DISTINCT      
	PortineriaEventi.* 
	,Ambiente.CodiceAssAmbiente 
	,ElencoEdifici.Codice+' '+ElencoEdifici.EdificioBreve AS Edificio
	,tblUtPersonale.Nome AS Studente
	
FROM         
	PortineriaEventi   	
	LEFT OUTER JOIN
	Ambiente ON PortineriaEventi.IdCommessaAmbiente = Ambiente.IdCommessa AND PortineriaEventi.IdEdificioAmbiente = Ambiente.IdEdificio AND PortineriaEventi.IdAmbiente = Ambiente.IDAmbiente	
	LEFT OUTER JOIN 
	ElencoEdifici ON PortineriaEventi.IdCommessa = ElencoEdifici.IdCommessa AND PortineriaEventi.IdEdificio = ElencoEdifici.ID
	LEFT OUTER JOIN 
	tblUtPersonale ON PortineriaEventi.IdCommessaStudente = tblUtPersonale.IdCommessa AND PortineriaEventi.IdStudente = tblUtPersonale.IdPersona
	
WHERE    
	(PortineriaEventi.ID = $ID)   
sql;


$msg_error = "PortineriaEventi with $ID not found!";
$record = ntxRecordArray($sql, $msg_error);
    

$record[DataAvviso] = ntxDateTimeT( $record[DataAvviso] ); 


$record[DataRegistrazione] = ntxDateTime( $record[DataRegistrazione] );
$record[DataModifica] = ntxDateTime( $record[DataModifica] );
 
   
$record = ntxRecordTranslate($record);

ntxMsgResult( $record );
?>