<?php
	
$table = <<< table
	<table class=grid>
		<tr>
			<th>Id Edificio
			<th>Codice Edificio
			<th>Nome Edificio
table;

for($i=0;$i<$countMestieri;++$i)
{
	$mestiere = $mestieri[$i];
	
	$table .= <<< table
			<th>$mestiere[Descrizione]
table;
}

$ii = 0;

foreach($edifici as $edificio)
{
	$table .= <<< table
		<tr>
			<td style="font-weight:bold">$edificio[IdEdificio]
			<td style="font-weight:bold">$edificio[Codice]
			<td style="font-weight:bold">$edificio[EdificioBreve] - $edificio[Indirizzo] - $edificio[CITTA] ($edificio[PROVINCIA])
table;

	for($i=0;$i<$countMestieri;++$i)
	{
		$mestiere = $mestieri[$i];
		
		$gestoriEM = $gestori[$edificio[IdEdificio]][$mestiere[IdMestiere]];
		
		$attoriEM = $attori[$edificio[IdEdificio]][$mestiere[IdMestiere]];
		
		$backgroundColor = "white";
		
		$addStyleGestione = "";
		
		$message = "";
		
		if ( $TipoContratto=="gestione" )
		{
			$count = count($gestoriEM);
			
			if ( $duplicatiGestori[$edificio[IdEdificio]][$mestiere[IdMestiere]] ) {
				$backgroundColor = "pink";
				$message .= ($message ? "<br><br>" : "")."contratti gestione sovrapposti!";
			}
			elseif ( $count>0 ) $backgroundColor = "lightgreen;";
			
			$addStyle = $count>0 ? "cursor:pointer;" : "";
			$onclick = $count>0 ? "onclick='goDettaglio($edificio[IdEdificio],$mestiere[IdMestiere])'" : "";
		}
		else
		{
			$count1 = count($gestoriEM);
			$count2 = count($attoriEM);
			
			$attivitàGestione = $gestoriAttivitàPerEdificio[$rs[IdEdificio]][$rs[IdMestiere]];
			$attivitàAttore = $attoriAttivitàPerEdificio[$rs[IdEdificio]][$rs[IdMestiere]];
			
			$ciSonoTutti = true;
			$ceNeSonoDiPiù = false;
			
			if ( is_array($attivitàGestione)  &&  is_array($attivitàAttore) )
			{
				foreach($attivitàGestione as $IdAttività)
				{
					if ( !in_array($IdAttività, $attivitàAttore) )
					{
						$ciSonoTutti = false;
						break;
					}
				}
				
				foreach($attivitàAttore as $IdAttività)
				{
					if ( is_array($attivitàGestione)  &&  !in_array($IdAttività, $attivitàGestione) )
					{
						$ceNeSonoDiPiù = true;
						break;
					}
				}
			}
			elseif ( is_array($attivitàGestione)  &&  !is_array($attivitàAttore) )
			{
				$ciSonoTutti = false;
				$ceNeSonoDiPiù = false;
			}
			elseif ( !is_array($attivitàGestione)  &&  is_array($attivitàAttore) )
			{
				$ciSonoTutti = false;
				$ceNeSonoDiPiù = true;
			}
			else
			{
				$ciSonoTutti = true;
				$ceNeSonoDiPiù = false;
			}
			
			if ( $duplicatiGestori[$edificio[IdEdificio]][$mestiere[IdMestiere]] ) 
				$addStyleGestione = "border:2px solid red;";
			elseif ( $count1>0 ) 
				$addStyleGestione = "border:2px solid green;";
			
			if ( ($count1==0  &&  $count2>0) 
					|| $duplicatiAttori[$edificio[IdEdificio]][$mestiere[IdMestiere]]
					|| ($count1>0  &&  $count2==0)
					|| !$ciSonoTutti
					|| $ceNeSonoDiPiù) 
				$backgroundColor = "pink";
			elseif ( $count2>0 ) 
				$backgroundColor = "lightgreen";
			
			if ( $duplicatiGestori[$edificio[IdEdificio]][$mestiere[IdMestiere]] ) 
				$message .= ($message ? "<br><br>" : "")."contratti gestione sovrapposti!";
			
			if ( $count1==0  &&  $count2>0 ) 
				$message .= ($message ? "<br><br>" : "")."contratti $tipo_contratto senza contratti gestione!";
			
			if ( $count1>0  &&  $count2==0 ) 
				$message .= ($message ? "<br><br>" : "")."contratti gestione senza contratti $tipo_contratto!";
			
			if ( !$ciSonoTutti ) 
				$message .= ($message ? "<br><br>" : "")."su contratti $tipo_contratto mancano attività contratti gestione!";
			
			if ( $ceNeSonoDiPiù ) 
				$message .= ($message ? "<br><br>" : "")."su contratti $tipo_contratto ci sono più attività che in contratti gestione!";
			
			if ( $duplicatiAttori[$edificio[IdEdificio]][$mestiere[IdMestiere]] ) 
				$message .= ($message ? "<br><br>" : "")."contratti $tipo_contratto sovrapposti!";
			
			$addStyle = $count2>0 ? "cursor:pointer;" : "";
			$onclick = $count2>0 ? "ondblclick='goDettaglio($edificio[IdEdificio],$mestiere[IdMestiere])'" : "";
		}
		
		$table .= "<td style='padding:0;background-color:$backgroundColor;$addStyle' $onclick >";
		$table .= "<div style='margin:0;padding:0;width:300px;height:150px;overflow-y:auto;overflow-x:hidden;background-color:transparent' divMatr=$ii stato=compresso onclick='EsplodiMatr($ii)' >";
		
		$ii++;
		
		if ( $message ) $table .= "<p style='margin:0;font-weight:normal;color:red;background:white;border:1px solid red'>$message</p>";
		
		if ( is_array($gestoriEM) || is_object($gestoriEM) )
		 foreach($gestoriEM as $gestore)
			$table .= "<p style='margin:0;font-weight:bold;background:transparent;font-size:1.1em;$addStyleGestione'>$gestore</p><br>";
		
		if ( is_array($attoriEM) || is_object($attoriEM) )
		 foreach($attoriEM as $attore)
			$table .= "<p style='margin:0;background:transparent'>$attore</p><br>";
			
		$table .= "</div>";
	}
}

$table .= <<< table
	</table>
table;

echo $table;

	
?>