<?php
	
$where = "WHERE (tblPgContrattiAffidatari.IdCommessa = $IdCommessa) AND tblPgContrattiAffidatari.Aperto=1";

$where .= "AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $IdEdificio)";

$where .= "AND (tblMestieri.IdMestiere = $IdMestiere)";

if ( $DataInizio!="NULL" ) $where .= "AND (tblPgContrattiAffidatari.DataFine >= $DataInizio)";

if ( $DataFine!="NULL" ) $where .= "AND (tblPgContrattiAffidatari.DataInizio <= $DataFine)";

//attività componenti mestiere
$sql = <<< sql
SELECT DISTINCT tblAttivitàMestiere.Ordine, tblAttivitàMestiere.codice, tblAttivitàMestiere.IdComponenteMestiere, 
				tblAttivitàMestiere.IdAttivitàMestiere, tblAttivitàMestiere.Descrizione,
					 tblAttivitàMestiere.Tipologia, tblFrequenzeMestieri.Descrizione AS Frequenza,
					tblPgAffidatari.Nome AS Attore, tblPgRifAffidatari.Nome AS Attore2, tblPgContrattiAffidatari.IdPgContrattoAffidatario IdContratto, tblPgContrattiAffidatari.Descrizione DesContratto,
					tblPgContrattiAffidatari.DataInizio, tblPgContrattiAffidatari.DataFine,
					tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario IdContratto2, tblPgContrattiRifAffidatari.Descrizione Descrizione2
FROM         tblPgRifAffidatari INNER JOIN
                      tblPgContrattiRifAffidatari INNER JOIN
                      tblPgContrattiAffidatari INNER JOIN
                      tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario ON 
                      tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario ON 
                      tblPgRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblPgContrattiRifAffidatariAttivitàEdifici ON 
                      tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
                      tblPgPropietari INNER JOIN
                      ElencoEdifici ON tblPgPropietari.IdPropietario = ElencoEdifici.IdProprietario ON tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblComponetiMestiere INNER JOIN
                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere ON 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
					   INNER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
$where
order by Ordine, codice, Descrizione, Attore, IdContratto
sql;

$query = ntxQuery($sql);

$listaIdComponenteMestiere = array();

$ceComponenteMestiere = array();

$occorrenzeAttività = array();

$attivitàMestieri = array();

while($rs=ntxRecord($query))
{
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	$html = array();
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$listaIdComponenteMestiere[$rs[IdComponenteMestiere]] = $rs[IdComponenteMestiere];	
	$ceComponenteMestiere[$rs[IdComponenteMestiere]] = 1;	
	
	$occorrenzeAttività[$rs[IdComponenteMestiere]][$rs[IdAttivitàMestiere]] += 1;	
	
	$attivitàMestieri[$rs[IdComponenteMestiere]][] = $html;	
}

foreach($listaIdComponenteMestiere as $IdComponenteMestiere)
{
	$occorrenze = $occorrenzeAttività[$IdComponenteMestiere];
	
	foreach($occorrenze as $num_occorrenze)
	{
		if ($num_occorrenze>1)
		{
			$doppioniAttivitàInComponente[$IdComponenteMestiere] = 1;
			break;
		}
	}
}


?>