<?php
	
$sql = <<< sql
	SELECT     IdComponenteMestiere, Descrizione, codice
	FROM         tblComponetiMestiere
	WHERE     (IdCommessa = $IdCommessa) AND (IdMestiere = $IdMestiere)
	ORDER BY Ordine, codice, Descrizione
sql;

$query = ntxQuery($sql);

$table1 = <<< table1
	<table class=grid>
		<tr>
			<th>Stato
			<th>Codice
			<th>Componente
			<th>Errori
table1;

$table2 = <<< table2
	<table class=grid style='display:none' id=tbl2>
		<tr>
			<th>Stato
			<th>Codice
			<th>Attività
			<th>Tipologia
			<th>Frequenza
			<th>$tipo_attore
			<th>Contratto $tipo_contratto
			<th>Errori
table2;

while($rs=ntxRecord($query))
{
	$IdComponenteMestiere = $rs[IdComponenteMestiere];

	if ( $doppioniAttivitàInComponente[$IdComponenteMestiere] )
	{
		$Stato = "KO";
		$Colore = "pink";
		$Errori = "Ci sono attività doppie!";
	}
	else
	{
		$Stato = "OK";
		$Colore = "lightgreen";
		$Errori = "nessun errore";
	}
	
	$html = array();
	
	if ( !$ceComponenteMestiere[$IdComponenteMestiere] ) continue;
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$table1 .= <<< table1
		<tr tab1row=$IdComponenteMestiere>
			<td style="background:$Colore;cursor:pointer" onclick="Compatta($IdComponenteMestiere)">$Stato
			<td>$html[codice]
			<td>$html[Descrizione]
			<td>$Errori
table1;

	$attività = $attivitàMestieri[$IdComponenteMestiere];

	$IdAttivitàMestiereOLD = "X";
	
	foreach($attività as $html2)
	{
		if ( $IdAttivitàMestiereOLD!=$html2[IdAttivitàMestiere] )
		{
			if ( $IdAttivitàMestiereOLD!="X" )
				$table2 .= "<tr  tab2row=$IdComponenteMestiere><td colspan=8 style=\"font-size:0.1em;background:grey\">---";
			
			$IdAttivitàMestiereOLD = $html2[IdAttivitàMestiere];
		}
		
		if ( $occorrenzeAttività[$IdComponenteMestiere][$html2[IdAttivitàMestiere]]>1 )
		{
			$Stato2 = "KO";
			$Colore2 = "pink";
			$Errori2 = "Ci sono attività doppie!";
		}
		else
		{
			$Stato2 = "OK";
			$Colore2 = "lightgreen";
			$Errori2 = "nessun errore";
		}
		switch($html2[Tipologia])
		{
			case 1:
				$Tipologia = "Extracanone";
				break;
			case 2:
				$Tipologia = "Canone/Extracanone";
				break;
			default:
				$Tipologia = "Canone";
				break;
		}
		
		$Attore2 = $html2[Attore2] ? "<br><br>$html2[Attore2]" : "";
		
		$contratto2 = $html2[Attore2] ? "<br><br>$html2[IdContratto2] - $html2[Descrizione2]" : "";
		
		$table2 .= <<< table2
			<tr  tab2row=$IdComponenteMestiere style="display:none">
				<td style="background:$Colore2">$Stato2
				<td>$html2[codice]
				<td>$html2[Descrizione]
				<td>$Tipologia
				<td>$html2[Frequenza]
				<td>$html2[Attore] $Attore2
				<td>$html2[IdContratto] - $html2[DesContratto] valido dal $html2[DataInizio] al $html2[DataFine]
					$contratto2
				<td>$Errori2
table2;
	}
}

$table1 .= <<< table1
	</table>
table1;

$table2 .= <<< table2
	</table>
table2;
	

echo $table1;
echo "<input type=button id=btnNascondi value=\"Nascondi\" onclick=\"Nascondi()\" style=\"display:none\" />";
echo $table2;

?>