<?php

$titolo = "Dettaglio Controllo su";

switch($TipoContratto)
{
	case "fornitore":
		$titolo .= " Contratto Fornitore";
		$tipo_contratto = "fornitore";
		$tipo_attore = "fornitore";
		break;
	case "gestione":
		$titolo .= " Contratto Gestione";
		$tipo_contratto = "gestione";
		$tipo_attore = "gestore";
		break;
	case "affidatario":
		$titolo .= " Contratto Affidatario";
		$tipo_contratto = "affidatario";
		$tipo_attore = "affidatario";
		break;
	case "refAffidatario":
		$titolo .= " Contratto Rif.Affidatario";
		$tipo_contratto = "rif.affidatario";
		$tipo_attore = "rif.affidatario";
		break;
	default:
		die("Tipo contratto corrotto!");
}

echo "<h4>$titolo da $printDataInizio a $printDataFine";

$sql = <<< sql
	SELECT     ElencoEdifici.Codice, ID,
		ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA
	FROM         ElencoEdifici
	WHERE     (IdCommessa = $IdCommessa) AND (ID =$IdEdificio)
sql;
	
$rs = ntxRecord(ntxQuery($sql));

echo "<br>Localizzazione: ".htmlentities("$rs[ID] - $rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] - ($rs[PROVINCIA])")."";

$sql = <<< sql
	SELECT     Descrizione
	FROM         tblMestieri
	WHERE     (IdCommessa = $IdCommessa) AND (IdMestiere =$IdMestiere)
sql;
	
$Mestiere = htmlentities(ntxScalar($sql));

echo "<br>Mestiere: $Mestiere</h4>";

?>

<form name=formReload method=post>
	<input type=hidden name=IdEdificio value="<?php echo ntxjs($_POST[IdEdificio]) ?>" />
	<input type=hidden name=IdMestiere value="<?php echo ntxjs($_POST[IdMestiere]) ?>" />
	<input type=hidden name=DataInizio value="<?php echo ntxjs($_POST[DataInizio]) ?>" />
	<input type=hidden name=DataFine value="<?php echo ntxjs($_POST[DataFine]) ?>" />
	
	<span style="font-weight:bold">Tipo Contratto:</span> <select name="Tipo" onchange="formReload.submit()">
			<option value="fornitore"		<?php if($TipoContratto=="fornitore") echo "selected" ?>>Contratto Fornitori</option>
			<option value="gestione"		<?php if($TipoContratto=="gestione") echo "selected" ?>>Contratto Gestione</option>
			<option value="affidatario"		<?php if($TipoContratto=="affidatario") echo "selected" ?>>Contratto Affidatari</option>
			<option value="refAffidatario"	<?php if($TipoContratto=="refAffidatario") echo "selected" ?>>Referente Affidatario</option>
			</select>		
</form>

<script>

function Compatta(IdComponenteMestiere)
{
	$('tr[tab1row]').hide();
	$('tr[tab1row='+IdComponenteMestiere+']').show();
	$('#btnNascondi').show();
	$('#tbl2').show();
	$('tr[tab2row]').hide();
	$('tr[tab2row='+IdComponenteMestiere+']').show();
}

function Nascondi()
{
	$('tr[tab1row]').show();
	$('#btnNascondi').hide();
	$('#tbl2').hide();
}

</script>

