<?php
session_start();

require_once( "../../../../_libs/json/class.JSON.php");
require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$json = new Services_JSON();
$result = array();
 
$IdCommessa = ntxise('IdCommessa');  
 
 
$record = array(); 

$sql = <<<_SQL
SELECT  DISTINCT   
	IdCommessa, ID AS IdEdificio, 
	ISNULL(Codice, '') +' '+ ISNULL(EdificioBreve, '') +' '+ ISNULL(Sede, '') AS Edificio, 
	ISNULL(Indirizzo, '') +' '+  ISNULL(CAP, '') +' '+  ISNULL(CITTA, '') +' '+  ISNULL(PROVINCIA, '') AS Indirizzo, 
	Latitudine AS lat, Longitudine AS lng,
	Tipo
	
FROM         
	ElencoEdifici
	
WHERE 
	ID IN
	( 
		SELECT  CodEdificio  
		FROM  	Ordini		
		WHERE 
			StatoOrd = 35 OR StatoOrd = 40
	)
	AND (IdCommessa = $IdCommessa)
_SQL;

if( is_numeric($_POST['Tipo']) ) 
{
	if($Tipo==0 || !is_numeric($Tipo))
		$sql .= " AND ( Tipo = 0 OR Tipo IS NULL ) " ;
	else  
		$sql .= " AND ( Tipo = $Tipo ) " ;
}  

if ( isset($_POST['FiltroNomeEdificio'])  &&  strlen($_POST['FiltroNomeEdificio'])>0) 
{ 
	$str = stripslashes($_POST['FiltroNomeEdificio']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.EdificioBreve LIKE '%".$str."%' ";	
}

 
$query = ntxQuery($sql);
 
while(  $query  &&  $rs = ntxRecord($query) )
{	
	$IdEdificio = $rs['IdEdificio'];
	
	
	$sql = <<<_SQL
	SELECT      COUNT(Ordini.IdOrd) AS conteggio
	
	FROM         
		Richieste 
		INNER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa	
		
	WHERE     
		Ordini.CodEdificio = $IdEdificio
		AND Ordini.IDCommessa = $IdCommessa 
		AND Ordini.StatoOrd = 35 OR  Ordini.StatoOrd = 40
_SQL;

	$query2 = ntxQuery($sql);
	while(  $query2  &&  $rs2 = ntxRecord($query2) )
	{	
		$rs['ordini_in_corso' ] = $rs2['conteggio'];
	}
	
	
	$sql = <<<_SQL
	SELECT      COUNT(Ordini.IdOrd) AS conteggio
	
	FROM         
		Richieste 
		INNER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa	
		
	WHERE     
		Ordini.CodEdificio = $IdEdificio
		AND Ordini.IDCommessa = $IdCommessa
		AND Ordini.StatoOrd >=50 
		AND  Ordini.StatoOrd <> 60
		AND  Ordini.StatoOrd <> 70	
_SQL;

	$query2 = ntxQuery($sql);
	while(  $query2  &&  $rs2 = ntxRecord($query2) )
	{	
		$rs['ordini_finiti' ] = $rs2['conteggio'];
	}
	
	
	$sql = <<<_SQL
	SELECT      COUNT(Ordini.IdOrd) AS conteggio
	
	FROM         
		Richieste 
		LEFT OUTER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa	
		
	WHERE     
		Richieste.Localizzazione = $IdEdificio
		AND Richieste.IDCommessa = $IdCommessa
		AND Ordini.IdOrd IS NULL
		AND 
			(
				Richieste.Stato = -1
				OR Richieste.Stato = 1 		
			)
_SQL;

	$query2 = ntxQuery($sql);
	while(  $query2  &&  $rs2 = ntxRecord($query2) )
	{	
		$rs['richieste_da_gestire' ] = $rs2['conteggio'];
	}
	
	
	$sql = <<<_SQL
	SELECT      COUNT(Ordini.IdOrd) AS conteggio
	
	FROM         
		Richieste 
		LEFT OUTER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa	
		
	WHERE     
		Richieste.Localizzazione = $IdEdificio
		AND Richieste.IDCommessa = $IdCommessa
		AND Ordini.IdOrd IS NULL
		AND 
			(
				Richieste.Stato = 2 	
			)
_SQL;

	$query2 = ntxQuery($sql);
	while(  $query2  &&  $rs2 = ntxRecord($query2) )
	{	
		$rs['richieste_in_attesa_di_valut' ] = $rs2['conteggio'];
	} 
	
	
	
	
	
	
	/*$sql = <<<_SQL
	SELECT     COUNT(Ordini.IdOrd) AS conteggio, Ordini.StatoOrd
	
	FROM         
		Ordini 
		INNER JOIN
		StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato
		
	WHERE     
		(Ordini.CodEdificio = $IdEdificio) 
		AND (Ordini.StatoOrd = 35 OR  Ordini.StatoOrd = 40)
		AND (Ordini.IDCommessa = $IdCommessa)
_SQL;
	$sql .= " GROUP BY Ordini.StatoOrd " ;	

	$query2 = ntxQuery($sql);
	while(  $query2  &&  $rs2 = ntxRecord($query2) )
	{	
		$rs['ORDINE.'.$rs2['StatoOrd'] ] = $rs2['conteggio'];
	}	 
	
	$sql = <<<_SQL
	SELECT     COUNT(Richieste.IdRich) AS conteggio 
	
	FROM         
		Richieste  
		
	WHERE     
		(Richieste.Localizzazione = $IdEdificio) 
		AND 
			(
				Richieste.Stato = -1
				OR Richieste.Stato = 1
				OR Richieste.Stato = 2
				OR Richieste.Stato = 3
				OR Richieste.Stato = 4
				OR Richieste.Stato = 5
				OR Richieste.Stato = 15
				OR Richieste.Stato = 16
				OR Richieste.Stato = 18
				OR Richieste.Stato = 35
				OR Richieste.Stato = 40			
			)
		AND (Richieste.IDCommessa = $IdCommessa)	
_SQL;

	$rs['RICHIESTE_IN_CORSO' ] = ntxScalar($sql); */
  
  
  
  
	 
	$record[] = $rs;
}

echo $json->encode( $record  );
?>
