<?php 
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');   
?>
<!DOCTYPE html>
<html>
<head>
	 
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/>  
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">		
	<script type="text/javascript" src="../../google_maps/js/decode.js"></script> 
	
	<script type="text/javascript" src="algoritmi_distanza.js?v=<?php echo time(); ?>"></script> 	
	<script type="text/javascript" src="gestione_geometrie.js?v=<?php echo time(); ?>"></script> 	
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
 
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.2.1.min.js"></script>
	
	<link href="mappa.css" rel="stylesheet" type="text/css" >	
	
	<style type="text/css">
	</style>		
	
	<script type="text/javascript"> 
	var map = null;  
	
	var Risorse = {};
	Risorse.Dati = new Array();	
	Risorse.Identificativi = new Array();	
	Risorse.arrayLatLng = new Array();	
	Risorse.markersArray = new Array();
	Risorse.infoWindowArray = new Array();	
	
	
	var Edifici = {};
	Edifici.Identificativi = new Array();	
	Edifici.arrayLatLng = new Array();	
	Edifici.markersArray = new Array();
	Edifici.infoWindowArray = new Array();	
	
	
	var PuntiIntervento = {};
	PuntiIntervento.Identificativi = new Array();	
	PuntiIntervento.arrayLatLng1 = new Array();	
	PuntiIntervento.arrayLatLng2 = new Array();	
	PuntiIntervento.markersArray1 = new Array();
	PuntiIntervento.markersArray2 = new Array();
	PuntiIntervento.polylines = new Array();
	PuntiIntervento.infoWindowArray = new Array();		
	
	
	
	var arrayDirectionsDisplay = new Array();	
	var arrayDirectionsService = new Array();	
	
	var tmpDirectionsDisplay = null;
	var tmpDirectionsService = null;
	
	
	function createMap() 
	{   
		var options = {
			zoom: 15,
			center:  new google.maps.LatLng(44.4942191, 11.3464815),
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	
		
		map = new google.maps.Map(document.getElementById('map'), options);
		
		google.maps.event.addListenerOnce(map, 'idle', function() // do something only the first time the map is loaded
		{ 
			//caricaDati();
			//ricercaLocalizzazione();
			
		});
		
	}		 
	
	function clearOverlaysRisorse() 
	{   
		if (Risorse.markersArray) 
		{     
			for (i in Risorse.markersArray) 
			{       
				Risorse.markersArray[i].setMap(null);     
			}
		
			for (i in Risorse.infoWindowArray) 
			{       
				Risorse.infoWindowArray[i].close();     
			} 	
		} 	
		
		
		delete Risorse.Dati;	
		delete Risorse.Identificativi;	
		delete Risorse.arrayLatLng;	
		delete Risorse.markersArray;	
		delete Risorse.infoWindowArray;	 	

		Risorse.Dati = new Array();	
		Risorse.Identificativi = new Array();	
		Risorse.arrayLatLng = new Array();	
		Risorse.markersArray = new Array();
		Risorse.infoWindowArray = new Array();			
	} 	
	
	function clearOverlaysEdifici() 
	{   
		if (Edifici.markersArray) 
		{     
			for (i in Edifici.markersArray) 
			{       
				Edifici.markersArray[i].setMap(null);     
			}
		
			for (i in Edifici.infoWindowArray) 
			{       
				Edifici.infoWindowArray[i].close();     
			} 	
		} 	
		
		delete Edifici.Identificativi;	
		delete Edifici.arrayLatLng;	
		delete Edifici.markersArray;	
		delete Edifici.infoWindowArray;	 	

		Edifici.Identificativi = new Array();	
		Edifici.arrayLatLng = new Array();	
		Edifici.markersArray = new Array();
		Edifici.infoWindowArray = new Array();			
	} 		 
	
	
	function clearOverlaysPuntiIntervento() 
	{    
		if (PuntiIntervento.markersArray1) 
		{     
			for (i in PuntiIntervento.markersArray1) 
			{    
				if(PuntiIntervento.markersArray1[i]!=null)
					PuntiIntervento.markersArray1[i].setMap(null);     
			} 
		} 
	
		if (PuntiIntervento.markersArray2) 
		{     
			for (i in PuntiIntervento.markersArray2) 
			{     
				if(PuntiIntervento.markersArray2[i]!=null)
					PuntiIntervento.markersArray2[i].setMap(null);     
			} 
		} 
	
		if (PuntiIntervento.infoWindowArray) 
		{     
			for (i in PuntiIntervento.infoWindowArray) 
			{     
				if(PuntiIntervento.infoWindowArray[i]!=null)
					PuntiIntervento.infoWindowArray[i].setMap(null);     
			} 
		} 
	
		if (PuntiIntervento.polylines) 
		{     
			for (i in PuntiIntervento.polylines) 
			{ 
				if(PuntiIntervento.polylines[i]!=null)
					PuntiIntervento.polylines[i].setMap(null);     
			} 
		}  
		
		delete PuntiIntervento.Identificativi;	
		delete PuntiIntervento.arrayLatLng1;
		delete PuntiIntervento.arrayLatLng2;
		delete PuntiIntervento.markersArray1;	
		delete PuntiIntervento.markersArray2;	
		delete PuntiIntervento.polylines;	
		delete PuntiIntervento.infoWindowArray;	 	

		PuntiIntervento.Identificativi = new Array();	
		PuntiIntervento.arrayLatLng1 = new Array();	
		PuntiIntervento.arrayLatLng2 = new Array();	
		PuntiIntervento.markersArray1 = new Array();
		PuntiIntervento.markersArray2 = new Array();
		PuntiIntervento.polylines = new Array();
		PuntiIntervento.infoWindowArray = new Array();			
	} 		 
	
	
	function clearOverlaysDirectionsDisplay() 
	{   
		if (arrayDirectionsDisplay) 
		{     
			for (i in arrayDirectionsDisplay) 
			{       
				arrayDirectionsDisplay[i].setMap(null);     
			} 
		} 	
		
		delete arrayDirectionsDisplay;	 	

		arrayDirectionsDisplay = new Array();	 	
	} 		 
	
	function caricaDati()
	{  
		if(tmpDirectionsDisplay != null )
			tmpDirectionsDisplay.setMap(null); 
			
		try
		{		
			$('#dialog').dialog("close");
			$('#panel').hide();  	
		}
		catch(ex){}
 
	
		clearOverlaysRisorse();	
		clearOverlaysEdifici();	
		clearOverlaysPuntiIntervento();	
		
		trovaGPSedifici();
		trovaGPSrisorse();	 
		//trovaPuntiInterventoEdifici(); 
		
		estendiMappa();
	}  

	
	function estendiMappa()
	{
		var elemPresenti = false;
		
		var bounds = new google.maps.LatLngBounds();
		
		if(Risorse.arrayLatLng.length>0)
		{  
			elemPresenti = true;
			
			for (i in Risorse.arrayLatLng)
				bounds.extend(Risorse.arrayLatLng[i]); 
		}

		if(Edifici.arrayLatLng.length>0)
		{  
			elemPresenti = true;
			
			for (i in Edifici.arrayLatLng)
				bounds.extend(Edifici.arrayLatLng[i]);
		}
	
		if(elemPresenti)
		{
			map.fitBounds(bounds);
			map.setCenter(bounds.getCenter());			
		} 	
	}
	
	function trovaPuntiInterventoEdifici(IdEdificio)
	{ 	
		if( $.isNumeric(IdEdificio) )
		{   
			var myArray = [
				'blue', 
				'brown', 
				'darkgreen',
				'green',
				'orange',
				'paleblue',
				'pink',
				'purple',
				'red',
				'yellow'
			];   
					
			var rand = myArray[Math.floor(Math.random() * myArray.length)];  
			
			jhpa("jhp/carica_punti_intervento.php", { IdEdificio:IdEdificio  }, function(result)
			{
			 
				if(result.state)
				{
					console.log('Non sono riuscito a prelevare i punti di intervento per un edificio con id: '+IdEdificio+'!\n'+result.message);
				}
				else
				{
					var yourObject =  result.value;   
				
					$.each( yourObject, function(index, element) 
					{ 	
						var lat1 = ''+element.Latitudine;
						var lng1 = ''+element.Longitudine;		
						
						var lat2 = ''+element.Latitudine2;
						var lng2 = ''+element.Longitudine2;			 
		
						if 
							( 
								(
									$.isNumeric(lat1)  &&  lat1>0
									 && 
									$.isNumeric(lng1)  &&  lng1>0  
								)
								||
								(
									$.isNumeric(lat2)  &&  lat2>0
									 && 
									$.isNumeric(lng2)  &&  lng2>0  
								)
							)	
						{ 
							var Id = ''+element.Id;
							var Polilinea = ''+element.Polilinea;
							var Geometria = ''+element.Geometria; 
							
							if(Polilinea.length>1 ) 
							{			
								var colore =  '#DC143C';//rosso
								
								if( $.isNumeric(Geometria)  &&  Geometria==0)
									createPolyline(Polilinea, colore, map, PuntiIntervento.polylines);
								else	
									createPolygon(Polilinea, colore, map, PuntiIntervento.polylines);
							}	  			
							 
							
							var tooltip = '<iframe src="info_punti_intervento.php?Id='+Id+'" frameborder="0" style="border: none; display:block; min-height:200px;" > </iframe>';		
									
							
							
							var img = '../../google_maps/markes_words/'+rand;
							
							var myLatlng1 = null;
							var myLatlng2 = null;
							
							var marker1 = null;
							var marker2 = null;

						
							if( lat1>0  &&  lng1>0 ) 
							{
								myLatlng1 = new google.maps.LatLng(lat1, lng1); 
								
								var imgA = img;
								var titoloMarker = '';
								if( ! ( lat2>0  &&  lng2>0 ) 	) //se non esiste il punto B abbiamo solo un punto e lo chiamiamo PANNELLO
								{
									imgA += '_MarkerP.png';
									titoloMarker += 'un solo punto di intervento';
								}	
								else
								{
									imgA += '_MarkerA.png';
									titoloMarker += 'punto di intervento A di un arco che finisce in B';
								}

								
								var imageMarker = new google.maps.MarkerImage(img,
									new google.maps.Size(20.0, 34.0),
									new google.maps.Point(0.0, 0.0)
								); 
									
								marker1 = new google.maps.Marker({
									position: myLatlng1,
									title: titoloMarker, 
									icon: imgA  
								});			 

								attachMessage(marker1, tooltip, PuntiIntervento);	
								
								marker1.setMap(map); 
							}
							
							if( lat2>0  &&  lng2>0 ) 	
							{
								myLatlng2 = new google.maps.LatLng(lat2, lng2); 
								
								var imgB = img;
								imgB  += '_MarkerB.png';

								var imageMarker = new google.maps.MarkerImage(img,
									new google.maps.Size(20.0, 34.0),
									new google.maps.Point(0.0, 0.0)
								); 
									
								marker2 = new google.maps.Marker({
									position: myLatlng2,
									title: 'punto di intervento B di un arco che inizia in A', 
									icon: imgB  
								});			 

								attachMessage(marker2, tooltip, PuntiIntervento);

								marker2.setMap(map); 							
							}
								
								
							PuntiIntervento.Identificativi.push(Id);
							PuntiIntervento.arrayLatLng1.push(myLatlng1);
							PuntiIntervento.arrayLatLng2.push(myLatlng2);
							 
							PuntiIntervento.markersArray1.push(marker1);
							PuntiIntervento.markersArray2.push(marker2);
						}
						
					}); 
	 
				}
			});		
		} 			
	}
	
	function trovaGPSedifici()
	{  
		function gestioneDati(record)
		{ 
			console.log(record);
			
			$( record ).each(function( index, element ) 
			{  
				var lat = ''+element.lat;
				var lng = ''+element.lng;		
				
				var Polilinea = ''+element.Polilinea;				
				var Tipo = ''+element.Tipo;				
				 
				if( 
					(
						( Tipo==0 || !$.isNumeric(Tipo) || (Tipo==1  &&  Polilinea=='')  || (Tipo==2  &&  Polilinea=='') )  
						 && 
						$.isNumeric(lat)  &&  lat>0
						 && 
						$.isNumeric(lng)  &&  lng>0  
					)//edificio opppure strada senza polilinea oppure area verde senza polilinea
					
					||
					
					(
						Tipo==1 
						 &&  
						Polilinea.length>0   
					)//strada					
					
					
					||
					
					(
						Tipo==2
						 &&  
						Polilinea.length>0   
					)//area verde		 	
				)
				{   
					var IdEdificio = element.IdEdificio;
					var Edificio = element.Edificio;
					var Indirizzo = element.Indirizzo;  
		
					var ordini_in_corso = element['ordini_in_corso'];  
					var ordini_finiti = element['ordini_finiti'];  
					var richieste_da_gestire = element['richieste_da_gestire'];  
					var richieste_in_attesa_di_valut = element['richieste_in_attesa_di_valut'];  
		 
					ordini_in_corso = +ordini_in_corso || 0; 
					ordini_finiti = +ordini_finiti || 0; 
					richieste_da_gestire = +richieste_da_gestire || 0; 
					richieste_in_attesa_di_valut = +richieste_in_attesa_di_valut || 0; 
				 

				 
		 
					var color = '#000000'; 			
					if( richieste_da_gestire > 0 )
					{
						color = '#CD2626'; 		
					}
					else if(richieste_in_attesa_di_valut>0)
					{
						color = '#CD9B1D'; 		
					}
					else if(ordini_finiti>0)
					{
						color = '#228B22'; 		
					}  
					
					var img = '/repository/google_maps/custom_markers/mapiconscollection-offices-3875D7-default/office-building.png';
					
					if(Tipo==0)
						img = '/repository/google_maps/custom_markers/mapiconscollection-offices-3875D7-default/office-building.png';
					else if(Tipo==1)
						img = '/repository/google_maps/custom_markers/mapiconscollection-transportation-9d7050-default/highway.png';
					else if(Tipo==2)
						img = '/repository/google_maps/custom_markers/mapiconscollection-nature-128e4d-default/forest2.png';
					
		 
					var marker = null;
					var imageMarker = null;
					
					if(lat>0  &&  lng>0)
					{
						var myLatlng = new google.maps.LatLng(lat, lng); 

						Edifici.arrayLatLng.push(myLatlng);
						
						imageMarker = new google.maps.MarkerImage(img,
							new google.maps.Size(32.0, 37.0),
							new google.maps.Point(0, 0),
							new google.maps.Point(0.0, 16.0)
							); 
							
						marker = new google.maps.Marker({
							position: myLatlng,
							title: Edificio+' posizionato in  '+Indirizzo, 
							icon: imageMarker  
						});		
					} 
					
						
					var tooltip = '<div id="tooltip" align="center">'+
					'<div align="center" ><h1>'+Edificio+'</h1></div>'+
							'<table class="tableInfoWin ColorEdificio"  >'+
								'<tr><th>Indirizzo:<td>'+Indirizzo+  
								'<tr><th>Ordini in corso:<td>'+'<input type="button" class="bntScelta"  onclick="ricerca('+IdEdificio+', \'ordini_in_corso\');"  value="'+ordini_in_corso+'"  >'+ 
								'<tr><th>Ordini finiti:<td>'+'<input type="button" class="bntScelta"  onclick="ricerca('+IdEdificio+',\'ordini_finiti\');"   value="'+ordini_finiti+'"  >'+ 
								'<tr><th>Richieste da gestire:<td>'+'<input type="button" class="bntScelta"  onclick="ricerca('+IdEdificio+',\'richieste_da_gestire\');"   value="'+richieste_da_gestire+'"  >'+ 
								'<tr><th>Ric in attesa di valutazione:<td>'+'<input type="button" class="bntScelta"  onclick="ricerca('+IdEdificio+',\'richieste_in_attesa_di_valut\');"   value="'+richieste_in_attesa_di_valut+'"  >'+ 
								'<tr><td colspan="2" style="text-align:center;" >'+'<button onclick="distanzaDuePunti( '+lat+' , '+lng+' );" >calcola tempi di percorrenza</button>'+
							'</table>' 
					'</div>';	
				 
				  
					var elemAttracco = null;
					
					if( Tipo==0 || (Tipo!=0  &&  Polilinea=='' )  )  
					{ 
						//il marker lo creo sempre
						elemAttracco = 	marker; 
					}
					else 
					{
						var path = '';
						var arr = '';
						
						if(Tipo==1) //strade
						{  
							elemAttracco = decoding("strada", Polilinea, color); 	
						}
						else if(Tipo==2) //aree
						{ 
							elemAttracco = decoding("area", Polilinea, color); 
						} 
						
						
						if(elemAttracco!=null)
						{
							path = elemAttracco.getPath();  
							arr = path.getArray(); 		 
							var middle = arr[Math.round((arr.length - 1) / 2)]; 
							
							var myLatlng = middle; 

							Edifici.arrayLatLng.push(myLatlng);
							
							imageMarker = new google.maps.MarkerImage(img,
								new google.maps.Size(32.0, 37.0),
								new google.maps.Point(0, 0),
								new google.maps.Point(0.0, 16.0)
								); 
								
							marker = new google.maps.Marker({
								position: myLatlng,
								title: Edificio+' posizionato in  '+Indirizzo, 
								icon: imageMarker  
							});	
						}
					}
			
					attachMessage(marker, tooltip, Edifici);		
					marker.setMap(map);// To add the marker to the map, call setMap();	
					
					Edifici.Identificativi.push(IdEdificio);//mettiamo il marker nell'array
					Edifici.markersArray.push(marker);//mettiamo il marker nell'array
					
					trovaPuntiInterventoEdifici(IdEdificio);
					
					estendiMappa();
				} 				

			}); 	
		}
	
		
	
		$.ajax({
			type: 'POST',
			data:  $("#form1").serialize(), 
			url: "jhp/<?php echo $_POST[cartella_ricerca] ?>/trova_edifici_gps.php",
			success: function(calevents)
			{			
				var yourObject = JSON.parse(calevents);
			 
				//console.log(yourObject);
			 
				gestioneDati(yourObject) 
			},
			error: function() {
 
				alert('errore in $.ajax in trovaGPSedifici');
			}
		});	 
	
		/*jhpa("jhp/<?php echo $_POST[cartella_ricerca] ?>/trova_edifici_gps.php", jhp_frm(document.form1), function(result)
		{		
			if(result.state)
			{
				console.log(result.message);
				alert('Opsss :(\ntrovaGPSedifici - un errore è accorso:!\n'+result.message);
			}
			else
			{
				var record = result.value; 
				gestioneDati(record)
			} 
		});	*/
	}   
 
 
	function trovaGPSrisorse()
	{ 
		var result = jhp("jhp/<?php echo $_POST[cartella_ricerca] ?>/trova_risorse_gps.php", jhp_frm(document.form1) );
		if(result.state)
		{
			alert('Opsss :(\ntrovaGPSrisorse - un errore è accorso:!\n'+result.message);
		}
		else
		{
			var record = result.value; 
			

			$( record ).each(function( index, element ) 
			{  
				lat = ''+element.lat;
				lng = ''+element.lng;				
				 
				if( 
					$.isNumeric(lat)  &&  lat>0
					 && 
					$.isNumeric(lng)  &&  lng>0  
					)
				{  
					var IdDitta = element.IdDitta;
					var IdRisorsa = element.IdRisorsa;
					var Data = element.Data;
					var Risorsa = element.Risorsa;
					var qualifica = element.qualifica;
					var Ditta = element.Ditta;
					var Sede = element.Sede; 
					var assegnato = element['35']; 
					var inCorso = element['40']; 
		 
		 			assegnato = +assegnato || 0;
					inCorso = +inCorso || 0;
					
		 
					var myLatlng = new google.maps.LatLng(lat, lng); 

					Risorse.arrayLatLng.push(myLatlng);
					Risorse.Identificativi.push(IdRisorsa);
					Risorse.Dati.push(Risorsa+' su ditta '+Ditta);
					
					var imageMarker = new google.maps.MarkerImage('/repository/google_maps/custom_markers/mapiconscollection-friends-family-ffc11f-default/male-2.png',
						new google.maps.Size(32.0, 37.0),
						new google.maps.Point(0, 0),
						new google.maps.Point(0.0, 16.0)
						); 
					 	
					var marker = new google.maps.Marker({
						position: myLatlng,
						title: Risorsa+' su ditta '+Ditta, 
						icon: imageMarker  
					});							
						
			
					var tooltip = '<div id="tooltip" align="center">'+
					'<div align="center" ><h1>'+Risorsa+'</h1></div>'+
							'<table class="tableInfoWin ColorRisorse"  >'+
								'<tr><th>Ditta:<td>'+Ditta+
								'<tr><th>Sede:<td>'+Sede+
								'<tr><th>Qualifica:<td>'+qualifica+
								'<tr><th>Data GPS:<td>'+Data+ 
								'<tr><th>Ordini assegnati:<td>'+assegnato+ 
								'<tr><th>Ordini in corso:<td>'+inCorso+ 				
							'</table>' 
					'</div>';				

					attachMessage(marker, tooltip, Risorse);		
					
					marker.setMap(map);// To add the marker to the map, call setMap();	
					
					Risorse.markersArray.push(marker);//mettiamo il marker nell'array
				} 				

			}); 
		}	 
	} 
		
	function attachMessage(marker, tooltip, objAttracco) 
	{		 
		var infowindow = new google.maps.InfoWindow(
		  { content: tooltip
		  });
		  	  
 		google.maps.event.addListener(marker, 'click', function() 
		{
			for (i in objAttracco.infoWindowArray) 
			{       
				objAttracco.infoWindowArray[i].close();     
			} 
			
			infowindow.open(map,marker);
		}); 	
		
		objAttracco.infoWindowArray.push(infowindow); 
	}			
		
		
	function ricerca(IdEdificio, entita)
	{
		parent.ricercaSegnalazioni(IdEdificio, entita);
	}	
		
 
	$(function() 
	{
		createMap(); 
		
		document.form1.Tipo.value = 1; 
	})	
	
		
	function associaArrayEdifici(IdEdifici)
	{
		document.form1.arrayIdEdifici.value = IdEdifici;
	}	
	
//---------------------------------------------------------------------- nuovo
 	function decoding(nome, path, color)
	{	 
		var instring = path;
		var points;
		var coordinates=[]; 
		var poly; 
		var polygon;   
		
		instring = instring.replace(/\\\\/g, "\\");
		points = decodeLine(instring);

		for(var i=0; i < points.length; i++) 
		{
			var latLng = new google.maps.LatLng(points[i][0] , points[i][1]);
			coordinates.push(latLng);
		}
		
 		if(nome=="strada")
		{	 
			var arrayPiecePolyline;	
			arrayPiecePolyline = [];
			
			var polyOptions = {
				strokeColor: color,
				strokeOpacity: 0.5,
				strokeWeight: 7
			}

			poly = new google.maps.Polyline(polyOptions);
			poly.setMap(map); 
			
			var path = poly.getPath();

			for (var i in coordinates)
			{	 
				path.push(coordinates[i]); 
				arrayPiecePolyline.push(coordinates[i]);						
			}	

			return poly;			
		}
		else if(nome=="area")
		{	 			
			polygon = new google.maps.Polygon({
				strokeOpacity: 0.5,
				strokeWeight: 1,
				fillColor: color
			});
			
			polygon.setMap(map);

			for (var i in coordinates)
			{	 
				var event = new Object()
				event.latLng = coordinates[i]; 	 
				
				var path = polygon.getPath();
			
				path.insertAt(path.length, event.latLng);
			}

			return polygon;
		}     	
	}       
   //---------------------------------------------------------------------- nuovo	
   
	var spegni = false;
	function spegniSimbolo()
	{
		spegni = !spegni;
		
		if(spegni)
		{
			if (Edifici.markersArray) 
			{     
				for (i in Edifici.markersArray) 
				{       
					Edifici.markersArray[i].setMap(null);     
				} 
			} 
		}
		else 
		{
			if (Edifici.markersArray) 
			{     
				for (i in Edifici.markersArray) 
				{       
					Edifici.markersArray[i].setMap(map);     
				} 
			} 
		}
	}
	</script> 
</head>
  
<body>
	<div id="map"></div>
	<div id="panel">
		<input type="button" value="CHIUDI PANNELLO" style="width:100%; font-weight:bold;" onclick="$('#panel').toggle();" >
		
		<div id="panelContent" >
		</div>
	</div>
  
	<form id="form1" name="form1" method="post" onsubmit="return false;" > 
		
		<input type="hidden" name="arrayIdEdifici" >
		
		<table id="parametri">
			<tr>
				<td colspan="2">
				<h1>Trova un punto su mappa</h1>
		
			<tr>
				<td>Città<td><input type="text"  id="citta" />
			
			<tr>
				<td>CAP<td><input type="text"  id="provincia" />
			
			<tr>
				<td>Indirizzo<td><input type="text"  id="via" />
	 
			
			<tr>
				<td colspan="2">
				<h1>Filtri aggiuntivi</h1> 
		
			<tr>
				<td>Tipo localiz.
				<td>
					<select id="Tipo" name="Tipo"   >
						<option value="" >Tutti gli elementi
						<option value="0" >Edifici
						<option value="1" >Strade
						<option value="2" >Aree verdi
					</select>  
			
			<tr>
				<td>Cerca per nome 
				<td>
					<input type="text" name="FiltroNomeEdificio" placeholder="digitare nome o parte" >	
			
			<tr>
				<td colspan="2" style="text-align:center;">
				<input type="button" value="Cerca" onclick="Ricerca();ricercaLocalizzazione();" style="width:100%;height:30px;" /> 
		</table>
 
	</form>
	
	<form id="frmReload" name="frmReload" method="post" style="display:none;" >
		<?php ntxCreateHiddens() ?> 	 
	</form>	
	
	<div  class="ricercaIndirizzo" >
		<button onclick="spegniSimbolo();">
			<img src="/repository/xhdpi/3_rating_not_important.png" style="width:30px;" title="Spegni o accendi il simbolo dell'elemento"/>	
		</button>
		<button onclick="caricaDati();">
			<img src="/repository/xhdpi/1_navigation_refresh.png" style="width:30px;" title="Aggiorna tutto il contenuto della pagina"/>	
		</button>
		
		<button onclick="ricercaLocalizzazione();">
			<img src="/repository/xhdpi/2-action-search.png" style="width:30px;" title="Apre lo strumento di ricerca"/>	
		</button>
		
		<button onclick="$('#panel').toggle();">
			<img src="/repository/xhdpi/4_collections_sort_by_size.png" style="width:30px;" title="Mostra o nasconde il pannello laterale con i risultati della ricerca"/>	
		</button>
	</div>

	<div id="dialog" title="" style="display:none;padding:0px;margin:0px;">
	
		<div align="center" >
			<table id="percorsi" >
				<tr class="header" >
					<th>sel
					<th>Risorsa
					<th>Partenza
					<th>Destinazione
					<th>Tempo
					<th>KM 
			</table>
			 
		</div>	
	</div>	 
	
	<script> 
	function ricercaLocalizzazione()
	{ 	
		$( "#parametri" ).toggle( "slow", function() 
		{
			// Animation complete.
		});			
	}	
	
 	function Ricerca()
	{
	   	var citta = document.getElementById("citta").value;
	   	var provincia = document.getElementById("provincia").value;
	   	var via = document.getElementById("via").value;
		
		var address="";
		
 		if(citta!="")
		{
			address += citta;
			
			if(via!="")
				address +=" "+via			
			
			if(provincia!="")
				address +=" , "+provincia
		}  
		
		if( address.length > 0 )
		{ 	
			geocoder = new google.maps.Geocoder();
			
			geocoder.geocode( {'address': address}, function(results,status) {
				if (status == google.maps.GeocoderStatus.OK) {
				
					var result = results[0].geometry.location;
					
					lat = result.lat();				
					lng = result.lng();

					
					map.setCenter(result);	 
					
				} else {
				  alert("Errore: " + status+"\nCollegarsi alla seguente pagina per avere informazioni sulla natura dell'errore:\nhttp://code.google.com/intl/it-IT/apis/maps/documentation/javascript/reference.html#GeocoderStatus");
				}
			  });      
		  }
		  
		  caricaDati();
	} 	
	</script> 
	
</body> 
</html>