<?php	
/*
Il modulo per funzionare richiede:

- $IdAutomezzo  
- $MeseControllo  
- $AnnoControllo
 
*/
	
$compilati = 0;	
$nonCompilati = 0;	
$vociNonComplete = 0;	
	
$HTML_ref = '';	
$HTML_super = '';
$btnSollecito = '';	
	
//trovo i referenti associati all'automezzo		
$sql = <<<_SQL
SELECT     
	Automezzi2Referenti.IdAutomezzo, Automezzi2Referenti.IdReferente,
	AutomezziReferenti.Nome+' '+AutomezziReferenti.Cognome AS Referente
FROM         
	Automezzi2Referenti
	INNER JOIN
	AutomezziReferenti ON Automezzi2Referenti.IdReferente = AutomezziReferenti.ID
WHERE     (IdAutomezzo = $IdAutomezzo )
_SQL;

if( $_POST[modalita]=='referenti' )
	$sql .= " AND IdReferente = $IdReferente ";

$query1 = ntxQuery($sql);  
while( $rs1 = ntxRecord($query1) )
{	
	$IdReferente1 = $rs1[IdReferente]; 
	$Referente = htmlentities($rs1[Referente]); 
	
	if(!is_numeric($IdReferente1) ) continue;
	
	$sql = <<<_SQL
	SELECT   AutomezziReportReferente_Valutazioni.ID  
	FROM         
		AutomezziReportReferente_Valutazioni  
	WHERE     
		AutomezziReportReferente_Valutazioni.IdAutomezzo = $IdAutomezzo 
		AND AutomezziReportReferente_Valutazioni.IdReferente = $IdReferente1 
		AND month( AutomezziReportReferente_Valutazioni.Data ) = $MeseControllo
		AND year( AutomezziReportReferente_Valutazioni.Data ) = $AnnoControllo 
_SQL;
	$IdReportValutazione = ntxScalar($sql);
	if(is_numeric($IdReportValutazione)  &&  $IdReportValutazione>0) 
		++$compilati;
	else 
		++$nonCompilati;
		
	if( is_numeric($IdReportValutazione)  &&  $IdReportValutazione>0 )
	{ 	
		$sql = <<<_SQL
		SELECT   COUNT(ID) AS Somma  
		FROM         
			AutomezziReportReferente_Voci_Valutazioni  
		WHERE    
			Fatto IS NULL
			AND IdReportValutazione = $IdReportValutazione
_SQL;
		$conteggioVociNonCompilate = ntxScalar($sql);
		if( is_numeric($conteggioVociNonCompilate)  &&  $conteggioVociNonCompilate>0 )
			$vociNonComplete += $conteggioVociNonCompilate; 
	}
		
	$HTML_ref .= <<<_HTML
	<input type=button value="report" onClick="inserisciReport('$IdAutomezzo', '$IdReportValutazione')"  style="width:100%;" />  
_HTML;
		
	$HTML_super .= <<<_HTML
	<input type=button value="report $Referente" onClick="vediReport('$IdReportValutazione')"  style="width:100%;" />  
_HTML;

	$btnSollecito .= ' <input type="button" value="sollecita '.$Referente.'"  onclick="sollecitaCompilazione('."$IdReferente1, $IdAutomezzo, $MeseControllo , $AnnoControllo ".')" style="width:100%;" /> ';
}

if($compilati==0  &&  $nonCompilati==0)
{
	$src = '/repository/_img/pallini/bianco.png';
	$title = "Nessun referente assegnato all'automezzo. Nessun report compilato ";
	
	$divSrc = '<div style="width:50px;border:solid 1px black;background:white;" title="'.$title.'" > &nbsp; </div>';
	
	$btnSollecito = '';
}
else if($compilati>0  &&  $nonCompilati==0)
{
	$src = '/repository/_img/pallini/verde.png';
	$title = "tutti i referenti hanno compilato $compilati report";
	
	$divSrc = '<div style="width:50px;border:solid 1px black;background:green;" title="'.$title.'" > &nbsp; </div>';
}
else
{
	$src = '/repository/_img/pallini/rosso.png';
	$title = "sono da compilare $nonCompilati report su ".($nonCompilati+$compilati);
	
	$divSrc = '<div style="width:50px;border:solid 1px black;background:red;" title="'.$title.'" > &nbsp; </div>'; 
} 

if($vociNonComplete>0)
{
	$src = '/repository/_img/pallini/giallo.png';
	$title = "alcune voci del report sono ancora da compilare!";
	
	$divSrc = '<div style="width:50px;border:solid 1px black;background:yellow;" title="'.$title.'" > &nbsp; </div>'; 
} 

$title .= " per il mese di $_POST[MeseControllo] / $_POST[AnnoControllo] ";
?>