<?php
session_start();
require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
 
$IdCommessa = ntxise("IdCommessa");   
$IdReferente = ntxip("IdReferente");   
$IdAutomezzo = ntxip("IdAutomezzo");   
$MeseControllo = ntxip("MeseControllo");   
$AnnoControllo = ntxip("AnnoControllo");   
  
$emails = null;  

$sql = <<<_SQL
SELECT   
	Utenti.Email
FROM          
	AutomezziReferenti  
	INNER JOIN
	Utenti ON AutomezziReferenti.IdUtente = Utenti.Id	
WHERE     
	AutomezziReferenti.ID = $IdReferente  
_SQL;
$query1 = ntxQuery($sql);
while( $rs1 = ntxRecord($query1) )
{
	if ( $rs1[Email].'' != '' )
		$emails[] = "".$rs1[Email]; 
}


$sql = <<<_SQL
SELECT   
	AutomezziReportReferente_Valutazioni.ID AS IdReportValutazione 
FROM         
	AutomezziReportReferente_Valutazioni   
WHERE     
	AutomezziReportReferente_Valutazioni.IdAutomezzo = $IdAutomezzo 
	AND AutomezziReportReferente_Valutazioni.IdReferente = $IdReferente 
	AND month( AutomezziReportReferente_Valutazioni.Data ) = $MeseControllo
	AND year( AutomezziReportReferente_Valutazioni.Data ) = $AnnoControllo 
_SQL;
 
$IdReportValutazione = ntxScalar($sql);

if(is_numeric($IdReportValutazione)  &&  $IdReportValutazione>0) 
{
	//compilato
}
else 
{
	//non compilato
	$oggetto = "sollecito compilazione check-list $MeseControllo/$AnnoControllo ";
	
	$messaggio .= <<< MSG
Si sollecita la compilazione della check-list di controllo automezzo per il mese $MeseControllo/$AnnoControllo.
MSG;
}
	
if( is_numeric($IdReportValutazione)  &&  $IdReportValutazione>0 )
{ 	
	$sql = <<<_SQL
	SELECT   COUNT(ID) AS Somma  
	FROM         
		AutomezziReportReferente_Voci_Valutazioni  
	WHERE    
		Fatto IS NULL
		AND IdReportValutazione = $IdReportValutazione
_SQL;
	$conteggioVociNonCompilate = ntxScalar($sql);
	if( is_numeric($conteggioVociNonCompilate)  &&  $conteggioVociNonCompilate>0 )
	{
		$oggetto = "sollecito compilazione voci check-list $MeseControllo/$AnnoControllo ";
		
		$messaggio .= <<< MSG
Si sollecita la compilazione di tutte le voci della check-list di controllo automezzo per il mese $MeseControllo/$AnnoControllo.
MSG;
	}
} 

if ( isset($emails) )
	foreach($emails AS $email)
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
						"sollecito compilazione",				
						"sollecito compilazione $MeseControllo/$AnnoControllo",			
						"email",		
						$email,		
						$oggetto,				
						$messaggio,
						true);	
	}	

 
  
  
$record = array();   
  
jhp($record);  
?>
