<?php  
session_start();
require_once('../../_ntx/ntxconst.inc'); 
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require('_mesi.php'); 

$IdCommessa = ntxise('IdCommessa');
$mese = ntxip('mese');
$anno = ntxip('anno');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');
$IdEdificio = ntxip('IdEdificio');
$Utente = ntxsse('Utente');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">  
	
	<link href="../kpi/locali.css" rel="stylesheet" type="text/css"> 
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script> 
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	
	<style> 
	.obbligatorio
	{
		font-size:150% !important;
		color: #b71c1c;
		font-weight:bold;
	}
	
	.celleVuota
	{
		border:none !important;
	}
	
	.celleVuotaFine
	{
		border-bottom: solid 1px black;
	}
	
	td, th
	{
		padding:4px;
	}
	
	table 
	{
		word-wrap:break-word;
	}
	
	@media print 
	{
		* 
		{ 
			-webkit-print-color-adjust: exact; 
		} 
	} 
	</style>
</head>

<body>

<form name="formAdd" id="formAdd" method="post" >  
	<?php ntxCreateHiddens() ?>	
</form>

<form name="frmReload" id="frmReload" method="post" >  
	<?php ntxCreateHiddens() ?>	
</form>

<form name="formUpdateRisposte" id="formUpdateRisposte" method="post" >  
	<input type="hidden" name="IdCustomerCom" />
	<input type="hidden" name="IdDomanda"  /> 
	<input type="hidden" name="nuovoIdRisposta"   /> 
</form>

<div class="allineatoSinistra NascondiPerStampa"   >
	<?php ntxCreateHiddens() ?> 		
	<button   onclick="stampa()"  >
		<img src="/repository/xhdpi/12_hardware_dock.png" style="width:15px" />
		report stampa
	</button>		
</div>	


<script language="javascript"> 
function stampa()
{ 
	$('.NascondiPerStampa').hide(); 
	window.print(); 
	$('.NascondiPerStampa').show();  
}  
	
function elimina(IdCustomerCom)
{ 	
	if(!confirm("Sei sicuro di voler eliminare l'elemento?\n\nUna volta cancellato non sarà più possibile il recupero dei dati.")) return;

	document.formUpdateRisposte.IdCustomerCom.value = IdCustomerCom;
	
	if ( ntxSendForm(document.formUpdateRisposte, function(){}, 'MestiereCustomerCompilato/elimina') )
		document.frmReload.submit();
}  
 
function aggiungi()
{ 
	if(!confirm("Sei sicuro di voler creare un nuovo elemento?")) return;
	
	if (ntxSendForm(document.formAdd, function(){}, 'MestiereCustomerCompilato/aggiungi') )
	{
		alert("Operazione terminata con successo!"); 
		document.frmReload.submit();
	}
} 

function modifica()
{
	if(!confirm("Si desidera salvare le modifiche?")) return;
	
 	if( ntxSendForm(document.form1, funcCaricaElemento, 'MestiereCustomerCompilato/modifica'))
		alert("Operazione terminata con successo!");
}

function funcCaricaElemento(text)
{
 	var rows=ntxRecord(text);	
	 
	ntxFormAssign(document.form1, rows);		 
}

function carica(IdCustomerCom)
{ 
	document.form1.IdCustomerCom.value = IdCustomerCom;

	ntxSendForm(document.form1, funcCaricaElemento, 'MestiereCustomerCompilato/carica');
}

function updateRisposte(obj , IdCustomerCom, IdDomanda)
{ 
	document.formUpdateRisposte.nuovoIdRisposta.value = obj.value;
	document.formUpdateRisposte.IdCustomerCom.value = IdCustomerCom;
	document.formUpdateRisposte.IdDomanda.value = IdDomanda;
	
	if ( !ntxSendForm(document.formUpdateRisposte, function(){}, 'MestiereCustomerCompilatoRisposte/aggiungi') )
		alert("Operazione terminata con errori!");  	 
} 
</script>



<?php 
$sql = <<< _SQL
SELECT DISTINCT 
	ID
FROM         
	MestiereCustomerCompilato
WHERE
	IdCommessa=$IdCommessa
	AND IdEdificio=$IdEdificio 
	AND IdPgContrattoAffidatario=$IdPgContrattoAffidatario 
	AND anno=$anno 
	AND mese=$mese	
_SQL;
$rs = ntxRecord(ntxQuery($sql)); 
$IdCustomerCom = $rs[ID];

if(!is_numeric($IdCustomerCom))
{
?>
	<h3>nessuna customer satisfaction trovata<br>si desidera creare una nuova customer satisfaction?</h3>
	
	<div align="center" >
		<input type="button" value="nuova customer satisfaction" onclick="aggiungi()" />
	</div>
<?php
	die();
}

/*else
{	$sql.=" AND UtenteInserimento LIKE $Utente ";

	$rs = ntxRecord(ntxQuery($sql)); 
	$IdCustomerCom = $rs[ID];
	
	if(!is_numeric($IdCustomerCom))
	{
?> 
		<h3>non hai il permeso di vedere questa customer satisfaction.</h3>
		<h3>solo l'utente che l'ha inserita può vedere/modificare</h3>
<?php
		die();
	}
}*/
?>

<h3>customer per <?php echo htmlentities( $mesi[$mese] )?> <?php echo htmlentities($anno)?> </h3>
 
<?php  
$sql = <<< _SQL
SELECT DISTINCT 
	tblPgContrattiAffidatari.IdPgContrattoAffidatario, tblPgAffidatari.Nome, tblPgAffidatari.Indirizzo, tblPgAffidatari.Comune, tblPgAffidatari.Provincia
FROM         
	tblPgContrattiAffidatari 
	INNER JOIN
	tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario
WHERE
	tblPgContrattiAffidatari.IdCommessa=$IdCommessa
	AND tblPgContrattiAffidatari.IdPgContrattoAffidatario=$IdPgContrattoAffidatario 
_SQL;
$rs = ntxRecord(ntxQuery($sql));
?>
<h3>per " <?php echo htmlentities($rs[Nome])?> <?php echo htmlentities($rs[Indirizzo])?> <?php echo htmlentities($rs[Comune])?> <?php echo htmlentities($rs[Provincia])?>"</h3>

<?php  
$sql = <<< _SQL
SELECT  DISTINCT 
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CAP, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.Telefono
FROM          
	ElencoEdifici 
WHERE    
	ElencoEdifici.IdCommessa = $IdCommessa
	AND ElencoEdifici.ID = $IdEdificio
_SQL;
$rs = ntxRecord(ntxQuery($sql));
?> 
<h3>per " <?php echo htmlentities($rs[Codice])?> <?php echo htmlentities($rs[EdificioBreve])?></h3>
 
 
<?php 
$sql = <<< _SQL
SELECT  DISTINCT 
	tblMestieri.IdMestiere, tblMestieri.Descrizione, tblMestieri.codice, tblMestieri.Ordine
FROM        
	tblPgContrattiAffidatariAttivitàEdifici 
	INNER JOIN
	tblAttivitàMestiere ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND   tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere 
	INNER JOIN
	tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
	tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
	INNER JOIN
	tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
WHERE     
	(tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = $IdCommessa) 
	AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $IdEdificio)  
	AND (tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = $IdPgContrattoAffidatario) 
ORDER BY 
	tblMestieri.Ordine ASC
_SQL;
$query1 = ntxQuery($sql);
?>  
<div align="center" > 
 
<table class="colore0" >
 
	<?php
	$alternate = false;

	while( $rs1 = ntxRecord($query1) )
	{
		$classe = ''; //$alternate ? "" : "td2";  

		$IdMestiere = $rs1[IdMestiere];
	?>
	
		<?php  
		$rsDomande = array();
		
		$sql = <<< _SQL
		SELECT     MestiereCustomerDomande.*
		FROM         
			MestiereCustomerDomande2Edifici 
			INNER JOIN
			MestiereCustomerDomande ON MestiereCustomerDomande2Edifici.IdCustomer = MestiereCustomerDomande.ID
		WHERE     
			MestiereCustomerDomande2Edifici.IdCommessaEdificio = $IdCommessa
			AND  MestiereCustomerDomande2Edifici.IdEdificio = $IdEdificio
			AND MestiereCustomerDomande.IdMestiere = $IdMestiere 
		ORDER BY 
			Ordine ASC
_SQL;
		$query2 = ntxQuery($sql); 
		while( $rs2 = ntxRecord($query2) ) $rsDomande[] =  $rs2;
		?>	
		
		<tr>	 
			<td class="<?php echo $classe ?>" rowspan="<?php echo count($rsDomande)+1 ?>" style="background:#bbdefb;font-weight:bold;" ><?php echo htmlentities($rs1['codice']) ?> 
			<td class="<?php echo $classe ?>" rowspan="<?php echo count($rsDomande)+1 ?>" style="background:#64b5f6;font-weight:bold;" ><?php echo htmlentities($rs1['Descrizione']) ?>   
		
		
			<?php
			$i1=0;
			foreach($rsDomande as $idR => $rsD)
			{
				$IdDomanda = $rsD['ID'];
				
				$rsRisposte = array();
				
				$sql = <<< _SQL
				SELECT  DISTINCT 
					MestiereCustomerRisposte.*
				FROM          
					MestiereCustomerRisposte 
				WHERE    
					MestiereCustomerRisposte.IdDomanda=$IdDomanda
				ORDER BY 
					Ordine
_SQL;
				$query2 = ntxQuery($sql);
				while( $rs2 = ntxRecord($query2) )  $rsRisposte[] =  $rs2; //$risposteArr[ $rs2[ID] ] = htmlentities($rs2[Nome]);		
				
				$obbligo='';
				if($rsD['Obbligatorio']==1)
					$obbligo='<div class="obbligatorio" title="domanda obbligatoria" > * </div>';
			?>
			<tr <?php if($i1==0) {?> style="border-top: solid 1px black;" <?php } else {?> style="border-top: solid 1px #bdbdbd;" <?php }?> >
				<td class="celleVuota <?php echo $classe ?>" ><?php echo $obbligo  ?> 
				<td class="celleVuota <?php echo $classe ?>" ><?php echo htmlentities($rsD['Oggetto']) ?> 
				<td class="celleVuota <?php echo $classe ?>" ><strong><?php echo htmlentities($rsD['Domanda']) ?></strong> 
				
				
				
				<!--
				<td class="celleVuota <?php echo $classe ?>" > 
				<select onchange="updateRisposte(this , '<?php echo $IdCustomerCom ?>' , '<?php echo $IdDomanda ?>');"   >
					<option value="" ></option>
					<?php 
					foreach($rsRisposte as $idR1 => $rsR)
					{ 
						$IdRisposta = htmlentities($rsR['ID']);
						$value = htmlentities($rsR['Nome']);
						$color = htmlentities($rsR['Colore']);
						
						$sql = <<< _SQL
						SELECT  DISTINCT 
							MestiereCustomerCompilatoRisposte.ID
						FROM          
							MestiereCustomerCompilatoRisposte 
						WHERE    
							MestiereCustomerCompilatoRisposte.IdCustomerCom=$IdCustomerCom 
							AND MestiereCustomerCompilatoRisposte.IdRisposta=$IdRisposta 
_SQL;
						$IdRel = ntxScalar($sql);
						
						$sel = "";
						if(is_numeric($IdRel) && $IdRel>0)
							$sel = " selected=\"selected\" ";
							
						echo "<option value=\"$IdRisposta\" $sel style=\"background:$color;\" >$value</option> "	;
					}
					?>  
				</select>	
				-->
				
				<td class="celleVuota <?php echo $classe ?>" > 
				<form>  
					<?php 
					foreach($rsRisposte as $idR1 => $rsR)
					{ 
						$IdRisposta = htmlentities($rsR['ID']);
						$value = htmlentities($rsR['Nome']);
						$color = htmlentities($rsR['Colore']);
						
						$sql = <<< _SQL
						SELECT  DISTINCT 
							MestiereCustomerCompilatoRisposte.ID
						FROM          
							MestiereCustomerCompilatoRisposte 
						WHERE    
							MestiereCustomerCompilatoRisposte.IdCustomerCom=$IdCustomerCom 
							AND MestiereCustomerCompilatoRisposte.IdRisposta=$IdRisposta 
_SQL;
						$IdRel = ntxScalar($sql);
						
						$sel = "";
						if(is_numeric($IdRel) && $IdRel>0)
							$sel = ' checked="checked" ';
			 
						
						echo '<div style="margin-bottom:4px;padding:4px;background:'.$color.';" > ';
						echo "<input type=\"radio\" name=\"scelta\" value=\"$IdRisposta\" $sel  onclick=\"updateRisposte(this , '$IdCustomerCom' , '$IdDomanda');\" /> $value  "	;
						echo '</div> ';
					}
					?>   
				</form> 
				
				
				
			<?php
				++$i1;
			}
			?> 
			
			<?php
			if($i1==0) 
			{
			?> 
				<td class="  <?php echo $classe ?>" colspan="4" style="border-top: solid 1px black;" >x
			<?php 
			}
			?> 
		
	<?php
		$alternate = !$alternate;
	}                                                                                                                 
	?>  
	
	<form id="form1" name="form1" method="post" >
		<tr>
			<td colspan="6" style="border-top: solid 1px black;background:#bbdefb;" > 
			<textarea name="Note" style="height:70px;" placeholder="inserire eventuali note in questa sezione" ></textarea>	
			
			<input type="hidden" name="IdCustomerCom" value="<?php echo $IdCustomerCom ?>" />
			
		<tr>
			<td colspan="2" style="border-top: solid 1px black;background:#bbdefb;" >inserimento  
			<td colspan="2" style="border-top: solid 1px black;background:#bbdefb;" ><input type="text" name="UtenteInserimento" readonly="readonly" />  
			<td colspan="2" style="border-top: solid 1px black;background:#bbdefb;" ><input type="text" name="DataInserimento" readonly="readonly" />  
			                                                 
		<tr>                                                  
			<td colspan="2" style="border-top: solid 1px black;background:#bbdefb;" >modifica  
			<td colspan="2" style="border-top: solid 1px black;background:#bbdefb;" ><input type="text" name="UtenteModifica" readonly="readonly" />   
			<td colspan="2" style="border-top: solid 1px black;background:#bbdefb;" ><input type="text" name="DataModifica"  />  
	</form>		
</table>
 
</div>   
  
<div align="center" style="margin: 5px;" class="NascondiPerStampa" >   
	
	<button onclick="modifica();return false;"	id="modifica" 	class="tasti"> 
		<img src="../../_img/penna.png" /> 
		Modifica
	</button>
			  
	<button onclick="elimina('<?php echo $IdCustomerCom ?>');return false;" 	id="cancella" 	class="tasti"> 
		<img src="../../_img/reset.png" /> 
		Cancella
	</button>  
</div>	
	
	
<script>
carica('<?php echo $IdCustomerCom ?>');
</script>	

</body>
</html>
