<?php  
session_start();
require_once('../../../_ntx/ntxconst.inc'); 
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require('../_mesi.php');

$IdCommessa = ntxise('IdCommessa');
$mese = ntxip('mese');
$anno = ntxip('anno');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="../../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css"> 
	<link href="../selezione.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css"> 

	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script> 
	
	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
	
	<style> 
	</style>
</head>

<body>

<div class="divBottoni">     
	<form method="post"  class="allineatoSinistra">
		<?php ntxCreateHiddens() ?>
		
		<button   type="submit"  >
			<img src="/repository/xhdpi/1_navigation_refresh.png" style="width:15px" />
			ricarica
		</button>
	</form>
</div>

<form name="frmReload" id="frmReload" method="post" >  
	<?php ntxCreateHiddens() ?>	
</form>


<?php  
$number = cal_days_in_month(CAL_GREGORIAN, $mese, $anno);

$DataInizio1 = "1/$mese/$anno 0:00";
$DataFine1 = "$number/$mese/$anno 23:59";

$DataInizio = ntxt($DataInizio1);
$DataFine = ntxt($DataFine1);
?>

<h3>affidatari per <?php echo htmlentities( $mesi[$mese] )?> <?php echo htmlentities($anno)?> </h3>
 
<?php 
$sql = <<< _SQL
SELECT    
	tblPgAffidatari.Nome, tblPgAffidatari.Indirizzo, tblPgAffidatari.Comune, tblPgAffidatari.Provincia, 
	tblPgContrattiAffidatari.IdPgContrattoAffidatario,   tblPgContrattiAffidatari.Descrizione, tblPgContrattiAffidatari.DataInizio, tblPgContrattiAffidatari.DataFine, tblPgContrattiAffidatari.DataContratto,  tblPgContrattiAffidatari.Aperto
FROM  
	tblPgContrattiAffidatari
	INNER JOIN
	tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario	
WHERE
	tblPgContrattiAffidatari.IdCommessa=$IdCommessa
	AND $DataInizio BETWEEN tblPgContrattiAffidatari.DataInizio AND tblPgContrattiAffidatari.DataFine
	AND $DataFine BETWEEN tblPgContrattiAffidatari.DataInizio AND tblPgContrattiAffidatari.DataFine 
	AND tblPgContrattiAffidatari.Aperto=1
_SQL;
  
$query = ntxQuery($sql); 
?> 
 
<div align="center" > 
 
<form>
	<table cellpadding="0" cellspacing="0" >
		<tr>
			<th>&nbsp; 
			<th>#&nbsp;c.s.   
			<th>affidatario
			<th>indirizzo 
			<th>id&nbsp;contr&nbsp;aff
			<th>descr&nbsp;contr 
			<th>inizio 
			<th>fine  
			<th>data&nbsp;contr   
			<th>aperto  
	 
			<?php
			$alternate = false;

			while( $rs = ntxRecord($query) )
			{
				$classe = $alternate ? "" : "td2";    
				
				$rs['Aperto'] = $rs['Aperto']==1 ? 'SI' : 'NO';
				
				$sql = <<< _SQL
				SELECT DISTINCT 
					COUNT(ID) AS A1
				FROM         
					MestiereCustomerCompilato
				WHERE
					IdCommessa=$IdCommessa 
					AND IdPgContrattoAffidatario=$rs[IdPgContrattoAffidatario]
					AND anno=$anno 
					AND mese=$mese	
_SQL;
				$numCust = ntxScalar($sql); 	
			?>
			<tr>	
				<td class=" <?php echo $classe ?>" ><input type="radio" name="selezione"  onclick="invia('<?php echo htmlentities($rs[IdPgContrattoAffidatario]) ?>'); gestioneLivelloSelezionato(this.parentNode.parentNode);"   />    
				<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities((int)$numCust) ?> 				
				<td class=" <?php echo $classe ?>" ><?php echo htmlentities($rs['Nome']) ?>  
				<td class=" <?php echo $classe ?>" ><?php echo htmlentities($rs['Indirizzo']) ?> <?php echo htmlentities($rs['Provincia']) ?> 
				<td class=" <?php echo $classe ?>" ><?php echo htmlentities($rs['IdPgContrattoAffidatario']) ?> 
				<td class=" <?php echo $classe ?>" ><?php echo htmlentities($rs['Descrizione']) ?> 
				<td class=" <?php echo $classe ?>" ><?php echo ntxDate($rs['DataInizio']) ?> 
				<td class=" <?php echo $classe ?>" ><?php echo ntxDate($rs['DataFine']) ?> 
				<td class=" <?php echo $classe ?>" ><?php echo ntxDate($rs['DataContratto']) ?> 
				<td class=" <?php echo $classe ?>" ><?php echo htmlentities($rs['Aperto']) ?> 
			<?php
				$alternate = !$alternate;
			}
			?> 
	</table>
</form>	
 
</div>   
 

<form id="form1" name="form1" method="post" >
	<input type="hidden" name="IdPgContrattoAffidatario"  />
	<input type="hidden" name="mese" value="<?php echo htmlentities($_POST[mese]) ?>" />
	<input type="hidden" name="anno" value="<?php echo htmlentities($_POST[anno]) ?>" />
	<input type="hidden" name="utentiEdifici"  value="<?php echo htmlentities($_POST[utentiEdifici]) ?>" />
</form>	

<script language="javascript"> 
function invia(IdPgContrattoAffidatario)
{	
	document.form1.IdPgContrattoAffidatario.value=IdPgContrattoAffidatario; 
	
	document.form1.target='f1437636572_3';
	document.form1.action='../frame3/index.php';
	document.form1.submit();  
}  

function gestioneLivelloSelezionato(obj)
{  
	$("table").find('td').removeClass('livSel');
	$(obj).find('td').addClass('livSel');   
}
</script>


</body>
</html>
