<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

 

if( is_numeric($_GET[edificio]) )
	$_POST[edificio] = $_GET[edificio];

	
$edificio = ntxip('edificio');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../../_css/_addictionCompact.css" rel="stylesheet" type="text/css">
	<link href="../../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">	

	<script type="text/javascript" src="/repository/libs/flot/jquery.flot.js"></script>
	<script type="text/javascript" src="/repository/libs/flot/jquery.flot.pie.js"></script> 	
	
	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
	
	<style>
	div.graph
	{
		width: 600px;
		height: 400px;
		display:inline-block;
		border: 1px dashed gainsboro; 
	}	

	div.legend
	{
		width: 200px;
		display:inline-block;
	}	 

	.tblGrafico
	{
		width: 700px !important; 
		border: solid 2px black;
		margin-bottom: 8px;
	}	

	.tblGrafico th
	,.tblGrafico td
	{ 
		border: none;
	}	

	
	a
	,a:link
	,a:visited
	,a:hover
	,a:active 
	{
		padding: auto !important;
		margin: auto !important;
		border: none !important;
		background: transparent !important;
	} 
	</style>
</head>

<body>

<h3>Grafici</h3>
<h5>(escluse domande aperte)</h5>

<div class="divBottoni">
	<form method="post"  class="allineatoSinistra">
		<?php ntxCreateHiddens() ?>
		
		<button   type="submit"  >
			<img src="/repository/_icons/arrow_refresh.png" />
			Ricarica
		</button>
	</form>  
	
	<div style="padding:2px; margin:2px;" >
	<?php
	$sql = <<< _SQL
	SELECT Customers_Domande.*, Customers_TipoOggetto.Nome AS Oggetto
	FROM  Customers_Domande
			LEFT OUTER JOIN
			Customers_TipoOggetto ON Customers_Domande.IdOggetto = Customers_TipoOggetto.ID
	WHERE Customers_Domande.IdCommessa = $IdCommessa
	AND 
		( Tipo LIKE 'multipla' OR Tipo LIKE 'singola' )
	ORDER BY Customers_Domande.Ordine
_SQL;

	$query1 = ntxQuery($sql);

	while( $rs1 = ntxRecord($query1) )
	{
		$IdDomanda = $rs1[ID]; 
		
	?>
		<a href="#ordine<?php echo $rs1['Ordine'] ?>" > <button> Domanda <strong><?php echo htmlentities($rs1['Ordine']) ?></strong> </button> </a>
	<?php
	}
	?>	  	
	</div>
	
</div>  









<?php
$sql = <<< _SQL
SELECT Customers_Domande.*, Customers_TipoOggetto.Nome AS Oggetto
FROM  Customers_Domande
		LEFT OUTER JOIN
		Customers_TipoOggetto ON Customers_Domande.IdOggetto = Customers_TipoOggetto.ID
WHERE Customers_Domande.IdCommessa = $IdCommessa
ORDER BY Customers_Domande.Ordine
_SQL;

$query1 = ntxQuery($sql);

while( $rs1 = ntxRecord($query1) )
{
	$IdDomanda = $rs1[ID]; 
?>		 				
	<?php	 
	$ValoriRisposte = array();
	$ValoriRisposteCount = array();
	
	$sql = <<< _SQL
	SELECT DISTINCT Customers_ValoriRisposte.ID, Customers_ValoriRisposte.Nome 
	FROM  
		Customers_ValoriRisposte 
		INNER JOIN
		Customers_DomandeRisposte ON Customers_ValoriRisposte.ID = Customers_DomandeRisposte.IdRisposta		
	WHERE     
		Customers_DomandeRisposte.IdDomanda = $IdDomanda
_SQL;
	$query2 = ntxQuery($sql);	
	while( $rs2 = ntxRecord($query2) ) 
	{  
		$ValoriRisposte[ $rs2[ID] ] = $rs2[Nome];
		$ValoriRisposteCount[ $rs2[ID] ] = 0;
	}	 
	?> 

	<?php 
	$TOT = 0;
	
	$tbl = " Customers_Risposte ";
	

	if($edificio==1)
		$tbl = " Customer_RisposteSuEdificio ";
	else	
		$tbl = " Customers_Risposte ";
	
	$sql = <<< _SQL
	SELECT IdValori_Risposta, Risposta
	FROM  $tbl
	WHERE 
		IdDomanda = $IdDomanda 
_SQL;
	$query2 = ntxQuery($sql);	
	while( $rs2 = ntxRecord($query2) ) 
	{
		$IdValori_Risposta = $rs2[IdValori_Risposta]; 
		
		$IdValori_Risposta_explode = explode(",",$IdValori_Risposta); 

		$strValori = '';
		foreach($IdValori_Risposta_explode as $id)
		{
			if (is_numeric($id))
			{
				++$ValoriRisposteCount[ $id ]; 
			}
		}

		++$TOT;	
	} 			
	?>	

	<?php
	$idx = $IdDomanda;
	
	if( count($ValoriRisposte)>0 )
	{
	?> 
		<a  name="ordine<?php echo $rs1['Ordine'] ?>" ></a>
		
		<table class="tblGrafico" >
			<tr> 									
				<td>
					<strong>Domanda <?php echo htmlentities($rs1['Ordine']) ?> </strong>
					<br>					
					<?php echo htmlentities($rs1['Oggetto']) ?>  
					<br>					
					<?php echo htmlentities($rs1['Domanda']) ?> 
		
				<td>
					<div id="grafico<?php echo $idx?>" class="graph"></div> 
					
				<script>
				var data = [
					<?php   
					$primo = true;
					foreach($ValoriRisposte as $IdValoriRisposte => $NomeValoriRisposte) 
					{ 
						if(!$primo) echo ",";
						
						$NomeValoriRisposte = str_replace('"', "'", $NomeValoriRisposte);
					?>
						{ label: "<?php echo $NomeValoriRisposte ?>",  data: <?php echo $ValoriRisposteCount[$IdValoriRisposte] ?>} 
					<?php
						$primo = false; 
					}
					?>
				];		  
				
				 
				$.plot($("#grafico<?php echo $idx?>"), data,
				{
					series: 
					{
						pie: { 
							show: true,
							radius: 3/4,
							label: {
								show: true,
								radius: 3/4,
								formatter: function(label, series){
									return '<div style="font-size:10px;text-align:center;padding:2px;color:white;width:50px !important;word-wrap:break-word;">'+label+'</div>';
								},
								background: { 
									opacity: 0.5,
									color: '#000'
								}
							}
						}
					}
					, 
					legend: 
					{
						show: true,
						labelFormatter: function(label, series) 
						{
							var percent= Math.round(series.percent);
							var number= series.data[0][1]; 
							return('<b>'+label+'</b><br>'+ percent + '%');
						}
					}	
				}); 	
				</script>
		
		
				<div style="width:100%;text-align:right;font-style: italic;" >calcolato su un campione di <div style="font-weight:bold;display:inline;" ><?php echo $TOT ?></div> risposte</div>
		</table>	
	<?php
	}
	?> 
	
<?php	
}				
?>  

</body>
</html>
