<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>

<body >
<?php
$IdCommessa = ntxise('IdCommessa');
$Classificazione=$_POST[Classificazione];
$Stato = $_POST[Stato];
require("_check_cartella_ricerca.inc");//importante
	
$title = "";
 

if(is_numeric($_POST[IdPropietario])) 
	$title .= ntxScalar("SELECT Nome FROM tblPgPropietari WHERE IdPropietario=$_POST[IdPropietario]")."<br>";

if($Classificazione=='richieste')
{
	require("$cartella_ricerca//elenco_richieste.inc");
	
	$title .= " Richieste ";
	
	if( is_numeric($_POST[TipoLocalizzazione]) )
	{
		if($_POST[TipoLocalizzazione]==0)
			$title.="<br> con tipo 'Edificio' ";	
		else if($_POST[TipoLocalizzazione]==1)
			$title.="<br> con tipo 'Strada' ";	
		else if($_POST[TipoLocalizzazione]==2)
			$title.="<br> con tipo 'Verde' ";	
	}
	
	if( is_numeric($_POST[IdCategoria]) )
	{
		$sql0001 = <<< _SQL
		SELECT     Categoria
		FROM         CategorieLocalizzazioni
		WHERE 
			(IdCommessa = $IdCommessa) AND Id=$_POST[IdCategoria]
_SQL;
		$title.="<br> con categoria '".ntxScalar($sql0001)."' ";
	}		
}
else if($Classificazione=='economica')
{
	require("$cartella_ricerca//elenco_distr_econo.inc");
	
	$title .= " Distribuzione Economica ";
}
else if($Classificazione=='mp')
{
	require("$cartella_ricerca//elenco_mp.inc");
	
	$title .= " Analisi MP ";
}


if(is_numeric($_POST[Stato])) 
	$title .= ntxScalar("SELECT DesStato FROM Stati WHERE IDStato=$_POST[Stato]");


if(  $_POST[grado_dettaglio]==1 )
{
	$title.="raggruppate per Mestiere";
	
	if( is_numeric ($_POST[IDgrado_dettaglio]) )
		$title.="<br>filtrate per ".ntxScalar(" SELECT Descrizione FROM tblMestieri WHERE IdCommessa=$IdCommessa AND IdMestiere = $_POST[IDgrado_dettaglio] ");
}

if( $_POST[grado_dettaglio]==2 )
{
	$title.="raggruppate per Componente";
	
	if( is_numeric ($_POST[IDgrado_dettaglio]) )
		$title.="<br>filtrate per ".ntxScalar(" SELECT Descrizione FROM tblComponetiMestiere WHERE IdCommessa=$IdCommessa AND IdComponenteMestiere = $_POST[IDgrado_dettaglio] ");	
}

	
if( $_POST[grado_dettaglio]==3 )
{
	$title.="raggruppate per Attivita'";	

	if( is_numeric ($_POST[IDgrado_dettaglio]) )
		$title.="<br>filtrate per ".ntxScalar(" SELECT Descrizione FROM tblAttivitàMestiere WHERE IdCommessa=$IdCommessa AND IdAttivitàMestiere = $_POST[IDgrado_dettaglio] ");	
}		

	
if( strlen($_POST[dataInizio])>0 || strlen($_POST[dataFine])>0)		
	$title .= "<br>$_POST[dataInizio] - $_POST[dataFine] ";			
	
	
$Edifici = explode(",",$_POST[Edifici]);
foreach($Edifici as $IdEdificio)
{
	if (is_numeric($IdEdificio))
		$title .= "<br>".ntxScalar("SELECT EdificioBreve FROM ElencoEdifici WHERE Id=$IdEdificio AND IdCommessa=$IdCommessa");		
}	
?>
<h3><?php echo $title?></h3>



<form method="post" action="excel.php" target="frame2">
	<?php 
	foreach ($_POST as $key => $value)
	{
		echo " <input type=\"hidden\" name=\"$key\" value=\"$value\"/> ";
		echo "\n";
	}
	?>
	
	<input type="submit" value="EXCEL" style="width:90px;height:35px; font-weight:bold; position:absolute;top:5px;left:5px;" />
</form>		
	
<iframe name="frame2" style="width:1px;height:1px;display:none;"></iframe>	
	
		
		
			
		
		
		
		

<table id="tbl_richieste" style="display:none;">
	<tr>
		<th>Num</th>
		<th>Anno</th>
		<th>Data</th>
		<th>Classificazione</th>
		<th>Stato</th>
		<th>Des</th>
		<th>Importo Stimato</th>
		<th>Nota Affidatario</th>				
		<th>Ente</th>
		<th>Codice Localiz.</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>ordine assegnato</th>
		<th>Originata da ordine</th>
		<th>Utilizzatore</th>
	</tr>   

<?php
	$alternate = true;
 if(isset($query_richieste))
	while( $rs = ntxRecord($query_richieste) )
	{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumRichiesta']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['AnnoRichiesta']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Classificazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Des']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['ImpS']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NoteImpS']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ( is_numeric($rs[NumOrdine]) ) echo htmlentities((int)$rs[NumOrdine]."/$rs[AnnoOrdine]") ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities((int)$rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>




<table id="distr_econo" style="display:none;">
	<tr>
		<th>Num. Contabilità</th>
		<th>Data Contabilità</th>
		<th>Stato</th>
		<th>Richiesta</th>
		<th>Ordine</th>
		<th>GU</th>
		<th>Descrizione</th>
		<th>Cod. Edificio</th>
		<th>Edificio</th>
		<th>Consegnato</th>
		<th>Data Consegna</th>
		<th>Data Ultima Consegna</th>
		<th>Fatturato</th>
		<th>Num. Sal</th>
		<th>Data Sal</th>
		<th>Note</th>
		<th>Approvato</th>
		<th>Importo Approvato</th>
		<th>Data Approvazione</th>
		<th>Utente Approvazione</th>
		<th>Contestato</th>
		<th>Data Contestazione</th>
		<th>Utente Contestazione</th>
		<th>Note Contestazione</th>
		<th>Rif. Ordine Cliente</th>
		<th>Ente</th>		
		<th>Utilizzatore</th>		
	</tr>   

<?php
	$alternate = true;

 if(isset($query_distr_econo))
	while( $rs = ntxRecord($query_distr_econo) )
	{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumContabilità']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataContabilità']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesstatoC']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo (int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'] ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['GU']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CodEdificio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Edificio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Consegnato']==1) echo "SI"; else echo "no" ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataConsegna']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataUltimaConsegna']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Fatturato']==1) echo "SI"; else echo "no" ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumSal']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataSal']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Approvato']==1) echo "SI"; else echo "no" ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataApprovazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UtenteApprovazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ($rs['Contestato']==1) echo "SI"; else echo "no" ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataContestazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UtenteContestazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NoteContestazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['RifOrdineCliente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td>	
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>


<table id="mp" style="display:none;">
	<tr>
		<th>Num. Ordine</th>
		<th>Anno Ordine</th>		
		<th>Data Ordine</th>
		<th>DataInizioProg</th>
		<th>Stato Ordine</th>
		<th>Data Inizio</th>
		<th>Data Fine</th>		
		<th>Data Scadenza</th>			
		<th>Grado Urgenza</th>			
		<th>Des</th>
		<th>Affidatario</th>
		<th>Ditta</th>		
		<th>Ente</th>				
		<th>Codice Edificio</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>		
		<th>Utilizzatore</th>		
	</tr>   

<?php
	$alternate = true;

 if(isset($query_mp))
	while( $rs = ntxRecord($query_mp) )
	{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?></td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataOrdine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataInizioProg']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataInizio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataFine']) ?></td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataScadenza']) ?></td>			
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['GradoUrgenza']) ?></td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Des']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NomeAffidatario']) ?></td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>				
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>



	
	
	
<script language="javascript">	
<?php
	if($Classificazione=='richieste')	
	{
		echo("document.getElementById('tbl_richieste').style.display = 'block';");
		echo("document.getElementById('distr_econo').style.display = 'none';");
		echo("document.getElementById('mp').style.display = 'none';");
	}
	else if($Classificazione=='economica')	
	{
		echo("document.getElementById('tbl_richieste').style.display = 'none';");
		echo("document.getElementById('mp').style.display = 'none';");
		echo("document.getElementById('distr_econo').style.display = 'block';");
	}
	else if($Classificazione=='mp')	
	{
		echo("document.getElementById('tbl_richieste').style.display = 'none';");
		echo("document.getElementById('distr_econo').style.display = 'none';");
		echo("document.getElementById('mp').style.display = 'block';");
	}	
?>
</script>


</body>
</html>
