<?php
session_start();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="../../../_css/new_navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
  <style>
    table  td
    {
      color: #000000;
    } 
  </style>
</head>
<body>
<?php
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_159", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_159", "IT", __FILE__);

$IdDitta = ntxip('IdDitta');

$subSql1 = "(SELECT COUNT(*) FROM DocsFornitori  "
	."						WHERE DocsFornitori.DataInizioValidità<=GetDate()  "
	."						AND DocsFornitori.Scadenza>=GetDate()  "
	."						AND DocsFornitori.IdFornitore=TipiFornitureFornitori.IdFornitore  "
	."						AND DocsFornitori.Tipo=TipiDocsFornitori.Id)";

$subSql2 = "(SELECT COUNT(*) FROM DocsFornitori  "
	."						WHERE DocsFornitori.DataInizioValidità<=GetDate()  "
	."						AND DocsFornitori.Scadenza>=GetDate()  "
	."						AND DocsFornitori.Verificato=1  "
	."						AND DocsFornitori.IdFornitore=TipiFornitureFornitori.IdFornitore  "
	."						AND DocsFornitori.Tipo=TipiDocsFornitori.Id)";

$sql = "SELECT DISTINCT    TipiDocsFornitori.Id, TipiDocsFornitori.Ordine, TipiDocsFornitori.Codice, TipiDocsFornitori.Descrizione, "
	."						TipiDocsFornitori.Vincolante, TipiDocsFornitori.NonNormativo, "
	."						$subSql1 AS NumDocs, $subSql2 AS NumVerifDocs "
	."FROM         TipiDocsFornitori LEFT OUTER JOIN "
	."                      TipiFornTipiDocsForn ON TipiDocsFornitori.Id = TipiFornTipiDocsForn.IdTipoDocFornitorore LEFT OUTER JOIN "
	."                      TipiForniture ON TipiFornTipiDocsForn.IdTipoFornitura = TipiForniture.Id LEFT OUTER JOIN "
	."                      TipiFornitureFornitori ON TipiForniture.Id = TipiFornitureFornitori.IdTipoFornitura "
	."WHERE     (TipiFornitureFornitori.IdFornitore = $IdDitta)";
	
$sql .= " ORDER BY TipiDocsFornitori.Ordine;";

$query = ntxQuery($sql);

?>		
<table align=left>
	<tr>
		<th>&nbsp;</th>
		<th><?php $traduttore->html('Codice') ?></th>
		<th><?php $traduttore->html('Descrizione') ?></th>
		<th><?php $traduttore->html('Vincolante') ?></th>
		<th><?php $traduttore->html('Non Normativo') ?></th>
		<th><?php $traduttore->html('Numero Documenti') ?></th>
		<th><?php $traduttore->html('Numero Verif Documenti') ?></th>
	</tr>
	<?php

	while( $rs = ntxRecord($query) )
	{
		if ( $rs['NumVerifDocs']>0 ) {
			$style = 'style="background:green;"';
    } elseif ( $rs['NumDocs']>0 ) {
			$style = 'style="background:yellow;"';
    } else {
			$style = 'style="background:red;"';
    }
?>
		<tr <?php echo $style ?>>
			<td>&nbsp;
				<input type=radio name=selId onclick="parent.FiltraDocs(<?php echo htmlentities($rs['Id']) ?>)" />
      </td>
			<td>&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Vincolante']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['NonNormativo']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['NumDocs']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['NumVerifDocs']) ?></td>
		</tr>
<?php
	}
?>
</table>
<?php
	$traduttore->Salva();
?>
</body>
</html>
