<?php  
session_start();
require_once('../../../_ntx/ntxconst.inc'); 
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_163", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_163", "IT", __FILE__);

  

require_once('../_giorni.php');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>  
	<meta http-equiv="X-UA-Compatible" content="IE=9" />
	
	<link href="../../../_css/new_navstyleLittle.css" rel="stylesheet" type="text/css"> 
	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
	
	<link href="../../../segreteria/_css/sliding_div_finder.css" rel="stylesheet" type="text/css" />   

	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.3.1.min.js"></script>  
	
	<script src="/repository/js/convalida_dati.js?vers=<?php echo $vers ?>" type="text/javascript"></script>
	<script src="/repository/js/beit_completa_date_ed_ore.js?vers=<?php echo $vers ?>" type="text/javascript"></script>
	
	<style> 
	</style>
</head>

<body>  
<?php   
$Utente	= ntxsse('Utente');
$Password	= ntxsse('Password');

$IdTurnoTemplate = ntxip('IdTurnoTemplate');
?>

<script type="text/javascript">
$(document).ready(function()
{ 
	 
});
</script>
 

<h3><?php $traduttore->html('Orario - Template') ?></h3>

<div style="width:100%;background:red;color:white;font-weight:bold;font-size:120%;" >
<?php
$stringaErrore = '';

$sql01 = <<< sql
select dr1.* 
from 
	(
		SELECT     
		ID, OraInizio, OraFine, GiornoSettimana 
		,dbo.cdate('1/1/2000 '+OraInizio) AS date_start 
		,dbo.cdate('1/1/2000 '+OraFine) AS date_end
		FROM         
			TurniOrariTemplate
		WHERE   
			IdTurnoTemplate = $IdTurnoTemplate 
	) dr1
	inner join 
	(
		SELECT     
			ID, OraInizio, OraFine, GiornoSettimana 
			, dbo.cdate('1/1/2000 '+TurniOrariTemplate.OraInizio) AS date_start
			, dbo.cdate('1/1/2000 '+TurniOrariTemplate.OraFine) AS date_end 
		FROM          
			TurniOrariTemplate 
		WHERE   
			IdTurnoTemplate = $IdTurnoTemplate 
	) dr2 
		
	ON 
	dr2.GiornoSettimana = dr1.GiornoSettimana  
	AND dr1.ID <> dr2.ID	
	AND 
	(
		(
			dr1.date_start BETWEEN dr2.date_start AND dr2.date_end
			OR 
			dr1.date_end BETWEEN dr2.date_start AND dr2.date_end
		)
		OR 
		(
			dr2.date_start BETWEEN dr1.date_start AND dr1.date_end
			OR 
			dr2.date_end BETWEEN dr1.date_start AND dr1.date_end
		)
	)	
sql;

/*
prima come condizione di JOIN c'era:
	ON dr2.GiornoSettimana = dr1.GiornoSettimana 
	AND dr2.date_start >= dr1.date_start  
	AND dr2.date_start <= dr1.date_end  
	AND dr2.ID <> dr1.ID  
*/ 
 
$query01 = ntxQuery($sql01); 
 
while($rs01=ntxRecord($query01))
{ 
	$result[] = $rs01;
 
	$stringaErrore .= "[ $rs01[GiornoSettimana] ] inizio: $rs01[OraInizio] - fine: $rs01[OraFine]<br>";
}

echo $stringaErrore;
?>
</div>



<?php
$sql = <<< sql
SELECT     
	TurniOrariTemplate.*
	,Ordine = 
		CASE GiornoSettimana
			WHEN 'lun'   THEN 1
			WHEN 'mar'   THEN 2
			WHEN 'merc'  THEN 3
			WHEN 'gio'   THEN 4
			WHEN 'ven' 	 THEN 5
			WHEN 'sab' 	 THEN 6
			WHEN 'dom'   THEN 7
		END
	
FROM          
	TurniOrariTemplate

WHERE  
	IdTurnoTemplate = $IdTurnoTemplate
	
ORDER BY 
	Ordine ASC	
sql;
 
$query = ntxQuery($sql);  
?> 

<table align="center" >
	<tr> 
		<th><?php $traduttore->html('Giorno') ?>
		<th><?php $traduttore->html('Ora Inizio') ?>  
		<th><?php $traduttore->html('Ora Fine') ?>
		<th> 
	
	<?php
		$alternate = true; 
		
		while(  $query  &&  $rs = ntxRecord($query) )
		{  
	?>
			<tr>   
				<td <?php echo  $alternate ? "" : "class=td2" ?> >
				
				<input type="hidden" class="IdOrario" value="<?php echo htmlentities($rs[ID]) ?>" />
				
				<select onchange="if(!controllaSovrapposizioniOra(this)) update(this , 'GiornoSettimana', '<?php echo htmlentities($rs[ID]) ?>'); else ricaricaPagina(); "  class="GiornoSettimana" >
				<option value="" > </option>
				<?php 
				foreach ($giorniArray as $key => $value)
				{
					$sel = "";
					if($key==$rs[GiornoSettimana])
						$sel = " selected=\"selected\" ";
						
					$key = htmlentities($key);
					$value = htmlentities($value);
					
					echo "<option value=\"$key\" $sel >$value</option> "	;
				}
				?> 
				</select>	
				
				<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type="text" 
					class="OraInizio"  
					name="OraInizio"
					value="<?php echo htmlentities($rs['OraInizio']) ?>" 
					onblur="commitVerificaOra(this, 'OraInizio', '<?php echo htmlentities($rs[ID]) ?>');" />
				
				<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type="text" 
					class="OraFine"  
					name="OraFine"
					value="<?php echo htmlentities($rs['OraFine']) ?>" 
					onblur="commitVerificaOra(this, 'OraFine', '<?php echo htmlentities($rs[ID]) ?>');" />
				 		 
				<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type="button" onclick="elimina('<?php echo htmlentities($rs['ID']) ?>')" value="<?php $traduttore->js('Elimina') ?>" style="width:100%;" /> 					
	<?php
			$alternate = !$alternate; 
		}
	?> 
	
	<form name="formAdd" id="formAdd" method="post" >  
		<input type="hidden" name="IdTurnoTemplate" value="<?php echo $_POST['IdTurnoTemplate'] ?>" /> 
		
		<tr>  
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<select name="GiornoSettimana" class="GiornoSettimana" >
			<option value="" > </option>
			<?php 
			foreach ($giorniArray as $key => $value)
			{ 
				$key = htmlentities($key);
				$value = htmlentities($value);
				
				echo "<option value=\"$key\" >$value</option> "	;
			}
			?> 
			</select>
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type="text" name="OraInizio" class="OraInizio" onblur="commitVerificaOra2(this, 'OraInizio')" />  
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type="text" name="OraFine" class="OraFine" onblur="commitVerificaOra2(this, 'OraFine')" />  
  

			<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type="button" onclick="if(!controllaSovrapposizioniOra(this)) aggiungi(); else ricaricaPagina();" value="<?php $traduttore->js('Aggiungi') ?>" style="width:100%;" /> 	
		</form>	
</table>  


<form method="post" id="frmReload" name="frmReload" >
	<?php ntxCreateHiddens() ?> 
</form>   
 
<form name="formUpdate" id="formUpdate" method="post" >   
	<input type="hidden" name="ID"   /> 
	<input type="hidden" name="Element" /> 
	<input type="hidden" name="valueElement"   /> 
</form>

<script language="javascript"> 
function commitVerificaOra(obj, nomeCampo, ID)
{ 
	if(BEIT.CompletaOra(obj))
	{	
		var tr = obj.parentNode.parentNode;
		var obj1 = $(tr).find('input[name=OraInizio]')[0];
		var obj2 = $(tr).find('input[name=OraFine]')[0];
		var Ora1 = $(tr).find('input[name=OraInizio]').val();
		var Ora2 = $(tr).find('input[name=OraFine]').val(); 

		if(esisteSovrapposizioneOrario(Ora1, Ora2, obj1, obj2)) 
			document.frmReload.submit();
		else
			commitOrario(obj , nomeCampo, ID);			
	}
}

function commitVerificaOra2(obj, nomeCampo)
{ 
	if(BEIT.CompletaOra(obj))
	{	
		var tr = obj.parentNode.parentNode;
		var obj1 = $(tr).find('input[name=OraInizio]')[0];
		var obj2 = $(tr).find('input[name=OraFine]')[0];
		var Ora1 = $(tr).find('input[name=OraInizio]').val();
		var Ora2 = $(tr).find('input[name=OraFine]').val(); 

		if(esisteSovrapposizioneOrario(Ora1, Ora2, obj1, obj2))  
			document.frmReload.submit(); 		
	}
}

function esisteSovrapposizioneOrario(Ora1, Ora2, obj1, obj2)
{
	var sovrapposto = false;
	
	if(Ora1.trim().length>0  &&  Ora2.trim().length>0)
	{	 
		var result = jhp("verifica_sovrapposizioni_ora.php", { Ora1:Ora1, Ora2:Ora2 } );

		if(result.state)
		{
			alert("<?php $traduttore->js('Errore') ?>: "+result.message);
		}
		else
		{ 	    
			var record = result.value;
			
			if(record.corretto==1)
				sovrapposto = false;
			else
			{	
				alert("<?php $traduttore->js('Attenzione: gli orari non si devono sovrapporre.') ?>");
				sovrapposto = true;
			}
		}
	} 
	
	return sovrapposto;
}


function commitOrario(obj, nomeCampo, ID)
{
	if(!controllaSovrapposizioniOra(obj)) 
		update(obj , nomeCampo, ID); 
	else 
		ricaricaPagina();	
}

function aggiungi()
{
	//if(!confirm("Si desidera aggiungere un nuovo elemento?")) return;  
	
	var result = jhp("jhp/aggiungi.php", 
			jhp_frm(document.formAdd));

	if(result.state)
	{
		alert("<?php $traduttore->js('Errore') ?>: "+result.message);
	}
	else
	{ 	    
		//alert('operazione completata con successo!');
		document.frmReload.submit();
	} 
}

function update(obj , strElement, ID)
{
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID;  
	
	var result = jhp("jhp/update.php", 
			jhp_frm(document.formUpdate));

	if(result.state)
	{
		alert("<?php $traduttore->js('Errore') ?>: "+result.message);
	}
	else
	{   
	} 
}

function elimina(ID)
{
	document.formUpdate.ID.value = ID;
	
	if(!confirm("<?php $traduttore->js('Si desidera eliminare un elemento?') ?>")) return;
	
	var result = jhp("jhp/elimina.php", 
			jhp_frm(document.formUpdate));

	if(result.state)
	{
		alert("<?php $traduttore->js('Errore') ?>: "+result.message);
	}
	else
	{ 	     
		document.frmReload.submit();
	} 
}
</script>


<script> 
function controllaSovrapposizioniOra(obj) 
{ 
	var controllo1 = parent.getControllo1(); 

	var tr = obj.parentNode.parentNode;
	
	var OraFine = $(tr).find('.OraFine').val(); 
	var OraInizio = $(tr).find('.OraInizio').val(); 
	var GiornoSettimana = $(tr).find('.GiornoSettimana').val(); 
	var IdOrario = $(tr).find('.IdOrario').val(); 
 
	var i = 0;
 
	var result = jhp("verifica_sovrapposizioni_new.php", {IdTurnoTemplate:'<?php echo $_POST['IdTurnoTemplate'] ?>', OraInizio:OraInizio, OraFine:OraFine, GiornoSettimana:GiornoSettimana, IdOrario:IdOrario });

	if(result.state)
	{
		alert("<?php $traduttore->js('Errore') ?>: "+result.message);
		return true;
	}
	else
	{    
		var recordSet = result.value;
		var len = recordSet.length; 
		

		var msgErr = "<?php $traduttore->js('Attenzione! Una o più date si sovrappongono nel modello del template. La riga selezionata si sovrappone a') ?>: ";
		for (i=0;i<len;++i)
		{
			var record = recordSet[i];
			
			msgErr+="\n[<?php $traduttore->js('Giorno') ?>: "+GiornoSettimana+"] - [<?php $traduttore->js('Inizio') ?>: "+record.OraInizio+"] - [<?php $traduttore->js('Fine') ?>: "+record.OraFine+"]";
		}	
		
		
		if(i>0)
		{ 
			alert(msgErr);
		}  
	}

	if(controllo1)
	{	
		if(i==0)
			return false;
		else
			return true;
	}
	else
	{
		return false;
	}
}

/*function controllaSovrapposizioniOra(obj) 
{ 
	var controllo1 = parent.getControllo1(); 

	var tr = obj.parentNode.parentNode;
	
	var OraFine = $(tr).find('.OraFine').val(); 
	var OraInizio = $(tr).find('.OraInizio').val(); 
	var GiornoSettimana = $(tr).find('.GiornoSettimana').val(); 
	var IdOrario = $(tr).find('.IdOrario').val(); 
 
	var i = 0;
 
	var result = jhp("verifica_sovrapposizioni.php", {IdTurnoTemplate:'<?php echo $_POST['IdTurnoTemplate'] ?>', OraInizio:OraInizio, OraFine:OraFine, GiornoSettimana:GiornoSettimana, IdOrario:IdOrario });

	if(result.state)
	{
		alert("errore: "+result.message);
		return true;
	}
	else
	{    
		var recordSet = result.value;
		var len = recordSet.length; 
		

		var msgErr = "Attenzione!\nUna o più date si sovrappongono nel modello del template.\n\nLa riga selezionata si sovrappone a: ";
		for (i=0;i<len;++i)
		{
			var record = recordSet[i];
			
			msgErr+="\n[giorno: "+GiornoSettimana+"] - [inizio: "+record.OraInizio+"] - [fine: "+record.OraFine+"]";
		}	
		
		
		if(i>0)
		{ 
			alert(msgErr);
		}  
	}

	if(controllo1)
	{	
		if(i==0)
			return false;
		else
			return true;
	}
	else
	{
		return false;
	}
}
*/
function ricaricaPagina()
{
	alert("<?php $traduttore->js('La pagina sarà ricaricata') ?>");
	document.frmReload.submit();
}
</script>
<?php
	$traduttore->Salva();
?>
</body>
</html>
