<?php  
$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdContrattoFornitore = ntxip('IdContrattoFornitore');
$IdContrattoGestione = ntxip('IdContrattoGestione');
 
$sql = <<< sql
	SELECT DISTINCT 
						  ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
						  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, ElencoEdifici.Note
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	Dismesso  

	
FROM  
	tblPgContrattiRifAffidatari INNER JOIN
	Utenti INNER JOIN
	UtentiRifAffidatari ON Utenti.Id = UtentiRifAffidatari.IdUtente INNER JOIN
	tblPgRifAffidatari ON UtentiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
	tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario INNER JOIN
	tblPgContrattiRifAffidatariAttivitàEdifici ON tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario AND 
	tblPgContrattiRifAffidatari.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa INNER JOIN
	ElencoEdifici ON tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
	tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = ElencoEdifici.ID
			   
WHERE 
	(ElencoEdifici.IdCommessa = $IdCommessa) 
	AND Utenti.Id=$IdUtente
sql;

$sqlFiltroCanoneExtra = "";

if($_POST[FiltroPerCanone]==1)
	$sqlFiltroCanoneExtra .= <<< sql
		ElencoEdifici.Note IS NULL OR ElencoEdifici.Note='' OR ElencoEdifici.Note='Canone'
sql;

if($_POST[FiltroPerExtra]==1)
{
	if ( $sqlFiltroCanoneExtra!="" )
		$sqlFiltroCanoneExtra .= " OR ";
	
	$sqlFiltroCanoneExtra .= <<< sql
		ElencoEdifici.Note='Extra'  OR ElencoEdifici.Note='ExtraCanone' 
sql;
}

if ( $sqlFiltroCanoneExtra!="" )
	$sql .= "AND ($sqlFiltroCanoneExtra) ";

if($_POST[FiltroEdificiPerContrattoAffidatario]==1)
{
	$sqlIdPgContrattoAffidatario = <<< sql
		SELECT     IdContrattoAffidatario
		FROM         tblContrattiFornitori
		WHERE     (IdCommessa = $IdCommessa) AND (IdContrattoFornitore = $IdContrattoFornitore)
sql;

	$IdPgContrattoAffidatario = ntxScalar($sqlIdPgContrattoAffidatario);
	
	if(is_numeric($IdPgContrattoAffidatario))
	{
		$sql .= " AND tblPgContrattiRifAffidatari.IdPgContrattoAffidatario=$IdPgContrattoAffidatario ";
	}
}

if($_POST[criterio]==2)
	$sql .= " ORDER BY Nome ";
else if($_POST[criterio]==3)
	$sql .= " ORDER BY Codice ";
else
	$sql .= " ORDER BY IdEdificio ";

$query = ntxQuery($sql);
	
?>
