<?php  
$IdCommessa = ntxise('IdCommessa');
$IdContrattoFornitore = ntxip('IdContrattoFornitore');
$IdContrattoGestione = ntxip('IdContrattoGestione');
 
 
$sql = <<< sql
	SELECT DISTINCT 
						  ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
						  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	Dismesso  
						  
FROM  
	tblPgContrattiRifAffidatari INNER JOIN
	Utenti INNER JOIN
	UtentiRifAffidatari ON Utenti.Id = UtentiRifAffidatari.IdUtente INNER JOIN
	tblPgRifAffidatari ON UtentiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
	tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario INNER JOIN
	tblPgContrattiRifAffidatariAttivitàEdifici ON tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario AND 
	tblPgContrattiRifAffidatari.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa INNER JOIN
	ElencoEdifici ON tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
	tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = ElencoEdifici.ID
			   
WHERE (ElencoEdifici.IdCommessa = $IdCommessa) 
sql;

$sql .= " ORDER BY Nome;";

$query = ntxQuery($sql);
	
?>
