<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa', false);
$IdContrattoFornitore = ntxip('IdContrattoFornitore', false);
$TipoPrezzo = ntxip('TipoPrezzo');
$Gruppo = ntxsp('Gruppo');
$Prezziario = ntxsp('Prezziario');

$andWhere = "";

if ( is_numeric($TipoPrezzo) ) $andWhere .= " AND TipiPrezzo.Id = $TipoPrezzo ";
if ( $Prezziario!="NULL" ) $andWhere .= " AND ElencoPrezziInCommessa.Prezziario = $Prezziario ";
if ( $Gruppo!="NULL" ) $andWhere .= " AND ElencoPrezziInCommessa.Gruppo = $Gruppo ";

$sql = <<< sql
SELECT  TipiPrezzo.Des, ElencoPrezziInCommessa.Prezziario, ElencoPrezziInCommessa.Gruppo, ScontiFornitore.Sconto, count(*) Conteggio
FROM         ElencoPrezziInCommessa INNER JOIN
                      TipiPrezzo ON ElencoPrezziInCommessa.TipoPrezzo = TipiPrezzo.Id LEFT OUTER JOIN
                      ScontiFornitore ON ElencoPrezziInCommessa.IdCommessa = ScontiFornitore.IdCommessa AND 
                      ElencoPrezziInCommessa.IdPrezzo = ScontiFornitore.IdPrezzo and (ScontiFornitore.IdContrattoFornitore=$IdContrattoFornitore)
WHERE     (ElencoPrezziInCommessa.IdCommessa = $IdCommessa)
	$andWhere
group by TipiPrezzo.Des, ElencoPrezziInCommessa.Prezziario, ElencoPrezziInCommessa.Gruppo, ScontiFornitore.Sconto
ORDER BY TipiPrezzo.Des, ElencoPrezziInCommessa.Prezziario, ElencoPrezziInCommessa.Gruppo, ScontiFornitore.Sconto
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>Tipi Prezzo
			<th>Prezziario
			<th>Gruppo
			<th>N.Prezzi
			<th>Sconto
table;

$alternate = true;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[Sconto] = ntxRound($rs[Sconto],2);
	
	$classTr = $alternate ? "class=alternate" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$color = $rs[Sconto] ? "white" : "red";
	
	$table .= <<< table
		<tr $classTr>
			<td>$html[Des]
			<td>$html[Prezziario]
			<td>$html[Gruppo]
			<td>$html[Conteggio]
			<td style="text-align:right;background:$color">$html[Sconto]
table;

	$alternate = !$alternate;
	}

$SommaOre = ntxRound($SommaOre,2);

$table .= <<< table
	</table>
table;

jhp($table);

?>
