<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdContrattoTecnico = $_POST['IdContrattoTecnico'];

if (is_numeric($IdContrattoTecnico) )
{
	$IdContrattoTecnico = (int)$IdContrattoTecnico;

	$sql = <<< sql
	SELECT   DISTINCT	
		ContrattiTecnici.*,
		Tecnici.IDTec AS IdTecnico,
		Tecnici.Tecnico,
		tblPgContratti.Descrizione AS ContrattoGestione 
		
	FROM         tblPgContratti INNER JOIN
						  ContrattiTecnici ON tblPgContratti.IdPgContratto = ContrattiTecnici.IdPgContratto AND tblPgContratti.IdCommessa = ContrattiTecnici.IdCommessa INNER JOIN
						  Tecnici ON ContrattiTecnici.IdTecnico = Tecnici.IDTec  
	WHERE     
		(ContrattiTecnici.IdCommessa = $IdCommessa) 	
		AND (ContrattiTecnici.IdContrattoTecnico = $IdContrattoTecnico ) 				
sql;
 
	$record = ntxRecord(ntxQuery($sql));

	$record[DataInizio] = ntxDateTime( $record[DataInizio] );
	$record[DataFine] = ntxDateTime( $record[DataFine] );

	$record[SpesaMax] = ntxRound( $record[SpesaMax], 2 );
	$record[SpesaMin] = ntxRound( $record[SpesaMin], 2 );
	
	if( is_numeric($record[Aperto]) && $record[Aperto]==1)
		$record[Aperto] = 'SI';
	else
		$record[Aperto] = 'NO';
	
	$record = ntxRecordTranslate($record);

	ntxMsgResult( $record );	
}
else
	ntxMsgResult( '' );	

?>
