<?php
require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa'); 
$IdEvento = ntxip('IdEvento');
 
 
$result = array();

$sql = <<< sql
SELECT     CalendarioEventi.*
FROM         CalendarioEventi
WHERE     
	(IdCommessa = $IdCommessa) 
	AND (IdEvento = $IdEvento )  
sql;

$query = ntxQuery($sql);


while( $rs = ntxRecord($query) )
{
	$Nome = $rs[Nome];
	$color = "#CD5555";
	
	$startDate = $rs[DataInizioP];
	$endDate = $rs[DataFineP];
	
	$DataInizioE = $rs[DataInizioE];
	$DataFineE = $rs[DataFineE];
	
	if( strlen($DataInizioE)>0  &&  strlen($DataFineE)>0 )
	{
		$startDate = $DataInizioE;
		$endDate = $DataFineE;
	} 
	
	$result[] = array(
		'id' => "EVENT"."_"."COM:$IdCommessa"."_"."EVENT:$IdEvento",
		'title' => "$Nome",
		'start' => $startDate,
		'end' => $endDate,

		'DataInizioP' => ntxDateTime($rs[DataInizioP]) ,
		'DataFineP' => ntxDateTime($rs[DataFineP])     ,
		'DataInizioE' => ntxDateTime($rs[DataInizioE]) ,
		'DataFineE' => ntxDateTime($rs[DataFineE])     ,		
		'Nome' => htmlentities($rs[Nome])     ,		
		'Descrizione' => htmlentities($rs[Descrizione])     ,		

		'sqlDataInizioP' => $rs[DataInizioP] ,
		'sqlDataInizioE' => $rs[DataInizioE] ,
		
		'allDay' => false,
		'color' => $color
	);
}


$json = new Services_JSON();
echo $json->encode( $result  );
?>
