<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
 
$ID = ntxip('IdEvento', false);	 
$IdCommessa = ntxise('IdCommessa'); 
 
$sql = <<< sql
SELECT  DISTINCT   
	CalendarioEventi.*, 
	CalendarioEventi_Tipo.Nome AS Tipo,
	ElencoEdifici.Codice, ElencoEdifici.EdificioEstesa, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CAP, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA
					  
FROM         
	CalendarioEventi
	LEFT OUTER JOIN
	CalendarioEventi_Tipo ON CalendarioEventi.IdTipo = CalendarioEventi_Tipo.ID
	LEFT OUTER JOIN
	ElencoEdifici ON CalendarioEventi.IdCommessa = ElencoEdifici.IdCommessa AND CalendarioEventi.IdEdificio = ElencoEdifici.ID 

WHERE 
	(CalendarioEventi.IdEvento = $ID) 
	AND CalendarioEventi.IdCommessa=$IdCommessa 
sql;

$rs = ntxRecord( ntxQuery($sql) ); 

$DataInizioP = ntxDateTime($rs[DataInizioP]);
$DataFineP = ntxDateTime($rs[DataFineP]);

$messaggio = <<<_SQL
E' stata pianificata l'attivita' $rs[Tipo] di cantiere presso $rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] $rs[CAP] $rs[CITTA] $rs[PROVINCIA] : $rs[Nome] - $rs[Descrizione] con inizio previsto alle $DataInizioP e fine prevista alle $DataFineP. 
_SQL;
 
$coordinate = "invio comunicazione su evento N# $ID";  
$oggetto = "invio comunicazione evento";
  
  
$sql = <<< sql
SELECT DISTINCT 
	Ditte.cellulare AS sms, 
	Ditte.email  AS email, 
	'1' AS EmailPerRichiesta,  
	'1' AS SmsPerRichiesta
	
FROM         
	Ditte  
	INNER JOIN
	CalendarioEventi2Partecipanti ON CalendarioEventi2Partecipanti.IdDitta = Ditte.IDDitta
					  
WHERE     
	CalendarioEventi2Partecipanti.IdEvento = $ID
sql;
$sql1 = $sql;   


$sql = <<< sql
SELECT DISTINCT 
	tblPgRifAffidatari.telefono_1 AS sms, 
	tblPgRifAffidatari.email_1 AS email, 
	tblPgRifAffidatari.EmailPerRichiesta, 
	tblPgRifAffidatari.SmsPerRichiesta
	
FROM         
	tblPgRifAffidatari
	INNER JOIN
	CalendarioEventi2Partecipanti ON CalendarioEventi2Partecipanti.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario
	
WHERE     
	CalendarioEventi2Partecipanti.IdEvento = $ID
sql;
$sql2 = $sql; 


$sql = <<< sql
SELECT DISTINCT   
	'' AS sms,
	Utenti.Email AS email,  
	Tecnici.EmailPerRichiesta, 
	'1' AS SmsPerRichiesta
	
FROM         
	Utenti INNER JOIN
	UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente 
	INNER JOIN
	UtentiTecnici ON Utenti.Id = UtentiTecnici.IdUtente 
	INNER JOIN
	Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec
	INNER JOIN
	CalendarioEventi2Partecipanti ON CalendarioEventi2Partecipanti.IdTecnico = Tecnici.IDTec	
	
WHERE     
	CalendarioEventi2Partecipanti.IdEvento = $ID
sql;
$sql3 = $sql; 
 
 
$union = <<<_SQL
	($sql1) UNION ($sql2) UNION ($sql3)
_SQL;


$sql = "SELECT DISTINCT * FROM ( $union ) a  ";
 
$query = ntxQuery($sql);

 
$emails = null;
$cellulari = null;
while( $rs = ntxRecord($query) )
{
	if( !isset($rs[EmailPerRichiesta]) )
	{
		if( $rs[email].'' != '' )
			$emails[] = $rs[email];	
	}
	else if (  $rs[EmailPerRichiesta]==1  &&  $rs[email].'' != '' )
		$emails[] = $rs[email];
		
		
	if( !isset($rs[SmsPerRichiesta]) )
	{
		if( $rs[sms].'' != '' )
			$cellulari[] = $rs[sms];	
	}
	else if (  $rs[SmsPerRichiesta]==1  &&  $rs[sms].'' != '' )
		$cellulari[] = $rs[sms]; 
}


if ( isset($emails) )
	foreach($emails AS $email)
	{
		ntxFireNetInit(
			$_SESSION['Utente'].'',				
			$oggetto,
			$coordinate,		
			"email",		
			$email,		
			$oggetto,				
			$messaggio,
			true);	
	}

if ( isset($cellulari) )
	foreach($cellulari AS $cellulare)
	{
		ntxFireNetInit(
			$_SESSION['Utente'].'',				
			$oggetto,		
			$coordinate,		
			"sms",		
			$cellulare,		
			$oggetto,				
			$messaggio,
			true);	
	}

  
ntxMsgResult( '' );
?>