<?php  
session_start(); 
require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');

$Data1 = ntxtp('Data1', false);
$Data2 = ntxtp('Data2', false);

$mesiConvenzione = ntxScalar("SELECT DATEDIFF(m, $Data1, $Data2)"); 
 
$Anno1 = ntxScalar("SELECT YEAR($Data1)");
$Mese1 = ntxScalar("SELECT MONTH($Data1)"); 
 
 
$where1 = <<< _SQL
    tblOrdiniProgrammati.IdCommessa = $IdCommessa 
    AND Ordini.GradoUrgenza LIKE 'MP' 
_SQL;

$where2 = <<< _SQL
    MestiereCustomerCompilato.IdCommessa = $IdCommessa
_SQL;

$where3 = <<< _SQL
    Richieste.IDCommessa = $IdCommessa
    AND TabellaGradoUrgenza.PerRicNonConformita = 1
_SQL;

$where4 = <<< _SQL
    tblOrdiniProgrammati.IdCommessa = $IdCommessa
    AND Ordini.GradoUrgenza LIKE 'MP' 
_SQL;

$where5 = <<< _SQL
    tblOrdiniProgrammati.IdCommessa = $IdCommessa
    AND Ordini.GradoUrgenza LIKE 'MP' 
_SQL;
 
 
$arrColori = array( 
 '#ef5350'
,'#64b5f6'
,'#ffeb3b'
,'#9e9e9e'
,'#f48fb1'
,'#66bb6a'
,'#ba68c8'
,'#00bcd4'
,'#ff5722'
,'#546e7a'
,'#7986cb'
,'#ff9800'
,'#004d40'
,'#827717'
,'#6d4c41'
); 


$sql = <<< _SQL
SELECT DISTINCT  
	tblPgAffidatari.Nome
	,tblPgContrattiAffidatari.Descrizione
	,tblPgContrattiAffidatari.IdPgContrattoAffidatario
FROM  
	tblPgContrattiAffidatari
	INNER JOIN
	tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario	
WHERE
	tblPgContrattiAffidatari.IdCommessa=$IdCommessa 

	AND 
	(
		$Data1 BETWEEN  tblPgContrattiAffidatari.DataInizio AND tblPgContrattiAffidatari.DataFine
		OR
		$Data2 BETWEEN  tblPgContrattiAffidatari.DataInizio AND tblPgContrattiAffidatari.DataFine
	)	
_SQL;

$query = ntxQuery($sql);
 
  
$counter=0;  
while ($rs = ntxRecord($query)) 
{  
    foreach ($rs as $key => $value) 
        $html[$key] = htmlentities($value);
		
	$IdPgContrattoAffidatario = $rs[IdPgContrattoAffidatario]; 
	
	if(!is_numeric($IdPgContrattoAffidatario)) continue;
	
	$Mese = $Mese1;
	$Anno = $Anno1;
	
	$colore = $arrColori[$counter];


	for ($index = 0; $index <= $mesiConvenzione; $index++) 
	{  
		$sql = <<< _SQL
		SELECT DISTINCT ElencoEdifici.ID  AS IdEdificio
		FROM         
			tblPgContrattiAffidatariAttivitàEdifici 
			INNER JOIN
			ElencoEdifici ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND  tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = ElencoEdifici.ID
		WHERE    
			tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = $IdCommessa 
			AND tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
			
			AND ( ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>=getdate()  )
_SQL;
		$query1 = ntxQuery($sql);
		
		
		$kpiValTot = 0;
		$NumEdifici = 0;
		while ($rs1 = ntxRecord($query1)) 
		{ 		
			$IdEdificio = $rs1[IdEdificio];
			++$NumEdifici;
			
			/*     * **************************************************************************** */
			$sql1[0] = <<< _SQL
			SELECT 
				count(tblOrdiniProgrammati.IdOrdineProgrammato) 
			FROM 
				tblOrdiniProgrammati 
			LEFT OUTER JOIN 
				Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
			INNER JOIN 
			tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
			WHERE 
				$where1
				AND YEAR(tblOrdiniProgrammati.dataFineProg) = $Anno 
				AND MONTH(tblOrdiniProgrammati.dataFineProg) = $Mese  
				AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
				AND tblOrdiniProgrammati.IdEdificio = $IdEdificio 
_SQL;

			$sql1[1] = <<< _SQL
			SELECT     
			count(MestiereCustomerCompilatoRisposte.IdRisposta) 
			FROM         
			MestiereCustomerCompilato 
			INNER JOIN 
					MestiereCustomerCompilatoRisposte ON MestiereCustomerCompilato.ID = MestiereCustomerCompilatoRisposte.IdCustomerCom  
			INNER JOIN 
					MestiereCustomerRisposte ON MestiereCustomerCompilatoRisposte.IdRisposta = MestiereCustomerRisposte.ID 
			INNER JOIN 
					MestiereCustomerDomande ON MestiereCustomerRisposte.IdDomanda = MestiereCustomerDomande.ID	 
			INNER JOIN 
					MestiereCustomerDomande2Edifici ON MestiereCustomerDomande.ID = MestiereCustomerDomande2Edifici.IdCustomer 
				INNER JOIN
				tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = MestiereCustomerCompilato.IdEdificio AND 
				tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = MestiereCustomerCompilato.IdCommessa	 
				INNER JOIN		
				tblPgContrattiAffidatari ON 
				tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario 
			
			WHERE  
				$where2 
				AND MestiereCustomerCompilato.Anno = $Anno 
				AND MestiereCustomerCompilato.Mese = $Mese   
				AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
				 AND MestiereCustomerCompilato.IdEdificio = $IdEdificio 
_SQL;
			$sql1[2] = <<< _SQL
			SELECT      
			count(Richieste.IdRich) 
			FROM          
			Richieste  
				INNER JOIN 
					Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND   Richieste.IDCommessa = Ordini.IDCommessa  
				INNER JOIN 
					TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU 
			INNER JOIN 
			tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
			WHERE
				$where3 
				AND YEAR(Richieste.DataRichiesta) = $Anno 
				AND MONTH(Richieste.DataRichiesta) = $Mese  
				AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
				AND Richieste.Localizzazione = $IdEdificio  
_SQL;
			$sql1[3] = <<< _SQL
			SELECT    
			count(tblOrdiniProgrammati.IdOrdineProgrammato)
			FROM         
			tblOrdiniProgrammati 
			LEFT OUTER JOIN
					Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
			INNER JOIN 
			tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
			WHERE  
				$where4 
				AND YEAR( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Anno 
				AND MONTH( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Mese   
				AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
				AND tblOrdiniProgrammati.IdEdificio = $IdEdificio  
_SQL;
			$sql1[4] = <<< _SQL
			SELECT    
			count(tblOrdiniProgrammati.IdOrdineProgrammato)
			FROM         
			tblOrdiniProgrammati 
			LEFT OUTER JOIN
					Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
			INNER JOIN 
			tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
			WHERE   
				$where5 
				AND YEAR( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Anno 
				AND MONTH( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Mese
				AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
				AND tblOrdiniProgrammati.IdEdificio = $IdEdificio  
_SQL;
			/*     * **************************************************** */
			$sql3[0] = <<< _SQL
			SELECT 
				count(tblOrdiniProgrammati.IdOrdineProgrammato) 
			FROM 
				tblOrdiniProgrammati 
			LEFT OUTER JOIN 
				Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
			INNER JOIN 
			tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
			WHERE 
				$where1        
				AND YEAR(tblOrdiniProgrammati.dataFineProg) = $Anno 
				AND MONTH(tblOrdiniProgrammati.dataFineProg) = $Mese 
				AND (tblOrdiniProgrammati.Eseguito IS NULL OR tblOrdiniProgrammati.Eseguito=0) 
				AND tblOrdiniProgrammati.datafine IS NULL  
				AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
				AND tblOrdiniProgrammati.IdEdificio = $IdEdificio 
_SQL;
			$sql3[1] = <<< _SQL
			SELECT      
			SUM(MestiereCustomerRisposte.Peso/100)
			FROM          
			MestiereCustomerCompilato  
			INNER JOIN 
					MestiereCustomerCompilatoRisposte ON MestiereCustomerCompilato.ID = MestiereCustomerCompilatoRisposte.IdCustomerCom  
			INNER JOIN 
					MestiereCustomerRisposte ON MestiereCustomerCompilatoRisposte.IdRisposta = MestiereCustomerRisposte.ID 
			INNER JOIN 
					MestiereCustomerDomande ON MestiereCustomerRisposte.IdDomanda = MestiereCustomerDomande.ID	 
			INNER JOIN 
					MestiereCustomerDomande2Edifici ON MestiereCustomerDomande.ID = MestiereCustomerDomande2Edifici.IdCustomer 
					
				INNER JOIN
				tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = MestiereCustomerCompilato.IdEdificio AND 
				tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = MestiereCustomerCompilato.IdCommessa	 
				INNER JOIN		
				tblPgContrattiAffidatari ON 
				tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario 
					
			WHERE  
				$where2           
				AND MestiereCustomerCompilato.Anno = $Anno 
				AND MestiereCustomerCompilato.Mese = $Mese  
				AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
				AND MestiereCustomerCompilato.IdEdificio = $IdEdificio  
_SQL;
			$sql3[2] = <<< _SQL
			SELECT      
			count(Richieste.IdRich) 
			FROM          
			Richieste  
				INNER JOIN 
					Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND   Richieste.IDCommessa = Ordini.IDCommessa  
				INNER JOIN 
					TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU 
			INNER JOIN 
			tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
			WHERE
				$where3         
				AND YEAR(Richieste.DataRichiesta) = $Anno 
				AND MONTH(Richieste.DataRichiesta) = $Mese 
				AND Ordini.StatoOrd = 50
				AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
				AND Richieste.Localizzazione = $IdEdificio 
_SQL;
			$sql3[3] = <<< _SQL
			SELECT    
			count(tblOrdiniProgrammati.IdOrdineProgrammato)
			FROM         
			tblOrdiniProgrammati 
			LEFT OUTER JOIN
					Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
			INNER JOIN 
			tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
			WHERE     
			$where4        
				AND tblOrdiniProgrammati.datafine IS NULL
				AND YEAR( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Anno 
				AND MONTH( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Mese 
				AND (tblOrdiniProgrammati.Eseguito IS NULL OR tblOrdiniProgrammati.Eseguito=0)  
				AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
				AND tblOrdiniProgrammati.IdEdificio = $IdEdificio 
_SQL;
			$sql3[4] = <<< _SQL
			SELECT     count(IdOrdineProgrammato)
			FROM
			( 
				SELECT DISTINCT
					tblOrdiniProgrammati.IdOrdineProgrammato 
				FROM         
				tblOrdiniProgrammati 
				LEFT OUTER JOIN
						Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
				LEFT OUTER JOIN
						DocsOrdini ON Ordini.IDCommessa = DocsOrdini.IdCommessa AND Ordini.IdOrd = DocsOrdini.IdOrdine
				INNER JOIN 
				tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
				WHERE     
				$where5        
					AND tblOrdiniProgrammati.datafine IS NOT NULL
					AND YEAR( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Anno 
					AND MONTH( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Mese 
					AND tblOrdiniProgrammati.Eseguito=1
					AND DocsOrdini.IdDoc IS NOT NULL      
					AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
					AND tblOrdiniProgrammati.IdEdificio = $IdEdificio 
			) AS A1			 
_SQL;
			/*     * ********************************************************************************************* */
			$kpi = array();
			for ($jndex = 0; $jndex < count($sql1); $jndex++) { 
			
				$rsd = ntxScalar($sql1[$jndex]);
				if (is_numeric($rsd)) {
					$d = floatval($rsd);
				} else {
					$d = 0.0;
				}
				$rsn = ntxScalar($sql3[$jndex]);
				if (is_numeric($rsn)) {
					$n = floatval($rsn);
				} else {
					$n = 0.0;
				}
				if ($d != 0.0) {
					if (($jndex == 0) || ($jndex == 2) || ($jndex == 3) || ($jndex == 4)) {
						$kpi[$jndex] = (1 - ($n / $d) ) * 100;
					} else {
						$kpi[$jndex] = ($n / $d) * 100;
					}
				} else {
					$kpi[$jndex] = 100;
				}
			}

			if (count($kpi) != 0) {
				$kpiVal = round(array_sum($kpi) / count($kpi));
			} else {
				$kpiVal = 0;
			}  
 
			
			
			$kpiValTot+=$kpiVal;
		} 
		
		if($NumEdifici==0) $kpiValTot=0;
		else $kpiValTot = $kpiValTot/$NumEdifici;
		
		
		//$LABEL = strtolower($html[Nome])." - Id contr. $IdPgContrattoAffidatario ";
		$LABEL = strtolower($html[Nome])." - ".$html[Descrizione];
		
		
		$result[ $LABEL ]['color'] = $colore;  
		
		
		$result[ $LABEL ]['label'] = $LABEL;
		

		$MeseS = "$Mese";
		if(strlen($MeseS)==1) $MeseS = "0$MeseS"; 
		
		$result[ $LABEL ]['data'][] = array("$MeseS-$Anno", $kpiValTot);
		
		
		$Mese += 1;
		if ($Mese >= 13) 
		{  
			$Mese = 1;
			$Anno = $Anno + 1;
		}
		
		
	
		
	}
	
	
	++$counter;
}
 

jhp($result);
?>
