<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
$IdCommessa = ntxise('IdCommessa');
$where = <<< _SQL
    Richieste.IDCommessa = $IdCommessa
    AND TabellaGradoUrgenza.PerRicNonConformita = 1
_SQL;
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');
$where .= <<< _SQL
    AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
_SQL;
/* * **************************************************** */
if (is_numeric($_POST['IdEdificio'])) {
    $IdEdificio = ntxip('IdEdificio');
    $whereEdificio = <<< _SQL
    AND ElencoEdifici.ID = $IdEdificio 
_SQL;
} else {
    $whereEdificio = "";
}





/*     * **************************************************** */
$where .= <<< _SQL
AND YEAR(Richieste.DataRichiesta) = $Anno 
AND MONTH(Richieste.DataRichiesta) = $Mese 
_SQL;
/*     * **************************************************** */


$arrayEdifici = array();
//return edifici
$sql2 = <<< _SQL
   SELECT DISTINCT  
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.EdificioBreve 
    FROM         
	tblPgContrattiAffidatariAttivitEdifici 
	INNER JOIN
	ElencoEdifici ON tblPgContrattiAffidatariAttivitEdifici.IdCommessa = ElencoEdifici.IdCommessa AND  tblPgContrattiAffidatariAttivitEdifici.IdEdificio = ElencoEdifici.ID
    WHERE    
	tblPgContrattiAffidatariAttivitEdifici.IdCommessa = $IdCommessa
	AND tblPgContrattiAffidatariAttivitEdifici.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
        $whereEdificio
		
	AND ( ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>=getdate()  )	
_SQL;
$query = ntxQuery($sql2);
while ($rs = ntxRecord($query)) {
    foreach ($rs as $key => $value) {
        $rs[$key] = htmlentities($value);
    }
    $arrayEdifici[$rs['IdEdificio']] = $rs['EdificioBreve'];
}
/* * **************************************************** */
$result = <<< _HTML

    <div class="title large">Report KPI 3<br><br>Monitoraggio Disservizi - Periodo di riferimento $Mese/$Anno</div>

    <div class="clrfx mt-10"></div>
        
    <p class="normal">L'indicatore misura la qualit del servizio valutata dall'utente finale. Mensilmente saranno conteggiate le eventuali non conformit inserite nel sistema informatico da personale CCHBC I e successivamente verificate e non risolte dal fornitore entro il mese di riferimento.</p>
    
    <p class="small"><b>Metodo di Misurazione</b> N. disservizi non gestiti nel mese nella sede / N. disservizi inseriti sul portale nel mese nella sede</p>

    <p class="small"><b>Target Mensile</b> 0 disservizi non gestiti</p>
    
    <div class="clrfx mt-10"></div>
        
    <div class="row table">

        <div class="cell table w-1_4">

            <div class="title table inline">Sede</div>

        </div>

        <div class="cell table w-1_4">

            <div class="title table inline">N. disservizi totali</div>

        </div>

        <div class="cell table w-1_4">

            <div class="title table inline">N. disservizi non gestiti</div>

        </div>

        <div class="cell table w-1_4">

            <div class="title table inline">KPI</div>

        </div>

    </div>
        
_HTML;
/* * **************************************************** */

foreach ($arrayEdifici as $key => $value) {

    if (strlen($value) == 0) {
        continue;
    }
    $NomeEdificio = $value;
    /*     * **************************************************** */
    $sql1 = <<< _SQL
    SELECT      
	count(Richieste.IdRich) 
    FROM          
	Richieste  
    INNER JOIN 
        Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND   Richieste.IDCommessa = Ordini.IDCommessa  
    INNER JOIN 
        TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE
        $where 
        AND Richieste.Localizzazione = $key  
_SQL;
    /*     * **************************************************** */
    $sql3 = <<< _SQL
    SELECT      
	count(Richieste.IdRich) 
    FROM          
	Richieste  
    INNER JOIN 
        Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND   Richieste.IDCommessa = Ordini.IDCommessa  
    INNER JOIN 
        TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE
        $where        
        AND Richieste.Localizzazione = $key 
	AND Ordini.StatoOrd = 50
_SQL;
    /*     * **************************************************** */

    $denominatore = ntxScalar($sql1);
    $numeratore = ntxScalar($sql3);
    if (floatval($denominatore) != 0.0) {
        $kpi = round(((1 - (floatval($numeratore) / floatval($denominatore))) * 100));
        if ($kpi == 100) {
            $legendIndex = 0;
        } else {
            $legendIndex = 1;
        }
        $kpi = ntxRoundThousand($kpi, 2);
    } else {
        $kpi = '-';
        $legendIndex = 2;
    }
    /*     * **************************************************** */

    $result .= <<< _HTML

    <div class="row table bordered" $legend[$legendIndex] >

        <div class="cell table w-1_4">

            <p class="large">$NomeEdificio</p>

        </div>

        <div class="cell table w-1_4">

            <p class="large">$denominatore</p>

        </div>

        <div class="cell table w-1_4">

            <p class="large">$numeratore</p>

        </div>

        <div class="cell table w-1_4">

            <p class="large">$kpi %</p>

        </div>

    </div>

_HTML;
}
