<?php
session_start();
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumOrdine = ntxip('NumOrdine'); // usata anche in _carica_richiesta
$AnnoOrdine = ntxip('AnnoOrdine'); // usata anche in _carica_richiesta
	
$_POST[DataOrdine] = ntxDateTime(ntxScalar("SELECT DataOrdine FROM Ordini WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine) "));
$DataOrdine =ntxtp('DataOrdine');
$DataInizio=ntxtp('DataInizio');
$DataFine=ntxtp('DataFine');	 


if(!is_numeric($_POST['IdRisorsa'])) ntxmsgerr("Nessuna risorsa selezionata!");

if( strlen($_POST['PrestazioneEffettuata'])<1 ) ntxmsgerr("Nessuna azione selezionata!");



//data inizio e data fine non devono essere inferiori alla data dell'ordine
$diff = ntxScalar("SELECT DATEDIFF ( day , $DataInizio, $DataOrdine )");
if($diff>0)
	ntxmsgerr("Errore! La DataInizio $_POST[DataInizio]  minore di DataOrdine $_POST[DataOrdine]  ");
	
$diff = ntxScalar("SELECT DATEDIFF ( day , $DataFine, $DataOrdine )");
if($diff>0)
	ntxmsgerr("Errore! La DataFine $_POST[DataFine]  minore di DataOrdine $_POST[DataOrdine]  ");
	

//data inizio non può essere maggiore della data fine  
$diff = ntxScalar("SELECT DATEDIFF ( day ,  $DataFine, $DataInizio )"); 
if($diff>0)
	ntxmsgerr("Errore! DataFine $_POST[DataFine]  minore di DataInizio $_POST[DataInizio]   ");
	 	
	
	
$sql = <<<_SQL
SELECT ElencoEdifici.Rimosso
FROM  ElencoEdifici INNER JOIN
               Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio
WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine)
_SQL;
	
if( ntxScalar($sql)==1 )
	ntxmsgerr("Non e' possibile eseguire l'operazione richiesta.\nEdificio non utilizzabile!");	
	
	

if ( $_POST[ForseFuoriCanone]==1  &&  strlen($_POST[NoteTecnicheAffidatario]) <=0 )
	ntxMsgErr("Quando l'ordine e' settato come fuori canone\ne' obbligatorio inserire note tecniche affidatario!");
	
$DataInizio=ntxtp('DataInizio');
$DataFine=ntxtp('DataFine');
 

$Intervento=ntxsp('Intervento'); 
$StatoOrdP=ntxip('StatoOrd');
$StatoOrd=ntxip('StatoOrd');
 
$sql = "SELECT IDPres FROM PresenzaIntervento "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$obj = ntxScalar($sql);

$sql = "SELECT IdRisorsa FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$isIdRisorsa = is_numeric(ntxScalar($sql));

if(strlen($DataFine)>4) 
{
	if ( is_numeric($obj)  &&  $StatoOrd < 80 )
		$StatoOrd = 80;
	elseif ( $StatoOrd < 50 )
		$StatoOrd = 50;
}
elseif(strlen($DataInizio)>4  &&  $StatoOrd <= 50 ) 
	$StatoOrd = 40;
elseif ( $StatoOrd <= 50 )
	if ( $isIdRisorsa )
		$StatoOrd = 37;
	else
		$StatoOrd = 35;
	
$Ordini= new NtxTable("Ordini");

$UpdateOrdini= $Ordini->update();

$UpdateOrdini->init();

$UpdateOrdini->setp("DataInizio");
$UpdateOrdini->setp("DataFine"); 
$UpdateOrdini->setp("Intervento"); 
$UpdateOrdini->setp("PrestazioneEffettuata");  

$UpdateOrdini->set("StatoOrd", $StatoOrd);

$UpdateOrdini->setp("IdRisorsa"); 

$UpdateOrdini->set("DataPresaInCarico", $_POST[DataPC]); 

$UpdateOrdini->where("IdCommessa", 	$IdCommessa);
$UpdateOrdini->wherep("NumOrdine");	
$UpdateOrdini->wherep("AnnoOrdine");	
		 				   
$UpdateOrdini->execute();	
	
$sql = <<< sql
	SELECT 1
	FROM Ordini
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
		and IdRisorsa is not null and IdRisorsaOld is null
		and StatoOrd=37
sql;

$PrimaPresaInCarico = ntxScalar($sql);

$sql = <<< sql
	SELECT 1
	FROM Ordini
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
		and IdRisorsa is not null and IdRisorsaOld is not null and IdRisorsa<>IdRisorsaOld
		and StatoOrd=37
sql;

$SuccessivaPresaInCarico = ntxScalar($sql);

if ( $PrimaPresaInCarico )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/presa_in_carico/start.php');
	require_once(NTX_WEBPORTAL_PATH.'messaggi/presa_in_carico/start.php');
}
elseif ( $SuccessivaPresaInCarico )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/presa_in_carico/start.php');
}
elseif ( $StatoOrd == "50")
{
	$add_OGGETTO_MSG = "";
	if($StatoOrdP==50)//in questo caso i messaggi vengono inviati per la seconda volta o più
	{
		$add_OGGETTO_MSG = "ULTERIORI INFORMAZIONI";
	}

	require_once(NTX_WEBPORTAL_PATH.'messaggi/chiuso_ordine/start.php');
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/chiusura_ordine/start.php');
}

if ( $PrimaPresaInCarico || $SuccessivaPresaInCarico )
{
	$sql = <<< sql
		update ordini set IdRisorsaOld=IdRisorsa
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

	ntxQuery($sql);
}

require('_carica.inc');
?>
