<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require('_get_modalita.php');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=9" />
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script> 
</head>

<body>

<form id="form1" name="form1" method="post" >
	<input type="hidden" name="NumOrdine" />
	<input type="hidden" name="AnnoOrdine" />
</form>	

<script language="javascript">
function caricaOrdine(NumOrdine, AnnoOrdine)
{
	document.form1.NumOrdine.value = NumOrdine; 
	document.form1.AnnoOrdine.value = AnnoOrdine; 
	
	parent.parent.tbJq_updateTabFrame(document.form1, "edit_ordine", 'edit_ordine.php');	
	parent.parent.tbJq_showTabFrame("edit_ordine");
}

function caricaInCalendario(NumOrdine, AnnoOrdine)
{ 
	parent.parent.tbJq_getTabFrame("calendario").aggiungiEventoInCalendar(NumOrdine, AnnoOrdine);
	parent.parent.tbJq_showTabFrame("calendario");
}

function caricaInCal()
{
	if(!confirm("Questo potrebbe richiedere diverso tempo.\nSi desidera continuare?")) return;

	try
	{
		$.each(  $('input[name=selezione]')  , function(index, value) 
		{ 
			var stringa = $(value).val()
		
			var array = stringa.split("_");
			var NumOrdine = array[0];		
			var AnnoOrdine = array[1];		
		
 			if( $.isNumeric(NumOrdine)  &&  $.isNumeric(AnnoOrdine) )
			{
				parent.parent.tbJq_getTabFrame("calendario").aggiungiEventoInCalendar(NumOrdine, AnnoOrdine);
			}  
		});	
	}
	catch(ex)
	{
		alert("Opsss, questo è imbarazzante!\nE' accorso un errore, si prega di riprovare. Se il problema persiste contattare l'amministatore del sistema.");
	}
	
	parent.parent.tbJq_showTabFrame("calendario");
}

</script>


<div class="divBottoni">   
	<button  onclick="parent.CloseFrame()"   > 
		<img src="/repository/xhdpi/1-navigation-back.png" style="width:15px" />
		indietro
	</button>		 
	
	<form method="post"  class="allineatoSinistra">
		<?php ntxCreateHiddens() ?>
		
		<button   type="submit"  >
			<img src="/repository/xhdpi/1_navigation_refresh.png" style="width:15px" />
			ricarica
		</button>
	</form>
	
	<button   type="submit"  onclick=" caricaInCal( ); return false;">
		<img src="/repository/_icons/calendar_2.png" />
		carica tutto in calendario
	</button>	
	
</div

<?php 
require_once($_POST['modalita'].'/ordini_sql.inc');
?>  

<div>
 
<table id="tblRisultati" cellpadding="0" cellspacing="0" align="center"  >
	<thead>
		<tr>
			<th>&nbsp;
			<th>&nbsp;
			<th>Num. Ordine
			<th>Anno Ordine
			<th>Richiedente
			<th>CID_Richiedente 
			<th>Sala Prenotazione 
			<th>Data Inizio
			<th>Data Fine
			<th>Data Ordine
			<th>Data Scadenza
			<th>Stato Ordine 	
			<th>Num. Richiesta
			<th>Anno Richiesta
			<th>Data Richiesta 
			<th>Des 
			<th>Ente
			<th>Codice Localiz.
			<th>Localizzazione
			<th>Fornitore
			<th>Mestiere 
		</tr>   
	</thead>
	
	<tbody>	
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "td2";  
		
		$rs['NumOrdine'] = (int)$rs['NumOrdine'];
		$rs['AnnoOrdine'] = (int)$rs['AnnoOrdine'];
?>
	<tr>
		<td class="<?php echo $classe ?>"> 
			<input type="button" value="vedi" 		onclick="caricaOrdine('<?php echo $rs['NumOrdine'] ?>' , '<?php echo $rs['AnnoOrdine'] ?>')"> 
			
		<td class="<?php echo $classe ?>"> 
			<input type="hidden" name="selezione" value="<?php echo $rs['NumOrdine'] ?>_<?php echo $rs['AnnoOrdine'] ?>"   />
			<input type="button" value="calendario" 	onclick="caricaInCalendario('<?php echo $rs['NumOrdine'] ?>' , '<?php echo $rs['AnnoOrdine'] ?>')"> 

		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['Richiedente']) ?>	
		
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['CID']) ?>		

		<td class="<?php echo $classe ?>"  > 
			<strong>Partecipanti:</strong>&nbsp;<?php echo htmlentities($rs['NumeroPartecipanti']) ?> 
			<br><strong>Prenotazione:&nbsp;</strong><?php echo ntxDate($rs['DataPrenotazione1']) ?>&nbsp;-&nbsp;<?php echo ntxDate($rs['DataPrenotazione2']) ?>
			<br><strong>Ora:</strong>&nbsp;<?php echo htmlentities($rs['OraInizio']) ?>&nbsp;<?php echo htmlentities($rs['OraFine']) ?>
			<br><strong>Nominativo chiave:</strong>&nbsp;<?php echo htmlentities($rs['RitiroChiave']) ?>  
		
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataInizio']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataFine']) ?>
		
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataOrdine']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataScadenza']) ?>  
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['DesStato']) ?>  
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['NumRichiesta']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['AnnoRichiesta']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?> 
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['Des']) ?> 
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['Ente']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['Codice']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities("$rs[Nome] - $rs[Indirizzo] - $rs[Comune] ($rs[Provincia]) - $rs[CapCap]") ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['Fornitore']) ?>
		<td class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['Mestiere']) ?> 
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
	</tbody>	
</table> 

</div>

</body>
</html>