<?php
session_start();
require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
 

$record = array(); 

$sqlFields = <<<_SQL
ElencoEdifici.ID AS IdEdificio, 
ISNULL(ElencoEdifici.Codice, '') +' '+ ISNULL(ElencoEdifici.EdificioBreve, '') +' '+ ISNULL(ElencoEdifici.Sede, '') AS Edificio, 
ISNULL(ElencoEdifici.Indirizzo, '') +' '+  ISNULL(ElencoEdifici.CAP, '') +' '+  ISNULL(ElencoEdifici.CITTA, '') +' '+  ISNULL(ElencoEdifici.PROVINCIA, '') AS Indirizzo, 
ElencoEdifici.Latitudine AS lat, ElencoEdifici.Longitudine AS lng,
ElencoEdifici.Tipo, ElencoEdifici.Polilinea
_SQL;

$sqlWHERE = <<<_SQL
AND ( ElencoEdifici.Latitudine IS NOT NULL OR ElencoEdifici.Longitudine IS NOT NULL OR ElencoEdifici.Polilinea IS NOT NULL )
_SQL;

require('../_ordini_sql.inc');  
 
$query = ntxQuery($sql); 
  
while( $rs = ntxRecord($query) )
{	 
	$IdEdificio = $rs['IdEdificio'];  

	
	
	$sqlFields = <<<_SQL
	Ordini.IdOrd,
	Ordini.StatoOrd	
_SQL;

	$sqlWHERE = <<<_SQL
	AND Ordini.CodEdificio = $IdEdificio 
_SQL;

	require('../_ordini_sql.inc');  

	$query1 = ntxQuery($sql); 
	  
	  
	$rs['ordini_magg_finiti' ]  = 0;
	$rs['ordini_assegnati' ]  = 0;
	$rs['ordini_in_corso' ]  = 0;
	$dividendo  = 0;
	$divisore = 0;
	$rs['percentuale' ]  = 0;
	
	while( $rs1 = ntxRecord($query1) )
	{	 
		if( $rs1[StatoOrd] >= 50 ) ++$rs['ordini_magg_finiti' ];
		
		if( $rs1[StatoOrd] == 35 ) ++$rs['ordini_assegnati' ];
		
		if( $rs1[StatoOrd] == 40 ) ++$rs['ordini_in_corso' ];
		
		if( $rs1[StatoOrd] == 50 || $rs1[StatoOrd] >= 80 ) ++$dividendo;
		
		if( $rs1[StatoOrd] <> 70 ) ++$divisore;
	
	}	

	$rs['percentuale' ] = ( ($dividendo+0.000001)/($divisore+0.000001) ) * 100; 
 
	
	
	/*$sqlFields = <<<_SQL
	Ordini.IdOrd 
_SQL;

	$sqlWHERE = <<<_SQL
	AND Ordini.CodEdificio = $IdEdificio
	AND Ordini.StatoOrd >= 50
_SQL;

	require('../_ordini_sql.inc');  
	
	$sql = "SELECT COUNT(IdOrd) FROM ( SELECT DISTINCT * FROM ($sql1 UNION $sql2) AS A1 ) AS ATOT ";
	
	$rs['ordini_magg_finiti' ] = 0 + ntxScalar($sql);*/
 
	
	
	/*$sqlFields = <<<_SQL
	Ordini.IdOrd 
_SQL;

	$sqlWHERE = <<<_SQL
	AND Ordini.CodEdificio = $IdEdificio
	AND Ordini.StatoOrd = 35
_SQL;

	require('../_ordini_sql.inc');  
	
	$sql = "SELECT COUNT(IdOrd) FROM ( SELECT DISTINCT * FROM ($sql1 UNION $sql2) AS A1 ) AS ATOT ";
	
	$rs['ordini_assegnati' ] = 0 + ntxScalar($sql);*/
 
	
	
	/*$sqlFields = <<<_SQL
	Ordini.IdOrd 
_SQL;

	$sqlWHERE = <<<_SQL
	AND Ordini.CodEdificio = $IdEdificio
	AND Ordini.StatoOrd = 40
_SQL;

	require('../_ordini_sql.inc');  
	
	$sql = "SELECT COUNT(IdOrd) FROM ( SELECT DISTINCT * FROM ($sql1 UNION $sql2) AS A1 ) AS ATOT ";
	
	$rs['ordini_in_corso' ] = 0 + ntxScalar($sql); */
	

	
	/*$noQueryStatiOrdine = true;
	
	$sqlFields = <<<_SQL
	Ordini.IdOrd 
_SQL;

	$sqlWHERE = <<<_SQL
	AND Ordini.CodEdificio = $IdEdificio
	AND (  (Ordini.StatoOrd = 50) OR (Ordini.StatoOrd >= 80) )
_SQL;

	require('../_ordini_sql.inc');  
	
	$sql = "SELECT COUNT(IdOrd) FROM ( SELECT DISTINCT * FROM ($sql1 UNION $sql2) AS A1 ) AS ATOT ";
	
	$dividendo = 0 + ntxScalar($sql); 
	$rs['dividendo' ] = $dividendo;

	
	$noQueryStatiOrdine = true;
	
	$sqlFields = <<<_SQL
	Ordini.IdOrd 
_SQL;

	$sqlWHERE = <<<_SQL
	AND Ordini.CodEdificio = $IdEdificio
	AND ( Ordini.StatoOrd <> 70 )  
_SQL;

	require('../_ordini_sql.inc');  
	
	$sql = "SELECT COUNT(IdOrd) FROM ( SELECT DISTINCT * FROM ($sql1 UNION $sql2) AS A1 ) AS ATOT ";
	
	$divisore = 0 + ntxScalar($sql); 
	$rs['divisore' ] = $divisore;
	
 
	$rs['percentuale' ] = ( ($dividendo+0.000001)/($divisore+0.000001) ) * 100; */
 
 
	$record[] = $rs;
} 

jhp($record);  
?>
