<?php
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201701190958 = new NtxTraduttore("000_000_324", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201701190958 = new NtxCreaTraduzione("000_000_324", "IT", __FILE__);

if($execPagedQuery)
{
	$query = ntxPagedQuery($sql, "DataOrdine DESC");
	
	ntxPagedPrintNavigation();
}
else 
{
	$sql .= " ORDER BY DataOrdine DESC "; 
	$query = ntxQuery($sql);
}	
?>


<table   cellpadding="0" cellspacing="0"   >
	<thead>  
		<th><?php $traduttore201701190958->html('Num. Contabilità') ?>
		<th><?php $traduttore201701190958->html('Data Contabilità') ?>
		<th><?php $traduttore201701190958->html('Stato Contabilità') ?>
		<th><?php $traduttore201701190958->html('Richiesta') ?>
		<th><?php $traduttore201701190958->html('Data Richiesta') ?>
		<th><?php $traduttore201701190958->html('Ordine') ?>
		<th><?php $traduttore201701190958->html('Data Ordine') ?>
		<th><?php $traduttore201701190958->html('Stato Ordine') ?>
		<th><?php $traduttore201701190958->html('Grado Urgenza') ?>
		<th><?php $traduttore201701190958->html('Descrizione') ?>
		<th><?php $traduttore201701190958->html('Codice Edificio') ?>
		<th><?php $traduttore201701190958->html('Edificio') ?>
		<th><?php $traduttore201701190958->html('Consegnato') ?>
		<th><?php $traduttore201701190958->html('Data Consegna') ?>
		<th><?php $traduttore201701190958->html('Data Ultima Consegna') ?>
		<th><?php $traduttore201701190958->html('Fatturato') ?>
		<th><?php $traduttore201701190958->html('Num. SAL') ?>
		<th><?php $traduttore201701190958->html('Data SAL') ?>
		<th><?php $traduttore201701190958->html('Note') ?>
		<th><?php $traduttore201701190958->html('Approvato') ?>
		<th><?php $traduttore201701190958->html('Importo Approvato') ?>
		<th><?php $traduttore201701190958->html('Data Approvazione') ?>
		<th><?php $traduttore201701190958->html('Utente Approvazione') ?>
		<th><?php $traduttore201701190958->html('Contestato') ?>
		<th><?php $traduttore201701190958->html('Data Contestazione') ?>
		<th><?php $traduttore201701190958->html('Utente Contestazione') ?>
		<th><?php $traduttore201701190958->html('Note Contestazione') ?>
		<th><?php $traduttore201701190958->html('Ordine Cliente') ?>
		<th><?php $traduttore201701190958->html('Ordine Cliente (NEL)') ?>
		<th><?php $traduttore201701190958->html('Ente') ?>
		<th><?php $traduttore201701190958->html('Utilizzatore') ?>
	</tr>   
	</thead>
	
	<tbody>
<?php
	$alternate = true;

	while(  $query  &&  $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "td2";
		
		if( is_numeric($rs['NonValutabileInSLA'])  &&  $rs['NonValutabileInSLA']==1 ) $classe = "NonValutabileInSLA";
?> 
	<tr> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NumContabilità']) ?>
		<td class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataContabilità']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['DesstatoC']) ?>
		<td class="<?php echo $classe ?>" ><?php echo (int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'] ?>
		<td class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataRichiesta']) ?>
		<td class="<?php echo $classe ?>" ><?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?>
		<td class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataOrdine']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['statoOrdine']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['GU']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Descrizione']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['CodEdificio']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Edificio']) ?>
		<td class="<?php echo $classe ?>" ><?php if ($rs['Consegnato']==1) echo "SI"; else echo "no" ?>
		<td class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataConsegna']) ?>
		<td class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataUltimaConsegna']) ?>
		<td class="<?php echo $classe ?>" ><?php if ($rs['Fatturato']==1) echo "SI"; else echo "no" ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NumSal']) ?>
		<td class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataSal']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Note']) ?>
		<td class="<?php echo $classe ?>" ><?php if ($rs['Approvato']==1) echo "SI"; else echo "no" ?>
		<td class="<?php echo $classe ?>" ><?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?>
		<td class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataApprovazione']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['UtenteApprovazione']) ?>
		<td class="<?php echo $classe ?>" ><?php if ($rs['Contestato']==1) echo "SI"; else echo "no" ?>
		<td class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataContestazione']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['UtenteContestazione']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NoteContestazione']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['RifOrdineCliente']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['GruppoF']) ?>
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Ente']) ?>	
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Utilizzatore']) ?>
<?php
		$alternate = !$alternate;
	}
?>
	</tbody>
</table> 
<?php $traduttore201701190958->Salva() ?>
 