<?php  
$IdCommessa = ntxise('IdCommessa');
$Utente=ntxsse('Utente');
$Password=ntxsse('Password'); 

require_once('tutti_attori/_funzGestioneArrayId.php'); //IMPORTANTE

$queryAffidatari1 = <<<_SQL
	tblComponetiMestiere INNER JOIN
	tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
	tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
	Richieste INNER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
	tblPgContrattiRifAffidatariAttivitàEdifici INNER JOIN
	tblPgContrattiRifAffidatari ON 
	tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario INNER JOIN
	UtentiRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
	Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON Richieste.IDCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
	Richieste.Localizzazione = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio ON 
	tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
	tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere AND 
	tblComponetiMestiere.IdCommessa = Richieste.IDCommessa AND tblComponetiMestiere.IdMestiere = Richieste.IdMestiere INNER JOIN
	tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario AND 
	Richieste.DataRichiesta >= tblPgContrattiAffidatari.DataInizio AND Richieste.DataRichiesta <= tblPgContrattiAffidatari.DataFine INNER JOIN
	Solleciti ON Richieste.IDCommessa = Solleciti.IDCommessa AND Richieste.NumRichiesta = Solleciti.NumRichiesta AND 
	Richieste.AnnoRichiesta = Solleciti.AnnoRichiesta
	
	LEFT OUTER JOIN
	tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND 
	Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore	
	
	LEFT OUTER JOIN 
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
_SQL;


$queryAffidatari2 = <<<_SQL
	tblPgRifAffidatari INNER JOIN
	UtentiRifAffidatari INNER JOIN
	Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
	Richieste INNER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID ON 
	tblPgRifAffidatari.IdAffidatario = Richieste.IdAffidatario INNER JOIN
	Solleciti ON Richieste.IDCommessa = Solleciti.IDCommessa AND Richieste.NumRichiesta = Solleciti.NumRichiesta AND 
	Richieste.AnnoRichiesta = Solleciti.AnnoRichiesta
	
	LEFT OUTER JOIN
	tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND 
	Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore		
	
	LEFT OUTER JOIN 
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
_SQL;


$sqlSelect = <<<_SQL
	Solleciti.ID, Solleciti.IDCommessa, Solleciti.NumRichiesta, Solleciti.AnnoRichiesta, Solleciti.DataSollecito, Solleciti.SollecitoDa, 
	Solleciti.DescrizioneSollecito, Solleciti.Risposta, Solleciti.DataOraScadenza, Solleciti.Evaso, Solleciti.IdTipoSollecito, Solleciti.Utente, Solleciti.Indicatori, 
	Solleciti.Inviato, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve,  Richieste.Descrizione + Richieste.Descrizione1 + Richieste.Descrizione2 AS DescrizioneRichiesta, tblUtUtilizzatori.Nome AS Utilizzatore
_SQL;


$sqlWHERE1  = <<<_SQL
	(Utenti.Nome = $Utente) 
	AND (Utenti.Password = $Password) 
	AND (Richieste.IDCommessa = $IdCommessa) 
	AND (Richieste.IdAffidatario IS NULL OR Richieste.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario)
_SQL;


$sqlWHERE2  = <<<_SQL
	(Utenti.Nome = $Utente) 
	AND (Utenti.Password = $Password) 
	AND (Richieste.IDCommessa = $IdCommessa) 
	AND (tblPgRifAffidatari.VistaFuoriContratto = 1)
_SQL;


$where=" ";


if( is_numeric($_POST[TipoDettaglio]) )
{
	$richiestaDettaglio = (int)$_POST[TipoDettaglio];

	if($richiestaDettaglio==1)
	{
		$mese = (int)$_POST['Mese'];
		$anno = (int)$_POST['Anno'];
		
		$where.=" AND MONTH(Solleciti.DataSollecito)=$mese AND YEAR(Solleciti.DataSollecito)=$anno ";
	}
	else if($richiestaDettaglio==2)
	{
		$mese = (int)$_POST['Mese'];
		$anno = (int)$_POST['Anno'];
		

		$where.=" AND MONTH(Solleciti.DataSollecito)=$mese AND YEAR(Solleciti.DataSollecito)=$anno ";
	}
	else if ($richiestaDettaglio==3)
	{
		if ( isset($_POST['dataInizio'])  &&  strlen($_POST['dataInizio'])>0) 
		{
			$dataInizio=ntxtp('dataInizio');
			$where.=" AND (Solleciti.DataSollecito >= ".$dataInizio.") ";	
		}

		if ( isset($_POST['dataFine'])  &&  strlen($_POST['dataFine'])>0) 
		{
			$dataFine = ntxtp('dataFine');
			$where.=" AND (Solleciti.DataSollecito <= ".$dataFine.") ";
		}	
	}
	else if ($richiestaDettaglio==4)
	{
		$giorno = (int)$_POST['Giorno'];
		$mese = (int)$_POST['Mese'];
		$anno = (int)$_POST['Anno'];
		
		$where.=" AND  DAY(Solleciti.DataSollecito)=$giorno AND MONTH(Solleciti.DataSollecito)=$mese AND YEAR(Solleciti.DataSollecito)=$anno ";
	}	

	
	if( is_numeric($_POST[IdPropietario]))
	{
		$where.=" AND (ElencoEdifici.IdProprietario = $_POST[IdPropietario])";	
	}	
	
	/*if ( is_numeric($_POST['IdUtilizzatore'])) 
	{
		$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
		$where .= " AND (Richieste.IdUtilizzatore = $IdUtilizzatore) ";
	}	*/
	if( strlen($_POST['Utilizzatori'])>0 )
	{ 
		$where .= whereStringaElementi( $_POST['Utilizzatori'], ',', 'Richieste.IdUtilizzatore');
	}

	if( strlen($_POST['Edifici'])>0 )
	{ 
		$where .= whereStringaElementi( $_POST['Edifici'], ',', 'ElencoEdifici.ID');
	}
	
	if( strlen($_POST['Mestieri'])>0 )
	{ 
		$where .= whereStringaElementi( $_POST['Mestieri'], ',', 'Richieste.IdMestiere');
	}	
	

	if( is_numeric($_POST['IdFornitore']))
	{
		$value = (int)$_POST['IdFornitore'];
		$where.=" AND (Ordini.Assegnazione = $value)";	
	}

	if ( isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1'])>0) 
	{
		$str = stripslashes($_POST['GradoUrgenza1']."");
		$str = str_replace("'", "''", $str);
		$where .= " AND Richieste.GradoUrgenza = '".$str."' ";
	}	
	
	
	if ( is_numeric($_POST['IdEdificio'])) 
	{
		$IdEdificio = (int)$_POST['IdEdificio'];
		$where .= " AND (Richieste.Localizzazione = $IdEdificio) ";
	}			
		
	if ( is_numeric($_POST['Tipo']) ) 
	{
		$tipo = (int)$_POST['Tipo'];
		if($tipo==1)
			$where .= " AND (ElencoEdifici.Tipo = $tipo) ";
		else
			$where .= " AND ( (ElencoEdifici.Tipo=$tipo) OR (ElencoEdifici.Tipo IS NULL) ) ";	
	}	
			
	if( is_numeric($_POST['IdMestiere']) ) 
	{
		$IdMestiere = (int)$_POST['IdMestiere'];
		$where .= " AND (Richieste.IdMestiere = $IdMestiere) ";
	}
			
	if( is_numeric($_POST['escludiMestieriMarcati'])  &&  $_POST['escludiMestieriMarcati']==1 ) 
	{ 
		$where .= " AND (tblMestieri.escludiDaMatriceControllo IS NULL OR tblMestieri.escludiDaMatriceControllo=0) ";
	}	
	
	if ( isset($_POST['CommRifCli'])  &&  strlen($_POST['CommRifCli'])>0) 
	{
		$str = stripslashes($_POST['CommRifCli']."");
		$str = str_replace("'", "''", $str);
		
		$where .= " AND tblUtUtilizzatori.ClasseUtilizzatore = '".$str."' "; 
	}

	
	$sql1 = <<< SQL
		SELECT DISTINCT
			$sqlSelect 
		FROM  
			$queryAffidatari1	
		WHERE	
			$sqlWHERE1
			$where
SQL;


	$sql2 = <<< SQL
		SELECT DISTINCT
			$sqlSelect 
		FROM  
			$queryAffidatari2	
		WHERE	
			$sqlWHERE2
			$where
SQL;


	$sql = <<< SQL
		SELECT  *
			
		FROM 
			($sql1 UNION $sql2) AS tmp
SQL;

	$query = ntxQuery($sql);
		
}

?>