<?php
require('_criteri_comuni.inc');

$risultati = array();


$gradiUrgenza = array();

$sql001 = <<< sql
SELECT  GradoU, Descrizione
FROM 	TabellaGradoUrgenza
WHERE     
	(IdCommessa = $IdCommessa) 
	AND (Specifici=0 OR Specifici IS NULL)
sql;
 
if ( isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza1']."");
	$str = str_replace("'", "''", $str);
	$sql001 .= " AND TabellaGradoUrgenza.GradoU = '".$str."' "; 
}

$nomeCommessa = ntxScalar("SELECT DesComm FROM Commesse WHERE IDCommessa=$IdCommessa ");  
if( strtolower(trim($nomeCommessa))=='abb' ) //IMPORTANTE
{  
	$str = stripslashes('ACC');
	$str = str_replace("'", "''", $str);
	$sql001 .= " AND TabellaGradoUrgenza.GradoU LIKE '".$str."' "; 
}

$sql001 .= ' ORDER BY Descrizione ';

$queryGradoU = ntxQuery($sql001);
while( $queryGradoU  &&  $rs1 = ntxRecord($queryGradoU) )
{
	$gradiUrgenza[ $rs1[GradoU] ] = $rs1[Descrizione];	
}

 

 
$edifici = array(); 

while( $query_edifici  &&  $rs1 = ntxRecord($query_edifici) )
{
	$IdEdificio = $rs1[ID];
	 
	$edifici[ $IdEdificio ]['CODICE'] = $rs1[Codice];
	$edifici[ $IdEdificio ]['NOME'] = $rs1[EdificioBreve];
}


$sql1 = <<< SQL
SELECT  DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza

FROM  
	$queryAffidatari1
	
WHERE	
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	
	AND 
	(
		Ordini.StatoOrd = 40 
		OR 
		Ordini.StatoOrd = 35 
	)
 
	AND Ordini.DataScadenza IS NOT NULL
	AND Ordini.DataScadenza < getdate()
	
	AND ( Ordini.NonValutabileInSLA IS NULL OR Ordini.NonValutabileInSLA = 0 )
	
	$sql_where_TOT_O  
SQL;

$sql2 = <<< SQL
SELECT DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza
	
FROM  
	$queryAffidatari2
	
WHERE
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	
	AND tblPgRifAffidatari.VistaFuoriContratto = 1
	
	AND 
	(
		Ordini.StatoOrd = 40 
		OR 
		Ordini.StatoOrd = 35 
	)
 
	AND Ordini.DataScadenza IS NOT NULL
	AND Ordini.DataScadenza < getdate()
	
	AND ( Ordini.NonValutabileInSLA IS NULL OR Ordini.NonValutabileInSLA = 0 )
	
	$sql_where_TOT_O   
SQL;

$sql = <<< SQL
SELECT DISTINCT *	
FROM ( ($sql1) UNION ($sql2) ) AS tmp
SQL;

$query = ntxQuery($sql);
while( $query  &&  $rs = ntxRecord($query) )
{
	$IdEdificio = $rs[IdEdificio];
	$GradoUrgenza = $rs[GradoUrgenza];
	
	
	$risultati[ $IdEdificio ][ $GradoUrgenza ]['POTENZ_FUORI_SLA'] += 1; 
}


$sql1 = <<< SQL
SELECT  DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza

FROM  
	$queryAffidatari1
	
WHERE	
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	
	AND Ordini.StatoOrd >= 50  
	AND Ordini.StatoOrd <> 60  
	AND Ordini.StatoOrd <> 70  
	
	AND Ordini.DataInizio IS NOT NULL
	AND Ordini.DataScadenza IS NOT NULL
	
	AND ( Ordini.NonValutabileInSLA IS NULL OR Ordini.NonValutabileInSLA = 0 )
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )
	
	$sql_where_TOT_O  
SQL;

$sql2 = <<< SQL
SELECT DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza
	
FROM  
	$queryAffidatari2
	
WHERE
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	
	AND Ordini.StatoOrd >= 50  
	AND Ordini.StatoOrd <> 60  
	AND Ordini.StatoOrd <> 70  
	
	AND Ordini.DataInizio IS NOT NULL
	AND Ordini.DataScadenza IS NOT NULL
	
	AND ( Ordini.NonValutabileInSLA IS NULL OR Ordini.NonValutabileInSLA = 0 )
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )
	
	AND tblPgRifAffidatari.VistaFuoriContratto = 1
	$sql_where_TOT_O   
SQL;

$sql = <<< SQL
SELECT DISTINCT *	
FROM ( ($sql1) UNION ($sql2) ) AS tmp
SQL;

$query = ntxQuery($sql);
while( $query  &&  $rs = ntxRecord($query) )
{
	$IdEdificio = $rs[IdEdificio];
	$GradoUrgenza = $rs[GradoUrgenza];
	
	
	$risultati[ $IdEdificio ][ $GradoUrgenza ]['CHIUSI_SLA'] += 1; 
}


$sql1 = <<< SQL
SELECT  DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza

FROM  
	$queryAffidatari1
	
WHERE	
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	AND Richieste.Stato <> 10  
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )	
	$sql_where_TOT_O  
SQL;

$sql2 = <<< SQL
SELECT DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza
	
FROM  
	$queryAffidatari2
	
WHERE
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	AND Richieste.Stato <> 10   
	AND tblPgRifAffidatari.VistaFuoriContratto = 1
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )
	$sql_where_TOT_O   
SQL;

$sql = <<< SQL
SELECT DISTINCT *	
FROM ( ($sql1) UNION ($sql2) ) AS tmp
SQL;

$query = ntxQuery($sql);
while( $query  &&  $rs = ntxRecord($query) )
{
	$IdEdificio = $rs[IdEdificio];
	$GradoUrgenza = $rs[GradoUrgenza];
	
	
	$risultati[ $IdEdificio ][ $GradoUrgenza ]['APERTI'] += 1; 
}


 


$sql1 = <<< SQL
SELECT  DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza

FROM  
	$queryAffidatari1
	
WHERE	
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	AND Ordini.StatoOrd >= 50  
	AND Ordini.StatoOrd <> 60  
	AND Ordini.StatoOrd <> 70 
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )	
	$sql_where_TOT_O  
SQL;

$sql2 = <<< SQL
SELECT DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza
	
FROM  
	$queryAffidatari2
	
WHERE
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	AND Ordini.StatoOrd >= 50  
	AND Ordini.StatoOrd <> 60  
	AND Ordini.StatoOrd <> 70  
	AND tblPgRifAffidatari.VistaFuoriContratto = 1
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )
	$sql_where_TOT_O   
SQL;

$sql = <<< SQL
SELECT DISTINCT *	
FROM ( ($sql1) UNION ($sql2) ) AS tmp
SQL;

$query = ntxQuery($sql);
while( $query  &&  $rs = ntxRecord($query) )
{
	$IdEdificio = $rs[IdEdificio];
	$GradoUrgenza = $rs[GradoUrgenza];
	
	
	$risultati[ $IdEdificio ][ $GradoUrgenza ]['CHIUSI'] += 1; 
}



 


$sql1 = <<< SQL
SELECT  DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza

FROM  
	$queryAffidatari1
	
WHERE	
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	AND Ordini.StatoOrd >= 50  
	AND Ordini.StatoOrd <> 60  
	AND Ordini.StatoOrd <> 70  
	
	AND Ordini.DataInizio IS NOT NULL
	AND Ordini.DataScadenza IS NOT NULL
	AND Ordini.DataInizio <= Ordini.DataScadenza 
	
	AND ( Ordini.NonValutabileInSLA IS NULL OR Ordini.NonValutabileInSLA = 0 )
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )
	
	$sql_where_TOT_O  
SQL;

$sql2 = <<< SQL
SELECT DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza
	
FROM  
	$queryAffidatari2
	
WHERE
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	AND Ordini.StatoOrd >= 50  
	AND Ordini.StatoOrd <> 60  
	AND Ordini.StatoOrd <> 70  
	
	AND Ordini.DataInizio IS NOT NULL
	AND Ordini.DataScadenza IS NOT NULL
	AND Ordini.DataInizio <= Ordini.DataScadenza 
	
	AND ( Ordini.NonValutabileInSLA IS NULL OR Ordini.NonValutabileInSLA = 0 )
	
	AND tblPgRifAffidatari.VistaFuoriContratto = 1
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )
	
	$sql_where_TOT_O   
SQL;

$sql = <<< SQL
SELECT DISTINCT *	
FROM ( ($sql1) UNION ($sql2) ) AS tmp
SQL;

$query = ntxQuery($sql);
while( $query  &&  $rs = ntxRecord($query) )
{
	$IdEdificio = $rs[IdEdificio];
	$GradoUrgenza = $rs[GradoUrgenza];
	
	
	$risultati[ $IdEdificio ][ $GradoUrgenza ]['CHIUSI_DENTRO_SLA'] += 1; 
}

 

$sql1 = <<< SQL
SELECT  DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza

FROM  
	$queryAffidatari1
	
WHERE	
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	AND Ordini.StatoOrd >= 50  
	AND Ordini.StatoOrd <> 60  
	AND Ordini.StatoOrd <> 70  
	
	AND Ordini.DataInizio IS NOT NULL
	AND Ordini.DataScadenza IS NOT NULL
	AND Ordini.DataInizio > Ordini.DataScadenza 
	
	AND ( Ordini.NonValutabileInSLA IS NULL OR Ordini.NonValutabileInSLA = 0 )
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )
	
	$sql_where_TOT_O  
SQL;

$sql2 = <<< SQL
SELECT DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza
	
FROM  
	$queryAffidatari2
	
WHERE
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	AND Ordini.StatoOrd >= 50  
	AND Ordini.StatoOrd <> 60  
	AND Ordini.StatoOrd <> 70  
	
	AND Ordini.DataInizio IS NOT NULL
	AND Ordini.DataScadenza IS NOT NULL
	AND Ordini.DataInizio > Ordini.DataScadenza 
	
	AND tblPgRifAffidatari.VistaFuoriContratto = 1
	
	AND ( Ordini.NonValutabileInSLA IS NULL OR Ordini.NonValutabileInSLA = 0 )
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )
	
	$sql_where_TOT_O   
SQL;

$sql = <<< SQL
SELECT DISTINCT *	
FROM ( ($sql1) UNION ($sql2) ) AS tmp
SQL;

$query = ntxQuery($sql);
while( $query  &&  $rs = ntxRecord($query) )
{
	$IdEdificio = $rs[IdEdificio];
	$GradoUrgenza = $rs[GradoUrgenza];
	
	
	$risultati[ $IdEdificio ][ $GradoUrgenza ]['CHIUSI_FUORI_SLA'] += 1; 
}
 


$sql1 = <<< SQL
SELECT  DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza,
	DATEDIFF(hh, Ordini.DataScadenza , Ordini.DataInizio) AS diff
	

FROM  
	$queryAffidatari1
	
WHERE	
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	AND Ordini.StatoOrd >= 50  
	AND Ordini.StatoOrd <> 60  
	AND Ordini.StatoOrd <> 70  
	
	AND Ordini.DataInizio IS NOT NULL
	AND Ordini.DataScadenza IS NOT NULL
	AND Ordini.DataInizio > Ordini.DataScadenza 
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )
	
	$sql_where_TOT_O  
SQL;

$sql2 = <<< SQL
SELECT DISTINCT
	Richieste.IdRich, 
	Richieste.Localizzazione AS IdEdificio, 
	Richieste.GradoUrgenza,
	DATEDIFF(hh, Ordini.DataScadenza , Ordini.DataInizio) AS diff
	
FROM  
	$queryAffidatari2
	
WHERE
	Richieste.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password 
	AND Ordini.StatoOrd >= 50  
	AND Ordini.StatoOrd <> 60  
	AND Ordini.StatoOrd <> 70  
	
	AND Ordini.DataInizio IS NOT NULL
	AND Ordini.DataScadenza IS NOT NULL
	AND Ordini.DataInizio > Ordini.DataScadenza 
	
	AND tblPgRifAffidatari.VistaFuoriContratto = 1
	AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )
	
	$sql_where_TOT_O   
SQL;

$sql = <<< SQL
SELECT DISTINCT *	
FROM ( ($sql1) UNION ($sql2) ) AS tmp
SQL;


$query = ntxQuery($sql);
while( $query  &&  $rs = ntxRecord($query) )
{
	$IdEdificio = $rs[IdEdificio];
	$GradoUrgenza = $rs[GradoUrgenza];
	
	
	$risultati[ $IdEdificio ][ $GradoUrgenza ]['RIT_TEMPI'] += $rs[diff]; 
	$risultati[ $IdEdificio ][ $GradoUrgenza ]['RIT_ELEMENTI'] += 1; 
}
 
?>