<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201701191529 = new NtxTraduttore("000_000_332", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201701191529 = new NtxCreaTraduzione("000_000_332", "IT", __FILE__);

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
		<style>		
		td.td2
		{
			background: #BEBEBE;
		}
		 
		th
		{
			color: black;
			font-weight: bold;
		} 	
		
		table, th, td
		{ 
			mso-displayed-decimal-separator:"\,";
			mso-displayed-thousand-separator:"\."; 		
			
			border: 0.5pt solid black; 
			font-size:12px; 
		}		

		table
		{
		  border-collapse:collapse;
		}		
		
		<?php require('_analisi_gestione_css.php'); ?>
		</style>
	</head>

<body>
<?php
$IdCommessa = ntxise('IdCommessa');  
require("_check_cartella_ricerca.inc");//importante
require("_check_nome_entita.inc");//importante

require_once('_caption.php');
?>
 
<h3><?php echo get_CaptionTabella(); ?></h3>  

<?php
$execPagedQuery = false;

require("$cartella_ricerca/$NomeEntita/elenco.inc");  

$query = ntxQuery($sql);
?>
 

<table   cellpadding="0" cellspacing="0"   >
	<thead> 
		<th><?php $traduttore201701191529->html('Numero') ?>
		<th><?php $traduttore201701191529->html('Anno') ?>
		<th><?php $traduttore201701191529->html('Richiedente') ?>
		<th><?php $traduttore201701191529->html('Data Richiesta') ?>
		<th><?php $traduttore201701191529->html('Classificazione') ?>
		<th><?php $traduttore201701191529->html('Intervento') ?>
		<th><?php $traduttore201701191529->html('Stato') ?>
		<th><?php $traduttore201701191529->html('Data Inizio P') ?>
		<th><?php $traduttore201701191529->html('Data Fine P') ?>
		<th><?php $traduttore201701191529->html('Risp. Temp. Int.') ?>
		<th><?php $traduttore201701191529->html('Data Inizio Int. Tampone') ?>
		<th><?php $traduttore201701191529->html('Data Scadenza PIC') ?>
		<th><?php $traduttore201701191529->html('Data Scadenza') ?>
		<th><?php $traduttore201701191529->html('Data Scadenza ES') ?>
		<th><?php $traduttore201701191529->html('Data Presa in Carico') ?>
		<th><?php $traduttore201701191529->html('Data Inizio') ?>
		<th><?php $traduttore201701191529->html('Data Fine ') ?>
		<th><?php $traduttore201701191529->html('Descrizione') ?>
		<th><?php $traduttore201701191529->html('Mestiere') ?>
		<th><?php $traduttore201701191529->html('Num/Anno Ordine') ?>
		<th><?php $traduttore201701191529->html('Grado Urgenza') ?>
		<th><?php $traduttore201701191529->html('Stato Ordine') ?>
		<th><?php $traduttore201701191529->html('Data Sospensione') ?>
		<th><?php $traduttore201701191529->html('Note Sospensione') ?>
		<th><?php $traduttore201701191529->html('Note Ordine') ?>
		<th><?php $traduttore201701191529->html('Attività Eseguita') ?>
		<th><?php $traduttore201701191529->html('Ente') ?>
		<th><?php $traduttore201701191529->html('Codice Localizzazione') ?>
		<th><?php $traduttore201701191529->html('Localizzazione') ?>
		<th><?php $traduttore201701191529->html('Ordine Assegnato') ?>
		<th><?php $traduttore201701191529->html('Originata da Ordine') ?>
		<th><?php $traduttore201701191529->html('Utilizzatore') ?>
	</tr>   
	</thead>
	
	<tbody>
<?php
	$alternate = true;

	while(  $query  &&  $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "td2";
		
		if( is_numeric($rs['NonValutabileInSLA'])  &&  $rs['NonValutabileInSLA']==1 ) $classe = "NonValutabileInSLA";
		
		$minutiRTI = $rs['minData'];
		$color="";
		$txtRTI = "";
		
		if( strlen($minutiRTI."")< 1  ) //caso NULL
			$color = $bianco;
		else if( $minutiRTI >= 0  ) //non scaduto
			$color = $verde;	
		else if( $minutiRTI < 0  ) // scaduto
			$color = $rosso;				
		
		if( !is_numeric($minutiRTI) ) 
		{
			$txtRTI = "";
		}
		else
		{
			$mesi = abs($rs[monthData]);
			$giorni = abs($rs[dayData]);
			$ore = abs($rs[hhData]);
			$minuti = abs($rs[minData]);
			
			$str = "";
			
			if($mesi>0)
			{
				$str = $traduttore201701191529->traduci('circa')." $mesi ".$traduttore201701191529->traduci('MM');
			}
			else if($giorni>0)
			{
				$str = " $giorni ".$traduttore201701191529->traduci('gg e')." ".abs($ore % 24)." ".$traduttore201701191529->traduci('h e')." ".abs($minuti % 60)." ".$traduttore201701191529->traduci('m');
			}			
			else if($ore>0)
			{
				$str = " $ore ".$traduttore201701191529->traduci('h e')." ".abs($minuti % 60)." ".$traduttore201701191529->traduci('m');
			}	
			else
			{
				$str = " $minuti ".$traduttore201701191529->traduci('m');
			}				
			
			
			if( $minutiRTI >=0 )
				$txtRTI = $traduttore201701191529->traduci('Iniziato')." <strong>$str</strong> ".$traduttore201701191529->traduci('prima della data di scadenza');
			else
				$txtRTI = $traduttore201701191529->traduci('Iniziato')." <strong>$str</strong> ".$traduttore201701191529->traduci('dopo la data di scadenza');
		}		
?>
		<tr> 
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NumRichiesta']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['AnnoRichiesta']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Richiedente']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataRichiesta']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Classificazione']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['TipoIntervento']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['statoRichiesta']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataInizioP']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataFineP']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo $txtRTI  ?> 
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataInizioIntTampone']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataScadenzaPresaInCarico']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataScadenza']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataScadenzaFineIntervento']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataPresaInCarico']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataInizio']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataFine']) ?>
			<td  class="<?php echo $classe ?>" ><div style="width:200px;"><?php echo htmlentities($rs['Des']) ?></div>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Mestiere']) ?>
			<?php
			if( is_numeric($rs['NumOrdine'])  &&   is_numeric($rs['AnnoOrdine']) )
				$OrdineAnnoNum = (int)$rs['NumOrdine']." / ".(int)$rs['AnnoOrdine'];
			else
				$OrdineAnnoNum = "";
			?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($OrdineAnnoNum) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['GradoUrgenza']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['statoOrdine']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataSospensione']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NoteSospensione']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NoteOrdine']) ?> 
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Intervento']) ?> 
			<td  class="<?php echo $classe ?>" > <?php echo htmlentities($rs['Ente']) ?>  
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Codice']) ?>
			<td  class="<?php echo $classe ?>" ><div style="width:200px;"><?php echo htmlentities($rs['LocalizzazioneString']) ?></div> 		
			<td  class="<?php echo $classe ?>" ><?php if ( is_numeric($rs[NumOrdine]) ) echo htmlentities((int)$rs[NumOrdine]."/$rs[AnnoOrdine]") ?>
			<td  class="<?php echo $classe ?>" ><?php if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities((int)$rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Utilizzatore']) ?> 
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
	</tbody>
</table>

</body>
<?php $traduttore201701191529->Salva(); ?>

</html>