<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_355", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_355", "IT", __FILE__);

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');


$Classificazione=$_POST[Classificazione];
$Stato=$_POST[Stato];
require("_check_cartella_ricerca.inc");//importante

$IdCommessa = ntxise('IdCommessa');

if($Classificazione=='preventivi')
{	
	require("$cartella_ricerca//elenco_preventivi_sql.inc");	
}
else if($Classificazione=='contabilita')	
{	
	require("$cartella_ricerca//elenco_contabilita_sql.inc");
}
else if($Classificazione=='ordini')	
{	
	require("$cartella_ricerca//elenco_ordini_sql.inc");	
}
else if($Classificazione=='ordiniExtra')	
{	
	require("$cartella_ricerca//elenco_ordiniExtra_sql.inc");	
}
else if($Classificazione=='solleciti')	
{			
	require("$cartella_ricerca//elenco_solleciti_sql.inc");	
}	
else if($Classificazione=='tempiInterventoCanone')	
{			
	require("$cartella_ricerca//elenco_tempi_intervento_sql.inc");	
}	
else if($Classificazione=='tempoContabilizzazione')	
{			
	require("$cartella_ricerca//elenco_tempo_contab_sql.inc");	
}		
else if($Classificazione=='tempoAutorizzazione')	
{		
	require("$cartella_ricerca//elenco_tempo_autorizzazione_sql.inc");	
}	
else if($Classificazione=='ric_canone')	
{		
	require("$cartella_ricerca//elenco_ric_canone_sql.inc");	
}	
else if($Classificazione=='ric_miste')	
{
	$titolo.="RICHIESTE MISTE";			
			 
	require("$cartella_ricerca//elenco_ric_miste_sql.inc");	
}	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
		<style>	 
		td.bianco {
		  background: #FFFFFF;
		}

		td.verde {
		  background: #00CC99;
		}
		
		td.rosso {
		  background: #C80000   ;
		}	
		
		td.autorizzata {
		  background: #C1CDCD   ;
		}
		
		table, th, td
		{
			border: 0.5pt solid black;
			font-size:12px;
		}
		</style>	 
	</head>

<body>		
<?php 
$verde="class=\"verde\"";
$rosso="class=\"rosso\"";
$bianco="class=\"bianco\"";
$autorizzata="class=\"autorizzata\"";
 
if($Classificazione=='preventivi')
{	
	/*echo <<< _SQL
	<table>
		<tr>
			<th>&nbsp;
			<th>Numero
			<th>Anno
			<th>Data		
			<th>Stato
			<th>Descr.
			<th>Tecnico C.
			<th>Classificazione
			<th>Autorizzato
			<th>Data Autorizzazione	
			<th>Ente	
			<th>Utilizzatore				
_SQL;*/
	echo
	"<table>
		<tr>
			<th>&nbsp;"
			."<th>".$traduttore->traduci('Numero')
			."<th>".$traduttore->traduci('Anno')
			."<th>".$traduttore->traduci('Data')		
			."<th>".$traduttore->traduci('Stato')
			."<th>".$traduttore->traduci('Descrizione')
			."<th>".$traduttore->traduci('Tecnico C.')
			."<th>".$traduttore->traduci('Classificazione')
			."<th>".$traduttore->traduci('Autorizzato')
			."<th>".$traduttore->traduci('Data Autorizzazione')
			."<th>".$traduttore->traduci('Ente')
			."<th>".$traduttore->traduci('Utilizzatore')
;

	if(isset($query_preventivi))
		while( $rs = ntxRecord($query_preventivi) )
		{
			$color="";
			
			if($Stato==1)
			{
			if($rs['Stato']==15) 
				$color=$verde;
			else
				$color=$rosso;
			} 
			else if($Stato==2)
			{
			if($rs['Stato']==18) 
				$color=$verde;
			else
				$color=$rosso;
			}
			else if($Stato==3)
			{
				if( ($rs['Stato']==15)||($rs['Stato']==18) ||($rs['Stato']==35) )
					$color=$verde;
				else
					$color=$rosso;
			}
			else if($Stato==4)
			{
				if( ($rs['Stato']==18) ||($rs['Stato']==35) )
					$color=$verde;
				else
					$color=$rosso;
			}

			$stile=$color;
			
			$rs[VAutorizzazione]=($rs[VAutorizzazione]==1 ? "x" : "");
			
			echo <<< _SQL
			<tr>
				<td $stile >&nbsp;
				<td >&nbsp;$rs[NumRichiesta]
				<td >&nbsp;$rs[AnnoRichiesta]
				<td >&nbsp;$rs[DataRichiesta]
				<td >&nbsp;$rs[TecnicoC]		
				<td >&nbsp;$rs[DesStato]	
				<td >&nbsp;$rs[Des]
				<td >&nbsp;$rs[Classificazione]
				<td >&nbsp;$rs[VAutorizzazione]
				<td >&nbsp;$rs[DataAutorizzazione]
				<td >&nbsp;$rs[Ente]
				<td >&nbsp;$rs[Utilizzatore]
			</tr>
_SQL;
		}
	
		echo "</table>";
}
else if($Classificazione=='contabilita')
{		
	/*echo <<< _SQL
	<table>
		<tr>
			<th>&nbsp;
			<th>Num. Contabilità
			<th>Data Contabilità
			<th>Stato
			<th>Richiesta
			<th>Ordine
			<th>GU
			<th>Descrizione
			<th>Ente		
			<th>Cod. Localizzazione
			<th>Localizzazione
			<th>Consegnato
			<th>Data Consegna
			<th>Data Ultima Consegna
			<th>Fatturato
			<th>Num. Sal
			<th>Data Sal
			<th>Note
			<th>Approvato
			<th>Importo Approvato
			<th>Data Approvazione
			<th>Utente Approvazione
			<th>Contestato
			<th>Data Contestazione
			<th>Utente Contestazione
			<th>Note Contestazione
			<th>Rif. Ordine Cliente
			<th>Utilizzatore	
		</tr>   		
_SQL;*/
	echo 
	"<table>
		<tr>
			<th>&nbsp;"
			."<th>".$traduttore->traduci('Numero Contabilità')
			."<th>".$traduttore->traduci('Data Contabilità')
			."<th>".$traduttore->traduci('Stato')
			."<th>".$traduttore->traduci('Richiesta')
			."<th>".$traduttore->traduci('Ordine')
			."<th>".$traduttore->traduci('Grado Urgenza')
			."<th>".$traduttore->traduci('Descrizione')
			."<th>".$traduttore->traduci('Ente')
			."<th>".$traduttore->traduci('Codice Localizzazione')
			."<th>".$traduttore->traduci('Localizzazione')
			."<th>".$traduttore->traduci('Consegnato')
			."<th>".$traduttore->traduci('Data Consegna')
			."<th>".$traduttore->traduci('Data Ultima Consegna')
			."<th>".$traduttore->traduci('Fatturato')
			."<th>".$traduttore->traduci('Numero SAL')
			."<th>".$traduttore->traduci('Data SAL')
			."<th>".$traduttore->traduci('Note')
			."<th>".$traduttore->traduci('Approvato')
			."<th>".$traduttore->traduci('Importo Approvato')
			."<th>".$traduttore->traduci('Data Approvazione')
			."<th>".$traduttore->traduci('Utente Approvazione')
			."<th>".$traduttore->traduci('Contestato')
			."<th>".$traduttore->traduci('Data Contestazione')
			."<th>".$traduttore->traduci('Utente Contestazione')
			."<th>".$traduttore->traduci('Note Contestazione')
			."<th>".$traduttore->traduci('Rif. Ordine Cliente')
			."<th>".$traduttore->traduci('Utilizzatore')
		."</tr>"		
;

	if(isset($query_contabilita))
	while( $rs = ntxRecord($query_contabilita) )
	{
		$stile="";
		if( ($rs['idStatoc']==70) || ($rs['idStatoc']==60) || ($rs['idStatoc']==1)  )
			$stile=$verde;
		else 
			$stile=$rosso;

		$rs['DataContabilità']=ntxDateTime($rs['DataContabilità']);
		$rs['DataConsegna']=ntxDateTime($rs['DataConsegna']);
		$rs['DataUltimaConsegna']=ntxDateTime($rs['DataUltimaConsegna']);
		$rs['DataApprovazione']=ntxDateTime($rs['DataApprovazione']);
		$rs['DataContestazione']=ntxDateTime($rs['DataContestazione']);
		$rs['ImportoStimatoC']=ntxRoundThousand($rs['ImportoStimatoC'],2);
		$rs['DataSal']=ntxDateTime($rs['DataSal']);
		$NumAnnoRichiesta=(int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'];
		$NumAnnoOrdine=(int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'];
		
		if ($rs['Contestato']==1) 
			$rs['Contestato']="SI";
		else
			$rs['Contestato']="no";

		if ($rs['Consegnato']==1) 
			$rs['Consegnato']="SI"; 
		else
			$rs['Consegnato']="no";			

		if ($rs['Fatturato']==1) 
			$rs['Fatturato']="SI"; 
		else
			$rs['Fatturato']="no";	

		if ($rs['Approvato']==1) 
			$rs['Approvato']="SI"; 
		else
			$rs['Approvato']="no";				
			
		echo <<< _SQL
		<tr>
			<td $stile >&nbsp;
			<td >&nbsp; $rs[NumContabilità]
			<td >&nbsp; $rs[DataContabilità]
			<td >&nbsp; $rs[DesstatoC]
			<td >&nbsp; $NumAnnoRichiesta
			<td >&nbsp; $NumAnnoOrdine
			<td >&nbsp; $rs[GU]
			<td >&nbsp; $rs[Descrizione]
			<td >&nbsp; $rs[Ente]
			<td >&nbsp; $rs[CodEdificio]
			<td >&nbsp; $rs[Edificio]
			<td >&nbsp; $rs[Consegnato]
			<td >&nbsp; $rs[DataConsegna]
			<td >&nbsp; $rs[DataUltimaConsegna]
			<td >&nbsp; $rs[Fatturato]
			<td >&nbsp; $rs[NumSal]
			<td >&nbsp; $rs[DataSal]
			<td >&nbsp; $rs[Note]
			<td >&nbsp; $rs[Approvato]
			<td >&nbsp; $rs[ImportoStimatoC]
			<td >&nbsp; $rs[DataApprovazione]
			<td >&nbsp; $rs[UtenteApprovazione]
			<td >&nbsp; $rs[Contestato]
			<td >&nbsp; $rs[DataContestazione]
			<td >&nbsp; $rs[UtenteContestazione]
			<td >&nbsp; $rs[NoteContestazione]
			<td >&nbsp; $rs[RifOrdineCliente]
			<td >&nbsp;$rs[Utilizzatore]
		</tr>
_SQL;
	}
	echo "</table>";
}
else if($Classificazione=='ordini')
{

	/*echo <<< _SQL
	<table>
		<tr>
			<th>&nbsp;
			<th>Num. Ordine
			<th>Anno Ordine
			<th>Allegati			
			<th>Data Ordine
			<th>Stato Ordine
			<th>Stato Contabilita'
			<th>Data Inizio
			<th>Data Fine	
			<th>DataInizioProg	
			<th>Data Scadenza			
			<th>Grado Urgenza			
			<th>TipoC
			<th>Des
			<th>Affidatario
			<th>Ente		
			<th>Ditta				
			<th>Codice Edificio
			<th>Nome
			<th>Indirizzo
			<th>Comune
			<th>Provincia
			<th>Cap
			<th>Utilizzatore	
			<th>OreRisorse	
_SQL;*/

echo
	"<table>
		<tr>
			<th>&nbsp;"
			."<th>".$traduttore->traduci('Numero Ordine')
			."<th>".$traduttore->traduci('Anno Ordine')
			."<th>".$traduttore->traduci('Allegati')
			."<th>".$traduttore->traduci('Data Ordine')
			."<th>".$traduttore->traduci('Stato Ordine')
			."<th>".$traduttore->traduci('Stato Contabilita\'')
			."<th>".$traduttore->traduci('Data Inizio')
			."<th>".$traduttore->traduci('Data Fine')
			."<th>".$traduttore->traduci('Data Inizio Prog')
			."<th>".$traduttore->traduci('Data Scadenza')	
			."<th>".$traduttore->traduci('Grado Urgenza')	
			."<th>".$traduttore->traduci('Tipo C')
			."<th>".$traduttore->traduci('Descrizione')
			."<th>".$traduttore->traduci('Affidatario')
			."<th>".$traduttore->traduci('Ente')
			."<th>".$traduttore->traduci('Ditta')
			."<th>".$traduttore->traduci('Codice Edificio')
			."<th>".$traduttore->traduci('Nome')
			."<th>".$traduttore->traduci('Indirizzo')
			."<th>".$traduttore->traduci('Comune')
			."<th>".$traduttore->traduci('Provincia')
			."<th>".$traduttore->traduci('CAP')
			."<th>".$traduttore->traduci('Utilizzatore')
			."<th>".$traduttore->traduci('Ore Risorse')
;

	if(isset($query_ordini))
	while( $rs = ntxRecord($query_ordini) )
	{
		$stile="";
		if(($rs['StatoOrd']==50)||($rs['StatoOrd'] >= 80)) 
			$stile=$verde;
		else 
			$stile=$rosso;

		echo <<< _SQL
		<tr>		
			<td $stile >&nbsp;
			<td >&nbsp;$rs[NumOrdine]
			<td >&nbsp;$rs[AnnoOrdine]
			<td >
_SQL;

			
		$NumOrdine = $rs[NumOrdine];
		$AnnoOrdine = $rs[AnnoOrdine];
			
		//troviamo il numero degli allegati
		$sql = <<< _SQL
			SELECT	COUNT(DocsOrdini.Path) 
			FROM    DocsOrdini INNER JOIN 
						Ordini ON DocsOrdini.IdCommessa = Ordini.IDCommessa AND DocsOrdini.IdOrdine = Ordini.IdOrd 
			WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine)
_SQL;

		$NumAllegati = ntxScalar($sql);
			
		echo"&nbsp;$NumAllegati";		
	

		$rs['DataInizio']=ntxDateTime($rs['DataInizio']);
		$rs['DataFine']=ntxDateTime($rs['DataFine']);
		$rs['DataInizioProg']=ntxDateTime($rs['DataInizioProg']);
		$rs['DataScadenza']=ntxDateTime($rs['DataScadenza']);
	
		echo <<< _SQL
		<td >&nbsp; $rs[DataOrdine]
		<td >&nbsp; $rs[DesStato]
		<td >&nbsp; $rs[DesstatoC]
		<td >&nbsp; $rs[DataInizio]
		<td >&nbsp; $rs[DataFine]
		<td >&nbsp; $rs[DataInizioProg]	
		<td >&nbsp; $rs[DataScadenza]		
		<td >&nbsp; $rs[GradoUrgenza]	
		<td >&nbsp; $rs[Contabiliz]
		<td >&nbsp; $rs[Des]
		<td >&nbsp; $rs[NomeAffidatario]	
		<td >&nbsp; $rs[Ente]	
		<td >&nbsp; $rs[Ditta]
		<td >&nbsp; $rs[Codice]
		<td >&nbsp; $rs[Nome]
		<td >&nbsp; $rs[Indirizzo]
		<td >&nbsp; $rs[Comune]
		<td >&nbsp; $rs[Provincia]
		<td >&nbsp; $rs[Cap]
		<td >&nbsp;$rs[Utilizzatore]
		<td >&nbsp;$rs[OreRisorse]
_SQL;
	}
		echo "</table>";
}else if($Classificazione=='ordiniExtra')
{

	/*echo <<< _SQL
	<table>
		<tr>
			<th>&nbsp;
			<th>Ordine COBO
			<th>Utilizzatore	
			<th>Num. Ordine
			<th>Anno Ordine
			<th>Allegati			
			<th>Data Ordine
			<th>Stato Ordine
			<th>Stato Contabilita'
			<th>Data Inizio
			<th>Data Fine	
			<th>DataInizioProg	
			<th>Data Scadenza			
			<th>Grado Urgenza			
			<th>TipoC
			<th>Des
			<th>Affidatario
			<th>Ente		
			<th>Ditta				
			<th>Codice Edificio
			<th>Nome
			<th>Indirizzo
			<th>Comune
			<th>Provincia
			<th>Cap
			<th>OreRisorse	
_SQL;*/
	echo
	"<table>
		<tr>
			<th>&nbsp;"
			."<th>".$traduttore->traduci('Ordine COBO')
			."<th>".$traduttore->traduci('Utilizzatore')
			."<th>".$traduttore->traduci('Numero Ordine')
			."<th>".$traduttore->traduci('Anno Ordine')
			."<th>".$traduttore->traduci('Allegati')
			."<th>".$traduttore->traduci('Data Ordine')
			."<th>".$traduttore->traduci('Stato Ordine')
			."<th>".$traduttore->traduci('Stato Contabilita\'')
			."<th>".$traduttore->traduci('Data Inizio')
			."<th>".$traduttore->traduci('Data Fine	')
			."<th>".$traduttore->traduci('Data Inizio Prog')
			."<th>".$traduttore->traduci('Data Scadenza')	
			."<th>".$traduttore->traduci('Grado Urgenza')	
			."<th>".$traduttore->traduci('Tipo C')
			."<th>".$traduttore->traduci('Descrizione')
			."<th>".$traduttore->traduci('Affidatario')
			."<th>".$traduttore->traduci('Ente')
			."<th>".$traduttore->traduci('Ditta')
			."<th>".$traduttore->traduci('Codice Edificio')
			."<th>".$traduttore->traduci('Nome')
			."<th>".$traduttore->traduci('Indirizzo')
			."<th>".$traduttore->traduci('Comune')
			."<th>".$traduttore->traduci('Provincia')
			."<th>".$traduttore->traduci('CAP')
			."<th>".$traduttore->traduci('Ore Risorse')
;

	if(isset($query_ordini))
	while( $rs = ntxRecord($query_ordini) )
	{
		$stile="";
		if(($rs['StatoOrd']==50)||($rs['StatoOrd'] >= 80)) 
			$stile=$verde;
		else 
			$stile=$rosso;

		echo <<< _SQL
		<tr>		
			<td $stile >&nbsp;
			<td >&nbsp;$rs[NumRifCli] / $rs[AnnoRifCli] / $rs[CommRifCli]
			<td >&nbsp;$rs[NomeUtilizzatore]
			<td >&nbsp;$rs[NumOrdine]
			<td >&nbsp;$rs[AnnoOrdine]
			<td >
_SQL;

			
		$NumOrdine = $rs[NumOrdine];
		$AnnoOrdine = $rs[AnnoOrdine];
			
		//troviamo il numero degli allegati
		$sql = <<< _SQL
			SELECT	COUNT(DocsOrdini.Path) 
			FROM    DocsOrdini INNER JOIN 
						Ordini ON DocsOrdini.IdCommessa = Ordini.IDCommessa AND DocsOrdini.IdOrdine = Ordini.IdOrd 
			WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine)
_SQL;

		$NumAllegati = ntxScalar($sql);
			
		echo"&nbsp;$NumAllegati>";		
	

		$rs['DataInizio']=ntxDateTime($rs['DataInizio']);
		$rs['DataFine']=ntxDateTime($rs['DataFine']);
		$rs['DataInizioProg']=ntxDateTime($rs['DataInizioProg']);
		$rs['DataScadenza']=ntxDateTime($rs['DataScadenza']);
	
		echo <<< _SQL
		<td >&nbsp; $rs[DataOrdine]
		<td >&nbsp; $rs[DesStato]
		<td >&nbsp; $rs[DesstatoC]
		<td >&nbsp; $rs[DataInizio]
		<td >&nbsp; $rs[DataFine]
		<td >&nbsp; $rs[DataInizioProg]
		<td >&nbsp; $rs[DataScadenza]		
		<td >&nbsp; $rs[GradoUrgenza]	
		<td >&nbsp; $rs[Contabiliz]
		<td >&nbsp; $rs[Des]
		<td >&nbsp; $rs[NomeAffidatario]	
		<td >&nbsp; $rs[Ente]			
		<td >&nbsp; $rs[Ditta]			
		<td >&nbsp; $rs[Codice]
		<td >&nbsp; $rs[Nome]
		<td >&nbsp; $rs[Indirizzo]
		<td >&nbsp; $rs[Comune]
		<td >&nbsp; $rs[Provincia]
		<td >&nbsp; $rs[Cap]
		<td >&nbsp;$rs[Utilizzatore]
		<td >&nbsp;$rs[OreRisorse]
_SQL;
	}
		echo "</table>";
}


else if($Classificazione=='solleciti')
{

	/*echo <<< _SQL
	<table>
		<tr>
			<th>Data Sollecito
			<th>Sollecitato da
			<th>Descrizione
			<th>Risposta
			<th>Scadenza
			<th>Evaso
			<th>Inserito
			<th>Inviato
			<th>Richiesta
			<th>Decrizione Richiesta
			<th>Cod. Edificio
			<th>Edificio	
			<th>Utilizzatore	
_SQL;*/
	echo
	"<table>
		<tr>"
			."<th>".$traduttore->traduci('Data Sollecito')
			."<th>".$traduttore->traduci('Sollecitato da')
			."<th>".$traduttore->traduci('Descrizione')
			."<th>".$traduttore->traduci('Risposta')
			."<th>".$traduttore->traduci('Scadenza')
			."<th>".$traduttore->traduci('Evaso')
			."<th>".$traduttore->traduci('Inserito')
			."<th>".$traduttore->traduci('Inviato')
			."<th>".$traduttore->traduci('Richiesta')
			."<th>".$traduttore->traduci('Decrizione Richiesta')
			."<th>".$traduttore->traduci('Codice Edificio')
			."<th>".$traduttore->traduci('Edificio')
			."<th>".$traduttore->traduci('Utilizzatore')
;

	if(isset($query))
	while( $rs = ntxRecord($query) )
	{
		$stile="";
		$Evaso = "";
		if( (int)$rs['Evaso']==1 ) 
		{	$Evaso = "SI"; $stile=$verde; }
		else 
		{	$Evaso = "NO"; $stile=$rosso; }
	
		$Inviato = "";
		if( (int)$rs['Inviato']==1 ) 
			$Inviato = "SI"; 
		else 
			$Inviato = "NO"; 	
	
		$DataSollecito = ntxDateTime($rs['DataSollecito']);
		$DataOraScadenza = ntxDateTime($rs['DataOraScadenza']);
	
		echo <<< _SQL
		<tr>	
			<td $stile >&nbsp;
			<td>&nbsp;$DataSollecito
			<td>&nbsp;$rs[SollecitoDa]
			<td>&nbsp;$rs[DescrizioneSollecito])
			<td>&nbsp;$rs[Risposta]
			<td>&nbsp;$DataOraScadenza
			<td>&nbsp;$Evaso
			<td>&nbsp;$rs[Utente]
			<td>&nbsp;$Inviato
			<td>&nbsp;$rs[NumRichiesta] / $rs[AnnoRichiesta]
			<td>&nbsp;$rs[DescrizioneRichiesta]
			<td>&nbsp;$rs[Codice]
			<td>&nbsp;$rs[EdificioBreve]
			<td >&nbsp;$rs[Utilizzatore]
_SQL;
	}
		echo "</table>";
}

else if($Classificazione=='tempiInterventoCanone')
{
	/*echo <<<_SQL
<table>
	<tr>
		<th>&nbsp;	
		
		<th>Tempo di Intervento	
		<th>Ris. Temp. Int.	
		<th>Tempo Esecuzione	
		
		<th>Richiesta
		
		<th>Data Richiesta
		<th>Scadenza Ord.	
		<th>Inizio Ord.	
		<th>Fine Ord.		
		
		<th>Num. Ordine
		<th>Anno Ordine
		<th>Allegati	

		<th>Non conformità giustificata	
		<th>Utente non confr.	
		<th>Data non confr.	
		
		<th>Data Ordine
		<th>Stato Ordine
		<th>Stato Contabilita'	
			
		<th>Grado Urgenza			
		<th>TipoC
		<th>Des
		<th>Affidatario
		<th>Ditta		
		<th>Ente				
		<th>Codice Edificio
		<th>Nome
		<th>Indirizzo
		<th>Comune
		<th>Provincia
		<th>Cap
		<th>Utilizzatore	
_SQL;*/

echo
"<table>
	<tr>
		<th>&nbsp;"	
		
		."<th>".$traduttore->traduci('Tempo di Intervento')
		."<th>".$traduttore->traduci('Ris. Temp. Int.')
		."<th>".$traduttore->traduci('Tempo Esecuzione')
		
		."<th>".$traduttore->traduci('Richiesta')
		
		."<th>".$traduttore->traduci('Data Richiesta')
		."<th>".$traduttore->traduci('Scadenza Ordine')
		."<th>".$traduttore->traduci('Inizio Ordine')
		."<th>".$traduttore->traduci('Fine Ordine')		
		
		."<th>".$traduttore->traduci('Numero Ordine')
		."<th>".$traduttore->traduci('Anno Ordine')
		."<th>".$traduttore->traduci('Allegati')

		."<th>".$traduttore->traduci('Non conformità giustificata')	
		."<th>".$traduttore->traduci('Utente non confr.')
		."<th>".$traduttore->traduci('Data non confr.')
		
		."<th>".$traduttore->traduci('Data Ordine')
		."<th>".$traduttore->traduci('Stato Ordine')
		."<th>".$traduttore->traduci('Stato Contabilita\'')	
			
		."<th>".$traduttore->traduci('Grado Urgenza')		
		."<th>".$traduttore->traduci('TipoC')
		."<th>".$traduttore->traduci('Des')
		."<th>".$traduttore->traduci('Affidatario')
		."<th>".$traduttore->traduci('Ditta')
		."<th>".$traduttore->traduci('Ente')	
		."<th>".$traduttore->traduci('Codice Edificio')
		."<th>".$traduttore->traduci('Nome')
		."<th>".$traduttore->traduci('Indirizzo')
		."<th>".$traduttore->traduci('Comune')
		."<th>".$traduttore->traduci('Provincia')
		."<th>".$traduttore->traduci('CAP')
		."<th>".$traduttore->traduci('Utilizzatore')
;
	

 if(isset($query_tempiInterventoCanone))
	while( $rs = ntxRecord($query_tempiInterventoCanone) )
	{
		$minutiTI = $rs['NumberOfMinuteTI'];
		$color="";
		$txtTI = "";
		
		if( !is_numeric($minutiTI) ) 
		{
			$txtTI = "";
		}
		else
		{
			$mesi =  $rs[NumberOfMonthTI];
			$giorni =  $rs[NumberOfDaysTI];
			$ore =  $rs[NumberOfHourTI];
			$minuti =  $rs[NumberOfMinuteTI];

			$str = "";
			
			if($mesi<0 || $giorni<0 || $ore<0 || $minuti<0)
			{
				$txtTI = $traduttore->traduci('Errore!')." <br> ".$traduttore->traduci('Data Inizio Ordine maggiore di Data Richiesta');
			}			
			else 
			{
				if($mesi>0)
				{
					$str = $traduttore->traduci('circa')." $mesi ".$traduttore->traduci('MM')." ($giorni giorni)";
				}
				else if($giorni>0)
				{
					$str = " $giorni ".$traduttore->traduci('gg e')." ".abs($ore % 24)." ".$traduttore->traduci('h e')." ".abs($minuti % 60)." ".$traduttore->traduci('m');
				}			
				else if($ore>0)
				{
					$str = " $ore ".$traduttore->traduci('h e')." ".abs($minuti % 60)." ".$traduttore->traduci('m');
				}	
				else
				{
					$str = " $minuti ".$traduttore->traduci('m');
				}				
				
				
				if( $minutiTI >=0 )
					$txtTI = $traduttore->traduci('Iniziato')." <strong>$str</strong> ".$traduttore->traduci('dopo la DataRichiesta');
				else
					$txtTI = $traduttore->traduci('Iniziato')." <strong>$str</strong> ".$traduttore->traduci('prima della Data Richiesta');
			}
		}			
		
		
		
		$minutiRTI = $rs['NumberOfMinuteRTI'];
		$color="";
		$txtRTI = "";
		
		if( strlen($minutiRTI."")< 1  ) //caso NULL
			$color = $bianco;
		else if( $minutiRTI >= 0  ) //non scaduto
			$color = $verde;	
		else if( $minutiRTI < 0  ) // scaduto
			$color = $rosso;	

		if(is_numeric($rs[NonConformita]) && $rs[NonConformita]==1)
			$color = $autorizzata;			
		
		if( !is_numeric($minutiRTI) ) 
		{
			$txtRTI = "";
		}
		else
		{
			$mesi = abs($rs[NumberOfMonthRTI]);
			$giorni = abs($rs[NumberOfDaysRTI]);
			$ore = abs($rs[NumberOfHourRTI]);
			$minuti = abs($rs[NumberOfMinuteRTI]);
			
			$str = "";
			
			if($mesi>0)
			{
				$str = $traduttore->traduci('circa')." $mesi ".$traduttore->traduci('MM');
			}
			else if($giorni>0)
			{
				$str = " $giorni ".$traduttore->traduci('gg e')." ".abs($ore % 24)." ".$traduttore->traduci('h e')." ".abs($minuti % 60)." ".$traduttore->traduci('m');
			}			
			else if($ore>0)
			{
				$str = " $ore ".$traduttore->traduci('h e')." ".abs($minuti % 60)." ".$traduttore->traduci('m');
			}	
			else
			{
				$str = " $minuti ".$traduttore->traduci('m');
			}				
			
			
			if( $minutiRTI >=0 )
				$txtRTI = $traduttore->traduci('Iniziato')." <strong>$str</strong> ".$traduttore->traduci('prima della data di scadenza');
			else
				$txtRTI = $traduttore->traduci('Iniziato')." <strong>$str</strong> ".$traduttore->traduci('dopo la data di scadenza');
		}		
		
		
		
		$minutiTE = $rs['NumberOfMinuteTE'];
		$txtTE = "";		
		
		if( !is_numeric($minutiTE) ) //non ancora finito
		{
			$txtTE = $traduttore->traduci('DataFine o DataInizio non inseriti!');
			$txtTE = $traduttore->traduci('DataFine o DataInizio non inseriti!');
		}
		else
		{
			$mesi = abs($rs[NumberOfMonthTE]);
			$giorni = abs($rs[NumberOfDaysTE]);
			$ore = abs($rs[NumberOfHourTE]);
			$minuti = abs($rs[NumberOfMinuteTE]);
			
			$str = "";
			
			if($mesi>0)
			{
				$str = $traduttore->traduci('circa')." $mesi ".$traduttore->traduci('MM');
			}
			else if($giorni>0)
			{
				$str = " $giorni ".$traduttore->traduci('gg e')." ".abs($ore % 24)." ".$traduttore->traduci('h e')." ".abs($minuti % 60)." ".$traduttore->traduci('m');
			}			
			else if($ore>0)
			{
				$str = " $ore ".$traduttore->traduci('h e')." ".abs($minuti % 60)." ".$traduttore->traduci('m');
			}	
			else
			{
				$str = " $minuti ".$traduttore->traduci('m');
			}				
			
			
			if( $minutiTE >=0 )//finito
				$txtTE = $traduttore->traduci('Finito')." <strong>$str</strong> ".$traduttore->traduci('dopo la data di inizio');
			else
				$txtTE = $traduttore->traduci('Non finito');
		}		
		

		$NumOrdine = $rs[NumOrdine];
		$AnnoOrdine = $rs[AnnoOrdine];

		$sql = <<< _SQL
			SELECT	COUNT(DocsOrdini.Path) 
			FROM    DocsOrdini INNER JOIN 
						Ordini ON DocsOrdini.IdCommessa = Ordini.IDCommessa AND DocsOrdini.IdOrdine = Ordini.IdOrd 
			WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine)
_SQL;

		$NumAllegati = ntxScalar($sql);
		
		$DataRichiesta = ntxDateTime($rs['DataRichiesta']);
		$DataScadenza = ntxDateTime($rs['DataScadenza']);
		$DataInizio = ntxDateTime($rs['DataInizio']);
		$DataFine = ntxDateTime($rs['DataFine']);
		$DataOrdine = ntxDateTime($rs['DataOrdine']);
		$NonConformitaData = ntxDateTime($rs['NonConformitaData']);
		
		if(is_numeric($rs[NonConformita]) && $rs[NonConformita]==1)
			$rs[NonConformita] = "SI";
		else	
			$rs[NonConformita] = "NO";
		
		echo <<< _SQL
		<tr>		
	
			<td $color>&nbsp;
			
			<td>&nbsp;$txtTI
			<td>&nbsp;$txtRTI
			<td>&nbsp;$txtTE
			
			<td>&nbsp;$rs[NumRichiesta] / $rs[AnnoRichiesta]
			<td>&nbsp;$DataRichiesta
			
			<td>&nbsp;$DataScadenza
			<td>&nbsp;$DataInizio
			<td>&nbsp;$DataFine
			
			<td>&nbsp;$rs[NumOrdine]
			<td>&nbsp;$rs[AnnoOrdine]
			<td>&nbsp;$NumAllegati
			
			<td>&nbsp;$rs[NonConformita]
			<td>&nbsp;$rs[NonConformitaNota]
			<td>&nbsp;$rs[NonConformitaUtente]
			<td>&nbsp;$NonConformitaData
			
			<td>&nbsp;$DataOrdine
			<td>&nbsp;$rs[DesStato]
			<td>&nbsp;$rs[DesstatoC]

			<td>&nbsp;$rs[GradoUrgenza]
			<td>&nbsp;$rs[Contabiliz]
			<td>&nbsp;$rs[Des]
			<td>&nbsp;$rs[NomeAffidatario]
			<td>&nbsp;$rs[Ditta]
			<td>&nbsp;$rs[Ente]
			<td>&nbsp;$rs[Codice]
			<td>&nbsp;$rs[Nome]
			<td>&nbsp;$rs[Indirizzo]
			<td>&nbsp;$rs[Comune]
			<td>&nbsp;$rs[Provincia]
			<td>&nbsp;$rs[Cap]
			<td >&nbsp;$rs[Utilizzatore]
_SQL;
	}
		echo "</table>";
}
else if($Classificazione=='tempoContabilizzazione')
{		
	/*echo <<< _SQL
	<table>
		<tr>
			<th>&nbsp;
			<th>Tempo Contabilizzazione
					
			<th>Num. Contabilità
			<th>Data Contabilità
			<th>Stato
			<th>Richiesta
			
			<th>Ordine		
			<th>Stato		
			<th>Data Ordine
			<th>DataInizio
			<th>DataFine	
			
			<th>GU
			<th>Descrizione
			<th>Ente		
			<th>Cod. Localizzazione
			<th>Localizzazione
			<th>Consegnato
			<th>Data Consegna
			<th>Data Ultima Consegna
			<th>Fatturato
			<th>Num. Sal
			<th>Data Sal
			<th>Note
			<th>Approvato
			<th>Importo Approvato
			<th>Data Approvazione
			<th>Utente Approvazione
			<th>Contestato
			<th>Data Contestazione
			<th>Utente Contestazione
			<th>Note Contestazione
			<th>Rif. Ordine Cliente
			<th>Utilizzatore	
		</tr>   		
_SQL;*/

echo
	"<table>
		<tr>
			<th>&nbsp;"
			."<th>".$traduttore->traduci('Tempo Contabilizzazione')
			
			."<th>".$traduttore->traduci('Numero Contabilità')
			."<th>".$traduttore->traduci('Data Contabilità')
			."<th>".$traduttore->traduci('Stato')
			."<th>".$traduttore->traduci('Richiesta')

			."<th>".$traduttore->traduci('Ordine')
			."<th>".$traduttore->traduci('Stato	')
			."<th>".$traduttore->traduci('Data Ordine')
			."<th>".$traduttore->traduci('Data Inizio')
			."<th>".$traduttore->traduci('Data Fine')

			."<th>".$traduttore->traduci('Grado Urgenza')
			."<th>".$traduttore->traduci('Descrizione')
			."<th>".$traduttore->traduci('Ente')
			."<th>".$traduttore->traduci('Codice Localizzazione')
			."<th>".$traduttore->traduci('Localizzazione')
			."<th>".$traduttore->traduci('Consegnato')
			."<th>".$traduttore->traduci('Data Consegna')
			."<th>".$traduttore->traduci('Data Ultima Consegna')
			."<th>".$traduttore->traduci('Fatturato')
			."<th>".$traduttore->traduci('Numero SAL')
			."<th>".$traduttore->traduci('Data SAL')
			."<th>".$traduttore->traduci('Note')
			."<th>".$traduttore->traduci('Approvato')
			."<th>".$traduttore->traduci('Importo Approvato')
			."<th>".$traduttore->traduci('Data Approvazione')
			."<th>".$traduttore->traduci('Utente Approvazione')
			."<th>".$traduttore->traduci('Contestato')
			."<th>".$traduttore->traduci('Data Contestazione')
			."<th>".$traduttore->traduci('Utente Contestazione')
			."<th>".$traduttore->traduci('Note Contestazione')
			."<th>".$traduttore->traduci('Rif. Ordine Cliente')
			."<th>".$traduttore->traduci('Utilizzatore')
		."</tr>"		
;

	if(isset($query_tempoContabilizzazione))
	while( $rs = ntxRecord($query_tempoContabilizzazione) )
	{		
		$minuti = $rs['NumberOfMinuteTC'];
		$color="";
		$txtTC = "";
		
		if( strlen($minuti."")< 1  ) 
			$color = $rosso;
		else if( $minuti >= 0  ) 
			$color = $verde;	
		else if( $minuti < 0  ) 
			$color = $bianco;			
		
		
		if( !is_numeric($minuti) ) 
		{
			$txtTC = "";
		}
		else
		{
			$mesi =  $rs[NumberOfMonthTC];
			$giorni =  $rs[NumberOfDaysTC];
			$ore =  $rs[NumberOfHourTC];
			$minuti =  $rs[NumberOfMinuteTC];

			$str = "";
			
			if($mesi>0)
			{
				$str = $traduttore->traduci('circa')." $mesi ".$traduttore->traduci('MM')." ($giorni ".$traduttore->traduci('giorni').")";
			}
			else if($giorni>0)
			{
				$str = " $giorni ".$traduttore->traduci('gg e')." ".abs($ore % 24)." ".$traduttore->traduci('h e')." ".abs($minuti % 60)." ".$traduttore->traduci('m');
			}			
			else if($ore>0)
			{
				$str = " $ore ".$traduttore->traduci('h e')." ".abs($minuti % 60)." ".$traduttore->traduci('m');
			}	
			else
			{
				$str = " $minuti ".$traduttore->traduci('m');
			}		

			
			if( $minuti >=0 )
				$txtTC = $traduttore->traduci('Fine contabilita\'')." <strong>$str</strong> ".$traduttore->traduci('dopo la fine dell\'ordine');
			else
				$txtTC = $traduttore->traduci('ERRORE: Fine contabilita\'')." <strong>$str</strong> ".$traduttore->traduci('prima della fine dell\'ordine');
		}	
		
		
		$rs['DataOrdine']=ntxDateTime($rs['DataOrdine']);
		$rs['DataInizio']=ntxDateTime($rs['DataInizio']);
		$rs['DataFine']=ntxDateTime($rs['DataFine']);
		$rs['DataContabilità']=ntxDateTime($rs['DataContabilità']);
		$rs['DataConsegna']=ntxDateTime($rs['DataConsegna']);
		$rs['DataUltimaConsegna']=ntxDateTime($rs['DataUltimaConsegna']);
		$rs['DataApprovazione']=ntxDateTime($rs['DataApprovazione']);
		$rs['DataContestazione']=ntxDateTime($rs['DataContestazione']);
		$rs['ImportoStimatoC']=ntxRoundThousand($rs['ImportoStimatoC'],2);
		$rs['DataSal']=ntxDateTime($rs['DataSal']);
		$NumAnnoRichiesta=(int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'];
		$NumAnnoOrdine=(int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'];
		
		if ($rs['Contestato']==1) 
			$rs['Contestato']="SI";
		else
			$rs['Contestato']="no";

		if ($rs['Consegnato']==1) 
			$rs['Consegnato']="SI"; 
		else
			$rs['Consegnato']="no";			

		if ($rs['Fatturato']==1) 
			$rs['Fatturato']="SI"; 
		else
			$rs['Fatturato']="no";	

		if ($rs['Approvato']==1) 
			$rs['Approvato']="SI"; 
		else
			$rs['Approvato']="no";				
			
		echo <<< _SQL
		<tr>
			<td $color >&nbsp;
			<td >&nbsp; $txtTC
		
			<td >&nbsp; $rs[NumContabilità]
			<td >&nbsp; $rs[DataContabilità]
			<td >&nbsp; $rs[DesstatoC]
			<td >&nbsp; $NumAnnoRichiesta
			
			<td >&nbsp; $NumAnnoOrdine
			<td >&nbsp; $rs[statoOrdine]
			<td >&nbsp; $rs[DataOrdine]
			<td >&nbsp; $rs[DataInizio]
			<td >&nbsp; $rs[DataFine]
			
			<td >&nbsp; $rs[GU]
			<td >&nbsp; $rs[Descrizione]
			<td >&nbsp; $rs[Ente]
			<td >&nbsp; $rs[CodEdificio]
			<td >&nbsp; $rs[Edificio]
			<td >&nbsp; $rs[Consegnato]
			<td >&nbsp; $rs[DataConsegna]
			<td >&nbsp; $rs[DataUltimaConsegna]
			<td >&nbsp; $rs[Fatturato]
			<td >&nbsp; $rs[NumSal]
			<td >&nbsp; $rs[DataSal]
			<td >&nbsp; $rs[Note]
			<td >&nbsp; $rs[Approvato]
			<td >&nbsp; $rs[ImportoStimatoC]
			<td >&nbsp; $rs[DataApprovazione]
			<td >&nbsp; $rs[UtenteApprovazione]
			<td >&nbsp; $rs[Contestato]
			<td >&nbsp; $rs[DataContestazione]
			<td >&nbsp; $rs[UtenteContestazione]
			<td >&nbsp; $rs[NoteContestazione]
			<td >&nbsp; $rs[RifOrdineCliente]
			<td >&nbsp;$rs[Utilizzatore]
		</tr>
_SQL;
	}
	echo "</table>";
}		
else if($Classificazione=='tempoAutorizzazione')
{		
	/*echo <<< _SQL
	<table>
		<tr>
			<th>&nbsp;
			<th>Tempo Contabilizzazione
					
			<th>Num. Contabilità
			<th>Data Contabilità
			<th>Data Ultima Consegna
			<th>Data Approvazione
			<th>Stato
			<th>Richiesta
			
			<th>Ordine		
			<th>Stato		
			<th>Data Ordine
			<th>DataInizio
			<th>DataFine	
			
			<th>GU
			<th>Descrizione
			<th>Ente		
			<th>Cod. Localizzazione
			<th>Localizzazione
			<th>Consegnato
			<th>Data Consegna
			
			<th>Fatturato
			<th>Num. Sal
			<th>Data Sal
			<th>Note
			<th>Approvato
			<th>Importo Approvato
			
			<th>Utente Approvazione
			<th>Contestato
			<th>Data Contestazione
			<th>Utente Contestazione
			<th>Note Contestazione
			<th>Rif. Ordine Cliente
			<th>Utilizzatore	
		</tr>   		
_SQL;*/
echo
	"<table>
		<tr>
			<th>&nbsp;"
			."<th>".$traduttore->traduci('Tempo Contabilizzazione')
					
			."<th>".$traduttore->traduci('Numero Contabilità')
			."<th>".$traduttore->traduci('Data Contabilità')
			."<th>".$traduttore->traduci('Data Ultima Consegna')
			."<th>".$traduttore->traduci('Data Approvazione')
			."<th>".$traduttore->traduci('Stato')
			."<th>".$traduttore->traduci('Richiesta')
			
			."<th>".$traduttore->traduci('Ordine')
			."<th>".$traduttore->traduci('Stato')
			."<th>".$traduttore->traduci('Data Ordine')
			."<th>".$traduttore->traduci('Data Inizio')
			."<th>".$traduttore->traduci('Data Fine')
                                          
			."<th>".$traduttore->traduci('Grado Urgenza')
			."<th>".$traduttore->traduci('Descrizione')
			."<th>".$traduttore->traduci('Ente')
			."<th>".$traduttore->traduci('Codice Localizzazione')
			."<th>".$traduttore->traduci('Localizzazione')
			."<th>".$traduttore->traduci('Consegnato')
			."<th>".$traduttore->traduci('Data Consegna')
                                          
			."<th>".$traduttore->traduci('Fatturato')
			."<th>".$traduttore->traduci('Numero SAL')
			."<th>".$traduttore->traduci('Data SAL')
			."<th>".$traduttore->traduci('Note')
			."<th>".$traduttore->traduci('Approvato')
			."<th>".$traduttore->traduci('Importo Approvato')
                                          
			."<th>".$traduttore->traduci('Utente Approvazione')
			."<th>".$traduttore->traduci('Contestato')
			."<th>".$traduttore->traduci('Data Contestazione')
			."<th>".$traduttore->traduci('Utente Contestazione')
			."<th>".$traduttore->traduci('Note Contestazione')
			."<th>".$traduttore->traduci('Rif. Ordine Cliente')
			."<th>".$traduttore->traduci('Utilizzatore')
		."</tr>" 		
;

	if(isset($query_tempoAutorizzazione))
	while( $rs = ntxRecord($query_tempoAutorizzazione) )
	{		
		$minuti = $rs['NumberOfMinuteTA'];
		$color="";
		$txtTC = "";
		
		if( strlen($minuti."")< 1  ) 
			$color = $rosso;
		else if( $minuti >= 0  ) 
			$color = $verde;	
		else if( $minuti < 0  ) 
			$color = $bianco;			
		
		
		if( !is_numeric($minuti) ) 
		{
			$txtTC = "";
		}
		else
		{
			$mesi =  $rs[NumberOfMonthTA];
			$giorni =  $rs[NumberOfDaysTA];
			$ore =  $rs[NumberOfHourTA];
			$minuti =  $rs[NumberOfMinuteTA];

			$str = "";
			
			if($mesi>0)
			{
				$str = $traduttore->traduci('circa')." $mesi ".$traduttore->traduci('MM')." ($giorni ".$traduttore->traduci('giorni').")";
			}
			else if($giorni>0)
			{
				$str = " $giorni ".$traduttore->traduci('gg e')." ".abs($ore % 24)." ".$traduttore->traduci('h e')." ".abs($minuti % 60)." ".$traduttore->traduci('m');
			}			
			else if($ore>0)
			{
				$str = " $ore ".$traduttore->traduci('h e')." ".abs($minuti % 60)." ".$traduttore->traduci('m');
			}	
			else
			{
				$str = " $minuti ".$traduttore->traduci('m');
			}		

			
			if( $minuti >=0 )
				$txtTC = $traduttore->traduci('Approvazione')." <strong>$str</strong> ".$traduttore->traduci('dopo la data di ultima consegna');
			else
				$txtTC = $traduttore->traduci('ERRORE: Data Ultima Consegna maggiore di')." <strong>$str</strong> ".$traduttore->traduci('della DataApprovazione');
		}	
		
		
		$rs['DataOrdine']=ntxDateTime($rs['DataOrdine']);
		$rs['DataInizio']=ntxDateTime($rs['DataInizio']);
		$rs['DataFine']=ntxDateTime($rs['DataFine']);
		$rs['DataContabilità']=ntxDateTime($rs['DataContabilità']);
		$rs['DataConsegna']=ntxDateTime($rs['DataConsegna']);
		$rs['DataUltimaConsegna']=ntxDateTime($rs['DataUltimaConsegna']);
		$rs['DataApprovazione']=ntxDateTime($rs['DataApprovazione']);
		$rs['DataContestazione']=ntxDateTime($rs['DataContestazione']);
		$rs['ImportoStimatoC']=ntxRoundThousand($rs['ImportoStimatoC'],2);
		$rs['DataSal']=ntxDateTime($rs['DataSal']);
		$NumAnnoRichiesta=(int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'];
		$NumAnnoOrdine=(int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'];
		
		if ($rs['Contestato']==1) 
			$rs['Contestato']="SI";
		else
			$rs['Contestato']="no";

		if ($rs['Consegnato']==1) 
			$rs['Consegnato']="SI"; 
		else
			$rs['Consegnato']="no";			

		if ($rs['Fatturato']==1) 
			$rs['Fatturato']="SI"; 
		else
			$rs['Fatturato']="no";	

		if ($rs['Approvato']==1) 
			$rs['Approvato']="SI"; 
		else
			$rs['Approvato']="no";				
			
		echo <<< _SQL
		<tr>
			<td $color >&nbsp;
			<td >&nbsp; $txtTC
			
			<td >&nbsp; $rs[NumContabilità]
			<td >&nbsp; $rs[DataContabilità]
			<td >&nbsp; $rs[DataUltimaConsegna]
			<td >&nbsp; $rs[DataApprovazione]
			<td >&nbsp; $rs[DesstatoC]
			<td >&nbsp; $NumAnnoRichiesta
			
			<td >&nbsp; $NumAnnoOrdine
			<td >&nbsp; $rs[statoOrdine]
			<td >&nbsp; $rs[DataOrdine]
			<td >&nbsp; $rs[DataInizio]
			<td >&nbsp; $rs[DataFine]
		
			<td >&nbsp; $rs[GU]
			<td >&nbsp; $rs[Descrizione]
			<td >&nbsp; $rs[Ente]
			<td >&nbsp; $rs[CodEdificio]
			<td >&nbsp; $rs[Edificio]
			<td >&nbsp; $rs[Consegnato]
			<td >&nbsp; $rs[DataConsegna]
			
			<td >&nbsp; $rs[Fatturato]
			<td >&nbsp; $rs[NumSal]
			<td >&nbsp; $rs[DataSal]
			<td >&nbsp; $rs[Note]
			<td >&nbsp; $rs[Approvato]
			<td >&nbsp; $rs[ImportoStimatoC]
			
			<td >&nbsp; $rs[UtenteApprovazione]
			<td >&nbsp; $rs[Contestato]
			<td >&nbsp; $rs[DataContestazione]
			<td >&nbsp; $rs[UtenteContestazione]
			<td >&nbsp; $rs[NoteContestazione]
			<td >&nbsp; $rs[RifOrdineCliente]
			<td >&nbsp;$rs[Utilizzatore]
		</tr>
_SQL;
	}
	echo "</table>";
}	


else if($Classificazione=='ric_canone')
{		
	/*echo <<< _SQL
	<table>
		<tr>
			<th>&nbsp;
			<th>Num
			<th>Anno
			<th>Data
			<th>Classificazione
			<th>Stato
			<th>Des
			<th>Importo Stimato
			<th>Nota Affidatario				
			<th>Ente
			<th>Codice Localiz.
			<th>Nome
			<th>Indirizzo
			<th>Comune
			<th>Provincia
			<th>Cap
			<th>ordine assegnato
			<th>Originata da ordine
			<th>Utilizzatore
			<th>Utilizzatore	
		</tr>     		
_SQL;*/
echo
	"<table>
		<tr>
			<th>&nbsp;"
			."<th>".$traduttore->traduci('Numero')
			."<th>".$traduttore->traduci('Anno')
			."<th>".$traduttore->traduci('Data')
			."<th>".$traduttore->traduci('Classificazione')
			."<th>".$traduttore->traduci('Stato')
			."<th>".$traduttore->traduci('Descrizione')
			."<th>".$traduttore->traduci('Importo Stimato')
			."<th>".$traduttore->traduci('Nota Affidatario')			
			."<th>".$traduttore->traduci('Ente')
			."<th>".$traduttore->traduci('Codice Localizzazione')
			."<th>".$traduttore->traduci('Nome')
			."<th>".$traduttore->traduci('Indirizzo')
			."<th>".$traduttore->traduci('Comune')
			."<th>".$traduttore->traduci('Provincia')
			."<th>".$traduttore->traduci('CAP')
			."<th>".$traduttore->traduci('Ordine Assegnato')
			."<th>".$traduttore->traduci('Originata da Ordine')
			."<th>".$traduttore->traduci('Utilizzatore')
			."<th>".$traduttore->traduci('Utilizzatore')
		."</tr>"     		
;

	if(isset($query_ric_canone))
	while( $rs = ntxRecord($query_ric_canone) )
	{		
		$color="";
		
		if($rs['Stato']!=-1  &&  $rs['Stato']!=1) 
			$color=$verde;
		else
			$color=$rosso;	
		
		
		
		$NumRichiesta = htmlentities($rs['NumRichiesta']);
		$AnnoRichiesta = htmlentities($rs['AnnoRichiesta']);
		$DataRichiesta = ntxDateTime($rs['DataRichiesta']);
		$Classificazione = htmlentities($rs['Classificazione']);
		$DesStato = htmlentities($rs['DesStato']);
		$Des = htmlentities($rs['Des']);
		$ImpS = htmlentities($rs['ImpS']);
		$NoteImpS = htmlentities($rs['NoteImpS']);
		$Ente = htmlentities($rs['Ente']);
		$Codice = htmlentities($rs['Codice']);
		$Nome = htmlentities($rs['Nome']);
		$Indirizzo = htmlentities($rs['Indirizzo']);
		$Comune = htmlentities($rs['Comune']);
		$Provincia = htmlentities($rs['Provincia']);
		$Cap = htmlentities($rs['Cap']);
		$NumOrdineAnnoOrdine = " $rs[NumOrdine] / $rs[AnnoOrdine] ";
		$NumOrdineFonteAnnoOrdineFonte = " $rs[NumOrdineFonte] / $rs[AnnoOrdineFonte] ";
		$Utilizzatore =  htmlentities($rs['Utilizzatore']);
		
		echo <<< _SQL
		
		
		
	<tr>
		<td $color >&nbsp;
		<td>&nbsp;$NumRichiesta
		<td>&nbsp;$AnnoRichiesta
		<td>&nbsp;$DataRichiesta
		<td>&nbsp;$Classificazione
		<td>&nbsp;$DesStato
		<td>&nbsp;$Des
		<td>&nbsp;$ImpS
		<td>&nbsp;$NoteImpS
		<td>&nbsp;$Ente
		<td>&nbsp;$Codice
		<td>&nbsp;$Nome
		<td>&nbsp;$Indirizzo
		<td>&nbsp;$Comune
		<td>&nbsp;$Provincia
		<td>&nbsp;$Cap
		<td>&nbsp;$NumOrdineAnnoOrdine
		<td>&nbsp;$NumOrdineFonteAnnoOrdineFonte
		<td>&nbsp;$Utilizzatore
		<td >&nbsp;$rs[Utilizzatore]
	</tr>		
_SQL;
	}
	echo "</table>";
}	

else if($Classificazione=='ric_miste')
{	
?>
<table id="table_ric_canone" >
	<tr>
		<th>&nbsp;
		<th><?php $traduttore->html('Numero') ?>
		<th><?php $traduttore->html('Anno') ?>
		<th><?php $traduttore->html('Data') ?>
		<th><?php $traduttore->html('Classificazione') ?>
		<th><?php $traduttore->html('Ordine') ?>
		<th><?php $traduttore->html('Stato') ?>
		<th><?php $traduttore->html('Descrizione') ?>
		<th><?php $traduttore->html('Importo Stimato') ?>
		<th><?php $traduttore->html('Nota Affidatario') ?>			
		<th><?php $traduttore->html('Ente') ?>
		<th><?php $traduttore->html('Codice Localizzazione') ?>
		<th><?php $traduttore->html('Nome') ?>
		<th><?php $traduttore->html('Indirizzo') ?>
		<th><?php $traduttore->html('Comune') ?>
		<th><?php $traduttore->html('Provincia') ?>
		<th><?php $traduttore->html('CAP') ?>
		<th><?php $traduttore->html('Ordine Assegnato') ?>
		<th><?php $traduttore->html('Originata da Ordine') ?>
		<th><?php $traduttore->html('Utilizzatore') ?>
	</tr>   

<?php 
	while( $query_ric_canone  &&  $rs = ntxRecord($query_ric_canone) )
	{
		$color="";
		
		if($rs['Stato']!=-1  &&  $rs['Stato']!=1) 
			$color=$verde;
		else
			$color=$rosso;
?>
	<tr>
		<td <?php echo $color ?> >&nbsp; 
		<td><?php echo htmlentities($rs['NumRichiesta']) ?>
		<td><?php echo htmlentities($rs['AnnoRichiesta']) ?>
		<td><?php echo ntxDateTime($rs['DataRichiesta']) ?>
		<td><?php echo htmlentities($rs['Classificazione']) ?>
		<td><?php echo htmlentities($rs['NumOrdine']) ?>/<?php echo htmlentities($rs['AnnoOrdine']) ?>
		<td><?php echo htmlentities($rs['DesStato']) ?>
		<td><?php echo htmlentities($rs['Des']) ?>
		<td><?php echo htmlentities($rs['ImpS']) ?>
		<td><?php echo htmlentities($rs['NoteImpS']) ?>
		<td><?php echo htmlentities($rs['Ente']) ?>
		<td><?php echo htmlentities($rs['Codice']) ?>
		<td><?php echo htmlentities($rs['Nome']) ?>
		<td><?php echo htmlentities($rs['Indirizzo']) ?>
		<td><?php echo htmlentities($rs['Comune']) ?>
		<td><?php echo htmlentities($rs['Provincia']) ?>
		<td><?php echo htmlentities($rs['Cap']) ?>
		<td><?php if ( is_numeric($rs[NumOrdine]) ) echo htmlentities((int)$rs[NumOrdine]."/$rs[AnnoOrdine]") ?>
		<td><?php if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities((int)$rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?>
		<td><?php echo htmlentities($rs['Utilizzatore']) ?>
	</tr>
<?php 
	}
?>
</table>
<?php
} 
?>		
</body>
<?php $traduttore->Salva(); ?>

</html>