<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_354", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_354", "IT", __FILE__);

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");


$Classificazione=$_POST[Classificazione];
$Stato=$_POST[Stato];
require("_check_cartella_ricerca.inc");//importante

$IdCommessa = ntxise('IdCommessa');

if($Classificazione=='ordini')	
{	
	require("$cartella_ricerca//elenco_ordini_sql.inc");	
} 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
		<style>		
		table, th, td
		{
			border: 0.5pt solid black;
			font-size:12px;
		}
		
		td.td2
		{
			background: WhiteSmoke;
		}
		
		th
		{
			color: black;
			font-weight: bold;
			background: DarkGray ;
		}
	
		td.bianco {
		  background: #FFFFFF;
		}

		td.verde {
		  background: #00CC99;
		}
		
		td.rosso {
		  background: #C80000   ;
		}	
		
		td.autorizzata {
		  background: #C1CDCD   ;
		}	
		</style>
	</head>
	
<body>
<table>
	<tr>
		<th colspan="7" ><?php $traduttore->html('RICHIESTA') ?>
		<th colspan="11" ><?php $traduttore->html('ORDINE') ?>
	</tr>	

	<tr>
		<th><?php $traduttore->html('Numero Richiesta') ?>
		<th><?php $traduttore->html('Anno Richiesta') ?>
		<th><?php $traduttore->html('Classificazione') ?>
		<th><?php $traduttore->html('Stato Richiesta') ?>
		<th><?php $traduttore->html('Localizzazione') ?>
		<th><?php $traduttore->html('Descrizione Richiesta') ?>
		<th><?php $traduttore->html('Attività Eseguita') ?>
		<th><?php $traduttore->html('Nota Affidatario') ?>
		
		<th><?php $traduttore->html('Numero Ordine') ?>
		<th><?php $traduttore->html('Anno Ordine') ?>
		<th><?php $traduttore->html('Data Ordine') ?>
		<th><?php $traduttore->html('Stato Ordine') ?>
		<th><?php $traduttore->html('Data Inizio') ?>
		<th><?php $traduttore->html('Data Fine') ?>
		<th><?php $traduttore->html('Grado Urgenza') ?>
		<th><?php $traduttore->html('Mestiere') ?>
		<th><?php $traduttore->html('Affidatario') ?>
		<th><?php $traduttore->html('Ditta o Fornitore') ?>
		<th><?php $traduttore->html('Ore Risorse') ?>
	</tr>

	<?php
	$alternate = true;	
	
	while( $rs = ntxRecord($query_ordini) )
	{
		$classe = $alternate ? "" : "td2";	
?>
	<tr>			
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities((int)$rs[NumRichiesta]) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities((int)$rs[AnnoRichiesta]) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities($rs[Classificazione]) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities($rs[StatoRichiesta]) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities("$rs[Codice] - $rs[Nome] - $rs[Indirizzo], $rs[Comune] ($rs[Provincia]) - $rs[Cap]") ?>  
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities("$rs[Descrizione] $rs[Descrizione1] $rs[Descrizione2]") ?>  
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['AttivitàEseguita']) ?></td>
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities($rs[NoteImpS]) ?>  
	
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities((int)$rs[NumOrdine]) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities((int)$rs[AnnoOrdine]) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo str_replace(".", ":", ntxDateTime($rs[DataOrdine]) ) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities($rs[DesStato]) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo str_replace(".", ":", ntxDateTime($rs[DataInizio])) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo str_replace(".", ":", ntxDateTime($rs[DataFine])) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities($rs[GradoUrgenza]) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities($rs[Mestiere]) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities($rs[NomeAffidatario]) ?>  
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities($rs[Ditta]) ?>  				
		<td class="<?php echo  $classe ?>" ><?php echo htmlentities($rs[OreRisorse]) ?>  				
	</tr>		 
<?php
		$alternate = !$alternate;
	} 
?>
</table> 

</body>
<?php $traduttore->Salva(); ?>

</html>