<?php
/*
 * 
 * Copyright (c) 2015 Natisoft S.r.l.
 * Licensed under the MIT license.
 * 
 * @Author SZ <zingaro.natisoft@gmail.com>
 * @CreationDate unknown
 * @ModificationDate 30/11/2015
 */

session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

require("_check_cartella_ricerca.inc"); //importante

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_292", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_292", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$Utente = ntxsse('Utente');
$Password = ntxsse('Password');

$nomeCommessa = ntxScalar("SELECT DesComm FROM Commesse WHERE IDCommessa=$IdCommessa ");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">

        <script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
        <script type="text/javascript" src="../../_ntx/jhp.php"></script> 

        <script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
        <script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
        <link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
        <script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>

        <STYLE type="text/css">
            img 
            {
                width:auto;
                padding:0px;
                margin:0px;
                vertical-align:middle;
            }  

            ul
            {
                list-style-type: none;
            }

            li, ul
            {
                padding:0px;
                margin:0px;		
            }

            input:disabled 
            ,select:disabled 
            {
                background: #dddddd;
            }

            .grafico
            {
                background: #FFC107;
            }
        </STYLE>
    </head>

    <body>

        <div id="dialog1" title="<?php $traduttore->html('Edifici Caricati') ?>" style="display:none;" ></div>

        <div id="dialog2" title="<?php $traduttore->html('Utilizzatori Caricati') ?>" style="display:none;" ></div>

        <script>
            function mostraEdificiCaricati()
            {
                $("#dialog1").dialog();
            }

            function togliEdificiCaricati()
            {
                document.form1.Edifici.value = '';
                $('.divEdificioCaricato').remove();
            }

            function caricaMoltiEdifici(ids, nomi)
            {
                try
                {
                    $("#dialog1").dialog("close");
                } catch (ex) {
                }


                var html = '                                                                 \
                <div class="divEdificioCaricato" >                          								\
                        <input type="button" value="<?php $traduttore->js('< click per vedere gli edifici caricati >') ?>" onclick="mostraEdificiCaricati()" style="width:300px;" />		\
                        <input type="button" value="X" onclick="togliEdificiCaricati()" style="width:30px;" />		\
                </div>                                                                                      \
                ';

                $('#cellaDiAggiuntaEdifici').html(html);

                document.form1.Edifici.value = ids;

                $('#dialog1').text('' + nomi);
            }



            function mostraUtilizzatoriCaricati()
            {
                $("#dialog2").dialog();
            }

            function togliUtilizzatoriCaricati()
            {
                document.form1.Utilizzatori.value = '';
                $('.divUtilizzatoreCaricato').remove();
            }

            function caricaMoltiUtilizzatori(ids, nomi)
            {
                try
                {
                    $("#dialog2").dialog("close");
                } catch (ex) {
                }


                var html = '                                                                 \
                <div class="divUtilizzatoreCaricato" >                          								\
                        <input type="button" value="<?php $traduttore->js('< click per vedere gli Utilizzatori caricati >') ?>" onclick="mostraUtilizzatoriCaricati()" style="width:300px;" />		\
                        <input type="button" value="X" onclick="togliUtilizzatoriCaricati()" style="width:30px;" />		\
                </div>                                                                                      \
                ';

                $('#cellaDiAggiuntaUtilizzatori').html(html);

                document.form1.Utilizzatori.value = ids;

                $('#dialog2').text('' + nomi);
            }
        </script>


        <form method="post" name="form1">

            <input type="hidden" name="cartella_ricerca" id="cartella_ricerca" value="<?php echo $_POST[cartella_ricerca] ?>" />

            <input type="hidden" name="Excel2perConsip" value="<?php echo $_POST[Excel2perConsip] ?>"/>

            <input type="hidden" name="IdPropietario"/>

        <!--<input type="hidden" name="IdUtilizzatore" />	-->

            <input type="hidden" name="Edifici"/>
            <input type="hidden" name="Utilizzatori"/>  
            <input type="hidden" name="Mestieri"/>  


            <table align="center">
                <caption id="hide1"><?php $traduttore->html('Selezione Entità') ?></caption>

<tr>
                    <th>
                        <?php $traduttore->html('Localizzazioni') ?> 
                        <input type="button" value="<?php $traduttore->html('Pulisci') ?>" onclick="rimuoviTuttiEdifici()" style="float:right;" />	
                    <td id="cellaDiAggiuntaEdifici">

                <tr>
                    <th>
                        <?php $traduttore->html('Mestieri') ?> 
                        <input type="button" value="<?php $traduttore->html('Pulisci') ?>" onclick="rimuoviTuttiMestieri()" style="float:right;" />	
                    <td id="cellaDiAggiuntaMestieri">

                        <?php
                        if ($_POST[attore] !== 'fornitori') {
                            ?>	
                    <tr class="trUtilizzatori hide4modBase" >
                        <th>
                            <?php $traduttore->html('Utilizzatori') ?> 
                            <input type="button" value="<?php $traduttore->html('Pulisci') ?>" onclick="rimuoviTuttiUtilizzatori()" style="float:right;" />		
                        <td id="cellaDiAggiuntaUtilizzatori">
                            <?php
                        }
                        ?> 


                        <?php
                        if ($_POST[attore] !== 'clienti') {
                            ?>
                    <tr><th><?php $traduttore->html('Ente di appartenenza') ?>
                        <td><input type="text" name="Ente" id="Ente" size="35" readonly />
                            <input type="button" value="x" onclick="TogliProprietario()" style="width:28px;" /> 	
                            <?php
                        }
                        ?>


                        <?php
                        if ($_POST[attore] !== 'fornitori') {
                            ?>
                    <tr class="hide4modBase" >
                        <th><?php $traduttore->html('Fornitore') ?> 
                        <td> 
                            <input type="text" id="Fornitore" name="Fornitore"   size="35" readonly />			
                            <input type="hidden" id="IdFornitore" name="IdFornitore" />
                            <input type="button" value="X" onclick="TogliFornitore();"  style="width:28px;" />	 		
                            <?php
                        }
                        ?> 

                <tr class="hide4modBase" >
                    <th><?php $traduttore->html('Tipo Localizzazione') ?>
                    <td><select name=Tipo   >
                            <option value="X" SELECTED="SELECTED"><?php $traduttore->html('Non Importa') ?>
                            <option value="0" ><?php $traduttore->html('Edificio') ?>
                            <option value="1" ><?php $traduttore->html('Strada') ?>
                            <option value="2" ><?php $traduttore->html('Verde') ?>
                        </select>

                <tr class="hide4modBase" >
                    <th><?php $traduttore->html('Criterio Scadenze') ?>
                    <td><select name=Scadenza >
							<option value="TempoIntervento" SELECTED="SELECTED"><?php $traduttore->html('Tempo Intervento') ?>
                            <option value="TempoInterventoBase" SELECTED="SELECTED"><?php $traduttore->html('Tempo Intervento Base') ?>
                            
                            <option value="TempoPresaInCarico" ><?php $traduttore->html('Tempo Presa In Carico') ?>
                            <option value="TempoInterventoTampone" ><?php $traduttore->html('Tempo Intervento Tampone') ?>
                            <option value="TempoEsecuzione" ><?php $traduttore->html('Tempo Esecuzione') ?>
                        </select>	
                        
                <tr>	
                    <th><?php $traduttore->html('Tipo Entità') ?>
                    <td>
                        <select style="width:100%;" name="Classificazione" id="Classificazione" onchange="attivaStati();">
                            <option value="" >

                            <option class="tr_contabilita hide4modBase" value="contabilita"><?php $traduttore->html('Contabilità') ?>						
                            <option class="tr_ordini" value="ordini"><?php $traduttore->html('Ordini') ?>				
                            <option class="tr_ordini" value="ordiniExtra"><?php $traduttore->html('Ordini Extra') ?><option class="tr_solleciti" value="solleciti"><?php $traduttore->html('Solleciti') ?>

                                <?php
                                if ($_POST[attore] == 'callcenter') {
                                    ?> 
                                <option class="tr_ordiniInLavorazione hide4modBase" 	value="ordiniInLavorazione"><?php $traduttore->html('Ordini in Lavorazione') ?> 
                                <option class="tr_ordiniDaContabilizzare hide4modBase" 	value="ordiniDaContabilizzare"><?php $traduttore->html('Ordini da Contabilizzare') ?>
                                <option class="tr_richiesteInviate hide4modBase" 		value="richiesteInviate"><?php $traduttore->html('Richieste Inviate') ?>
                                    <?php
                                }
                                ?>					

                            <option class="tr_tempiInterventoCanone grafico hide4modBase"	value="tempiInterventoCanone"><?php $traduttore->html('Rispetto Tempistiche di Intervento (SLA)') ?>
                            <option class="tr_tempiInterventoCanoneMiste grafico hide4modBase"	value="tempiInterventoCanoneMiste"><?php $traduttore->html('Rispetto Tempistiche di Intervento Miste (SLA M)') ?>

                                <?php
                                if ($_POST[attore] == 'autorizzatori' || $_POST[attore] == 'clienti' || $_POST[attore] == 'callcenter') {
                                    ?>
                                <option class="tr_SLAcomdata hide4modBase" value="SLAcomdata" ><?php $traduttore->html('Rispetto tempi di intervento (SLA TI)') ?>
                                    <?php
                                }
                                ?>

                                <?php
                                if ($_POST[attore] == 'autorizzatori' || $_POST[attore] == 'callcenter' || $_POST[attore] == 'clienti') {
                                    /*
                                     * Start Added by SZ @ 20/11/2015
                                     * ctt stands for: class ticket totali
                                     * ctpt stands for: class ticket per tipologia
                                     * tt stands for: ticket totali
                                     * tpt stands for: ticket per tipologia
                                     */
                                    ?>
                                <option class="ctt hide4modBase" value="tt"><?php $traduttore->html('Ticket Totali (per Edificio)') ?></option>
                                <!--<option class="ctrti hide4modBase" value="trti">Ticket Rispetto Tempistiche di Intervento-->
                                <!--<option class="ctsf hide4modBase" value="tsf">Ticket Fuori SLA (Penali & Grado di Priorità)-->
                                <option class="ctpt hide4modBase" value="tpt"><?php $traduttore->html('Ticket per Tipologia (per Edificio)') ?></option>
                                <?php
                                /*
                                 * End Added by SZ @ 20/11/2015
                                 */
                                ?>
                                <option class="tr_rispettoTempoInterventoV2 grafico hide4modBase" value="rispettoTempoInterventoV2"><?php $traduttore->html('Rispetto tempi di intervento v2 (SLA TI - V2)') ?>		

                                <option class="tr_rispettoTempoEsecuzione hide4modBase" value="rispettoTempoEsecuzione"><?php $traduttore->html('Rispetto Tempo di Esecuzione (SLA TE)') ?>		
                                <option class="tr_rispettoTempoPresaInCarico hide4modBase" value="rispettoTempoPresaInCarico"><?php $traduttore->html('Rispetto Tempo di presa in carico (SLA TPC)') ?>	
                                <option class="tr_rispettoTempoEsecuzioneInterventoTampone hide4modBase"	value="rispettoTempoEsecuzioneInterventoTampone"><?php $traduttore->html('Rispetto Tempo di risoluzione intervento tampone (SLA RTE-IT)') ?>

                                <option class="tr_analisiGestione hide4modBase" value="analisiGestione" ><?php $traduttore->html('Analisi Gestione') ?>		
                                <option class="tr_analisiGestione hide4modBase" value="slaPenali" ><?php $traduttore->html('SLA Penali') ?>	

                                <option class="tr_rispettoManutenzioneProgrammata hide4modBase" value="rispettoManutenzioneProgrammata" ><?php $traduttore->html('Rispetto Piano di Manutenzione Programmata (SLA MP)') ?>

                                <option class="tr_rispettoPRD hide4modBase" value="rispettoPRD" ><?php $traduttore->html('Efficacia del servizio di manutenzione (EFF. PRD)') ?>
                                    <?php
                                }

                                if ($_POST[attore] == 'autorizzatori' || $_POST[attore] == 'callcenter' || $_POST[attore] == 'affidatari' || $_POST[attore] == 'clienti') {
                                    ?>
                                <option class="tr_ric_canone" value="ric_canone"><?php $traduttore->html('Richieste (canone)') ?>							
                                    <?php
                                }

                                if ($_POST[attore] == 'autorizzatori' || $_POST[attore] == 'callcenter' || $_POST[attore] == 'affidatari' || $_POST[attore] == 'clienti') {
                                    ?>
                                <option class="tr_ric_miste" value="ric_miste"><?php $traduttore->html('Richieste (canone + extra)') ?>							
                                    <?php
                                }

                                if ($_POST[attore] == 'autorizzatori' || $_POST[attore] == 'callcenter' || $_POST[attore] == 'affidatari' || $_POST[attore] == 'clienti') {
                                    ?>
                                <option class="tr_preventivi hide4modBase" value="preventivi"><?php $traduttore->html('Preventivi') ?>						
                                    <?php
                                }
                                if ($_POST[attore] == 'autorizzatori' || $_POST[attore] == 'callcenter' || $_POST[attore] == 'affidatari' || $_POST[attore] == 'clienti') {
                                    ?>
                                <option class="tr_tempoContabilizzazione grafico hide4modBase" value="tempoContabilizzazione"><?php $traduttore->html('Tempo di Contabilizzazione') ?>				
                                    <?php
                                }

                                if ($_POST[attore] == 'autorizzatori' || $_POST[attore] == 'callcenter' || $_POST[attore] == 'affidatari') {
                                    ?>
                                <option class="tr_tempoAutorizzazione grafico hide4modBase" value="tempoAutorizzazione"><?php $traduttore->html('Tempo di Autorizzazione') ?>				
                                    <?php
                                }

                                if ($_POST[attore] == 'affidatari') {
                                    ?>
                                <option class="hide4modBase" value="protocolloRichieste"><?php $traduttore->html('Protocollo Richieste') ?>				
                                    <?php
                                }
                                ?>				
                        </select> 

                <tr >
                    <th><?php $traduttore->html('Data >= Intervallo') ?>
                    <td ><input type="text" name="dataInizio" class="datepicker" size="40" value="01/01/<?php echo ntxScalar("SELECT YEAR(getdate())") ?>" />

                <tr>
                    <th><?php $traduttore->html('Data <= Intervallo') ?>
                    <td ><input type="text" name="dataFine" class="datepicker" size="40" value="31/12/<?php echo ntxScalar("SELECT YEAR(getdate())") ?>" />

                <tr id="row_TipoIntervento hide4modBase " >
                    <th><?php $traduttore->html('Tipo Intervento') ?>
                    <td>
                        <select name="TipoIntervento"  >
                            <option value="" ><?php $traduttore->html('Non Importa') ?>
                            <option value="Consuntivo" ><?php $traduttore->html('Consuntivo') ?>
                            <option value="Preventivo" ><?php $traduttore->html('Preventivo') ?>
                            <option value="Intervento" ><?php $traduttore->html('Intervento') ?>
                        </select>   

                <tr class="hide4modBase" >
                    <th><?php $traduttore->html('Grado Urgenza') ?>
                    <td><select name="GradoUrgenza1"  ></select>         

				<tr>
                    <th><?php $traduttore->html('Area') ?>
                    <td>
						<select name="CommRifCli">
							<option value=""></option>
							<option value="PI"><?php $traduttore->html('PI') ?></option>
							<option value="EN"><?php $traduttore->html('EN') ?></option>
							<option value="AI"><?php $traduttore->html('AI') ?></option>
						</select>   
					
                <tr class="hide4modBase" >
                    <th><?php $traduttore->html('Gruppo Impianti') ?>: <br><i><?php $traduttore->html('(solo EFF. RPD)') ?></i>
                    <td >
                        <select style="width:100%" name="IdGruppoImpianti" disabled > 
                        </select>  	 

                <tr id="row_efficenza hide4modBase">
                    <th id="THstatoPreventivi"><?php $traduttore->html('Efficienza') ?>: <br><i><?php $traduttore->html('(solo preventivi)') ?></i>
                    <td >
                        <select style="width:100%" name="Stato" disabled>
                            <option value="1"><?php $traduttore->html('Efficienza Preventivazioni Attuali') ?>
                            <option value="2"><?php $traduttore->html('Efficienza Autorizzazioni Attuali') ?>	
                            <option value="3"><?php $traduttore->html('Efficienza Preventivazioni') ?>
                            <option value="4"><?php $traduttore->html('Efficienza Autorizzazioni') ?>
                        </select>  	

                <tr><th id="THmpOrdini hide4modBase"><?php $traduttore->html('MP & MON') ?> <br> <i><?php $traduttore->html('(solo ordini)') ?></i>
                    <td>
                        <select name="MPeMON">
                            <option value="0" selected="selected"><?php $traduttore->html('Escludi MP e MON') ?>
                            <option value="MP"><?php $traduttore->html('Solo MP') ?>
                            <option value="MON"><?php $traduttore->html('Solo MON') ?>
                        </select>			

                <tr>
                    <th id="THincludiOrdiniAnnullati hide4modBase"><?php $traduttore->html('Opzioni aggiuntive di Ricerca') ?><br><i><?php $traduttore->html('(solo ordini)') ?></i>	
                    <td>
                        <select style="width:100%" name="includiOrdiniAnnullati" disabled>
                            <option value="0"><?php $traduttore->html('Escludi ordini Annullati') ?>
                            <option value="1"><?php $traduttore->html('Includi ordini Annullati') ?>	
                        </select> 		

                <tr class="hide4modBase" >
                    <th><?php $traduttore->html('Regole di esclusione') ?>	
                    <td> 
                        <label for="escludiMestieriMarcati"><?php $traduttore->html('Escludi mestieri marcati') ?></label>
                        <input type="checkbox" id="CHKescludiMestieriMarcati" checked="checked" />
                        <input type="hidden" name="escludiMestieriMarcati" />
                <tr class="hide4modBase" >
                    <th><?php $traduttore->html('Asse X') ?><br><i><?php $traduttore->html('(etichette laterali)') ?></i>	
                    <td>
                        <select style="width:100%" name="labelX" >
                            <option value="edifici"><?php $traduttore->html('Edifici') ?>
                            <option value="utilizzatori"><?php $traduttore->html('Utilizzatori') ?>	
                        </select> 						

                <tr>
                    <th><?php $traduttore->html('Layout') ?><br><?php $traduttore->html('Risultati') ?> 	

                    <td>
                        <UL>
                            <LI> 
                                <input type="radio" name="view" value="tabella" checked="checked "  class="trlayoutTabellaRadio" >   
                                <img src="_img/tbl.png" style="width:150px;" title="<?php $traduttore->html('Vedi i risultati in una matrice') ?>" onclick="document.form1.view[0].checked = true" class="trlayoutTabellaImg" />

                                <input type="radio" name="view" value="grafico" class="trlayoutGrafico trlayoutGraficoRadio" >
                                <img src="_img/grf.png" style="width:150px;" title="<?php $traduttore->html('Vedi i risultati in un grafico') ?>" onclick="document.form1.view[1].checked = true" class="trlayoutGrafico" />
                            </LI> 	
                        </UL>				

                <tr><th colspan="2">
                        <input type="button" style="width:100%;height:30px" value="<?php $traduttore->html('Ricerca') ?>" onclick="Filtra();">

                <tr><th colspan="2" class="hide4modBase" >
                        <input type="button" style="width:100%;height:30px" value="<?php $traduttore->html('Ottieni Documento Unico SLA') ?>" onclick="Filtra2();" >
            </table>
        </form>


        <script language="javascript">
            var modBase = '';
            var escludiOpt = '';
            $(document).ready(function () {

                modBase = parent.modBase;
                escludiOpt = parent.escludiOpt;

                $(".datepicker").datepicker($.datepicker.regional['it']);

                ntxSelectLoad(document.form1, document.form1.GradoUrgenza1, '<?php echo $_POST[cartella_ricerca] ?>/ricerca/carica_gr_urgenza', true);
                ntxSelectLoad(document.form1, document.form1.IdGruppoImpianti, 'carica_GruppoImpianti', true);

                if (parent.layoutGrafico == 1)
                    $(".trlayoutGrafico").show();
                else
                    $(".trlayoutGrafico").hide();

                if (parent.utilizzatori == 1)
                    $(".trUtilizzatori").show();
                else
                    $(".trUtilizzatori").hide();

                $.each(parent.arrayOpzioni, function (key, value)
                {
                    var nome = ".tr_" + key;

                    if (value == 0)
                        $(nome).remove();
                });

                attivaStati();
				
				 
				
				var select = $('#Classificazione')[0]; 
				var res = escludiOpt.split(",");			
			
				$.each( res, function( key, value ) 
				{
					//console.log( key + ": " + value );
					
					$(select.options[value]).hide(); 
				});		 
            });

            function Filtra2()
            {
                document.form1.escludiMestieriMarcati.value = 0;
                if ($('#CHKescludiMestieriMarcati').is(':checked'))
                    document.form1.escludiMestieriMarcati.value = 1;


                if (document.form1.dataInizio.value == "" || document.form1.dataFine.value == "")
                {
                    alert("<?php $traduttore->js('Digitare un intervallo di date.') ?>");
                    return;
                }


                parent.tbJq_updateTabFrame(document.form1, "pivot", "documento_unico_sla.php");
                parent.tbJq_showTabFrame("pivot");
            }

            function Filtra()
            {
                document.form1.escludiMestieriMarcati.value = 0;
                if ($('#CHKescludiMestieriMarcati').is(':checked'))
                    document.form1.escludiMestieriMarcati.value = 1;


                if (document.form1.Classificazione.value == "")
                {
                    alert("<?php $traduttore->js('Selezionare un criterio di ricerca per tipo entità!') ?>");

                    return;
                }


                if (document.form1.Classificazione.value == "protocolloRichieste")
                {
                    parent.tbJq_updateTabFrame(document.form1, "elenco", "protocollo_richieste/index.php");
                    parent.tbJq_showTabFrame("elenco");

                    return;
                }

                if (document.form1.view[0].checked == true)
                {
                    if (document.form1.Classificazione.value == "analisiGestione")
                    {
                        if (document.form1.dataInizio.value == "" || document.form1.dataFine.value == "")
                        {
                            if (!confirm("<?php $traduttore->js('E\' consigliabile digitare un intervallo di date.\nSenza intervallo l\'elaborazione potrebbe risultare molto lunga. Premere OK per continuare lo stesso, ANNULLA per ritornare alla maschera e digitare le date.') ?>"))
                                return;
                        }

                        parent.tbJq_updateTabFrame(document.form1, "pivot", "analisi_gestione.php");
                    } else if (document.form1.Classificazione.value == "slaPenali")
                    {
                        if (document.form1.dataInizio.value == "" || document.form1.dataFine.value == "")
                        {
                            if (!confirm("<?php $traduttore->js('E\' consigliabile digitare un intervallo di date.\nSenza intervallo l\'elaborazione potrebbe risultare molto lunga. Premere OK per continuare lo stesso, ANNULLA per ritornare alla maschera e digitare le date.') ?>"))
                                return;
                        }

                        parent.tbJq_updateTabFrame(document.form1, "pivot", "slaPenali.php");
                    } else if (document.form1.Classificazione.value == "SLAcomdata")
                    {
                        if (document.form1.dataInizio.value == "" || document.form1.dataFine.value == "")
                        {
                            if (!confirm("<?php $traduttore->js('E\' consigliabile digitare un intervallo di date.\nSenza intervallo l\'elaborazione potrebbe risultare molto lunga. Premere OK per continuare lo stesso, ANNULLA per ritornare alla maschera e digitare le date.') ?>"))
                                return;
                        }

                        parent.tbJq_updateTabFrame(document.form1, "pivot", "indicatori_gestione_su_sla.php");
                    } else if
                            (
                                    document.form1.Classificazione.value == "rispettoTempoEsecuzione" || document.form1.Classificazione.value == "rispettoTempoPresaInCarico"
                                    || document.form1.Classificazione.value == "rispettoTempoEsecuzioneInterventoTampone" || document.form1.Classificazione.value == "rispettoTempoInterventoV2"
                                    )
                    {
                        if (document.form1.dataInizio.value == "" || document.form1.dataFine.value == "")
                        {
                            if (!confirm("<?php $traduttore->js('E\' consigliabile digitare un intervallo di date.\nSenza intervallo l\'elaborazione potrebbe risultare molto lunga. Premere OK per continuare lo stesso, ANNULLA per ritornare alla maschera e digitare le date.') ?>"))
                                return;
                        }

                        parent.tbJq_updateTabFrame(document.form1, "pivot", "tempi_general.php");
                    } else if (document.form1.Classificazione.value == "ordiniInLavorazione")
                    {
                        if (document.form1.dataInizio.value == "" || document.form1.dataFine.value == "")
                        {
                            if (!confirm("<?php $traduttore->js('E\' consigliabile digitare un intervallo di date.\nSenza intervallo l\'elaborazione potrebbe risultare molto lunga. Premere OK per continuare lo stesso, ANNULLA per ritornare alla maschera e digitare le date.') ?>"))
                                return;
                        }

                        parent.tbJq_updateTabFrame(document.form1, "pivot", "ordini_generico.php");
                    } else if (document.form1.Classificazione.value == "ordiniDaContabilizzare")
                    {
                        if (document.form1.dataInizio.value == "" || document.form1.dataFine.value == "")
                        {
                            if (!confirm("<?php $traduttore->js('E\' consigliabile digitare un intervallo di date.\nSenza intervallo l\'elaborazione potrebbe risultare molto lunga. Premere OK per continuare lo stesso, ANNULLA per ritornare alla maschera e digitare le date.') ?>"))
                                return;
                        }

                        parent.tbJq_updateTabFrame(document.form1, "pivot", "cont_generico.php");
                    } else if (document.form1.Classificazione.value == "richiesteInviate")
                    {
                        if (document.form1.dataInizio.value == "" || document.form1.dataFine.value == "")
                        {
                            if (!confirm("<?php $traduttore->js('E\' consigliabile digitare un intervallo di date.\nSenza intervallo l\'elaborazione potrebbe risultare molto lunga. Premere OK per continuare lo stesso, ANNULLA per ritornare alla maschera e digitare le date.') ?>"))
                                return;
                        }

                        parent.tbJq_updateTabFrame(document.form1, "pivot", "prev_generico.php");
                    } else if (document.form1.Classificazione.value == "rispettoManutenzioneProgrammata")
                    {
                        parent.tbJq_updateTabFrame(document.form1, "pivot", "piano_manutenzione_prog.php");
                    } else if (document.form1.Classificazione.value == "rispettoPRD")
                    {
                        if (document.form1.dataInizio.value == "" || document.form1.dataFine.value == "")
                        {
                            alert("<?php $traduttore->js('Digitare un intervallo di date.') ?>");
                            return;
                        }
                        parent.tbJq_updateTabFrame(document.form1, "pivot", "rispettoPRD.php");
                    } else
                    {
                        parent.tbJq_updateTabFrame(document.form1, "pivot", "pivot.php");
                    }

                    parent.tbJq_showTabFrame("pivot");
                } else
                {
                    if (document.form1.Classificazione.value == 'tempiInterventoCanone' || document.form1.Classificazione.value == 'tempiInterventoCanoneMiste' || document.form1.Classificazione.value == 'tempoContabilizzazione' || document.form1.Classificazione.value == 'tempoAutorizzazione')
                    {
                        parent.tbJq_updateTabFrame(document.form1, "grafico", "grafico.php");
                        parent.tbJq_showTabFrame("grafico");
                    } else if (document.form1.Classificazione.value == 'rispettoTempoInterventoV2' || document.form1.Classificazione.value == 'tt' || document.form1.Classificazione.value == 'trti' || document.form1.Classificazione.value == 'tsf' || document.form1.Classificazione.value == 'tpt')
                    {
                        parent.tbJq_updateTabFrame(document.form1, "grafico", "grafici/" + document.form1.Classificazione.value + ".php");
                        parent.tbJq_showTabFrame("grafico");
                    } else
                        alert("<?php $traduttore->js('Il tipo di entità selezionato non supporta la visualizzazione in grafico!') ?>");
                }
                ;

            }

            var arrGrafico = [
                'tempiInterventoCanone',
                'tempiInterventoCanoneMiste',
                'tempoContabilizzazione',
                'tempoAutorizzazione',
                'rispettoTempoInterventoV2',
                'tt',
                'trti',
                'tsf',
                'tpt'
            ];

            function attivaStati()
            {
                /*
                 * Start Added by SZ @ 20/11/2015
                 */
                if (document.form1.Classificazione.value == 'tt' || document.form1.Classificazione.value == 'trti' || document.form1.Classificazione.value == 'tsf' || document.form1.Classificazione.value == 'tpt')
                {
                    document.form1.TipoIntervento.disabled = true;
                    //document.form1.labelX.disabled = true;--il valore deve essere inviato
                    document.form1.Tipo.disabled = true;
                    document.form1.GradoUrgenza1.disabled = true;
                    //rimuoviTuttiEdifici();
                    $(".trlayoutTabellaRadio").hide();
                    $(".trlayoutTabellaImg").fadeTo("slow", 0.2, function () { });
                } else {
                    $(".trlayoutTabellaRadio").show();
                    $(".trlayoutTabellaImg").fadeTo("slow", 1, function () { });
                }
                /*
                 * End Added by SZ @ 20/11/2015
                 */

                if (document.form1.Classificazione.value == 'tempiInterventoCanoneMiste')
                {

                    $('#row_TipoIntervento').find('input, select').prop("disabled", false);
                } else
                {
                    $('#row_TipoIntervento').find('input, select').prop("disabled", true);
                }

                if (document.form1.Classificazione.value == 'ordini')
                {
                    document.form1.MPeMON.disabled = false;
                    document.form1.includiOrdiniAnnullati.disabled = false;
                } else
                {
                    document.form1.MPeMON.disabled = true;
                    document.form1.includiOrdiniAnnullati.disabled = true;
                }
				
				if (document.form1.Classificazione.value == 'ordiniExtra')
                {
                    document.form1.MPeMON.disabled = true;
                    document.form1.includiOrdiniAnnullati.disabled = true;
                } else
                {
                    document.form1.MPeMON.disabled = false;
                    document.form1.includiOrdiniAnnullati.disabled = false;
                }


                if (document.form1.Classificazione.value == 'preventivi')
                {
                    document.form1.Stato.disabled = false;
                } else
                {
                    document.form1.Stato.disabled = true;
                }


                if (document.form1.Classificazione.value == 'rispettoPRD')
                {
                    document.form1.IdGruppoImpianti.disabled = false;
                } else
                {
                    document.form1.IdGruppoImpianti.disabled = true;
                }

                if (document.form1.Classificazione.value == 'solleciti' || document.form1.Classificazione.value == 'tempiInterventoCanone' || document.form1.Classificazione.value == 'tempoContabilizzazione')
                {
                    document.form1.Stato.disabled = true;
                    document.form1.MPeMON.disabled = true;
                    document.form1.includiOrdiniAnnullati.disabled = true;
                }


                if (parent.attore == 'fornitori')
                    document.getElementById('row_efficenza').style.display = 'none';

                if ($.inArray(document.form1.Classificazione.value, arrGrafico) > -1)
                {
                    $(".trlayoutGrafico").fadeTo("slow", 1.0, function () {
                    });
                } else
                {
                    document.form1.view[0].checked = true;

                    $(".trlayoutGrafico").fadeTo("slow", 0.2, function () {
                    });
                }

                if (modBase == 1)
                {
                    $("select .hide4modBase").remove();
                    $('.hide4modBase').hide();
                }
            }

            function TogliProprietario()
            {
                document.form1.IdPropietario.value = '';
                document.form1.Ente.value = '';
            }


            function SelEnte(IdPropietario)
            {
                document.form1.IdPropietario.value = IdPropietario;
                ntxSendForm(form1, CaricaEnte, 'carica_ente');
            }

            function CaricaEnte(txt)
            {
                var rows = ntxRecord(txt);
                form1.Ente.value = rows['Ente'];
            }

            function SelUtilizzatore(IdUtilizzatore)
            {
                document.form1.IdUtilizzatore.value = IdUtilizzatore;
                ntxSendForm(form1, CaricaUtilizzatore, 'carica_utilizzatore');
            }


            function TogliUtilizzatore()
            {
                document.form1.IdUtilizzatore.value = '';
                document.form1.Utilizzatore.value = '';
            }

            function CaricaUtilizzatore(txt)
            {
                var rows = ntxRecord(txt);
                form1.Utilizzatore.value = rows['Nome'];
            }
        </script>


        <script>
            var Edifici = new Array();

            var HTMLperAggiuntaEdificio = '                                                                 \
                <div style="display:none;" class="divEdificioCaricato" >                                                                                       \
                        <input type="text" name="Edificio"  style="width:80%;"  readonly />                   			\
                        <input type="hidden" class="IdEdificio"/>                   								\
                        <input type="button" value="x" onclick="TogliEdificio(this)" style="width:28px;" />		\
                </div>                                                                                      \
                ';

            function TogliEdificio(obj)
            {
                var IdEdificio = $(obj).parent().find("input.IdEdificio").val();
                IdEdificio = parseInt(IdEdificio);

                var idx = Edifici.indexOf(IdEdificio); // Find the index
                if (idx !== -1)
                    Edifici.splice(idx, 1); // Remove it if really found!	  


                $(obj).parent().hide('slow', function () { //$(obj).parent().remove();
                    $(obj).parent().remove();
                });

                trovaIdEdifici();
            }

            function SelEdificio(IdEdificio)
            {
                IdEdificio = parseInt(IdEdificio);

                var idx = Edifici.indexOf(IdEdificio);
                if (idx !== -1)
                {
                    alert("<?php $traduttore->js('L\'edificio e\' gia\' stato inserito nei criteri di ricerca!') ?>");
                    return;
                }


                var aggiunta = $('#cellaDiAggiuntaEdifici').append(HTMLperAggiuntaEdificio).find('div:last-child');

                aggiunta.find("input.IdEdificio").val(IdEdificio);

                var result = jhp("jhp/carica_edificio.php", {IdEdificio: IdEdificio});
                if (result.state)
                    alert(result.message);
                else
                {
                    var Edificio = result.value[0].Edificio;

                    aggiunta.find("input[name=Edificio]").val(Edificio);
                    Edifici.push(IdEdificio);

                    aggiunta.show('slow', function () {});
                }

                trovaIdEdifici();
            }

            function trovaIdEdifici()
            {
                var len = Edifici.length;
                var tmp = "";

                for (var i = 0; i < len; ++i)
                {
                    if ($.isNumeric(Edifici[i]))
                    {
                        if (tmp !== "")
                            tmp += ",";

                        tmp += Edifici[i];
                    }
                }

                document.form1.Edifici.value = tmp;
            }

            function rimuoviTuttiEdifici()
            {
                if (!confirm("<?php $traduttore->js('Pulire il criterio di ricerca sulle localizzazioni?') ?>"))
                    return;

                $('.divEdificioCaricato').remove();
                Edifici = new Array();
                document.form1.Edifici.value = '';
            }
        </script>

        <script>
            var Utilizzatori = new Array();

            var HTMLperAggiuntaUtilizzatori = '                                                                 \
                <div style="display:none;" class="divUtilizzatoreCaricato"  >                                                                                       \
                        <input type="text" name="Utilizzatore" style="width:80%;" readonly />                   			\
                        <input type="hidden" class="IdUtilizzatore"/>                   								\
                        <input type="button" value="x" onclick="TogliUtilizzatore(this)" style="width:28px;" />		\
                </div>                                                                                      \
                ';

            function TogliUtilizzatore(obj)
            {
                var IdUtilizzatore = $(obj).parent().find("input.IdUtilizzatore").val();
                IdUtilizzatore = parseInt(IdUtilizzatore);

                var idx = Utilizzatori.indexOf(IdUtilizzatore); // Find the index
                if (idx !== -1)
                    Utilizzatori.splice(idx, 1); // Remove it if really found!	  


                $(obj).parent().hide('slow', function () { //$(obj).parent().remove();
                    $(obj).parent().remove();
                });

                trovaIdUtilizzatori();
            }

            function SelUtilizzatore(IdUtilizzatore)
            {
                IdUtilizzatore = parseInt(IdUtilizzatore);

                var idx = Utilizzatori.indexOf(IdUtilizzatore);
                if (idx !== -1)
                {
                    alert("<?php $traduttore->js('L\'Utilizzatore e\' gia\' stato inserito nei criteri di ricerca!') ?>");
                    return;
                }


                var aggiunta = $('#cellaDiAggiuntaUtilizzatori').append(HTMLperAggiuntaUtilizzatori).find('div:last-child');

                aggiunta.find("input.IdUtilizzatore").val(IdUtilizzatore);

                var result = jhp("jhp/carica_utilizzatore.php", {IdUtilizzatore: IdUtilizzatore});
                if (result.state)
                    alert(result.message);
                else
                {
                    var Utilizzatore = result.value[0].Utilizzatore;

                    aggiunta.find("input[name=Utilizzatore]").val(Utilizzatore);
                    Utilizzatori.push(IdUtilizzatore);

                    aggiunta.show('slow', function () {});
                }

                trovaIdUtilizzatori();
            }

            function trovaIdUtilizzatori()
            {
                var len = Utilizzatori.length;
                var tmp = "";

                for (var i = 0; i < len; ++i)
                {
                    if ($.isNumeric(Utilizzatori[i]))
                    {
                        if (tmp !== "")
                            tmp += ",";

                        tmp += Utilizzatori[i];
                    }
                }

                document.form1.Utilizzatori.value = tmp;
            }

            function rimuoviTuttiUtilizzatori()
            {
                if (!confirm("<?php $traduttore->js('Pulire il criterio di ricerca?') ?>"))
                    return;

                $('.divUtilizzatoreCaricato').remove();
                Utilizzatori = new Array();
                document.form1.Utilizzatori.value = '';
            }
        </script>

        <script>
            function SelFornitore(IdFornitore)
            {
                function Carica(txt)
                {
                    var rows = ntxRecord(txt);
                    document.form1.Fornitore.value = rows['Nome'];
                }

                document.form1.IdFornitore.value = IdFornitore;
                ntxSendForm(document.form1, Carica, 'carica_ditta');
            }

            function TogliFornitore()
            {
                document.form1.IdFornitore.value = '';
                document.form1.Fornitore.value = '';
            }
        </script>

        <script>
            var Mestieri = new Array();

            var HTMLperAggiuntaMestiere = '                                                                 \
                <div style="display:none;" class="divMestiereCaricato" > 							\
                        <input type="text" name="Mestiere"   readonly style="width:80%;" />                   			\
                        <input type="hidden" class="IdMestiere"/>                   								\
                        <input type="button" value="x" onclick="TogliMestiere(this)" style="width:28px;" />		\
                </div>                                                                                      \
                ';

            function TogliMestiere(obj)
            {
                var IdMestiere = $(obj).parent().find("input.IdMestiere").val();

                IdMestiere = parseInt(IdMestiere);

                var idx = Mestieri.indexOf(IdMestiere); // Find the index 

                if (idx !== -1)
                    Mestieri.splice(idx, 1); // Remove it if really found!	  


                $(obj).parent().hide('slow', function () {
                    $(obj).parent().remove();
                });

                trovaIdMestieri();
            }

            function SelMestiere(IdMestiere, silenzioso)
            {
                IdMestiere = parseInt(IdMestiere);

                var idx = Mestieri.indexOf(IdMestiere);
                if (idx !== -1)
                {
                    if (silenzioso == true)
                    {
                    } else
                        alert("<?php $traduttore->js('Il mestiere e\' gia\' stato inserito nei criteri di ricerca!') ?>");

                    return;
                }

                var aggiunta = $('#cellaDiAggiuntaMestieri').append(HTMLperAggiuntaMestiere).find('div:last-child');

                aggiunta.find("input.IdMestiere").val(IdMestiere);

                var result = jhp("jhp/carica_mestiere.php", {IdMestiere: IdMestiere});
                if (result.state)
                    alert(result.message);
                else
                {
                    var Mestiere = result.value[0].Mestiere;

                    aggiunta.find("input[name=Mestiere]").val(Mestiere);
                    Mestieri.push(IdMestiere);

                    aggiunta.show('slow', function () {});
                }

                trovaIdMestieri();
            }

            function trovaIdMestieri()
            {
                var len = Mestieri.length;
                var tmp = "";

                for (var i = 0; i < len; ++i)
                {
                    if ($.isNumeric(Mestieri[i]))
                    {
                        if (tmp !== "")
                            tmp += ",";

                        tmp += Mestieri[i];
                    }
                }

                document.form1.Mestieri.value = tmp;
            }

            function rimuoviTuttiMestieri()
            {
                if (!confirm("<?php $traduttore->js('Pulire il criterio di ricerca?') ?>"))
                    return;

                $('.divMestiereCaricato').remove();
                Mestieri = new Array();
                document.form1.Mestieri.value = '';
            }
        </script>

    </body>
	<?php $traduttore->Salva(); ?>

</html>
