<?php  
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201701181642 = new NtxTraduttore("000_000_322", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201701181642 = new NtxCreaTraduzione("000_000_322", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$Utente=ntxsse('Utente');
$Password=ntxsse('Password'); 

require_once('tutti_attori/_funzGestioneArrayId.php'); //IMPORTANTE

$select=" ";
$where=" ";
$order=" ";


if( is_numeric($_POST[TipoDettaglio]) )
{
	$richiestaDettaglio = (int)$_POST[TipoDettaglio];


	//codice per visualizzare tutta la contabilita' di un mese selezionato
	if($richiestaDettaglio==1)
	{
		$mese = (int)$_POST['Mese'];
		$anno = (int)$_POST['Anno'];
	
		$sottotitolo.=$traduttore201701181642->traduci('Relativi al mese')." $mese/$anno";
		
		$select.= ", ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP ";
		$where.=" AND MONTH(DataContabilità)=$mese AND YEAR(DataContabilità)=$anno ";
		$order.=" ORDER BY  Contabilità.DataContabilità ";
		
		
	}
	//codice per visualizzare tutta la contabilita' associata a un edificio per un dato mese
	else if($richiestaDettaglio==2)
	{
		$mese = (int)$_POST['Mese'];
		$anno = (int)$_POST['Anno'];

		$sottotitolo.=$traduttore201701181642->traduci('Relativi all\'edificio con codice')." $codice ".$traduttore201701181642->traduci('per il mese')." $mese/$anno";	
		
		$select.= "";
		$where.=" AND MONTH(DataContabilità)=$mese AND YEAR(DataContabilità)=$anno ";
		$order.=" ORDER BY  Contabilità.CodEdificio, Contabilità.DataContabilità ";
	
	}
	//codice per visualizzare tutta la contabilita' associata a un dato edificio
	else if ($richiestaDettaglio==3)
	{
		$sottotitolo.=$traduttore201701181642->traduci('Relativi all\'edificio con codice')." $codice";
		
		$select.= "";
		$order.=" ORDER BY  Contabilità.DataContabilità ";
		
		if ( isset($_POST['dataInizio'])  &&  strlen($_POST['dataInizio'])>0) 
		{
			$dataInizio=ntxtp('dataInizio');
			$where.=" AND (Contabilità.DataContabilità >= ".$dataInizio.") ";
			
			$sottotitolo.=$traduttore201701181642->traduci('per l\'intervallo')." $_POST[dataInizio]";
		}

		if ( isset($_POST['dataFine'])  &&  strlen($_POST['dataFine'])>0) 
		{
			$dataFine = ntxtp('dataFine');
			$where.=" AND (Contabilità.DataContabilità <= ".$dataFine.") ";
			
			$sottotitolo.=" - $_POST[dataFine]";	
		}	
		else
		{
			if(strlen($_POST['dataInizio'])>0)
				$sottotitolo.=" - ".$traduttore201701181642->traduci('oggi');
		}	
		
	}
	//codice per visualizzare tutti i preventivi associati a un dato edificio per una data del tipo GG/MM/AAA
	else if ($richiestaDettaglio==4)
	{
		$giorno = (int)$_POST['Giorno'];
		$mese = (int)$_POST['Mese'];
		$anno = (int)$_POST['Anno'];
		
		$sottotitolo.=$traduttore201701181642->traduci('Relativi all\'edificio con codice')." $codice ".$traduttore201701181642->traduci('per il giorno')." $giorno/$mese/$anno";	
		
		$where.=" AND  DAY(DataContabilità)=$giorno AND MONTH(DataContabilità)=$mese AND YEAR(DataContabilità)=$anno ";
		$order.=" ORDER BY  Contabilità.CodEdificio ";
	}	
	
	if( is_numeric($_POST[IdPropietario]))
	{
		$where.=" AND (ElencoEdifici.IdProprietario = $_POST[IdPropietario])";	
	}
	
	/*if ( is_numeric($_POST['IdUtilizzatore'])) 
	{
		$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
		$where .= " AND (Ordini.IdUtilizzatore = $IdUtilizzatore) ";
	}*/
	if( strlen($_POST['Utilizzatori'])>0 )
	{ 
		$where .= whereStringaElementi( $_POST['Utilizzatori'], ',', 'Richieste.IdUtilizzatore');
	}

	if( strlen($_POST['Edifici'])>0 )
	{ 
		$where .= whereStringaElementi( $_POST['Edifici'], ',', 'ElencoEdifici.ID');
	}
	
	if( strlen($_POST['Mestieri'])>0 )
	{ 
		$where .= whereStringaElementi( $_POST['Mestieri'], ',', 'Richieste.IdMestiere');
	}	

	if( is_numeric($_POST['IdFornitore']))
	{
		$value = (int)$_POST['IdFornitore'];
		$where.=" AND (Ordini.Assegnazione = $value)";	
	}

	if ( isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1'])>0) 
	{
		$str = stripslashes($_POST['GradoUrgenza1']."");
		$str = str_replace("'", "''", $str);
		$where .= " AND Richieste.GradoUrgenza = '".$str."' ";
	}		
		
	if ( is_numeric($_POST['IdEdificio'])) 
	{
		$IdEdificio = (int)$_POST['IdEdificio'];
		$where .= " AND (Contabilità.CodEdificio = $IdEdificio) ";
	}	

	if ( is_numeric($_POST['Tipo']) ) 
	{
		$tipo = (int)$_POST['Tipo'];
		if($tipo==1)
			$where .= " AND (ElencoEdifici.Tipo = $tipo) ";
		else
			$where .= " AND ( (ElencoEdifici.Tipo=$tipo) OR (ElencoEdifici.Tipo IS NULL) ) ";	
	}	
	

	if( is_numeric($_POST['IdMestiere']) ) 
	{
		$IdMestiere = (int)$_POST['IdMestiere'];
		$where .= " AND (Richieste.IdMestiere = $IdMestiere) ";
	}
			
	
	if( is_numeric($_POST['escludiMestieriMarcati'])  &&  $_POST['escludiMestieriMarcati']==1 ) 
	{ 
		$where .= " AND (tblMestieri.escludiDaMatriceControllo IS NULL OR tblMestieri.escludiDaMatriceControllo=0) ";
	}	
	
	if ( isset($_POST['CommRifCli'])  &&  strlen($_POST['CommRifCli'])>0) 
	{
		$str = stripslashes($_POST['CommRifCli']."");
		$str = str_replace("'", "''", $str);
		
		$where .= " AND tblUtUtilizzatori.ClasseUtilizzatore = '".$str."' "; 
	}	
	
	
	
	$sql = <<< SQL
			SELECT  
				Contabilità.IDCommessa, Contabilità.NumOrdine, Contabilità.AnnoOrdine, Contabilità.NumContabilità, Contabilità.DataContabilità, 
				Contabilità.Descrizione, Contabilità.GradoUrgenza, Contabilità.Edificio, Contabilità.Consegnato, Contabilità.DataConsegna, Contabilità.Fatturato, 
				Contabilità.DataSal, Contabilità.NumSal, StatiContabilità.DesstatoC, Contabilità.ImportoStimatoC, Contabilità.Note, Contabilità.Approvato, 
				Contabilità.DataApprovazione, Contabilità.UtenteApprovazione, Contabilità.Contestato, Contabilità.DataContestazione, Contabilità.UtenteContestazione, 
				Contabilità.NoteContestazione, Contabilità.RifOrdineCliente, Contabilità.DataUltimaConsegna, Contabilità.CodEdificio, 
				TabellaGradoUrgenza.Descrizione AS GU, Ordini.NumRichiesta, Ordini.AnnoRichiesta, Contabilità.idStatoc, 
				tblPgPropietari.Nome AS Ente, tblUtUtilizzatori.Nome AS Utilizzatore
			FROM         
				Contabilità INNER JOIN
				Ordini ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
				Contabilità.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
				Utenti ON Ordini.Assegnazione = Utenti.IdDitta INNER JOIN
				TabellaGradoUrgenza ON Contabilità.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
				Contabilità.GradoUrgenza = TabellaGradoUrgenza.GradoU 
				INNER JOIN
				StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc
				INNER JOIN
				ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID	
				LEFT OUTER JOIN tblPgPropietari ON tblPgPropietari.IdPropietario = ElencoEdifici.IdProprietario		

				LEFT OUTER JOIN
				tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore	
				LEFT OUTER JOIN
				Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.IDCommessa = Richieste.IDCommessa	
						LEFT OUTER JOIN 
					tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
					
			WHERE     
				(Utenti.Nome = $Utente)
				AND (Utenti.Password = $Password)
				AND (Contabilità.IdCommessa = $IdCommessa) 			
				$where
SQL;


	if( isset($executePagedQuery) && $executePagedQuery==true) 
	{
		$query = ntxPagedQuery($sql, 'DataContabilità');  
	}
	else
	{
		$query_contabilita=ntxQuery("$sql $order");
	}
}
$traduttore201701181642->Salva();
?>