<?php
$select = <<< _SQL

  Ordini.DataOrdine,
		DATEDIFF(SECOND,{d '1970-01-01'},Ordini.DataOrdine) AS Xdate ,
		ElencoEdifici.EdificioBreve ,
		tblMestieri.Descrizione AS descrizioneMestiere
  
_SQL;

$from = <<< _SQL

    Richieste
		INNER JOIN ElencoEdifici 
      ON Richieste.IDCommessa = ElencoEdifici.IdCommessa
        AND Richieste.Localizzazione = ElencoEdifici.ID
		INNER JOIN UtentiEdifici 
      ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa
        AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
		INNER JOIN Utenti 
      ON UtentiEdifici.IdUtente = Utenti.Id
		INNER JOIN Ordini 
      ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta
        AND Richieste.NumRichiesta = Ordini.NumRichiesta
        AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
		LEFT JOIN tblMestieri 
      ON Richieste.IDCommessa = tblMestieri.IdCommessa
        AND Richieste.IdMestiere = tblMestieri.IdMestiere

_SQL;

$where .= " Richieste.IdCommessa = $IdCommessa AND Utenti.Nome = $Utente AND Utenti.Password = $Password ";

if ( (isset($_POST['dataInizio'])  &&  strlen($_POST['dataInizio']) > 0)  &&  (isset($_POST['dataFine'])  &&  strlen($_POST['dataFine']) > 0) ){
    $where .= " AND (Ordini.DataOrdine BETWEEN dbo.CDate('" . $_POST['dataInizio'] . "') AND dbo.CDate('" . $_POST['dataFine'] . "') ) ";
}

if (isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1']) > 0) {
    $strGradoUrgenza = str_replace("'", "''", stripslashes($_POST['GradoUrgenza1'] . ""));
    $where .= " AND Ordini.GradoUrgenza = '" . $strGradoUrgenza . "' ";
}

if (isset($_POST['Utilizzatori'])  &&  strlen($_POST['Utilizzatori']) > 0) {
    $strUtilizzatori = str_replace("'", "''", stripslashes($_POST['Utilizzatori'] . ""));
    $where .= " AND Ordini.IdUtilizzatore IN ( $strUtilizzatori ) ";
}

if (isset($_POST['Edifici'])  &&  strlen($_POST['Edifici']) > 0) {
    $stredifici = str_replace("'", "''", stripslashes($_POST['Edifici'] . ""));
    $where .= " AND ElencoEdifici.ID IN ( $stredifici ) ";
}

if (isset($_POST['Mestieri'])  &&  strlen($_POST['Mestieri']) > 0) {
    $strmestieri = str_replace("'", "''", stripslashes($_POST['Mestieri'] . ""));
    $where .= " AND Ordini.IdMestiere IN ( $strmestieri ) ";
}

if (isset($_POST['IdPropietario'])  &&  is_numeric($_POST['IdPropietario'])) {
    $idProprietario = (int) ntxip('IdPropietario');
    $where.=" AND (ElencoEdifici.IdProprietario = $idProprietario)";
}

if (isset($_POST['IdFornitore'])  &&  is_numeric($_POST['IdFornitore'])) {
    $idFornitore = (int) ntxip('IdFornitore');
    $where.=" AND (Ordini.Assegnazione = $idFornitore)";
}

if (isset($_POST['Tipo'])  &&  is_numeric($_POST['Tipo'])) {
    $tipo = (int) $_POST['Tipo'];
    if ($tipo == 1) {
        $where .= " AND (ElencoEdifici.Tipo = $tipo) ";
    } else {
        $where .= " AND ( (ElencoEdifici.Tipo=$tipo) OR (ElencoEdifici.Tipo IS NULL) ) ";
    }
}

if (is_numeric($_POST['escludiMestieriMarcati'])  &&  $_POST['escludiMestieriMarcati'] == 1) {
    $where .= " AND (tblMestieri.escludiDaMatriceControllo IS NULL OR tblMestieri.escludiDaMatriceControllo=0) ";
}

$whereDentroSLA = '';
$whereFuoriSLA = '';
$whereOrdini = <<< _SQL
  AND Ordini.StatoOrd >= 50  
  AND Ordini.StatoOrd <> 60  
  AND Ordini.StatoOrd <> 70 
  AND ( Ordini.NonValutabileInSLA IS NULL OR Ordini.NonValutabileInSLA = 0 ) 
_SQL;
$whereNonInSLA = <<< _SQL
  AND ( Ordini.NonValutabileInSLA = 1 )
_SQL;
if (isset($_POST['Scadenza'])  &&  strlen($_POST['Scadenza']) > 0) {
    if ($_POST['Scadenza'] == 'TempoInterventoBase') {
        $whereDentroSLA = <<< _SQL
          $whereOrdini
          AND Ordini.DataInizio IS NOT NULL
          AND Ordini.DataScadenza IS NOT NULL
          AND Ordini.DataInizio <= Ordini.DataScadenza 
          AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL )
_SQL;
        $whereFuoriSLA = <<< _SQL
          $whereOrdini  
          AND Ordini.DataInizio IS NOT NULL
          AND Ordini.DataScadenza IS NOT NULL
          AND Ordini.DataInizio > Ordini.DataScadenza 
          AND  ( Richieste.TipoIntervento <> 'Preventivo' OR Richieste.TipoIntervento IS NULL ) 
_SQL;
    } elseif ($_POST['Scadenza'] == 'TempoIntervento') {
        $whereDentroSLA = <<< _SQL
          $whereOrdini
          AND Ordini.DataInizioIntTampone IS NOT NULL
          AND Ordini.DataScadenza IS NOT NULL
          AND Ordini.DataInizioIntTampone <= Ordini.DataScadenza 
_SQL;
        $whereFuoriSLA = <<< _SQL
          $whereOrdini  
          AND Ordini.DataInizioIntTampone IS NOT NULL
          AND Ordini.DataScadenza IS NOT NULL
          AND Ordini.DataInizioIntTampone > Ordini.DataScadenza 
_SQL;
    } elseif ( $_POST['Scadenza'] == 'TempoPresaInCarico' ) {
        $whereDentroSLA = <<< _SQL
          $whereOrdini
          AND Ordini.DataPresaInCarico IS NOT NULL
          AND Ordini.DataScadenzaPresaInCarico IS NOT NULL
          AND Ordini.DataPresaInCarico <= Ordini.DataScadenzaPresaInCarico 
_SQL;
        $whereFuoriSLA = <<< _SQL
          $whereOrdini 
          AND Ordini.DataPresaInCarico IS NOT NULL
          AND Ordini.DataScadenzaPresaInCarico IS NOT NULL
          AND Ordini.DataPresaInCarico > Ordini.DataScadenzaPresaInCarico 
_SQL;
    } elseif ( $_POST['Scadenza'] == 'TempoInterventoTampone' ) {
        $whereDentroSLA = <<< _SQL
          $whereOrdini  
          AND Ordini.DataInterventoTampone IS NOT NULL
          AND Ordini.DataScadenzaInterventoTampone IS NOT NULL
          AND Ordini.DataInterventoTampone <= Ordini.DataScadenzaInterventoTampone 
_SQL;
        $whereFuoriSLA = <<< _SQL
          $whereOrdini  
          AND Ordini.DataInterventoTampone IS NOT NULL
          AND Ordini.DataScadenzaInterventoTampone IS NOT NULL
          AND Ordini.DataInterventoTampone > Ordini.DataScadenzaInterventoTampone 
_SQL;
    } elseif ( $_POST['Scadenza'] == 'TempoEsecuzione' ) {
       $whereDentroSLA = <<< _SQL
          $whereOrdini  
          AND Ordini.DataFine IS NOT NULL
          AND Ordini.DataScadenzaFineIntervento IS NOT NULL
          AND Ordini.DataFine <= Ordini.DataScadenzaFineIntervento 
_SQL;
        $whereFuoriSLA = <<< _SQL
          $whereOrdini 
          AND Ordini.DataFine IS NOT NULL
          AND Ordini.DataScadenzaFineIntervento IS NOT NULL
          AND Ordini.DataFine > Ordini.DataScadenzaFineIntervento 
_SQL;
    }
}

/*
 * crea gli array di appoggio che conterrano i dati da visualizzare
 */
$risultatiTot = array();
$risultatiBuilding = array();

/*
 * calcolo ticket CHIUSI dentro SLA per mestiere
 */
 /*
 * calcolo ticket CHIUSI dentro SLA
 */
$sql = <<< _SQL
          
  SELECT DISTINCT 
    $select
  FROM
    $from
  WHERE	
		$where
    $whereDentroSLA
  ORDER BY 
    Ordini.DataOrdine
        
_SQL;
$query = ntxQuery($sql);
		
/*
 * Nuova costruzione dell'array per l'istogramma dei mestieri
 */
$arrayMestieri = array();
$arrayDate = array();
$arrayEdifici = array();
$q = 1;
$s = $t = 0;
while ($query  &&  $rs = ntxRecord($query)) {
    $descrizioneMestiere = $rs[descrizioneMestiere];
    if (!in_array($descrizioneMestiere, $arrayMestieri)) {
        $arrayMestieri[$q] = $descrizioneMestiere;
        ++$q;
    }
    $edificio = $rs[EdificioBreve];
    if (!in_array($edificio, $arrayEdifici)) {
        $arrayEdifici[$s] = $edificio;
        ++$s;
    }
    $timestamp = $rs[Xdate];
    $year = date("Y", $timestamp);
    $month = date("m", $timestamp);
    $newTimestamp = mktime(0, 0, 0, $month, 1, $year);
    $data = $newTimestamp * 1000;
    if (!in_array($data, $arrayDate)) {
        $arrayDate[$t] = $data;
        ++$t;
    }

    $indexMestiere = array_search($descrizioneMestiere, $arrayMestieri);
    $indexData = array_search($data, $arrayDate);
    $indexEdificio = array_search($edificio, $arrayEdifici);
    $risultatiTot[$indexMestiere][$indexData] += 1;
    $risultatiBuilding[$indexEdificio][$indexMestiere] += 1;
}


/*
* Check if results are consistent
*/
if (count($risultatiTot) == 0 || count($risultatiBuilding) == 0) {
  echo "\t});\n\t</script>\n";
  echo "\t<h1>".$traduttore->traduci('NON ESISTONO TICKET CHE SODDISFANO I CRITERI DI RICERCA!')."</h1>\n";
  echo "\t<h3>".$traduttore->traduci('Controllare i parametri in filtro e ripetere la ricerca.')."</h3>\n";
  die();
}

$nMestieri = count($arrayMestieri);
$nEdifici = count($arrayEdifici);
$nDate = count($arrayDate);
$ampiezzaTick = (float) 1 / ($nMestieri + 2);
echo "\t\tvar AmpiezzaTick = $ampiezzaTick;\n";

$PlotData = array();
for ($i = 1; $i <= $nMestieri; $i++) {
    for ($j = 0; $j < $nDate; $j++) {
        $indexData = (float) ((1 / ($nMestieri + 2)) * $i) + $j;
        $PlotData[$i][strval($indexData)] = 0 + $risultatiTot[$i][$j];
    }
}

$PlotDataEdifici = array();
for ($i = 0; $i < $nEdifici; $i++) {
    for ($j = 1; $j <= $nMestieri; $j++) {
        $PlotDataEdifici[$i][$j] = 0 + $risultatiBuilding[$i][$j];
    }
}

/*
 * Create plotData epifany 2 for ticket in Mestieri
 */
echo "\n\t\tvar PlotData = [";
$n = 0;
foreach ($PlotData as $label => $value) {
    if ($n > 0) {
        echo ",";
    }
    echo "{label:'" . $arrayMestieri[$label] . "', data: [";
    $o = 0;
    foreach ($value as $X => $Y) {
        if ($o > 0) {
            echo ",";
        }
        echo "[" . floatval($X) . "," . $Y . "]";
        ++$o;
    }
    echo "]}";
    ++$n;
}
echo "];\n";

/*
 * Crea array label Mese Anno da arrayDate
 */
$u = 0;
$indexLabel = 0.5;
echo "\n\t\tvar labels = [";
foreach ($arrayDate as $key => $value) {
    if ($u > 0) {
        echo ",";
    }
    $year = date("y", $value / 1000);
    $month = date("M", $value / 1000);
    echo "[" . $indexLabel . ",";
    echo "\"" . $month . "'" . $year . "\"]";
    ++$u;
    ++$indexLabel;
}
echo "];\n";

/*
 * Crea plotData for building pie epifany 1 
 */
$p = 0;
foreach ($PlotDataEdifici as $indexBuilding => $value) {
    $buildingName = str_replace(' ', '', $arrayEdifici[$indexBuilding]);
    $divBuildingName = "PlotData" . $buildingName;
    echo "\n\t\tvar " . $divBuildingName . " = [";
    $plotDataNames[$p] = $divBuildingName;
    $edificiNames[$p] = $arrayEdifici[$indexBuilding];
    $n = 0;
    foreach ($value as $indexLabel => $X) {
        if ($n > 0) {
            echo ",";
        }
        $label = $arrayMestieri[$indexLabel];
        echo "{label:'" . $label . "', data: " . $X . "}";
        ++$n;
    }
    echo "];\n";
    ++$p;
}

/*
 * Funzioni per costruire i grafici a torta dei mestieri
 */
foreach ($plotDataNames as $key => $value) {
    echo "\t\tvar PlotDiv$key = $('#placeholder$key');\n";
    echo "\t\tvar PlotLabeler$key = $('#labeler$key');\n";
    echo "\t\tvar report$key = new ReportManProNet($value, PlotDiv$key, false, null, PlotLabeler$key, 'pie', null, null);\n";
    echo "\t\treport$key.SendPlot();\n";
    echo "\t\tPlotDiv$key.bind(\"plotclick\", function(event, pos, obj) { if (!obj) {return;} percent = parseFloat(obj.series.percent).toFixed(2); alert(\"\"  + obj.series.label + \": \" + percent + \"%\");});\n";
}
?>