<?php  

$IdCommessa = ntxise('IdCommessa');
$Utente=ntxsse('Utente');
$Password=ntxsse('Password');

require_once('tutti_attori/_funzGestioneArrayId.php'); //IMPORTANTE


$sql_where=" ";	
$sql_where_TOT=" ";
$sql_giorno_SEL=" ";
$sql_giorno_GROUP=" ";
$sql_giorno_WHERE=" ";



$IDLabelX = "";
if( isset($_POST[labelX]) && ($_POST[labelX]=='edifici') ) 
	$IDLabelX = " ElencoEdifici.ID ";
if( isset($_POST[labelX]) && ($_POST[labelX]=='utilizzatori') ) 	
	$IDLabelX = " Richieste.IdUtilizzatore ";	


if( isset($_POST[vistaMese]) && ($_POST[vistaMese]=='yes')) 
{ 
	$sql_giorno_SEL .= " DAY(DataRichiesta) AS giorno, ";	
	$sql_giorno_GROUP .= " DAY(DataRichiesta), ";	
	
	if ( (is_numeric($_POST[Mese])) && (is_numeric($_POST[Anno])) )
		$sql_giorno_WHERE=" AND (MONTH(DataRichiesta) = $_POST[Mese]) AND (YEAR(DataRichiesta) = $_POST[Anno]) ";
}
else
{
	if ( isset($_POST['dataInizio'])  &&  strlen($_POST['dataInizio'])>0) 
	{
		$dataInizio=ntxtp('dataInizio');
		$sql_where_TOT.=" AND (Richieste.DataRichiesta >= ".$dataInizio.") ";
	}

	if ( isset($_POST['dataFine'])  &&  strlen($_POST['dataFine'])>0) 
	{
		$dataFine = ntxtp('dataFine');
		$sql_where_TOT.=" AND (Richieste.DataRichiesta <= ".$dataFine.") ";
	}
}


if ( is_numeric($_POST[Stato]))
{
	$Stato=(int)$_POST[Stato];

	//efficienza preventivazioni attuali
	if ($Stato==1)
	{ 
		//dividendo: prev. in attesa di autorizzazione
		$sql_where .= " AND (Richieste.Stato = 15) ";
		
		//trovo tutti i preventivi nel processo di preventivazione
		//	-	in Richiesta preventivo (4)
		//	-	Preventivata (5)	
		//	-	in Preventivazione (13)
		//	-	in Attesa di Autorizzazione (15)	
		$sql_where_TOT .= 	"AND (  (Richieste.Stato = 4) OR (Richieste.Stato = 5) OR (Richieste.Stato = 13) OR (Richieste.Stato = 15) )";				
	}
	//efficienza autorizzazioni attuali
	else if ($Stato==2)
	{
		//dividendo: tutti i prev. autorizzati
		$sql_where .= " AND (Richieste.Stato = 18) ";
		
		//trovo tutti i preventivi:
		//	-	in Attesa di Autorizzazione (15)
		//	-	Autorizzati (18)	
		$sql_where_TOT .= 	"AND (  (Richieste.Stato = 15) OR (Richieste.Stato = 18) )";			
	}
	//efficienza preventivazioni
	else if($Stato==3)
	{
		//dividendo: 15 (in att. di aut.), 18 (autoriz), 35 (assegnati)
		$sql_where .=" AND ( (Richieste.Stato = 15) OR (Richieste.Stato = 18) OR ((Richieste.Stato = 35) AND EXISTS (SELECT IdCommessa FROM Preventivi WHERE Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta ) ) )";	
		
		//trovo tutti i preventivi: quelli del dividendo (sopra) più gli stati precedenti al preventivo
		$sql_where_TOT .= 	"AND ( (Richieste.Stato = 4) OR (Richieste.Stato = 5) OR (Richieste.Stato = 13) OR (Richieste.Stato = 15) OR (Richieste.Stato = 18) ".
							"OR ((Richieste.Stato = 35) AND EXISTS (SELECT IdCommessa FROM Preventivi WHERE Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta ) ) )";			
	}
	//efficienza autorizzazioni
	else if($Stato==4)
	{ 
		//dividendo: 18 (autoriz), 35 (assegnati)
		$sql_where .=" AND ( (Richieste.Stato = 18) OR ((Richieste.Stato = 35) AND EXISTS (SELECT IdCommessa FROM Preventivi WHERE Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta ) ) )";	
		
		//trovo tutti i preventivi: quelli del dividendo (sopra) più lo stato 15
		$sql_where_TOT .= " AND ( (Richieste.Stato = 15) OR (Richieste.Stato = 18) OR ((Richieste.Stato = 35) AND EXISTS (SELECT IdCommessa FROM Preventivi WHERE Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta ) ) )";	
	}
}

//ricerca dell'ENTE
if( is_numeric($_POST[IdPropietario]))
{
	$sql_where_TOT.=" AND (ElencoEdifici.IdProprietario = $_POST[IdPropietario])";	
}

/*if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sql_where_TOT .= " AND (Richieste.IdUtilizzatore = $IdUtilizzatore) ";
}*/
if( strlen($_POST['Utilizzatori'])>0 )
{ 
	$sql_where_TOT .= whereStringaElementi( $_POST['Utilizzatori'], ',', 'Richieste.IdUtilizzatore');
}

if( strlen($_POST['Edifici'])>0 )
{ 
	$sql_where_TOT .= whereStringaElementi( $_POST['Edifici'], ',', 'ElencoEdifici.ID');
}

if( strlen($_POST['Mestieri'])>0 )
{ 
	$sql_where_TOT .= whereStringaElementi( $_POST['Mestieri'], ',', 'Richieste.IdMestiere');
}

if( is_numeric($_POST['IdFornitore']))
{
	$value = (int)$_POST['IdFornitore'];
	$sql_where_TOT.=" AND (Ordini.Assegnazione = $value)";	
}

if ( isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza1']."");
	$str = str_replace("'", "''", $str);
	$sql_where_TOT .= " AND Richieste.GradoUrgenza = '".$str."' ";
}


if ( is_numeric($_POST['Tipo']) ) 
{
	$tipo = (int)$_POST['Tipo'];
	if($tipo==1)
		$sql_where_TOT .= " AND (ElencoEdifici.Tipo = $tipo) ";
	else
		$sql_where_TOT .= " AND ( (ElencoEdifici.Tipo=$tipo) OR (ElencoEdifici.Tipo IS NULL) ) ";	
}	
			

if( is_numeric($_POST['IdMestiere']) ) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sql_where_TOT .= " AND (Richieste.IdMestiere = $IdMestiere) ";
}

if( is_numeric($_POST['escludiMestieriMarcati'])  &&  $_POST['escludiMestieriMarcati']==1 ) 
{ 
	$sql_where_TOT .= " AND (tblMestieri.escludiDaMatriceControllo IS NULL OR tblMestieri.escludiDaMatriceControllo=0) ";
}		
 
if( !isset($_POST[vistaMese])||(isset($_POST[vistaMese]) && ($_POST[vistaMese]=='no')) ) 
{ 
	$sql = <<< _SQL
	SELECT 	MONTH(MinData) AS MinMese,
			YEAR(MinData) AS MinAnno,
			MONTH(MaxData) AS MaxMese,
			YEAR(MaxData) AS MaxAnno
	FROM	(	
				SELECT	MIN(DataRichiesta) AS MinData, 
									MAX(DataRichiesta) AS MaxData 
				FROM	Richieste INNER JOIN 
							Stati ON Richieste.Stato = Stati.IDStato 
								INNER JOIN ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID 
									INNER JOIN UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio 
										INNER JOIN Utenti ON UtentiEdifici.IdUtente = Utenti.Id 
													LEFT OUTER JOIN 
							Ordini ON Richieste.IDCommessa = Ordini.IDCommessa AND Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta			
		LEFT OUTER JOIN 
		tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere								

				WHERE	(Richieste.IdCommessa = $IdCommessa) AND (Utenti.Nome = $Utente) AND (Utenti.Password = $Password)  $sql_where_TOT
			) AS Tb_tmp
_SQL;

	//print("$sql |1||1|||1||||||");
	$query=ntxQuery($sql); 
	$rs_min_max=ntxRecord($query);
}
	

//DIVIDENDO	
$sql  = <<< _SQL
SELECT 
		$sql_giorno_SEL MONTH(DataRichiesta) AS mese, YEAR(DataRichiesta) AS anno, $IDLabelX AS IdEdificio, COUNT(*) AS TotDividendo
FROM  
		Richieste INNER JOIN
			Stati ON Richieste.Stato = Stati.IDStato 
				INNER JOIN ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID 
					INNER JOIN UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio 
						INNER JOIN Utenti ON UtentiEdifici.IdUtente = Utenti.Id 
											LEFT OUTER JOIN 
							Ordini ON Richieste.IDCommessa = Ordini.IDCommessa AND Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta		
		LEFT OUTER JOIN 
		tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
		
WHERE 
		(Richieste.IdCommessa = $IdCommessa) AND (Utenti.Nome = $Utente) AND (Utenti.Password = $Password) $sql_where $sql_giorno_WHERE
GROUP BY
		$sql_giorno_GROUP MONTH(DataRichiesta), YEAR(DataRichiesta), $IDLabelX 
_SQL;

	
//print("$sql |2||2|||2||||||");	
$query_percentuale=ntxQuery($sql);


//DIVISORE
$sql  = <<< _SQL
SELECT 
		$sql_giorno_SEL MONTH(DataRichiesta) AS mese, YEAR(DataRichiesta) AS anno, $IDLabelX AS IdEdificio, COUNT(*) AS Divisore
FROM  
		Richieste INNER JOIN
			Stati ON Richieste.Stato = Stati.IDStato 
				INNER JOIN ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID 
					INNER JOIN UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio 
						INNER JOIN Utenti ON UtentiEdifici.IdUtente = Utenti.Id 
											LEFT OUTER JOIN 
							Ordini ON Richieste.IDCommessa = Ordini.IDCommessa AND Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta		
		LEFT OUTER JOIN 
		tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
		
WHERE 
		(Richieste.IdCommessa = $IdCommessa) AND (Utenti.Nome = $Utente) AND (Utenti.Password = $Password)  $sql_where_TOT $sql_giorno_WHERE
GROUP BY
		$sql_giorno_GROUP MONTH(DataRichiesta), YEAR(DataRichiesta), $IDLabelX 		
_SQL;

	
//print("$sql |3||3||||3|||||");	
$query_Tot=ntxQuery($sql);

?>