<?php  
require_once('../pivot_edifici/tutti_attori/_funzGestioneArrayId.php'); //IMPORTANTE

$IdCommessa = ntxise('IdCommessa');

$sqlFROM = <<<_SQL
	ElencoEdifici 
	INNER JOIN
	UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio 
	INNER JOIN
	Utenti ON UtentiEdifici.IdUtente = Utenti.Id 
	INNER JOIN
	Richieste ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND ElencoEdifici.ID = Richieste.Localizzazione 
	INNER JOIN
	Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND 
	Richieste.IDCommessa = Ordini.IDCommessa 
	INNER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
_SQL;

$sqlWHERE = <<<_SQL
	(Utenti.Nome = $Utente) 
	AND (ElencoEdifici.IdCommessa = $IdCommessa )
	AND (tblMestieri.RichiedeCompilazioneModuloRiscaldamento = 1)
	AND Ordini.DataInizioAccensione IS NOT NULL
	AND Ordini.DataFineAccensione IS NOT NULL	
_SQL;

if ( isset($_POST['DataInizioAccensione'])  &&  strlen($_POST['DataInizioAccensione'])>0) 
{
	$str = ntxttp("DataInizioAccensione");
	$sqlWHERE .= " AND Ordini.DataInizioAccensione >= ".$str." ";
}

if ( isset($_POST['DataFineAccensione'])  &&  strlen($_POST['DataFineAccensione'])>0) 
{
	$str = ntxttp("DataFineAccensione");
	$sqlWHERE .= " AND Ordini.DataFineAccensione <= ".$str." ";
}

if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sqlWHERE .= " AND Richieste.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sqlWHERE .= " AND Richieste.AnnoRichiesta = $val ";
}

if ( is_numeric($_POST['NumOrdine']) ) 
{
	$val = (int)$_POST['NumOrdine'];
	$sqlWHERE .= " AND Ordini.NumOrdine = $val ";
}

if ( is_numeric($_POST['AnnoOrdine']) ) 
{
	$val = (int)$_POST['AnnoOrdine'];
	$sqlWHERE .= " AND Ordini.AnnoOrdine = $val ";
} 

if( strlen($_POST['Edifici'])>0 )
{ 
	$sqlWHERE .= whereStringaElementi( $_POST['Edifici'], ',', 'ElencoEdifici.ID');
}


$sqlRiscaldamentoMin = <<< _SQL
SELECT   DISTINCT
	MIN(Ordini.DataInizioAccensione) AS minimo
	
FROM         
	$sqlFROM
	
WHERE 
	$sqlWHERE
_SQL;

$sqlRiscaldamentoMax = <<< _SQL
SELECT   DISTINCT
	MAX(Ordini.DataFineAccensione) AS massimo
	
FROM         
	$sqlFROM
	
WHERE 
	$sqlWHERE
_SQL;



$sqlRiscaldamentoGiorno = <<< _SQL
SELECT   DISTINCT 
	SUM( DATEDIFF(hour, Ordini.DataInizioAccensione, Ordini.DataFineAccensione) ) AS differenzaOre 
	
FROM         
	$sqlFROM
	
WHERE 
	$sqlWHERE
_SQL;
 
?>