<?php  
if (!isset($_SESSION)) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<link href="report.css" rel="stylesheet" type="text/css">
	
	
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">	
	<script src="amcharts/amcharts.js" type="text/javascript"></script>     
	
	<style>
	</style>
</head>
<body >

<?php
$numbersName = array(1 => "molto scarsa", 2 => "scarsa", 3 => "sufficiente", 4 => "buona", 5 => "moltobuona");	
$numbersValue = array(1 => 0, 2 => 20, 3 => 40, 4 => 60, 5 => 80);	



		

$arrayAmbiti = array();
$arrayAmbitiValutazioni = array();

$sql = <<< sql
SELECT     Codice, Nome, Id
FROM         RIMM_Ambiti
ORDER BY Codice, Nome
sql;
$query = ntxQuery($sql);

while(  $rs = ntxRecord($query) )
{
	$random_key = array_rand($numbersName, 1);	
	$percentuale = (float)$numbersValue[$random_key]*1.2;	

	$arrayAmbiti[$rs[Id]] = "$rs[Codice] $rs[Nome]";
	$arrayAmbitiValutazioni[$rs[Id]] = $percentuale;
}
?>

<script type="text/javascript">
	var chart;

	
	var chartData = [	
	<?php
	$primo = true;
	foreach ($arrayAmbiti as $key => $NomeAmbito)
	{
		$percentuale = $arrayAmbitiValutazioni[$key];
		
		$str = "";
		if(!$primo) $str = " , ";
		
		echo <<<_HTML
		\n
		$str
		{
			ambito: "$NomeAmbito" ,
			valutazione: $percentuale	
		}	
		\n		
_HTML;
		
		$primo=false;
	}
	
	?>
	];	 

	AmCharts.ready(function () {
		// RADAR CHART
		chart = new AmCharts.AmRadarChart();
		chart.dataProvider = chartData;
		chart.categoryField = "ambito";
		chart.startDuration = 2;

		// VALUE AXIS
		var valueAxis = new AmCharts.ValueAxis();
		valueAxis.axisAlpha = 0.15;
		valueAxis.minimum = 0;
		valueAxis.dashLength = 3;
		valueAxis.axisTitleOffset = 20;
		valueAxis.gridCount = 5;
		chart.addValueAxis(valueAxis);

		// GRAPH
		var graph = new AmCharts.AmGraph();
		graph.valueField = "valutazione";
		graph.bullet = "round";
		graph.balloonText = "[[value]] valutazione assegnata"
		chart.addGraph(graph);

		// WRITE
		chart.write("chartdiv");
	});
</script>

<table>
	<tr>
		<td class="headerRotondo">Visione singolo immobile
		<td class="headerRotondo">Report
		<td class="headerRotondoSel">Pentagono
</table>
	
<br>	

<table class="tblData" >
	<?php require('_info_edificio.php') ?>
</table>		
		
<table class="tblData" >		
	<tr>
		<td colspan="4" rowspan="9" style="border:none;" > 
			<!-- <img src="Immagine1.png" style="width:500px;" > -->
		 <div id="chartdiv" style="width:500px; height:400px;"></div>
 
		<td colspan="2" rowspan="9" style="border:none;" >
		
			<table class="tblData" style="width:100%" > 
				<th>Giudizio Rating
				<td>
					<?php
					$media = "";
					$numElem = 0;
					foreach ($arrayAmbiti as $key => $NomeAmbito)
					{
						$media += $arrayAmbitiValutazioni[$key];
						++$numElem; 					
					}
					
					$percentuale = $media/(float)$numElem;
					
					$label = "";
					if($percentuale<20.0)
					{
						$label = "pessimo";
					}
					else if($percentuale>20.0 && $percentuale<40.0)
					{
						$label = "scarso";
					}
					else if($percentuale>40.0 && $percentuale<60.0)
					{
						$label = "sufficiente";
					}
					else if($percentuale>60.0 && $percentuale<80.0)
					{
						$label = "buono";
					}
					else if($percentuale>80.0)
					{
						$label = "ottimo";
					} 		

					echo "$percentuale% - $label";
					?>
			</table>
			
			<br>
			
			<table class="tblObGestionali" style="width:100%" > 
				<tr>
					<th colspan="3" >Obiettivi Gestionali
				
				<tr>
					<td>
					<td>
					<td>Raggiunto il
					
				<?php
				foreach ($arrayAmbiti as $key => $NomeAmbito)
				{
					$percentuale = $arrayAmbitiValutazioni[$key];
					
					$label = "";
					if($percentuale<20.0)
					{
						$label = "pessimo";
					}
					else if($percentuale>20.0 && $percentuale<40.0)
					{
						$label = "scarso";
					}
					else if($percentuale>40.0 && $percentuale<60.0)
					{
						$label = "sufficiente";
					}
					else if($percentuale>60.0 && $percentuale<80.0)
					{
						$label = "buono";
					}
					else if($percentuale>80.0)
					{
						$label = "ottimo";
					} 
					
					echo <<<_HTML
					<tr>
						<td> 
							<a onclick="vaiAObbiettivo('$key')" > $NomeAmbito </a>
							
						<td> $percentuale %
						
						<td> $label 							
_HTML;
				}
				?>
			</table>			 	
</table>


<form name="form1" id="form1" method="post" action="scala_val2.php" >
	<input type="hidden" name="IdEdificio" value="<?php echo $IdEdificio ?>" /> 
	<input type="hidden" name="Id_RIMM_Ambiti"  /> 
</form>	

<script>
function vaiAObbiettivo(Id_RIMM_Ambiti)
{
	document.form1.Id_RIMM_Ambiti.value = Id_RIMM_Ambiti;
	document.form1.submit();
}
</script>



<script language="javascript" >
</script>

</body>
</html>
