<?php  
if (!isset($_SESSION)) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

 
$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdIspezione = ntxip('IdIspezione');
?>
<!doctype html>
<html>
<head>
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<link href="report.css" rel="stylesheet" type="text/css"> 
	<script src="chart.js-master/Chart.js"></script>
	
	<meta name = "viewport" content = "initial-scale = 1, user-scalable = no">
	
	<style>
	.clsHide
	{
		display: none;
	}
	</style>
</head>
<body >

<?php 
$arrayAmbiti = array();
$arrayAmbitiValutazioni = array();

$sql = <<< sql
SELECT     ID, Codice, Nome, Ordine
FROM         RAT_Ambiti
ORDER BY Ordine
sql;
$query = ntxQuery($sql);

while(  $rs = ntxRecord($query) )
{  
	$IdAmbito  = $rs[ID];
	
	$percentuale = 0;
	$sql = <<< _SQL
	SELECT     RAT_ValutazioniAmbito.Risultato 
	FROM         RAT_ValutazioniAmbito  
	WHERE     
		(RAT_ValutazioniAmbito.IdAmbito = $IdAmbito )
		AND (RAT_ValutazioniAmbito.IdIspezione = $IdIspezione) 
_SQL;
	$percentuale = round(ntxScalar($sql), 2);
 
	
	$arrayAmbiti[$rs[ID]]['Codice'] = "$rs[Codice]";
	$arrayAmbiti[$rs[ID]]['Nome'] = "$rs[Nome]";
	$arrayAmbitiValutazioni[$rs[ID]] = $percentuale;
}
?>

<script type="text/javascript"> 
	var arrLabels = [	
	<?php
	$primo = true;
	foreach ($arrayAmbiti as $key => $altro)
	{
		$NomeAmbito = $arrayAmbiti[$key]['Codice'];
		$percentuale = $arrayAmbitiValutazioni[$key];
		
		$str = "";
		if(!$primo) $str = " , ";
		
		echo <<<_HTML
		\n
		$str
		"$NomeAmbito" 	
_HTML;
		$primo=false;
	}
	?>
	];	
	
	var arrData = [	
	<?php
	$primo = true;
	foreach ($arrayAmbiti as $key => $altro)
	{
		$percentuale = $arrayAmbitiValutazioni[$key]; 
		$str = "";
		if(!$primo) $str = " , ";
		
		echo <<<_HTML
		\n
		$str
		$percentuale		
_HTML;
	$primo=false;
	}
	?>
	];	  
</script> 	

<table class="tblData" >
	<?php require('_info_edificio.php') ?>
</table>		
		
<table class="tblData" >		
	<tr>
		<td   style="border:none;" >   
		<canvas id="canvas" height="450" width="500"  ></canvas>
 
 
		<td  style="border:none;" >
		
			<table class="tblData" style="width:100%" > 
				<th>Giudizio Rating
				<td>
					<table class="tblObGestionali tblCompressa" style="width:100%" > 
					<?php 
					$IdIspezioneDaValutare = $IdIspezione;
					require('trova_summa_ispezione.php'); 
					
  					foreach ($arrayStampaRisTotale[Ambito] as $IdAmbitoT  => $v  )
					{
						$Nome = $arrayStampaRisTotale[Ambito][$IdAmbitoT][Nome];
						$Colore = $arrayStampaRisTotale[Ambito][$IdAmbitoT][Colore]."_BACK";
						$Valutazione = $arrayStampaRisTotale[Ambito][$IdAmbitoT][Valutazione];
						$Percentuale = ntxRound($arrayStampaRisTotale[Ambito][$IdAmbitoT][Percentuale] , 2);
						$Punteggio = $arrayStampaRisTotale[Ambito][$IdAmbitoT][Punteggio];
						
						echo <<<_HTML
						<tr>
							<td class="$Colore" >$Nome
							<td class="$Colore" >$Valutazione
							<td class="$Colore clsHide" >$Percentuale / 100
							<td class="$Colore clsHide" >$Punteggio
_HTML;
					}  
					
					$PC = $arrayStampaRisTotale[PunteggioComplessivo][Valore];
					$PC_color = $arrayStampaRisTotale[PunteggioComplessivo][Colore];
					$PC_nome = $arrayStampaRisTotale[PunteggioComplessivo][Nome];
					
					echo <<<_HTML
					<tr>
						<td colspan="3"  class="clsHide" > 
						<td style="font-size:120%;font-weight:bold;"  class="clsHide"  >$PC
_HTML;
					?>			
					</table> 
					<div class="<?php echo $PC_color ?>" style="color:white;font-size:120%;padding:10px;" ><?php echo $PC_nome ?> </div>
			</table>
			
			<br>
			
			<table class="tblObGestionali" style="width:100%" > 
				<tr>
					<th colspan="3" >Obiettivi Gestionali
				
				<tr>
					<td colspan="3" > 					
					<strong>Dati dell'ispezione del:</strong> 
					<div align="center" >
						<?php echo ntxDate($record[DataIspezioni]) ?> 
						<br>
						(inizio:<i><?php echo ntxDate($record[DataInizio]) ?></i> - fine:<i><?php echo ntxDate($record[DataFine]) ?></i>)
					</div>
					
					<?php
					foreach ($arrayAmbiti as $key => $altro)
					{
						$IdAmbitoDaValutare = $key; 
						$etichetta = $arrayAmbiti[$key][Codice]." - ".$arrayAmbiti[$key][Nome];
						$percDaValutare = $arrayAmbitiValutazioni[$key];
						
						require('trova_range.php'); 
						
						echo <<<_HTML
						<tr>
							<td> 
								<input type="button" onclick="vaiAObbiettivo('$IdAmbitoDaValutare')" value="$etichetta" style="width:100%;" />
								
							<td> <div style="font-size:140%;text-align:center;" >$percDaValutare %</div>
							
							<td> <div class="$coloreLivello" style="background:transparent;" >$nomeLivello </div> 
_HTML;
					}	 
					?>
					
					
			 
			</table>			 	
</table>


<form name="form1" id="form1" method="post" action="scala_val2.php" >
	<input type="hidden" name="IdEdificio" value="<?php echo $IdEdificio ?>" /> 
	<input type="hidden" name="IdIspezione" value="<?php echo $IdIspezione ?>" /> 
	<input type="hidden" name="IdAmbito"  /> 
</form>	

<script>
var radarChartData = 
{
	labels : arrLabels,
	datasets : [
		{
			fillColor : "rgba(151,187,205,0.5)",
			strokeColor : "rgba(151,187,205,1)",
			pointColor : "rgba(151,187,205,1)",
			pointStrokeColor : "#fff",
			data :  arrData
		}
	]
}

 var radarChartOptions = {
                scaleShowLabels : true,
                scaleOverride : true,
                scaleSteps : 5,
                scaleStepWidth : 20,
                scaleStartValue : 0,
        }
		

var myRadar = new Chart(document.getElementById("canvas").getContext("2d")).Radar(radarChartData,radarChartOptions); 
</script>	
	
	
<script>	
function vaiAObbiettivo(IdAmbito)
{
	document.form1.IdAmbito.value = IdAmbito;
	document.form1.submit();
}
</script> 

</body>
</html>
