<?php
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_190", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_190", "IT", __FILE__);

if(is_numeric($_GET['IdEdificio'])  &&  $_GET['IdEdificio']>=0)
	$_POST['IdEdificio'] = $_GET['IdEdificio'];  

$_POST['IdEdificio'] = htmlentities($_POST['IdEdificio']);
?>
<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1">
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/>  
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">		
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="../../_ntx/jhp.php"></script> 	 
	
	<style type="text/css">
	*
	{
		font-family: 'Segoe UI', 'Open Sans', Arial, sans-serif;
		font-size: 12px;
	}
	
	html, body, #map 
	{
		width: 100%;
		height: 100%;
		margin: 0;
		padding: 0; 
	} 
		
	#map_canvas 
	{
		position: relative;
	}	

	#parametri
	{ 
		background: #DCDCDC; 
		border: solid 1px black;	
		ox-shadow: 3px 3px 6px #888;		
		
		margin:0px;
		padding:10px;
		
		width: 300px;  
		position:absolute; 
		z-index:1;

		right:40%;
		bottom:40%;
		
		display:none;  
	}
	
	.ricercaIndirizzo
	{
		position:absolute ;  
		z-index:2; 
		right:30px;
		bottom:30px;
	}		
	
	.ColorRisorse
	{	
		background: #BCD2EE;
	}
	
	.ColorEdificio
	{	
		background: #A2CD5A;
	}
	
	#percorsi
	{	
		border-collapse:collapse; 
	}
	
	.tableInfoWin th
	,.tableInfoWin td
	{	
		text-align:left;
	}
	
	#percorsi th  
	, #percorsi td
	{
		border: solid 1px black;
		background: #D4D4D4;
		padding: 4px;
	}
	
	#percorsi th   
	{ 
		background: #A3A3A3; 
	}
	
	.verde
	{
		background: #A2CD5A !important;
	}
	</style>		
	
	<script type="text/javascript">  
	var map = null;  
	
	var IdEdificio = '<?php echo $_POST['IdEdificio'] ?>'; 
	
	var Risorse = {};
	Risorse.Dati = new Array();	
	Risorse.Identificativi = new Array();	
	Risorse.arrayLatLng = new Array();	
	Risorse.markersArray = new Array();
	Risorse.infoWindowArray = new Array();	
	
	
	var Edifici = {};
	Edifici.arrayLatLng = new Array();	
	Edifici.markersArray = new Array();
	Edifici.infoWindowArray = new Array();	
	
	
	var arrayDirectionsDisplay = new Array();	
	var arrayDirectionsService = new Array();	
	
	var tmpDirectionsDisplay = null;
	var tmpDirectionsService = null;
	
	
	function createMap() 
	{   
		var options = {
			zoom: 15,
			center:  new google.maps.LatLng(44.4942191, 11.3464815),
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	
		
		map = new google.maps.Map(document.getElementById('map'), options);
		
		google.maps.event.addListenerOnce(map, 'idle', function() // do something only the first time the map is loaded
		{ 
			caricaDati();
		});
		
	}		 
	
	function clearOverlaysRisorse() 
	{   
		if (Risorse.markersArray) 
		{     
			for (i in Risorse.markersArray) 
			{       
				Risorse.markersArray[i].setMap(null);     
			}
		
			for (i in Risorse.infoWindowArray) 
			{       
				Risorse.infoWindowArray[i].close();     
			} 	
		} 	
		
		
		delete Risorse.Dati;	
		delete Risorse.Identificativi;	
		delete Risorse.arrayLatLng;	
		delete Risorse.markersArray;	
		delete Risorse.infoWindowArray;	 	

		Risorse.Dati = new Array();	
		Risorse.Identificativi = new Array();	
		Risorse.arrayLatLng = new Array();	
		Risorse.markersArray = new Array();
		Risorse.infoWindowArray = new Array();			
	} 	
	
	function clearOverlaysEdifici() 
	{   
		if (Edifici.markersArray) 
		{     
			for (i in Edifici.markersArray) 
			{       
				Edifici.markersArray[i].setMap(null);     
			}
		
			for (i in Edifici.infoWindowArray) 
			{       
				Edifici.infoWindowArray[i].close();     
			} 	
		} 	
		
		delete Edifici.arrayLatLng;	
		delete Edifici.markersArray;	
		delete Edifici.infoWindowArray;	 	

		Edifici.arrayLatLng = new Array();	
		Edifici.markersArray = new Array();
		Edifici.infoWindowArray = new Array();			
	} 		 
	
	
	function clearOverlaysDirectionsDisplay() 
	{   
		if (arrayDirectionsDisplay) 
		{     
			for (i in arrayDirectionsDisplay) 
			{       
				arrayDirectionsDisplay[i].setMap(null);     
			} 
		} 	
		
		delete arrayDirectionsDisplay;	 	

		arrayDirectionsDisplay = new Array();	 	
	} 		 
	
	function caricaDati()
	{  
		if(tmpDirectionsDisplay != null )
			tmpDirectionsDisplay.setMap(null); 
			
		try
		{		
			$('#dialog').dialog("close");
			$('#panel').hide();  	
		}
		catch(ex){}
 
	
		clearOverlaysRisorse();	
		clearOverlaysEdifici();	
		
		trovaGPSedifici();
		trovaGPSrisorse();	

		var elemPresenti = false;
		
		var bounds = new google.maps.LatLngBounds();
		
		if(Risorse.arrayLatLng.length>0)
		{  
			elemPresenti = true;
			
			for (i in Risorse.arrayLatLng)
				bounds.extend(Risorse.arrayLatLng[i]); 
		}

		if(Edifici.arrayLatLng.length>0)
		{  
			elemPresenti = true;
			
			for (i in Edifici.arrayLatLng)
				bounds.extend(Edifici.arrayLatLng[i]);
		}
	
		if(elemPresenti)
		{
			map.fitBounds(bounds);
			map.setCenter(bounds.getCenter());			
		}	
	} 
	
	function trovaGPSedifici()
	{ 
		var result = jhp("jhp/geolocalizza_edificio.php", {IdEdificio:IdEdificio} );
		if(result.state)
		{
			alert("<?php $traduttore->js('Opsss: (Un errore è accorso:!') ?>\n"+result.message);
		}
		else
		{
			var record = result.value; 
			

			$( record ).each(function( index, element ) 
			{  
				lat = ''+element.lat;
				lng = ''+element.lng;				
				 
				if( 
					$.isNumeric(lat)  &&  lat>0
					 && 
					$.isNumeric(lng)  &&  lng>0  
					)
				{   
					var IdEdificio = element.IdEdificio;
					var Edificio = element.Edificio;
					var Indirizzo = element.Indirizzo; 
					var Tipo = element.Tipo; 
					var assegnato = element['35']; 
					var inCorso = element['40']; 
		 
					assegnato = +assegnato || 0;
					inCorso = +inCorso || 0;
					
		 
					var myLatlng = new google.maps.LatLng(lat, lng); 

					Edifici.arrayLatLng.push(myLatlng);
					
					
					var img = '/repository/google_maps/custom_markers/mapiconscollection-offices-3875D7-default/office-building.png';
					
					if(Tipo==0)
						img = '/repository/google_maps/custom_markers/mapiconscollection-offices-3875D7-default/office-building.png';
					else if(Tipo==1)
						img = '/repository/google_maps/custom_markers/mapiconscollection-transportation-9d7050-default/highway.png';
					else if(Tipo==2)
						img = '/repository/google_maps/custom_markers/mapiconscollection-nature-128e4d-default/forest2.png';
					
					var imageMarker = new google.maps.MarkerImage(img,
						new google.maps.Size(32.0, 37.0),
						new google.maps.Point(0, 0),
						new google.maps.Point(0.0, 16.0)
						); 
					 	
					var marker = new google.maps.Marker({
						position: myLatlng,
						title: Edificio+' posizionato in  '+Indirizzo, 
						icon: imageMarker  
					});							
						
			
					var tooltip = '<div id="tooltip" align="center">'+
					'<div align="center" ><h1>'+Edificio+'</h1></div>'+
							'<table class="tableInfoWin ColorEdificio"  >'+
								'<tr><th><?php $traduttore->js('Indirizzo') ?>:<td>'+Indirizzo+ 
								'<tr><th><?php $traduttore->js('Ordini Assegnati') ?>:<td>'+assegnato+ 
								'<tr><th><?php $traduttore->js('Ordini in corso') ?>:<td>'+inCorso+ 
								'<tr><td colspan="2" style="text-align:center;" >'+'<button onclick="distanzaDuePunti( '+lat+' , '+lng+' );" ><?php $traduttore->js('Calcola tempi di percorrenza') ?></button>'+
							'</table>' 
					'</div>';				

					attachMessage(marker, tooltip, Edifici);		
					
					marker.setMap(map);// To add the marker to the map, call setMap();	
					
					Edifici.markersArray.push(marker);//mettiamo il marker nell'array
				} 				

			}); 
		}	 
	}  
	
		
	function distanzaDuePunti(lat, lng)
	{
		clearOverlaysDirectionsDisplay();

		
		var LatlngEdificio = new google.maps.LatLng(lat, lng); 
		
		$('#percorsi').find('.body').remove();
		
		if(Risorse.arrayLatLng.length>0)
		{ 	
			for (i in Risorse.arrayLatLng)
			{  
				var start = Risorse.arrayLatLng[i];
				var end = LatlngEdificio;

				
				var requestDirectionsService = 
				{
					origin:start,
					destination:end,
					travelMode: google.maps.TravelMode.DRIVING,
					unitSystem: google.maps.UnitSystem.METRIC,

					optimizeWaypoints: true, 
					avoidHighways: false,
					avoidTolls: false
				};
				
				var rendererOptions = 
				{
					draggable: false
				};			
				 
				arrayDirectionsDisplay[i] = new google.maps.DirectionsRenderer(rendererOptions);;
				arrayDirectionsService[i] = new google.maps.DirectionsService(); 
	 
				arrayDirectionsService[i].route(requestDirectionsService, function(result, status) 
				{ 
					if (status == google.maps.DirectionsStatus.OK) 
					{
						arrayDirectionsDisplay[i].setDirections(result );
						 
						computeTotalDistance(result); 
					}
					else
					{
						alert("<?php $traduttore->js('Un calcolo di percorso non è andato a buon file. Riprovare a eseguire l\'operazione. Se il problema si ripresenta attendere una decina di secondi e ripetere l\'operazione.') ?>");  
					}
				});  
						 
			} 
		}
	 

		$("#dialog").dialog(
		{ 
			title: <?php $traduttore->js('Distanze') ?>,
			modal: true,
			position: ['center',20] ,
			width: $(document).width()*3/4,
			height:  $(document).height()*4/5,
			buttons: 
			{	 
			}
		} );	  
	} 


	function computeTotalDistance(result) 
	{
		var total = 0;
		var time= 0;
		var timeValue= 0;
		var from=0;
		var to=0;
		var myroute = result.routes[0];
		
		for (var i = 0; i < myroute.legs.length; i++) 
		{
			total += myroute.legs[i].distance.value;
			time +=myroute.legs[i].duration.text;
			from =myroute.legs[i].start_address;
			to =myroute.legs[i].end_address;
			
			timeValue +=myroute.legs[i].duration.value; 
		}
		 
		total = total / 1000.
	 
		
		var risorsa = "X"
	 
		var lng = result.Nb.origin.B;
		var lat = result.Nb.origin.k;

	 
		var lng2 = result.Nb.destination.B;
		var lat2 = result.Nb.destination.k;

		var latlng1 = new google.maps.LatLng(lat, lng); 
		
		var IdRisorsa = 'X';
		for (i in Risorse.arrayLatLng)
		{  
			var latlng2 = Risorse.arrayLatLng[i];
		
			if(latlng1.equals(latlng2))
			{
				risorsa = Risorse.Dati[i];
				IdRisorsa = Risorse.Identificativi[i]
			}	
		}
		
		//var stringBnt = "onclick=\"alert("<?php $traduttore->js('Azione non disponibile!') ?>")\"";
		var stringBnt = " onclick=\"alert('<?php $traduttore->js('Azione non disponibile!') ?>');\" ";
		if( $.isNumeric(IdRisorsa) )
		{ 	
			var risultatoJhp = jhp("jhp/trova_info_risorsa.php", { IdRisorsa:IdRisorsa } );
			if(risultatoJhp.state)
			{
				alert("<?php $traduttore->js('Opsss: (Un errore è accorso:!') ?>\n"+risultatoJhp.message);
			}
			else
			{
				var record = risultatoJhp.value; 
				
				stringBnt =  ' onclick="parent.selezionaDittaPerCompilaOrdine(\''+record[0].IdDitta+'\', \''+record[0].Ditta+'\'); " '; 
			}	
		}
				 
		
		var tr = ' <tr class="body" > ';
		tr += ' <td> <input type="button" value="<?php $traduttore->js('Seleziona Ditta') ?>"  '+stringBnt+' > <input type="hidden" name="timeValue" value="'+timeValue+'" /> ';
		tr += ' <td> '+risorsa;	
		tr += ' <td> '+from;
		tr += ' <td> '+to;
		tr += ' <td> '+time;
		tr += ' <td> '+Math.round(total)+" KM";
		$('#percorsi').append(tr);
		
		

		var prec = 'X';
		$('#percorsi').find('input[name=timeValue]').each(function( index , value)
		{
			if( prec == 'X' ) 
				prec = $(value).val();
		
			var val = parseInt( $(value).val() );
	 
	  
			if(val<=prec)
			{ 
				prec = val;
				
				$(value.parentNode.parentNode.parentNode).find('tr').find('td').removeClass('verde');
			
				$(value.parentNode.parentNode).find('td').addClass('verde'); 
			} 
		});
	}
  
  
		
	function trovaGPSrisorse()
	{ 
		var result = jhp("jhp/trova_risorse_gps.php", {   } );
		if(result.state)
		{
			alert("<?php $traduttore->js('Opsss: (Un errore è accorso:!') ?>\n"+result.message);
		}
		else
		{
			var record = result.value; 
			

			$( record ).each(function( index, element ) 
			{  
				lat = ''+element.lat;
				lng = ''+element.lng;				
				 
				if( 
					$.isNumeric(lat)  &&  lat>0
					 && 
					$.isNumeric(lng)  &&  lng>0  
					)
				{  
					var IdDitta = element.IdDitta;
					var IdRisorsa = element.IdRisorsa;
					var Data = element.Data;
					var Risorsa = element.Risorsa;
					var qualifica = element.qualifica;
					var Ditta = element.Ditta;
					var Sede = element.Sede; 
					var assegnato = element['35']; 
					var inCorso = element['40']; 
		 
		 			assegnato = +assegnato || 0;
					inCorso = +inCorso || 0;
					
		 
					var myLatlng = new google.maps.LatLng(lat, lng); 

					Risorse.arrayLatLng.push(myLatlng);
					Risorse.Identificativi.push(IdRisorsa);
					Risorse.Dati.push(Risorsa+' su ditta '+Ditta);
					
					var imageMarker = new google.maps.MarkerImage('/repository/google_maps/custom_markers/mapiconscollection-friends-family-ffc11f-default/male-2.png',
						new google.maps.Size(32.0, 37.0),
						new google.maps.Point(0, 0),
						new google.maps.Point(0.0, 16.0)
						); 
					 	
					var marker = new google.maps.Marker({
						position: myLatlng,
						title: Risorsa+' su ditta '+Ditta, 
						icon: imageMarker  
					});							
						
			
					var tooltip = '<div id="tooltip" align="center">'+
					'<div align="center" ><h1>'+Risorsa+'</h1></div>'+
							'<table class="tableInfoWin ColorRisorse"  >'+
								'<tr><th><?php $traduttore->js('Ditta') ?>:<td>'+Ditta+
								'<tr><th><?php $traduttore->js('Sede') ?>:<td>'+Sede+
								'<tr><th><?php $traduttore->js('Qualifica') ?>:<td>'+qualifica+
								'<tr><th><?php $traduttore->js('Data GPS') ?>:<td>'+Data+ 
								'<tr><th><?php $traduttore->js('Ordini Assegnati') ?>:<td>'+assegnato+ 
								'<tr><th><?php $traduttore->js('Ordini in corso') ?>:<td>'+inCorso+ 
								'<tr><td colspan="2" style="text-align:center;" >'+'<button onclick="parent.selezionaDittaPerCompilaOrdine(\''+IdDitta+'\', \''+Ditta+'\');" ><?php $traduttore->js('Seleziona la ditta di questa risorsa') ?></button>'+								
							'</table>' 
					'</div>';				

					attachMessage(marker, tooltip, Risorse);		
					
					marker.setMap(map);// To add the marker to the map, call setMap();	
					
					Risorse.markersArray.push(marker);//mettiamo il marker nell'array
				} 				

			}); 
		}	 
	} 
		
	function attachMessage(marker, tooltip, objAttracco) 
	{		
		var infowindow = new google.maps.InfoWindow(
		  { content: tooltip
		  });
		  	  
 		google.maps.event.addListener(marker, 'click', function() {
		infowindow.open(map,marker);
		}); 
		
		objAttracco.infoWindowArray.push(infowindow); 
	}		
		
 
	$(function() 
	{
		createMap(); 
	})	
	</script> 
</head>
  
<body>
	<div id="map"></div>
  
  
	<form id="form1" name="form1" method="post" onsubmit="return false;" > 
		
		<table id="parametri">
			<tr>
				<td colspan="2">
				<h1><?php $traduttore->html('Trova un punto su mappa') ?></h1>
		
			<tr>
				<td><?php $traduttore->html('Città') ?><td><input type="text"  id="citta" />
			
			<tr>
				<td><?php $traduttore->html('CAP') ?><td><input type="text"  id="provincia" />
			
			<tr>
				<td><?php $traduttore->html('Indirizzo') ?><td><input type="text"  id="via" /> 
			
			<tr>
				<td colspan="2" style="text-align:center;">
				<input type="button" value="<?php $traduttore->js('Cerca') ?>" onclick="Ricerca();ricercaLocalizzazione();" style="width:100%;height:30px;" /> 
		</table>
 
	</form>
	 
	
	<div  class="ricercaIndirizzo" > 
	
		<button onclick="caricaDati();">
			<img src="/repository/xhdpi/1_navigation_refresh.png" style="width:30px;" title="<?php $traduttore->js('Aggiorna tutto il contenuto della pagina') ?>"/>	
		</button>
		
		<button onclick="ricercaLocalizzazione();">
			<img src="/repository/xhdpi/2-action-search.png" style="width:30px;" title="<?php $traduttore->js('Apre lo strumento di ricerca') ?>"/>	
		</button> 	
		
	</div>
	
	<div id="dialog" title="" style="display:none;padding:0px;margin:0px;">
	
		<div align="center" >
			<table id="percorsi" >
				<tr class="header" >
					<th><?php $traduttore->html('Seleziona') ?>
					<th><?php $traduttore->html('Risorsa') ?>
					<th><?php $traduttore->html('Partenza') ?>
					<th><?php $traduttore->html('Destinazione') ?>
					<th><?php $traduttore->html('Tempo') ?>
					<th><?php $traduttore->html('KM') ?> 
			</table>
			 
		</div>	
	</div>	 	
	
	<script> 
	function ricercaLocalizzazione()
	{ 	
		$( "#parametri" ).toggle( "slow", function() 
		{
			// Animation complete.
		});			
	}	
	
 	function Ricerca()
	{
	   	var citta = document.getElementById("citta").value;
	   	var provincia = document.getElementById("provincia").value;
	   	var via = document.getElementById("via").value;
		
		var address="";
		
 		if(citta!="")
		{
			address += citta;
			
			if(via!="")
				address +=" "+via			
			
			if(provincia!="")
				address +=" , "+provincia
		}  
		
		if( address.length > 0 )
		{ 	
			geocoder = new google.maps.Geocoder();
			
			geocoder.geocode( {'address': address}, function(results,status) {
				if (status == google.maps.GeocoderStatus.OK) {
				
					var result = results[0].geometry.location;
					
					lat = result.lat();				
					lng = result.lng();

					
					map.setCenter(result);	 
					
				} else {
				  alert("<?php $traduttore->js('Errore') ?>: " + status+ "\n<?php $traduttore->js('Collegarsi alla seguente pagina per avere informazioni sulla natura dell\'errore') ?>:\n http://code.google.com/intl/it-IT/apis/maps/documentation/javascript/reference.html#GeocoderStatus");
				}
			  });      
		  }
		  
		  caricaDati();
	} 	
	</script> 

<?php $traduttore->Salva() ?>
</body>
</html>