<?php 
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_204", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_204", "IT", __FILE__);

require('_aggiungi_ordine.inc');

$sql = <<< sql
SELECT Ordini.*
  ,Ordini.Note AS NoteX
  ,Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Descrizione
	,Ditte.Ditta AS DesAssegnazione
	,Risorse.NOME AS NomeRisorsa
FROM 
  Ordini
LEFT OUTER JOIN 
  Ditte ON Ordini.Assegnazione = Ditte.IDDitta
LEFT OUTER JOIN 
  Risorse ON Ordini.IdRisorsa = Risorse.ID 
WHERE
	Ordini.IdCommessa = $IdCommessa
	AND Ordini.NumOrdine = $NumOrdine
	AND Ordini.AnnoOrdine = $AnnoOrdine
sql;

$msg_error = $traduttore->traduci('Richiesta numero')." $NumRichiesta ".$traduttore->traduci('anno')." $AnnoRichiesta ".$traduttore->traduci('commessa')." $IdCommessa ".$traduttore->traduci('non trovata!');

$record = ntxRecordArray($sql, $msg_error); 

$record['DataOrdine'] = ntxDateTime($record['DataOrdine']); 
$record['DataInizioProg'] = ntxDateTime($record['DataInizioProg']); 
$record['DataFineProg'] = ntxDateTime($record['DataFineProg']); 

$record['NumOrdine'] = 	$NumOrdine;
$record['AnnoOrdine'] = 	$AnnoOrdine; 
 
$record = ntxRecordTranslate($record);

ntxMsgResult( $record );		

$traduttore->Salva();
?>
