<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_PATH.'richieste/ins_non_specifiche.inc');
require_once(NTX_WEBPORTAL_PATH.'richieste/_funzioni_RichiesteStoricoStati.inc');



$IdCommessa = ntxip('IdCommessa', false);
$NumRichiesta = ntxip('NumRichiesta', false);
$AnnoRichiesta = ntxip('AnnoRichiesta', false); 
$NoteAnnullamento = ntxsp('NoteAnnullamento', false); 
$Utente = ntxsse('Utente'); 
 

$annulla = true; 
$sql = <<< sql
SELECT     
	Ordini.*
FROM    
	Ordini  
WHERE
	1=1
	AND Ordini.IdCommessa = $IdCommessa
	AND Ordini.NumRichiesta = $NumRichiesta
	AND Ordini.AnnoRichiesta = $AnnoRichiesta
sql;
$query = ntxQuery($sql);
while( $query  &&  $rs = ntxRecord($query) )
{
	if($rs[StatoOrd]<50||$rs[StatoOrd]==70||$rs[StatoOrd]==60)
	{}
	else
		$annulla = false; 
} 

if(!$annulla) 
	ntxmsgerr("La richiesta e' collegata a uno o piu' ordini che non ne permettono l'annullamento.");

 
$sql = <<< sql
SELECT     
	Richieste.IDCommessa AS IdCommessa
	, Richieste.Localizzazione AS IdEdificio 
	, Richieste.* 
FROM    
	Richieste  
WHERE
	1=1
	AND Richieste.IdCommessa = $IdCommessa
	AND Richieste.NumRichiesta = $NumRichiesta
	AND Richieste.AnnoRichiesta = $AnnoRichiesta
sql;
$query = ntxQuery($sql);
$rs = ntxRecord($query);
$StatoR = $rs[Stato];
$IdUtenteInserimento = $rs[IdUtenteInserimento]; 

if ( $IdUtenteInserimento!=ntxise('IdUtente') ) 
	ntxMsgErr("Impossibile annullare la richiesta poiche' l'utente loggato non e' l'utente che ha inserito la richiesta!");


if ( $StatoR == -1 || $StatoR == 1 || $StatoR == 2 || $StatoR == 15  || $StatoR == 18 || $StatoR==35  ) 
{}  
else
	ntxmsgerr("Lo stato della richiesta non ne permette l'annullamento.");




//PASSO 1: annulliamo prima gli ordini
$sql = <<<_SQL
SELECT *
FROM Ordini
WHERE
	1=1
	AND Ordini.IdCommessa = $IdCommessa
	AND Ordini.NumRichiesta = $NumRichiesta
	AND Ordini.AnnoRichiesta = $AnnoRichiesta
_SQL;
$query = ntxQuery($sql);
while( $query  &&  $rs = ntxRecord($query) )
{
	$IdCommessa = $rs[IDCommessa];
	$NumOrdine = $rs[NumOrdine];
	$AnnoOrdine = $rs[AnnoOrdine];
	$NoteAnnullamento = $rs[NoteAnnullamento];
	
	if(is_numeric($IdCommessa)&&is_numeric($NumOrdine)&&is_numeric($AnnoOrdine))
	{
		$tabellaOrdini = new NtxTable("Ordini");
		$tabella = $tabellaOrdini->update();
		$tabella->init(); 
		 
		$tabella->set('NoteAnnullamento', "$NoteAnnullamento - $_POST[NoteAnnullamento]"); 

		$tabella->set('StatoOrd' , 70); 
		$tabella->set('DataAnnullamento', 'getdate()', true);
		$tabella->set('UtenteAnnullamento', $Utente);

		$tabella->where('IdCommessa', $IdCommessa);
		$tabella->where('NumOrdine', $NumOrdine);
		$tabella->where('AnnoOrdine', $AnnoOrdine);
		 
		$tabella->execute();
		
		
		require(NTX_WEBPORTAL_PATH.'messaggi/cancella_ordine/start.php');		
	}
}
 
 
//PASSO 2: annulliamo la richiesta
$tableRichieste = new NtxTable("Richieste");
$tabella = $tableRichieste->update();
$tabella->init(); 

$tabella->set('Stato', 10);  
$tabella->setp('NoteAnnullamento');
$tabella->set('UtenteAnnullamento', $_SESSION[Utente]);
$tabella->set('DataAnnullamento', 'getdate()', true);
$tabella->set('DataModifica', 'getdate()', true); 

$tabella->where('IdCommessa', $IdCommessa);
$tabella->where('NumRichiesta', $NumRichiesta);
$tabella->where('AnnoRichiesta', $AnnoRichiesta);

$tabella->execute(); 

	
require_once(NTX_WEBPORTAL_PATH.'messaggi/cancella_richiesta/start.php');	
require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/cancella_richiesta/start.php');

 


//PASSO 3: salviamo lo storico
salvaStoricoRichieste
(
	$IdCommessa
	,$NumRichiesta
	,$AnnoRichiesta
	,$StatoR
	,10
	,"annullamento richiesta da stato $StatoR da parte di".$_SESSION['Utente'].". Parametri in \$_POST: ".print_r($_POST, true)
	,"l'utente ". $_SESSION['Utente']." ha annullato la richiesta con la seguente motivazione:".$_POST[NoteAnnullamento]." Se presente verrà annullato anche l'ODL collegato."
	,"NOTE DI ANNULLAMENTO: ".$_POST[NoteAnnullamento] 
);		
	
 
require_once('anno_numero_richiesta.inc');
?>
