<?php
require_once(NTX_WEBPORTAL_PATH . '_database.inc');
require_once(NTX_WEBPORTAL_PATH.'richieste/_funzioni_RichiesteStoricoStati.inc');

$IdCommessa = ntxise('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');

$sql = <<<_SQL
SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
FROM         SchemiFlussoPagineWeb INNER JOIN
					  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
WHERE     (Commesse.IDCommessa = $IdCommessa)
_SQL;

if (ntxScalar($sql) == "edit_utilizzatori") {
    $numAffidatari = "SELECT COUNT(IdAffidatario) FROM  tblPgAffidatari";

    if ($numAffidatari == 1) {
        $IdAffidatario = "SELECT TOP 1 IdAffidatario FROM  tblPgAffidatari";
    }
}

$mDataRichiesta = ntxtp('DataRichiesta');

if ($mDataRichiesta === 'NULL') {
    $mDataRichiesta = 'getdate()';
}

$TROVA_AFF_PILOTA = false;
require_once(NTX_WEBPORTAL_PATH . "ricerca_affidatari/check_affidatario_callcenter.inc");

$DataOrdine = ntxtp('DataOrdine');

if ($DataOrdine === 'NULL') {
    $DataOrdine = 'getdate()';
}

require_once(NTX_WEBPORTAL_PATH . "ricerca_fornitore/check_fornitore.inc");

if (isset($erroreFornitore)  &&  $erroreFornitore == true) {
    
} else {
    if ($BRAC == 1  &&  strtolower($_POST[Contabiliz]) == "canone") {
        require_once(NTX_WEBPORTAL_PATH . "messaggi/ordini_x_affidatario/start.php");

        ntxMsgErr($traduttore->traduci('Quest\'ordine puo\' essere generata solo dal relativo affidatario al quale e\' stato inviato un messaggio'));
    }

    $AnnoOrdine = ntxScalar("SELECT Year(getdate());");

    $NumOrdine = ntxScalar("SELECT MAX(NumOrdine) FROM Ordini WHERE IdCommessa=$IdCommessa AND AnnoOrdine='$AnnoOrdine';");

    if (is_numeric($NumOrdine)) {
        $NumOrdine += 1;
    } else {
        $NumOrdine = 1;
    }

    $Descrizione = $_POST['Descrizione'];

    $des1 = $Descrizione;

    $des2 = $des3 = "";

    if (strlen($Descrizione) > 255) {
        $des1 = substr($Descrizione, 0, 255); // prende i primi 255 caratteri
        $des2 = substr($Descrizione, 255); // prende i caratteri dal 256° in poi
    }

    if (strlen($des2) > 255) {
        $des3 = substr($des2, 255); // prende i caratteri dal 256° in poi
        $des2 = substr($des2, 0, 255); // prende i primi 255 caratteri
        $des3 = substr($des3, 0, 255); // prende i primi 255 caratteri
    }

    $Localizzazione = ntxip("Localizzazione");
    if (ntxScalar("SELECT Rimosso FROM ElencoEdifici WHERE IdCommessa=$IdCommessa AND ID=$Localizzazione ") == 1) {
        ntxmsgerr($traduttore->traduci('Non e\' possibile eseguire l\'operazione richiesta. Edificio non utilizzabile!'));
    }

    /** CALCOLIAMO LA DATA DI SCADENZA DELL'ORDINE	 * */
    $sql = "SELECT Richieste.* "
            . " FROM Richieste "
            . " WHERE Richieste.IdCommessa = $IdCommessa "
            . " AND Richieste.NumRichiesta = $NumRichiesta "
            . " AND Richieste.AnnoRichiesta = '$AnnoRichiesta';";
    $rsRic = ntxRecord(ntxQuery($sql));

    $DataAutorizzazione = ntxt(ntxDateTime($rsRic['DataAutorizzazione']));
    $DataRichiesta = ntxt(ntxDateTime($rsRic['DataRichiesta']));
    $DataInizioProg = ntxtp('DataInizioProg');
    $GradoUrgenza = ntxs($rsRic['GradoUrgenza']);

    $GrUrg = $GradoUrgenza; //SE IL VALORE CAMBIA IN POST DOBBIAMO PRENDERE QUELLO!
    $subQuery = "case when Richieste.DataAutorizzazione is not null then Richieste.DataAutorizzazione else Richieste.DataRichiesta end";

    $sql = <<< sql
	SELECT     
		dbo.CalcTempoPresaInCarico(Richieste.IdCommessa, $GrUrg, $subQuery) DataSPC,
		dbo.CalcInizioIntervento(Richieste.IdCommessa, $GrUrg, $subQuery)   DataScadenza,
		dbo.CalcInterventoTampone(Richieste.IdCommessa, $GrUrg, $subQuery)  DataScadIntTampone,
		dbo.CalcFineIntervento (Richieste.IdCommessa, $GrUrg, $subQuery) DataSFI
	FROM      
		Richieste  
	WHERE     
		Richieste.IDCommessa = $IdCommessa
		AND Richieste.NumRichiesta = $NumRichiesta
		AND Richieste.AnnoRichiesta = $AnnoRichiesta
sql;

    $rs = ntxRecord(ntxQuery($sql));

    $DataScadenzaPresaInCarico = ntxDateTime($rs[DataSPC]);
    $DataScadenza = ntxDateTime($rs[DataScadenza]);
    $DataScadenzaInterventoTampone = ntxDateTime($rs[DataScadIntTampone]);
    $DataScadenzaFineIntervento = ntxDateTime($rs[DataSFI]);

    $DataScadenzaOriginale = $DataScadenza;
    $DataScadenzaPresaInCaricoOriginale = $DataScadenzaPresaInCarico;

    $sql1 = "INSERT INTO Ordini (";
    $sql2 = " VALUES (";

    $sql1 .= "Contabiliz";
    $sql2 .= ntxsp('Contabiliz') . ", ";

    $sql1 .= ", ModalitàAgg";
    $sql2 .= ntxs(substr($_SESSION['Utente'], 0, 20)) . ", ";

    $sql1 .= ", CodEdificio";
    $sql2 .= ntxip('Localizzazione', false) . ", ";

    $sql1 .= ", DittaManuale";
    $sql2 .= ntxip('DittaManuale') . ", ";

    $sql1 .= ", Assegnazione";
    $sql2 .= $IdFornitore . ", ";
    
    /*
    * Risorsa Added by SZ @ 04/12/2015
    */ 
    if ( is_numeric($_POST['IdRisorsa']) ) 
	{
		$IdRisorsa = ntxip('IdRisorsa', false);
		
		//IdRisorsa set
		$sql1 .= ", IdRisorsa";
		$sql2 .= $IdRisorsa . ", ";
		
		//Data presa in carico set
		//$sql1 .= ", DataPresaInCarico";
		//$sql2 .= "getdate(), ";

		$sql1 .= ", DataAssegnazioneRisorsa";
		$sql2 .= "getdate(), ";	  
    }
    /*
    * Risorsa Added by SZ @ 04/12/2015
    */
    
    if( strlen($_POST['ContabilizF'])>0 ) 
	{
		$sql1 .= ", ContabilizF";
		$sql2 .= ntxsp('ContabilizF') . ", ";
    }	
	
    $sql1 .= ", DataOrdine";
    $sql2 .= "$DataOrdine, ";

    $sql1 .= ", DataModifica";
    $sql2 .= "getdate(), ";

    $sql1 .= ", IdMestiere";
    $sql2 .= ntxip('IdMestiere', false) . ", ";
    $sql1 .= ", IdComponenteMestiere";
    $sql2 .= ntxip('IdComponenteMestiere') . ", ";
    $sql1 .= ", IdAttivitàMestiere";
    $sql2 .= ntxip('IdAttivitàMestiere') . ", ";

    $sql1 .= ", IdLivello";
    $sql2 .= ntxip('IdLivello') . ", ";
    $sql1 .= ", IdAmbiente";
    $sql2 .= ntxip('IdAmbiente') . ", ";
    $sql1 .= ", IdComponente";
    $sql2 .= ntxip('IdComponente') . ", ";

    $sql1 .= ", IdAffidatario";
    $sql2 .= ntxi($IdAffidatario) . ", ";

    $sql1 .= ", IdUtilizzatore";
    $sql2 .= ntxip('IdUtilizzatore') . ", ";

    $sql1 .= ", DescrizioneIntervento";
    $sql2 .= ntxs($des1, 'Descrizione', false, false) . ", ";
    $sql1 .= ", DescrizioneIntervento1";
    $sql2 .= ntxs($des2) . ", ";
    $sql1 .= ", DescrizioneIntervento2";
    $sql2 .= ntxs($des3) . ", ";

    //$sql1 .= ",NoteTecnicheCliente";		$sql2 .= ntxsp('NoteTecnicheCliente').", ";

    $sql1 .= ", [Note]";
    $sql2 .= ntxsp('NoteX') . ", ";

    $sql1 .= ", GradoUrgenza";
    $sql2 .= ntxsp('GradoUrgenza', false, false) . ", ";

    $sql1 .= ", Tecnico";
    $sql2 .= ntxsp('Tecnico') . ", ";

    $sql1 .= ", StatoOrd";
    $sql2 .= "35, ";

    $sql1 .= ", DataInizioProg";
    $sql2 .= ntxtp('DataInizioProg') . ", ";
    $sql1 .= ", DataFineProg";
    $sql2 .= ntxtp('DataFineProg') . ", ";
    $sql1 .= ", DataScadenza";
    $sql2 .= ntxt($DataScadenza) . ", ";
    $sql1 .= ", DataScadenzaOriginale";
    $sql2 .= ntxt($DataScadenzaOriginale) . ", ";
    $sql1 .= ", DataScadenzaPresaInCarico";
    $sql2 .= ntxt($DataScadenzaPresaInCarico) . ", ";
    $sql1 .= ", DataScadenzaPresaInCaricoOriginale";
    $sql2 .= ntxt($DataScadenzaPresaInCaricoOriginale) . ", ";
    $sql1 .= ", DataScadenzaFineIntervento";
    $sql2 .= ntxt($DataScadenzaFineIntervento) . ", ";
    $sql1 .= ", DataScadenzaInterventoTampone";
    $sql2 .= ntxt($DataScadenzaInterventoTampone) . ", ";

    $sql1 .= ", DataInizioAccensione";
    $sql2 .= ntxttp('DataInizioAccensione') . ", ";
    $sql1 .= ", DataFineAccensione";
    $sql2 .= ntxttp('DataFineAccensione') . ", ";
    $sql1 .= ", [NoteAccensione]";
    $sql2 .= ntxsp('NoteAccensione') . ", ";
    $sql1 .= ", IdCircuitoAccensione";
    $sql2 .= ntxip('IdCircuitoAccensione') . ", ";

    $sql1 .= ", Via";
    $sql2 .= ntxsp('Via') . ", ";
    $sql1 .= ", NoteLocalizzativeStrade";
    $sql2 .= ntxsp('NoteLocalizzativeStrade') . ", ";

    $sql1 .= ", IdCommessa";
    $sql2 .= $IdCommessa . ", ";
    $sql1 .= ", IDCommessaRichiesta";
    $sql2 .= $IdCommessa . ", ";
    $sql1 .= ", NumOrdine";
    $sql2 .= $NumOrdine . ", ";
    $sql1 .= ", AnnoOrdine";
    $sql2 .= $AnnoOrdine . ", ";
    $sql1 .= ", NumRichiesta";
    $sql2 .= $NumRichiesta . ", ";
    $sql1 .= ", AnnoRichiesta)";
    $sql2 .= $AnnoRichiesta . ");";

    ntxQuery($sql1 . $sql2);

    if ($_POST[OrdineDaDuplicare] != 1) 
	{
        $sql = <<<_SQL
		SELECT  
			Stato 
		FROM 
			Richieste  
		WHERE 
			Richieste.IdCommessa = $IdCommessa  
			AND Richieste.NumRichiesta = $NumRichiesta  
			AND Richieste.AnnoRichiesta = $AnnoRichiesta  
_SQL;
        $StatoInizio = ntxScalar($sql);
		
		$StatoFine = 35;
        $sql = "UPDATE Richieste SET "
                . "DataModifica = getdate()"
                . ", Stato = $StatoFine "
                . " WHERE Richieste.IdCommessa = $IdCommessa "
                . " AND Richieste.NumRichiesta = $NumRichiesta "
                . " AND Richieste.AnnoRichiesta = $AnnoRichiesta ";

        ntxQuery($sql);
		
		$Azione = $traduttore->traduci('Aggiunta dell\'ordine')." $NumOrdine/$AnnoOrdine ".$traduttore->traduci('alla richiesta')." $NumRichiesta/$AnnoRichiesta";
		salvaStoricoRichieste
		(
			$IdCommessa
			,$NumRichiesta
			,$AnnoRichiesta
			,$StatoInizio
			,$StatoFine
			,"$Azione ".$traduttore->traduci('Caso in cui ($_POST[OrdineDaDuplicare]!=1) . Parametri in $_POST:') .print_r($_POST, true)
			,$Azione
			,""
		); 		
    }

    if (is_numeric($_POST[nonInviareMsg])  &&  $_POST[nonInviareMsg] == 1) {
        
    } else {
        require('_invio_msg_per_aggiungi_ordine.inc');
    }
}
?>
