<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_PATH.'richieste/_funzioni_RichiesteStoricoStati.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_203", "IT", $_SESSION[NTX_LINGUA_DEST]);

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumRichiesta = ntxip('NumRichiesta'); // usata anche in _carica_richiesta
$AnnoRichiesta = ntxip('AnnoRichiesta'); // usata anche in _carica_richiesta

$mDataRichiesta = ntxtp('DataRichiesta');

if ( $mDataRichiesta === 'NULL' )
	$mDataRichiesta = 'getdate()';

require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari\check_affidatario.inc");

require_once('_check_update_type.inc'); 

require('_controllo_gradourgenza.inc');
require_once('_check_obblighi.inc');


$sql = " SELECT Stato FROM Richieste  "
		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta;";

$OldStato = $Stato = ntxScalar($sql);

if ($Stato != -1  &&  $Stato != 1  &&  $Stato != 2  &&  $Stato != 15  ) 
	ntxMsgErr('Lo stato della richiesta non ne permette la modifica');

if ( $Stato == 15  &&  $_POST['Classificazione']=='Canone'  ) 
	ntxMsgErr('Non si può passare a canone una richiesta da autorizzare');

if ( $_POST['Classificazione']=='Extracanone'  &&  $_POST['TecnicoC']=='' )
{
	/*
	$sql = <<< sql
	SELECT DISTINCT Tecnici.Tecnico
	FROM  
		Tecnici 
		INNER JOIN
		CommesseTecnici ON Tecnici.IDTec = CommesseTecnici.IDTec
	WHERE 
		CommesseTecnici.IdCommessa = $IdCommessa
		AND TecnDefault = 1
sql;

	$_POST[TecnicoC] = ntxScalar($sql);

  	if($_POST[TecnicoC]=="")
		ntxMsgErr("Per le extracanone e' obbligatorio il Tecnico C.\nNessun tecnico di default in commessa trovato.");  */
	
	$Utente	= ntxsse('Utente');
	
	$sql = <<< sql
	SELECT DISTINCT Tecnici.Tecnico
	FROM  
		Utenti 
		INNER JOIN
		UtentiTecnici ON Utenti.Id = UtentiTecnici.IdUtente 
		INNER JOIN
		Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec
		INNER JOIN
		CommesseTecnici ON Tecnici.IDTec = CommesseTecnici.IDTec				   
	WHERE 
		Utenti.Nome = $Utente	
		AND CommesseTecnici.IdCommessa = $IdCommessa
sql;
	$_POST[TecnicoC] = ntxScalar($sql);
	
	if(!strlen($_POST[TecnicoC])>0)
	{ 
		$sql = <<< sql
		SELECT DISTINCT Tecnici.Tecnico
		FROM  
			Tecnici 
			INNER JOIN
			CommesseTecnici ON Tecnici.IDTec = CommesseTecnici.IDTec
		WHERE 
			CommesseTecnici.IdCommessa = $IdCommessa
			AND TecnDefault = 1
sql;
		$_POST[TecnicoC] = ntxScalar($sql);
	}
	
  	if($_POST[TecnicoC]=="")
		ntxMsgErr($traduttore->traduci('Per le extracanone e\' obbligatorio il Tecnico C. Nessun tecnico di default in commessa trovato.'));  	
}

if ( $_POST['Classificazione']=='Extracanone'  &&  ntxbp('VAutorizzazione')==1 ) 
{
	$Stato = 18; // Autorizzata
	
	if ( $_POST['DataAutorizzazione'].''=='' )
		$DataAutorizzazione = "getdate()";
	else
		$DataAutorizzazione = ntxtp('DataAutorizzazione');
}
else
{
	$DataAutorizzazione = ntxtp('DataAutorizzazione');
}

if ( (  $Stato == -1 || $Stato == 1 || $Stato == 2 )  &&  $_POST['Classificazione']=='Extracanone'  &&  $_POST['TipoIntervento']=='Preventivo' ) 
{
	$msg_for_cliente = "Richiesto preventivo richiesta";

	$Stato = 4; // Richiesta Preventivo
}

if (  ($Stato == -1 || $Stato == 2)  &&  $_POST['Classificazione']=='Canone' ) 
{
	$msg_for_cliente = "Registrata richiesta";

	$Stato = 1;
}

if ( $_POST['Classificazione']=='Extracanone'  &&  ($Stato==1 || $Stato==-1)  ) // 17.07.2015
{
	$_POST['TipoIntervento'] = '';	
	$Stato = 2; // In Attesa di valutazione
}

$Descrizione = $_POST['Descrizione'];

$des1 = $Descrizione;

$des2 = $des3 = "";

if ( strlen($Descrizione) > 255 )
{
	$des1 = substr($Descrizione, 0, 255); // prende i primi 255 caratteri
	$des2 = substr($Descrizione, 255); // prende i caratteri dal 256° in poi
}

if ( strlen($des2) > 255 )
{
	$des3 = substr($des2, 255); // prende i caratteri dal 256° in poi
	$des2 = substr($des2, 0, 255); // prende i primi 255 caratteri
	$des3 = substr($des3, 0, 255); // prende i primi 255 caratteri
}



$Localizzazione = ntxip("Localizzazione");
if( ntxScalar("SELECT Rimosso FROM ElencoEdifici WHERE IdCommessa=$IdCommessa AND ID=$Localizzazione ")==1 )
	ntxmsgerr("Non e' possibile eseguire l'operazione richiesta.\nEdificio non utilizzabile!");


require_once('storico_per_modifica.inc');  //importante!


$sql = "UPDATE Richieste SET "

		."Utente = ".					ntxs($_SESSION['Utente'])
		.", Operatore = ".				ntxs($_SESSION['Utente'])

		.", DataModifica = getdate()"

		.", TecnicoC = ".				ntxsp('TecnicoC')
		.", Resp_tecnico = ".			ntxsp('Resp_tecnico') 
		.", IdChiamataCallCenter = ".	ntxsp('IdChiamataCallCenter') 

		.", Stato = ".					$Stato

		.", DataInizioP = ".			ntxtp('DataInizioP')
		.", DataFineP = ".				ntxtp('DataFineP')		
			
		.", IdMestiere = ".				ntxip('IdMestiere',false) 
		.", IdComponenteMestiere = ".	ntxip('IdComponenteMestiere') 
		.", IdAttivitàMestiere = ".		ntxip('IdAttivitàMestiere') 		
		
		.", NumeroCommessa = ".			ntxsp('NumeroCommessa')		
		
		
		.", IdRichiedente = ".				ntxip('IdRichiedente',false)		
		.", Richiedente = ".				ntxsp('Richiedente')
		.", TelefonoRif = ".				ntxsp('TelefonoRif')
		
		.", NumRifCli = ".				ntxsp('NumRifCli')
		.", AnnoRifCli = ".				ntxsp('AnnoRifCli')
		.", CommRifCli = ".				ntxsp('CommRifCli')

		.", GradoUrgenza = ".			ntxsp('GradoUrgenza')	
		
		.", Descrizione = ".			ntxs($des1, 'Descrizione', false, false) 
		.", Descrizione1 = ".			ntxs($des2)
		.", Descrizione2 = ".			ntxs($des3) 	
		
		
		.", IdEnteTerzo = ".			ntxip('IdEnteTerzo') 
		.", IdUtilizzatore = ".			ntxip('IdUtilizzatore') 
		
		.", PrioritàTecnica = ".		ntxip('PrioritàTecnica')
		.", NoteTecniche = ".			ntxsp('NoteTecniche')			
		.", Via = ".					ntxsp('Via')			
		.", NoteLocalizzativeStrade = ". ntxsp('NoteLocalizzativeStrade')			
		
		.", Zona= ". ntxsp('Zona')
		.", IdCentroDiCosto= ". ntxip('IdCentroDiCosto')
		.", IdDiametroTubazione= ". ntxip('IdDiametroTubazione')
		.", IdMaterialeTubazione= ". ntxip('IdMaterialeTubazione')
		.", IdIntervento= ". ntxip('IdIntervento')
		.", InterruzioneServizio= ". ntxip('InterruzioneServizio')
		.", DataInizioInterruzione= ". ntxttp('DataInizioInterruzione')
		.", DataFineInterruzione= ". ntxttp('DataFineInterruzione')
		.", InterruzioneCorsiaInteressata= ". ntxip('InterruzioneCorsiaInteressata')
		.", InterruzioneTotCarreggiata= ". ntxip('InterruzioneTotCarreggiata') 			
		
		.", DataInizioAccensione = ".	ntxttp('DataInizioAccensione')
		.", DataFineAccensione = ".		ntxttp('DataFineAccensione')
		.", NoteAccensione = ".			ntxsp('NoteAccensione')
		.", IdCircuitoAccensione = ".	ntxip('IdCircuitoAccensione') 	 	
		
		.", TipoIntervento = ".			ntxsp('TipoIntervento')

		//.", TipoValutazione = ".		ntxsp('TipoValutazione')

		//.", IdVoceBudget = ".			ntxip('IdVoceBudget')

		.", IdAffidatario = ".			ntxi($IdAffidatario)
		
		.", Classificazione = ".		ntxsp('Classificazione')

		.", DataAutorizzazione = ".		$DataAutorizzazione

		.", VAutorizzazione = ".		ntxbp('VAutorizzazione')
		
		.", IdQuadroPI = ".				ntxip('IdQuadroPI')
		.", IdPaloPI = ".				ntxip('IdPaloPI') 	
		
		
		//.", NoteTecnicheCliente = ".	ntxsp('NoteTecnicheCliente')//aggiunto il 23/11/2010

		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta;";

ntxQuery($sql);


salvaStoricoRichieste
(
	$IdCommessa
	,$NumRichiesta
	,$AnnoRichiesta
	,$OldStato
	,$Stato
	,"modifica richiesta con \$TipoUpdate: $TipoUpdate. Parametri in \$_POST: ".print_r($_POST, true)
	,"modifica della richiesta"
	,'' 
); 

	
require_once(NTX_WEBPORTAL_PATH.'preventivi/_dispatch_richiesta_preventivo.inc');

?>
