<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('Localizzazione');
$IdUtilizzatore = ntxip('IdUtilizzatore');

$sql = <<< sql
		SELECT PianoLivello.idPiano,   
			 LTRIM(PianoLivello.CodiceAssLivello)   
			 + ' - ' + DestinazioniDusoLivello.Destinazione  
			, DestinazioniDusoLivello.ordinamento, DestinazioniDusoLivello.Destinazione 
		FROM         PianoLivello INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      tblUtAmbienti ON Ambiente.IdCommessa = tblUtAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtAmbienti.IdEdificio AND 
                      Ambiente.IDAmbiente = tblUtAmbienti.IdAmbiente LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND 
                      PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa
		WHERE   PianoLivello.IdCommessa=$IdCommessa 
			AND PianoLivello.IdEdificio=$IdEdificio
			AND tblUtAmbienti.IdUtilizzatore=$IdUtilizzatore
			 AND  (PianoLivello.Rimosso IS NULL OR PianoLivello.Rimosso=0)  
			 AND ( PianoLivello.NascondiPiano IS NULL OR PianoLivello.NascondiPiano=0 )  
		 ORDER BY DestinazioniDusoLivello.ordinamento, DestinazioniDusoLivello.Destinazione
sql;



$result = ntxSelectArray($sql);

$result = ntxSelectTranslate($result);

ntxMsgResult( $result );	

?>
