<?php  
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"  "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>

	<style>	
	*
	{
		font-family: Verdana, Arial, Helvetica, sans-serif;
		font-size:11px;
	}
	
	table
	{
		border-collapse:collapse;
		empty-cells:hide;
		
		width:100%;
		
		margin-bottom: 10px;
	}	
	
	td, th
	{
		border: solid 1px black;
	}	
	
	th
	{
		text-transform:uppercase;
	}
	
	td
	{
		text-align:center;
	}
	
	tr
	{
		height:25px;
	}	
	
	
	table 
	{
		border: solid 2px black;
	}	
	
	.descrizione
	{
		height:80px; 
		vertical-align:top;
	}
	
	.number 
	{
		text-align: right;
	}	
	</style>
	
	<script>
	window.onload = caricaPagina;
	
	function caricaPagina()
	{   
		var Lordo = $('.Lordo').val();
		var Netto = $('.Netto').val();
		var Intervento = $('.Intervento').val(); 
		
		$('.totaleLordo').text(Lordo);
		$('.totaleNetto').text(Netto);
		$('.importoIntervento').text(Intervento);
	}
	</script>
</head>

<body>
<?php
$IdCommessa = ntxise('IdCommessa');

$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');

$sqlRichiesta = <<<_SQL
SELECT
	Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, Richieste.TipoIntervento, Stati.DesStato AS statoRichiesta, Richieste.DataInizioP, Richieste.DataFineP,
	Richieste.Descrizione + Richieste.Descrizione1 + Richieste.Descrizione2 AS Des, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, 
	ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, 
	tblPgPropietari.Nome AS Ente, Richieste.Classificazione, tblUtUtilizzatori.Nome AS Utilizzatore
	,Richieste.NumOrdineFonte, Richieste.AnnoOrdineFonte, Richieste.Richiedente, 
	Ordini.NumOrdine, Ordini.AnnoOrdine, StatiOrdini.DesStato AS statoOrdine, Ordini.Note AS NoteOrdine, Ordini.Intervento,Ordini.DataScadenza, Ordini.DataSospensione,Ordini.NoteSospensione,Ordini.DataPresaInCarico,Ordini.NotaInterna,
	ElencoEdifici.EdificioBreve+' '+ElencoEdifici.Indirizzo+' '+ElencoEdifici.CITTA+' '+ElencoEdifici.PROVINCIA+' '+ElencoEdifici.CAP  AS LocalizzazioneString,
	
	Ordini.DescrizioneIntervento+' '+Ordini.DescrizioneIntervento1+' '+Ordini.DescrizioneIntervento2 AS OrdiniDescrizione, Ordini.Assegnazione,
	
	TabellaGradoUrgenza.GradoU+' - '+TabellaGradoUrgenza.Descrizione AS GradoUrgenza,
	TabellaGradoUrgenza.Descrizione AS GradoUrgenza_CID,
	tblMestieri.Descrizione AS Mestiere,
	Ditte.Ditta,
	
	PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
	Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente , 
	
	Richieste.TelefonoRif, Richieste.Operatore, Richieste.NumRifCli,
	Ordini.DataInizio, Ordini.DataFine, Ordini.DataOrdine, Ordini.IdMestiere AS IdMestiereOrdini,
	
	Risorse.NOME AS RisorsaOrdine
	
	,AbCentriDiCosto.DESC3 AS CentroDiCosto, AbCentriDiCosto.CDC1, AbCentriDiCosto.CDC2, AbCentriDiCosto.AREA AS AreaOperativa
	
	,AbDiametroTubazione.DIAMETRO AS TubaturaDiametro, AbMaterialeTubazione.TIPO AS TubaturaTipo
	, AbIntervento.intervento AS AbIntervento
					  
FROM         
	Richieste INNER JOIN
	Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
	UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
	Utenti ON UtentiEdifici.IdUtente = Utenti.Id LEFT OUTER JOIN
	Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
	Richieste.AnnoRichiesta = Ordini.AnnoRichiesta 
	LEFT OUTER JOIN
	StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato
	LEFT OUTER JOIN
	tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND 
	Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	LEFT OUTER JOIN
	TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU		
	LEFT OUTER JOIN
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
	LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta
	
	LEFT OUTER JOIN
	Ambiente ON Richieste.IdAmbiente = Ambiente.IDAmbiente AND Richieste.Localizzazione = Ambiente.IdEdificio AND 
	Richieste.IDCommessa = Ambiente.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
	Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	PianoLivello ON Richieste.IdLivello = PianoLivello.idPiano AND Richieste.Localizzazione = PianoLivello.IdEdificio AND 
	Richieste.IDCommessa = PianoLivello.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
	PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
	LEFT OUTER JOIN
	Risorse ON Ordini.IdRisorsa = Risorse.ID

	LEFT OUTER JOIN
	AbCentriDiCosto ON Richieste.IdCentroDiCosto = AbCentriDiCosto.ID
	LEFT OUTER JOIN
	AbDiametroTubazione ON Richieste.IdDiametroTubazione = AbDiametroTubazione.ID 
	LEFT OUTER JOIN
	AbMaterialeTubazione ON Richieste.IdMaterialeTubazione = AbMaterialeTubazione.ID	
	LEFT OUTER JOIN
	AbIntervento ON Richieste.IdIntervento = AbIntervento.ID
					  
WHERE 
	Richieste.IdCommessa=$IdCommessa
	AND Richieste.NumRichiesta=$NumRichiesta
	AND Richieste.AnnoRichiesta=$AnnoRichiesta
_SQL;
 

$rs = ntxRecord(ntxQuery($sqlRichiesta));

$NumOrdine = $rs[NumOrdine];
$AnnoOrdine = $rs[AnnoOrdine];
?> 
 

<table> 
	<tr>
		<td style="width:200px;text-align:center;" > 
			<img src="img/abbanoaNew.png" style="width:100%;" />  
		
		<th style="font-size:140%;text-transform: uppercase;" >
			<?php $traduttore->html('Lavori di manutenzione reti') ?>
			
		<td style="width:200px;text-align:center;" > 
			 <?php $traduttore->html('All. 9 ODS 102/08') ?>
			 <hr>
			 <?php $traduttore->html('Mod. ESE-OS') ?>
			 <hr>
			<?php $traduttore->html('Giu-09 rev.1') ?>  
</table>  
	 
	 
<table style="width:300px; float:right;" > 
	<tr>
		<th><?php $traduttore->html('Totale Netto') ?>
		<td class="totaleNetto" ><div style="min-width:150px;"></div>
	<tr>
		<th><?php $traduttore->html('Totale Lordo') ?>
		<td class="totaleLordo" >
	<tr>
		<th><?php $traduttore->html('Importo intervento') ?>
		<td class="importoIntervento" >
</table>  
	  
<div style="height:40px;width:100%;" ></div>
 
<table style="margin-bottom:0;border-bottom:0;">  
	<tr>
		<th><?php $traduttore->html('N° Intervento') ?>
		<td><?php echo htmlentities($rs[NumRichiesta]) ?>/<?php echo htmlentities($rs[NumRichiesta]) ?>
		
		<th><?php $traduttore->html('Servizio:') ?>
		<td><?php echo htmlentities($rs[Mestiere]) ?> 
		
		<th><?php $traduttore->html('Area Operativa:') ?>
		<td><?php echo htmlentities($rs[AreaOperativa]) ?> 
		
	<tr>
		<th><?php $traduttore->html('Impresa:') ?>
		<td colspan="2" ><?php echo htmlentities($rs[Ditta]) ?> 		
		
		<th><?php $traduttore->html('Contratto:') ?>
		<td colspan="2" >
		<?php
		$DataOrdine = ntxt( ntxDateTime($rs[DataOrdine]) );
		$IdEdificio = $rs[IdEdificio];
		$IdFornitore = $rs[Assegnazione];
		$IdMestiereOrdini = $rs[IdMestiereOrdini];
		
		if( is_numeric($IdMestiereOrdini)&&is_numeric($IdEdificio)&&is_numeric($IdFornitore)&&strlen($DataOrdine)>0 )
		{
			$sql = <<<_SQL
			SELECT DISTINCT    tblContrattiFornitori.IdContrattoFornitore, tblContrattiFornitori.IdFornitore, tblContrattiFornitori.Descrizione
			FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
								  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
								  tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
								  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND
								  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
			WHERE     (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa)
			AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $IdEdificio)
			AND (tblComponetiMestiere.IdMestiere = $IdMestiereOrdini)
			AND (tblContrattiFornitori.DataInizio <= $DataOrdine)
			AND (tblContrattiFornitori.DataFine >= $DataOrdine)
			AND (tblContrattiFornitori.IdFornitore = $IdFornitore)	
			AND (tblContrattiFornitori.UsaInModStrade = 1)	
_SQL;
			$rsContrFornitori = ntxRecord(ntxQuery($sql));
		?>
		
			<?php echo htmlentities($rsContrFornitori[Descrizione]) ?> 		
		
		<?php
		}
		?>
		
	<tr>	
		<th><?php $traduttore->html('Data:') ?>
		<td><?php echo ntxDateTime($rs[DataRichiesta]) ?>

		<th><?php $traduttore->html('Comune:') ?>
		<td><?php echo htmlentities($rs[Comune]) ?>
	
		<th><?php $traduttore->html('Indirizzo:') ?>
		<td><?php echo htmlentities($rs[LocalizzazioneString]) ?>
</table>
	
<table style="margin-top:0;border-top:0;">  
	<tr>	
		<th rowspan="2" colspan="2" style="font-size:140%;text-transform: uppercase;"  ><?php $traduttore->html('Centro di Costo') ?>

		<td>
		<strong><?php $traduttore->html('CDC 1° livello') ?></strong>
		<td>
		<?php echo htmlentities($rs[CDC1]) ?>
	<tr>	 
		<td>
		<strong><?php $traduttore->html('CDC 2° livello') ?></strong>
		<td>
		<?php echo htmlentities($rs[CDC2]) ?>

		
	<tr>	
		<th><?php $traduttore->html('Centro di Costo') ?>
		<th><?php $traduttore->html('Classificazione') ?>
		<th><?php $traduttore->html('Nuovi Allacci') ?>
		<th><?php $traduttore->html('Nuova Condotta ') ?>

		
	<tr>	
		<td><?php echo htmlentities($rs[CentroDiCosto]) ?>
		<td><?php echo htmlentities($rs[AbIntervento]) ?>
		<td> 
		<td> 

</table>

<div style="height:40px;" ></div>

<table>
	<tr>
		<th><?php $traduttore->html('Codice') ?>  
		<th><?php $traduttore->html('Descrizione') ?> 
		<th><?php $traduttore->html('Nota Riga') ?>
		<th><?php $traduttore->html('Misure') ?>
		<th><?php $traduttore->html('UM') ?>
		<th><?php $traduttore->html('Quantità') ?>
		<th><?php $traduttore->html('Prezzo Unitario') ?>
		<th><?php $traduttore->html('Totale Lordo') ?> 
<?php
if(is_numeric($NumOrdine)&&is_numeric($AnnoOrdine))
{
	$TotLordo = 0;
	$TotNetto = 0;

	$sql = <<< SQL
		SELECT     RiheContabilità.Cod, RiheContabilità.Descrizione, RiheContabilità.UM, RiheContabilità.QTA, RiheContabilità.PzUnitario, RiheContabilità.Sconto, 
						  RiheContabilità.Titolo, RiheContabilità.DescrEstesa, RiheContabilità.Prezziario, RiheContabilità.NotaRiga, Contabilità.Note,
						  RiheContabilità.Lun, RiheContabilità.Lar, RiheContabilità.Alt
						  
						  
		FROM         RiheContabilità INNER JOIN
					  Contabilità ON RiheContabilità.IdCommessa = Contabilità.IDCommessa AND RiheContabilità.NumContabilità = Contabilità.NumContabilità
		WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumOrdine = $NumOrdine) AND (Contabilità.AnnoOrdine = $AnnoOrdine)
		ORDER BY RiheContabilità.Prezziario, RiheContabilità.Cod
SQL;

	$query = ntxQuery($sql);
  
	while( $rs = ntxRecord($query) )
	{
		$Lordo = $rs['QTA'] * $rs['PzUnitario'];
		$Netto = $rs['QTA'] * $rs['PzUnitario'] * (1-$rs['Sconto']/100.0);
		$Note = $rs['Note'];
		
		$rs[Lun] = ntxRoundThousand($rs[Lun], 2);
		$rs[Lar] = ntxRoundThousand($rs[Lar], 2);
		$rs[Alt] = ntxRoundThousand($rs[Alt], 2);

		$misure = $rs[Lun];
		
		if ( $rs[Lun]  &&  ($rs[Lar] || $rs[Alt]) ) $misure .= "x";

		$misure .= $rs[Lar];
		
		if ( $rs[Lar]  &&  $rs[Alt] ) $misure .= "x";

		$misure .= $rs[Alt];		
		
		$rs[misure] = $misure;
		
		if(strlen($rs['Descrizione'])>20)	$rs['Descrizione'] = substr($rs['Descrizione'],0,20)."...";
?>
	<tr>
		<td>&nbsp;<?php echo htmlentities($rs['Cod']) ?>  
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?> 
		<td>&nbsp;<?php echo htmlentities($rs['NotaRiga']) ?>			
		<td>&nbsp;<?php echo htmlentities($rs['misure']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['UM']) ?>
		<td class="number">&nbsp;<?php echo ntxRoundThousand($rs['QTA'],2) ?>
		<td class="number">&nbsp;<?php echo ntxRoundThousand($rs['PzUnitario'],2) ?>
 
		<td class="number">&nbsp;<?php echo ntxRoundThousand($Lordo,2) ?> € 
<?php
		if ( is_numeric($Lordo) ) 
			$TotLordo += (float)($Lordo);

		if ( is_numeric($Netto) ) 
			$TotNetto += (float)($Netto);
	}
?>
	<tr>
		<th colspan="7" class="number" ><?php $traduttore->html('TOTALE: ') ?>
		<th class="number"><?php echo ntxRoundThousand($TotLordo,2) ?> € 
		<input type="hidden" class="Lordo" value="<?php echo ntxRoundThousand($TotLordo,2) ?> €" /> 
	<tr>
		<th ><?php $traduttore->html('Note: ') ?><td colspan="10">&nbsp;<?php echo htmlentities($Note) ?>  
		
		
		
	<?php
	require('../../gestori/sal_contratti_gestione/stampe_sal_abbanoa/rep-registro_contabilita/rep-registro_contabilta-coda-_per_segnalazioni.inc');
	?>	
	<input type="hidden" class="Netto" value="<?php echo ntxRoundThousand($TOTALE,2) ?> €" /> 
	<input type="hidden" class="Intervento" value="<?php echo ntxRoundThousand($TOTALE_GENERALE,2) ?> €" /> 
	
<?php
}
else
{
?> 
	<tr>
		<td>&nbsp; 
		<td>&nbsp; 
		<td>&nbsp; 
		<td>&nbsp; 
		<td>&nbsp; 
		<td>&nbsp; 
		<td>&nbsp; 
		<td>&nbsp;  
		
	<tr>
		<th colspan="7" class="number" ><?php $traduttore->html('TOTALE: ') ?>
		<th class="number">0,00
		<th class="number ">0,00
		
		<input type="hidden" class="Lordo" value="<?php echo ntxRoundThousand(0,2) ?> €" /> 
	
		
	<tr>
		<th ><?php $traduttore->html('Note: ') ?><td colspan="10">&nbsp; 
<?php
} 
?> 
</table>

<div style="height:40px;" ></div>

<table>
	<tr>
		<td style="width:33%;">
		<?php $traduttore->html('Sanluri ') ?> 
		<br><br>
		<div style="width:80%;margin:auto;" >
		&nbsp;<?php echo ntxDateTime($rs[DataRichiesta]) ?>
		<hr>
		</div> 


		<td style="width:33%;">
		<?php $traduttore->html('L\'impresa') ?>
		<br><br>
		<div style="width:80%;margin:auto;" >
		&nbsp;
		<hr>
		</div> 


		<td style="width:33%;">
		<?php $traduttore->html('Il direttore dei lavori') ?>
		<br><br>
		<div style="width:80%;margin:auto;" >
		<i><?php $traduttore->html('Martino Atzeni') ?></i>
		<hr>
		</div> 
</table>

 
</body>
</html>
