<?php
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_187", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_187", "IT", __FILE__);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"  "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <link href="../../_css/new_navstyleLittle.css" rel="stylesheet" type="text/css">
        <link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">

        <script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>

    </head>

    <body>
        <?php
        require_once(NTX_WEBPORTAL_PATH . '_database.inc');

        $IdCommessa = ntxise('IdCommessa');
        $Localizzazione = ntxip('Localizzazione');
        $Assegnazione = ntxip('Assegnazione');
        ?>

        <div align="center"> 	

            <form name=frmRun method=post>
                <input type="checkbox" name="risorsaAssociataEdifici" value="risorsaAssociataEdifici" <?php if ($_POST['risorsaAssociataEdifici'] == "risorsaAssociataEdifici") echo ' checked="checked" '; ?> onchange="document.frmRun.submit();"/> <?php $traduttore->html('Risorsa Associata all\'Edificio') ?>

                <input type=hidden name=Localizzazione value="<?php echo ntxJs($_POST['Localizzazione']) ?>">
                <input type=hidden name=Assegnazione value="<?php echo ntxJs($_POST['Assegnazione']) ?>">
            </form>

        </div>
  
<?php
$select = <<<_SQL
SELECT Risorse.ID, 
       Risorse.NOME 
_SQL;
$from = <<<_SQL
FROM Risorse 
_SQL;
$where = <<<_SQL
WHERE (Risorse.ruolo = 'Reperibile') 
AND (Risorse.Dismesso IS NULL OR Risorse.Dismesso = 0) 
AND (CodDitta = $Assegnazione) 
_SQL;
if ($_POST['risorsaAssociataEdifici'] === "risorsaAssociataEdifici") {       
$from .= <<<_SQL
 INNER JOIN RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa
_SQL;
$where .= <<<_SQL
AND (RisorseEdifici.IdCommessa = $IdCommessa) 
AND (RisorseEdifici.IdEdificio = $Localizzazione) 
_SQL;
} 
$orderBy = <<<_SQL
ORDER BY Risorse.NOME 
_SQL;

$sql = $select . " " . $from . " " . $where;
$query = ntxQuery($sql);
?>        

        <div align="center"> 	
            <table>
                <tr>
                    <th></th>
                    <th><?php $traduttore->html('Risorsa') ?></th>
                </tr>
                  <?php
                    $alternate = true;
                    while ($rs = ntxRecord($query)) {
                    ?>
                        <tr>
                            <td <?php echo $alternate ? "" : "class=td2" ?>>
                                <input type="button" value="<?php $traduttore->js('Seleziona') ?>" onclick="parent.SelezionaRigaRisorsa('<?php echo $rs['ID'] ?>', '<?php echo str_replace("'", '', str_replace('"', '', $rs['NOME'])) ?>')">
                            </td>

                            <td <?php echo $alternate ? "" : "class=td2" ?>>
                                &nbsp;<?php echo htmlentities($rs['NOME']) ?>
                            </td>
                            
                        </tr>
                    <?php
                        $alternate = !$alternate;
                    }
                    ?>
            </table>
        </div>
		<?php
			$traduttore->Salva();
		?>
    </body>
</html>
