<?php  
$coloriArray = array(
	 '#e6ee9c' 
	, '#fff59d' 
	, '#ffe082' 
	, '#ffcc80' 
	, '#ffab91' 
	, '#bcaaa4' 
	, '#eeeeee' 
	, '#b0bec5' 
	, '#ef9a9a'
	, '#f48fb1' 
	, '#ce93d8' 
	, '#b39ddb' 
	, '#9fa8da' 
	, '#90caf9' 
	, '#b3e5fc' 
	, '#b2ebf2' 
	, '#b2dfdb' 
	, '#a5d6a7' 
	, '#c5e1a5'  
);
?>


<?php
//in questa sezione metto controlli e funzioni
if(!is_numeric($_POST[mese1])) die("nessun mese selezionato!");
if(!is_numeric($_POST[anno1])) die("nessun anno selezionato!");

if(!is_numeric($_POST[StartSearch])) die("nessuna ricerca avviata!");

$mese1 = $_POST[mese1];
$anno1 = $_POST[anno1];

$daysCount = cal_days_in_month(CAL_GREGORIAN, $mese1, $anno1);  	

$sqlWhere = '';
if(is_numeric($_POST[IDDitta]) && $_POST[IDDitta]>0) 
{
	$value = (int)$_POST[IDDitta]; 
	$sqlWhere .= " AND Risorse.CodDitta = $value "; 
}

if(is_numeric($_POST[IdRisorse]) && $_POST[IdRisorse]>0) 
{
	$value = (int)$_POST[IdRisorse]; 
	$sqlWhere .= " AND Risorse.ID = $value "; 
}

if(is_numeric($_POST[RisorseDismesso]))
{
	$value = (int)$_POST[RisorseDismesso]; 
	$sqlWhere .= " AND Risorse.Dismesso = $value "; 
}

if ( isset($_POST['RisorsaNome'])  &&  strlen($_POST['RisorsaNome'])>0) 
{
	$str = stripslashes($_POST['RisorsaNome']."");
	$str = str_replace("'", "''", $str);
	$sqlWhere .= " AND Risorse.NOME LIKE '%".$str."%' ";
}

if ( isset($_POST['Ditta'])  &&  strlen($_POST['Ditta'])>0) 
{
	$str = stripslashes($_POST['Ditta']."");
	$str = str_replace("'", "''", $str);
	$sqlWhere .= " AND Ditte.Ditta LIKE '%".$str."%' ";
}

if ( isset($_POST['ContrattoAttivo'])  &&  is_numeric($_POST['ContrattoAttivo'])) 
{
	$value = $value = (int)$_POST[ContrattoAttivo]; 
	
	if($value==1)
	{
		$sqlWhere .= <<<_SQL
		AND ( tblContrattiFornitori.DataFine IS NULL OR tblContrattiFornitori.DataFine > getdate() ) 
_SQL;
	}
	else if($value==0)
	{
		$sqlWhere .= <<<_SQL
		AND  ( tblContrattiFornitori.DataFine <= getdate() )
_SQL;
	}
}


require("$_POST[MOD]/consistenza_turni_sql.inc");
?>

<table class="colore0" >

	<tr>
		<th rowspan="3" style="font-size:200%;" >
		<?php echo htmlentities($mesi[$mese1]) ?> 
		<br> 
		<?php echo htmlentities($anno1) ?>
		 
		<?php
		$arrayBk = array();
		$arrayCr = array();
 
		$query = ntxQuery($sqlQueryDitte);
		
		$i=0;
		while(  $query  &&  $rs = ntxRecord($query) )
		{ 
			$IdDitta = htmlentities($rs[IDDitta]); 
			
			$sqlQueryRisorse1 ="$sqlQueryRisorse AND Ditte.IDDitta = $IdDitta   ";  	 
			$numRisorse = ntxScalar("SELECT COUNT(ID) FROM ($sqlQueryRisorse1) AS A1 ");
		 	 
			if(!is_numeric($numRisorse)||$numRisorse==0) $numRisorse=1; 
			   	 
			 
			$arrayBk[$IdDitta] = $coloriArray[ ($i % count($coloriArray)) ];
			$arrayCr[$IdDitta] = 'black';
		?>
			<th colspan="<?php echo $numRisorse*2 ?>" style="background:<?php echo $arrayBk[$IdDitta] ?>;color:<?php echo $arrayCr[$IdDitta]?>;text-transform:uppercase;font-size:140%;border-right:solid 2px black;" title="<?php echo htmlentities($rs[Ditta]) ?>" > <?php echo htmlentities($rs[Ditta]) ?>
		<?php	
			++$i;
		}
		?>
		 
	<tr> 
		<?php 
		$query = ntxQuery($sqlQueryDitte);
		
		while(  $query  &&  $rs = ntxRecord($query) )
		{ 
			$IdDitta = htmlentities($rs[IDDitta]); 
			
			$sqlQueryRisorse1 ="$sqlQueryRisorse AND Ditte.IDDitta = $IdDitta $sqlQueryRisorseOrderBy ";  	 
			$query2 = ntxQuery($sqlQueryRisorse1);
		
			$numRisorse = 0;
			while(  $query2  &&  $rs2 = ntxRecord($query2) )
			{
				?>
					<th colspan="2" class="alto1" style="background:<?php echo $arrayBk[$IdDitta] ?>;color:<?php echo $arrayCr[$IdDitta]?>;border-right:solid 2px black;" title="<?php echo htmlentities($rs2[NOME]) ?>" >  
						<div class="divRiga2 verticale"> <?php echo htmlentities($rs2[NOME]) ?></div>	
				<?php
				++$numRisorse;
			} 
		}
		?>
		 
	<tr> 
		<?php 
		$query = ntxQuery($sqlQueryDitte);
		
		while(  $query  &&  $rs = ntxRecord($query) )
		{ 
			$IdDitta = htmlentities($rs[IDDitta]); 
			
			$sqlQueryRisorse1 ="$sqlQueryRisorse AND Ditte.IDDitta = $IdDitta $sqlQueryRisorseOrderBy ";   
			$query2 = ntxQuery($sqlQueryRisorse1);
		
			$numRisorse = 0;
			while(  $query2  &&  $rs2 = ntxRecord($query2) )
			{
				?>
					<th class="alto2" style="background:<?php echo $arrayBk[$IdDitta] ?>;color:<?php echo $arrayCr[$IdDitta]?>;" >
						<div class="verticale" >Pres.</div>
						
					<th class="alto2" style="background:<?php echo $arrayBk[$IdDitta] ?>;color:<?php echo $arrayCr[$IdDitta]?>;border-right:solid 2px black;" >
						<div class="verticale" >Rep.</div>
				<?php
				++$numRisorse;
			} 
		}
		?>
		
		
	
	<?php 
	$totRepDitteRisorse = array();
	
	for($day=1; $day<=$daysCount; $day++)
	{
		$data1 = ntxt("$day/$mese1/$anno1"); 
		$numWeek = ntxScalar("SELECT  datepart( weekday, $data1 ) AS numberDayWeek");	
	?>
		<tr>
			<td style="text-align:right;height:20px;font-size:120%;" >
			<?php echo htmlentities($week[$numWeek]) ?>&nbsp;<?php echo htmlentities("$day/$mese1/$anno1") ?>
		

			<?php 
			$query = ntxQuery($sqlQueryDitte);
			
			while(  $query  &&  $rs = ntxRecord($query) )
			{ 
				$IdDitta = htmlentities($rs[IDDitta]); 
				
				$sqlQueryRisorse1 ="$sqlQueryRisorse AND Ditte.IDDitta = $IdDitta $sqlQueryRisorseOrderBy ";  	  
				$query2 = ntxQuery($sqlQueryRisorse1);
			
				$numRisorse = 0;
				while(  $query2  &&  $rs2 = ntxRecord($query2) )
				{
					$IdRisorsa = $rs2[ID];
					
					$sql = <<< sql
					SELECT * 
					FROM 
						EN_TurniRisorse 
					WHERE     
						IdRisorsa = $IdRisorsa
						AND DAY(Data) = $day
						AND MONTH(Data) = $mese1
						AND YEAR(Data) = $anno1
sql;
					$rs01 = ntxRecord(ntxQuery($sql));
					$IdTurnoRisorsa = $rs01[ID];
					
					if(!is_numeric($IdTurnoRisorsa))
					{
					?>
						<td
							class="cellaAssociazione tdSelezionabile" 
							style="background:<?php echo $arrayBk[$IdDitta] ?>;color:<?php echo $arrayCr[$IdDitta]?>;" 
							
							onclick="dialog_unica('<?php echo $mese1 ?>' , '<?php echo $anno1 ?>' , '<?php echo $IdRisorsa ?>' , '<?php echo "$day/$mese1/$anno1" ?>');"
						>
							<div class="divRiga" >
							-
							</div>  
							
						<td 
							class="cellaAssociazione tdSelezionabile" 
							style="background:<?php echo $arrayBk[$IdDitta] ?>;color:<?php echo $arrayCr[$IdDitta]?>;"  
							 
							onclick="dettaglioReperibilita('<?php echo $IdRisorsa ?>' , 'rep' , '<?php echo "$day/$mese1/$anno1" ?>');"   
						>
							<div class="divRiga" >
							-
							</div> 
					<?php
					}
					else
					{ 
						require('_consistenza_turni_celle.php');  
					?>
				 
						<td 
							class="cellaAssociazione tdSelezionabile presenza EN_TurniRisorse_cella1_<?php echo $IdTurnoRisorsa ?>" 
							style="background:<?php echo $arrayBk[$IdDitta] ?>;color:<?php echo $arrayCr[$IdDitta]?>;"  
							
							onclick="dialog_unica('<?php echo $mese1 ?>' , '<?php echo $anno1 ?>' , '<?php echo $IdRisorsa ?>' , '<?php echo "$day/$mese1/$anno1" ?>');"
							
							onmouseover="getInfoCella(this, '<?php echo $IdTurnoRisorsa ?>' , 'pres')";							
						> 
							<?php echo $cella1 ?>  
							
						<td 
							class="cellaAssociazione tdSelezionabile presenza EN_TurniRisorse_cella2_<?php echo $IdTurnoRisorsa ?>" 
							style="background:<?php echo $arrayBk[$IdDitta] ?>;color:<?php echo $arrayCr[$IdDitta]?>;"  
							
							onclick="dettaglioReperibilita('<?php echo $IdRisorsa ?>' , 'rep' , '<?php echo "$day/$mese1/$anno1" ?>');"   
							
							onmouseover="getInfoCella(this, '<?php echo $IdTurnoRisorsa ?>' , 'rep')";			
						> 
							<?php echo $cella2 ?> 
						 
					<?php	
					}
					++$numRisorse;
				} 
			}
			?>
	<?php	
	}
	?>	  
	
	<tr>
		<td class="rigaReperibilita" style="text-align:right;" >
		totali reperibilità
		
		<?php 
		$query = ntxQuery($sqlQueryDitte);
		
		while(  $query  &&  $rs = ntxRecord($query) )
		{ 
			$IdDitta = htmlentities($rs[IDDitta]); 
			
			$sqlQueryRisorse1 ="$sqlQueryRisorse AND Ditte.IDDitta = $IdDitta $sqlQueryRisorseOrderBy ";  	 
			$query2 = ntxQuery($sqlQueryRisorse1);
		 
			while(  $query2  &&  $rs2 = ntxRecord($query2) )
			{
				$IdRisorsa = $rs2[ID];  
				?>
				<td class="rigaReperibilita" > 
				<td class="rigaReperibilita" style="text-align:center;font-weight:bold;" ><?php echo $totRepDitteRisorse[ $IdDitta ][ $IdRisorsa ] ?>  
				<?php	 
			} 
		}
		?>	 
</table>
 