<?php
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  

  

$week[1] = "lunedì";
$week[2] = "martedì";
$week[3] = "mercoledì";
$week[4] = "giovedì";
$week[5] = "venerdì";
$week[6] = "sabato";
$week[7] = "domenica"; 

if(!is_numeric($_POST[RisorseDismesso])) $_POST[RisorseDismesso]=0;

if(!is_numeric($_POST[ContrattoAttivo])) $_POST[ContrattoAttivo]=1;

if(!is_numeric($_POST[anno1])) $_POST[anno1]=ntxScalar(" SELECT YEAR(getdate()) ");

require('_mesi.php');
require('_pulizia.php');

if($_POST[MOD]=='super'||$_POST[MOD]=='affidatari') {}
else	
	die("nessuna MOD specificata!"); 


if(!is_numeric($_POST[mese1])) $_POST[mese1]=ntxScalar("SELECT MONTH(getdate())");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> 
<html>
<head>  
	<meta http-equiv="X-UA-Compatible" content="IE=9" />
	
	<title>Consistenza turni</title>
	
	<link href="locali.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css"> 
	 
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	 
	<link href="../../_css/sliding_div_finder.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css"> 
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script> 
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.3.1.min.js"></script>	
	
	<style> 
	.ui-dialog-titlebar-close {
	  visibility: hidden;
	}	 
	</style>
</head>

<body>

<script language="javascript">
$(document).ready(function() 
{ 	   
	var mese1 = '<?php echo htmlentities($_POST[mese1]) ?>';
	if(mese1.length>0) document.frmSearch.mese1.value = mese1; 	   

    $(".slidingDiv").hide();
	
	$('#bntShowHide').click(function()
	{
		$(".slidingDiv").slideToggle();
	});		
	
	
	document.frmSearch.ContrattoAttivo.value = "<?php echo htmlentities($_POST[ContrattoAttivo]) ?>"; 	  
	
	document.frmSearch.RisorseDismesso.value = "<?php echo htmlentities($_POST[RisorseDismesso]) ?>"; 	
	
	caricaDitta()
	document.frmSearch.IDDitta.value = "<?php echo htmlentities($_POST[IDDitta]) ?>"; 	
	
	caricaRisorse()
	document.frmSearch.IdRisorse.value = "<?php echo htmlentities($_POST[IdRisorse]) ?>"; 	
	 
	
	$( document ).tooltip({
		position: 
		{
			my: "center bottom-20",
			at: "center top",
			using: function( position, feedback ) 
			{
			  $( this ).css( position );
			  $( "<div>" ).appendTo( this );
			}
		}
	});
});   

function caricaDitta()
{
	var obj =  jhp_frm(document.frmSearch); 
	var result = jhp("jhp_caricamenti/carica_ditte.php",obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(document.frmSearch.IDDitta).html(result.value); 
	}  
} 

function caricaRisorse()
{ 
	var obj =  jhp_frm(document.frmSearch); 
	var result = jhp("jhp_caricamenti/carica_risorse.php",obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(document.frmSearch.IdRisorse).html(result.value); 
	} 	
}
</script>  

<form id="frmRicarica" name="frmRicarica" method="post"  >
	<?php ntxCreateHiddens() ?> 
</form>

<div id="dialog1" style="display:none;padding:0px;margin:0px;"> 
	<iframe id="frameDialog1"  src="" scrolling="yes" marginWidth="0" marginHeight="0" frameBorder="0" border="0" allowTransparency="true" class="frameDialog" ></iframe>
</div>	

<div id="dialog2" style="display:none;padding:0px;margin:0px;">
	<iframe id="frameDialog2"  src="" scrolling="yes" marginWidth="0" marginHeight="0" frameBorder="0" border="0" allowTransparency="true" class="frameDialog" ></iframe>
</div>	

<script>
function getInfoCella(obj, IdTurnoRisorsa, tipo)
{ 	 
	$(obj).prop('title', ''); 
	
	var result = jhp("jhp/getInfoCella.php", {IdTurnoRisorsa:IdTurnoRisorsa });

	if(result.state)
	{
		alert(result.message);
	}
	else
	{ 
		var value = result.value;   

		if(tipo=='pres')
			$(obj).prop('title', value.tooltipPres);  
	} 
}

function ricaricaCella(IdTurnoRisorsa)
{
	var result = jhp("jhp/ricaricaCella.php", {IdTurnoRisorsa:IdTurnoRisorsa });

	if(result.state)
	{
		alert(result.message);
	}
	else
	{ 
		var value = result.value;   
		
		$('.EN_TurniRisorse_cella1_'+IdTurnoRisorsa).html(value.cella1);
		$('.EN_TurniRisorse_cella2_'+IdTurnoRisorsa).html(value.cella2);  
	}
}

function dettaglioReperibilita(IdRisorsa, tipo, dataItaliana)
{   
	//$("#frameDialog2").attr("src","edita_turno_riga.php?IdTurnoRisorsa="+IdTurnoRisorsa+"&tipo="+tipo+"&dataItaliana="+dataItaliana);
	$("#frameDialog2").attr("src","dialog_unica_reperibilita.php?IdRisorsa="+IdRisorsa+"&tipo="+tipo+"&dataItaliana="+dataItaliana);

	$('#frameDialog2').load(function() 
	{
		$('#frameDialog2').unbind('load');
		
		$("#dialog2").dialog(
		{ 
			title: 'Azioni da applicare',
			modal: true,
			position: ['top',20],
			width: 500,
			height: 400,
			buttons: 
			{	
				"chiudi": function() 
				{   
					$(this).dialog("close"); 
					ricaricaPagina()
				}			
			}
		} ); 
	});	 
} 

function dialog_unica(mese, anno, IdRisorsa, dataItaliana)
{     
	$("#frameDialog1").attr("src","dialog_unica.php?IdRisorsa="+IdRisorsa+"&mese="+mese+"&anno="+anno+"&dataItaliana="+dataItaliana);
	
	$('#frameDialog1').load(function() 
	{
		$('#frameDialog1').unbind('load');
		
		$("#dialog1").dialog(
		{ 
			title: 'Azioni da applicare',
			modal: true,
			position: ['top',20],
			width: 650,
			height: 550,
			buttons: 
			{	
				/*
				"applica template": function() 
				{   
					if(!confirm("Si desidera applicare il template selezionato?")) return; 
					
					var IdTemplate = document.getElementById('frameDialog1').contentWindow.ritornaTemplate(); 
					var Data1 = document.getElementById('frameDialog1').contentWindow.ritornaData1();
					var Data2 = document.getElementById('frameDialog1').contentWindow.ritornaData2(); 
					
					var result = jhp("jhp/creaTurni.php", {Data1:Data1, Data2:Data2, IdRisorsa:IdRisorsa, IdTemplate:IdTemplate});

					if(result.state)
					{
						alert(result.message);
					}
					else
					{ 
						$(this).dialog("close");
						document.frmRicarica.submit();
					}  
				}
				,*/
				
				"chiudi": function() 
				{   
					$(this).dialog("close");
					ricaricaPagina()
				}
			}
		} ); 
	});	 
}

function ricaricaPagina()
{
	document.frmSearch.submit();
}

function stampa()
{
	window.print();
}
</script> 


<div class="divBottoni no-print" >   

	<button  id="bntShowHide" class="allineatoSinistra"  onsubmit="return false;"  >
		<img src="/repository/xhdpi/2_action_search.png" style="width:20px" />
		Criteri di ricerca
	</button>	
	
	<form method="post"  class="allineatoSinistra" >
		<?php ntxCreateHiddens() ?>
		<button   type="submit"  >
			<img src="/repository/xhdpi/1_navigation_refresh.png" style="width:20px" />
			Ricarica
		</button>
	</form>  
	
	<button   class="allineatoSinistra"  onclick="stampa();"  >
		<img src="/repository/xhdpi/10-device-access-screen-rotation.png" style="width:20px" />
		Stampa
	</button>	 
	
	<form  method="post" action="consistenza_turni_excel.php" target="_blank" class="allineatoSinistra">
		<?php ntxCreateHiddens() ?> 		
		<button   type="submit"  >
			<img src="/repository/xhdpi/9_av_download.png" style="width:20px" />
			Excel
		</button>		
	</form>		
	
</div>   

<div class="slidingDiv"  id="slidingDiv1">
	<form id="frmSearch" name="frmSearch"  method="post" action="" target=""> 
	
		<input type="hidden" name="StartSearch" value="1" > 
		
		<input type="hidden" name="MOD" value="<?php echo htmlentities($_POST['MOD']) ?>" >  
		<input type="hidden" name="avviaRicerca" value="<?php echo htmlentities($_POST['avviaRicerca']) ?>" >  
			
		<table class="colore1" style="margin-left:10px; min-width:320px;"   >  
			
			<tr><th>periodo 
				<td>
					<select name="mese1" style="width:100px; display:inline;" >
					<?php
					foreach($mesi as $key => $value)
					{
						$key = htmlentities($key);
						$value = htmlentities($value);
						
						$sel = '';
						if($key==$_POST['mese1'])
							$sel = ' selected="selected" ';
						
						echo " <option value=\"$key\" $sel >$value</option> ";						
					}
					?>
					</select>    
			 				
					<input type="text" name="anno1" value="<?php echo htmlentities($_POST['anno1']) ?>" style="width:100px; display:inline;" /> 
			
			<tr><th>ditta (nome)
				<td>   					
					<input type="text" name="Ditta" value="<?php echo htmlentities($_POST['Ditta']) ?>" onchange="caricaDitta();caricaRisorse();" style="display:inline;width:80%;" /> 
					<input type="button"  value="Filtra"   style="display:inline;width:15%;float:right;" /> 
			
			<tr><th>ditte con contratto attivo
				<td>   					
					<select name="ContrattoAttivo" >
						<option value="x">non importa
						<option value="1">SI
						<option value="0">NO
					</select>				
			
			<tr><th>ditta (select)
				<td>   					
					<select name="IDDitta" onchange="caricaRisorse();"   > 
					</select>   			
			
			<tr><th>risorsa (nome)
				<td>   					
					<input type="text" name="RisorsaNome" value="<?php echo htmlentities($_POST['RisorsaNome']) ?>" onchange="caricaRisorse();"  style="display:inline;width:80%;" /> 
					<input type="button"  value="Filtra"   style="display:inline;width:15%;float:right;" />  
			
			<tr><th>risorsa dismessa (select)
				<td>   					
					<select name="RisorseDismesso" onchange="caricaRisorse();" >
						<option value="x">non importa
						<option value="1">SI
						<option value="0">NO
					</select>   			
			
			<tr><th>risorse (select)
				<td>   					
					<select name="IdRisorse" ></select>   					
				
				
			<tr><th colspan="2">		
				<input type="button" style="width:100%;height:100%;" value="Cerca" onclick="document.frmSearch.avviaRicerca.value=1; document.frmSearch.submit();" /> 
		</table>
	</form>
</div> 

<?php
require('_consistenza_turni.php');
?>

	
</body>
</html>