<?php
/*
$sql = <<< sql
SELECT  $Data1 AS Data1, $Data2 AS Data2
sql;
$rs = ntxRecord(ntxQuery($sql));

$i_day 	= ntxDay($rs[Data1]);  
$i_month= ntxMonth($rs[Data1]);  
$i_year = ntxYear($rs[Data1]);    

$f_day 	= ntxDay($rs[Data2]);  
$f_month= ntxMonth($rs[Data2]);  
$f_year = ntxYear($rs[Data2]);  


$test1 = $f_month-$i_month;
if($test1==0||$test1==1){}
else ntxmsgerr("si puo' selezionare al massimo una differenza di 1 mese tra data di inizio e fine.");


if($i_month==$f_month) //stesso mese
{ 
	for($day=$i_day; $day<=$f_day; $day++)
	{
		consistenza('test', $day, $i_month, $i_year);
	}		  	  
 
	for($day=$i_day; $day<=$f_day; $day++)
	{
		consistenza('produzione', $day, $f_month, $f_year);
	}		
}
else //mesi differenti
{
	//consistenza 1 intervallo
	$daysCount = cal_days_in_month(CAL_GREGORIAN, $i_month, $i_year); 	
	for($day=$i_day; $day<=$daysCount; $day++)
	{
		consistenza('test', $day, $i_month, $i_year);
	}		  

	//consistenza 2 intervallo
	for($day=1; $day<=$f_day; $day++)
	{
		consistenza('test', $day, $f_month, $f_year);
	}	 


	//consistenza 1 intervallo
	$daysCount = cal_days_in_month(CAL_GREGORIAN, $i_month, $i_year); 	
	for($day=$i_day; $day<=$daysCount; $day++)
	{
		consistenza('produzione', $day, $i_month, $i_year);
	}		  

	//consistenza 2 intervallo
	for($day=1; $day<=$f_day; $day++)
	{
		consistenza('produzione', $day, $f_month, $f_year);
	}		   
}
*/

$sql = <<< sql
SELECT DATEDIFF ( MM , $Data1, $Data2 )
sql;
$test1 = ntxScalar($sql);
if($test1>=0  &&  $test1<=3){}
else
	ntxmsgerr("si puo' selezionare al massimo una differenza di 3 mesi tra data di inizio e fine.");
 

$sql = <<<_SQL
select ID, data
from GiorniTra2Date($Data1, $Data2)
_SQL;

$query = ntxQuery($sql);
 
while(  $query  &&  $rs = ntxRecord($query) )
{
	$day = ntxDay($rs[data]);  
	$month = ntxMonth($rs[data]);  
	$year = ntxYear($rs[data]);      
	
	consistenza('produzione', $day, $month, $year);
}


function consistenza($tipo, $day, $mese, $anno)
{
	global $IdTurnoTemplate, $IdRisorsa; 
	
	$data1 = "$day/$mese/$anno"; 
	$data1f = ntxt("$day/$mese/$anno");  
	$numWeek = ntxScalar("SELECT datepart( weekday, $data1f ) AS numberDayWeek");	
	
	if($tipo=='test')
	{
		/*
		$sql = <<< sql
		SELECT COUNT(ID) AS A1 
		FROM EN_TurniRisorse 
		WHERE     
			IdRisorsa = $IdRisorsa
			AND MONTH(Data) = $mese
			AND YEAR(Data) = $anno
			AND DAY(Data) = $day
sql;
		$count = ntxScalar($sql);

		$nomeRisorsa = ntxScalar("SELECT NOME FROM Risorse WHERE ID=$IdRisorsa");
		if( is_numeric($count)  &&  $count>0 )
			ntxmsgerr("esiste gia' una consistenza creata che coinvolge una o piu' date per\n$nomeRisorsa .\n\nad esempio:\n$day/$mese/$anno ."); 
		*/
	}
	else
	{
		$IdTurnoRisorsa = '';
		
		//se esiste niente
		$sql = <<<_SQL
		SELECT ID
		FROM EN_TurniRisorse
		WHERE
			IdRisorsa = $IdRisorsa
			AND MONTH(Data) = $mese
			AND YEAR(Data) = $anno
			AND DAY(Data) = $day
_SQL;
		$IdTurnoRisorsa = ntxScalar($sql);
		
		if(!is_numeric($IdTurnoRisorsa))
		{	
			$EN_TurniRisorse= new NtxTable("EN_TurniRisorse");
			$insert= $EN_TurniRisorse->insert();
			$insert->set("IdRisorsa", $IdRisorsa);	  
			$insert->set("Data", $data1);	  
			$insert->set("Reperibile", 0);	  
			$insert->set("IdTurnoTemplate", $IdTurnoTemplate);	  
			$insert->execute();	

			$IdTurnoRisorsa = ntxScalar("SELECT MAX(ID) AS A1 FROM EN_TurniRisorse");
		}
		else
		{
			$EN_TurniRisorse= new NtxTable("EN_TurniRisorse");
			$update= $EN_TurniRisorse->update();   
			$update->set("TemplateModificato", 0);	  
			$update->set("IdTurnoTemplate", $IdTurnoTemplate);	  
			$update->where("ID", $IdTurnoRisorsa);	 
			
			$update->execute();		
		}
		
		require('_consitenza_EN_TurniRisorseOrari.php'); 
	} 
}

?>