function createPolyline(encoding, colore, map, arrayPolylines)
{
	var bounds = new google.maps.LatLngBounds();
	var coordinates=[];
	
	var polyOptions = {
		strokeColor: colore,
		strokeOpacity: 0.5,
		strokeWeight: 8
	}

	var poly = new google.maps.Polyline(polyOptions);
	var points = decodeLine( encoding.replace(/\\\\/g, "\\") );

	for(var i=0; i < points.length; i++) 
	{
		var latLng = new google.maps.LatLng(points[i][0] , points[i][1]);
		coordinates.push(latLng);
	}		

	var path = poly.getPath();
	
	for (var i in coordinates)
	{	 
		path.push(coordinates[i]); 
	}	
	
	poly.setMap(map);	

	arrayPolylines.push(poly);	
}

function createPolygon(encoding, colore, map, arrayPolylines)
{
	var bounds = new google.maps.LatLngBounds();
	var coordinates=[];
	
	var polygon = new google.maps.Polygon({
	strokeOpacity: 0.5,
	strokeWeight: 8,
	fillColor: colore
	});

	var points = decodeLine( encoding.replace(/\\\\/g, "\\") );

	for(var i=0; i < points.length; i++) 
	{
		var latLng = new google.maps.LatLng(points[i][0] , points[i][1]);
		coordinates.push(latLng);
		
		var path = polygon.getPath();
	
		path.insertAt(path.length, latLng);	 				
	}			
	
	polygon.setMap(map);	 	

	arrayPolylines.push(poly);		
}