<?php  
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  
require($_SERVER['DOCUMENT_ROOT']."/repository/php/tabs/tabs_jquery.inc");

require("_pulizia_sql.php"); //IMPORTANTE

$prefisso = "f1421313308";

$keys[] = "edifici";			$caption[] = "Localizzazioni";			$links[] = "localizzazioni.php";  
$keys[] = "ricerca";			$caption[] = "Ricerca Pali e Quadri";	$links[] = "ricerca.php";  
$keys[] = "mappa";				$caption[] = "Mappa";					$links[] = "mappa.php";   
$keys[] = "edit_palo";			$caption[] = "Edit Palo";				$links[] = "edit_palo.php";   
$keys[] = "edit_quadro";		$caption[] = "Edit Quadro";				$links[] = "edit_quadro.php";   
//$keys[] = "scarico_gis";		$caption[] = "Scarico GIS";				$links[] = "scarico_gis.php";   

$tabs = new tbJq($prefisso , $keys , $caption, $links); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0' name='viewport' />
		<meta name="viewport" content="width=device-width" />
		
		<?php echo  tbJq::tbJq_requirements(); ?>
		<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
		
		<script type="text/javascript" src="/repository/libs/jquery/jquery.blockUI.js"></script>
	</head>
<body>	

	<form id="form1" name="form1" method="post" >
		<input type="hidden" name="mod"  value="<?php echo $mod ?>" />
	</form>	
	
	<div id="dialog" title="" style="display:none;padding:0px;margin:0px;">
		<iframe id="frameDialog"   scrolling="auto" marginWidth="0" marginHeight="0" frameBorder="0" border="0" allowTransparency="true"  style="border: none; width:100%; height:100%; background:transparent; display:block; overflow:auto;"></iframe>
	</div>		

	<script  type="text/javascript">  	
	function startBlocco()
	{ 	
		$.blockUI(
		{
			message: '<h2>elaborazione dati in corso</h2> <br> <img src="/repository/_img/bar-ajax-loader.gif" /> <br> ',
			css: { 
			border: 'none', 
			padding: '15px', 
			backgroundColor: '#000', 
			opacity:   0.6, 
			color: '#fff' 
			} 
		}); 
	} 	

	function stopBlocco()
	{ 	
		setTimeout($.unblockUI, 100);
	} 

	function visualizzaInfo(id, TipoRicerca, parametriGET)
	{ 	
		function creaDialog()
		{
			$("#dialog").dialog(
			{ 
				title: 'vista  '+TipoRicerca,
				modal: true, 
				width: 600,
				height: $(document).height()-50,
				buttons: 
				{	
					/*"Chiudi": function() { $(this).dialog("close"); }*/
				}
			} ); 			
		}		 
		
		
		if (typeof parametriGET != 'undefined') 
		{}
		else parametriGET='';
		
		
		if(TipoRicerca=='pali')
		{ 
			$("#frameDialog").attr("src","edit_palo.php?ID="+id+parametriGET);
		}	 
		else if(TipoRicerca=='quadri')
		{
			$("#frameDialog").attr("src","edit_quadro.php?ID="+id+parametriGET);
		}	 
		
		$('#frameDialog').load(function() 
		{
			$('#frameDialog').unbind('load');
			creaDialog();
		}); 
	}  
	
	function ricaricaPunto(ID, TipoRicerca)
	{ 	 
		try
		{ $('#dialog').dialog('close'); }
		catch(ex){}
		
		tbJq_getTabFrame("mappa").ricaricaPunto(ID, TipoRicerca);
	} 
	
	function eliminaMarketInserimentoMappa()
	{ 	  
		tbJq_getTabFrame("mappa").rimuoviMarkerNew();
	} 
	
	$(function() 
	{
		<?php echo $tabs->tbJq_init(); ?> 

		tbJq_showTabFrame("ricerca");
	}); 
	
	<?php echo  $tabs->tbJq_createJavascript(); ?>	
	</script>
	

	<?php echo  $tabs->tbJq_createHTML(); ?>
</body>
</html>