<?php  
header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header("Content-Type:text/plain");
header("Content-Disposition: attachment; filename=dati__utm32.csv");

session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 


$sql = <<<_SQL
(
	select codice, x_UTMXY,  y_UTMXY, 'quadro' AS tipo, CAST(LEFT(Codice, 10) AS int)  AS CodiceConvertito
	from Quadri

	union


	select codice, x_UTMXY,  y_UTMXY, 'palo' AS tipo, CAST(LEFT(Codice, 10) AS int)  AS CodiceConvertito
	from Pali
)
ORDER BY CodiceConvertito ASC
_SQL;

$query = $query = ntxQuery($sql);

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[x_UTMXY] = round($rs[x_UTMXY], 4);
	$rs[y_UTMXY] = round($rs[y_UTMXY], 4);

	echo <<<_TXT
$rs[codice],$rs[x_UTMXY],$rs[y_UTMXY],0.0,$rs[tipo]\r
_TXT;
}
?> 
		 