<?php  
header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header("Content-Type:text/plain");
header("Content-Disposition: attachment; filename=dati__lat_lng.csv");

session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 


$sql = <<<_SQL
(
	select codice, lat,  lng, 'quadro' AS tipo, CAST(LEFT(Codice, 10) AS int)  AS CodiceConvertito
	from Quadri

	union


	select codice, lat,  lng, 'palo' AS tipo, CAST(LEFT(Codice, 10) AS int)  AS CodiceConvertito
	from Pali
)
ORDER BY CodiceConvertito ASC
_SQL;

$query = $query = ntxQuery($sql);

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[lat] = round($rs[lat], 4);
	$rs[lng] = round($rs[lng], 4);

	echo <<<_TXT
$rs[codice],$rs[lat],$rs[lng],$rs[tipo]\r
_TXT;
}
?> 
		 