<?php
if ( !$_SESSION ) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 


$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdEdificio = ntxip('IdEdificio');

$where = "WHERE ElencoEdifici.IdCommessa=$IdCommessa AND UtentiEdifici.IdUtente = $IdUtente AND ElencoEdifici.ID=$IdEdificio ";

$sql = <<< sql
	SELECT ElencoEdifici.ID
		,ElencoEdifici.Codice
		,ElencoEdifici.EdificioEstesa
		,ElencoEdifici.EdificioBreve
		,ElencoEdifici.Indirizzo
		,ElencoEdifici.CITTA
		,ElencoEdifici.PROVINCIA
		,ElencoEdifici.CAP
		,ElencoEdifici.Tipo
		,ElencoEdifici.Regione
		,PortineriaEdifici.PostiTotali
		,PortineriaEdifici.PostiVacanti
	FROM ElencoEdifici
	INNER JOIN UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa
		AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
	INNER JOIN PortineriaEdifici ON ElencoEdifici.IdCommessa = PortineriaEdifici.IdCommessa 
		AND ElencoEdifici.ID = PortineriaEdifici.IdEdificio
	$where
sql;


$query = ntxQuery($sql);

$result = <<< _HTML
	<table class=grid>
		<tr>
			<th>ID
			<th>Codice
			<th>Nome Breve
			<th>Nome Esteso
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>CAP
			<th>Regione
			<th>Tipo
			<th>Posti Totali
			<th>Posti Vacanti
		</tr>
_HTML;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$Tipo = $html['Tipo']==2 ? "verde" : $rs[Tipo]==1 ? "strada" : "edile";
	
	$result .= <<< _HTML
		<tr $classTr>
			<td>$html[ID]
			<td>$html[Codice]
			<td>$html[EdificioBreve]
			<td>$html[EdificioEstesa]
			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[CAP]
			<td>$html[Regione]
			<td>$Tipo
			<td>$html[PostiTotali]
			<td>$html[PostiVacanti]
		</tr>
_HTML;

	$alternate = !$alternate;
}

$result .= "</table>";

jhp($result);

?>