$(function(){
	// settaggi
	frmRicerca.btnRicerca.click();
	
	jhp_select(frmRicerca.Portiere, 
		"jhp/carica_portieri.php", false, 
		{IdEdificio: frmRicerca.IdEdificio.value});

		jhp_select(frmRicerca.TipoDocIdentità, 
		"jhp/carica_tipi_doc_identita.php", true, 
		{});
});

function AssegnaDataOra(txt)
{
	var result = jhp("jhp/data_ora.php", {});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		txt.value = result.value;
	}
}

var objCodice = {
	jhpRoot: "jhp/gest_bici/",
	
	msgNoSelected: "Prima seleziona affidi bici da cancellare!",
	
	msgDelete: "Elimina affidi bici selezionate?",
	
	Campi: ['Id',
				'Portiere',
				'NomeAffidamento',
				'Bici',
				'DataOraAffidamento',
				'DataOraRestituzione',
				'CodBici',
				'DesBici',
				'TipoDocIdentità',
				'NumDocIdentità',
				'Note'
			],

	
	CampiCompilazione: [
				'NomeAffidamento',
				'TipoDocIdentità',
				'NumDocIdentità'
			],

		Aggiungi: function() {
			var result = jhp(this.jhpRoot+"aggiungi.php", 
					jhp_frm(frmRicerca));

			if(result.state)
			{
				alert(result.message);
			}
			else
			{
				this.CaricaForm(result.value);
			}
		},
		
	Modifica: function() {
			var result = jhp(this.jhpRoot+"modifica.php", 
					jhp_frm(frmRicerca));

			if(result.state)
			{
				alert(result.message);
			}
			else
			{
				this.CaricaForm(result.value);
			}
		},
		
	Elimina: function() {
			
			var lista_id = "";
			
			$('input[type=checkbox][SelRiga]:checked').each(function(){
				if ( lista_id!="" ) lista_id += ",";
				
				lista_id += $(this).attr('IdRiga');
			});
			
			if ( lista_id=="" )
			{
				alert(this.msgNoSelected);
				return;
			}

			if ( !confirm(this.msgDelete) ) return;
			
			var result = jhp(this.jhpRoot+"elimina.php", 
					{lista_id: lista_id});

			if(result.state)
			{
				alert(result.message);
			}
			else
			{
				frmRicerca.btnRicerca.click();
			}
		},
		
	Seleziona: function(value) {
		$('input[type=checkbox][SelRiga]').attr('checked', value);
	},
	
	CompilaForm: function(IdRiga) {
			var result = jhp(this.jhpRoot+"carica_form.php", 
					{IdRiga: IdRiga});

			if(result.state)
			{
				alert(result.message);
			}
			else
			{
				var rs = result.value;
				var i, len=this.Campi.length;

				for(i=0;i<len;++i)
					frmRicerca[this.Campi[i]].value = '';

				len=this.CampiCompilazione.length;

				for(i=0;i<len;++i)
					frmRicerca[this.CampiCompilazione[i]].value = rs[this.CampiCompilazione[i]];
				frmRicerca.Portiere.selectedIndex = 0;
				
				scroll(0,0);
			}
		},
		
	CaricaForm: function(IdRiga) {
			var result = jhp(this.jhpRoot+"carica_form.php", 
					{IdRiga: IdRiga});

			if(result.state)
			{
				alert(result.message);
			}
			else
			{
				var rs = result.value;
				var i, len=this.Campi.length;

				for(i=0;i<len;++i)
					frmRicerca[this.Campi[i]].value = rs[this.Campi[i]];

				jei('imgScansione').src = rs['urlDestinazione'];
				
				scroll(0,0);
			}
		},

	ElementiSelezionati: function() {
		var list = $('input[type=checkbox][SelRiga]:checked');
		var i, len = list.length;
		var result = "";
		
		for(i=0; i<len; ++i)
		{
			if ( result.length>0 ) result += ",";
			
			result += $(list[i]).attr('IdRiga');
		}
		
		return result;
	},
	
	MostraNascondi: function(btn) {
		if ( btn.value=="+" )
		{
			btn.value = "-";
			$(frmRicerca).show();
			$('#br1').show();
		}
		else
		{
			btn.value = "+";
			$(frmRicerca).hide();
			$('#br1').hide();
		}
	},
	
	AddDocScansionato: function() {
		frmRicerca.action="upload_scansione_bici.php"  
		frmRicerca.target="scaricoFoto";
		frmRicerca.submit();
	},
	
	SwitchScansioneDati: function() {
		var img = $('#imgScansione');
		
		var Ridotto = img.attr('Ridotto');
		
		if ( Ridotto=='SI' )
		{
			img.attr('Ridotto', 'no');
			img.width(800).height(800);
			$('th[RidottoNascondi]').hide();
			$('td[RidottoNascondi]').hide();
		}
		else
		{
			img.attr('Ridotto', 'SI');
			img.width(150).height(150);
			$('th[RidottoNascondi]').show();
			$('td[RidottoNascondi]').show();
		}
	},
	
	SelBici: function(Bici){
		frmRicerca.Bici.value = Bici;
		parent.drcShowKeyTab("gest_bici");
		
		var result = jhp(this.jhpRoot+"carica_cod_des_bici.php", 
				{Bici: Bici});

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			var rs = result.value;

			frmRicerca.CodBici.value = rs['CodBici'];
			frmRicerca.DesBici.value = rs['DesBici'];
		}
	}
};