<?php  
session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdEdificio = ntxip('IdEdificio');
$mod_cocacola = ntxip('mod_cocacola');

$sql = <<< _SQL

	SELECT     
		Tecnici.Tipo
	FROM         
		Utenti 
			INNER JOIN
				UtentiTecnici ON Utenti.Id = UtentiTecnici.IdUtente 
			INNER JOIN
				Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec
	WHERE     
		(Utenti.Id = $IdUtente)
		
_SQL;

$TipoUtente = ntxScalar($sql);
if ($TipoUtente == 'PROV') {
  $no_edit = true;
} else {
  $no_edit = false;
}
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script>
	
	
	<link href="css/base.css" rel="stylesheet" type="text/css">
	<script src="js/base.js" type="text/javascript"></script>
	<script src="js/visite.js?v5" type="text/javascript"></script>
</head>
<body>

<br />
<div id="testata_edificio"></div>
<br />

Gestione Accessi Portineria
<input type=button value="<?php echo $no_edit ? "+" : "-" ?>" onclick="objCodice.MostraNascondi(this)" style="float:left" />

<form name="frmRicerca" method="post" enctype="multipart/form-data" Paginazione <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>
	<?php PaginazioneCampiPerForm(20, 'jhp/visite/ricerca.php', 'lista-risultati-ricerca') ?>

	<input type=hidden name=no_edit value="<?php echo $no_edit ? "1" : "0" ?>" />
	<input type=hidden name=mod_cocacola value="<?php echo $mod_cocacola ?>" />
	<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
	
	<table class=grid>
		<caption>Gestione Accessi Portineria
		<tr><th RidottoNascondi>Id<td RidottoNascondi><input type=text name=Id size=50 readonly />
			<th RidottoNascondi>Portiere<td RidottoNascondi><select name=Portiere style="width:100%"></select>
			
			<td rowspan=7><img id=imgScansione src="" style="width:150px;height:150px" Ridotto="SI" onclick="objCodice.SwitchScansioneDati()" />
			
		<tr><th RidottoNascondi>Nome Ospite<td RidottoNascondi><input type=text name=NomeOspite size=50 />
			<th RidottoNascondi>Motivo Accesso<td RidottoNascondi><select name=MotivoAccesso style="width:100%"></select>
		<tr><th RidottoNascondi>Data/Ora Ingresso<td RidottoNascondi><input type=text name=DataOraIngresso size=40 />
																	<input type=button value="ora" onclick="AssegnaDataOra(frmRicerca.DataOraIngresso)" />
			<th RidottoNascondi>Data/Ora Uscita<td RidottoNascondi><input type=text name=DataOraUscita size=40 />
      														<input type=button value="ora" onclick="AssegnaDataOra(frmRicerca.DataOraUscita)" />
		<tr>
			<th RidottoNascondi>Referente Ospite<td RidottoNascondi><input type=text name=ReferenteOspite size=50 />
			<th RidottoNascondi>Tipo Doc.Identità<td RidottoNascondi><select name=TipoDocIdentità style="width:100%"></select>
		<tr>
			<th RidottoNascondi>Note<td RidottoNascondi><input type=text name=Note size=50 />
			<th RidottoNascondi>Targa<td RidottoNascondi><input type=text name=Targa size=50 onchange="checkVeicolo()" />
		<tr>
			<th RidottoNascondi>Nome Azienda<td RidottoNascondi><input type=text name=NomeAzienda size=50 />
			<th RidottoNascondi>Num Doc.Identità<td RidottoNascondi><input type=text name=NumDocIdentità size=50 />
		<tr><th colspan=4 RidottoNascondi>
			<input type=checkbox name=chkEntrataVeicolo id=chkEntrataVeicolo />
			<label for=chkEntrataVeicolo>Filtro Entrata Veicolo</label>
			
<?php if ( !$no_edit ) { ?>
			<input type=button name=btnAggiungi value="Aggiungi" onclick="objCodice.Aggiungi()" />
			<input type=button name=btnModifica value="Modifica" onclick="objCodice.Modifica()" />
			
<?php } ?>
			<input type=button value="Reset" onclick="this.form.reset()" />
			<input type=button name=btnRicerca value="Ricerca" onclick="PaginazioneRicerca(this, 'first')" />
			<input type=checkbox name=chkFiltraPerPortiere id=chkFiltraPerPortiere />
			<label for=chkFiltraPerPortiere>Filtro per Portiere</label>
			<tr><th colspan=4 RidottoNascondi><input type=file name=xfile size=50 />
			<input type=button name=btnScansione value="Aggiungi Scansione" onclick="objCodice.AddDocScansionato()" />
			<iframe name=scaricoFoto style="width:1px;height:1px"></iframe>
	</table>
</form>

<br id=br1 <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>
<span ButtonSet>
<input type=button value="Sel.Tutto" onclick="objCodice.Seleziona(true)" />
<input type=button value="Sel.Niente" onclick="objCodice.Seleziona(false)" />
<?php if ( !$no_edit ) { ?>
	<input type=button value="Elimina" onclick="objCodice.Elimina()" />
<?php } ?>
</span>

<span ButtonSet>
<?php PaginazioneNavigazione('frmRicerca') ?>
</span>
<br>
<br>

<div id="lista-risultati-ricerca"></div>
<br>

<span ButtonSet>
<input type=button value="Sel.Tutto" onclick="objCodice.Seleziona(true)" />
<input type=button value="Sel.Niente" onclick="objCodice.Seleziona(false)" />
<?php if ( !$no_edit ) { ?>
	<input type=button value="Elimina" onclick="objCodice.Elimina()" />
<?php } ?>
</span>

<span ButtonSet>
<?php PaginazioneNavigazione('frmRicerca') ?>
</span>


</body>
</html>
