<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$Id = ntxip('IdRiga');

$sql = <<< sql
	SELECT     PortineriaGestioneBici.Id, PortineriaGestioneBici.Portiere, PortineriaGestioneBici.NomeAffidamento, 
                      PortineriaGestioneBici.DataOraAffidamento, PortineriaGestioneBici.DataOraRestituzione, PortineriaGestioneBici.TipoDocIdentità, 
                      PortineriaGestioneBici.NumDocIdentità, PortineriaGestioneBici.ScansioneDocIdentità, PortineriaGestioneBici.Note, 
                      PortineriaGestioneBici.Bici, PortineriaBici.Codice, PortineriaBici.Descrizione
	FROM         PortineriaGestioneBici LEFT JOIN
                      PortineriaBici ON PortineriaGestioneBici.Bici = PortineriaBici.Id
	  WHERE     (PortineriaGestioneBici.Id = $Id)
sql;

$rs = ntxRecord(ntxQuery($sql));

$rs[DataOraAffidamento] = ntxDateTime($rs[DataOraAffidamento]);
$rs[DataOraRestituzione] = ntxDateTime($rs[DataOraRestituzione]);

$rs[CodBici] = "$rs[Codice]";
$rs[DesBici] = "$rs[Descrizione]";

foreach($rs as $k=>$v)
	$rs[$k] = "$v";

$sql = <<< sql
	SELECT     pathPublicShapeWeb
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa) 
sql;
	
$pathPublicShapeWeb = ntxScalar($sql);

$pathOrigine = "{$pathPublicShapeWeb}\\{$rs[ScansioneDocIdentità]}";

$rs[urlDestinazione] = '';

if ( is_file($pathOrigine) )
{
	$url = "\\".NTX_SUBPATH_PORTALE."\\tmp";

	$countFiles = 0;

	$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

	$files = glob("$dir\\*.*");

	if ( is_array($files) ) 
		$countFiles = count($files);

	if ( $countFiles > 500 )
	{
		foreach ($files as $file) 
		{
			if ( is_file($file) )
				unlink($file);
		}
	}

	$path_info = pathinfo($pathOrigine);
	$extension = $path_info['extension'];

	$pathDestinazione = tempnam($dir, "TN").".$extension";
	$urlDestinazione = str_replace("\\","/", $url.substr($pathDestinazione, strlen($dir)));

	copy($pathOrigine, $pathDestinazione);
	
	$rs[urlDestinazione] = $urlDestinazione;
}

jhp($rs);

?>
