<?php

$where = "WHERE     (tblUtPersonale.IdCommessa = $IdCommessa)";

$where .= " AND tblUtPersonale.Studente=1 ";

$where .= " AND (Ambiente.IdEdificio = $IdEdificio) ";

$where .= " AND (Ambiente.IdLivello = $IdPiano) ";

$where .= " AND tblUtPersAmbienti.DataInizio<=getdate() and getdate()<=tblUtPersAmbienti.DataFine ";

$sql = <<< sql
	SELECT  DISTINCT   tblUtPersonale.IdPersona, tblUtPersonale.Studente, tblUtPersonale.Codice, tblUtPersonale.Nome, 
						Ambiente.CodiceAssAmbiente, tblUtPersAmbienti.Proprietario, tblUtPersAmbienti.Note,
						tblUtPersAmbienti.DataInizio, tblUtPersAmbienti.DataFine,
						
						(SELECT     TOP (1) Entrato
							FROM         EntrataUscitaStudenti
							WHERE     (IdCommessa = tblUtPersonale.IdCommessa) AND (IdEdificio = Ambiente.IdEdificio) AND (IdPersona = tblUtPersonale.IdPersona)
							ORDER BY DataOra DESC) Entrato,
						
						(SELECT     TOP (1) DataOra
							FROM         EntrataUscitaStudenti
							WHERE     (IdCommessa = tblUtPersonale.IdCommessa) AND (IdEdificio = Ambiente.IdEdificio) AND (IdPersona = tblUtPersonale.IdPersona)
							ORDER BY DataOra DESC) DataOra
							
	FROM         tblUtPersonale LEFT JOIN
                      tblUtPersAmbienti ON tblUtPersonale.IdCommessa = tblUtPersAmbienti.IdCommessa AND 
                      tblUtPersonale.IdPersona = tblUtPersAmbienti.IdPersona LEFT JOIN
                      Ambiente ON tblUtPersAmbienti.IdCommessa = Ambiente.IdCommessa AND tblUtPersAmbienti.IdEdificio = Ambiente.IdEdificio AND 
                      tblUtPersAmbienti.IdAmbiente = Ambiente.IDAmbiente
	$where
sql;

$query2 = ntxQuery($sql);

while($rs2=ntxiRecord($query2))
{
	$layer = ms_newLayerObj($map);

	$layer->set("name", "temi_{$rs[0]}");

	$layer->set("type", MS_LAYER_POLYGON);

	$layer->set("status", MS_ON);

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	ToRgb($rs2[0], $rosso, $verde, $blu);

	$style->color->setRGB($rosso, $verde, $blu);

	$Colore = ntxs($rs2[0]);
	
	$sql = <<< sql
		SELECT  DISTINCT AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.CoordXY, AmbienteShapes.Id
		FROM         tblUtPersonale INNER JOIN
                      tblUtPersAmbienti ON tblUtPersonale.IdCommessa = tblUtPersAmbienti.IdCommessa AND 
                      tblUtPersonale.IdPersona = tblUtPersAmbienti.IdPersona INNER JOIN
                      Ambiente ON tblUtPersAmbienti.IdCommessa = Ambiente.IdCommessa AND tblUtPersAmbienti.IdEdificio = Ambiente.IdEdificio AND 
                      tblUtPersAmbienti.IdAmbiente = Ambiente.IDAmbiente
						  INNER JOIN
					  AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
					  Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente
		WHERE     (Ambiente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.IdLivello = $IdPiano)
			AND (AmbienteShapes.Tipo = 2)
			AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
			AND (tblUtPersonale.Colore=$Colore)
			AND (tblUtPersAmbienti.DataInizio <= $txtDateTema or tblUtPersAmbienti.DataInizio is null) 
			AND (tblUtPersAmbienti.DataFine >= $txtDateTema or tblUtPersAmbienti.DataFine is null) 
		ORDER BY AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.Id
sql;

	$query3 = ntxQuery($sql);

	$IdAmbiente = $IdShape = "";

	$punti = "";

	while($rs3=ntxRecord($query3))
	{
		if ( $IdAmbiente=="" ) 
		{
			$IdAmbiente = $rs3[IdAmbiente];
			$IdShape = $rs3[IdShape];
		}
		
		if ( $IdAmbiente!=$rs3[IdAmbiente] || $IdShape!=$rs3[IdShape] ) 
		{
			$IdAmbiente = $rs3[IdAmbiente];
			$IdShape = $rs3[IdShape];
			
			WritePolygon($layer, $punti);
			
			$punti = "";
		}
		
		$punti .= $rs3[CoordXY];
	}

	if ( $punti!="" ) 
		WritePolygon($layer, $punti);
}


?>