<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$where = "WHERE     (tblUtPersonale.IdCommessa = $IdCommessa)";

$where .= " AND tblUtPersonale.Studente=1 ";

$where .= " AND (Ambiente.IdEdificio = $IdEdificio) ";

$where .= " AND tblUtPersAmbienti.DataInizio<=getdate() and getdate()<=tblUtPersAmbienti.DataFine ";

if ( strlen("$_POST[CodiceStanza]")>0 ) $where .= " AND Ambiente.CodiceAssAmbiente LIKE '%".str_replace("'","''",$_POST[CodiceStanza])."%'";

if ( strlen("$_POST[Nome]")>0 ) $where .= " AND tblUtPersonale.Nome LIKE '%".str_replace("'","''",$_POST[Nome])."%'";

$sql = <<< sql
	SELECT  DISTINCT   tblUtPersonale.IdPersona, tblUtPersonale.Studente, tblUtPersonale.Codice, tblUtPersonale.Nome, 
						Ambiente.CodiceAssAmbiente, tblUtPersAmbienti.Proprietario, tblUtPersAmbienti.Note,
						tblUtPersAmbienti.DataInizio, tblUtPersAmbienti.DataFine,
						
						(SELECT     TOP (1) Entrato
							FROM         EntrataUscitaStudenti
							WHERE     (IdCommessa = tblUtPersonale.IdCommessa) AND (IdEdificio = Ambiente.IdEdificio) AND (IdPersona = tblUtPersonale.IdPersona)
							ORDER BY DataOra DESC) Entrato,
						
						(SELECT     TOP (1) DataOra
							FROM         EntrataUscitaStudenti
							WHERE     (IdCommessa = tblUtPersonale.IdCommessa) AND (IdEdificio = Ambiente.IdEdificio) AND (IdPersona = tblUtPersonale.IdPersona)
							ORDER BY DataOra DESC) DataOra
							
	FROM         tblUtPersonale LEFT JOIN
                      tblUtPersAmbienti ON tblUtPersonale.IdCommessa = tblUtPersAmbienti.IdCommessa AND 
                      tblUtPersonale.IdPersona = tblUtPersAmbienti.IdPersona LEFT JOIN
                      Ambiente ON tblUtPersAmbienti.IdCommessa = Ambiente.IdCommessa AND tblUtPersAmbienti.IdEdificio = Ambiente.IdEdificio AND 
                      tblUtPersAmbienti.IdAmbiente = Ambiente.IDAmbiente
	$where
sql;

$paginazione = ntxPaginazione($sql, "Codice, Nome");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Nome
			<th>Codice Stanza
			<th>Entrato
			<th>Uscito
			<th>Data/Ora
			<th>
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$Entrato = $rs[Entrato] ? "X" : "";
	$Uscito = !$rs[Entrato]  &&  $rs[DataOra] ? "X" : "";
	$Studente = $rs[Studente] ? "X" : "";
	$Proprietario = $rs[Proprietario] ? "X" : "";
	$DataInizio = ntxDate($rs[DataInizio]);
	$DataFine = ntxDate($rs[DataFine]);
	$DataOra = ntxDateTime($rs[DataOra]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td><input type=button value=sel onclick="SelStudente($rs[IdPersona])" />
			<td>$html[Nome]
			<td>$html[CodiceAssAmbiente]
			<td TabellaStudenti IdPersona=$rs[IdPersona] Entrato>$Entrato
			<td TabellaStudenti IdPersona=$rs[IdPersona] Uscito>$Uscito
			<td TabellaStudenti IdPersona=$rs[IdPersona] DataOra>$DataOra
			<td><input type=button value=mappa onclick="MappaStudente($rs[IdPersona])" />
table;
	
	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
