<?php  
session_start();

require_once("../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=progetto.xls");

require($_SERVER['DOCUMENT_ROOT'].'/repository/php/str_split.php');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
		<style>		
		th
		{
			color: black;
			font-weight: bold;
		}

		td
		{
			text-align:left;
			vertical-align:top;
		}
		
		.noCell
		{
			background: white;
		}
		
		.tblF
		{
			background: LightSalmon ;
		}
		
		.tbl0
		{
			background: LightSteelBlue;
		}
		.tbl1
		{
			background: Beige;
		}
		.tbl2
		{
			background: LightBlue;
		}
		.tbl3
		{
			background: YellowGreen  ;
		}
		</style>
	</head>
<body>

<?php
$IdCommessa = ntxise('IdCommessa');
$IdProgetto = ntxip('IdProgetto');


require('excel_query_progetto.php');

$query = ntxQuery($sql); 

$rs = ntxRecord($query );
?>
<table class="tblF" >
	<tr>
		<th colspan="2" > <?php echo htmlentities($rs[Nome]) ?>
	</tr>
	
	<tr>
		<th> Descr
		<td> <?php echo htmlentities($rs[Descrizione]) ?>
	</tr>
	
	<tr>
		<th> Inizio
		<td> <?php echo ntxDateTime($rs[DataInizio]) ?>
	</tr>	
	
	<tr>
		<th> Fine
		<td> <?php echo ntxDateTime($rs[DataFine]) ?>
	</tr>
	
	<tr>
		<th> Status
		<td> <?php echo htmlentities($rs[Stato]) ?>
	</tr>
	
	<tr>
		<th> Risorse
		<td> 
			<ul>
			<?php 
			require('excel_query_progetto_risorse.php');
			
			$queryTmp = ntxQuery($sql); 
			
			while( $rsTmp = ntxRecord($queryTmp) )
			{ 
				echo "<li>".htmlentities($rsTmp[Risorsa])."</li>"; 
			}
			?>
			</ul>	
	</tr>
</table>
 
<br></br> 
 
<?php
require('excel_query_eventi.php');

$query = ntxQuery($sql); 
?>

<?php
while( $rs = ntxRecord($query) )
{
	$IdEvento = $rs[IdEvento];
?>
	<table class="tbl0">
		<tr>			
			<td  > <?php echo ntxDate( $rs[Data] ) ?> 
		</tr>

		<tr>	
			<td  >  
			<td  > <?php echo htmlentities( $rs[Luogo] ) ?> 		
			<td  > <?php echo htmlentities( $rs[Oggetto] ) ?> 
		</tr>
		
		<tr>	
			<td  >  
			<th  colspan="2" > <?php echo htmlentities( $rs[Descrizione] ) ?> 		
		</tr>		
			
		<tr>
			<td  >  
			<td  colspan="2" >  
				<ul>
				<?php 
				require('excel_query_eventi_risorse.php');
				
				$queryTmp = ntxQuery($sql); 
				
				while( $rsTmp = ntxRecord($queryTmp) )
				{ 
					echo "<li>".htmlentities($rsTmp[Risorsa])."</li>"; 
				}
				?>
				</ul>	
		</tr>		
	</table>
	<?php
	require('excel_argomenti.php');
	?>
			
	
	<br> 	
<?php
} 
?>


</body>
</html>