$(function(){
	$('input:text[DatePicker]').datepicker();
	
	CaricaProprietari();
});

function CaricaProprietari()
{
	var result = jhp('jhp/elenco_proprietari.php', {});
	
	if ( result.state )
	{
		alert(result.message);
	}
	else
	{
		$('select[name=Proprietario]').html(result.value);
	}
}

function Ricerca()
{
	var result = jhp('jhp/ricerca.php', jhp_frm(form1));
	
	if ( result.state )
	{
		alert(result.message);
	}
	else
	{
		$('#result').html(result.value);
	}
}

function Seleziona(value)
{
	$('input:checkbox[IdEdificioSel]').prop('checked', value);
}

function SelezionaFromKey(key)
{
	Seleziona(false);
$('input:checkbox[IdEdificioSel]['+key+'=0]').prop('checked', true);
}

function PopolaVani()
{
	PopolaBase(messaggi.Genera_terne, 'jhp/popola_vani.php');
}
		
function PopolaAttivitàVani()
{
	PopolaBase(messaggi.Genera_attivita_vani, 'jhp/popola_attivita_vani.php');
}
		
function PopolaAttivitàEdifici()
{
	PopolaBase(messaggi.Genera_attivita_edif, 'jhp/popola_attivita_edifici.php');
}
		
function PopolaAttivitàUtilizzatori()
{
	PopolaBase(messaggi.Genera_attivita_util, 'jhp/popola_attivita_utilizzatori.php');
}
		
function PopolaBase(messaggioConferma, pathJhp)
{
	if ( !confirm(messaggioConferma) ) return;
	
	var obj = jhp_frm(form1);
	
	obj.ElencoIdEdifici = ElencoEdificiSelezionati();
	
	if ( obj.ElencoIdEdifici=="" )
	{
		alert(messaggi.Seleziona_edificio);
		return;
	}
	
	var result = jhp(pathJhp, obj);
	
	if ( result.state )
	{
		alert(result.message);
	}
	else
	{
		Ricerca();
	}
}
	
function ElencoEdificiSelezionati()
{
	var result = "";
	
	$('input:checkbox[IdEdificioSel]:checked').each(function(){
		var chk = $(this);
		
		if ( result!="" ) result+=",";
		
		result+=chk.attr('IdEdificioSel');
	});
	
	return result;
}
		
function GeneraSchema()
{
	var name = form1.NomeSchema.value+"";
	
	if ( name.trim()=="" )
	{
		alert(messaggi.Nome_mancante);
		return;
	}
	
	var obj = jhp_frm(form1);
	
	var result = jhp("jhp/nome_esistente.php", obj);

	if(result.state)
	{
		alert(result.message);
		return;
	}
	else
	{
		if ( result.value>0 )
		{
			alert(messaggi.Nome_usato);
			return;
		}
	}

	if ( !confirm(messaggi.Genera_schema) ) return;
	
	obj.ElencoIdEdifici = ElencoEdificiSelezionati();
	
	if ( obj.ElencoIdEdifici=="" )
	{
		alert(messaggi.Seleziona_edificio);
		return;
	}
	
	result = jhp("jhp/genera_schema.php", obj);
	
	if ( result.state )
	{
		alert(result.message);
	}
	else
	{
		Ricerca();
	}
}

function AccodaInSchema(IdTestataSchema)
{
	var name = form1.NomeSchema.value+"";
	
	var obj = jhp_frm(form1);
	
	if ( !confirm(messaggi.Accoda_in_schema) ) return;
	
	obj.ElencoIdEdifici = ElencoEdificiSelezionati();
	obj.IdTestataSchema = IdTestataSchema;
	
	if ( obj.ElencoIdEdifici=="" )
	{
		alert(messaggi.Seleziona_edificio);
		return;
	}
	
	result = jhp("jhp/accoda_a_schema.php", obj);
	
	if ( result.state )
	{
		alert(result.message);
	}
	else
	{
		Ricerca();
	}
}
	