<?php  
if (!isset($_SESSION)) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

require_once("../../vers.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_259", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_259", "IT", __FILE__);


$IdCommessa = ntxise('IdCommessa');

if(!is_numeric($_POST[IdTestataSchema])) die($traduttore->traduci('Seleziona schema.'));

$IdTestataSchema = ntxip('IdTestataSchema');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script>

	<script src="js/index.js?<?php echo $vers ?>" type="text/javascript"></script>
</head>

<body>

<?php

$sql = <<< sql
	SELECT    ClrsTestateSchemi.Id, ClrsTestateSchemi.Nome, ClrsTestateSchemi.DataInserimento, ClrsTestateSchemi.DataInizioPrg, ClrsTestateSchemi.DataFinePrg,
		(SELECT count(*) FROM ClrsSchemi WHERE IdTestata=ClrsTestateSchemi.Id) AttivitàTotali,
		(SELECT count(*) FROM ClrsSchemi WHERE IdTestata=ClrsTestateSchemi.Id and tipo=0) AttivitàEdifici,
		(SELECT count(*) FROM ClrsSchemi WHERE IdTestata=ClrsTestateSchemi.Id and tipo=3) AttivitàUtilizzatori,
		(SELECT count(*) FROM ClrsSchemi WHERE IdTestata=ClrsTestateSchemi.Id and tipo=2) AttivitàVani
	FROM         ClrsTestateSchemi 
	WHERE     (ClrsTestateSchemi.Id = $IdTestataSchema)
sql;

$query = ntxQuery($sql);

/*$table = <<< table
	<table class=grid>
		<th>Nome
		<th>Data Inserimento
		<th>DataInizio
		<th>DataFine
		<th>Attività Totali
		<th>Attività Edifici
		<th>Attività Utilizzatori
		<th>Attività Vani
table;*/
$table =
	"<table class=grid>"
		."<th>".$traduttore->traduci('Nome')
		."<th>".$traduttore->traduci('Data Inserimento')
		."<th>".$traduttore->traduci('Data Inizio')
		."<th>".$traduttore->traduci('Data Fine')
		."<th>".$traduttore->traduci('Attività Totali')
		."<th>".$traduttore->traduci('Attività Edifici')
		."<th>".$traduttore->traduci('Attività Utilizzatori')
		."<th>".$traduttore->traduci('Attività Vani')
;

while($rs=ntxRecord($query))
{
	$rs[DataInserimento] = ntxDateTime($rs[DataInserimento]);
	$rs[DataInizioPrg] = ntxDate($rs[DataInizioPrg]);
	$rs[DataFinePrg] = ntxDate($rs[DataFinePrg]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
			
	$table .= <<< table
		<tr>
			<td>$html[Nome]
			<td>$html[DataInserimento]
			<td>$html[DataInizioPrg]
			<td>$html[DataFinePrg]
			<td>$html[AttivitàTotali]
			<td>$html[AttivitàEdifici]
			<td>$html[AttivitàUtilizzatori]
			<td>$html[AttivitàVani]
table;
}

$table .= <<< table
	</table>
table;

echo $table;

?>
<hr>	
<br>
<form name="frmReport" method="post"  >
	<input type=hidden name=IdTestataSchema value="<?php echo $IdTestataSchema ?>" />
	<input type=hidden name=IdEdificio value="" />
	<input type=hidden name=IdUtilizzatore value="" />
</form>	

<form name="form1" id="form1" method="post">
	<input type=hidden name="IdTestataSchema" value="<?php echo $IdTestataSchema ?>" />
	
	<?php $traduttore->html('Data Inizio') ?>:	<input type=text size=12 DatePicker name=DataInizio />
	<?php $traduttore->html('Data Fine') ?>:	<input type=text size=12 DatePicker name=DataFine />
<br>	
<br>	
	<input type=button value="<?php $traduttore->html('Genera Preplanning') ?>" onclick="GeneraPreplanning()" />

</form>	
<hr>	
<br>	

<form name="frmExcel" method="post" action="piano_annuale_utilizzatore.php" target=_blank>
	<input type=hidden name="IdTestataSchema" value="<?php echo $IdTestataSchema ?>" />
	<input type=hidden name="IdEdificio" value="" />
	<input type=hidden name="IdUtilizzatore" value="" />
	<?php $traduttore->html('Anno Inizio') ?>:	<input type=text size=5  name=Anno />
	<?php $traduttore->html('Mese Inizio') ?>:	<input type=text size=5  name=Mese />
	<?php $traduttore->html('Numero Mesi') ?>:	<input type=text size=5  name=NumeroMesi />
<!--
<br>	
<br>	
	<input type=button value="Piano Annuale per Utilizzatori" onclick="Report(1)" />
	<input type=button value="Programma Operativo per Utilizzatori per un Mese" onclick="Report(2)" />
	<input type=button value="Programma Operativo per Utilizzatori e Vani per un Mese" onclick="Report(3)" />
<br>
<br>
	<input type=button value="Programma Operativo per Utilizzatori per più Mesi" onclick="Report(5)" />
	<input type=button value="Programma Operativo per Utilizzatori e Vani per più Mesi" onclick="Report(6)" />
-->
<hr>	
<br>	
<input type=button value="<?php $traduttore->html('Genera Planning') ?>" onclick="GeneraPlanning()" />
<!--
	<input type=button value="Verbale di Controllo" onclick="Report(4)" />
-->
</form>	
<hr>	
<br>	

<form name="frmRicEdifici" method="post" Paginazione <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>
	<?php PaginazioneCampiPerForm(20, 'jhp/ricerca_edifici.php', 'lista-risultati-ricerca_edifici') ?>

	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdTestataSchema value="<?php echo $IdTestataSchema ?>" />
	
	<table class=grid2>
		<tr><th><?php $traduttore->html('ID') ?>				<td><input type=text name=ID size=25 readonly />
			<th><?php $traduttore->html('Codice') ?>			<td><input type=text name=Codice size=25 />
			<th><?php $traduttore->html('Edificio Breve') ?>	<td><input type=text name=EdificioBreve size=25 />
		<tr><th><?php $traduttore->html('Edificio Estesa') ?>	<td><input type=text name=EdificioEstesa size=25 />
			<th><?php $traduttore->html('Indirizzo') ?>			<td><input type=text name=Indirizzo size=25 />
			<th><?php $traduttore->html('Comune') ?>			<td><input type=text name=CITTA size=25 />
		<tr><th colspan=6>
			<input type=button value="<?php $traduttore->html('Reset') ?>" onclick="this.form.reset()" />
			<input type=button name=btnRicerca value="<?php $traduttore->html('Ricerca') ?>" onclick="frmExcel.IdEdificio.value='';$('#ricerca_utilizzatori').hide();PaginazioneRicerca(this, 'first')" />
	</table>
</form>
<br>
<span ButtonSet>
<?php PaginazioneNavigazione('frmRicEdifici') ?>
</span>
<br>
<br>

<div id="lista-risultati-ricerca_edifici"></div>
<br>

<span ButtonSet>
<?php PaginazioneNavigazione('frmRicEdifici') ?>
</span>
<br>
<br>

<div id="ricerca_utilizzatori" style="display:none">
	<form name="frmRicUtilizzatori" method="post" Paginazione <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>
		<?php PaginazioneCampiPerForm(20, 'jhp/ricerca_utilizzatori.php', 'lista-risultati-ricerca_utilizzatori') ?>

		<input type=hidden name="IdEdificio" value="" />
		
		<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
		<input type=hidden name=IdTestataSchema value="<?php echo $IdTestataSchema ?>" />
		
		<table class=grid2>
			<tr><th><?php $traduttore->html('ID') ?>		<td><input type=text name=ID size=25 readonly />
				<th><?php $traduttore->html('Codice') ?>	<td><input type=text name=Codice size=25 />
				<th><?php $traduttore->html('Nome') ?>		<td><input type=text name=Nome size=25 />
			<tr><th colspan=6>
				<input type=button value="<?php $traduttore->html('Reset') ?>" onclick="this.form.reset()" />
				<input type=button name=btnRicerca value="<?php $traduttore->html('Ricerca') ?>" onclick="frmExcel.IdUtilizzatore.value='';PaginazioneRicerca(this, 'first')" />
		</table>
	</form>
	<br>
	<span ButtonSet>
	<?php PaginazioneNavigazione('frmRicUtilizzatori') ?>
	</span>
	<br>
	<br>

	<div id="lista-risultati-ricerca_utilizzatori"></div>
	<br>

	<span ButtonSet>
	<?php PaginazioneNavigazione('frmRicUtilizzatori') ?>
	</span>
		
</div>
<script>
var messaggi = {
	Nuovo_prep: "<?php $traduttore->js('Vuoi generare un nuovo preplanning?') ?>",
	Fatto: "<?php $traduttore->js('Fatto') ?>",
	No_opzione: "<?php $traduttore->js('Opzione non prevista!') ?>",
	Nuovo_plan: "<?php $traduttore->js('Vuoi generare un nuovo planning?') ?>",
	Nuovo_plan_edif: "<?php $traduttore->js('Vuoi generare un nuovo planning per edificio id') ?>",
	Generato_plan: "<?php $traduttore->js('Generato planning per edificio id') ?>"
};
</script>

<?php $traduttore->Salva(); ?>

</body>
</html>