<?php

$sql = <<< sql
	SELECT DISTINCT   tblOrdiniPrgComp.Eseguito, tblOrdiniPrgComp.Aperto,
                      tblOrdiniPrgComp.IdAttivitàMestiere, ISNULL(tblOrdiniPrgComp.IdUtilizzatore, - 1) AS IdUtilizzatore, 
                      ISNULL(tblOrdiniPrgComp.IdAmbiente, - 1) AS IdAmbiente, DAY(d.data) AS GiornoMese
	FROM         tblOrdiniPrgComp INNER JOIN
                      dbo.GiorniTra2Date('$dataPrimoDelMese', '$dataUltimoDelMese') AS d ON tblOrdiniPrgComp.dataInizioProg <= d.data AND d.data <= tblOrdiniPrgComp.dataFineProg
	WHERE     (tblOrdiniPrgComp.TipoMP = 3)
	  AND     (tblOrdiniPrgComp.IdClrsTestataSchema = $IdTestataSchema) 
		AND (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
		AND (tblOrdiniPrgComp.IdUtilizzatore = $IdUtilizzatore)
	UNION
	SELECT DISTINCT   tblOrdiniPrgComp.Eseguito, tblOrdiniPrgComp.Aperto,
                      tblOrdiniPrgComp.IdAttivitàMestiere, ISNULL(tblUtUtilizzatori.IdUtilizzatore, - 1) AS IdUtilizzatore, 
                      ISNULL(tblOrdiniPrgComp.IdAmbiente, - 1) AS IdAmbiente, DAY(d.data) AS GiornoMese
	FROM         dbo.GiorniTra2Date('$dataPrimoDelMese', '$dataUltimoDelMese') AS d INNER JOIN
                      tblUtAmbienti INNER JOIN
                      tblUtUtilizzatori ON tblUtAmbienti.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtAmbienti.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN
                      tblOrdiniPrgComp ON tblUtAmbienti.IdCommessa = tblOrdiniPrgComp.IdCommessa AND tblUtAmbienti.IdEdificio = tblOrdiniPrgComp.IdEdificio AND 
                      tblUtAmbienti.IdAmbiente = tblOrdiniPrgComp.IdAmbiente INNER JOIN
                      ClrsTestateSchemi ON tblOrdiniPrgComp.IdClrsTestataSchema = ClrsTestateSchemi.Id ON d.data >= tblOrdiniPrgComp.dataInizioProg AND 
                      d.data <= tblOrdiniPrgComp.dataFineProg
	WHERE     (tblOrdiniPrgComp.TipoMP = 2)
	  AND     (tblOrdiniPrgComp.IdClrsTestataSchema = $IdTestataSchema) 
		AND (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
		AND (tblUtUtilizzatori.IdUtilizzatore = $IdUtilizzatore)
		AND tblUtAmbienti.DataInizio<=ClrsTestateSchemi.DataInizioPrg	
		AND tblUtAmbienti.DataFine>=ClrsTestateSchemi.DataInizioPrg	
sql;

$query = ntxQuery($sql);

$isDay = array();

while($rs=ntxRecord($query))
	$isDay[$rs[IdAttivitàMestiere]][$rs[IdUtilizzatore]][$rs[IdAmbiente]][$rs[GiornoMese]] = ($rs[Eseguito] ? 3 : ($rs[Aperto] ? 2 : 1));

?>