<?php  
if (!isset($_SESSION)) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once("../../vers.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_283", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_283", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');

if(!is_numeric($_POST[IdTestataSchema])) die($traduttore->traduci('Seleziona schema.'));

$IdTestataSchema = ntxip('IdTestataSchema', false);
$IdEdificio = ntxip('IdEdificio', false);
$IdUtilizzatore = ntxip('IdUtilizzatore', false);

$anno = ntxip('Anno', false);
$mese = ntxip('Mese', false);

//////////////////////////////////////

$labelMesi = array("",
					$traduttore->traduci('Gen'),
					$traduttore->traduci('Feb'),
					$traduttore->traduci('Mar'),
					$traduttore->traduci('Apr'),
					$traduttore->traduci('Mag'),
					$traduttore->traduci('Giu'),
					$traduttore->traduci('Lug'),
					$traduttore->traduci('Ago'),
					$traduttore->traduci('Set'),
					$traduttore->traduci('Ott'),
					$traduttore->traduci('Nov'),
					$traduttore->traduci('Dic'));

$tdMesi = "";
	
$m = $mese; $lastAnno = $a = $anno;

for($i=1;$i<=12;++$i)
{
	$labelMese = $labelMesi[$m];
	
	$lastAnno = $a;
	
	$tdMesi .= "<td class=Titolo8>$labelMese<br>$a";
	
	$m++;
	
	if ( $m>12 )
	{
		$m = 1;
		$a++;
	}
}

$labelAnno = $lastAnno==$anno ? $anno : "$anno/$lastAnno";

$colspan0 = 12;
$colspan1 = 14;
$colspan2 = 15;

$DataInizio = ntxt("1/$mese/$anno");


////////////////////////////////////////

?>
<html>
<head>
<style>

<?php require_once("css/report.css") ?>

</style>	
</head>
<body>
	
<input type=button value="<?php $traduttore->html('Stampa') ?>" onclick="print()" class='no-print' />
<?php
	
$sql = "select descomm from commesse where IdCommessa=$IdCommessa";

$commessa = htmlentities(ntxScalar($sql));

require_once("verbale_di_controllo_annuale-step-2.inc");

require_once("../filtro_per_reports.inc");

$sql = <<< sql
	SELECT DISTINCT 
                      tblOrdiniPrgComp.IdClrsTestataSchema AS IdTestata, tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, tblOrdiniPrgComp.IdUtilizzatore, 
                      ElencoEdifici.EdificioBreve AS Edificio, tblUtUtilizzatori.Nome AS Utiliz, tblFrequenzeMestieri.Descrizione AS Freq, tblComponetiMestiere.codice AS CodCom, 
                      tblComponetiMestiere.Descrizione AS DesCom, tblAttivitàMestiere.codice AS CodAtt, tblAttivitàMestiere.Descrizione AS DesAtt, 
                      tblComponetiMestiere.IdComponenteMestiere, DestinazioniDuso.Tipo, tblComponetiMestiere.Ordine AS ord1, tblAttivitàMestiere.Ordine AS ord2, 
                      tblAttivitàMestiere.IdAttivitàMestiere, CaratteristicheAmbienti.Descrizione AS Car, '' AS Vano, -1 IdAmbiente
	FROM         ElencoEdifici INNER JOIN
                      tblOrdiniPrgComp INNER JOIN
                      tblUtUtilizzatori ON tblOrdiniPrgComp.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblOrdiniPrgComp.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore ON 
                      ElencoEdifici.IdCommessa = tblOrdiniPrgComp.IdCommessa AND ElencoEdifici.ID = tblOrdiniPrgComp.IdEdificio INNER JOIN
                      tblAttivitàMestiere INNER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      ClsrCarDesUsoAttMestiere ON tblAttivitàMestiere.IdCommessa = ClsrCarDesUsoAttMestiere.IdCommessaAttMestiere AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = ClsrCarDesUsoAttMestiere.IdAttMestiere INNER JOIN
                      DestinazioniDuso ON ClsrCarDesUsoAttMestiere.IdCommessaDesUsoVano = DestinazioniDuso.IdCommessa AND 
                      ClsrCarDesUsoAttMestiere.IdDesUsoVano = DestinazioniDuso.IdDestinazioneuso INNER JOIN
                      CaratteristicheAmbienti ON ClsrCarDesUsoAttMestiere.IdCarattAmb = CaratteristicheAmbienti.Id ON 
                      tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
					  
					  INNER JOIN #filtro_per_reports filtro ON filtro.IdCaratteristicaAmbiente=ClsrCarDesUsoAttMestiere.IdCarattAmb 
								AND  filtro.IdDestinazioneduso=ClsrCarDesUsoAttMestiere.IdDesUsoVano 
								
	WHERE     (tblOrdiniPrgComp.TipoMP = 3)
	  AND     (tblOrdiniPrgComp.IdClrsTestataSchema = $IdTestataSchema) 
		AND (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
		AND (tblOrdiniPrgComp.IdUtilizzatore = $IdUtilizzatore)
	UNION
	SELECT DISTINCT 
                      tblOrdiniPrgComp.IdClrsTestataSchema AS IdTestata, tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, tblUtUtilizzatori.IdUtilizzatore, 
                      ElencoEdifici.EdificioBreve AS Edificio, tblUtUtilizzatori.Nome AS Utiliz, tblFrequenzeMestieri.Descrizione AS Freq, tblComponetiMestiere.codice AS CodCom, 
                      tblComponetiMestiere.Descrizione AS DesCom, tblAttivitàMestiere.codice AS CodAtt, tblAttivitàMestiere.Descrizione AS DesAtt, 
                      tblComponetiMestiere.IdComponenteMestiere, DestinazioniDuso.Tipo, tblComponetiMestiere.Ordine AS ord1, tblAttivitàMestiere.Ordine AS ord2, 
                      tblAttivitàMestiere.IdAttivitàMestiere, CaratteristicheAmbienti.Descrizione AS Car, Ambiente.CodiceAssAmbiente AS Vano, Ambiente.IdAmbiente
	FROM         tblFrequenzeMestieri INNER JOIN
                      tblAttivitàMestiere ON tblFrequenzeMestieri.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblFrequenzeMestieri.IdFrequenza = tblAttivitàMestiere.IdFrequenza INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      ClsrCarDesUsoAttMestiere ON tblAttivitàMestiere.IdCommessa = ClsrCarDesUsoAttMestiere.IdCommessaAttMestiere AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = ClsrCarDesUsoAttMestiere.IdAttMestiere INNER JOIN
                      DestinazioniDuso ON ClsrCarDesUsoAttMestiere.IdCommessaDesUsoVano = DestinazioniDuso.IdCommessa AND 
                      ClsrCarDesUsoAttMestiere.IdDesUsoVano = DestinazioniDuso.IdDestinazioneuso INNER JOIN
                      CaratteristicheAmbienti ON ClsrCarDesUsoAttMestiere.IdCarattAmb = CaratteristicheAmbienti.Id INNER JOIN
                      tblUtAmbienti INNER JOIN
                      tblUtUtilizzatori ON tblUtAmbienti.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtAmbienti.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN
                      Ambiente ON tblUtAmbienti.IdCommessa = Ambiente.IdCommessa AND tblUtAmbienti.IdEdificio = Ambiente.IdEdificio AND 
                      tblUtAmbienti.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      tblOrdiniPrgComp ON tblUtAmbienti.IdCommessa = tblOrdiniPrgComp.IdCommessa AND tblUtAmbienti.IdEdificio = tblOrdiniPrgComp.IdEdificio AND 
                      tblUtAmbienti.IdAmbiente = tblOrdiniPrgComp.IdAmbiente INNER JOIN
                      ElencoEdifici ON tblOrdiniPrgComp.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniPrgComp.IdEdificio = ElencoEdifici.ID INNER JOIN
                      ClrsTestateSchemi ON tblOrdiniPrgComp.IdClrsTestataSchema = ClrsTestateSchemi.Id ON tblAttivitàMestiere.IdCommessa = tblOrdiniPrgComp.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblOrdiniPrgComp.IdAttivitàMestiere
					  
					  INNER JOIN #filtro_per_reports filtro ON filtro.IdCaratteristicaAmbiente=ClsrCarDesUsoAttMestiere.IdCarattAmb 
								AND  filtro.IdDestinazioneduso=ClsrCarDesUsoAttMestiere.IdDesUsoVano 
								
	WHERE     (tblOrdiniPrgComp.TipoMP = 2)
	  AND     (tblOrdiniPrgComp.IdClrsTestataSchema = $IdTestataSchema) 
		AND (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
		AND (tblUtUtilizzatori.IdUtilizzatore = $IdUtilizzatore)
		AND tblUtAmbienti.DataInizio<=ClrsTestateSchemi.DataInizioPrg	
		AND tblUtAmbienti.DataFine>=ClrsTestateSchemi.DataInizioPrg	
	ORDER BY IdEdificio, IdUtilizzatore, ord1, CodCom, DesCom, IdComponenteMestiere, Car, Tipo, ord2, CodAtt, DesAtt, IdAttivitàMestiere, Vano, IdAmbiente
sql;

$query = ntxQuery($sql);

$table = "";

$IdUtilizzatore = "x";
$IdComponenteMestiere = "x";
$Tipo = "---xxxxxx";

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	if ( $IdUtilizzatore=="x" || $IdUtilizzatore!=$rs[IdUtilizzatore] )
	{
		$IdUtilizzatore = $rs[IdUtilizzatore];

		$table .= <<< table
			<tr>
				<td class=Titolo3>$html[Edificio]
				<td class=Titolo4 colspan=$colspan1>$html[Utiliz]
table;
	}
	
	if ( $IdComponenteMestiere=="x" || $IdComponenteMestiere!=$rs[IdComponenteMestiere] )
	{
		$IdComponenteMestiere = $rs[IdComponenteMestiere];

		$table .= <<< table
			<tr>
				<td class=Titolo5 colspan=$colspan2>$html[CodCom] - $html[DesCom]
table;
	}
	
	if ( $Tipo=="---xxxxxx" || $Tipo!="$rs[Car] - $rs[Tipo]" )
	{
		$Tipo = "$rs[Car] - $rs[Tipo]";

		$htmlTipo = htmlentities($Tipo);
		
		$table .= <<< table
			<tr>
				<td class=Titolo12 colspan=$colspan2>$htmlTipo
			<tr>
				<td class=Titolo6 rowspan=2>Descrizione attività
				<td class=Titolo6 rowspan=2>Vano
				<td class=Titolo6 rowspan=2>Frequenza
				<td class=Titolo7 colspan=$colspan0>
			<tr>
				$tdMesi
table;
	}

	$table .= <<< table
		<tr>
			<td class=Titolo9>$html[CodAtt] - $html[DesAtt]
			<td class=Titolo9>$html[Vano]
			<td class=Titolo10>$html[Freq]
table;

	$riga = "";
	
	$m = $mese; $a = $anno;
	
	for($i=1;$i<=12;++$i)
	{
		$stato = $isDay[$rs[IdAttivitàMestiere]][$rs[IdUtilizzatore]][$rs[IdAmbiente]][$m][$a];
		$cella = $contenutoCelle[$rs[IdAttivitàMestiere]][$rs[IdUtilizzatore]][$rs[IdAmbiente]][$m][$a];
		
		if ( $stato )
		{
			$color = ($stato==1 ? "green" : ($stato==2 ? "orange" : "red" ));
			
			$riga .= "<td class=Titolo11 style=\"color:$color;font-weight:normal\">$cella";
		}
		else
			$riga .= "<td class=Titolo11 >";
		
		$m++;
		
		if ( $m>12 )
		{
			$m = 1;
			$a++;
		}
	}
	
	$table .= $riga;
}

?>

<table class=grid>
	<tr>
		<td class=Titolo1><img src="logo.php" />
		<td class=Titolo2 colspan=<?php echo $colspan1 ?>><?php $traduttore->html('VERBALE DI CONTROLLO') ?> <?php echo $commessa." ".$labelAnno ?>
		
	<?php echo $table ?>
</table>
<?php $traduttore->Salva(); ?>

</body>
</html>
	