<?php  
if (!isset($_SESSION)) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once("../../vers.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_282", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_282", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');

if(!is_numeric($_POST[IdTestataSchema])) die($traduttore->traduci('Seleziona schema.'));

$IdTestataSchema = ntxip('IdTestataSchema', false);
$IdEdificio = ntxip('IdEdificio', false);

$anno = ntxip('Anno', false);
$mese = ntxip('Mese', false);

$labelMesi = array("", 
				$traduttore->traduci('Gennaio'),
				$traduttore->traduci('Febbraio'),
				$traduttore->traduci('Marzo'),
				$traduttore->traduci('Aprile'),
				$traduttore->traduci('Maggio'),
				$traduttore->traduci('Giugno'),
				$traduttore->traduci('Luglio'),
				$traduttore->traduci('Agosto'),
				$traduttore->traduci('Settembre'),
				$traduttore->traduci('Ottobre'),
				$traduttore->traduci('Novembre'),
				$traduttore->traduci('Dicembre'));

$labelMese = $labelMesi[$mese];	

$mese0 =($mese<10 ? "0" : "").$mese;

$dataPrimoDelMese = "$anno{$mese0}01";

$sql = "SELECT day(dateadd(day, -1, dateadd(month, 1, '$dataPrimoDelMese')))";

$ultimoGiornoDelMese = ntxScalar($sql);

$dataUltimoDelMese = "$anno{$mese0}$ultimoGiornoDelMese";

$tdMesi = "";

for($i=1;$i<=$ultimoGiornoDelMese;++$i)
	$tdMesi .= "<td class=Titolo8>$i";

$colspan0 = 0+$ultimoGiornoDelMese;
$colspan1 = 2+$ultimoGiornoDelMese;
$colspan2 = 3+$ultimoGiornoDelMese;

?>
<html>
<head>
<style>

<?php require_once("css/report.css") ?>

</style>	
</head>
<body>
	
<input type=button value="<?php $traduttore->html('Stampa') ?>" onclick="print()" class='no-print' />
<?php
	
$sql = "select descomm from commesse where IdCommessa=$IdCommessa";

$commessa = htmlentities(ntxScalar($sql));

$sql = <<< sql
	SELECT     IdFreqSchema, day(d.data) giorno
	FROM         ClrsPreplanningSchemi AS c inner join dbo.GiorniTra2Date('$dataPrimoDelMese','$dataUltimoDelMese') d
	on c.DataInizio<=d.data and d.data<=c.DataFine
	where c.IdTestata=$IdTestataSchema 
	order by IdFreqSchema,giorno
sql;

$query = ntxQuery($sql);

$occorrenze = array();

while($rs=ntxRecord($query))
	$occorrenze[$rs[IdFreqSchema]][$rs[giorno]] = 1;

$ListaFreqSchema = array_keys($occorrenze);

$cellePivot = array();

$celleVuote = "";

$celleVuoteSettimana = array();

for($i=1;$i<=$ultimoGiornoDelMese;++$i)
{
	if((date("w", strtotime("$anno-$mese-$i"))==0)) // domenica
		$style = "style='background:#C3C3C3'";
	else	
		$style = "";
	
	$celleVuoteSettimana[$i] = "<td class=Titolo11 $style>";
}

for($i=1;$i<=$ultimoGiornoDelMese;++$i)
{
	$celleVuote .= $celleVuoteSettimana[$i];
}

foreach($ListaFreqSchema as $IdFreqSchema)
{
	$giorni = $occorrenze[$IdFreqSchema];
	
	$cellePivot[$IdFreqSchema] = "";
	
	for($i=1;$i<=$ultimoGiornoDelMese;++$i)
	{
		if ( $giorni[$i] )
			$cellePivot[$IdFreqSchema] .= "<td class=Titolo11 style=\"background:#CCECFF;color:black;font-weight:normal\">x";
		else
			$cellePivot[$IdFreqSchema] .= $celleVuoteSettimana[$i];
	}
}

require_once("../filtro_per_reports.inc");

$sql = <<< sql
	SELECT DISTINCT 
                      ClrsSchemi.IdTestata, ClrsSchemi.IdCommessa, ClrsSchemi.IdEdificio, ElencoEdifici.EdificioBreve AS Edificio, tblFrequenzeMestieri.Descrizione AS Freq, 
                      tblComponetiMestiere.codice AS CodCom, tblComponetiMestiere.Descrizione AS DesCom, tblAttivitàMestiere.codice AS CodAtt, 
                      tblAttivitàMestiere.Descrizione AS DesAtt, tblComponetiMestiere.IdComponenteMestiere, ClrsSchemi.IdFreqSchema, DestinazioniDuso.Tipo, 
                      tblComponetiMestiere.Ordine AS ord1, tblAttivitàMestiere.Ordine AS ord2, tblAttivitàMestiere.IdAttivitàMestiere, CaratteristicheAmbienti.Descrizione AS Car, 
                      '' AS Vano
	FROM         ClrsSchemi INNER JOIN
                      ElencoEdifici ON ClrsSchemi.IdCommessa = ElencoEdifici.IdCommessa AND ClrsSchemi.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblFrequenzeMestieri ON ClrsSchemi.IdCommessa = tblFrequenzeMestieri.IdCommessa AND ClrsSchemi.IdFrequenza = tblFrequenzeMestieri.IdFrequenza INNER JOIN
                      tblAttivitàMestiere ON ClrsSchemi.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      ClrsSchemi.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      ClsrCarDesUsoAttMestiere ON tblAttivitàMestiere.IdCommessa = ClsrCarDesUsoAttMestiere.IdCommessaAttMestiere AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = ClsrCarDesUsoAttMestiere.IdAttMestiere INNER JOIN
                      DestinazioniDuso ON ClsrCarDesUsoAttMestiere.IdCommessaDesUsoVano = DestinazioniDuso.IdCommessa AND 
                      ClsrCarDesUsoAttMestiere.IdDesUsoVano = DestinazioniDuso.IdDestinazioneuso INNER JOIN
                      CaratteristicheAmbienti ON ClsrCarDesUsoAttMestiere.IdCarattAmb = CaratteristicheAmbienti.Id
					  
					  INNER JOIN #filtro_per_reports filtro ON filtro.IdCaratteristicaAmbiente=ClsrCarDesUsoAttMestiere.IdCarattAmb 
								AND  filtro.IdDestinazioneduso=ClsrCarDesUsoAttMestiere.IdDesUsoVano 
								
	  WHERE     (ClrsSchemi.IdTestata = $IdTestataSchema) 
		AND (ClrsSchemi.IdCommessa = $IdCommessa) 
		AND (ClrsSchemi.IdEdificio = $IdEdificio) 
		AND (ClrsSchemi.IdUtilizzatore IS NULL)
		AND (ClrsSchemi.UsaAttivitàVani IS NULL OR ClrsSchemi.UsaAttivitàVani=0)
	UNION
	SELECT DISTINCT 
                      ClrsSchemi.IdTestata, ClrsSchemi.IdCommessa, ClrsSchemi.IdEdificio, ElencoEdifici.EdificioBreve AS Edificio, 
                      tblFrequenzeMestieri.Descrizione AS Freq, tblComponetiMestiere.codice AS CodCom, tblComponetiMestiere.Descrizione AS DesCom, 
                      tblAttivitàMestiere.codice AS CodAtt, tblAttivitàMestiere.Descrizione AS DesAtt, tblComponetiMestiere.IdComponenteMestiere, ClrsSchemi.IdFreqSchema, 
                      DestinazioniDuso.Tipo, tblComponetiMestiere.Ordine AS ord1, tblAttivitàMestiere.Ordine AS ord2, tblAttivitàMestiere.IdAttivitàMestiere, 
                      CaratteristicheAmbienti.Descrizione AS Car, Ambiente.CodiceAssAmbiente AS Vano
	FROM         Ambiente INNER JOIN
                      ClrsSchemi INNER JOIN
                      ElencoEdifici ON ClrsSchemi.IdCommessa = ElencoEdifici.IdCommessa AND ClrsSchemi.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblFrequenzeMestieri ON ClrsSchemi.IdCommessa = tblFrequenzeMestieri.IdCommessa AND ClrsSchemi.IdFrequenza = tblFrequenzeMestieri.IdFrequenza INNER JOIN
                      tblAttivitàMestiere ON ClrsSchemi.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      ClrsSchemi.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      ClsrCarDesUsoAttMestiere ON tblAttivitàMestiere.IdCommessa = ClsrCarDesUsoAttMestiere.IdCommessaAttMestiere AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = ClsrCarDesUsoAttMestiere.IdAttMestiere INNER JOIN
                      DestinazioniDuso ON ClsrCarDesUsoAttMestiere.IdCommessaDesUsoVano = DestinazioniDuso.IdCommessa AND 
                      ClsrCarDesUsoAttMestiere.IdDesUsoVano = DestinazioniDuso.IdDestinazioneuso INNER JOIN
                      CaratteristicheAmbienti ON ClsrCarDesUsoAttMestiere.IdCarattAmb = CaratteristicheAmbienti.Id ON Ambiente.IdCommessa = ClrsSchemi.IdCommessa AND 
                      Ambiente.IdEdificio = ClrsSchemi.IdEdificio AND Ambiente.IDAmbiente = ClrsSchemi.IdAmbiente INNER JOIN
                      ClrsTestateSchemi ON ClrsSchemi.IdTestata = ClrsTestateSchemi.Id
					  
					  INNER JOIN #filtro_per_reports filtro ON filtro.IdCaratteristicaAmbiente=ClsrCarDesUsoAttMestiere.IdCarattAmb 
								AND  filtro.IdDestinazioneduso=ClsrCarDesUsoAttMestiere.IdDesUsoVano 
								
	WHERE     (ClrsSchemi.IdTestata = $IdTestataSchema) 
		AND (ClrsSchemi.IdCommessa = $IdCommessa) 
		AND (ClrsSchemi.IdEdificio = $IdEdificio) 
		AND (ClrsSchemi.IdUtilizzatore IS NULL)
		AND (ClrsSchemi.UsaAttivitàVani=1)
	ORDER BY IdEdificio, ord1, CodCom, DesCom, IdComponenteMestiere, Car, Tipo, ord2, CodAtt, DesAtt, Vano
sql;

$query = ntxQuery($sql);

$table = "";

$IdUtilizzatore = "x";
$IdComponenteMestiere = "x";
$Tipo = "---xxxxxx";

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	if ( $IdUtilizzatore=="x" || $IdUtilizzatore!=$rs[IdUtilizzatore] )
	{
		$IdUtilizzatore = $rs[IdUtilizzatore];

		$table .= <<< table
			<tr>
				<td class=Titolo3>$html[Edificio]
				<td class=Titolo4 colspan=$colspan1>$html[Utiliz]
table;
	}
	
	if ( $IdComponenteMestiere=="x" || $IdComponenteMestiere!=$rs[IdComponenteMestiere] )
	{
		$IdComponenteMestiere = $rs[IdComponenteMestiere];

		$table .= <<< table
			<tr>
				<td class=Titolo5 colspan=$colspan2>$html[CodCom] - $html[DesCom]
table;
	}
	
	if ( $Tipo=="---xxxxxx" || $Tipo!="$rs[Car] - $rs[Tipo]" )
	{
		$Tipo = "$rs[Car] - $rs[Tipo]";

		$htmlTipo = htmlentities($Tipo);
		
		/*$table .= <<< table
			<tr>
				<td class=Titolo12 colspan=$colspan2>$htmlTipo
			<tr>
				<td class=Titolo6 rowspan=2>Descrizione attività
				<td class=Titolo6 rowspan=2>Vano
				<td class=Titolo6 rowspan=2>Frequenza
				<td class=Titolo7 colspan=$colspan0>$labelMese $anno
			<tr>
				$tdMesi
table;*/
		$table .=
			"<tr>
				<td class=Titolo12 colspan=$colspan2>$htmlTipo
			<tr>"
				."<td class=Titolo6 rowspan=2>".$traduttore->traduci('Descrizione attività')
				."<td class=Titolo6 rowspan=2>".$traduttore->traduci('Vano')
				."<td class=Titolo6 rowspan=2>".$traduttore->traduci('Frequenza')
				."<td class=Titolo7 colspan=$colspan0>$labelMese $anno
			<tr>
				$tdMesi"
;
	}
	
	$riga = $cellePivot[$rs[IdFreqSchema]];
	
	if ( $riga=="" ) $riga = $celleVuote;
	
	$table .= <<< table
		<tr>
			<td class=Titolo9>$html[CodAtt] - $html[DesAtt]
			<td class=Titolo9>$html[Vano]
			<td class=Titolo10>$html[Freq]
			$riga
table;
}

?>

<table class=grid>
	<tr>
		<td class=Titolo1><img src="logo.php" />
		<td class=Titolo2 colspan=<?php echo $colspan1 ?>><?php $traduttore->html('PROGRAMMA OPERATIVO') ?> <?php echo $commessa." ".$labelMese." ".$anno ?>
		
	<?php echo $table ?>
</table>

</body>
</html>
	