<?php

$sql = <<< sql
	SELECT DISTINCT   tblOrdiniProgrammati.Eseguito, tblOrdiniProgrammati.Aperto,
                      tblOrdiniProgrammati.IdAttivitàMestiere,
                      tblOrdiniProgrammati.IdEdificio, -1 AS IdAmbiente, DAY(d.data) AS GiornoMese
	FROM         tblOrdiniProgrammati INNER JOIN
                      dbo.GiorniTra2Date('$dataPrimoDelMese', '$dataUltimoDelMese') AS d 
					  ON tblOrdiniProgrammati.dataInizioProg <= d.data AND d.data <= tblOrdiniProgrammati.dataFineProg
	WHERE     (ISNULL(tblOrdiniProgrammati.TipoMP, 0) = 0)
	  AND     (tblOrdiniProgrammati.IdClrsTestataSchema = $IdTestataSchema) 
		AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.IdEdificio = $IdEdificio) 
	UNION
	SELECT DISTINCT   tblOrdiniPrgComp.Eseguito, tblOrdiniPrgComp.Aperto,
                      tblOrdiniPrgComp.IdAttivitàMestiere, 
                      tblOrdiniPrgComp.IdEdificio, ISNULL(tblOrdiniPrgComp.IdAmbiente, - 1) AS IdAmbiente, DAY(d.data) AS GiornoMese
	FROM         dbo.GiorniTra2Date('$dataPrimoDelMese', '$dataUltimoDelMese') AS d INNER JOIN
                      tblOrdiniPrgComp 
					  ON d.data >= tblOrdiniPrgComp.dataInizioProg AND d.data <= tblOrdiniPrgComp.dataFineProg
	WHERE     (tblOrdiniPrgComp.TipoMP = 2)
	  AND     (tblOrdiniPrgComp.IdClrsTestataSchema = $IdTestataSchema) 
		AND (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
sql;

$query = ntxQuery($sql);

$isDay = array();

while($rs=ntxRecord($query))
	$isDay[$rs[IdAttivitàMestiere]][$rs[IdEdificio]][$rs[IdAmbiente]][$rs[GiornoMese]] = ($rs[Eseguito] ? 3 : ($rs[Aperto] ? 2 : 1));

?>