function Report(index)
{
	Reset();
	
	var test;
	
	switch(index)
	{
		// PER EDIFICI
		case 11: // mese, anno
			test = (NoMese() | NoAnno());
			
			if ( test ) return;
			frmRicerca.action = '../planning_edifici/verbale_di_controllo.php';
			break;
		case 18: // mese, anno
			test = (NoMese() | NoAnno());
			
			if ( test ) return;
			frmRicerca.action = '../planning_edifici/verbale_di_controllo_annuale.php';
			break;
		case 12: // anno
			test = (NoAnno());
			
			if ( test ) return;
			frmRicerca.action = '../planning_edifici/piano_annuale_edifici.php';
			break;
		case 13: // mese, anno
			test = (NoMese() | NoAnno());
			
			if ( test ) return;
			
			if ( $('#chkDettaglioVaniEdifici').prop('checked') )
				frmRicerca.action = '../planning_edifici/programma_operativo_edifici_e_vano.php';
			else
				frmRicerca.action = '../planning_edifici/programma_operativo_edifici.php';
			break;
		case 14: // mese, anno, num.mesi
			test = (NoMese() | NoAnno() | NoNumMesi());
			
			if ( test ) return;

			if ( $('#chkDettaglioVaniEdifici').prop('checked') )
				frmRicerca.action = '../planning_edifici/programma_operativo_edifici_e_vano_per_n_mesi.php';
			else
				frmRicerca.action = '../planning_edifici/programma_operativo_edifici_per_n_mesi.php';
			break;
		case 15: // mese, anno
			test = (NoMese() | NoAnno());
			
			if ( test ) return;
			frmRicerca.action = '../planning_edifici/piano_annuale_edifici_da_mese.php';
			break;
			
			
		// PER UTILIZZATORI
		case 1: // mese, anno
			test = (NoMese() | NoAnno());
			
			if ( test ) return;
			frmRicerca.action = '../planning/verbale_di_controllo.php';
			break;
		case 19: // mese, anno
			test = (NoMese() | NoAnno());
			
			if ( test ) return;
			frmRicerca.action = '../planning/verbale_di_controllo_annuale.php';
			break;
		case 2: // anno
			test = (NoAnno());
			
			if ( test ) return;
			frmRicerca.action = '../planning/piano_annuale_utilizzatore.php';
			break;
		case 3: // mese, anno
			test = (NoMese() | NoAnno());
			
			if ( test ) return;
			
			if ( $('#chkDettaglioVaniUtiliz').prop('checked') )
				frmRicerca.action = '../planning/programma_operativo_utilizzatore_e_vano.php';
			else
				frmRicerca.action = '../planning/programma_operativo_utilizzatore.php';
			break;
		case 4: // mese, anno, num.mesi
			test = (NoMese() | NoAnno() | NoNumMesi());
			
			if ( test ) return;

			if ( $('#chkDettaglioVaniUtiliz').prop('checked') )
				frmRicerca.action = '../planning/programma_operativo_utilizzatore_e_vano_per_n_mesi.php';
			else
				frmRicerca.action = '../planning/programma_operativo_utilizzatore_per_n_mesi.php';
			break;
		case 16: // mese, anno
			test = (NoMese() | NoAnno());
			
			if ( test ) return;
			frmRicerca.action = '../planning/piano_annuale_utilizzatore_da_mese.php';
			break;
	}
	
	frmRicerca.submit();
}
	
function Reset()
{
	$(frmRicerca.Mese).css('background', 'white');
	$(frmRicerca.Anno).css('background', 'white');
	$(frmRicerca.NumeroMesi).css('background', 'white');
}

function NoMese()
{
	if ( !$.isNumeric(frmRicerca.Mese.value) || parseInt(frmRicerca.Mese.value)<1 ||  parseInt(frmRicerca.Mese.value)>12 )
	{
		$(frmRicerca.Mese).css('background', 'red');
		return 1;
	}
	else
	{
		$(frmRicerca.Mese).css('background', 'white');
		return 0;
	}
}
	
function NoAnno()
{
	if ( !$.isNumeric(frmRicerca.Anno.value) ||  parseInt(frmRicerca.Anno.value)<1900 ||  parseInt(frmRicerca.Anno.value)>2037 )
	{
		$(frmRicerca.Anno).css('background', 'red');
		return 1;
	}
	else
	{
		$(frmRicerca.Anno).css('background', 'white');
		return 0;
	}
}
	
function NoNumMesi()
{
	if ( !$.isNumeric(frmRicerca.NumeroMesi.value) ||  parseInt(frmRicerca.NumeroMesi.value)<1 ||  parseInt(frmRicerca.NumeroMesi.value)>50 )
	{
		$(frmRicerca.NumeroMesi).css('background', 'red');
		return 1;
	}
	else
	{
		$(frmRicerca.NumeroMesi).css('background', 'white');
		return 0;
	}
}
	