<?php

if ( !is_numeric($_SESSION[IdCommessa]) || !is_numeric($_POST[IdEdificio]) || !is_numeric($_POST[IdUtilizzatore]) )
	die($traduttore->traduci('Seleziona utilizzatore.'));

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdUtilizzatore = ntxip('IdUtilizzatore');

$sql = <<< sql
	SELECT     tblMestieri.codice AS CodMes, tblMestieri.Descrizione AS DesMes, tblMestieri.IdMestiere, tblComponetiMestiere.codice AS CodCom, 
                      tblComponetiMestiere.Descrizione AS DesCom, tblComponetiMestiere.IdComponenteMestiere, tblAttivitàMestiere.codice AS CodAtt, 
                      tblAttivitàMestiere.Descrizione AS DesAtt, tblAttivitàMestiere.IdAttivitàMestiere, ClrsAttivitàUtilizzattori.DesFreq, ClrsAttivitàUtilizzattori.Lun, ClrsAttivitàUtilizzattori.Mar, 
                      ClrsAttivitàUtilizzattori.Mer, ClrsAttivitàUtilizzattori.Gio, ClrsAttivitàUtilizzattori.Ven, ClrsAttivitàUtilizzattori.Sab, ClrsAttivitàUtilizzattori.Dom, ClrsAttivitàUtilizzattori.MeseInizio, 
                      ClrsAttivitàUtilizzattori.SettimanaInizio, ClrsAttivitàUtilizzattori.DurataAttivitàInGiorni Durata, ClrsAttivitàUtilizzattori.Id, ClrsAttivitàUtilizzattori.UsaAttivitàVani
						  
	FROM         ClrsAttivitàUtilizzattori INNER JOIN
                      tblAttivitàMestiere ON ClrsAttivitàUtilizzattori.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      ClrsAttivitàUtilizzattori.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
						  
	WHERE     (ClrsAttivitàUtilizzattori.IdCommessa = $IdCommessa) 
			AND (ClrsAttivitàUtilizzattori.IdEdificio = $IdEdificio)
			AND (ClrsAttivitàUtilizzattori.IdUtilizzatore = $IdUtilizzatore)
sql;

if ( strlen($_POST[CodMes])>0 ) $sql .= " AND tblMestieri.codice=".ntxsp('CodMes');
if ( strlen($_POST[DesMes])>0 ) $sql .= " AND tblMestieri.Descrizione like '%".str_replace("'","''",$_POST[DesMes])."%'";

if ( strlen($_POST[CodComp])>0 ) $sql .= " AND tblComponetiMestiere.codice=".ntxsp('CodComp');
if ( strlen($_POST[DesComp])>0 ) $sql .= " AND tblComponetiMestiere.Descrizione like '%".str_replace("'","''",$_POST[DesComp])."%'";

if ( strlen($_POST[CodAtt])>0 ) $sql .= " AND tblAttivitàMestiere.codice=".ntxsp('CodAtt');
if ( strlen($_POST[DesAtt])>0 ) $sql .= " AND tblAttivitàMestiere.Descrizione like '%".str_replace("'","''",$_POST[DesAtt])."%'";

if ( is_numeric($_POST[Freq]) ) $sql .= " AND tblAttivitàMestiere.IdFrequenza=".ntxip('Freq');

$sql .= <<< sql

	ORDER BY tblMestieri.Ordine, CodMes, DesMes, tblMestieri.IdMestiere, tblComponetiMestiere.Ordine, CodCom, DesCom, tblComponetiMestiere.IdComponenteMestiere, 
                      tblAttivitàMestiere.Ordine, CodAtt, DesAtt, tblAttivitàMestiere.IdAttivitàMestiere
sql;

$query = ntxQuery($sql);

?>