<?php  
if (!isset($_SESSION)) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once("../../vers.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_270", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_270", "IT", __FILE__);

$IdEdificio = ntxig('IdEdificio', false);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>

	<script src="js/toolbar.js?<?php echo $vers ?>" type="text/javascript"></script>
</head>

<body>

<?php
$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT DISTINCT 
                      ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo,  
                      ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, tblPgPropietari.Nome AS Proprietario, ElencoEdifici.ClrsUsaAttivitàUtilizzatori UsaAttivUtiliz
					  
	FROM         ElencoEdifici LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
					  
	WHERE (ElencoEdifici.IDCommessa = $IdCommessa) 
		AND (ElencoEdifici.ID = $IdEdificio) 
					
	ORDER BY Codice, EdificioBreve
sql;

$query = ntxQuery($sql);
?>

<table class="grid"  >
		<tr>
			<th><?php $traduttore->html('Utiliz') ?>
			<th><?php $traduttore->html('ID') ?>
			<th><?php $traduttore->html('Codice') ?>
			<th><?php $traduttore->html('Nome Breve') ?>
			<th><?php $traduttore->html('Indirizzo') ?>
			<th><?php $traduttore->html('Comune') ?>
			<th><?php $traduttore->html('Prov') ?>
			<th><?php $traduttore->html('Proprietario') ?>
		</tr>  
<?php
	$alternate = true;

	while(  $query  &&  $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "class=alternate"; 
		
		foreach($rs as $k=>$v)
			$html[$k] = htmlentities($v);
			
		$checkedUsaAttUtil = $rs[UsaAttivUtiliz] ? "checked" : "";
		$styleUsaAttUtil = $rs[UsaAttivUtiliz] ? "style='background:red'" : "";
			
		echo <<< echo
	<tr $classe > 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]> 
			<input type=checkbox onclick="UsaAttivitàUtilizzatori('$rs[ID]', this)" $checkedUsaAttUtil disabled />

		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[ID] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[Codice] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[EdificioBreve] 

		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[Indirizzo] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[CITTA] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[PROVINCIA] 

		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[Proprietario] 
echo;

		$alternate = !$alternate;
	}
?>
</table> 

<br>

<?php

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	select IdFrequenza,Descrizione 
	from tblFrequenzeMestieri 
	where IdCommessa=$IdCommessa
	order by ordine, descrizione
sql;

$query = ntxQuery($sql);

$options = "<option value=\"\" selected>".$traduttore->traduci('Nessun filtro Frequenza');

while($rs=ntxIrecord($query))
{
	$Id = $rs[0];
	
	$des = htmlentities($rs[1]);
	
	$options .= "<option value=\"$Id\">$des";
}

?>

<form name="form1" id="form1" method="post">
<!--
	Data Inizio:	<input type=text size=12 DatePicker name=DataInizio />
	Data Fine:		<input type=text size=12 DatePicker name=DataFine />
	
	<input type=button value="Popola Attività Vani" onclick="PopolaAttivitàVani()" />
	<input type=button value="Popola Attività Utilizzatori con Attività Vani" onclick="PopolaAttivitàUtilizzatori()" />
-->
	<input type=button value="<?php $traduttore->html('Copia settaggi da utilizzatore Sel1 ad utilizzatori Sel2') ?>" onclick="CopiaDaSel1aSel2()" />
	<input type=button value="<?php $traduttore->html('Copia settaggi da edificio ad utilizzatori Sel2') ?>" onclick="CopiaDaEdificio_aSel2()" />
	
	<table class=grid>
		<caption><?php $traduttore->html('Filtri Attività') ?>
		<tr><th><?php $traduttore->html('Cod Mestiere') ?><td><input type=text name=CodMes siz=10 /><th><?php $traduttore->html('Des Mestiere') ?><td><input type=text name=DesMes siz=10 />
		<tr><th><?php $traduttore->html('Cod Componente') ?><td><input type=text name=CodComp siz=10 /><th><?php $traduttore->html('Des Componente') ?><td><input type=text name=DesComp siz=10 />
		<tr><th><?php $traduttore->html('Cod Attività') ?><td><input type=text name=CodAtt siz=10 /><th><?php $traduttore->html('Des Attività') ?><td><input type=text name=DesAtt siz=10 />
		<tr><th><?php $traduttore->html('Frequenza') ?><td colspan=3>
			<select name=Freq><?php echo $options ?></select>
			<input type=button value="<?php $traduttore->html('Filtro') ?>" onclick="parent.utilizzatori.CaricaAttività()" />
			<input type=button value="<?php $traduttore->html('Reset') ?>" onclick="ResetFiltroAttività()" />
	</table>
</form>	

<form name="frmUtilizzatori" method="get" action="utilizzatori.php" target="utilizzatori">
	<input type="hidden" name="IdEdificio" value="<?php echo $IdEdificio ?>" />
</form>	
<script>
var messaggi = {
	Attivita_util: "<?php $traduttore->js('Vuoi fare popolamento attività utilizzatori? Il precedente popolamento verrà perso.') ?>",
	Attivita_vani: "<?php $traduttore->js('Vuoi fare popolamento attività vani? Il precedente popolamento verrà perso.') ?>"
};
</script>
<?php $traduttore->Salva(); ?>


</body>
</html>