<?php

$sql = <<< sql
	SELECT DISTINCT ClrsAttivitàEdifici.IdAttivitàMestiere
	FROM         ClrsVaniCarDesUso INNER JOIN
						  ClrsAttivitàEdifici ON ClrsVaniCarDesUso.IdCommessa = ClrsAttivitàEdifici.IdCommessa AND ClrsVaniCarDesUso.IdEdificio = ClrsAttivitàEdifici.IdEdificio INNER JOIN
						  ElencoEdifici ON ClrsAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND ClrsAttivitàEdifici.IdEdificio = ElencoEdifici.ID
	WHERE     (ClrsAttivitàEdifici.UsaAttivitàVani = 1) 
		AND (ElencoEdifici.ClrsUsaAttivitàUtilizzatori = 0 OR ElencoEdifici.ClrsUsaAttivitàUtilizzatori IS NULL) 
		AND (ClrsVaniCarDesUso.Id = $IdVanoCarDesUso)
sql;

$query = ntxQuery($sql);

$attiEdifPerVani = array();

while($rs=ntxirecord($query))
	$attiEdifPerVani[] = $rs[0];

$sql = <<< sql
SELECT DISTINCT ClrsAttivitàUtilizzattori.IdAttivitàMestiere
FROM         ElencoEdifici INNER JOIN
                      ClrsAttivitàUtilizzattori ON ElencoEdifici.IdCommessa = ClrsAttivitàUtilizzattori.IdCommessa AND ElencoEdifici.ID = ClrsAttivitàUtilizzattori.IdEdificio INNER JOIN
                      tblUtAmbienti ON ClrsAttivitàUtilizzattori.IdCommessa = tblUtAmbienti.IdCommessa AND ClrsAttivitàUtilizzattori.IdUtilizzatore = tblUtAmbienti.IdUtilizzatore AND 
                      ClrsAttivitàUtilizzattori.IdEdificio = tblUtAmbienti.IdEdificio INNER JOIN
                      ClrsVaniCarDesUso ON tblUtAmbienti.IdCommessa = ClrsVaniCarDesUso.IdCommessa AND tblUtAmbienti.IdEdificio = ClrsVaniCarDesUso.IdEdificio AND 
                      tblUtAmbienti.DataFine >= ClrsVaniCarDesUso.DataInizio AND tblUtAmbienti.DataInizio <= ClrsVaniCarDesUso.DataFine AND 
                      tblUtAmbienti.IdAmbiente = ClrsVaniCarDesUso.IdAmbiente
WHERE     (ClrsAttivitàUtilizzattori.UsaAttivitàVani = 1) 
	AND (ElencoEdifici.ClrsUsaAttivitàUtilizzatori = 1) 
	AND (ClrsVaniCarDesUso.Id = $IdVanoCarDesUso)
sql;

$query = ntxQuery($sql);

$attiUtilizPerVani = array();

while($rs=ntxirecord($query))
	$attiUtilizPerVani[] = $rs[0];

$sql = <<< sql
	SELECT     tblMestieri.codice AS CodMes, tblMestieri.Descrizione AS DesMes, tblMestieri.IdMestiere, tblComponetiMestiere.codice AS CodCom, 
                      tblComponetiMestiere.Descrizione AS DesCom, tblComponetiMestiere.IdComponenteMestiere, tblAttivitàMestiere.codice AS CodAtt, 
                      tblAttivitàMestiere.Descrizione AS DesAtt, tblAttivitàMestiere.IdAttivitàMestiere, ClrsAttivitàVani.DesFreq, ClrsAttivitàVani.Lun, ClrsAttivitàVani.Mar, 
                      ClrsAttivitàVani.Mer, ClrsAttivitàVani.Gio, ClrsAttivitàVani.Ven, ClrsAttivitàVani.Sab, ClrsAttivitàVani.Dom, ClrsAttivitàVani.MeseInizio, 
                      ClrsAttivitàVani.SettimanaInizio, ClrsAttivitàVani.DurataAttivitàInGiorni Durata, ClrsAttivitàVani.Id
						  
	FROM         ClrsAttivitàVani INNER JOIN
                      tblAttivitàMestiere ON ClrsAttivitàVani.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      ClrsAttivitàVani.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
						  
	WHERE     (ClrsAttivitàVani.IdVanoCarDesUso = $IdVanoCarDesUso) 
sql;

if ( strlen($_POST[CodMes])>0 ) $sql .= " AND tblMestieri.codice=".ntxsp('CodMes');
if ( strlen($_POST[DesMes])>0 ) $sql .= " AND tblMestieri.Descrizione like '%".str_replace("'","''",$_POST[DesMes])."%'";

if ( strlen($_POST[CodComp])>0 ) $sql .= " AND tblComponetiMestiere.codice=".ntxsp('CodComp');
if ( strlen($_POST[DesComp])>0 ) $sql .= " AND tblComponetiMestiere.Descrizione like '%".str_replace("'","''",$_POST[DesComp])."%'";

if ( strlen($_POST[CodAtt])>0 ) $sql .= " AND tblAttivitàMestiere.codice=".ntxsp('CodAtt');
if ( strlen($_POST[DesAtt])>0 ) $sql .= " AND tblAttivitàMestiere.Descrizione like '%".str_replace("'","''",$_POST[DesAtt])."%'";

if ( is_numeric($_POST[Freq]) ) $sql .= " AND tblAttivitàMestiere.IdFrequenza=".ntxip('Freq');

$sql .= <<< sql

	ORDER BY tblMestieri.Ordine, CodMes, DesMes, tblMestieri.IdMestiere, tblComponetiMestiere.Ordine, CodCom, DesCom, tblComponetiMestiere.IdComponenteMestiere, 
                      tblAttivitàMestiere.Ordine, CodAtt, DesAtt, tblAttivitàMestiere.IdAttivitàMestiere
sql;

$query = ntxQuery($sql);

?>