<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="js/elenco_utenze.js"></script>
</head>
<body>
<?php
	
require_once('elenco_utenze_sql.inc');

?>
<?php ntxPagedPrintNavigation() ?>

<br>
<br>
<table class=grid>
	<tr>
		<th></th>
		<th></th>
		<th>Id Utenza</th>
		<th>Codice Utenza</th>
		<th>Ente Erogatore</th>
		<th>Utilizzatore</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Prov</th>
		<th>Cap</th>
	</tr>   

<?php
	$alternate = true;

	while( $query  &&  $rs = ntxRecord($query) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td><input type=button value="Utenza" onClick="Edit('<?php echo $rs[Id] ?>')" /></td>
		<td><input type=button value="Nuova Fattura" onClick="NuovaFattura('<?php echo $rs[Id] ?>')" /></td>
		<td>&nbsp;<?php echo htmlentities($rs['Id']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['CodiceUtenza']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['EnteErogatore']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Prov']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<?php ntxPagedPrintBody() ?>
<?php ntxPagedPrintNavigation() ?>
</body>
</html>
