<?php  
session_start();

require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if ( is_numeric($_POST[IdUtenza]) )
{
	$IdUtenza = ntxip('IdUtenza');

	$sql = <<< sql
		SELECT   ComponentiAmbiente.CodiceComponente, 
					Ambiente.IdLivello,
					Ambiente.CodiceAssAmbiente codAmb, 
					Ambiente.IdEdificio, 
					Ambiente.IdAmbiente, 
					DestinazioniDuso.Destinazione desAmb, 
					PianoLivello.CodiceAssLivello codLiv, 
					DestinazioniDusoLivello.Destinazione desLiv,
		ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
						  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP,
						  ComponentiAmbiente.CodiceAssComponente AS codComp, 
				TipoComponente.DesComponente AS des,
                ComponentiAmbiente.IdComponente
		FROM         Ambiente INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
                      ComponentiAmbiente INNER JOIN
                      ComponentiUtenze ON ComponentiAmbiente.IdCommessa = ComponentiUtenze.IdCommessa AND 
                      ComponentiAmbiente.IdEdificio = ComponentiUtenze.IdEdificio AND 
                      ComponentiAmbiente.IDComponente = ComponentiUtenze.IdComponente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente
		WHERE     (ComponentiUtenze.IdUtenza = $IdUtenza)
	order by Codice, Nome, codLiv, codAmb
sql;
		
	$query = ntxQuery($sql);
	
	$alternate = true;

	$table = "";
	
	while ( $rs = ntxRecord($query) )
	{
		foreach($rs as $key => $value)
			$rs[$key] = htmlentities($value);
			
		$alt = $alternate ? "" : "class=alternate";
		
		$table .= <<< table
	<tr $alt>
		<td><input type=button value="Elimina" onClick="EliminaComponenteUtenza('$IdUtenza', '$rs[IdEdificio]', '$rs[IdComponente]')"></td> 
		<td><input type=button value="Mappa" onClick="ApriMappaComponenteUtenza('$rs[IdEdificio]', '$rs[IdLivello]', '$rs[CodiceComponente]')" /></td> 
		<td>&nbsp;$rs[Codice] - $rs[Nome] - $rs[Indirizzo] - $rs[Comune] ($rs[PROVINCIA]) - $rs[CAP]</td>
		<td>&nbsp;$rs[codLiv] - $rs[desLiv]</td>
		<td>&nbsp;$rs[codAmb] ($rs[IdAmbiente]) - $rs[desAmb]</td>
		<td>&nbsp;$rs[codComp] ($rs[IdComponente]) - $rs[des]</td>
	</tr>
table;

		$alternate = !$alternate;
	}
	
	if ( strlen($table)>0 ) 		
		$table = <<< table
			<table class=grid>
			<caption>Componenti Utenza
			<tr>
				<th></th>
				<th></th>
				<th>Edificio</th>
				<th>Piano</th>
				<th>Ambiente</th>
				<th>Componente</th>
			$table
			</table>
table;
		
	jhp($table);
}

jhp_ok();

?>
