$(function(){
	$('input[type=button]').button();
	$('input[type=reset]').button();
	$('input[type=button][value=\'...\']').css('font-size','8px');
	$('input[type=button][value=\'x\']').css('font-size','8px');
	$('input[type=text]').css('width','300px');
	$('select').css('width','300px');
	
	CaricaSelects();
});

var campi = new Array("IdUtilizzatore", "Utilizzatore", "Id", "CodiceUtenza",
						"Descrizione", "Nota", "IdEnteErogatore", 
						"IdTipoUtenza", "DataInizio", "DataFine", 
						"DataContratto", "DataAnnullo", "MotivazioniAnnullo" );

function AbilitaTasti()
{
	$('#btnAggiungi').button(( form1.Utilizzatore.value == "" ) ? "disable" : "enable");

	if ( form1.Id.value != "" )
	{
		$('#btnModifica').button('enable');
		$('#btnElimina').button('enable');
		$('#btnConteggia').button('enable');
		$('#btnCercaEdificio').button('enable');
		$('#btnNuovaFattura').button('enable');
	}
	else
	{
		$('#btnModifica').button('disable');
		$('#btnElimina').button('disable');
		$('#btnConteggia').button('disable');
		$('#btnCercaEdificio').button('disable');
		$('#btnNuovaFattura').button('disable');
	}
}

function NuovaFattura()
{
	parent.frameEditFattura.SelUtenza(form1.Id.value);
	parent.fastTabsVedi('frameEditFattura');
}

function CercaUtilizzatore()
{
	parent.frameFiltroUtilizzatori.form1.sender.value = form1.sender.value;
	parent.fastTabsVedi('frameFiltroUtilizzatori');
}

function SelUtilizzatore(IdUtilizzatore)
{
	form1.IdUtilizzatore.value = IdUtilizzatore;
	
	var result = jhp("jhp/carica_utilizzatore.php", {IdUtilizzatore: IdUtilizzatore});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var Nome = result.value;
		
		form1.Utilizzatore.value = Nome;
	}
	
	AbilitaTasti();
}

function TogliUtilizzatore()
{
	document.form1.IdUtilizzatore.value = '';
	document.form1.Utilizzatore.value = '';
	
	AbilitaTasti();
}

function CaricaSelects()
{
	CaricaSelectEntiErogatori();
	CaricaSelectTipiUtenza();
}

function EditErogatori()
{
	form2.action="erogatori/index.php";
	form2.submit();
	parent.fastTabsVedi('frameTemp1');
}

function CaricaSelectEntiErogatori()
{
	jhp_select(form1.IdEnteErogatore, 'jhp/carica_cbo_enti_erogatori.php', true, {});
}

function EditTipiUtenza()
{
	form2.action="tipi_utenza/index.php";
	form2.submit();
	parent.fastTabsVedi('frameTemp1');
}

function CaricaSelectTipiUtenza()
{
	jhp_select(form1.IdTipoUtenza, 'jhp/carica_cbo_tipi_utenza.php', true, {});
}

function Carica(IdUtenza)
{
	var result = jhp("jhp/utenza/carica.php", {IdUtenza: IdUtenza});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var record = result.value;
		
		var len = campi.length;
		
		var i;
		
		for ( i=0; i<len; i++ )
		{
			var key = campi[i];
			
			if ( record[key] != undefined ) 
				jei(key).value = record[key];
			else
				jei(key).value = '';
		}
	}
	
	CaricaEdifici(IdUtenza);
	CaricaAmbienti(IdUtenza);
	CaricaComponenti(IdUtenza);
	
	AbilitaTasti();
}

function CercaEdificio()
{
	parent.frameFiltroEdifici.form1.sender.value = form1.sender.value;
	parent.frameFiltroEdifici.form1.IdUtenza.value = form1.Id.value;
	parent.frameFiltroEdifici.SelUtilizzatore(form1.IdUtilizzatore.value);
	parent.fastTabsVedi('frameFiltroEdifici');
}

function CaricaEdifici(IdUtenza)
{
	var result = jhp("jhp/utenza/edifici_utenza.php", {IdUtenza: IdUtenza});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divEdifici').html(result.value);
		$('input[type=button]').button();
	}
}

function CaricaAmbienti(IdUtenza)
{
	var result = jhp("jhp/utenza/ambienti_utenza.php", {IdUtenza: IdUtenza});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divAmbienti').html(result.value);
		$('input[type=button]').button();
	}
}

function CaricaComponenti(IdUtenza)
{
	var result = jhp("jhp/utenza/componenti_utenza.php", {IdUtenza: IdUtenza});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divComponenti').html(result.value);
		$('input[type=button]').button();
	}
}

function SelEdificio(IdEdificio)
{
	form1.IdEdificio.value = IdEdificio;

	var result = jhp("jhp/utenza/aggiungi_edificio.php", {
		IdUtenza: form1.Id.value,
		IdEdificio: IdEdificio});

	if(result.state)
	{
		alert(result.message);
	}
	
	CaricaEdifici(form1.Id.value);
}

function EliminaEdificioUtenza(IdUtenza, IdEdificio)
{
	if ( !confirm("sicuro di voler eliminare edificio?") ) return;
	
	var result = jhp("jhp/utenza/elimina_edificio.php", {
						IdUtenza: IdUtenza,
						IdEdificio: IdEdificio});

	if(result.state)
	{
		alert(result.message);
	}
	
	CaricaEdifici(IdUtenza);
}

function EliminaAmbienteUtenza(IdUtenza, IdEdificio, IdAmbiente)
{
	if ( !confirm("sicuro di voler eliminare ambiente?") ) return;
	
	var result = jhp("jhp/utenza/elimina_amb_ute.php", {
						IdUtenza: IdUtenza,
						IdEdificio: IdEdificio,
						IdAmbiente: IdAmbiente});

	if(result.state)
	{
		alert(result.message);
	}
	
	CaricaAmbienti(IdUtenza);
}

function EliminaComponenteUtenza(IdUtenza, IdEdificio, IdComponente)
{
	if ( !confirm("sicuro di voler eliminare componente?") ) return;
	
	var result = jhp("jhp/utenza/elimina_comp_ute.php", {
						IdUtenza: IdUtenza,
						IdEdificio: IdEdificio,
						IdComponente: IdComponente});

	if(result.state)
	{
		alert(result.message);
	}
	
	CaricaComponenti(IdUtenza);
}

function ApriMappaSuAmbiente(IdEdificio, IdPiano, CodiceAmbiente)
{
	frmMappa.sender.value = form1.sender.value;
	frmMappa.IdUtenza.value = form1.Id.value;
	frmMappa.IdUtilizzatore.value = form1.IdUtilizzatore.value;
	frmMappa.IdEdificio.value = IdEdificio;
	frmMappa.action = "mappa_v2/mappa.php";
	frmMappa.IdCommessa.value = form1.IdCommessa.value;
	frmMappa.IdLivello.value = IdPiano;
	frmMappa.CodiceAmbiente.value = CodiceAmbiente;
	frmMappa.AzioneMappa.value = "fit_ambiente";
	frmMappa.submit();
	parent.fastTabsVedi('frameTemp1');
}

function ApriMappaComponenteUtenza(IdEdificio, IdPiano, CodiceComponente)
{
	frmMappa.sender.value = form1.sender.value;
	frmMappa.IdUtenza.value = form1.Id.value;
	frmMappa.IdUtilizzatore.value = form1.IdUtilizzatore.value;
	frmMappa.IdEdificio.value = IdEdificio;
	frmMappa.action = "mappa_v2/mappa.php";
	frmMappa.IdCommessa.value = form1.IdCommessa.value;
	frmMappa.IdLivello.value = IdPiano;
	frmMappa.CodiceComponente.value = CodiceComponente;
	frmMappa.AzioneMappa.value = "fit_componente";
	frmMappa.submit();
	parent.fastTabsVedi('frameTemp1');
}

function VaiSuPiani(IdEdificio)
{
	frmPiani.sender.value = form1.sender.value;
	frmPiani.IdUtenza.value = form1.Id.value;
	frmPiani.IdUtilizzatore.value = form1.IdUtilizzatore.value;
	frmPiani.IdEdificio.value = IdEdificio;
	frmPiani.action = "elenco_piani.php";
	frmPiani.submit();
	parent.fastTabsVedi('frameTemp1');
}

function Azzera()
{
	var len = campi.length;
	
	var i;
	
	for ( i=0; i<len; i++ )
	{
		var key = campi[i];
		
		jei(key).value = '';
	}
	
	$('#divEdifici').html('');
	$('#divAmbienti').html('');
	$('#divComponenti').html('');
	
	AbilitaTasti();
}

function Aggiungi()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/utenza/aggiungi.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Carica(result.value);
	}
}

function Modifica()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/utenza/modifica.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Carica(form1.Id.value);
	}
}

function Elimina()
{
	if ( !confirm("sicuro di voler eliminare utenza?") ) return;
	
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/utenza/elimina.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Azzera();
	}
}
