<?php

function TematizzaAmbientiUtenza($map, $data, $rosso, $verde, $blu)
{
	global $_POST;
	
	$IdCommessa = (int)$_POST[IdCommessa];
	$IdUtenza = (int)$_POST[IdUtenza];
	
	$layer = ms_newLayerObj($map);

	$layer->set("type", MS_LAYER_POLYGON);

	$layer->set("status", MS_ON);

	$layer->set("data", $data);

	for ( $i=0; $i<$layer->index; $i++)
		$map->moveLayerUp($layer->index);
	
	$sql = <<< sql
		SELECT     Ambiente.CodiceAmbiente
		FROM         AmbientiUtenze INNER JOIN
							  Ambiente ON AmbientiUtenze.IdCommessa = Ambiente.IdCommessa AND AmbientiUtenze.IdEdificio = Ambiente.IdEdificio AND 
							  AmbientiUtenze.IdAmbiente = Ambiente.IDAmbiente
		WHERE     (Ambiente.IdCommessa = $IdCommessa) AND (AmbientiUtenze.IdUtenza = $IdUtenza)
sql;

	$query2 = ntxQuery($sql);

	$queryTema = "\"[CODICE]\"==\"\"";

	while ( $rs2 = ntxIRecord($query2) )
	{  
		if ( $queryTema != "" )
			$queryTema .= " OR ";
			
		$queryTema .= "\"[CODICE]\" == \"$rs2[0]\"";
	}

	$layer->setFilter("( $queryTema )");

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	$style->color->setRGB($rosso, $verde, $blu);
	$style->outlinecolor->setRGB($rosso, $verde, $blu);
}


?>