<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');
$UltimoCompSel = $_POST['UltimoCompSel'];

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$edificio = "C{$IdCommessa}E{$IdEdificio}";
$livello = "C{$IdCommessa}E{$IdEdificio}L{$IdLivello}";

$pathShapes = "$pathCommessa\\EDIFICIO_{$edificio}\\LIVELLO_{$livello}\\SHAPE_{$livello}\\";

$map = ms_newMapObj("");

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$map->set("units", MS_METERS);

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

$sql = <<< sql
	SELECT 2 ordine, * FROM
	(
		SELECT     's'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCoperture
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
		UNION
		SELECT     'i'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCopertureInCommessa
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
		AND     (IdCommessa = $IdCommessa)
	) a2
sql;

$query = ntxQuery($sql);

$result = array();

while ( $rs = ntxRecord($query) )
{
	$nomeFile = $rs[FileName];
	
	$data = "{$pathShapes}{$nomeFile}.shp";

	if ( !is_file($data) ) continue;
	
	$layer = ms_newLayerObj($map);
	
	$layer->set("template", "none");
	
	$layer->set("data", $data);

	$res = @$layer->queryByRect($layer->getExtent());

	if ( $res == MS_SUCCESS )
	{
		$num = $layer->getNumResults();
		
		$layer->open();
		
		for ( $i=0;$i<$num; $i++ )
		{
			$resObj = $layer->getResult($i);
			
			$shape = $layer->getShape($resObj);
			
			if ( $shape->values[CODICE] == $UltimoCompSel )
			{
				$rect = $shape->bounds;
				
				$dx = 5;
				$dy = 5;
				
				$rect->minx -= $dx;
				$rect->miny -= $dy;
				$rect->maxx += $dx;
				$rect->maxy += $dy;

				$extent = $rect->minx." ".$rect->miny." "
					.$rect->maxx." ".$rect->maxy;

				$result[extent] = $extent;				

				jhp($result);
			}
		}
		
		$layer->close();
	}
}

jhp_error("Nessuna coincidenza trovata!");

?>
