<?php

function TematizzaAmbientiUtilizzatore($map, $data, $rosso, $verde, $blu)
{
	global $_POST, $IdUtilizzatore;

	$IdCommessa = (int)$_POST[IdCommessa];
	
	$layer = ms_newLayerObj($map);

	$layer->set("type", MS_LAYER_POLYGON);

	$layer->set("status", MS_ON);

	$layer->set("data", $data);

	for ( $i=0; $i<$layer->index; $i++)
		$map->moveLayerUp($layer->index);
	
	$sql = <<< sql
		SELECT    Ambiente.CodiceAmbiente
		FROM         Ambiente INNER JOIN
							  tblUtAmbienti ON Ambiente.IdCommessa = tblUtAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtAmbienti.IdEdificio AND 
							  Ambiente.IDAmbiente = tblUtAmbienti.IdAmbiente
		WHERE     (tblUtAmbienti.IdCommessa = $IdCommessa) AND (tblUtAmbienti.IdUtilizzatore = $IdUtilizzatore)
sql;

	if ( $_POST[FiltroPerDateInizioFine]==1  &&  ntxIsDateTime($_POST[DataInizio])  &&  ntxIsDateTime($_POST[DataFine]) )
	{
		$DataInizio = ntxtp('DataInizio');
		$DataFine = ntxtp('DataFine');
		
		$sql .= " AND tblUtAmbienti.DataInizio <= $DataFine ";
		$sql .= " AND tblUtAmbienti.DataFine >= $DataInizio ";
	}
	
	$query2 = ntxQuery($sql);

	$queryTema = "\"[CODICE]\"==\"\"";

	while ( $rs2 = ntxIRecord($query2) )
	{  
		if ( $queryTema != "" )
			$queryTema .= " OR ";
			
		$queryTema .= "\"[CODICE]\" == \"$rs2[0]\"";
	}

	$layer->setFilter("( $queryTema )");

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	$style->color->setRGB($rosso, $verde, $blu);
	$style->outlinecolor->setRGB($rosso, $verde, $blu);
}


?>