<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdAddetto = ntxip('IdAddetto');
$Anno = ntxip('Anno');

$sql = <<< sql
	SELECT     IDCMA, Mese, Note, 
					
					canone1, canone2, canone3, canone4, canone5, canone6, canone7, canone8, canone9, canone10, 
						canone11, canone12, canone13, canone14, canone15, canone16, canone17, canone18, canone19, canone20, 
						canone21, canone22, canone23, canone24, canone25, canone26, canone27, canone28, canone29, canone30, canone31, 
					  
					  extra1, extra2, extra3, extra4, extra5, extra6, extra7, extra8, extra9, extra10, 
					  extra11, extra12, extra13, extra14, extra15, extra16, extra17, extra18, extra19, extra20, 
					  extra21, extra22, extra23, extra24, extra25, extra26, extra27, extra28, extra29, extra30, extra31, 
					  
					  copertura1, copertura2, copertura3, copertura4, copertura5, copertura6, copertura7, copertura8, copertura9, 
					  copertura10, copertura11, copertura12, copertura13, copertura14, copertura15, copertura16, copertura17, copertura18, 
					  copertura19, copertura20, copertura21, copertura22, copertura23, copertura24, copertura25, copertura26, copertura27, 
					  copertura28, copertura29, copertura30, copertura31
					  
	FROM         ConsuntivazionePulizie
	WHERE     (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio) AND (IdAddetto = $IdAddetto) AND (Anno = $Anno)
	ORDER BY Mese
sql;

$query = ntxQuery($sql);

$table = <<< table
	<div style="font-weight:bold;font-size:14pt">$Anno</div>
	<table class=grid>
		<tr>
			<th>
			<th>Mese
			<th>Tipo
table;

for($i=1;$i<=31;$i++)
	$table .= "<th thGiornoMese=$i>$i";
	
$table .= "<th>Note";
	
$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";

	for($i=1;$i<=31;$i++)
	{
		$k = "canone".$i;
		$rs[$k] = ntxRound($rs[$k],2);
		$k = "extra".$i;
		$rs[$k] = ntxRound($rs[$k],2);
		$k = "copertura".$i;
		$rs[$k] = ntxRound($rs[$k],2);
	}
	
	$table .= <<< table
		<tr $classTr>
			<td rowspan=3><input type=radio name=optSelMesePivot IDCMA=$rs[IDCMA] Mese=$rs[Mese] onclick="AggiornaGiorniSettimana($rs[Mese])" />
			<td rowspan=3>$rs[Mese]
			<td>o
table;

	for($i=1;$i<=31;$i++)
	{
		$k = "canone".$i;
		$v = $rs[$k];
		
		$table .= <<< table
				<td tdGiornoMese=$i><input type=text IDCMA=$rs[IDCMA] tipo=1 giorno=$i value="$v" onfocus="AggiornaGiorniSettimana($rs[Mese])" onblur="UpdatePivotCell(this)" size=5 style="text-align:center" />
table;
	}
	
	$Note = htmlentities($rs[Note]);
	
	$table .= <<< table
			<td rowspan=3><textarea rows=4 cols=50 IDCMA=$rs[IDCMA] onfocus="AggiornaGiorniSettimana($rs[Mese])" onblur="UpdatePivotNote(this)">$Note</textarea>
		<tr $classTr>
				<td>s
table;

	for($i=1;$i<=31;$i++)
	{
		$k = "extra".$i;
		$v = $rs[$k];
		
		$table .= <<< table
				<td tdGiornoMese=$i><input type=text IDCMA=$rs[IDCMA] tipo=2 giorno=$i value="$v" onfocus="AggiornaGiorniSettimana($rs[Mese])" onblur="UpdatePivotCell(this)" size=5 style="text-align:center" />
table;
	}

	$table .= <<< table
		<tr $classTr>
				<td>oc
table;

	for($i=1;$i<=31;$i++)
	{
		$k = "copertura".$i;
		$v = $rs[$k];
		
		$table .= <<< table
				<td tdGiornoMese=$i><input type=text IDCMA=$rs[IDCMA] tipo=3 giorno=$i value="$v" onfocus="AggiornaGiorniSettimana($rs[Mese])" onblur="UpdatePivotCell(this)" size=5 style="text-align:center" />
table;
	}

	$alternate = !$alternate;
}

$table .= "</table>";

jhp($table);

?>
