<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdAddetto = ntxip('IdAddetto');
$Anno = ntxip('Anno');

$sqlMotivi = "";

for ($i=1;$i<=31;$i++)
{
	$campo = "motivo".$i;
	$campo2 = "lmotivo".$i;
	
	$sqlMotivi .= <<< sqlMotivi
		(
			SELECT     MotivazioniAssenzePulizie.Codice
			FROM         MotivazioniAssenzePulizie
			WHERE MotivazioniAssenzePulizie.IdMotivazione=FerieAssenzePulizie.$campo
		) $campo2,
sqlMotivi;
}

$sql = <<< sql
	SELECT     IDFM, Mese,  
					
						$sqlMotivi 
					  
					  ore1, ore2, ore3, ore4, ore5, ore6, ore7, ore8, ore9, ore10, 
					  ore11, ore12, ore13, ore14, ore15, ore16, ore17, ore18, ore19, ore20, 
					  ore21, ore22, ore23, ore24, ore25, ore26, ore27, ore28, ore29, ore30, ore31
					  
	FROM         FerieAssenzePulizie
	WHERE     (IdAddetto = $IdAddetto) AND (Anno = $Anno)
	ORDER BY Mese
sql;

$query = ntxQuery($sql);

$table = <<< table
	<div style="font-weight:bold;font-size:14pt">$Anno</div>
	<table class=grid>
		<tr>
			<th>
			<th>Mese
			<th>Tipo
table;

for($i=1;$i<=31;$i++)
	$table .= "<th thGiornoMese=$i>$i";
	
$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$table .= <<< table
		<tr $classTr>
			<td rowspan=2><input type=radio name=optSelMesePivot IDFM=$rs[IDFM] Mese=$rs[Mese] onclick="AggiornaGiorniSettimana($rs[Mese])" />
			<td rowspan=2>$rs[Mese]
			<td>motivo
table;

	for($i=1;$i<=31;$i++)
	{
		$k = "lmotivo".$i;
		$v = ntxJs($rs[$k]);
		
		$table .= <<< table
				<td tdGiornoMese=$i><input type=text IDFM=$rs[IDFM] tipo=1 giorno=$i value="$v" Mese=$rs[Mese] onclick="UpdateMovito(this)" size=5 style="text-align:center" readonly />
table;
	}
	
	$Note = htmlentities($rs[Note]);
	
	$table .= <<< table
		<tr $classTr>
				<td>ore
table;

	for($i=1;$i<=31;$i++)
	{
		$k = "ore".$i;
		$v = ntxRound($rs[$k],2);
		
		$table .= <<< table
				<td tdGiornoMese=$i><input type=text IDFM=$rs[IDFM] tipo=2 giorno=$i value="$v" onfocus="AggiornaGiorniSettimana($rs[Mese])" onblur="UpdatePivotCell(this)" size=5 style="text-align:center" />
table;
	}

	$alternate = !$alternate;
}

$table .= "</table>";

jhp($table);

?>
