<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');

$where = "WHERE ElencoEdifici.IdCommessa=$IdCommessa";

if ( is_numeric($_POST[ID]) ) $where .= " AND ElencoEdifici.ID=".((int)$_POST[ID]);

if ( is_numeric($_POST[IdAddetto]) ) $where .= " AND AddettiPulizieEdifici.IdAddetto=".((int)$_POST[IdAddetto]);

if ( strlen("$_POST[Nome]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[Nome])."%'";

if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[Comune]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[Comune])."%'";

if ( strlen("$_POST[Cliente]")>0 ) $where .= " AND tblPgPropietari.Nome LIKE '%".str_replace("'","''",$_POST[Cliente])."%'";

if ( strlen("$_POST[Prov]")>0 ) $where .= " AND ElencoEdifici.PROVINCIA = '".str_replace("'","''",$_POST[Prov])."'";

if ( strlen("$_POST[CAP]")>0 ) $where .= " AND ElencoEdifici.CAP = '".str_replace("'","''",$_POST[CAP])."'";

$sql = <<< sql
	SELECT  DISTINCT   ElencoEdifici.ID, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA AS Prov, 
						  ElencoEdifici.CAP, tblPgPropietari.Nome AS Cliente, ElencoEdifici.ImportoCanone, ElencoEdifici.Ore, ElencoEdifici.ImportoExtracanone
	FROM         ElencoEdifici INNER JOIN
						  AddettiPulizieEdifici ON ElencoEdifici.IdCommessa = AddettiPulizieEdifici.IdCommessa AND 
						  ElencoEdifici.ID = AddettiPulizieEdifici.IdEdificio LEFT OUTER JOIN
						  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	$where
sql;

$paginazione = ntxPaginazione($sql, "ID");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>ID
			<th>Nome
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>CAP
			<th>Cliente
			<th>Importo<br>Canone
			<th>Ore
			<th>Importo<br>Extracanone
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[ImportoCanone] = ntxRoundThousand($rs[ImportoCanone],2);
	$rs[Ore] = ntxRoundThousand($rs[Ore],2);
	$rs[ImportoExtracanone] = ntxRoundThousand($rs[ImportoExtracanone],2);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			$edit
			<td><input type=radio name=optSelEdificio onclick="SelEdificio($rs[ID])" />
			<td>$rs[ID]
			<td>$html[Nome]
			<td>$html[Indirizzo]
			<td>$html[Comune]
			<td>$html[Prov]
			<td>$html[CAP]
			<td>$html[Cliente]
			<td style="text-align:right">$html[ImportoCanone]
			<td style="text-align:right">$html[Ore]
			<td style="text-align:right">$html[ImportoExtracanone]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
