<?php

$sql = <<< sql
	SELECT TOP 1    tblComponetiMestiere.IdMestiere, tblComponetiMestiere.IdComponenteMestiere, AttivitàMestCarAmb.IdAttivitàMestiere, tblAttivitàMestiere.ListaControlloObbligatoria
	FROM         AttivitàMestCarAmb INNER JOIN
                      CaratteristicheAmbienti ON AttivitàMestCarAmb.IdCarAmb = CaratteristicheAmbienti.Id INNER JOIN
                      CaratteristicheAmbientiMN ON CaratteristicheAmbienti.Id = CaratteristicheAmbientiMN.IdCaratteristicaAmbiente INNER JOIN
                      Ambiente ON CaratteristicheAmbientiMN.IdCommessa = Ambiente.IdCommessa AND CaratteristicheAmbientiMN.IdEdificio = Ambiente.IdEdificio AND 
                      CaratteristicheAmbientiMN.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      tblAttivitàMestiere ON AttivitàMestCarAmb.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      AttivitàMestCarAmb.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE     (Ambiente.IdCommessa = $IdCommessa) AND (Ambiente.IdEdificio = $IdEdificio) AND (AttivitàMestCarAmb.IdCommessa = $IdCommessa) AND 
                      (Ambiente.IDAmbiente = $IdAmbiente) AND (CaratteristicheAmbientiMN.DataInizio <= $dataOrdierna) AND 
                      (CaratteristicheAmbientiMN.DataFine >= $dataOrdierna) AND (tblAttivitàMestiere.PulizieCamereHotel = 1)
sql;

$rs = ntxRecord(ntxQuery($sql));

$IdMestiere = $rs[IdMestiere];
$IdComponenteMestiere = $rs[IdComponenteMestiere];
$IdAttivitàMestiere = $rs[IdAttivitàMestiere];
$ListaControlloObbligatoria = $rs[ListaControlloObbligatoria] ? 1 : 0;

if ( !is_numeric($IdAttivitàMestiere) )
	jhp_error("Manca relazione ambiente selezionato caratteristiche ambienti su data ordierna e attività pulizie camere hotel!");

//jhp_error("$IdMestiere $IdComponenteMestiere $IdAttivitàMestiere $ListaControlloObbligatoria");
?>