<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$dataOrdierna = ntxtp('dataOrdierna');

if ( $dataOrdierna=="NULL" ) 
{
	$sql = "SELECT getdate()";
	$date = ntxDate(ntxScalar($sql));
	$dataOrdierna = "dbo.cdate('$date')";
}

$addWhere = "";

if ( is_numeric($_POST[Piano]) ) 
	$addWhere .= " AND PianoLivello.idPiano=".(int)$_POST[Piano];

if ( strlen("$_POST[CodiceStanza]")>0 ) 
	$addWhere .= " AND Ambiente.CodiceAssAmbiente=".ntxsp('CodiceStanza');

$sql = <<< sql
	SELECT     DestinazioniDusoLivello.Destinazione AS Piano, Ambiente.CodiceAssAmbiente AS Camera, DestinazioniDuso.Destinazione AS Tipo,
		sum(case when StatoOrd>=50 then 1 else 0 end) ordiniChiusi,
		sum(case when StatoOrd<50 then 1 else 0 end) ordiniAperti,
		
		Ambiente.IDAmbiente
		
	FROM         DestinazioniDusoLivello INNER JOIN
                      Ambiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      Ordini INNER JOIN
                      tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere ON 
                      Ambiente.IdCommessa = Ordini.IDCommessa AND Ambiente.IdEdificio = Ordini.CodEdificio AND Ambiente.IDAmbiente = Ordini.IdAmbiente INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso ON DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa AND 
                      DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso
  WHERE     (Ordini.IDCommessa = $IdCommessa) 
		AND (Ordini.CodEdificio = $IdEdificio) 
		AND (Ordini.TipoAttività = 'Pulizia') 
		AND (Ordini.DataInizioProg = $dataOrdierna) 
		AND (tblAttivitàMestiere.PulizieCamereHotel = 1)
		$addWhere
	group by DestinazioniDusoLivello.Destinazione , Ambiente.CodiceAssAmbiente , DestinazioniDuso.Destinazione, Ambiente.IDAmbiente
sql;

$paginazione = ntxPaginazione($sql, "Piano, Camera, Tipo");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Piano
			<th>Vano
			<th>Tipo
			<th>Ordini Chiusi
			<th>Ordini Aperti
		</tr>
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$table .= <<< table
		<tr $classTr>
			<td><input type=checkbox Genera IdAmbiente=$rs[IDAmbiente] />
			<td>$html[Piano]
			<td>$html[Camera]
			<td>$html[Tipo]
			<td>$html[ordiniChiusi]
			<td>$html[ordiniAperti]
		</tr>
table;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
