<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
 
require_once('sql.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
	<style type="text/css"> 
	table, th, td 
	{
		border: solid 1px;
		border-color:#5B5B5B;
	}
	</style>
</head>


<table>
	<tr>
		<th>Num. Ordine</th>
		<th>Anno Ordine</th>
		<th>Richiedente</th>
		<th>Data Ordine</th>
		<th>Data Scadenza</th>
		<th>Stato Ordine</th>
		<th>Num. Richiesta</th>
		<th>Anno Richiesta</th>
		<th>Data Richiesta</th>
		<th>TipoC</th>
		<th>Des</th>
		<th>Ente</th>
		<th>Codice Localiz.</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>Fornitore</th>
		<th>Mestiere</th>
		<th>Superamento Franchigia</th>
		<th>Conferma Canone</th>
		<th>Richiesta generata</th>
		<th>Utilizzatore</th>
		<th>Note</th>
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td  >&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>		
		<td  >&nbsp;<?php echo ntxDateTime($rs['DataOrdine']) ?></td>
		<td  >&nbsp;<?php echo ntxDateTime($rs['DataScadenza']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['NumRichiesta']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['AnnoRichiesta']) ?></td>
		<td  >&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Contabiliz']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Des']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Fornitore']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Mestiere']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['FFC']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['SC']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['RicGenerata']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

</body>
</html>