<?php

if (!$_SESSION) {
    session_start();
}

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH . '_database.inc');

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');

$where .= " AND RegistroVettori.stato = 10 AND (RegistroVettori.IDDitta = $IdDitta)  ";

$sql = <<< _SQL
	
  SELECT DISTINCT    
    RegistroVettori.Id AS Id
    , Ditte.Ditta
    , RegistroVettori.TargaMotrice
    , RegistroVettoriInOut.Autista
    , RegistroVettori.DataOraCheckIn
    , RegistroVettoriInOut.DataOra
    , RegistroVettoriInOut.Shipment
    , RegistroVettori.Motivo
    , RegistroVettoriInOut.Note
    , RegistroVettori.stato
    , RegistroSlot.DataInizioSlot
    , RegistroSlot.DataFineSlot
    , RegistroPuntiScarico.Descrizione AS PuntoScarico
  
  FROM         
    RegistroVettori 
    INNER JOIN RegVett2RegVettInOut ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
    INNER JOIN RegistroVettoriInOut ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
    INNER JOIN Ditte ON RegistroVettori.IdDitta = Ditte.IDDitta
    INNER JOIN RegVett2RegSlot ON RegistroVettori.Id = RegVett2RegSlot.IdRegistroVettori
    INNER JOIN RegistroSlot ON RegVett2RegSlot.IdRegistroSlot = RegistroSlot.IdRegistroSlot AND RegVett2RegSlot.IdPuntoScarico = RegistroSlot.IdPuntoScarico
    INNER JOIN RegistroPuntiScarico ON RegistroSlot.IdPuntoScarico = RegistroPuntiScarico.IdPuntoScarico
	
  WHERE     
    (RegistroVettori.IdCommessa = $IdCommessa) 
    $where
		
_SQL;

$paginazione = ntxPaginazione($sql, "Id");

$query = $paginazione->query;

$alternate = false;

while ($query  &&  $rs = ntxRecord($query)) {
    $classTr = $alternate ? "class=alternate" : "";

    foreach ($rs as $k => $v) {
        $html[$k] = htmlentities($v);
    }
    
    $sql1 = " SELECT CONVERT (TIME, '$html[DataInizioSlot]') ";
    $sql2 = " SELECT CONVERT (TIME, '$html[DataFineSlot]') ";
    $fascia = substr(htmlentities(ntxScalar($sql1)), 0, 5) . " - " . substr(htmlentities(ntxScalar($sql2)), 0, 5);
    $main .= <<< _HTML
    
        <tr $classTr>
          <td>$html[Ditta]</td>
          <td>$html[TargaMotrice]</td>
          <td>$html[Autista]</td>
          <td>SLOT $fascia</td>
          <td>$html[PuntoScarico]</td>
          <td>$html[Note]</td>
        </tr>

_HTML;

    $alternate = !$alternate;
}

$table = <<< _HTML
        
    <table align="center">
        <thead>
            <tr>
              <th>Ditta</th>
              <th>Targa</th>
              <th>Autista</th>
              <th>Prenotazione</th>
              <th>Punto Di Scarico</th>
              <th>Note</th>
        </thead>
        <tbody>
            $main
        </tbody>
    </table>
          
_HTML;

if (count($html) == 0) {
    $table = '<div align=\"center\"><h3>NESSUNA PRENOTAZIONE PRESENTE</h3></div>';
}

$result = array();
$result[table] = $table;
$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);
