<?php

if (!$_SESSION) {
    session_start();
}

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdUtente = ntxise('IdUtente');
$DataCopiaFrom = ntxtp('DataCopiaFrom');
$DataCopiaTo = $_POST['DataCopiaTo'];
$DataCopiaToCheck = ntxtp('DataCopiaTo');

$sqlCheck = <<< _SQL
        
    SELECT TOP 1
        IdRegistroSlot
    FROM
        RegistroSlot
    WHERE 
        ( DATEPART(dy, RegistroSlot.DataInizioSlot) = DATEPART(dy, $DataCopiaToCheck))

_SQL;

$check = ntxScalar($sqlCheck);
if (is_numeric($check)) {
    jhp_error(" La Data in cui stai cercando di copiare non è vuota! ");
}

$sqlFrom = <<< _SQL
        
    SELECT
        *
    FROM
        RegistroSlot
    WHERE 
        ( DATEPART(dy, RegistroSlot.DataInizioSlot) = DATEPART(dy, $DataCopiaFrom))

_SQL;

$query = ntxQuery($sqlFrom);

while ($query  &&  $rs = ntxRecord($query)) {

    foreach ($rs as $key => $value) {
        $html[$key] = htmlentities($value);
    }

    $DataInizioSlotNew = strval($DataCopiaTo) . " " . strval(htmlentities(substr(htmlentities(ntxScalar(" SELECT CONVERT (TIME, '$html[DataInizioSlot]') ")), 0, 5)));
    $DataFineSlotNew = strval($DataCopiaTo) . " " . strval(htmlentities(substr(htmlentities(ntxScalar(" SELECT CONVERT (TIME, '$html[DataFineSlot]') ")), 0, 5)));

    $sqlTo = <<< _SQL
            
            INSERT INTO
                RegistroSlot(IdCommessa, IdEdificio, DataCreazione, IdUtente, IdPuntoScarico, DataInizioSlot, DataFineSlot, PostiAssegnatiSlot, PostiLiberiSlot, Consolidato, Invalidato)
            VALUES
                ($html[IdCommessa],$html[IdEdificio],GETDATE(),$IdUtente,$html[IdPuntoScarico],dbo.CDate('$DataInizioSlotNew'),dbo.CDate('$DataFineSlotNew'),$html[PostiAssegnatiSlot],$html[PostiLiberiSlot], 0, $html[Invalidato])
            
_SQL;

    ntxQuery($sqlTo);
}

jhp_ok();
