<?php

if (!$_SESSION) {
    session_start();
}

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH . '_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
//$IdUtente = ntxise('IdUtente');
$IdEdificio = ntxip('IdEdificio');
$where = " WHERE RegistroSlot.IdCommessa=$IdCommessa AND RegistroSlot.IdEdificio = $IdEdificio AND Invalidato <> 1 ";

if (isset($_POST['DataRicerca'])  &&  strlen($_POST['DataRicerca']) > 0) {
    $DataRicerca = ntxtp('DataRicerca');
    $where .= " AND ( DATEPART(dy, RegistroSlot.DataInizioSlot) = DATEPART(dy, $DataRicerca)) ";
}

$sql = <<< _SQL
    
    SELECT 
        IdRegistroSlot
	,IdCommessa
	,IdEdificio
	,DataCreazione
	,IdUtente
	,IdPuntoScarico
	,DataInizioSlot
	,DataFineSlot
	,PostiAssegnatiSlot
	,PostiLiberiSlot
        ,Consolidato
    FROM 
        RegistroSlot
    $where
    
_SQL;

$paginazione = ntxPaginazione($sql, "DataInizioSlot");

$query = $paginazione->query;

$pds = array();
$regslot = array();
$regslotdifascia = array();
while ($query  &&  $rs = ntxRecord($query)) {

    foreach ($rs as $k => $v) {
        $html[$k] = htmlentities($v);
    }

    $sql1 = " SELECT CONVERT (TIME, '$html[DataInizioSlot]') ";
    $sql2 = " SELECT CONVERT (TIME, '$html[DataFineSlot]') ";

    $fascia = substr(htmlentities(ntxScalar($sql1)), 0, 5) . " - " . substr(htmlentities(ntxScalar($sql2)), 0, 5);
    $pds[$fascia][intval($html['IdPuntoScarico'])]['PostiAssegnatiSlot'] = intval($html['PostiAssegnatiSlot']);
    $pds[$fascia][intval($html['IdPuntoScarico'])]['PostiLiberiSlot'] = intval($html['PostiLiberiSlot']);
    $pds[$fascia][intval($html['IdPuntoScarico'])]['Consolidato'] = intval($html['Consolidato']);
    $regslot[$fascia][intval($html['IdPuntoScarico'])] = intval($html['IdRegistroSlot']);
    if ($regslotdifascia[$fascia] == '') {
        $regslotdifascia[$fascia] = strval($html['IdRegistroSlot']);
    } else {
        $regslotdifascia[$fascia] .= "," . strval($html['IdRegistroSlot']);
    }
}

$table .= "<table align=center>";
$i = 1;
foreach ($pds as $key1 => $value1) {
    if ($i == 1) {
        $table .= "<tr>";
        $table .= "<th class=\"toHide\"></th>";
        $table .= "<th>Fasce</th>";
    }
    foreach ($value1 as $key2 => $value2) {
        if ($i == 1) {
            $sql = " SELECT TOP 1 Descrizione FROM RegistroPuntiScarico WHERE IdPuntoScarico = $key2 ";
            $desc = ntxScalar($sql);
            $table .= "<th>$desc</th>";
        }
    }
    $table .= "</tr>";
    ++$i;
}
$alternate = false;
$i = 1;
foreach ($pds as $key1 => $value1) {
    $classTr = $alternate ? "class=alternate" : "";
    $table .= "<tr $classTr>";
    $table .= "<td class=\"toHide\"><input type=\"button\" onclick=\"objCodice.Elimina('{$regslotdifascia[$key1]}')\" value=\"Elimina\"></td>";
    $table .= "<td>$i SLOT $key1</td>";
    foreach ($value1 as $key2 => $value2) {
        $pa = $value2['PostiAssegnatiSlot'];
        if ($value2['Consolidato'] == 1) {
            $script = <<< _JS
                <script>
                    $(function () {
                        $( ".toHide" ).hide()
                    });
                </script>
_JS;
            $table .= "$script";
            $table .= "<td style=\"text-align:center;\">$pa</td>";
        } else {
            $script = <<< _JS
                <script>
                    $(function () {
                        $( ".toHide" ).show()
                    });
                </script>
_JS;
            $table .= "$script";
            $table .= "<td><input type=\"text\" value=\"$pa\" onchange=\"objCodice.Modifica({$regslot[$key1][$key2]},this.value)\"></td>";
        }
    }
    $table .= "</tr>";
    ++$i;
    $alternate = !$alternate;
}
$table .= "</table>";

if (count($html) == 0) {
    $table = '<div align=\"center\"><h3>NESSUNO SLOT CONFIGURATO PER LA DATA SELEZIONATA</h3></div>';
}

$result = array();
$result[table] = $table;
$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

