<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdEdificio = ntxip('IdEdificio');

$sql = <<< _SQL

    SELECT 
        ElencoEdifici.EdificioBreve
    FROM 
        ElencoEdifici
        INNER JOIN UtentiEdifici
            ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa
                    AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
    WHERE 
        ElencoEdifici.IdCommessa = $IdCommessa
        AND ElencoEdifici.ID = $IdEdificio

_SQL;

$NomeEdificio = htmlentities(ntxScalar($sql));

$sql = <<< _SQL

    SELECT 
        Risorse.ID AS IdRisorsa
    FROM 
        Risorse
        INNER JOIN Utenti
            ON risorse.id = Utenti.idrisorsa
    WHERE 
        Utenti.Id = $IdUtente 

_SQL;

$IdRisorsa = htmlentities(ntxScalar($sql));

//if(!is_numeric($IdRisorsa)) ntxmsgerr('manca collegamento tra utente e risorsa!');

$Ditta = '';
if (isset($_POST['IdDitta'])  &&  is_numeric($_POST['IdDitta'])) {

    $IdDitta = ntxip('IdDitta');
    $sql = <<< _SQL

    SELECT 
        Ditta
    FROM 
        Ditte
    WHERE 
        IDDitta = $IdDitta

_SQL;

    $Ditta = htmlentities(ntxScalar($sql));
}

$optionMotivoAccesso = '';
$sql = <<< _SQL

    SELECT
        *
    FROM
        MotivoAccesso
    WHERE 
        1=1
   
_SQL;

$query = ntxQuery($sql);
while ($query  &&  $rs = ntxRecord($query)) {
    foreach ($rs as $k => $v) {
        $html[$k] = htmlentities($v);
    }
    $optionMotivoAccesso .= <<< _HTML
     
        <option value="{$html['IdMotivoAccesso']}">{$html['Descrizione']}</option>
            
_HTML;
}

/*
 * frm = document.frmCheckIn || document.frmIngresso || document.frmUscita
 * manager of javascript functions that pass the form name as a parameter
 * Check the form name and act accordingly on buttons
 */

$disableCheckValidita = ' disabled="disabled" '; 
 
if ($_POST['NomeForm'] == 'checkin') {

	$disableCheckValidita = ' '; 
	
    $frmButton = <<< _HTML
            
        <tr>
            <th colspan=6>
                <input type="button" value="Registra Check In" onclick="objCodice.CheckIn(document.{$_POST['NomeForm']})" style="width:100%" >
            </th>
        </tr>
        <tr>
            <th colspan=6>
                <input type="button" value="Registra Ingresso" onclick="objCodice.Ingresso(document.{$_POST['NomeForm']})" style="width:100%" >
            </th>
        </tr>
        <tr>
            <th colspan=6>
                <input type="button" onclick="objCodice.Reset(document.{$_POST['NomeForm']})" value="Reset Form" style="width:100%" >
            </th>
        </tr>

_HTML;
} elseif ($_POST['NomeForm'] == 'ingresso') {

    $frmButton = <<< _HTML

        <tr>
            <th colspan=6> 
                <input type="file" name="pathBolla" value="">
                <iframe name=scaricoFoto style="width:100%;height:40px;display:block;position:relative;top:0;left:0;background:#e0e0e0;border:none;" ></iframe>
                <input type="button" onclick="objCodice.AddDocScansionato(document.{$_POST['NomeForm']})" value="Aggiungi Scansione" style="float:right">
            </th>
        </tr>
        <tr>
            <th colspan=6>
                <input type="button" value="Registra Ingresso" onclick="objCodice.Ingresso(document.{$_POST['NomeForm']})" style="width:100%;" >
            </th>
        </tr>
        
_HTML;
} elseif ($_POST['NomeForm'] == 'uscita') {

    $frmButton = <<< _HTML

        <tr>
            <th colspan=6> 
                <input type="file" name="pathBolla" value="">
                <iframe name=scaricoFoto style="width:100%;height:40px;display:block;position:relative;top:0;left:0;background:#e0e0e0;border:none;" ></iframe>
                <input type="button" onclick="objCodice.AddDocScansionato(document.{$_POST['NomeForm']})" value="Aggiungi Scansione" style="float:right">
            </th>
        </tr>
        <tr>
            <th colspan=6>
                <input type="button" value="Registra Uscita" onclick="objCodice.Uscita(document.{$_POST['NomeForm']})" style="width:100%;" >
            </th>
        </tr>
        
_HTML;
}elseif ($_POST['NomeForm'] == 'uscita_modifica') {

    $frmButton = <<< _HTML

        <tr>
            <th colspan=6> 
                <input type="file" name="pathBolla" value="">
                <iframe name=scaricoFoto style="width:100%;height:40px;display:block;position:relative;top:0;left:0;background:#e0e0e0;border:none;" ></iframe>
                <input type="button" onclick="objCodice.AddDocScansionato(document.{$_POST['NomeForm']})" value="Aggiungi Scansione" style="float:right">
            </th>
        </tr>
        <tr>
            <th colspan=6>
                <input type="button" value="Modifica Uscita" onclick="objCodice.UscitaModifica(document.{$_POST['NomeForm']})" style="width:100%;" >
            </th>
        </tr>
        
_HTML;
}

$result = <<< _HTML

<form name={$_POST['NomeForm']} method="post" action="" enctype="multipart/form-data" onsubmit="return false;">

    <input type="hidden" name="IdEdificio" value="$IdEdificio">
    <input type="hidden" name="IdDitta" value="$IdDitta">
    <input type="hidden" name="IdUtente" value="$IdUtente">
    <input type="hidden" name="IdRisorsa" value="$IdRisorsa">
    <input type="hidden" name="statoOld" value="">
    <input type="hidden" name="statoNew" value="">
    <input type="hidden" name="IdRegistroVettori" value="">
    <input type="hidden" name="IdRegistroVettoriInOut" value="">

    <table align="center" width="800">
        
        <caption>Registro</caption>
        
        <tr>
            <th>Localizzazione</th>
            <td>
                <input type="text" name="NomeEdificio" value="$NomeEdificio" readonly="" disabled="" style="width:98%">
            </td>
        </tr>

        <tr>
            <th>Vettore</th>
            <td>
                <input type="text" name="Ditta" value="$Ditta" readonly="" disabled="" style="width:98%" >
            </td>
        </tr>

        <tr>
            <th>Autista</th>
            <td>
                <input tipo="testo" convalida type="text" name="Autista" value="" style="width:98%">
            </td>
        </tr>

        <tr>
            <th>Controllo validità patente</th>
            <td>
                <input type="checkbox" name="CheckPatenteValida" $disableCheckValidita value="1" >
            </td>
        </tr>

        <tr>
            <th>Targa Motrice</th>
            <td>
                <input tipo="testo" convalida obbligatorio type="text" name="TargaMotrice" value="" style="width:98%">
            </td>
        </tr>
		
        <tr>
            <th>Controllo validità assicurazione mezzo</th>
            <td>
                <input type="checkbox" name="CheckAssMezzoValida" $disableCheckValidita value="1" >
            </td>
        </tr>		

        <tr>
            <th>Targa Rimorchio</th>
            <td>
                <input tipo="testo" convalida type="text" name="TargaRimorchio" value="" style="width:98%">
            </td>
        </tr>

        <tr>
            <th>Shipment</th>
            <td>
                <input tipo="testo" convalida type="text" name="Shipment" value="" style="width:98%">
            </td>
        </tr>

        <tr>
            <th>Data/Ora</th>
            <td>
                <input tipo="data_ora" convalida obbligatorio type="text" name="DataOra" value="" style="width:72%">
                <input type="button" onclick="AssegnaDataOra(document.{$_POST['NomeForm']}.DataOra)" value="ADESSO" style="width:20%">
            </td>
        </tr>

        <tr>
            <th>Cicalino</th>
            <td>
                <input tipo="testo" convalida type="text" name="Cicalino" style="width:98%">
            </td>
        </tr>

        <tr>
            <th>Note</th>
            <td>
                <textarea tipo="testo" convalida rows="4" cols="50" name="Note"></textarea>
            </td>
        </tr>

        <tr>
            <th>Presa</th>
            <td>
                <select name="Presa" style="width:100%">
                    <option value=0 selected>PRESA (DEFAULT = 0)</option>
                    <option value=1>PRESA 1</option>
                    <option value=2>PRESA 2</option>
                </select>
            </td>
        </div>

        <tr>
            <th>Fascia Orario Carico</th>
            <td>
                <select name="FasciaOrariaPrenotazione" style="width:100%">
                    <option value="" selected></option>
                    <option value="6/8">DALLE 6.00 ALLE 8.00</option>
                    <option value="8/10">DALLE 8.00 ALLE 10.00</option>
                    <option value="10/12">DALLE 10.00 ALLE 12.00</option>
                    <option value="12/14">DALLE 12.00 ALLE 14.00</option>
                    <option value="14/16">DALLE 14.00 ALLE 16.00</option>
                    <option value="16/18">DALLE 16.00 ALLE 18.00</option>
                    <option value="18/20">DALLE 18.00 ALLE 20.00</option>
                    <option value="20/22">DALLE 20.00 ALLE 22.00</option>
                </select>
            </td>
        </tr>

        <tr>
            <th>Postazione Carico</th>
            <td>
                <select name="PostazioneDiCarico" style="width:100%">
                    <option value="" selected></option>
                    <option value="TETTOIA">TETTOIA</option>
                    <option value="BANCHINA">BANCHINA</option>
                </select>
            </td>
        </tr>

        <tr>
            <th>Motivo</th>
            <td>
                <select name="Motivo" style="width:100%" convalida obbligatorio tipo=testo >
                    <option value=""   selected="selected"></option>
                    $optionMotivoAccesso
                </select>
            </td>
        </tr>
                        
        <tr>

            <th>Azione Correttiva Anomalie Riscontrate</th>
            <td><textarea tipo="testo" convalida rows="4" cols="50" name="NoteAnomalia"></textarea></td>

        </tr>
                        
    </table>
    
    <table align="center" width="800">
        
        <tr>
            <th></th>
            <th>EPAL 80x120</th>
            <th>Fustini 18lt</th>
            <th>Casse</th>
            <th>Bancali in Bolla</th>              
        </tr>

        <tr class="carico" >

            <th>Carico</th>
            <td><input tipo="int" convalida obbligatorio name="CaricoEpal" onchange="calcolaCaricoBolla(document.{$_POST['NomeForm']})" value=0></td>
            <td><input tipo="int" convalida obbligatorio name="CaricoFustini" onchange="calcolaCaricoBolla(document.{$_POST['NomeForm']})" value=0></td>
            <td><input tipo="int" convalida obbligatorio name="CaricoCasse" onchange="calcolaCaricoBolla(document.{$_POST['NomeForm']})" value=0></td>
            <td><input tipo="int" convalida obbligatorio name="CaricoAltro" onchange="calcolaCaricoBolla(document.{$_POST['NomeForm']})" value=0></td>
        
        </tr>

        <tr class="carico" >

            <th>Propriet&agrave;</th>
            <td><input tipo="int" convalida obbligatorio name="ProprietaEpal" onchange="calcolaCaricoBolla(document.{$_POST['NomeForm']})" value=0 ></td>
            <td><input tipo="int" convalida obbligatorio name="ProprietaFustini" onchange="calcolaCaricoBolla(document.{$_POST['NomeForm']})" value=0></td>
            <td><input tipo="int" convalida obbligatorio name="ProprietaCasse" onchange="calcolaCaricoBolla(document.{$_POST['NomeForm']})" value=0></td>
            <td><input tipo="int" convalida obbligatorio name="ProprietaAltro" onchange="calcolaCaricoBolla(document.{$_POST['NomeForm']})" value=0></td>
            
        </tr>

        <tr class="carico" >

            <th>Verifica</th>
            <td><input tipo="int" convalida obbligatorio name="VerificaEpal" onchange="calcolaCaricoControllato(document.{$_POST['NomeForm']})" value=0></td>
            <td><input tipo="int" convalida obbligatorio name="VerificaFustini" onchange="calcolaCaricoControllato(document.{$_POST['NomeForm']})" value=0></td>
            <td><input tipo="int" convalida obbligatorio name="VerificaCasse" onchange="calcolaCaricoControllato(document.{$_POST['NomeForm']})" value=0></td>
            <td><input tipo="int" convalida obbligatorio name="VerificaAltro" onchange="calcolaCaricoControllato(document.{$_POST['NomeForm']})" value=0></td>
            
        </tr>
                
    </table>
    
    <table align="center" width="800">
            
        <tr>
            
            <th>Totale Carico + Propriet&agrave;</th>
            <td><input tipo="int" convalida name="CaricoBolla" value=0 readonly="" disabled=""></td>
            
            <th>Totale Verifica</th>
            <td><input tipo="int" convalida name="CaricoControllato" value=0 readonly="" disabled=""></td>
            
            <th>Differenza Carico</th>
            <td><input name="DifferenzaCarico" value=0 readonly="" disabled=""></td>
           
        </tr>
            
        <tr>

            <th colspan=2>
                <input type="button" onclick="set(this,document.{$_POST['NomeForm']}.CaricoNonCorrispondente)" value="Carico Non Corrispondente" name="buttonCaricoNonCorrispondente" disabled style="width:100%" >
                <input type="hidden" name="CaricoNonCorrispondente" value="0">
            </th>

            <th colspan=2>
                <input type="button" onclick="set(this,document.{$_POST['NomeForm']}.BollaErrata)" value="Bolla Errata" name="buttonBollaErrata" style="width:100%" >
                <input type="hidden" name="BollaErrata" value="0">
            </th>

            <th colspan=2>
                <input type="button" onclick="set(this,document.{$_POST['NomeForm']}.BollaMancante)" value="Bolla Mancante" name="buttonBollaMancante" style="width:100%" >
                <input type="hidden" name="BollaMancante" value="0">
            </th>

        </tr>
            
        $frmButton
                    
    </table>

</form>

_HTML;

jhp($result);
