<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
session_start();
require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdEdificio = ntxip('IdEdificio');
$sql = <<< _SQL

    SELECT 
        ElencoEdifici.EdificioBreve
    FROM 
        ElencoEdifici
        INNER JOIN UtentiEdifici
            ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa
            AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
    WHERE 
        ElencoEdifici.IdCommessa = $IdCommessa
        AND ElencoEdifici.ID = $IdEdificio
  
_SQL;

$NomeEdificio = htmlentities(ntxScalar($sql));
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

    <head>

        <title>Manpro.Net - un prodotto Natisoft</title>

        <link href="/repository/css/reset.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="/repository/css/style.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">

        <script src="/repository/libs/jhp_latest/jhp.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jquery_latest/jquery.min.js" type="text/javascript"></script>

        <script src="js/anagrafica_vettore.js?v=<?php echo time() ?>" type="text/javascript"></script>

    </head>

    <body>

        <div class="title large">Ricerca Vettore</div>

        <div class="clrfx mt-30"></div>

        <form name="frmRicerca" method="post" action="" >

            <input type="hidden" name="IdEdificio" value="<?php echo $IdEdificio ?>" >
            <input type="hidden" name="edit" value="<?php echo $edit; ?>" >


            <div class="row table">

                <input placeholder="Localizzazione" type="text" name="NomeEdificio" value="<?php echo $NomeEdificio ?>" readonly disabled >

                <input placeholder="Id" type="text" name="IdVettore" value="" readonly disabled >

                <input placeholder="Nome" type="text" name="NomeVettore" value="" >

                <div class="clrfx mt-15"></div>

                <?php if (!$edit) { ?>

                    <div class="cell w-25">

                        <a class="button entypo-plus-circled" onclick="objCodice.Aggiungi()" >Aggiungi</a>

                    </div>

                    <div class="cell w-25">

                        <a class="button entypo-flash" onclick="objCodice.Modifica()" >Modifica</a>

                    </div>

                <?php } ?>

                <div class="cell w-25">

                    <a class="button entypo-cancel" onclick="document.frmRicerca.reset()" >Reset</a>

                </div>

                <div class="cell w-25">

                    <a class="button entypo-search" onclick="caricaElencoAnagraficheVettori()" >Ricerca</a>

                </div>

            </div>

        </form>

        <div class="clrfx mt-20"></div>

        <div class="title normal">Elenco Vettori</div>

        <div class="clrfx mt-10"></div>

        <div id="elencoAnagraficheVettori" class="cell w-100"></div>

        <form id="form1" name="form1" method="post">

            <input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" >
            <input type=hidden name=IdVettore value="" >

        </form>

    </body>

</html>