<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
session_start();
require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdUtente = ntxise('IdUtente');
$sql1 = <<< _SQL
  SELECT     
    Risorse.Id
  FROM         
    Utenti 
    INNER JOIN
      Risorse ON Utenti.IdRisorsa = Risorse.ID
  WHERE
    Utenti.Id = $IdUtente
_SQL;

if (is_numeric(ntxScalar($sql1))) {
    $edit = 1;
} else {
    $edit = 0;
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

    <head>

        <title>Manpro.Net - un prodotto Natisoft</title>

        <link href="/repository/css/reset.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="/repository/css/style.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">

        <script src="/repository/libs/jquery_latest/jquery.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jhp_latest/jhp.min.js" type="text/javascript"></script>

        <script src="js/index.js?v=<?php echo time() ?>" type="text/javascript"></script>

    </head>

    <body>

        <div class="title large">Selezione Localizzazione</div>

        <div class="clrfx mt-30"></div>

        <div id="elencoLocalizzazioni" class="cell w-100"></div>

        <form id="form1" name="form1" method="post" action="" >

            <input type=hidden name=IdEdificio value="" />
            <input type=hidden name=edit value="<?php echo $edit; ?>" />

        </form>

    </body>

</html>