<?php

if (!$_SESSION) {
    session_start();
}

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdRegistroVettori = ntxip('IdRegistroVettori');
$IdRegistroVettoriInOut = ntxip('IdRegistroVettoriInOut');
$TargaMotrice = ntxsp('TargaMotrice', false);
$Presa = ntxsp('Presa');

$sql = <<< _SQL

    UPDATE 
        RegistroVettori 
    SET 
        Presa = $Presa
        , TargaMotrice = $TargaMotrice
        , isCheckIn = 'false'
        , isIn = 'true'
        , isOut = 'false' 
    WHERE 
        (Id = $IdRegistroVettori)

_SQL;

ntxQuery($sql);

$Autista = ntxsp('Autista');
$TargaRimorchio = ntxsp('TargaRimorchio');
$Shipment = ntxsp('Shipment');
$DataOra = ntxtp('DataOra');
$Note = ntxsp('Note');
$CaricoBolla = ntxip('CaricoBolla');
$CaricoControllato = ntxip('CaricoControllato');
$DifferenzaCarico = ntxip('DifferenzaCarico');
$BollaMancante = ntxbp('BollaMancante');
$BollaErrata = ntxbp('BollaErrata');
$CaricoNonCorrispondente = ntxbp('CaricoNonCorrispondente');
$NoteAnomalia = ntxsp('NoteAnomalia');
$CaricoEpal = ntxip('CaricoEpal');
$CaricoFustini = ntxip('CaricoFustini');
$CaricoCasse = ntxip('CaricoCasse');
$CaricoAltro = ntxip('CaricoAltro');
$ProprietaEpal = ntxip('ProprietaEpal');
$ProprietaFustini = ntxip('ProprietaFustini');
$ProprietaCasse = ntxip('ProprietaCasse');
$ProprietaAltro = ntxip('ProprietaAltro');
$VerificaEpal = ntxip('VerificaEpal');
$VerificaFustini = ntxip('VerificaFustini');
$VerificaCasse = ntxip('VerificaCasse');
$VerificaAltro = ntxip('VerificaAltro');

$sql1 = <<< _SQL

    UPDATE 
        RegistroVettoriInOut 
    SET 
        Autista=$Autista,
        ,TargaRimorchio=$TargaRimorchio
        ,Shipment=$Shipment
        ,DataOra=$DataOra
        ,Note=$Note
        ,CaricoBolla=$CaricoBolla
        ,CaricoControllato=$CaricoControllato
        ,DifferenzaCarico=$DifferenzaCarico
        ,BollaMancante=$BollaMancante
        ,BollaErrata=$BollaErrata
        ,CaricoNonCorrispondente=$CaricoNonCorrispondente
        ,NoteAnomalia=$NoteAnomalia
        ,CaricoEpal=$CaricoEpal
        ,CaricoFustini=$CaricoFustini
        ,CaricoCasse=$CaricoCasse
        ,CaricoAltro=$CaricoAltro
        ,ProprietaEpal=$ProprietaEpal
        ,ProprietaFustini=$ProprietaFustini
        ,ProprietaCasse=$ProprietaCasse
        ,ProprietaAltro=$ProprietaAltro
        ,VerificaEpal=$VerificaEpal
        ,VerificaFustini=$VerificaFustini
        ,VerificaCasse=$VerificaCasse
        ,VerificaAltro=$VerificaAltro 
    WHERE 
        (Id = $IdRegistroVettoriInOut)

_SQL;

ntxQuery($sql1);

$IdRegistroVettoriInOutNew = ntxScalar("SELECT MAX(Id) FROM RegistroVettoriInOut");
$sql2 = <<<_SQL

    UPDATE    
        RegVett2RegVettInOut 
    SET       
        Tipo = 'IN' 
    WHERE     
        (IdRegistroVettori = $IdRegistroVettori) AND (IdRegistroVettoriInOut = $IdRegistroVettoriInOutNew) 

_SQL;
ntxQuery($sql2);

jhp_ok();

