<?php

if (!$_SESSION) {
    session_start();
}

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH . '_database.inc');

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdUtente = ntxip('IdUtente');
$IdVettore = ntxip('IdVettore');

$sql = <<< _SQL
SELECT     RegistroVettori.Id, RegistroVettori.Presa, RegistroVettoriInOut.Autista, RegistroVettoriInOut.TargaRimorchio, RegistroVettoriInOut.Shipment, RegistroVettori.Motivo, RegistroVettoriInOut.DataOra, 
                      RegistroVettoriInOut.Note, RegistroVettori.TargaMotrice, RegistroVettori.DataOraCheckIn, RegistroVettori.isCheckIn, RegistroVettori.isIn, AnagraficaVettore.NomeVettore
FROM         RegistroVettori 
    INNER JOIN
        RegVett2RegVettInOut ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
    INNER JOIN
        RegistroVettoriInOut ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
    INNER JOIN
        AnagraficaVettore ON RegistroVettori.IdVettore = AnagraficaVettore.IdVettore
WHERE     ((RegistroVettori.isCheckIn = 1) OR (RegistroVettori.isIn = 1))
  AND (RegistroVettori.IdCommessa = $IdCommessa) 
	AND (RegistroVettori.IdEdificio = $IdEdificio) 
	AND (RegistroVettori.IdUtente = $IdUtente) 
	AND (RegistroVettori.IdVettore = $IdVettore) 
  
_SQL;

$paginazione = ntxPaginazione($sql, "Id");

$query = $paginazione->query;

$table = <<< table
    <table class="grid centered">
            <tr class="header">
                <th></th>
                <th>Vettore</th>
                <th>Targa Motrice</th>
                <th>Data\Ora Check In</th>
                <th>Autista</th>
                <th>Shipment</th>
                <th>Motivo</th>
                <th>Targa Rimorchio</th>
                <th>Data\Ora Ingresso</th>
                <th>Note</th>
            
table;

$alternate = false;

while ($query  &&  $rs = ntxRecord($query)) {
    $classTr = $alternate ? "class=alternate" : "";

    foreach ($rs as $k => $v) {
        if ($k == 'isCheckIn') {
            $isCheckIn = htmlentities($v);
        } else {
            $html[$k] = htmlentities($v);
        }
    }

    if ($isCheckIn) {
        $tdButton = "<td><a class=\"button\" onclick=\"objCodice.SelRegistraIngresso($html[Id])\">Registra Ingresso</a></td>";
    } else {
        $tdButton = "<td><a class=\"button\" onclick=\"objCodice.SelRegistraUscita($html[Id])\">Registra Uscita</a></td>";
    }

    $DataOra = ntxDateTime($html[DataOra]);
    $DataOraCheckIn = ntxDateTime($html[DataOraCheckIn]);
    $table .= <<< _HTML
		<tr $classTr>
                    $tdButton
                    <td>$html[NomeVettore]</td>
                    <td>$html[TargaMotrice]</td>
                    <td>$DataOraCheckIn</td>
                    <td>$html[Autista]</td>
                    <td>$html[Shipment]</td>
                    <td>$html[Motivo]</td>
                    <td>$html[TargaRimorchio]</td>
                    <td>$DataOra</td>
                    <td>$html[Note]</td>
		
_HTML;

    $alternate = !$alternate;
}

$table .= "</table>";
$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);
?>