<?php  

$where = <<< where
	WHERE SalContrattiGestione.IDCommessa = $IdCommessa
	AND (SalContrattiGestione.Annullata IS NULL OR
                      SalContrattiGestione.Annullata = 0) AND (SalContrattiGestione.Stornata IS NULL OR
                      SalContrattiGestione.Stornata = 0) AND (SalContrattiGestione.Pagato IS NULL OR
                      SalContrattiGestione.Pagato = 0)
where;

switch($_POST[tipo_report])
{
	case 1:
		$where .= " AND (SalContrattiGestione.NumeroFattura IS NOT NULL) ";
		break;
	case 2:
		$where .= " AND (SalContrattiGestione.NumeroFattura IS NULL) AND (tblPgContratti.Precontratto=0 OR tblPgContratti.Precontratto IS NULL) ";
		break;
	case 3:
		$where .= " AND (SalContrattiGestione.NumeroFattura IS NULL) AND (tblPgContratti.Precontratto=1) ";
		break;
	default:
		jhp_error("errore chiamata pagina!");
		break;
}

if ( strlen($_POST[dataSal1])>0 ) $where .= " AND SalContrattiGestione.DataSal>=".ntxtp('dataSal1');
if ( strlen($_POST[dataSal2])>0 ) $where .= " AND SalContrattiGestione.DataSal<=".ntxtp('dataSal2');

if ( strlen($_POST[dataFattura1])>0 ) $where .= " AND SalContrattiGestione.DataFattura>=".ntxtp('dataFattura1');
if ( strlen($_POST[dataFattura2])>0 ) $where .= " AND SalContrattiGestione.DataFattura<=".ntxtp('dataFattura2');

if ( strlen($_POST[dataPrevista1])>0 ) $where .= " AND SalContrattiGestione.DataPagamentoP>=".ntxtp('dataPrevista1');
if ( strlen($_POST[dataPrevista2])>0 ) $where .= " AND SalContrattiGestione.DataPagamentoP<=".ntxtp('dataPrevista2');

if ( strlen($_POST[Cliente])>0 ) $where .= " AND tblPgPropietari.Nome LIKE '%".str_replace("'","''",$_POST[Cliente])."%'";

if ( strlen($_POST[Descrizione])>0 ) $where .= " AND tblPgContratti.Descrizione LIKE '%".str_replace("'","''",$_POST[Descrizione])."%'";

if ( is_numeric($_POST[NumFattura]) ) $where .= " AND SalContrattiGestione.NumeroFattura=".(int)$_POST[NumFattura];

if ( is_numeric($_POST[Banca]) ) $where .= " AND Banche.IdBanca=".(int)$_POST[Banca];

if ( is_numeric($_POST[Precontratto]) )
	if ( $_POST[Precontratto] )
		$where .= " AND tblPgContratti.Precontratto=1";
	else
		$where .= " AND (tblPgContratti.Precontratto=0 OR tblPgContratti.Precontratto IS NULL)";

$sql = <<< sql
SELECT     tblPgPropietari.Nome, tblPgContratti.Descrizione, tblPgContratti.Precontratto, SalContrattiGestione.NumeroSal, SalContrattiGestione.DataSal, 
                      SalContrattiGestione.NumeroFattura, SalContrattiGestione.DataFattura, Banche.Banca, SalContrattiGestione.DataPagamentoP, 
                      SalContrattiGestione.Importo, SalContrattiGestione.IVA, SalContrattiGestione.ImportoIVA, 
                      CASE WHEN SalContrattiGestione.Importorecuperocontratto > SalContrattiGestione.ImportoAnticipato THEN SalContrattiGestione.ImportoIva - SalContrattiGestione.ImportoRecuperoContratto
                       ELSE CASE WHEN residuo_piu_recupero = 0 THEN SalContrattiGestione.residuo ELSE residuo_piu_recupero END END AS IMPORTODisp, 
                      SalContrattiGestione.Affidabilità,
					  SalContrattiGestione.IdSal
FROM         tblPgPropietari INNER JOIN
                      tblPgContratti ON tblPgPropietari.IdPropietario = tblPgContratti.IdPropietario INNER JOIN
                      SalContrattiGestione ON tblPgContratti.IdPgContratto = SalContrattiGestione.IdContrattoGestione LEFT OUTER JOIN
                      Banche ON SalContrattiGestione.IdBanca = Banche.IdBanca
	$where
sql;

?>
