<?php 

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT     
			MIN(YEAR(Contabilità.DataSal)) AS AnnoMin, 
			MAX(YEAR(Contabilità.DataSal)) AS AnnoMax 
						  
	FROM    Contabilità
						  
	WHERE     (IDCommessa = $IdCommessa) AND (idStatoc = 70)
sql;

$rs = ntxRecord(ntxQuery($sql));

$AnnoMin = $rs[AnnoMin];
$AnnoMax = $rs[AnnoMax];

$ColSpan = $AnnoMax-$AnnoMin+4;

$sql = <<< sql
	SELECT     
			tblPgPropietari.IdPropietario AS IdProprietario, 
			tblPgPropietari.Nome AS Proprietario,

			tblMestieri.IdMestiere, 
			tblMestieri.Ordine AS OrdMest, 
			tblMestieri.codice AS CodMest, 
			tblMestieri.Descrizione AS DesMest,

			YEAR(Contabilità.DataSal) AS Anno, 

			SUM(Contabilità.ImportoStimatoC) AS Totale
						  
	FROM         Contabilità INNER JOIN
						  Ordini ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
						  Contabilità.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
						  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
						  
	WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.idStatoc = 70)
	
	GROUP BY YEAR(Contabilità.DataSal), tblMestieri.Ordine, tblMestieri.codice, tblMestieri.Descrizione, tblMestieri.IdMestiere, tblPgPropietari.IdPropietario, tblPgPropietari.Nome
	
	ORDER BY Proprietario, IdProprietario, OrdMest, CodMest, DesMest, tblMestieri.IdMestiere, Anno  
sql;

$query = ntxQuery($sql);

?>