<?php

session_start();

require_once("../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_151", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_151", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
<style>
table.grid  { 
	border-collapse: collapse;
	border-spacing: 0;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 8pt;
	color: white;
	background-color: #778899;
	border: solid 1px black;
	empty-cells:show;
}

table.grid caption { 
	color: white;
	background: url("../img/bg_table_head.gif") top left repeat-x #293e43;
	font-weight: bold;
	vertical-align: middle;
	text-align:center;
	text-transform:uppercase;
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 5px;
	padding-bottom: 5px;
}

table.grid tr th { 
	background: url("../img/bg_table_head.gif") top left repeat-x #293e43;
	color: white;
	border-left:1px solid #777777;
	border-right:1px solid #333333;
	font-weight:bold;
	text-align:center;
	padding-left: 5px;
	padding-right: 5px;
}

table.grid tr {
	background-color: white;
	color: black;
}

table.grid tr td {
	background-color: white;
	color: black;
	border-bottom:1px solid #cccccc;
	border-right:1px solid #AAA0A0;
	border-left:1px solid #777777;
	text-align:left;
	padding-left: 5px;
	padding-right: 5px;
}

table.grid tr.alternate td {
	background-color: #E0E0F0;
}

table.grid .left { text-align: left }
table.grid .center { text-align: center }
table.grid .right { text-align: right }

</style>
</head>
<body>
<?php

require('sql1.inc');
require('sql2.inc');
require('sql3.inc');

?>
<?php $traduttore->html('Richiesta') ?>: <?php echo "$NumRichiesta-$AnnoRichiesta ".$traduttore->traduci('Data')." $DataRichiesta" ?>
<br/><br/>
<table class=grid>
	<caption><?php $traduttore->html('Ambienti Associati a Richiesta') ?></caption>
	<tr>
		<th><?php $traduttore->html('Codice Int') ?>
		<th><?php $traduttore->html('Codice Ass') ?>
		<th><?php $traduttore->html('Tipo Destinazione Uso') ?>
		<th><?php $traduttore->html('MQ Netti') ?>
		<th><?php $traduttore->html('MQ Lordi') ?>
		<th><?php $traduttore->html('MQ Netti/MQ Lordi') ?>
		<th><?php $traduttore->html('Descrizione') ?>
		<th><?php $traduttore->html('Nota') ?>
		<th><?php $traduttore->html('Car1') ?>
		<th><?php $traduttore->html('Car2') ?>
	<?php echo $table1 ?>
</table>
<br/>
<table class=grid>
	<caption><?php $traduttore->html('MQ Caratteristiche 1') ?></caption>
	<tr>
		<th><?php $traduttore->html('Caratteristica 1') ?>
		<th><?php $traduttore->html('MQ Netti') ?>
		<th><?php $traduttore->html('MQ Lordi') ?>
	<?php echo $table2 ?>
</table>
<br/>
<table class=grid>
	<caption><?php $traduttore->html('MQ Caratteristiche 2') ?></caption>
	<tr>
		<th><?php $traduttore->html('Caratteristica 2') ?>
		<th><?php $traduttore->html('MQ Netti') ?>
		<th><?php $traduttore->html('MQ Lordi') ?>
	<?php echo $table3 ?>
</table>
<?php
	$traduttore->Salva();
?>
</body>
</html>