<?php  

$IdCommessa = ntxise('IdCommessa');

$sqlTail = <<< sqlTail
WHERE 
	ComponentiAmbiente.IdCommessa=$IdCommessa
sqlTail;
	
if ( is_numeric($_POST['Edificio']) ) $sqlTail .= " AND ComponentiAmbiente.IdEdificio = ".ntxip('Edificio');

if ( is_numeric($_POST['IDTipoComponente']) ) $sqlTail .= " AND ComponentiAmbiente.IdTipoComponente = ".ntxip('IDTipoComponente');

if ( is_numeric($_POST['IdPropComp']) ) $sqlTail .= " AND tblValoriComponenti.IdPropComp = ".ntxip('IdPropComp');

if ( isset($_POST['IdValPropCompText'])  &&  strlen($_POST['IdValPropCompText'])>0) 
{
	$str = stripslashes($_POST['IdValPropCompText']."");
	$str = str_replace("'", "''", $str);
	$sqlTail .= " AND tblValoriComponenti.Valore LIKE '%".$str."%' ";
}

$sql = <<< sql
SELECT DISTINCT    
	'k' + LTRIM(tblValoriComponenti.IdPropComp) k,
	tblPropTipiComp.Propietà
FROM         ComponentiAmbiente INNER JOIN
                      tblValoriComponenti ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente AND 
                      ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio AND 
                      ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa INNER JOIN
                      tblPropTipiComp ON tblValoriComponenti.IdCommessa = tblPropTipiComp.IdCommessa AND 
                      tblValoriComponenti.IdPropComp = tblPropTipiComp.IdPropComp
	$sqlTail
ORDER BY tblPropTipiComp.Propietà
sql;


$query = ntxQuery($sql);

$props = array();

while ( $rs = ntxIRecord($query) )
{
	$props[$rs[0]] = $rs[1];
}

$sql = <<< sql
SELECT     
	ElencoEdifici.EdificioBreve, 
	DestinazioniDusoLivello.Destinazione AS Piano, 
	Ambiente.CodiceAmbiente, 
	Ambiente.CodiceAssAmbiente AS CodAmb, 
	ComponentiAmbiente.CodiceComponente, 
	ComponentiAmbiente.CodiceAssComponente AS CodComp, 
	TipoComponente.DesComponente AS Componente, 
	ComponentiAmbiente.IdEdificio, 
	LTRIM(ComponentiAmbiente.IdEdificio)+'-'+LTRIM(ComponentiAmbiente.IDComponente) key1, 
	Ambiente.IdLivello, 
	'k' + LTRIM(tblValoriComponenti.IdPropComp) key2,
	tblValoriComponenti.Valore
FROM         PianoLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND 
                      PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa INNER JOIN
                      Ambiente ON PianoLivello.idPiano = Ambiente.IdLivello AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.IdCommessa = Ambiente.IdCommessa INNER JOIN
                      ComponentiAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      ElencoEdifici ON ComponentiAmbiente.IdEdificio = ElencoEdifici.ID AND ComponentiAmbiente.IdCommessa = ElencoEdifici.IdCommessa ON 
                      Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa INNER JOIN
                      tblValoriComponenti ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente AND 
                      ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio AND ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa
	$sqlTail
sql;

$sql .= <<< sql
ORDER BY ElencoEdifici.EdificioBreve, DestinazioniDusoLivello.Destinazione, Ambiente.CodiceAmbiente,
	ComponentiAmbiente.CodiceComponente, ComponentiAmbiente.IdEdificio, ComponentiAmbiente.IDComponente
sql;

$query = ntxQuery($sql);

$records = array();

while ( $rs = ntxRecord($query) )
{
	$key1 = $rs[key1];
	
	foreach($rs as $fieldName => $fieldValue)
	{
		if ( $fieldName != 'Valore'  &&  $fieldName != 'key1'  &&  $fieldName != 'key2' )
		{
			$records[$key1][$fieldName] = $fieldValue;
		}
	}

	foreach($props as $fieldName)
	{
		if ( isset($records[$key1][$fieldName]) )
			break;
			
		foreach($props as $fieldName)
			$records[$key1][$fieldName] = "";
		
		break;
	}
	
	$fieldName = $props[$rs[key2]];
	$records[$key1][$fieldName] = $fieldValue;
}
	
?>
