<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201706191716 = new NtxTraduttore("000_000_718", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201706191716 = new NtxCreaTraduzione("000_000_718", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa'); 
$RigheAP = explode(",",$_POST['RigheAP']); 
$IdDoc = ntxip('IdDoc');
$user=ntxsse('Utente');

if ( $RigheAP[0]=='' )
	ntxMsgErr($traduttore201706191716->traduci('Selezionare almeno una riga da importare!'));
	
$sql = <<< SQL
				SELECT     Preventivi.NumPreventivo
				FROM         DocsPreventiviRichieste INNER JOIN
				                      Preventivi ON DocsPreventiviRichieste.IdCommessa = Preventivi.IDCommessa AND 
				                      DocsPreventiviRichieste.NumRichiesta = Preventivi.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Preventivi.AnnoRichiesta
				WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$NumPreventivo = ntxScalar($sql);

if ( !is_numeric($NumPreventivo) )
{
	$sql = <<< SQL
			INSERT INTO Preventivi
		                      (IDCommessa, IdEdificio, AnnoRichiesta, NumRichiesta, DataPreventivo, DataModifica, Tipo, UtenteModifica)
			SELECT     Richieste.IDCommessa, Richieste.Localizzazione, Richieste.AnnoRichiesta, Richieste.NumRichiesta, GETDATE() AS Expr1, GETDATE() AS Expr4, 
					                      'Extracanone' AS Expr2, $user AS Expr3
			FROM         Richieste INNER JOIN
					                      DocsPreventiviRichieste ON Richieste.IDCommessa = DocsPreventiviRichieste.IdCommessa AND 
					                      Richieste.NumRichiesta = DocsPreventiviRichieste.NumRichiesta AND Richieste.AnnoRichiesta = DocsPreventiviRichieste.AnnoRichiesta
			WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

	ntxQuery($sql);

	$NumPreventivo = ntxScalar("SELECT @@IDENTITY");
}

$sql = <<< SQL
SELECT DISTINCT tblPgContratti.IdPgContratto
FROM         DocsPreventiviRichieste INNER JOIN
                      Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
                      DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
                      Richieste.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere AND 
                      Richieste.IDCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      Richieste.Localizzazione = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio INNER JOIN
                      tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto AND 
                      Richieste.IDCommessa = tblPgContratti.IdCommessa AND Richieste.DataRichiesta >= tblPgContratti.DataInizio AND 
                      Richieste.DataRichiesta <= tblPgContratti.DataFine
				WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$IdPgContratto = ntxScalar($sql);
	
if ( !is_numeric($IdPgContratto) ) $IdPgContratto = -2;

$sql = <<< SQL
			INSERT INTO RihePreventivi
                      (IdCommessa, Prezziario, QTA, IdPrezzo, Cod, Descrizione, UM, PzUnitario, Titolo, DescrEstesa, TipoPrezzo, Lun, Alt, 
                      Lar, Formula, NotaRiga, NumPreventivo, DataModifica, UtenteModifica, Sconto, Allegato, Path, Gruppo)
			SELECT     IdCommessa, Prezziario, QTA, IdPrezzo, Cod, Descrizione, UM, PzUnitario, Titolo, DescrEstesa, TipoPrezzo, Lun, Alt, 
			                      Lar, Formula, NotaRiga, 
								  $NumPreventivo, getdate(), $user, 
								  isnull((SELECT ScontiGestore.Sconto FROM ScontiGestore 
										WHERE RiheAnalisiPrezzi.IdCommessa = ScontiGestore.IdCommessa 
											AND RiheAnalisiPrezzi.IdPrezzo = ScontiGestore.IdPrezzo
											AND ScontiGestore.IdPgContratto = $IdPgContratto			
									), 0) AS Sconto,
								Allegato, Path, Gruppo
			FROM         RiheAnalisiPrezzi
			WHERE     (RiheAnalisiPrezzi.IdCommessa = $IdCommessa) AND (
SQL;

for ( $i=0; $i<count($RigheAP); $i++)
{
	if ( $i>0 ) $sql .= " OR ";
	
	$sql .= "RiheAnalisiPrezzi.Id = ".$RigheAP[$i];
}

$sql .= ")";

ntxQuery($sql);

for ( $i=0; $i<count($RigheAP); $i++)
{
	$Id = $RigheAP[$i];
	
	$sql = <<< SQL
		SELECT     Commesse.pathPublicShapeWeb + '\AllegatiAnalisiPrezzi\' + RiheAnalisiPrezzi.Path
		FROM         Commesse INNER JOIN
							  RiheAnalisiPrezzi ON Commesse.IDCommessa = RiheAnalisiPrezzi.IdCommessa
		WHERE     (RiheAnalisiPrezzi.Id = $Id) 
		AND (RiheAnalisiPrezzi.Allegato = 1) 
		AND (LTRIM(RTRIM(RiheAnalisiPrezzi.Path)) <> N'' 
		AND RiheAnalisiPrezzi.Path IS NOT NULL)	
SQL;

	$pathFileSource = ntxScalar($sql);
	
	if ( $pathFileSource.'' != ''  &&  is_file($pathFileSource) )
	{
		$sql = <<< SQL
			SELECT     Commesse.pathPublicShapeWeb + '\AllegatiPrevCostiCont\' + RiheAnalisiPrezzi.Path
			FROM         Commesse INNER JOIN
								  RiheAnalisiPrezzi ON Commesse.IDCommessa = RiheAnalisiPrezzi.IdCommessa
			WHERE     (RiheAnalisiPrezzi.Id = $Id) 
			AND (RiheAnalisiPrezzi.Allegato = 1) 
			AND (LTRIM(RTRIM(RiheAnalisiPrezzi.Path)) <> N'' 
			AND RiheAnalisiPrezzi.Path IS NOT NULL)	
SQL;

		$pathFileDest = ntxScalar($sql);
	
		if ( $pathFileDest.'' != ''  &&  is_file($pathFileDest) )
			unlink($pathFileDest);
			
		copy($pathFileSource, $pathFileDest);
	}
}

ntxMsgResult("");	

$traduttore201706191716->Salva();
?>
