<?php

$TotaleCosti = 0;

if ( is_numeric($TipoPrezzo2) )
{
	$TipoPrezzo = "(RiheDocPrevRichieste.TipoPrezzo=$TipoPrezzo OR RiheDocPrevRichieste.TipoPrezzo=$TipoPrezzo2)";
}
else
{
	$TipoPrezzo = "RiheDocPrevRichieste.TipoPrezzo=$TipoPrezzo";
}

$sql = <<< SQL
		SELECT     COUNT(*) AS Expr1
		FROM         DocsPreventiviRichieste INNER JOIN
			  RiheDocPrevRichieste ON DocsPreventiviRichieste.IdCommessa = RiheDocPrevRichieste.IdCommessa AND 
			  DocsPreventiviRichieste.Id = RiheDocPrevRichieste.IdDocPrevRichiesta 
		WHERE     (DocsPreventiviRichieste.IDCommessa = $IdCommessa) 
			AND (DocsPreventiviRichieste.NumRichiesta = $NumRichiesta) 
			AND (DocsPreventiviRichieste.AnnoRichiesta = $AnnoRichiesta) 
			AND $TipoPrezzo
SQL;

$conteggio = ntxScalar($sql);

if ( $conteggio > 0 )
{
	$sql = <<< SQL
		SELECT     RiheDocPrevRichieste.Cod, RiheDocPrevRichieste.Descrizione, RiheDocPrevRichieste.UM, 
					RiheDocPrevRichieste.QTA, RiheDocPrevRichieste.PzUnitario, RiheDocPrevRichieste.Sconto, 
						  RiheDocPrevRichieste.Titolo, RiheDocPrevRichieste.DescrEstesa, RiheDocPrevRichieste.Prezziario
		FROM         DocsPreventiviRichieste INNER JOIN
			  RiheDocPrevRichieste ON DocsPreventiviRichieste.IdCommessa = RiheDocPrevRichieste.IdCommessa AND 
			  DocsPreventiviRichieste.Id = RiheDocPrevRichieste.IdDocPrevRichiesta 
		WHERE     (DocsPreventiviRichieste.IDCommessa = $IdCommessa) AND (DocsPreventiviRichieste.NumRichiesta = $NumRichiesta) 
				AND (DocsPreventiviRichieste.AnnoRichiesta = $AnnoRichiesta) AND $TipoPrezzo
		ORDER BY RiheDocPrevRichieste.Cod
SQL;

	$query = ntxQuery($sql);

?>
	<table>
		<caption><?php echo $Titolo ?></caption>
		<tr>
		<th>Preziario</th>
		<th>Codice</th>
		<th>Titolo</th>
		<th>Descrizione</th>
		<th>Descr.Estesa</th>
		<th>UM</th>
		<th>QTA</th>
		<th>Prezzo Unitario</th>
		<th>Totale Lordo</th>
		</tr>   

<?php
		while( $rs = ntxRecord($query) )
		{
			$CostoTotale = $rs['QTA'] * $rs['PzUnitario'];
?>
		<tr>
				<td>&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['QTA'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['PzUnitario'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($CostoTotale,2) ?></td>
		</tr>
<?php
			if ( is_numeric($CostoTotale) ) 
			{
				$TotaleCosti += (float)($CostoTotale);
			}
		}
	
?>
		<tr><th colspan=8 class=number>TOTALE <?php echo $Titolo ?>:</th>
		<th class=number><?php echo ntxRoundThousand($TotaleCosti,2) ?></th>
	</table>
	<br>
<?php
}
?>
