<?php  

$IdCommessa = ntxise('IdCommessa');

if ( is_numeric($_POST['IdDoc']) )
{
	$IdDoc = ntxip('IdDoc');

	$sql = <<< SQL
		SELECT DISTINCT tblPgContratti.IdPgContratto
		FROM         DocsPreventiviRichieste INNER JOIN
                      Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
                      DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
                      Richieste.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
                      tblPgContratti ON Richieste.IDCommessa = tblPgContratti.IdCommessa AND Richieste.DataRichiesta >= tblPgContratti.DataInizio AND 
                      Richieste.DataRichiesta <= tblPgContratti.DataFine INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere AND 
                      tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto AND 
                      Richieste.IDCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      Richieste.Localizzazione = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio
				WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

	$IdPgContratto = ntxScalar($sql);
}
else
	$IdPgContratto = -2;

$sql = <<< SQL
		SELECT     ElencoPrezziInCommessa.IdCommessa, ElencoPrezziInCommessa.IdPrezzo, ElencoPrezziInCommessa.Cod, ElencoPrezziInCommessa.Descrizione, 
			ElencoPrezziInCommessa.UM, ElencoPrezziInCommessa.PzUnitario, ElencoPrezziInCommessa.DataModifica, ElencoPrezziInCommessa.Gruppo, 
			ElencoPrezziInCommessa.Titolo, ElencoPrezziInCommessa.DescrEstesa, ElencoPrezziInCommessa.Prezziario, ElencoPrezziInCommessa.DataInizio,
			ElencoPrezziInCommessa.DataFine, ElencoPrezziInCommessa.TipoPrezzo, 
			isnull((SELECT ScontiGestore.Sconto FROM ScontiGestore 
				WHERE ElencoPrezziInCommessa.IdCommessa = ScontiGestore.IdCommessa 
					AND ElencoPrezziInCommessa.IdPrezzo = ScontiGestore.IdPrezzo
					AND ScontiGestore.IdPgContratto = $IdPgContratto			
			), 0) AS Sconto
		FROM ElencoPrezziInCommessa
		WHERE (ElencoPrezziInCommessa.IdCommessa = $IdCommessa)  AND (ElencoPrezziInCommessa.Sostituito=0 OR ElencoPrezziInCommessa.Sostituito IS NULL)
SQL;

if ( !isset($_POST['Filtro']) )
{
	$sql .= " AND 1=0 ";
}
elseif ( $_POST['Filtro']==2 )
{
	$sql .= " AND ElencoPrezziInCommessa.TipoPrezzo=2 ";
}

if ( isset($_POST['Prezziario'])  &&  strlen($_POST['Prezziario'])>0) 
{
	$str = stripslashes($_POST['Prezziario']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Prezziario LIKE '%".$str."%' ";
}

if ( isset($_POST['Titolo'])  &&  strlen($_POST['Titolo'])>0) 
{
	$str = stripslashes($_POST['Titolo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Titolo LIKE '%".$str."%' ";
}

if ( isset($_POST['Gruppo'])  &&  strlen($_POST['Gruppo'])>0) 
{
	$str = stripslashes($_POST['Gruppo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Gruppo LIKE '%".$str."%' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Descrizione LIKE '%".$str."%' ";
}

if ( isset($_POST['Cod'])  &&  strlen($_POST['Cod'])>0) 
{
	$str = stripslashes($_POST['Cod']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Cod LIKE '%".$str."%' ";
}

$query = ntxQuery($sql);
	
?>
