<?php

$sql = <<< sql
	SELECT     id, NomeSet, liv1, liv2, liv3
	FROM         SetVoci
	WHERE     (NomeSet = 'opf-man') or (NomeSet = 'opf-pul') or (NomeSet = 'opf-altro')
	ORDER BY id
sql;

$query = ntxQuery($sql);

$first = true;

$righe_man = "";
$righe_pul = "";
$righe_alt = "";

$impor_man = null;
$impor_pul = null;
$impor_alt = null;

while($rs=ntxRecord($query))
{
	$imp = $impTot[$IdEdificio."_".$rs[id]];

	foreach($rs as $k=>$v)
		$rs[$k]=htmlentities($v);

	if ( is_numeric($imp[ImportoAnno]) )
	{
		$ImportoAnno = $imp[ImportoAnno]*$_99o98perCento;
		$html_impo = ntxRoundThousand($ImportoAnno, 2);
	}
	else
	{
		$ImportoAnno = null;
		$html_impo = "";
	}
	
	if ($rs[NomeSet]=='opf-man')
	{
		$impor_man += $ImportoAnno;
		
		$righe_man .= "<tr><td>$rs[liv1]";
		$righe_man .= RigaImportoVoce($IdEdificio, "imp_man", $rs[id], $ImportoAnno);
		$righe_man .= "<td style='text-align:right'>$html_impo";
	}
	elseif ($rs[NomeSet]=='opf-pul')
	{
		$impor_pul += $ImportoAnno;
		
		$righe_pul .= "<tr><td>$rs[liv1]";
		$righe_pul .= RigaImportoVoce($IdEdificio, "imp_pul", $rs[id], $ImportoAnno);
		$righe_pul .= "<td style='text-align:right'>$html_impo";
	}
	elseif ($rs[NomeSet]=='opf-altro')
	{
		$impor_alt += $ImportoAnno;
		
		$righe_alt .= "<tr><td>$rs[liv1]";
		$righe_alt .= RigaImportoVoce($IdEdificio, "imp_alt", $rs[id], $ImportoAnno);
		$righe_alt .= "<td style='text-align:right'>$html_impo";
	}
	
	if ($rs[NomeSet]=='opf-pul'  &&  $first )
	{
		$first = false;

		$html_imp_man = ntxRoundThousand($impor_man, 2);
	}
	elseif ($rs[NomeSet]=='opf-altro' )
	{
		$first = false;

		$html_imp_pul = ntxRoundThousand($impor_pul, 2);
	}
}

$html_imp_man = "";
$html_imp_pul = "";
$html_imp_alt = "";

for ($i=0;$i<$num_ati;$i++)
{ 
	$html_imp_man2 = ntxRoundThousand($dati_ati[$i][imp_man][$IdEdificio], 2);
	$html_imp_man .= "<td style='text-align:right'>$html_imp_man2";

	$html_imp_pul2 = ntxRoundThousand($dati_ati[$i][imp_pul][$IdEdificio], 2);
	$html_imp_pul .= "<td style='text-align:right'>$html_imp_pul2";

	$html_imp_alt2 = ntxRoundThousand($dati_ati[$i][imp_alt][$IdEdificio], 2);
	$html_imp_alt .= "<td style='text-align:right'>$html_imp_alt2";
}

$html_imp_man2 = ntxRoundThousand($impor_man, 2);
$html_imp_man .= "<td style='text-align:right'>$html_imp_man2";

$html_imp_pul2 = ntxRoundThousand($impor_pul, 2);
$html_imp_pul .= "<td style='text-align:right'>$html_imp_pul2";

$html_imp_alt2 = ntxRoundThousand($impor_alt, 2);
$html_imp_alt .= "<td style='text-align:right'>$html_imp_alt2";

$html_totali = "";
$html_trattenute = "";

for ($i=0;$i<$num_ati;$i++)
{ 
	$totale = $dati_ati[$i][imp_gov][$IdEdificio]+$dati_ati[$i][imp_man][$IdEdificio]+$dati_ati[$i][imp_pul][$IdEdificio]+$dati_ati[$i][imp_alt][$IdEdificio];
	$html_totale = ntxRoundThousand($totale, 2);
	$html_totali .= "<td style='text-align:right'>$html_totale";
	$html_trattenute .= "<td style='text-align:right'>";
}

$html_totale = ntxRoundThousand($impor_gov+$impor_man+$impor_pul+$impor_alt, 2);
$html_totali .= "<td style='text-align:right'>$html_totale";
$html_trattenute .= "<td style='text-align:right'>";

?>

