<?php

session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('ID'); 
$TipoAllegato = ntxip('TipoAllegato'); 

if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;

$sql = "SELECT Commesse.pathPublicShapeWeb "
		." FROM Commesse "
		." WHERE IDCommessa=$IdCommessa";

$pathPublicShapeWeb = ntxScalar($sql);

$sub_dir = "docs_censi_edifici";

$upload_dir = $pathPublicShapeWeb."\\".$sub_dir;

if (!is_dir($upload_dir)) mkdir($upload_dir);

$sub_dir .= "\\edificio_$IdEdificio";

$upload_dir = $pathPublicShapeWeb."\\".$sub_dir;

if (!is_dir($upload_dir)) mkdir($upload_dir);

$new_name = "";

$file_name = ($new_name) ? $new_name : $_FILES["FileAllegato"]["name"];
$pos = strrpos($file_name , '.');

if ( $pos === false )
	$ext = '';
else
	$ext = substr($file_name , $pos);

if(trim($_FILES["FileAllegato"]["name"]) == "")
	die("Non hai indicato il file da uploadare !");

if($_FILES["FileAllegato"]["size"]==0)
	die("Upload fallito file troppo grande!");

$allowed_types = array
(
	"audio/3gpp"
	,"audio/amr"
	,"audio/midi"
	,"text/html"
	,"image/bmp"
	,"image/x-bmp"
	,"image/png"
	,"image/tiff" 	
	,"image/vnd.wap.wbmp"
	,"video/3gpp"
	,"video/mp4"
	,"audio/mpeg"
	,"audio/vorbis"
	,"video/theora"
	,"application/x-rar-compressed"
	,"application/x-zip-compressed"
	,"multipart/x-zip"
	,"application/zip"
	,"application/x-compressed"
	,"application/x-compress"
	,"video/x-msvideo"
	,"application/acad"
	,"application/x-acad"
	,"application/autocad_dwg "
	,"image/x-dwg"
	,"application/dwg"
	,"application/x-dwg"
	,"application/x-autocad"
	,"image/vnd.dwg"
	,"drawing/dwg"
	,"image/gif"
	,"image/x-png"
	,"image/pjpeg"
	,"image/jpeg"
	,"image/jpg"
	,"application/pdf"
	,"text/plain"
	, "application/msword"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.document"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.template" 
	, "application/vnd.ms-excel"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.template" 
	, "application/vnd.ms-powerpoint"
	, "application/vnd.openxmlformats-officedocument.presentationml.presentation"
	, "application/vnd.openxmlformats-officedocument.presentationml.template"
	, "application/vnd.openxmlformats-officedocument.presentationml.slideshow" 
	, "application/octet-stream" 
);

if(!in_array($_FILES["FileAllegato"]["type"],$allowed_types))
	die("Tipo file non consentito!");

$table = new NtxTable('CENSI_DocsEdifici');

$insert = $table->insert();

$insert->init();

$insert->setse('IdCommessa');

$insert->set('Nota', $_POST[NotaAllegato]);
$insert->set('IdEdificio', $IdEdificio);
$insert->set('TipoDoc', $_POST[TipoAllegato]);

$insert->set('IdUtente', $_SESSION[IdUtente]);
$insert->set('IdDitta', $_SESSION[IdDitta]);

$insert->set('DataInserimento', 'getdate()', true);

$insert->execute();

$IdAllegato = ntxId();

$sub_file = "$sub_dir\\allegato_{$IdCommessa}_{$IdEdificio}_{$TipoAllegato}_{$IdAllegato}{$ext}";

$dest_path = "$pathPublicShapeWeb\\$sub_file";

if(@is_uploaded_file($_FILES["FileAllegato"]["tmp_name"])) 
	@move_uploaded_file($_FILES["FileAllegato"]["tmp_name"], $dest_path) 
		or die("Problemi filesystem server!");
else
	die("Problemi con l'upload del file!");

echo "Upload terminato!";

$gPath = "'".str_replace("'", "''", $sub_file)."'";

$sql = "UPDATE CENSI_DocsEdifici SET Path=$gPath WHERE IdCommessa=$IdCommessa AND IdDoc=$IdAllegato";

ntxQuery($sql);

?> 

<script>

parent.CaricaElencoAllegato();

</script>