<?php
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');
$IdFornitore = ntxip('IdFornitore');

$where = "WHERE (ElencoEdifici.IDCommessa = $IdCommessa)   ";

if ( is_numeric($IdFornitore) ) $where .= " AND (DitteEdifici.IdDitta=$IdFornitore) ";

if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( strlen("$_POST[EdificioBreve]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";

if ( strlen("$_POST[EdificioEstesa]")>0 ) $where .= " AND ElencoEdifici.EdificioEstesa LIKE '%".str_replace("'","''",$_POST[EdificioEstesa])."%'";

if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[CITTA]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";

if ( strlen("$_POST[PROVINCIA]")>0 ) $where .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[PROVINCIA])."%'";

if ( strlen("$_POST[Regione]")>0 ) $where .= " AND ElencoEdifici.Regione LIKE '%".str_replace("'","''",$_POST[Regione])."%'";

if ( strlen("$_POST[CAP]")>0 ) $where .= " AND ElencoEdifici.CAP = '".str_replace("'","''",$_POST[CAP])."'";

if ( strlen("$_POST[Proprietario]")>0 ) $where .= " AND tblPgPropietari.Nome LIKE '%".str_replace("'","''",$_POST[Proprietario])."%'";

if ( strlen("$_POST[NoteSpazioDaCensire]")>0 ) $where .= " AND ElencoEdifici.NoteSpazioDaCensire LIKE '%".str_replace("'","''",$_POST[NoteSpazioDaCensire])."%'";

if ( strlen("$_POST[NotePlanimetrie]")>0 ) $where .= " AND ElencoEdifici.NotePlanimetrie LIKE '%".str_replace("'","''",$_POST[NotePlanimetrie])."%'";

if ( is_numeric($_POST[ID2]) ) $where .= " AND ElencoEdifici.ID=".((int)$_POST[ID2]);

if ( is_numeric($_POST[TipoPlanimetrie]) ) $where .= " AND ElencoEdifici.TipoPlanimetrie=".((int)$_POST[TipoPlanimetrie]);

if ( is_numeric($_POST[StatoPlanimetrie]) ) $where .= " AND ElencoEdifici.StatoPlanimetrie=".((int)$_POST[StatoPlanimetrie]);

if ( is_numeric($_POST[NumeroPiani]) ) $where .= " AND ElencoEdifici.NumeroPiani=".((int)$_POST[NumeroPiani]);

if ( is_numeric($_POST[IndividuatoSpazioDaCensire]) ) $where .= " AND ElencoEdifici.IndividuatoSpazioDaCensire=".((int)$_POST[IndividuatoSpazioDaCensire]);

if ( is_numeric($_POST[TipoAttività2]) ) $where .= " AND CENSI_TipiAttività.IdTipoAttività=".((int)$_POST[TipoAttività2]);

if ( is_numeric($_POST[Tipo]) )
{
	if ( $_POST[Tipo]>0 )
		$where .= " AND ElencoEdifici.Tipo=".((int)$_POST[Tipo]);
	else
		$where .= " AND (ElencoEdifici.Tipo=0 OR ElencoEdifici.Tipo IS NULL)";
}

if ( is_numeric($IdFornitore) ) $innerJoinDitteEdifici .= <<< innerJoinDitteEdifici
	INNER JOIN
	  DitteEdifici ON ElencoEdifici.IdCommessa = DitteEdifici.IdCommessa AND ElencoEdifici.ID = DitteEdifici.IdEdificio
innerJoinDitteEdifici;
 

$sql = <<< sql
SELECT     
	ElencoEdifici.ID, ElencoEdifici.Codice,  ElencoEdifici.EdificioBreve,  ElencoEdifici.Latitudine, ElencoEdifici.Longitudine, ElencoEdifici.Indirizzo,  ElencoEdifici.CAP, ElencoEdifici.CITTA,

	CENSI_TipiAttività.Tipo TipoAttività,
	CENSI_TipiAttività.IdTipoAttività,	

	CENSI_Programmate.IdProgrammata, 
	CENSI_Programmate.IdEdificio,
	CENSI_Programmate.TipoAttività, 
	CENSI_Programmate.Stato, 

	CONVERT(VARCHAR(10), CENSI_Programmate.DataInizioP, 112) DataInizioP, 
	CONVERT(VARCHAR(10), CENSI_Programmate.DataFineP, 112) DataFineP, 
	CONVERT(VARCHAR(10), CENSI_Programmate.DataInizioE, 112) DataInizioE, 
	CONVERT(VARCHAR(10), CENSI_Programmate.DataFineE, 112) DataFineE
		
FROM         
	CENSI_TipiAttività INNER JOIN
	CENSI_Programmate ON CENSI_TipiAttività.IdCommessa = CENSI_Programmate.IdCommessa AND 
	CENSI_TipiAttività.IdTipoAttività = CENSI_Programmate.TipoAttività INNER JOIN
	ElencoEdifici ON CENSI_Programmate.IdCommessa = ElencoEdifici.IdCommessa AND 
	CENSI_Programmate.IdEdificio = ElencoEdifici.ID $innerJoinDitteEdifici LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	
	$where 
sql;


$record = array(); 

$query = ntxQuery($sql); 

while( $rs = ntxRecord($query) )
{		 

	$record[] = $rs;	
}


jhp($record);
?>