<?php

$table = <<< table
	<table class=grid>
		<tr>
			<th>codice<br>vano
			<th>des.uso<br>vano
			<th>dataMin
			<th>dataMax
			<th>s
			<th>min
			<th>ore
			<th>giorni
			<th>mq<br>vano 
			<th>mq/s
			<th>mq/min
			<th>mq/ore
			<th>mq/giorni
			<th>numero<br>componenti
			<th>componenti/s
			<th>componenti/min
			<th>componenti/ore
			<th>componenti/giorni
table;

$changeColor = true;

while ($rs=ntxRecord($query))
{
	$classRow = $changeColor ? "class=alternate" : "";
	
	$rs[dataMin] = ntxDateTime($rs[dataMin]);
	$rs[dataMax] = ntxDateTime($rs[dataMax]);

	$rs[minutiLavorati] = ntxRoundThousand($rs[minutiLavorati], 2);
	$rs[oreLavorati] = ntxRoundThousand($rs[oreLavorati], 2);

	$rs[MqVano] = ntxRoundThousand($rs[MqVano], 2);

	$rs[MqPerSecondiLavorati] = ntxRoundThousand($rs[MqPerSecondiLavorati], 2);
	$rs[MqPerMinutiLavorati] = ntxRoundThousand($rs[MqPerMinutiLavorati], 2);
	$rs[MqPerOreLavorati] = ntxRoundThousand($rs[MqPerOreLavorati], 2);
	$rs[MqPerGiorniLavorati] = ntxRoundThousand($rs[MqPerGiorniLavorati], 2);

	$rs[NumCompPerSecondiLavorati] = ntxRoundThousand($rs[NumCompPerSecondiLavorati], 2);
	$rs[NumCompPerMinutiLavorati] = ntxRoundThousand($rs[NumCompPerMinutiLavorati], 2);
	$rs[NumCompPerOreLavorati] = ntxRoundThousand($rs[NumCompPerOreLavorati], 2);
	$rs[NumCompPerGiorniLavorati] = ntxRoundThousand($rs[NumCompPerGiorniLavorati], 2);
	
	foreach($rs as $key=>$val)
		$rs[$key] = htmlentities($val);

	$table .= <<< table
		<tr $classRow>
			<td>$rs[CodiceAmbiente]
			<td>$rs[DesUsoAmbiente]
			<td>$rs[dataMin]
			<td>$rs[dataMax]
			<td>$rs[secondiLavorati]
			<td>$rs[minutiLavorati]
			<td>$rs[oreLavorati]
			<td>$rs[giorniLavorati]
			<td>$rs[MqVano]
			<td>$rs[MqPerSecondiLavorati]
			<td>$rs[MqPerMinutiLavorati]
			<td>$rs[MqPerOreLavorati]
			<td>$rs[MqPerGiorniLavorati]
			<td>$rs[NumComp]
			<td>$rs[NumCompPerSecondiLavorati]
			<td>$rs[NumCompPerMinutiLavorati]
			<td>$rs[NumCompPerOreLavorati]
			<td>$rs[NumCompPerGiorniLavorati]
table;

	$changeColor = !$changeColor;
}

$table .= <<< table
	</table>
table;

echo $table;

?>