<?php

require_once("../../../../_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_029", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_029", "IT", __FILE__);

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x = $_POST[map_x];
$y = $_POST[map_y];
$dx = $_POST[dx];
$dy = $_POST[dy];

$y = $dy - $y;

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

$x2 = $x * $dx2 / $dx + $minx;
$y2 = $y * $dy2 / $dy + $miny;

$point = ntxs("$x2;$y2");

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IdComponente = ntxip('IdComponente');

$sql = <<< sql
	SELECT DISTINCT ComponentiAmbiente.IdAmbiente
	FROM         ComponentiAmbiente 
	WHERE     (ComponentiAmbiente.IdCommessa = $IdCommessa) 
		AND (ComponentiAmbiente.IdEdificio = $IdEdificio) 
		AND (ComponentiAmbiente.IdComponente = $IdComponente)
sql;

$IdAmbienteComponente = ntxScalar($sql);

$sql = <<< sql
	SELECT DISTINCT Ambiente.IdAmbiente
	FROM         Ambiente 
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 

	AND dbo.WindingNumberVani($point, Ambiente.IdCommessa, Ambiente.IdEdificio, Ambiente.IdAmbiente)=1
sql;

$query = ntxQuery($sql);

$IdAmbiente = null;
$count = 0;

while ( $rs = ntxIRecord($query) )
{
	if ( $VaniSelezionati!="" ) $VaniSelezionati .= ",";
	
	$IdAmbiente = $rs[0];
	$count++;
}

if ( $count==0 )
	jhp_error($traduttore->traduci('Nessun ambiente sotto punto selezionato!'));
if ( $count>1 )
	//jhp_error("Ci sono $count ambienti sotto il punto selezionato!");
	jhp_error($traduttore->traduci('Ci sono')." $count ".$traduttore->traduci('ambienti sotto il punto selezionato!'));
	
$sql = "SELECT ISNULL(MAX(IDComponente),0)+1 FROM ComponentiAmbiente WHERE IdCommessa=$IdCommessa AND IdEdificio=$IdEdificio";

$NewIdComponente = ntxScalar($sql);

$CodiceComponente = "C{$IdCommessa}E{$IdEdificio}L{$IdPiano}A{$IdAmbiente}C{$NewIdComponente}";

$sql = <<< sql
	INSERT INTO ComponentiAmbiente
						  (CodiceComponente, IdComponente, IDAmbiente,  XYinDatabase, IdCommessa, IdEdificio, IdTipoComponente, DesComponente, Note, MQ, Graficizzato, H, L, P)
	SELECT    '$CodiceComponente', $NewIdComponente, $IdAmbiente, 1, IdCommessa, IdEdificio, IdTipoComponente, DesComponente, Note, MQ, Graficizzato, H, L, P
	FROM         ComponentiAmbiente AS ComponentiAmbiente_1
	WHERE     (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio) AND (IDComponente = $IdComponente)
sql;

ntxQuery($sql);

$table = new NtxTable('ComponentiAmbiente');

$update = $table->update();

$update->init();

$update->set('Graficizzato', 1);
$update->set('x', $x2);
$update->set('y', $y2);
$update->set('DataModifica', 'getdate()', true);
$update->set('DataUltimaModifica', 'getdate()', true);
$update->set('UtenteModifica', $_SESSION[Utente]);
$update->set('DataOraModificaWeb', 'getdate()', true);
$update->set('UtenteModificaWeb', $_SESSION[Utente]);
$update->set('DataInserimento', 'getdate()', true);
$update->set('UtenteInserimento', $_SESSION[Utente]);

$update->wherese('IdCommessa');
$update->wherep('IdEdificio');
$update->where('IDComponente', $NewIdComponente);

$update->execute();

$sql = <<< sql
	INSERT INTO tblValoriComponenti
						  (IdComponente, IdCommessa, IdEdificio, IdPropComp, Valore)
	SELECT     $NewIdComponente, IdCommessa, IdEdificio, IdPropComp, Valore
	FROM         tblValoriComponenti AS tblValoriComponenti_1
	WHERE     (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio) AND (IDComponente = $IdComponente)
sql;

ntxQuery($sql);

$sql = <<< sql
	INSERT INTO FotoComponenti
						  (CodiceComponente, IdAmbiente, IdComponente, FotoPiccola, FotoMedia, FotoOriginale, IdCommessa, IdEdificio, IdPiano)
	SELECT     '$CodiceComponente', $IdAmbiente, $NewIdComponente, FotoPiccola, FotoMedia, FotoOriginale, IdCommessa, IdEdificio, IdPiano
	FROM         FotoComponenti AS FotoComponenti_1
	WHERE     (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio) AND (IDComponente = $IdComponente)
sql;

ntxQuery($sql);

$traduttore->Salva();

jhp_ok();

?>
