<?php

require_once("../../../../_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_030", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_030", "IT", __FILE__);

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$optFiltroQualiDate = ntxip('optFiltroQualiDate');
$DataInizioRilievo = ntxtp('DataInizioRilievo');

if ( $DataInizioRilievo=="NULL" )
	jhp_error($traduttore->traduci('Assegnare data inizio!'));
	
if ( $optFiltroQualiDate==1 )
	$sql = <<< sql
		SELECT     max(ComponentiAmbiente.DataUltimaModifica) modifica
		FROM         ComponentiAmbiente INNER JOIN
							  Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
							  ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
		WHERE     (ComponentiAmbiente.IdCommessa = $IdCommessa) 
		AND (ComponentiAmbiente.IdEdificio = $IdEdificio) 
		AND datediff(day, $DataInizioRilievo, ComponentiAmbiente.DataUltimaModifica)<0
		AND (Ambiente.IdLivello = $IdPiano)
		AND (ComponentiAmbiente.Rimosso is null or  ComponentiAmbiente.Rimosso=0)
sql;
else
	$sql = <<< sql
		SELECT     max(IstantiRilievo.DataOra)  modifica
		FROM         ComponentiAmbiente INNER JOIN
							  IstantiRilievo ON ComponentiAmbiente.IdCommessa = IstantiRilievo.IdCommessa AND ComponentiAmbiente.IdEdificio = IstantiRilievo.IdEdificio AND 
							  ComponentiAmbiente.IDComponente = IstantiRilievo.IdComponente
		WHERE     (IstantiRilievo.IdCommessa = $IdCommessa) 
		AND (IstantiRilievo.IdEdificio = $IdEdificio) 
		AND (IstantiRilievo.IdPiano = $IdPiano)
		AND datediff(day, $DataInizioRilievo, ComponentiAmbiente.DataUltimaModifica)<0
		AND (ComponentiAmbiente.Rimosso is null or  ComponentiAmbiente.Rimosso=0)
sql;

$q = ntxQuery($sql);

$r = ntxiRecord($q);

$DataOreInizioRilievo = $r[0];

$DataInizioRilievo = ntxDate($DataOreInizioRilievo);
$OreInizioRilievo = ntxTime($DataOreInizioRilievo);

$sql = "SELECT dateadd(minute, 2, dbo.cdate('$DataInizioRilievo $OreInizioRilievo'))";

$DataOraFineRilievo = ntxScalar($sql);

$DataFineRilievo = ntxDate($DataOraFineRilievo);
$OreFineRilievo = ntxTime($DataOraFineRilievo);

$result = array();

$result[DataInizioRilievo] = $DataInizioRilievo;
$result[OreInizioRilievo] = $OreInizioRilievo;
$result[DataFineRilievo] = $DataFineRilievo;
$result[OreFineRilievo] = $OreFineRilievo;

$traduttore->Salva();

jhp($result);

?>
