<?php

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_039", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_039", "IT", __FILE__);

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio'); 
$IdComponente = ntxip('IdComponente');
$Tipo = ntxip('Tipo');
$Descrizione = ntxsp('Descrizione');

if ( !is_numeric($IdCommessa) )
	die($traduttore->traduci('Selezionare Commessa!'));

if ( !is_numeric($IdEdificio) )
	die($traduttore->traduci('Selezionare Edificio!'));

if ( !is_numeric($IdComponente) )
	die($traduttore->traduci('Selezionare Componente!'));

if ( !is_numeric($Tipo) )
	die($traduttore->traduci('Selezionare Tipo Documento!'));
	
$sql = <<< sql
	INSERT INTO DocsEdifici
						  (IdCommessa, IdEdificio, Tipo, Descrizione, Path, DataInserimento, DataModifica)
	VALUES     ($IdCommessa, $IdEdificio, $Tipo, $Descrizione, $IdCommessa, GETDATE(), GETDATE())
sql;

ntxQuery($sql);
	
$IdDoc = ntxId();

if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;


$sql = <<< sql
	SELECT Commesse.path, YEAR(DocsEdifici.DataInserimento), MONTH(DocsEdifici.DataInserimento)
	FROM  DocsEdifici INNER JOIN
				   Commesse ON DocsEdifici.IdCommessa = Commesse.IDCommessa
	WHERE (DocsEdifici.IdCommessa = $IdCommessa) AND (DocsEdifici.Id = $IdDoc)
sql;

	
$query = ntxQuery($sql);

if (!$query)
	die($traduttore->traduci('Componente non trovato!'));
	
if (!($rs = ntxIRecord($query)))
	die($traduttore->traduci('Componente non trovato 2!'));
	
$upload_dir = $rs[0];//$_SERVER["DOCUMENT_ROOT"] . "/upload";
$Anno = $rs[1];
$Mese = $rs[2];

if ( $Mese < 10 ) $Mese = "0$Mese";

$upload_dir .= "\\$Anno";

if (!is_dir($upload_dir)) mkdir($upload_dir);

$upload_dir .= "\\$Mese";

if (!is_dir($upload_dir)) mkdir($upload_dir);

$new_name = "";

// Se $new_name è vuota, il nome sarà lo stesso del file uploadato
$file_name = ($new_name) ? $new_name : $_FILES["upfile"]["name"];

if(trim($_FILES["upfile"]["name"]) == "")
	die($traduttore->traduci('Non hai indicato il file da uploadare!'));

if($_FILES["upfile"]["size"]==0)
	die($traduttore->traduci('Upload fallito controllare dimensione del file max 2 MegaByte!'));

$allowed_types = array
(
	"audio/3gpp"
	,"audio/amr"
	,"audio/midi"
	,"text/html"
	,"image/bmp"
	,"image/x-bmp"
	,"image/png"
	,"image/tiff" 	
	,"image/vnd.wap.wbmp"
	,"video/3gpp"
	,"video/mp4"
	,"audio/mpeg"
	,"audio/vorbis"
	,"video/theora"
	,"application/x-rar-compressed"
	,"application/x-zip-compressed"
	,"multipart/x-zip"
	,"application/zip"
	,"application/x-compressed"
	,"application/x-compress"
	,"video/x-msvideo"
	,"application/acad"
	,"application/x-acad"
	,"application/autocad_dwg "
	,"image/x-dwg"
	,"application/dwg"
	,"application/x-dwg"
	,"application/x-autocad"
	,"image/vnd.dwg"
	,"drawing/dwg"
	,"image/gif"
	,"image/x-png"
	,"image/pjpeg"
	,"image/jpeg"
	,"image/jpg"
	,"application/pdf"
	,"text/plain"
	, "application/msword"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.document"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.template" 
	, "application/vnd.ms-excel"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.template" 
	, "application/vnd.ms-powerpoint"
	, "application/vnd.openxmlformats-officedocument.presentationml.presentation"
	, "application/vnd.openxmlformats-officedocument.presentationml.template"
	, "application/vnd.openxmlformats-officedocument.presentationml.slideshow" 
);

if(!in_array($_FILES["upfile"]["type"],$allowed_types))
	die($traduttore->traduci('Il file non è di un tipo consentito, sono ammessi solo i seguenti: ' . implode(",", $allowed_types) . ".");
		
$dest_path = "$upload_dir\\de_{$IdCommessa}_{$IdDoc}_$file_name";

if(@is_uploaded_file($_FILES["upfile"]["tmp_name"])) 
	@move_uploaded_file($_FILES["upfile"]["tmp_name"], $dest_path) 
		or die($traduttore->traduci('Impossibile spostare il file, controlla l\'esistenza o i permessi della directory dove fare l\'upload.'));
else
	die($traduttore->traduci('Problemi nell\'upload del file '. $_FILES["upfile"]["name"]));

echo $traduttore->traduci('L\'upload del file ') . "$_FILES["upfile"]["name"]" . $traduttore->traduci('è avvenuto correttamente con nome.')."  $dest_path";

$gPath = "'".str_replace("'", "''", $dest_path)."'";

$sql = <<< sql
	UPDATE  DocsEdifici
	SET Path = $gPath 
	WHERE (IdCommessa = $IdCommessa ) AND (Id = $IdDoc)
sql;

ntxQuery($sql);

$sql = <<< sql
	insert into DocsEdificiComponenti (IdCommessaDocEdificio, IdDocEdificio, IdCommessaComponente, IdEdificioComponente, IDComponente)
	VALUES ($IdCommessa, $IdDoc, $IdCommessa, $IdEdificio, $IdComponente)
sql;

ntxQuery($sql);

$traduttore->Salva();
?> 

<script>
parent.DettaglioComponente();
</script>