<?php

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_040", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_040", "IT", __FILE__);

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio'); 
$IdAmbiente = ntxip('IdAmbiente');

$sql = <<< sql
	SELECT     CodiceAmbiente, IdLivello AS IdPiano, IDAmbiente
	FROM         Ambiente 
	WHERE     (IdCommessa = $IdCommessa) 
	AND (IdEdificio = $IdEdificio) 
	AND (IdAmbiente = $IdAmbiente)
sql;

$rs = ntxRecord(ntxQuery($sql));

if ( !$rs )
	die($traduttore->traduci('Ambiente non trovato!'));
		
extract($rs); 

$sql = <<< sql
	SELECT pathPublicShapeWeb
	FROM         Commesse
	WHERE     (IdCommessa = $IdCommessa) 
sql;

$root = ntxScalar($sql);

if (!is_dir($root))
	die("path commessa \"$root\" non esistente!");

if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;

if(trim($_FILES["upfile"]["name"]) == "")
	die($traduttore->traduci('Non hai indicato il file da uploadare!'));

if($_FILES["upfile"]["size"]==0)
	die($traduttore->traduci('Upload fallito controllare dimensione del file max 2 MegaByte!'));

$allowed_types = array
(
	"image/jpeg"
	,"image/jpg"
);

if(!in_array($_FILES["upfile"]["type"],$allowed_types))
	die($traduttore->traduci('Il file dev\'essere in formato jpeg!'));

$codEdifi = "C{$IdCommessa}E{$IdEdificio}";
$codPiano = "{$codEdifi}L{$IdPiano}";
	
$dirEdificio = "{$root}\\EDIFICIO_{$codEdifi}";

if (!is_dir($dirEdificio)) mkdir($dirEdificio);

$dirPiano = "{$root}\\EDIFICIO_{$codEdifi}\\LIVELLO_{$codPiano}";

if (!is_dir($dirPiano)) mkdir($dirPiano);

$dirFotoPiccole = "{$root}\\EDIFICIO_{$codEdifi}\\LIVELLO_{$codPiano}\\FOTO_PICCOLE_{$codPiano}";
$subFotoPiccole = "EDIFICIO_{$codEdifi}\\LIVELLO_{$codPiano}\\FOTO_PICCOLE_{$codPiano}";

if (!is_dir($dirFotoPiccole)) mkdir($dirFotoPiccole);

$dirFotoMedie = "{$root}\\EDIFICIO_{$codEdifi}\\LIVELLO_{$codPiano}\\FOTO_MEDIE_{$codPiano}";
$subFotoMedie = "EDIFICIO_{$codEdifi}\\LIVELLO_{$codPiano}\\FOTO_MEDIE_{$codPiano}";

if (!is_dir($dirFotoMedie)) mkdir($dirFotoMedie);

$dirFotoOriginali = "{$root}\\EDIFICIO_{$codEdifi}\\LIVELLO_{$codPiano}\\FOTO_ORIGINALI_{$codPiano}";
$subFotoOriginali = "EDIFICIO_{$codEdifi}\\LIVELLO_{$codPiano}\\FOTO_ORIGINALI_{$codPiano}";

if (!is_dir($dirFotoOriginali)) mkdir($dirFotoOriginali);

$count = 0;

do {
	$count++;
	
	$nomeFile = "{$CodiceAmbiente}_{$count}.jpg";
	
	$FotoOriginale = "{$dirFotoOriginali}\\{$nomeFile}";
	$subFotoOriginale = str_replace("\\","\\\\","{$subFotoOriginali}\\{$nomeFile}");
	
} while (file_exists($FotoOriginale));


if(@is_uploaded_file($_FILES["upfile"]["tmp_name"])) 
	@move_uploaded_file($_FILES["upfile"]["tmp_name"], $FotoOriginale) 
		or die($traduttore->traduci('Impossibile spostare il file, controlla l\'esistenza o i permessi della directory dove fare l\'upload.'));
else
	die($traduttore->traduci('Problemi nell\'upload del file!'));

echo $traduttore->traduci('L\'upload del file è avvenuto correttamente.');

$FotoPiccola = "{$dirFotoPiccole}\\{$nomeFile}";
$FotoMedia = "{$dirFotoMedie}\\{$nomeFile}";
$subFotoPiccola = str_replace("\\","\\\\","{$subFotoPiccole}\\{$nomeFile}");
$subFotoMedia = str_replace("\\","\\\\","{$subFotoMedie}\\{$nomeFile}");

require("riduci_foto.php");

$CodiceAmbienteS = ntxs($CodiceAmbiente);
$FotoPiccolaS = ntxs($subFotoPiccola);
$FotoMediaS = ntxs($subFotoMedia);
$FotoOriginaleS = ntxs($subFotoOriginale);

$sql = <<< sql
	INSERT INTO FotoAmbienti
                      (CodiceAmbiente, FotoPiccola, FotoMedia, FotoOriginale, IdCommessa, IdEdificio, IdPiano, IdAmbiente)
VALUES     ($CodiceAmbienteS, $FotoPiccolaS, $FotoMediaS, $FotoOriginaleS, $IdCommessa, $IdEdificio, $IdPiano, $IDAmbiente)
sql;

ntxQuery($sql);

//$traduttore->Salva();
?> 
