<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_027", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_027", "IT", __FILE__);

$TipoComponente_DesComponente = ntxTraduciCampoTabella("TipoComponente", "DesComponente", "DesComponente", $_SESSION[NTX_LINGUA_DEST]);
$tblPropTipiComp_Propietà = ntxTraduciCampoTabella("tblPropTipiComp", "Propietà", "Propietà", $_SESSION[NTX_LINGUA_DEST]);
$DestinazioniDusoLivello_Destinazione = ntxTraduciCampoTabella("DestinazioniDusoLivello", "Destinazione", "Destinazione", $_SESSION[NTX_LINGUA_DEST]);

?>
<html>
<head>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
<body  >

<?php require_once('sql.inc') ?>

<form method=post action="excel.php" target="_blank">
	<input type=hidden name=IdEdificio value="<?php echo $_POST['IdEdificio'] ?>" />
	<input type=hidden name=IDTipoComponente value="<?php echo $_POST['IDTipoComponente'] ?>" />
	<input type=hidden name=IdPropComp value="<?php echo $_POST['IdPropComp'] ?>" />
	<input type=hidden name=IdValPropCompText value="<?php echo ntxJS($_POST['IdValPropCompText']) ?>" />
	<input type=submit value="<?php $traduttore->js('Scarica in formato per excel') ?>">
</form>
<table align=left>
<?php
	$alternate = true;

	$first = true;
	$rowcount = 0;
	
	if ( is_array($records) ) 	
	 foreach($records as $rs)
	{
		$rowcount++;
		
		if ( $first )
		{
?>
			<tr><th>&nbsp;</th>
<?php
			$first = false;

			if ( is_array($rs) ) 	
			 foreach($rs as $key => $value)
			{
				if ( strcmp($key,"IdEdificio")==0 ) continue;
				if ( strcmp($key,"IdLivello")==0 ) continue;
				if ( strcmp($key,"CodiceAmbiente")==0 ) continue;
				if ( strcmp($key,"CodiceComponente")==0 ) continue;
?>
				<th>&nbsp;<?php echo htmlentities($key) ?></th>
<?php
			}

?>
			</tr>
<?php
		}
		
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type=button value="<?php $traduttore->js('Mappa amb') ?>" onclick="<?php echo "SelMappa($rs[IdEdificio],$rs[IdLivello],'$rs[CodiceAmbiente]')" ?>" >
			<input type=button value="<?php $traduttore->js('Mappa comp') ?>" onclick="<?php echo "SelMappaComp($rs[IdEdificio],$rs[IdLivello],'$rs[CodiceComponente]','$rs[IdCopertura]')" ?>" >
		</td>

<?php
		if ( is_array($rs) ) 	
		 foreach($rs as $key => $value)
		{
			if ( strcmp($key,"IdEdificio")==0 ) continue;
			if ( strcmp($key,"IdLivello")==0 ) continue;
			if ( strcmp($key,"CodiceAmbiente")==0 ) continue;
			if ( strcmp($key,"CodiceComponente")==0 ) continue;

			$lastKey = $key;
			$lastValue = $value;
?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($value) ?></td>
<?php
		}
?>
	</tr>
<?php
		$alternate = !$alternate;

		$key = "E{$rs['IdEdificio']}L{$rs['IdLivello']}";
		
		if ( !isset($EdificiPiani["E{$rs['IdEdificio']}L{$rs['IdLivello']}"]) )
		{
			$EdificiPiani[$key]['EdificioBreve'] = $rs['EdificioBreve']; 
			$EdificiPiani[$key]['Piano'] = $rs['Piano']; 
			$EdificiPiani[$key]['IdEdificio'] = $rs['IdEdificio']; 
			$EdificiPiani[$key]['IdLivello'] = $rs['IdLivello']; 
			$EdificiPiani[$key]['CodiceAmbiente'] = $rs['CodiceAmbiente'];
		}
		elseif ( !substr_count( $EdificiPiani[$key]['CodiceAmbiente'], $rs['CodiceAmbiente'] ) )
		{
			$EdificiPiani[$key]['CodiceAmbiente'] .= ",".$rs['CodiceAmbiente'];

		}
		
		if ( is_numeric($lastValue) )
		{
			if ( !isset($EdificiPiani[$key]['Ambienti'][$rs['CodiceAmbiente']]) ) 
				$EdificiPiani[$key]['Ambienti'][$rs['CodiceAmbiente']] = (float)0;
				
			$EdificiPiani[$key]['Ambienti'][$rs['CodiceAmbiente']] += (float)$lastValue; 
		}
	}
?>
</table>
<br>

<table align=left><tr><td class=td2><?php $traduttore->html('Numero righe') ?><td><?php echo $rowcount ?></table>
<br>

<table align=left>
	<tr>
		<th><?php $traduttore->html('Localizzazione') ?>
		<th><?php $traduttore->html('Piano') ?>
		<th>&nbsp;<?php echo htmlentities($lastKey) ?>
		<th>&nbsp;
		<th>&nbsp;
<?php
$alternate = true;
$rowcount = 0;
$lastKey=ntxJS($lastKey);
$Valori=ntxJS($Valori);

if ( is_array($EdificiPiani) ) 	
 foreach($EdificiPiani as $rs)
{
	$CodiciAmbienti = $rs['Ambienti'];
	$rowcount++;
	
	$tot = 0;

	$Valori = "";
	
	if ( is_array($CodiciAmbienti) ) 	
	foreach($CodiciAmbienti as $cod => $val)
	{
		$tot += (float)$val; 
		
		if ( $Valori != "" )
			$Valori .= "|";
			
		$Valori .= "$cod=$val";
	}
	
	if (is_numeric($_POST['IDTipoComponente']))
	{
		$sql = "SELECT DesComponente FROM TipoComponente WHERE TipoComponente.IdCommessa=$IdCommessa AND TipoComponente.IDTipoComponente=".$_POST['IDTipoComponente'];
		$Comp=ntxJS(ntxScalar($sql));
	}
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Piano']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($tot) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type=button value="<?php $traduttore->js('Mappa') ?>" onclick="<?php echo "SelMappa2($rs[IdEdificio],$rs[IdLivello],'$rs[CodiceAmbiente]')" ?>" disabled>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type=button value="<?php $traduttore->js('Mappa Label') ?>" onclick="<?php 
					echo "SelMappa3($rs[IdEdificio],$rs[IdLivello],'$rs[CodiceAmbiente]','$Comp','$lastKey','$Valori')" ?>" disabled>

<?php
	$alternate = !$alternate;
}
?>
</table>
<br>

<table align=left><tr><td class=td2><?php $traduttore->html('Numero righe') ?><td><?php echo $rowcount ?></table>

<form name=form1 method=post>
	<input type=hidden name=TipoSelezione value="ON" />

	<input type=hidden name=IdCommessa value="<?php echo $_SESSION[IdCommessa] ?>">
	<input type=hidden name=IdEdificio value="<?php echo $_POST['IdEdificio'] ?>" />
	<input type=hidden name=IDTipoComponente value="<?php echo $_POST['IDTipoComponente'] ?>" />
	<input type=hidden name=IdPropComp value="<?php echo $_POST['IdPropComp'] ?>" />
	<input type=hidden name=IdValPropCompText value="<?php echo ntxJS($_POST['IdValPropCompText']) ?>" />
	<input type=hidden name=IdLivello>
	<input type=hidden name=CodiceAmbiente>
	<input type=hidden name=CodiceComponente>
	<input type=hidden name=IdCopertura>
</form>

<script language=javascript>

function SelMappaComp(IdEdificio,IdPiano,CodiceComponente,IdCopertura)
{
	form1.IdEdificio.value = IdEdificio;
	form1.IdLivello.value = IdPiano;
	form1.CodiceAmbiente.value = "";
	form1.CodiceComponente.value = CodiceComponente;
	form1.IdCopertura.value = IdCopertura;
	form1.action = "../mappa/index.php";
	parent.parent.tbJq_getTabFrame("frames").AppendFrame(form1);
	parent.parent.tbJq_showTabFrame("frames");
}

function SelMappa(IdEdificio,IdPiano,CodiceAmbiente)
{
	form1.IdEdificio.value = IdEdificio;
	form1.IdLivello.value = IdPiano;
	form1.CodiceComponente.value = "";
	form1.CodiceAmbiente.value = CodiceAmbiente;
	form1.IdCopertura.value = "";
	form1.action = "../mappa/index.php";
	parent.parent.tbJq_getTabFrame("frames").AppendFrame(form1);
	parent.parent.tbJq_showTabFrame("frames");
}

function SelMappa2(IdEdificio,IdPiano,CodiciAmbienti)
{
	form1.IdEdificio.value = IdEdificio;
	form1.IdLivello.value = IdPiano;
	form1.CodiceAmbientex.value = "";
	form1.CodiciComponentix.value = "";
	form1.CodiciAmbientix.value = CodiciAmbienti;
	form1.action = "../mappa/index.php";
	parent.parent.tbJq_getTabFrame("frames").AppendFrame(form1);
	parent.parent.tbJq_showTabFrame("frames");
}


function SelMappa3(IdEdificio,IdPiano,CodiciAmbienti,Comp,lastKey,Valori)
{
	form1.IdEdificio.value = IdEdificio;
	form1.IdLivello.value = IdPiano;
	form1.CodiceAmbientex.value = "";
	form1.CodiciComponentix.value = "";
	form1.CodiciAmbientix.value = CodiciAmbienti;
	form1.Componente.value = Comp;
	form1.lastKey.value = lastKey;
	form1.Valori.value = Valori;
	form1.action = "../mappa/index.php";
	parent.parent.tbJq_getTabFrame("frames").AppendFrame(form1);
	parent.parent.tbJq_showTabFrame("frames");
}

</script>
<?php
	//$traduttore->Salva();
?>
</body>
</html>
