<?php  
if (!isset($_SESSION)) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if(!is_numeric($_POST[ntxPagedRowsPerPage]))
	$_POST[ntxPagedRowsPerPage] = 20;
	
//<!-- IN EVIDENZA -->
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="../../_ntx/jhp.php"></script>	
	
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	
	<style> 
	</style>	
</head>

<body>

<div class="divBottoni">
	<input type=button value="<< Indietro" onclick="parent.CloseFrame()" />

	<form method="post"  class="allineatoSinistra">
		<?php ntxCreateHiddens() ?>
		
		<button   type="submit"  >
			<img src="/repository/_icons/arrow_refresh.png" />
			Ricarica
		</button>
	</form> 
</div>

<?php
require_once('edifici_sql.inc'); 
?>

<form name="form1" id="form1" method="post">
	<input type="hidden" name="IdEdificio" />
</form>	


<script language="javascript">
function piani(ID)
{
	document.form1.IdEdificio.value = ID;
	
	parent.parent.tbJq_updateTabFrame(document.form1, "piani", 'piani.php'); 
	parent.parent.tbJq_showTabFrame("piani"); 
}

function anomalie(ID)
{
	document.form1.IdEdificio.value = ID;
	
	parent.parent.tbJq_updateTabFrame(document.form1, "report_anomalie", 'report_anomalie/index.php'); 
	parent.parent.tbJq_showTabFrame("report_anomalie"); 
}
</script>


<!-- IN EVIDENZA -->
<?php ntxPagedPrintNavigation() ?> 
 
<table id="tblRisultati" cellpadding="0" cellspacing="0" class="fancyTable"  >
	<thead>
		<tr>
			<th>
			<th>
			<th>ID
			<th>Codice
			<th>Nome Breve
			<th>Nome Esteso
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>Cap
			<th>Proprietario
			<th>Utilizzatore
			<th>Tipo
		</tr>  
	</thead>
	
	<tbody>	
<?php
	$tipi = array('edificio','strada','verde');
	
	$alternate = true;

	while(  $query  &&  $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "td2"; 
		
		$Tipo = $tipi[$rs[Tipo]];
?>
	<tr> 
		<td class=" <?php echo $classe ?>" > 
			<input type=button value="dettaglio" onclick="piani('<?php echo $rs[ID] ?>')" />	
			
		<td class=" <?php echo $classe ?>" > 
			<input type=button value="anomalie" onclick="anomalie('<?php echo $rs[ID] ?>')" />	
			
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[ID]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Codice]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[EdificioBreve]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[EdificioEstesa]) ?>

		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Indirizzo]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[CITTA]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[PROVINCIA]) ?>

		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[CAP]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Proprietario]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Utilizzatore]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($Tipo) ?>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
	</tbody>	
</table> 

 
<!-- IN EVIDENZA -->
<?php ntxPagedPrintBody() ?>
<?php ntxPagedPrintNavigation() ?>  


</body>
</html>