<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$where = "WHERE  (CircuitiEdifici.IdCommessa = $IdCommessa) AND (CircuitiEdifici.IdEdificio = $IdEdificio)";


if ( strlen("$_POST[Nome]")>0 ) $where .= " AND CircuitiEdifici.Nome LIKE '%".str_replace("'","''",$_POST[Nome])."%'";

if ( strlen("$_POST[Codice]")>0 ) $where .= " AND CircuitiEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( strlen("$_POST[Note]")>0 ) $where .= " AND CircuitiEdifici.Note LIKE '%".str_replace("'","''",$_POST[Note])."%'";

if ( is_numeric($_POST[TipoCircuito]) ) $where .= " AND CircuitiEdifici.TipoCircuito=".((int)$_POST[TipoCircuito]);

$sql = <<< sql
	SELECT     CircuitiEdifici.IdCircuito, CircuitiEdifici.Codice, CircuitiEdifici.Nome, CircuitiEdifici.Note, CircuitiEdifici.DataInizio, CircuitiEdifici.DataFine, 
						  CircuitiEdifici.Colore, TipiCircuito.TipoCircuito
	FROM         CircuitiEdifici LEFT JOIN
						  TipiCircuito ON CircuitiEdifici.TipoCircuito = TipiCircuito.Id
	  $where
sql;

$paginazione = ntxPaginazione($sql, "Codice, Nome");

$query = $paginazione->query;

if ( !$_POST[no_edit] ) $edit = "<th>"; else $edit = "";

$table = <<< table
	<table class=grid>
		<tr>
			$edit
			<th>
			<th>ID
			<th>Codice
			<th>Nome
			<th>DataInizio
			<th>DataFine
			<th>TipoCircuito
			<th colspan=2>Colore
			<th>Note
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	$rosso = ($rs[Colore] >> 16) & 0xff;
	$verde = ($rs[Colore] >> 8) & 0xff;
	$blu = ($rs[Colore]) & 0xff;

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( !$_POST[no_edit] ) 
		$edit = "<td><input type=button value=edit onclick=\"objCodice.CaricaForm($rs[IdCircuito])\" />"; 
	else 
		$edit = "";

	$table .= <<< table
		<tr $classTr>
			$edit
			<td><input type=checkbox SelRiga IdRiga=$rs[IdCircuito] />
			<td>$rs[IdCircuito]
			<td>$html[Codice]
			<td>$html[Nome]
			<td>$html[DataInizio]
			<td>$html[DataFine]
			<td>$html[TipoCircuito]
			<td>$html[Colore]
			<td style="background-color: rgb($rosso, $verde, $blu)">...
			<td>$html[Note]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
