<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdTipoArea = ntxip('IdTipoArea');

$where = "WHERE  (TipiAreaCircuitiEdifici.IdCommessaTipoArea = $IdCommessa) AND (TipiAreaCircuitiEdifici.IdTipoArea = $IdTipoArea)";

$where .= " AND (ElencoEdifici.Tipo=0 OR ElencoEdifici.Tipo IS NULL)";

if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( strlen("$_POST[EdificioBreve]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";

if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[CITTA]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";

if ( strlen("$_POST[PROVINCIA]")>0 ) $where .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[PROVINCIA])."%'";

if ( strlen("$_POST[CAP]")>0 ) $where .= " AND ElencoEdifici.CAP = '".str_replace("'","''",$_POST[CAP])."'";

if ( strlen("$_POST[NomeCircuito]")>0 ) $where .= " AND CircuitiEdifici.Nome LIKE '%".str_replace("'","''",$_POST[NomeCircuito])."%'";

if ( strlen("$_POST[CodiceCircuito]")>0 ) $where .= " AND CircuitiEdifici.Codice LIKE '%".str_replace("'","''",$_POST[CodiceCircuito])."%'";

if ( strlen("$_POST[NoteCircuito]")>0 ) $where .= " AND CircuitiEdifici.Note LIKE '%".str_replace("'","''",$_POST[NoteCircuito])."%'";

if ( is_numeric($_POST[TipoCircuito]) ) $where .= " AND CircuitiEdifici.TipoCircuito=".((int)$_POST[TipoCircuito]);

$sql = <<< sql
	SELECT     TipiAreaCircuitiEdifici.Id, TipiAreaCircuitiEdifici.IdCommessaTipoArea, TipiAreaCircuitiEdifici.IdTipoArea, TipiAreaCircuitiEdifici.OreLun, 
                      TipiAreaCircuitiEdifici.OreMar, TipiAreaCircuitiEdifici.OreMer, TipiAreaCircuitiEdifici.OreGio, TipiAreaCircuitiEdifici.OreVen, 
                      TipiAreaCircuitiEdifici.OreSab, TipiAreaCircuitiEdifici.OreDom, TipiAreaCircuitiEdifici.OreFestivi, TipiCircuito.TipoCircuito, CircuitiEdifici.Codice CodCircuito, 
                      CircuitiEdifici.Nome, CircuitiEdifici.DataInizio, CircuitiEdifici.DataFine, CircuitiEdifici.IdEdificio, ElencoEdifici.Codice AS CodEdificio, 
                      ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, ElencoEdifici.Regione, 
                      ElencoEdifici.Tipo
	FROM         TipiAreaCircuitiEdifici INNER JOIN
                      CircuitiEdifici ON TipiAreaCircuitiEdifici.IdCommessaCircuito = CircuitiEdifici.IdCommessa AND 
                      TipiAreaCircuitiEdifici.IdEdificioCircuito = CircuitiEdifici.IdEdificio AND TipiAreaCircuitiEdifici.IdCircuito = CircuitiEdifici.IdCircuito INNER JOIN
                      ElencoEdifici ON CircuitiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND CircuitiEdifici.IdEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      TipiCircuito ON CircuitiEdifici.TipoCircuito = TipiCircuito.Id
  $where
sql;

$paginazione = ntxPaginazione($sql, "IdEdificio, TipoCircuito, DataInizio, DataFine");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Localizzazione
			<th>Circuito
			<th>OreLun
			<th>OreMar
			<th>OreMer
			<th>OreGio
			<th>OreVen
			<th>OreSab
			<th>OreDom
			<th>OreFestivi
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";

	$rs[OreLun] = ntxRound($rs[OreLun],2);
	$rs[OreMar] = ntxRound($rs[OreMar],2);
	$rs[OreMer] = ntxRound($rs[OreMer],2);
	$rs[OreGio] = ntxRound($rs[OreGio],2);
	$rs[OreVen] = ntxRound($rs[OreVen],2);
	$rs[OreSab] = ntxRound($rs[OreSab],2);
	$rs[OreDom] = ntxRound($rs[OreDom],2);
	$rs[OreFestivi] = ntxRound($rs[OreFestivi],2);

	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td><input type=checkbox SelRiga Update IdRiga=$rs[Id] />
			<td>$html[IdEdificio] - $html[CodEdificio] - $html[EdificioBreve] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA]) - $html[CAP]
			<td>$html[TipoCircuito] - $html[CodCircuito] - $html[Nome]<br>$html[DataInizio] - $html[DataFine]
			<td>$html[OreLun]
			<td>$html[OreMar]
			<td>$html[OreMer]
			<td>$html[OreGio]
			<td>$html[OreVen]
			<td>$html[OreSab]
			<td>$html[OreDom]
			<td>$html[OreFestivi]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
