<?php

if ( !isset($_SESSION) ) session_start();

$IdSetup = $_SESSION[ID_SETUP_ODBC_DATABASE];

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$ElencoCompletoTipiComponenti = explode(",", $_POST[ElencoCompletoTipiComponenti]);

$IdCommessa = ntxip('IdCommessa');

$SoloInPiano = (is_numeric($_POST[SoloInPiano])  &&  $_POST[SoloInPiano]==1);

if ( $SoloInPiano  &&  is_numeric($_POST[IdEdificio])  &&  is_numeric($_POST[IdPiano]) )
{
	$TipiComponenti = array();
	$CountTipiComponenti = array();
	
	$IdEdificio = ntxip('IdEdificio');
	$IdPiano = ntxip('IdPiano');

	$sql = <<< sql
		SELECT ComponentiAmbiente.IdTipoComponente, count(*)
		FROM         Ambiente INNER JOIN
							  ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
							  Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente
		WHERE     (Ambiente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.IdLivello = $IdPiano)	
		group by ComponentiAmbiente.IdTipoComponente
sql;
	
	$query = ntxQuery($sql);
	
	while($rs=ntxIRecord($query))
	{
		$TipiComponenti[] = $rs[0];
		$CountTipiComponenti[$rs[0]] = $rs[1];
	}
}
else
	$SoloInPiano = false;
	
$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$pathSimboliWeb = "$pathCommessa\\simboliWeb";

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\simboliWeb";

if ( !is_dir($dir) ) mkdir($dir);

$dir = "$dir\\setup_{$IdSetup}_commessa_$IdCommessa";

if ( !is_dir($dir) ) mkdir($dir);

$url = "$_SERVER[DOCUMENT_HOST]/".NTX_SUBPATH_PORTALE."/simboliWeb/setup_{$IdSetup}_commessa_$IdCommessa";

$addWhere = "";

if ( strlen("$_POST[NomeTipoComponente]")>0 )
	$addWhere = " AND tblCopertureInCommessa.Nome LIKE '%".str_replace("'","''",$_POST[NomeTipoComponente])."%' ";
	
if ( !is_numeric($_POST[IdGruppoImpianto]) )
	$sql = <<< sql
		SELECT DISTINCT 
							  TipoComponente.IDTipoComponente, TipoComponente.DesComponente, tblCopertureInCommessa.Simbolo, tblCopertureInCommessa.VisibileWeb
		FROM         TipoComponente INNER JOIN
                      tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
                      TipoComponente.Copertura = tblCopertureInCommessa.Nome
		WHERE     (TipoComponente.IdCommessa = $IdCommessa)
			AND (tblCopertureInCommessa.Tipo = 0) 
			AND (tblCopertureInCommessa.Geometria = 0) 
			AND (tblCopertureInCommessa.Associazione = 2)
			$addWhere
		ORDER BY TipoComponente.DesComponente
sql;
else
{
	$IdGruppoImpianto = ntxip('IdGruppoImpianto');
	
	$sql = <<< sql
		SELECT DISTINCT 
							  TipoComponente.IDTipoComponente, TipoComponente.DesComponente, tblCopertureInCommessa.Simbolo, tblCopertureInCommessa.VisibileWeb
		FROM         TipoComponente INNER JOIN
							  GruppiImpTipiComp ON TipoComponente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND 
							  TipoComponente.IDTipoComponente = GruppiImpTipiComp.IdTipoComponente INNER JOIN
							  tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
							  TipoComponente.Copertura = tblCopertureInCommessa.Nome
		WHERE     (TipoComponente.IdCommessa = $IdCommessa)
			AND (GruppiImpTipiComp.IdGruppoImpianto = $IdGruppoImpianto)
			AND (tblCopertureInCommessa.Tipo = 0) 
			AND (tblCopertureInCommessa.Geometria = 0) 
			AND (tblCopertureInCommessa.Associazione = 2)
			$addWhere
		ORDER BY TipoComponente.DesComponente
sql;
}

$query = ntxQuery($sql);

if ( $SoloInPiano )
	$th = "<th>num";

$table = <<< table
	<table class=grid>
		<tr>
			<th>Visibile</th>
			<th>Tipo Componente</th>
			$th
		</tr>
table;

$alternate = false;

$len = count($ElencoCompletoTipiComponenti)-1;

while( $rs = ntxRecord($query) )
{
	if ( $SoloInPiano  &&  !in_array($rs[IDTipoComponente], $TipiComponenti) )
		continue;
		
	$count = $CountTipiComponenti[$rs[IDTipoComponente]];
	
	$td = "";
	
	if ( $SoloInPiano )
		$td = "<td>$count";

	$classTr = $alternate ? "class=alternate" : "";
	
	$DesComponente = htmlentities($rs[DesComponente]);

	$checked = "";
	
	for($i=0, $j=1; $i<$len; $i+=2, $j+=2)
	{
		if ( $ElencoCompletoTipiComponenti[$i] == $rs[IDTipoComponente]  &&  $ElencoCompletoTipiComponenti[$j]==1 )
		{
			$checked = $rs[VisibileWeb] ? "checked" : "";
			break;
		}
	}
	
	if ( is_file("$pathSimboliWeb\\$rs[Simbolo].png")  &&  !is_file("$dir\\$rs[Simbolo].png") )
		copy("$pathSimboliWeb\\$rs[Simbolo].png", "$dir\\$rs[Simbolo].png");

	$table .= <<< table
		<tr $classTr>
			<td>
				<input type=checkbox $checked chkVisTipoComp IdTipoComponente=$rs[IDTipoComponente] onclick="SetVisComp(this)" />
				
			<td><img src="$url/$rs[Simbolo].png"/>$DesComponente
			$td
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

jhp($table);

?>
