<?php

session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_288", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_288", "IT", __FILE__);

$TipoComponente_DesComponente = ntxTraduciCampoTabella("TipoComponente", "DesComponente", "DesComponente", $_SESSION[NTX_LINGUA_DEST]);
$DestinazioniDusoLivello_Destinazione = ntxTraduciCampoTabella("DestinazioniDusoLivello", "Destinazione", "Destinazione", $_SESSION[NTX_LINGUA_DEST]);

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="stylesheet" type="text/css" href="/repository/css/grid-2.0.0.css" /> 
<style>
@media print
{
	input  {display:none}
}

</style>
</head>
<body>
<input type=button value=<?php $traduttore->html('Stampa') ?> onclick="print()" />
<?php

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');

$sql = <<< sql
SELECT     PianoLivello.IdCommessa, PianoLivello.IdEdificio, PianoLivello.idPiano, Commesse.DesComm, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, 
                      PianoLivello.CodPiano, PianoLivello.CodiceAssLivello, $DestinazioniDusoLivello_Destinazione Destinazione
FROM         Commesse INNER JOIN
                      ElencoEdifici ON Commesse.IDCommessa = ElencoEdifici.IdCommessa INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND 
                      PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa
WHERE     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdEdificio = $IdEdificio) AND (PianoLivello.idPiano = $IdLivello)
sql;

$query = ntxQuery($sql);

if ( $rs = ntxRecord($query) )
{
	foreach ( $rs as $key=>$value )
		$rs[$key] = htmlentities($value);
		
	/*$datiPiano = <<< datiPiano
		Edificio: $rs[Codice] - $rs[EdificioBreve] - Piano: $rs[Destinazione]
datiPiano;*/
	$datiPiano =
		$traduttore->traduci('Edificio').": $rs[Codice] - $rs[EdificioBreve] - ".$traduttore->traduci('Piano').": $rs[Destinazione]"
;
}

require_once("legend_componenti.inc");

$FileMappa = str_replace('\\\\','\\',str_replace('/','\\',$_POST[FileMappa]));

?>

<table border=on style="width:90%">
<tr><th colspan=2><?php echo $datiPiano ?>
<tr><td style="vertical-align:top;width:10%"><?php echo $table ?>
	<td style="vertical-align:top"><img src="<?php echo ntxJs($FileMappa) ?>" style="width:100%"> 
<!--
		<div style="overflow:hidden;width:25cm;height:18cm">
			<img src="<?php echo ntxJs($FileMappa) ?>"> 
		</div>
-->
</table>
<?php $traduttore->Salva(); ?>

</body>
</html>