<?php
session_start();

require_once("../../../../_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$TipoComponente_DesComponente = ntxTraduciCampoTabella("TipoComponente", "DesComponente", "DesComponente", $_SESSION[NTX_LINGUA_DEST]);

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$sql = "SELECT Modalità FROM _DatiSovraCommessa";

$Modalità = ntxScalar($sql);

if ( $Modalità=="DEMO_ACEA" )
{
	$demoTH = "<th>Link ACEA";
	$demoTD = "<td><a href='http://www.google.it' target=_blank>link</a>";
}

$ComponentiSelezionati = ntxsp('ComponentiSelezionati');
$UltimoComponenteSelezionato = ntxip('UltimoComponenteSelezionato');

if ( $ComponentiSelezionati=="NULL" ) $ComponentiSelezionati = "''";

$sql = <<< sql
	SELECT     ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceAssComponente, ComponentiAmbiente.Note, ComponentiAmbiente.Rimosso, 
                      $TipoComponente_DesComponente DesComponente
	FROM         ComponentiAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
						  INNER JOIN dbo.splitid($ComponentiSelezionati) ComponentiSelezionati ON ComponentiSelezionati.id=ComponentiAmbiente.IdComponente
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$Rimosso = $rs[Rimosso] ? "SI" : "";
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$checked = ($rs[IDComponente]==$UltimoComponenteSelezionato) ? "checked" : "";
	
	$righe .= <<< righe
		<tr>
			<td><input type=radio name=optVani $checked onclick="SelComponenteDettaglio($rs[IDComponente])" />
			<td>$rs[IDComponente]
			<td>$rs[CodiceAssComponente]
			<td>$rs[DesComponente]
			<td>$rs[Note]
			<td>$Rimosso
			$demoTD
righe;
}
	
$result = <<< result
		<table class=grid>
			<tr>
				<th>
				<th>id
				<th>cod
				<th>tipo
				<th>note
				<th>rimosso
				$demoTH
			$righe
		</table>
result;

jhp($result);

?>
