<?php

$sql = <<< sql
SELECT  DISTINCT   tblPgContratti.Descrizione AS Contratto, tblPgGestori.Nome AS Gestore, tblPgContratti.DataInizio, tblPgContratti.DataFine
FROM         tblPgContratti INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto INNER JOIN
                      tblPgGestori ON tblPgContratti.IdGestore = tblPgGestori.IdGestore
WHERE     (tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = $IdCommessa) 
	AND (tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = $IdEdificio)
AND (tblPgContratti.DataInizio <= $DataFineWhere)
AND (tblPgContratti.DataFine >= $DataInizioWhere)
ORDER BY tblPgContratti.DataInizio
sql;

$query=ntxQuery($sql);

/*$tabella_contratti = <<< tab
<table class=altri_dati  >
	<tr>
		<th>Contratti attivi
		<th>Gestore
		<th>periodo
	</tr>  
tab;*/
$tabella_contratti =
"<table class=altri_dati  >
	<tr>"
		."<th>".$traduttore->traduci('Contratti attivi')
		."<th>".$traduttore->traduci('Gestore')
		."<th>".$traduttore->traduci('Periodo')
	."</tr>" 
;

$alternate = true;

while(  $query  &&  $rs = ntxRecord($query) )
{
	$classe = $alternate ? "class=alternate" : ""; 

	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
$tabella_contratti .= <<< tab
<tr $classe> 
	<td>$html[Contratto]
	<td>$html[Gestore]
	<td>$html[DataInizio]  $html[DataFine]
</tr>
tab;

	$alternate = !$alternate;
}

$tabella_contratti .= <<< tab
</table> 
tab;

?>
