<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_284", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_284", "IT", __FILE__);

$GruppiImpianti_Descrizione = ntxTraduciCampoTabella("GruppiImpianti", "Descrizione", "Descrizione", $_SESSION[NTX_LINGUA_DEST]);

?>
<html>
<head>
	<link href="/repository/css/grid-2.0.0.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js?v=<?php echo time() ?>" type="text/javascript"></script>
	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="js/carica_selects.js"></script>
	<script type="text/javascript" src="js/superprop.js"></script>
</head>
<body  >

<form method=post name=form1 action=table.php>

		<input type="hidden" name="AttoreInUso" value="<?php echo $_POST[AttoreInUso] ?>" />
		
		<input type="hidden" name="ElencoIdProprietà" 	value="" />
		<input type="hidden" name="ElencoIdValori" 		value="" />

		<input type=hidden name=IdEdificio>
	
	    <table align=center class=grid>
			<caption><?php $traduttore->html('Ricerca Proprietà Componenti') ?></caption>
			
			<tr><th><?php $traduttore->html('Edificio') ?><td><input type=text name=Edificio size=50 readonly />
				<input type=button value="x" onclick="TogliEdificio()" />

			<tr><th><?php $traduttore->html('Gruppi Impianti') ?><td><select style="width:100%"  name=IdGruppoImpianto onchange="javascript:caricaTipiComponenti()">
				<?php
					$gIdCommessa = ntxise('IdCommessa');
					
					$sql = <<< sql
						SELECT     Id, $GruppiImpianti_Descrizione Descrizione
						FROM         GruppiImpianti
						WHERE     (IdCommessa = $gIdCommessa)
						ORDER BY Descrizione					
sql;

					$query = ntxQuery($sql);
						
					echo "<option value='x' SELECTED>\n";
					
					while ( $rs = ntxIRecord($query) )
					{
						$value=$rs[0];
						$des=htmlentities($rs[1]."");
						
						echo "<option value=$value>$des\n";
					}
				?>
				</select>                   

			<tr><th><?php $traduttore->html('Tipo Componente') ?><td><select style="width:100%" name=IDTipoComponente onchange="javascript:caricaProprietà()"></select>                   


			<tr><th><?php $traduttore->html('Proprietà Tipo Componente') ?><td><select style="width:100%"  name=IdPropComp onchange="javascript:caricaValoriProprietà()">
				<option value='x' SELECTED><?php $traduttore->html('Non Importa') ?>
				</select>                   


			<tr><th><?php $traduttore->html('Valori Precaricati Proprietà Tipo Componente') ?><td><select style="width:100%"  name=IdValPropComp onchange="javascript:settaValoreProprietà()">
				<option value='x' SELECTED><?php $traduttore->html('Non Importa') ?>
				</select>                   


			<tr><th><?php $traduttore->html('Valore Proprietà Tipo Componente') ?><td><input style="width:100%"  type=text name=IdValPropCompText size=50>


			<tr><th><?php $traduttore->html('Codice Componente') ?><td><input style="width:100%"  type=text name=CodiceAssComponente />
	
			<tr><th colspan=2><?php $traduttore->html('Super Proprietà') ?>
			<tr><td colspan=2>
				<div id=SuperProprietàSelezionate></div>
				<br>

				<input type=button value="<?php $traduttore->html('Mostra/Nascondi Super Proprietà') ?>" onclick="$('#ElencoSuperProprietà').toggle()" />

				<br>

				<div id=ElencoSuperProprietà>
					<?php require_once("elenco_super_proprieta.inc") ?>
				</div>

			<tr><th colspan=2><input name=Ricerca type=button style="width:100%" value="<?php $traduttore->html('Ricerca') ?>" onclick="RicercaA()">
			<tr><th colspan=2><input type=button style="width:100%" value="<?php $traduttore->html('Ricerca con Risultato ad Albero') ?>" onclick="RicercaAlbero()">
			<tr><th colspan=2><input type=button style="width:100%" value="<?php $traduttore->html('Ricerca per Tipo e Localizzazione') ?>" onclick="RicercaTipoLocalizazione()">
        </table>
</form>
<script language=javascript>

function RicercaTipoLocalizazione()
{
	form1.action = "ricerca_tipo_localizzazione.php";
	
	parent.tbJq_getTabFrame("frames").AppendFrame(form1);
	parent.tbJq_showTabFrame("frames");
}

function RicercaAlbero()
{
	form1.action = "tree.php";
	
	if ( form1.IDTipoComponente.value!='x' ) 
	{
		parent.tbJq_getTabFrame("frames").AppendFrame(form1);
		parent.tbJq_showTabFrame("frames");
	}
	else 
		alert("<?php $traduttore->js('Seleziona Tipo Componente!') ?>")
}

function RicercaA()
{
	form1.action = "table.php";
	
	if ( form1.IDTipoComponente.value!='x' ) 
	{
		parent.tbJq_getTabFrame("frames").AppendFrame(form1);
		parent.tbJq_showTabFrame("frames");
	}
	else 
		alert("<?php $traduttore->html('Seleziona Tipo Componente!') ?>")
}

function TogliEdificio()
{
	document.form1.IdEdificio.value = '';
	document.form1.Edificio.value = '';
}


function SelEdificio(IdEdificio)
{
	document.form1.IdEdificio.value = IdEdificio;
	ntxSendForm(form1, CaricaEdificio, 'carica_edificio');
}

function CaricaEdificio(txt)
{
	var rows=ntxRecord(txt);
	form1.Edificio.value = rows['Edificio'];
}

caricaTipiComponenti();

</script>
<?php $traduttore->Salva(); ?>

</body>
</html>
