<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
//ENTE to fill 
$NomiEnti = array();
if ( strlen($_POST['enti']) > 0 ) {
  $Enti = $_POST['enti'];
  $where = " AND (tblPgPropietari.IdPropietario IN ( $Enti ) ) ";
  $sql = " SELECT tblPgPropietari.IdPropietario,tblPgPropietari.Nome FROM tblPgPropietari WHERE tblPgPropietari.IdPropietario IN ( $Enti ) ";
  $msg = '';
} else {
  $where = '';
  $sql = <<< _SQL

  SELECT DISTINCT 
    tblPgPropietari.IdPropietario
    , tblPgPropietari.Nome 
  FROM  
    ElencoEdifici 
    INNER JOIN
    UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
    INNER JOIN
    Utenti ON UtentiEdifici.IdUtente = Utenti.Id
    INNER JOIN
    tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
    LEFT OUTER JOIN
    tblPgPropietariGruppi ON tblPgPropietari.IdGruppo = tblPgPropietariGruppi.IdGruppo		
  WHERE 
    ElencoEdifici.IdCommessa = $IdCommessa AND Utenti.Id = $IdUtente

_SQL;
  $msg = ' <div class="cell w-100" style="background-color:#F6AC00"><p class="normal" style="color:#000>Attenzione, la visualizzazione dei risultati potrebbe impiegare molto tempo <br /> controllare i filtri di ricerca!</p></div> ';
} 
$query = ntxQuery($sql);
while($query  &&  $rs = ntxRecord($query)) {
  foreach ($rs as $k => $v) {
      $html[$k] = htmlentities($v);
  }
  $NomiEnti[$html['IdPropietario']] = $html['Nome'];
}
$Enti = implode(",", array_keys($NomiEnti));
//LOCALIZZAZIONE to fill
$NomiLocalizzazioni = array();
if ( strlen($_POST['localizzazioni']) > 0 ) {
  $Localizzazioni = $_POST['localizzazioni'];
  $sql = " SELECT ElencoEdifici.ID,ElencoEdifici.EdificioBreve FROM ElencoEdifici WHERE ElencoEdifici.IDCommessa = $IdCommessa AND  ElencoEdifici.ID IN ($Localizzazioni) ";
  $msg = '';
} else {
  $sql = <<< _SQL

  SELECT DISTINCT 
    ElencoEdifici.ID
    , ElencoEdifici.EdificioBreve
  FROM
    UtentiEdifici 
      INNER JOIN
        ElencoEdifici ON UtentiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND UtentiEdifici.IdEdificio = ElencoEdifici.ID 
      LEFT OUTER JOIN
        tblUtUtilizzatori 
      RIGHT OUTER JOIN
        tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore ON ElencoEdifici.IdCommessa = tblUtEdifici.IdCommessa AND ElencoEdifici.ID = tblUtEdifici.IdEdificio 
      LEFT OUTER JOIN
        tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
   WHERE 
    (ElencoEdifici.IDCommessa = $IdCommessa) 
    AND (UtentiEdifici.IdUtente = $IdUtente)
    $where

_SQL;
  $msg = ' <div class="cell w-100" style="background-color:#F6AC00;"><p class="small" style="color:#000">Attenzione, la visualizzazione dei risultati potrebbe impiegare molto tempo <br /> controllare i filtri di ricerca!</p></div> ';
}
$query = ntxQuery($sql);
while($query  &&  $rs = ntxRecord($query)) {
  foreach ($rs as $k => $v) {
      $html[$k] = htmlentities($v);
  }
  $NomiLocalizzazioni[$html['ID']] = $html['EdificioBreve'];
}
$Localizzazioni = implode(",", array_keys($NomiLocalizzazioni));
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

    <head>

        <title>Manpro.Net - un prodotto Natisoft</title>

        <link href="/repository/css/reset.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="css/base.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
        <link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
        
        <script src="/repository/libs/jquery_latest/jquery.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jhp_latest/jhp.min.js" type="text/javascript"></script>
        
        <script src="/repository/libs/jquery_versioni/jquery.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jquery_versioni/jquery-ui.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jquery_versioni/jquery-ui-buttonsetv.js" type="text/javascript"></script>

        <script src="js/filtro_prop_componenti.js?v=<?php echo time() ?>" type="text/javascript"></script>
        
        <style>
          #tabbed .button {
            width: 100%;
            font-size: 11px;
            -webkit-print-color-adjust: exact;
            align-items: flex-start;
            text-align: center;
            cursor: default;
            color: buttontext;
            background-color: buttonface;
            box-sizing: border-box;
            padding: 2px 6px 3px;
            border: 2px outset buttonface;
            -webkit-appearance: push-button;
            -webkit-user-select: none;
          }
          #tabbed .button.selected {
            width: 100%;
            font-size: 11px;
            -webkit-print-color-adjust: exact;
            align-items: flex-start;
            text-align: center;
            cursor: default;
            box-sizing: border-box;
            padding: 2px 6px 3px;
            border: 2px outset buttonface;
            -webkit-appearance: push-button;
            -webkit-user-select: none;
            color: #e6e6e6;
            background-color: #555555;
          }
          #tabbed p.large{
            font-size: 11px;
            -webkit-print-color-adjust:exact;
            color: #FFFFFF; 
            text-transform:none;
            font-weight:bold;
            text-align:center;
            background: url("../_img/bg_table_head.gif") top left repeat-x #293e43;
            background: -webkit-gradient(linear, right top, right bottom, from( rgb(100,127,129) ), to( rgb(43,64,69) ));		
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#647f81', endColorstr='#293e43',GradientType=0 ); /* IE6-9 */
          }
          #tabbed div.title.large {
            font-family: verdana,helvetica,arial,sans-serif;
            font-size: 11px;
            -webkit-print-color-adjust:exact;
            text-align: center;
            padding: 6px;
            border-bottom: none;
            letter-spacing: 3px;
            font-weight: bold;
            color: #ffffff;
            background: url("../_img/bg_table_head.gif") top left repeat-x #293e43;
            background: -webkit-gradient(linear, right top, right bottom, from( rgb(100,127,129) ), to( rgb(43,64,69) ));		
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#647f81', endColorstr='#293e43',GradientType=0 ); /* IE6-9 */	
          }
          #tabbed .cell {
            margin: .1% 2% 0 0;
          }
          .fancyTable {
             margin-left: auto;
             margin-right: auto;
          }
          </style>
        
    </head>

    <body id="tabbed">
    
      <form id="frmHidden" id_form="frmHidden" name="frmHidden" method="post" action="">
            <input type="hidden" name="enti" value="<?php echo $Enti ?>">
            <input type="hidden" name="localizzazioni" value="<?php echo $Localizzazioni ?>">
            <input type="hidden" name="gruppoImpianti" value="">
            <input type="hidden" name="tipoComponente" value="">
            <input type="hidden" name="proprietaTipoComponente" value="">
            <input type="hidden" name="valoriTipoComponente" value="">
            <input type="hidden" name="valoreTipoComponente" value="">
          
        </form>
        
        <div class="row">

            <div class="cell w-32"></div>

            <div class="cell w-32">

              <div class="title large">Filtro Propriet&agrave; Componenti</div>

              <div class="row">

                  <div class="cell w-32">
                      <p class="large">Enti</p>
                  </div>
                  <div class="cell w-66">
                    <?php
                    foreach($NomiEnti as $key => $value) {
                      echo $r = <<< _HTML
                        <a onclick="removeMe(this, $key, document.frmHidden.enti)" class="button">$value<span style="float:right">X</span></a>
_HTML;
                    }
                    ?>
                  </div>

              </div>

              <div class="row">

                  <div class="cell w-32">
                      <p class="large">Localizzazioni</p>
                  </div>
                  <div class="cell w-66">
                    <?php
                    foreach($NomiLocalizzazioni as $key => $value) {
                      echo $r = <<< _HTML
                        <a onclick="removeMe(this, $key, document.frmHidden.localizzazioni)" class="button">$value<span style="float:right">X</span></a>
_HTML;
                    }
                    ?>
                  </div>

              </div>

              <div class="row">

                  <div class="cell w-32">
                      <p class="large">Gruppo Impianti</p>
                  </div>
                  <div class="cell w-66">
                    <select style="width:100%" id="elencoGruppoImpianti" onchange="document.frmHidden.gruppoImpianti.value = this.value; carica('jhp/selectTipoComponente.php','elencoTipoComponente')"></select>
                  </div>

              </div>

              <div class="row">

                  <div class="cell w-32">
                      <p class="large">Tipo Componente</p>
                  </div>
                  <div class="cell w-66">
                    <select style="width:100%" id="elencoTipoComponente" onchange="document.frmHidden.tipoComponente.value = this.value; carica('jhp/selectProprietaTipoComponente.php','elencoProprietaTipoComponente')"></select>
                  </div>

              </div>

              <div class="row">

                  <div class="cell w-32">
                      <p class="large">Propriet&agrave; Tipo Componente</p>
                  </div>
                  <div class="cell w-66">
                    <select style="width:100%" id="elencoProprietaTipoComponente" onchange="document.frmHidden.proprietaTipoComponente.value = this.value; carica('jhp/selectValoriPrecaricatiProprieta.php','elencoValoriPrecaricatiProprieta')"></select>
                  </div>

              </div>

              <div class="row">

                  <div class="cell w-32">
                      <p class="large">Valori Precaricati Propriet&agrave;</p>
                  </div>
                  <div class="cell w-66">
                    <select style="width:100%" id="elencoValoriPrecaricatiProprieta" onchange="document.frmHidden.valoriTipoComponente.value = this.value; $('#valoriTipoComponente').val(this.value);"></select> 
                  </div>

              </div>

              <div class="row">

                  <div class="cell w-32">
                      <p class="large">Valore Propriet&agrave;</p>
                  </div>
                  <div class="cell w-66">
                    <input style="width:100%" type="text" id="valoriTipoComponente" onchange="document.frmHidden.valoreTipoComponente.value = this.value;" name="valoreProprietaTipoComponente" placeholder="Valore Propriet&agrave; Tipo Componente">
                  </div>

              </div>
              
              <div class="cell w-100">
                <div class="cell w-100">
                  <input style="width:100%" type="button" class="button" name="btnRicerca1" onclick="goFiltro1()" value="Ricerca">
                  <input style="width:100%" type="button" class="button" name="btnRicerca2" onclick="goFiltro2()" value="Ricerca con Risultato ad Albero">
                  <input style="width:100%" type="button" class="button" name="btnRicerca3" onclick="goFiltro3()" value="Ricerca per Tipo e Localizzazione">
                </div>
              </div>

              <div class="clrfx mt-15"></div>

              <?php echo $msg ?>
                      
            </div>

          </div>
            
    </body>

</html>