<?php

if (!$_SESSION) {
    session_start();
}

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');

$where = " ElencoEdifici.IdCommessa = $IdCommessa AND Utenti.Id = $IdUtente ";

if ( isset($_POST['Nome'])  &&  strlen($_POST['Nome'])>0) 
{
	$str = stripslashes($_POST['Nome']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND tblPgPropietari.Nome LIKE '%".$str."%' ";
}

if ( isset($_POST['IndirizzoEnte'])  &&  strlen($_POST['IndirizzoEnte'])>0) 
{
	$str = stripslashes($_POST['IndirizzoEnte']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND tblPgPropietari.Indirizzo LIKE '%".$str."%' ";
}

if ( isset($_POST['Comune'])  &&  strlen($_POST['Comune'])>0) 
{
	$str = stripslashes($_POST['Comune']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND tblPgPropietari.Comune LIKE '%".$str."%' ";
}

if ( isset($_POST['CodiceFiscale'])  &&  strlen($_POST['CodiceFiscale'])>0) 
{
	$str = stripslashes($_POST['CodiceFiscale']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND tblPgPropietari.CodiceFiscale = '".$str."' ";
}


$sql = <<< _SQL

  SELECT DISTINCT 
    tblPgPropietari.IdPropietario
    , tblPgPropietari.Nome
    , tblPgPropietari.Indirizzo
    , tblPgPropietari.Comune
    , tblPgPropietari.CodiceFiscale 
  FROM  
    ElencoEdifici 
    INNER JOIN
    UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
    INNER JOIN
    Utenti ON UtentiEdifici.IdUtente = Utenti.Id
    INNER JOIN
    tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
    LEFT OUTER JOIN
    tblPgPropietariGruppi ON tblPgPropietari.IdGruppo = tblPgPropietariGruppi.IdGruppo		
  WHERE 
    $where
  
_SQL;

$paginazione = ntxPaginazione($sql, "Nome");

$query = $paginazione->query;

$table = <<< _TABLE
  <table cellpadding="0" cellspacing="0" class="fancyTable"  >
	<thead>
		<tr>
			<th>
			<th>Id
			<th>Codice Fiscale
			<th>Nome
			<th>Indirizzo
			<th>Comune
		</tr>  
	</thead>
	
	<tbody>	
_TABLE;

$alternate = true;

	while($query  &&  $rs = ntxRecord($query))
	{
		$classe = $alternate ? "" : "td2"; 
		
		foreach ($rs as $k => $v) {
        $html[$k] = htmlentities($v);
    }

    $table .= <<< _TABLE
    
      <tr> 
        <td class="$classe"> 
          <a class="button puzzle" onclick="sel(this, $html[IdPropietario], document.frmHidden.enti);">Carica in Filtro Proprietà Componenti</a>
        </td>  
        <td class="$classe">&nbsp;$html[IdPropietario]</td>
        <td class="$classe">&nbsp;$html[CodiceFiscale]</td>
        <td class="$classe">&nbsp;$html[Nome]</td>
        <td class="$classe">&nbsp;$html[Indirizzo]</td>
        <td class="$classe">&nbsp;$html[Comune]</td> 
      </tr>
      
_TABLE;

    $alternate = !$alternate;
}

$table .= <<< _TABLE

  </tbody>	
</table>

_TABLE;

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);
