<?php

$VisAmbienti = $_POST[VisAmbienti];

if ( $VisAmbienti )
{
	$layer = ms_newLayerObj($map);
	
	$layer->set("name", "vani");

	$layer->set("type", MS_LAYER_POLYGON);

	$layer->set("status", MS_ON);
	
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	
	$style->outlinecolor->setRGB(255, 200, 0);
	
	if ( $VisCodiciAmbienti )
	{
		//$layer->set("labelitem", "text");
		$layer->set("labelcache", MS_ON);
		
		$label = $class->label;

		$label->set("position", MS_CC);
			
		$label->set("angle", MS_AUTO);
		$label->color->setRGB(255, 0, 1);
	}

	$sql = <<< sql
		SELECT Ambiente.CodiceAssAmbiente, AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.CoordXY
		FROM         Ambiente INNER JOIN
                      AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
                      Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente
		WHERE     (Ambiente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.IdLivello = $IdPiano)
			AND (AmbienteShapes.Tipo = 2)
			AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
		ORDER BY AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.Id
sql;

	$query2 = ntxQuery($sql);
	
	$IdAmbiente = $IdShape = "";
	
	$punti = "";
	
	$CodiceAssAmbiente = "";
	
	while($rs2=ntxRecord($query2))
	{
		if ( $IdAmbiente=="" ) 
		{
			$IdAmbiente = $rs2[IdAmbiente];
			$IdShape = $rs2[IdShape];
			$CodiceAssAmbiente = $rs2[CodiceAssAmbiente];
		}
		
		if ( $IdAmbiente!=$rs2[IdAmbiente] || $IdShape!=$rs2[IdShape] ) 
		{
			$IdAmbiente = $rs2[IdAmbiente];
			$IdShape = $rs2[IdShape];
			
			WritePolygon($layer, $punti, $CodiceAssAmbiente);
			
			$CodiceAssAmbiente = $rs2[CodiceAssAmbiente];
			
			$punti = "";
		}
		
		$punti .= $rs2[CoordXY];
	}
	
	if ( $punti!="" ) 
		WritePolygon($layer, $punti, $CodiceAssAmbiente);
		
	if ( strlen($_POST[VaniSelezionati])>0 )
	{
		$VaniSelezionati = ntxsp('VaniSelezionati');
		
		$layer = ms_newLayerObj($map);
		
		$layer->set("name", "vani_selezionati1");

		$layer->set("type", MS_LAYER_POLYGON);

		$layer->set("status", MS_ON);
		
		$class = ms_newClassObj($layer);
		
		$style = ms_newStyleObj($class);
		
		$style->set("symbolname", "circle");
		$style->set("size", 3);
		
		$style->outlinecolor->setRGB(255, 0, 0);

		$sql = <<< sql
			SELECT AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.CoordXY
			FROM         Ambiente INNER JOIN
						  AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
						  Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente
						  INNER JOIN dbo.splitid($VaniSelezionati) a on a.id=Ambiente.IDAmbiente
			WHERE     (Ambiente.IdCommessa = $IdCommessa) 
				AND (Ambiente.IdEdificio = $IdEdificio) 
				AND (Ambiente.IdLivello = $IdPiano)
				AND (AmbienteShapes.Tipo = 2)
				AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
			ORDER BY AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.Id
sql;

		$query2 = ntxQuery($sql);
		
		$IdAmbiente = $IdShape = "";
		
		$punti = "";
		
		while($rs2=ntxRecord($query2))
		{
			if ( $IdAmbiente=="" ) 
			{
				$IdAmbiente = $rs2[IdAmbiente];
				$IdShape = $rs2[IdShape];
			}
			
			if ( $IdAmbiente!=$rs2[IdAmbiente] || $IdShape!=$rs2[IdShape] ) 
			{
				$IdAmbiente = $rs2[IdAmbiente];
				$IdShape = $rs2[IdShape];
				
				WritePolygon($layer, $punti);
				
				$punti = "";
			}
			
			$punti .= $rs2[CoordXY];
		}

		if ( $punti!="" ) 
			WritePolygon($layer, $punti);
	}
		
	if ( is_numeric($_POST[UltimoVanoSelezionato]) )
	{
		$UltimoVanoSelezionato = ntxip('UltimoVanoSelezionato');
		
		$layer = ms_newLayerObj($map);
		
		$layer->set("name", "vani_selezionati1");

		$layer->set("type", MS_LAYER_POLYGON);

		$layer->set("status", MS_ON);
		
		$class = ms_newClassObj($layer);
		
		$style = ms_newStyleObj($class);
		
		$style->set("symbolname", "circle");
		$style->set("size", 3);
		
		$style->outlinecolor->setRGB(154, 205, 50);

		$sql = <<< sql
			SELECT AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.CoordXY
			FROM         Ambiente INNER JOIN
						  AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
						  Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente
			WHERE     (Ambiente.IdCommessa = $IdCommessa) 
				AND (Ambiente.IdEdificio = $IdEdificio) 
				AND (Ambiente.IdLivello = $IdPiano)
				AND (Ambiente.IDAmbiente = $UltimoVanoSelezionato)
				AND (AmbienteShapes.Tipo = 2)
				AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
			ORDER BY AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.Id
sql;

		$query2 = ntxQuery($sql);
		
		$IdAmbiente = $IdShape = "";
		
		$punti = "";
		
		while($rs2=ntxRecord($query2))
		{
			if ( $IdAmbiente=="" ) 
			{
				$IdAmbiente = $rs2[IdAmbiente];
				$IdShape = $rs2[IdShape];
			}
			
			if ( $IdAmbiente!=$rs2[IdAmbiente] || $IdShape!=$rs2[IdShape] ) 
			{
				$IdAmbiente = $rs2[IdAmbiente];
				$IdShape = $rs2[IdShape];
				
				WritePolygon($layer, $punti);
				
				$punti = "";
			}
			
			$punti .= $rs2[CoordXY];
		}

		if ( $punti!="" ) 
			WritePolygon($layer, $punti);		
	}
}

?>