<?php  
$IdCommessa = ntxise('IdCommessa');

$sqlTail = <<< sqlTail
WHERE 
	ComponentiAmbiente.IdCommessa=$IdCommessa
sqlTail;

if ( isset($_POST['Edifici'])  &&  strlen($_POST['Edifici']) > 0 ) {
 $Edifici = $_POST['Edifici'];
 $sqlTail .= " AND ComponentiAmbiente.IdEdificio IN ($Edifici) ";
} else {
	if ( is_numeric($_POST['IdPropietario'])) 
	{
		$IdPropietario = (int)$_POST['IdPropietario'];
		$sqlTail .= " AND (tblPgPropietari.IdPropietario = $IdPropietario) ";
	}else {
		$IdUtente = ntxise('IdUtente');
		$sqlTail .= " AND (Utenti.Id = $IdUtente) ";
	}
}

if ( is_numeric($_POST['IDTipoComponente']) ) $sqlTail .= " AND ComponentiAmbiente.IdTipoComponente = ".ntxip('IDTipoComponente');

if ( is_numeric($_POST['IdPropComp']) ) $sqlTail .= " AND tblValoriComponenti.IdPropComp = ".ntxip('IdPropComp');

if ( isset($_POST['IdValPropCompText'])  &&  strlen($_POST['IdValPropCompText'])>0) 
{
	$str = stripslashes($_POST['IdValPropCompText']."");
	$str = str_replace("'", "''", $str);
	$sqlTail .= " AND tblValoriComponenti.Valore LIKE '%".$str."%' ";
}

if ( isset($_POST['CodiceAssComponente'])  &&  strlen($_POST['CodiceAssComponente'])>0) 
{
	$str = stripslashes($_POST['CodiceAssComponente']."");
	$str = str_replace("'", "''", $str);
	$sqlTail .= " AND ComponentiAmbiente.CodiceAssComponente = '".$str."' ";
}

$sql = <<< sql
	SELECT DISTINCT ComponentiAmbiente.CodiceComponente, tblPropTipiComp.Propietà, tblValoriComponenti.Valore
		
	FROM         
		ComponentiAmbiente 
		INNER JOIN tblValoriComponenti ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente AND ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio AND ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa 
		INNER JOIN tblPropTipiComp ON tblValoriComponenti.IdCommessa = tblPropTipiComp.IdCommessa AND tblValoriComponenti.IdPropComp = tblPropTipiComp.IdPropComp
		inner join ElencoEdifici on ComponentiAmbiente.IdEdificio = ElencoEdifici.ID
		inner join UtentiEdifici on ElencoEdifici.IdCommessa =UtentiEdifici.IdCommessa and ElencoEdifici.ID = UtentiEdifici.IdEdificio
		INNER JOIN Utenti ON UtentiEdifici.IdUtente = Utenti.Id
		left outer join tblPgPropietari on ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
			
		$sqlTail
		
	ORDER BY tblPropTipiComp.Propietà
sql;

$query = ntxQuery($sql);

$props = array();

while ( $rs = ntxIRecord($query) )
{
	$props[$rs[0]][CodiceComponente] = $rs[0];
	$props[$rs[0]][Propietà] = $rs[1];
	$props[$rs[0]][Valore] = $rs[2];
}

$sql = <<< sql
	SELECT  DISTINCT   
		ElencoEdifici.ID IdEdificio, 
		ElencoEdifici.Codice, 
		ElencoEdifici.EdificioBreve, 
		ElencoEdifici.Indirizzo, 
		ElencoEdifici.citta Comune, 
		ElencoEdifici.Provincia, 
		PianoLivello.IdPiano,
		DestinazioniDusoLivello.Destinazione AS DesPiano, 
		Ambiente.IdAmbiente, 
		Ambiente.CodiceAmbiente, 
		Ambiente.CodiceAssAmbiente AS CodAmb, 
		DestinazioniDuso.Destinazione DesAmb,
		ComponentiAmbiente.IdComponente,
		ComponentiAmbiente.CodiceComponente, 
		ComponentiAmbiente.CodiceAssComponente AS CodComp, 
		TipoComponente.DesComponente AS Componente,
		'k'+ltrim(ElencoEdifici.ID) keyEdificio,
		PianoLivello.CodPiano keyPiano,
		Ambiente.CodiceAmbiente keyAmbiente,
		tblCopertureInCommessa.Id AS IdCopertura
		
	FROM         
		PianoLivello 
		INNER JOIN DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa 
		INNER JOIN Ambiente ON PianoLivello.idPiano = Ambiente.IdLivello AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND PianoLivello.IdCommessa = Ambiente.IdCommessa 
		INNER JOIN ComponentiAmbiente 
			INNER JOIN TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente 
			INNER JOIN ElencoEdifici ON ComponentiAmbiente.IdEdificio = ElencoEdifici.ID AND ComponentiAmbiente.IdCommessa = ElencoEdifici.IdCommessa 
			inner join UtentiEdifici on ElencoEdifici.IdCommessa =UtentiEdifici.IdCommessa and ElencoEdifici.ID = UtentiEdifici.IdEdificio
			INNER JOIN Utenti ON UtentiEdifici.IdUtente = Utenti.Id
			left outer join tblPgPropietari on ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
		ON Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa 
		INNER JOIN tblValoriComponenti ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente AND ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio AND ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa 
		INNER JOIN DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
		LEFT OUTER JOIN tblCopertureInCommessa ON tblCopertureInCommessa.IdCommessa = TipoComponente.IdCommessa AND tblCopertureInCommessa.Nome = TipoComponente.Copertura
		
	$sqlTail

	ORDER BY Codice, EdificioBreve, IdEdificio, DesPiano, IdPiano, CodAmb, DesAmb, IdAmbiente, CodComp, Componente, IdComponente
	
sql;

$query = ntxQuery($sql);

$records = array();

$i=0;

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $fieldName => $fieldValue)
	{
		$records[$i][$fieldName] = $fieldValue;
	}
	
	$i++;
}
	
?>
