<?php
if ( !$_SESSION ) session_start();

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdComponenti = ntxsp('IdComponenti');
$IdDocs = ntxsp('IdDocs');

$sql = "select count(*) from dbo.SplitId($IdComponenti) AS c";
	
$NumComponentiSelezionati = ntxScalar($sql);

$sql = <<< sql
	SELECT     dc.IdDocEdificio
	FROM         DocsEdificiComponenti AS dc INNER JOIN
						  dbo.SplitId($IdComponenti) AS c ON dc.IDComponente = c.id INNER JOIN
						  dbo.SplitId($IdDocs) AS d ON dc.IdDocEdificio = d.id
	WHERE     (dc.IdCommessaDocEdificio = $IdCommessa) AND (dc.IdEdificioComponente = $IdEdificio)
	GROUP BY dc.IdDocEdificio
	HAVING      (COUNT(*) = $NumComponentiSelezionati)
sql;

$result = array();

$result[verdi] = array();
$result[rossi] = array();

$query = ntxQuery($sql);

while($rs=ntxiRecord($query))
	$result[verdi][] = $rs[0];

$sql = <<< sql
	SELECT     dc.IdDocEdificio
	FROM         DocsEdificiComponenti AS dc INNER JOIN
						  dbo.SplitId($IdComponenti) AS c ON dc.IDComponente = c.id INNER JOIN
						  dbo.SplitId($IdDocs) AS d ON dc.IdDocEdificio = d.id
	WHERE     (dc.IdCommessaDocEdificio = $IdCommessa) AND (dc.IdEdificioComponente = $IdEdificio)
	GROUP BY dc.IdDocEdificio
	HAVING      (COUNT(*) < $NumComponentiSelezionati)
sql;

$query = ntxQuery($sql);

while($rs=ntxiRecord($query))
	$result[rossi][] = $rs[0];

jhp($result);

?>