<?php

$VisPerimMuraIntPiano = $_POST[VisPerimMuraIntPiano];
$VisPerimMuraEstPiano = $_POST[VisPerimMuraEstPiano];

if ( $VisPerimMuraIntPiano )
{
	$layer = ms_newLayerObj($map);
	
	$layer->set("name", "mura_interne");

	$layer->set("type", MS_LAYER_POLYGON);

	$layer->set("status", MS_ON);
	
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	
	$style->set("symbolname", "circle");
	$style->set("size", 2);
	
	$style->outlinecolor->setRGB(128, 0, 128);

	$sql = <<< sql
		SELECT     IdShape, CoordXY
		FROM         PianoLivelloShapes
		WHERE     (IdCommessa = $IdCommessa) 
			AND (IdEdificio = $IdEdificio) 
			AND (idPiano = $IdPiano) 
			AND (Tipo = 2) AND (Gruppo = 2)
		ORDER BY IdShape
sql;

	$query2 = ntxQuery($sql);
	
	$IdShape = "";
	
	$punti = "";
	
	while($rs2=ntxRecord($query2))
	{
		if ( $IdShape=="" ) 
			$IdShape = $rs2[IdShape];
		
		if ( $IdShape!=$rs2[IdShape] ) 
		{
			$IdShape = $rs2[IdShape];
			
			WritePolygon($layer, $punti);
			
			$punti = "";
		}
		
		$punti .= $rs2[CoordXY];
	}

	if ( $punti!="" ) 
		WritePolygon($layer, $punti);
}

if ( $VisPerimMuraEstPiano )
{
	$layer = ms_newLayerObj($map);
	
	$layer->set("name", "mura_esterne");

	$layer->set("type", MS_LAYER_POLYGON);

	$layer->set("status", MS_ON);
	
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	
	$style->set("symbolname", "circle");
	$style->set("size", 2);
	
	$style->outlinecolor->setRGB(238, 130, 238);

	$sql = <<< sql
		SELECT     IdShape, CoordXY
		FROM         PianoLivelloShapes
		WHERE     (IdCommessa = $IdCommessa) 
			AND (IdEdificio = $IdEdificio) 
			AND (idPiano = $IdPiano) 
			AND (Tipo = 2) AND (Gruppo = 1)
		ORDER BY IdShape
sql;

	$query2 = ntxQuery($sql);
	
	$IdShape = "";
	
	$punti = "";
	
	while($rs2=ntxRecord($query2))
	{
		if ( $IdShape=="" ) 
			$IdShape = $rs2[IdShape];

		if ( $IdShape!=$rs2[IdShape] ) 
		{
			$IdShape = $rs2[IdShape];
			
			WritePolygon($layer, $punti);
			
			$punti = "";
		}
		
		$punti .= $rs2[CoordXY];
	}

	if ( $punti!="" ) 
		WritePolygon($layer, $punti);
}

?>