<?php

require_once("../../../../_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$DataSelezione =  ntxtp('DataSelezione');

if ( $DataSelezione=="NULL" ) $DataSelezione = "GETDATE()";

$PostazioniSelezionate = ntxsp('PostazioniSelezionate');
$UltimaPostazioneSelezionata = ntxip('UltimaPostazioneSelezionata');

if ( $PostazioniSelezionate=="NULL" ) $PostazioniSelezionate = "''";

$sql = <<< sql
	SELECT     Ambiente.CodiceAssAmbiente, PostazioniLavoro.Codice, PostazioniLavoro.mq, PostazioniLavoro.DataInizio, PostazioniLavoro.DataFine, 
                      PostazioniLavoro.Note, PostazioniLavoro.Id,
					  
                          (SELECT     COUNT(*) AS Expr1
                            FROM          PostazioniLavoroPersonale
                            WHERE      (IdPostazioneLavoro = PostazioniLavoro.Id) AND (DataInizio <= $DataSelezione) AND (DataFine >= $DataSelezione)) 
                      AS NumPersonale
					  
	FROM         PostazioniLavoro INNER JOIN
                      dbo.SplitId($PostazioniSelezionate) AS a ON a.id = PostazioniLavoro.Id INNER JOIN
                      Ambiente ON PostazioniLavoro.IdCommessa = Ambiente.IdCommessa AND PostazioniLavoro.IdEdificio = Ambiente.IdEdificio AND 
                      PostazioniLavoro.IdAmbiente = Ambiente.IDAmbiente
sql;

$query = ntxQuery($sql);

$totMq = 0;

while($rs=ntxRecord($query))
{
	$totMq += $rs[mq];
	
	$rs[mq] = ntxRoundThousand($rs[mq], 2);

	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$checked = ($rs[Id]==$UltimaPostazioneSelezionata) ? "checked" : "";
	
	if ( $rs[NumPersonale]>0 )
		$styleNumPers = "background-color:#00FF00";
	else
		$styleNumPers = "background-color:#FF0000";
		
	$righe .= <<< righe
		<tr>
			<td><input type=radio name=optPostazioni IdPostazione=$rs[Id] $checked onclick="SelPostazioneDettaglio($rs[Id])" />
			<td><input type=checkbox chkEditMultiploPostazioni IdPostazione=$rs[Id] />
			<td>$rs[CodiceAssAmbiente]
			<td>$rs[Codice]
			<td style="text-align:right">$rs[mq]
			<td style="text-align:right;$styleNumPers">$rs[NumPersonale]
			<td>$rs[DataInizio]
			<td>$rs[DataFine]
			<td>$rs[Note]
			<td>$rs[Id]
			<td><input type=button value="elimina" onclick="EliminaPostazione($rs[Id])" />
righe;
}
	
$totMq = ntxRoundThousand($totMq, 2);

$result = <<< result
		<table class=grid>
			<tr>
				<th>
				<th>
				<th>Vano
				<th>Postazione
				<th>mq
				<th>Num.Occupanti
				<th>Data Inizio
				<th>Data Fine
				<th>Note
				<th>Id
				<th>
			$righe
			<tr>
				<td colspan=4 style="text-align:right;font-weight:bold">TOTALE:
				<td style="text-align:right;font-weight:bold">$totMq
				<td colspan=6>
			<tr><td colspan=11 style="text-align:center">
				<input type=button value="sel.tutto" onclick="$('input[type=checkbox][chkEditMultiploPostazioni]').attr('checked',true)" />
				<input type=button value="sel.niente" onclick="$('input[type=checkbox][chkEditMultiploPostazioni]').attr('checked',false)" />

				<input type=button value="Report Postazioni" onclick="ReportPostazioni(1)" />
				<input type=button value="Report Personale Postazioni" onclick="ReportPostazioni(2)" />
				<input type=button value="Report Personale Postazioni con mq Vani" onclick="ReportPostazioni(3)" />
		</table>
result;

jhp($result);

?>
