<?php

require_once("../../../../_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$extent = explode(" ", $_POST[extent]);

$IdCommessa =  ntxise('IdCommessa');
$IdUtente =  ntxise('IdUtente');


$sql = <<< sql
	SELECT     PostazioniLavoroPersonale.Id, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice AS CodEdificio, DestinazioniDusoLivello.Destinazione AS Piano, 
                      Ambiente.CodiceAssAmbiente AS Vano, PostazioniLavoro.Id AS IdPostazione, PostazioniLavoro.Codice AS CodPostazione, tblUtUtilizzatori.Nome AS Utilizzatore, 
                      tblUtPersonale.Nome AS Personale, PostazioniLavoroPersonale.DataInizio, PostazioniLavoroPersonale.DataFine
					  
	FROM         TraslocoPersonale INNER JOIN
                      PostazioniLavoroPersonale ON TraslocoPersonale.IdPostazionePersonale = PostazioniLavoroPersonale.Id INNER JOIN
                      tblUtPersonale ON PostazioniLavoroPersonale.IdCommessa = tblUtPersonale.IdCommessa AND 
                      PostazioniLavoroPersonale.IdPersona = tblUtPersonale.IdPersona INNER JOIN
                      tblUtUtilizzatori ON tblUtPersonale.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtPersonale.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN
                      PostazioniLavoro ON PostazioniLavoroPersonale.IdPostazioneLavoro = PostazioniLavoro.Id INNER JOIN
                      Ambiente ON PostazioniLavoro.IdCommessa = Ambiente.IdCommessa AND PostazioniLavoro.IdEdificio = Ambiente.IdEdificio AND 
                      PostazioniLavoro.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
					  
	WHERE TraslocoPersonale.IdUtente=$IdUtente AND ElencoEdifici.IdCommessa=$IdCommessa
	ORDER BY IdEdificio, Piano, Vano, Utilizzatore, Personale
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>Import
			<th>Regista
			<th>Personale
			<th>IdEdificio
			<th>CodEdificio
			<th>Piano
			<th>Vano
			<th>IdPostazione
			<th>CodPostazione
			<th>Utilizzatore
			<th>DataInizio
			<th>DataFine
table;

while ( $rs = ntxRecord($query) )
{
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$table .= <<< table
		<tr>
			<td><input type=checkbox IdPersonaleImport=$rs[Id] />
			<td><input type=checkbox onclick="RegistraPersonaImport(this, $rs[Id])" checked />
			<td>$html[Personale]
			<td>$html[IdEdificio]
			<td>$html[CodEdificio]
			<td>$html[Piano]
			<td>$html[Vano]
			<td>$html[IdPostazione]
			<td>$html[CodPostazione]
			<td>$html[Utilizzatore]
			<td>$html[DataInizio]
			<td>$html[DataFine]
table;
}

$table .= "</table>";

jhp($table);

?>
