<?php

$sql = <<< sql
	SELECT     ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, DestinazioniDusoLivello.Destinazione
	FROM         PianoLivello INNER JOIN
						  ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
						  DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
						  PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (PianoLivello.IdCommessa = $IdCommessa) 
		AND (PianoLivello.IdEdificio = $IdEdificio) 
		AND (PianoLivello.idPiano = $IdPiano)
	ORDER BY ElencoEdifici.EdificioBreve, DestinazioniDusoLivello.ordinamento, DestinazioniDusoLivello.Destinazione	
sql;

$query = ntxQuery($sql);

while($rs = ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	echo<<< testata
		<div class=testata>
			Edificio: $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] ($rs[PROVINCIA])
			<br>
			Piano: $rs[Destinazione]
			<br>
			Data Selezione: $printDataSelezione
		</div>
testata;
}


?>
