<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<html>
<head>
	<title>ManPro.Net WebPortal</title>
	<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../../_ntx/jhp.php"></script>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&amp;&language=it"></script>

	<style type="text/css"> 
	.rosso	{ background-color: #FEE0C6; }
	
	.verde	{ background-color: #EEF3E2; }		

	.myButton {height:40px;width:140px;display:block;font-size:9pt;}
	
	.bntCorrection{height:28px;width:65px;display:block;font-size:9pt;}
	
	div{width:95%;display:block; border:none;}
	
	body, html
	{
		background: transparent;
	}
	</style>	
</head>

<body>
<?php
$IdCommessa = ntxise('IdCommessa');

if( is_numeric($_POST[IdProprietario]) )
{	
	$IdProprietario = ntxip('IdProprietario');

	$sql = "SELECT * FROM ElencoEdifici WHERE IdCommessa=$IdCommessa AND IdProprietario=$IdProprietario ";
}
else
	$sql = "SELECT * FROM ElencoEdifici WHERE IdCommessa=$IdCommessa ";

$query = ntxQuery($sql);
?>

<div>
	<table>
	<tr>
		<th >Localizzazioni Processati:
		<td><input id="edificiProcessati" type="text" value="" readonly="readonly"/>
		<td rowspan="3">
			<div>
				<input type="button" class="myButton" onclick="findAllGeocode();" value="Avvia Geolocalizzazione"/>
				<input type="button" class="myButton" onclick="interruptGeocode();" id="bntInterrompi"  value="Interrompi" disabled="disabled"/>	
			</div>
	</tr>
	<tr>
		<th >geolocalizzati:
		<td><input id="edificiGeolocaliz" type="text" value="" readonly="readonly"/>
	</tr>			
	<tr>
		<th >non geolocalizzati:
		<td><input id="edificiNonGeolocaliz" type="text" value="" readonly="readonly"/>
	</tr>			
	</table>
</div>

<br>	

<div>	
	<table id="MyTable">
		<tr><th>&nbsp;</th><th>ID</th><th>Codice - Localizzazione</th><th>Indirizzo</th><th>Comune</th><th>Prov.</th><th>CAP</th><th>Latitudine</th><th>Longitudine</th></tr>
		<?php
		while( $rs = ntxRecord($query) )
		{
			$style="";
			if( strlen($rs['Latitudine'])>0  &&  strlen($rs['Longitudine'])>0 )
				$style="class=\"verde\"";
			else
				$style="class=\"rosso\"";
			
			$lat=""; $lng="";
			if($rs['Latitudine']!=null) 
				$lat=$rs['Latitudine'];//$lat=round($rs['Latitudine'], 4);
				
			if($rs['Longitudine']!=null)
				$lng=$rs['Longitudine'];//$lng=round($rs['Longitudine'], 4);
			
			$valoreID = (int)$rs['ID'];
		?>	
			<tr>
			<td <?php echo "id=\"td001_$valoreID\"" ?> <?php echo $style ?>><input type="button" class="bntCorrection" onclick="parent.Edita('<?php echo (int)$rs['ID']?>')" value="modifica"/>
			<td <?php echo "id=\"td002_$valoreID\"" ?> <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['ID']) ?></td>
			<td <?php echo "id=\"td003_$valoreID\"" ?> <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['Codice']." - ".$rs['EdificioBreve']) ?></td>
			<td <?php echo "id=\"td004_$valoreID\"" ?> <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
			<td <?php echo "id=\"td005_$valoreID\"" ?> <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['CITTA']) ?></td>
			<td <?php echo "id=\"td006_$valoreID\"" ?> <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['PROVINCIA']) ?></td>
			<td <?php echo "id=\"td007_$valoreID\"" ?> <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['CAP']) ?></td>
			<td <?php echo "id=\"td008_$valoreID\"" ?> <?php echo $style ?>>&nbsp;<?php echo $lat?></td>
			<td <?php echo "id=\"td009_$valoreID\"" ?> <?php echo $style ?>>&nbsp;<?php echo $lng?></td>
	<?php
		}
	?>
	</table>
</div>


<script type="text/javascript">	
var counterProcessati=0;
var counterGeolocaliz=0;
var counterNonGeolocaliz=0;

window.onload=parent.autoResize;

function findGeocode(address, ID) 
{	
	var lat;
	var lng;
	var obj;
	
	++counterProcessati;
	
	document.getElementById('edificiProcessati').value=""+counterProcessati;

	var geocoder = new google.maps.Geocoder();
	
	geocoder.geocode( {'address': address}, function(results,status) {
		if (status == google.maps.GeocoderStatus.OK) 
		{			
			lat = results[0].geometry.location.lat();
			lng = results[0].geometry.location.lng();
			
			obj = jhp('jhp/save_lat_lng.php', {lat:lat, lng:lng, ID:ID, IdCommessa:"<?php echo $IdCommessa ?>"});
			
			if(obj.state) //errore
				return;
			
			++counterGeolocaliz;
			
			document.getElementById('edificiGeolocaliz').value=""+counterGeolocaliz;
			
 			document.getElementById("td001_"+ID).className = "verde";
			document.getElementById("td002_"+ID).className = "verde";
			document.getElementById("td003_"+ID).className = "verde";
			document.getElementById("td004_"+ID).className = "verde";
			document.getElementById("td005_"+ID).className = "verde";
			document.getElementById("td006_"+ID).className = "verde";
			document.getElementById("td007_"+ID).className = "verde";
			document.getElementById("td008_"+ID).className = "verde";
			document.getElementById("td009_"+ID).className = "verde"; 
		} else 
		{	
			++counterNonGeolocaliz;
			
			document.getElementById('edificiNonGeolocaliz').value=""+counterNonGeolocaliz;			
		
 			document.getElementById("td001_"+ID).className = "rosso";
			document.getElementById("td002_"+ID).className = "rosso";
			document.getElementById("td003_"+ID).className = "rosso";
			document.getElementById("td004_"+ID).className = "rosso";
			document.getElementById("td005_"+ID).className = "rosso";
			document.getElementById("td006_"+ID).className = "rosso";
			document.getElementById("td007_"+ID).className = "rosso";
 			document.getElementById("td008_"+ID).className = "rosso";
			document.getElementById("td009_"+ID).className = "rosso";			
		}
	  });  
}		  
</script>

<script type="text/javascript">	
var tab = document.getElementById("MyTable");
var arrayTimer = new Array(); 
var numRows = tab.rows.length;
var timeTimer=0;
	
function getCell(iRow,iCol){ return tab.rows[iRow].cells[iCol].childNodes[0].nodeValue }

function findAllGeocode()
{
	var iRow;

	var IdCommessa = "<?php echo $IdCommessa ?>";
	iCol = 1;
	
	document.getElementById('bntInterrompi').disabled=false;

	for (iRow=1;iRow<numRows;++iRow)
	{
		var IdEdificio =  parseInt(getCell(iRow,1));
		var INDIRIZZO = getCell(iRow,3);
		var COMUNE = getCell(iRow,4);
		var PROV = getCell(iRow,5);
		var CAP = getCell(iRow,6);
		var LAT = getCell(iRow,7);
		var LON = getCell(iRow,8);
		var address = "";				
				
		if( LAT.length>1 || LON.length>1 ) continue; //se l'edificio è già stato geolocalizzato passo a quello dopo
		
		timeTimer=timeTimer+1000;//aggiungiamo 1 secondo di volta in volta
			
		if( CAP.length>=5 )
			address+=""+CAP+" "+INDIRIZZO+" "+PROV;		
		else
			address+=""+COMUNE+" "+PROV+" "+INDIRIZZO;
		
		address.replace("\"","'");//sostiutiamo " con '
		var funz="findGeocode(\""+address+"\","+IdEdificio+")";

		arrayTimer[iRow]=setTimeout(funz, timeTimer );
	}
}

function interruptGeocode()
{
	for (var i=1; i<numRows; ++i)
		clearTimeout(arrayTimer[i]);
		
	counterProcessati=0;
	counterGeolocaliz=0;
	counterNonGeolocaliz=0;
	timeTimer=0;
	
	document.getElementById('bntInterrompi').disabled=true;	
}
</script>
</body>

</html>
