<?php  

session_start();

require_once('../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../_css/navstyle.css" rel="stylesheet" type="text/css">
</head>
<body>
<?php

	require_once(NTX_WEBPORTAL_PATH.'_database.inc');

	$gIdCommessaSQL  = ntxise('IdCommessa');
	$gIdEdificioSQL  = ntxip('IdEdificio');
	$IdPiano = ntxip('IdPiano');
	
	$sql = <<< sql
		SELECT ltrim(ID) + ' - ' + EdificioBreve + ' - ' + Indirizzo + ' - ' + CITTA + ' (' + PROVINCIA + ')'
		FROM ElencoEdifici WHERE IDCommessa=$gIdCommessaSQL AND ID=$gIdEdificioSQL;
sql;

	$DesEdificio = htmlentities(ntxScalar($sql));
	
	$sql = <<< sql
		SELECT ltrim(PianoLivello.IdPiano) + ' - ' + DestinazioniDusoLivello.Destinazione AS DestUso
		FROM (PianoLivello LEFT JOIN TipiLivello ON (PianoLivello.IdTipoPiano = TipiLivello.IDTipoLivello) AND
		(PianoLivello.IdCommessa = TipiLivello.IdCommessa)) LEFT JOIN DestinazioniDusoLivello
		ON (PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL)
		AND (PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa)
		WHERE PianoLivello.IdCommessa=$gIdCommessaSQL AND PianoLivello.IdEdificio=$gIdEdificioSQL AND IdPiano=$IdPiano;
sql;

	$DesPiano = htmlentities(ntxScalar($sql));
	
	$sql = "SELECT path FROM Commesse WHERE IDCommessa=$gIdCommessaSQL;";

	$PathCommessa = ntxScalar($sql);

	$sql = "SELECT * FROM DocsPianiLivelli WHERE IdCommessa=$gIdCommessaSQL AND IdEdificio=$gIdEdificioSQL AND IdPiano=$IdPiano;";

	$query = ntxQuery($sql);

	$alternate = true;

?>

<table align=center>
	<tr><th colspan=3><?php echo $DesEdificio ?>
	<tr><th colspan=3><?php echo $DesPiano ?>
	<tr><th>Descrizione</th>
		<th>Path</th>
		<th>&nbsp;</th></tr>

<?php

	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Path']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=button value=Vedi style="width:100%;height:100%" onclick="SelDoc(<?php echo $rs['Id'] ?>)">
		</td></tr>
<?php
		$alternate = !$alternate;
	}
	
	echo "</table>\n";
?>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $gIdCommessaSQL ?>">
	<input type=hidden name=IdDoc>
</form>

<script language=javascript>

function SelDoc(IdDoc)
{
	form1.IdDoc.value = IdDoc;
	form1.action = "vedi_doc_piano.php";
	parent.parent.frame_frames.AppendFrame(form1);
}

</script>

</body>
</html>
