<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');


?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>
<body>
<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa  = ntxip('IdCommessa');
$IdEdificio  = ntxip('IdEdificio');
$CodiceAmbiente  = ntxsp('CodiceAmbiente');

$sql = <<< sql
	SELECT     ElencoEdifici.Codice AS CodEdificio, 
				ElencoEdifici.EdificioBreve AS Edificio, 
				ElencoEdifici.Indirizzo, 
				ElencoEdifici.CITTA AS Comune, 
				ElencoEdifici.PROVINCIA AS Prov, 
				ElencoEdifici.CAP, 
				DestinazioniDusoLivello.Destinazione AS Piano, 
				Ambiente.CodiceAssAmbiente AS CodAmbiente, 
				Ambiente.MQ, 
				DestinazioniDuso.Tipo AS DesUso
	FROM         ElencoEdifici INNER JOIN
						  PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
						  PianoLivello.idPiano = Ambiente.IdLivello LEFT OUTER JOIN
						  DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
						  Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
						  DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
						  PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.CodiceAmbiente = $CodiceAmbiente) 
			AND (Ambiente.IdCommessa = $IdCommessa)
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

?>

<table>
	<tr>
		<th>CodLocalizzazione	
		<th>Localizzazione	
		<th>Indirizzo	
		<th>Comune		
		<th>Prov		
		<th>CAP			
		<th>Piano		
		<th>CodAmbiente	
		<th>MQ			
		<th>DesUso		
	<tr>
		<td>&nbsp;<?php echo htmlentities($rs['CodEdificio']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Edificio']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Comune']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Prov']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['CAP']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Piano']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['CodAmbiente']) ?>
		<td>&nbsp;<?php echo ntxRound($rs['MQ'],2) ?>
		<td>&nbsp;<?php echo htmlentities($rs['DesUso']) ?>
</table>

<br>
	<input type=button value="Componenti" 			onclick="document.form1.action='componenti.php'; parent.parent.frame_frames.AppendFrame(form1)">
	<input type=button value="Richieste Associate" 	onclick="document.form1.action='richieste.php'; parent.parent.frame_frames.AppendFrame(form1)">	
	<input type=button value="Ordini Associati" 	onclick="document.form1.action='ordini.php'; parent.parent.frame_frames.AppendFrame(form1)">		
	
	
<?php

$sql = <<< sql
	SELECT     ArchivioFoto.IdCommessa, ArchivioFoto.IdEdificio, ArchivioFoto.IdFoto
	FROM         ArchivioFoto 
	WHERE     (ArchivioFoto.IdCommessa = $IdCommessa) 
			AND (ArchivioFoto.IDEdificio = $IdEdificio) 
			AND (ArchivioFoto.CodiceOggetto = $CodiceAmbiente)
sql;

$query = ntxQuery($sql);

?>
<br>
<table>
<?php

$count = 0;

while($rs = ntxRecord($query))
{
	if ( $count % 10 == 0 ) echo "<tr>";
	$count++;
?>
		<td><img src="<?php echo "foto.php?IdCommessa={$rs[IdCommessa]}&IdEdificio={$rs[IdEdificio]}&IdFoto={$rs[IdFoto]}" ?>" width="50px" height="50px"
					onclick="<?php echo "SelFoto({$rs[IdCommessa]},{$rs[IdEdificio]},{$rs[IdFoto]})" ?>">
<?php
}
?>
</table>

<img id=fotoSelected src="punto.jpg"></img>

<form method=post name=form1 >
	<input type=hidden name=IdCommessa value="<?php echo ntxJS($_POST[IdCommessa]) ?>" >
	<input type=hidden name=IdEdificio value="<?php echo ntxJS($_POST[IdEdificio]) ?>" >
	<input type=hidden name=IdPiano value="<?php echo ntxJS($_POST[IdPiano]) ?>" >
	<input type=hidden name=CodiceAmbiente value="<?php echo ntxJS($_POST[CodiceAmbiente]) ?>" >
</form>


<script language=javascript>

function SelFoto(IdCommessa,IdEdificio,IdFoto)
{
	var obj = gei("fotoSelected");
	obj.src = "foto.php?IdCommessa="+IdCommessa+"&IdEdificio="+IdEdificio+"&IdFoto="+IdFoto;
}
</script>


</body>
</html>
