<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');


?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>
<body>
<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa  = ntxip('IdCommessa');
$IdEdificio  = ntxip('IdEdificio');
$CodiceAmbiente  = ntxsp('CodiceAmbiente');

$sql = <<< sql
	SELECT     ElencoEdifici.Codice AS CodEdificio, 
				ElencoEdifici.EdificioBreve AS Edificio, 
				ElencoEdifici.Indirizzo, 
				ElencoEdifici.CITTA AS Comune, 
				ElencoEdifici.PROVINCIA AS Prov, 
				ElencoEdifici.CAP, 
				DestinazioniDusoLivello.Destinazione AS Piano, 
				Ambiente.CodiceAssAmbiente AS CodAmbiente, 
				Ambiente.MQ, 
				DestinazioniDuso.Tipo AS DesUso
	FROM         ElencoEdifici INNER JOIN
						  PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
						  PianoLivello.idPiano = Ambiente.IdLivello LEFT OUTER JOIN
						  DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
						  Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
						  DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
						  PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.CodiceAmbiente = $CodiceAmbiente) 
			AND (Ambiente.IdCommessa = $IdCommessa)
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

?>

<table>
	<tr>
		<th>CodLocalizzazione componenti
		<th>Localizzazione	
		<th>Indirizzo	
		<th>Comune		
		<th>Prov		
		<th>CAP			
		<th>Piano		
		<th>CodAmbiente	
		<th>MQ			
		<th>DesUso		
	<tr>
		<td>&nbsp;<?php echo htmlentities($rs['CodEdificio']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Edificio']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Comune']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Prov']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['CAP']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Piano']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['CodAmbiente']) ?>
		<td>&nbsp;<?php echo ntxRound($rs['MQ'],2) ?>
		<td>&nbsp;<?php echo htmlentities($rs['DesUso']) ?>
</table>

<?php

$sql = "SELECT ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa,  "
	."DestinazioniDusoLivello.Destinazione AS Piano, DestinazioniDuso.Destinazione AS Ambiente, "
	." Ambiente.CodiceAssAmbiente AS CodAmb, tblMestieri.Descrizione Mestiere,  "
	." tblComponetiMestiere.Descrizione Componete, TipoComponente.DesComponente,  "
	." ComponentiAmbiente.CodiceAssComponente, dizStatiComp.Stato, ComponentiAmbiente.Note, "
	." ComponentiAmbiente.MotivoRimozione, ComponentiAmbiente.Origine, "
	." ComponentiAmbiente.IdEdificio, ComponentiAmbiente.IDComponente "
	."FROM (((tblMestieri RIGHT JOIN (Ambiente INNER JOIN  "
	."(((((ComponentiAmbiente INNER JOIN TipoComponente ON  "
	."(ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa) AND  "
	."(ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente))  "
	."LEFT JOIN tblComponetiMestiere ON (TipoComponente.IdComponenteMestiere =  "
	."tblComponetiMestiere.IdComponenteMestiere) AND (TipoComponente.IdCommessa =  "
	."tblComponetiMestiere.IdCommessa)) INNER JOIN ElencoEdifici ON  "
	."(ComponentiAmbiente.IdEdificio = ElencoEdifici.ID) AND  "
	."(ComponentiAmbiente.IdCommessa = ElencoEdifici.IdCommessa))  "
	."LEFT JOIN TipiMateriali ON (ComponentiAmbiente.IDMatComp = TipiMateriali.idMateriale)  "
	."AND (ComponentiAmbiente.IdCommessa = TipiMateriali.IdCommessa))  "
	."LEFT JOIN dizStatiComp ON (ComponentiAmbiente.IdStato = dizStatiComp.IdStato)  "
	."AND (ComponentiAmbiente.IdCommessa = dizStatiComp.IdCommessa))  "
	."ON (Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente)  "
	."AND (Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio)  "
	."AND (Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa))  "
	."ON (tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere)  "
	."AND (tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa))  "
	."INNER JOIN PianoLivello ON (PianoLivello.idPiano = Ambiente.IdLivello)  "
	."AND (PianoLivello.IdEdificio = Ambiente.IdEdificio) AND  "
	."(PianoLivello.IdCommessa = Ambiente.IdCommessa) AND  "
	."(ElencoEdifici.ID = PianoLivello.IdEdificio) AND  "
	."(ElencoEdifici.IdCommessa = PianoLivello.IdCommessa)) LEFT JOIN DestinazioniDuso  "
	."ON (Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso)  "
	."AND (Ambiente.IdCommessa = DestinazioniDuso.IdCommessa))  "
	."LEFT JOIN DestinazioniDusoLivello ON (PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL)  "
	."AND (PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa) "
	."WHERE ComponentiAmbiente.IdCommessa=$IdCommessa";
	
$sql .= " AND Ambiente.CodiceAmbiente = ".$CodiceAmbiente;
$sql .= " AND ElencoEdifici.ID = ".$IdEdificio;
	
$sql .= " ORDER BY ElencoEdifici.EdificioBreve,  "
	."tblMestieri.Descrizione, tblComponetiMestiere.Descrizione, TipoComponente.DesComponente;";

$query = ntxQuery($sql);

?>
<br>
<table>
	<tr>
		<th>&nbsp;</th>
		<th>Localizzazione</th>
		<th>Piano</th>
		<th>Ambiente</th>
		<th>cod Amb</th>
		<th>Mestiere</th>
		<th>Comp. Mest.</th>
		<th>Tipo Comp.</th>
		<th>Codice Comp.</th>
		<th>Stato</th>
		<th>Note</th>
		<th>Motivo Rimozione</th>
		<th>Origine</th>
	</tr>

<?php

$alternate = true;

while($rs = ntxRecord($query))
{
?>
	<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><input type=button value="Dettaglio" onclick="<?php echo "Dettaglio($IdCommessa,$IdEdificio,$rs[IDComponente])" ?>">
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[EdificioBreve]." ".$rs[EdificioEstesa]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Piano]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Ambiente]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[CodAmb]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Mestiere]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Componete]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[DesComponente]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[CodiceAssComponente]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Stato]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Note]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[MotivoRimozione]==1 ? "sostituito" : $rs[MotivoRimozione]==2 ? "spostato" : "" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[Origine]==1 ? "subentrato" : $rs[Origine]==2 ? "spostato" : "" ?></td>
<?php
	$alternate = !$alternate;
}
?>
</table>
	<form name=form1 method=post action="comp_censi.php">
		<tr>
		<input type=hidden name=IdCommessa>
		<input type=hidden name=IdEdificio>
		<input type=hidden name=IdComponente>
	</form>


<script language=javascript>

function Dettaglio(IdCommessa,IdEdificio,IdComponente)
{
	form1.IdCommessa.value=IdCommessa;
	form1.IdEdificio.value=IdEdificio;
	form1.IdComponente.value=IdComponente;
	parent.parent.frame_frames.AppendFrame(form1);
}

</script>


</body>
</html>
