<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once("const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once("tematizza_componenti.inc");
require_once("tematizza_ambienti.inc");
require_once("labeling_valori.inc");
require_once("labeling.inc");

$CodiciAmbientix = explode(",", $_POST[CodiciAmbientix]);
$CodiciComponentix = explode(",", $_POST[CodiciComponentix]);
$Valori = explode("|", $_POST[Valori]);

foreach($Valori as $val)
{
	$keyVal = explode("=", $val.'');
	$Valori2[$keyVal[0]] = $keyVal[1];
}

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$edificio = "C{$IdCommessa}E{$IdEdificio}";
$livello = "C{$IdCommessa}E{$IdEdificio}L{$IdLivello}";

$pathShapes = "$pathCommessa\\EDIFICIO_{$edificio}\\LIVELLO_{$livello}\\SHAPE_{$livello}\\";

$sql = <<< sql
	SELECT DISTINCT Simbolo FROM
	(
		SELECT DISTINCT tblCoperture.Simbolo
		FROM         PianoLivello INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
						  PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
						  ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
						  Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente INNER JOIN
						  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
						  tblCoperture ON TipoComponente.Copertura = tblCoperture.Nome
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
			AND     (PianoLivello.IdCommessa = $IdCommessa) 
			AND (PianoLivello.IdEdificio = $IdEdificio) 
			AND (PianoLivello.idPiano = $IdLivello)
		UNION
		SELECT DISTINCT tblCopertureInCommessa.Simbolo
		FROM         PianoLivello INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
						  PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
						  ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
						  Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente INNER JOIN
						  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
						  tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
						  TipoComponente.Copertura = tblCopertureInCommessa.Nome
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
			AND     (PianoLivello.IdCommessa = $IdCommessa) 
			AND (PianoLivello.IdEdificio = $IdEdificio) 
			AND (PianoLivello.idPiano = $IdLivello)
	) a2
sql;

$query = ntxQuery($sql);

$mapfile_text = <<<_HTML
MAP
	STATUS ON
	SIZE 400 300
	EXTENT -2200000 -712631 3072800 3840000
	UNITS METERS

	NAME MapFile
	
_HTML;

while ( $rs=ntxIRecord($query) )
{
	$mapfile_text .= <<< mapfile_text
		SYMBOL
			NAME "$rs[0]"
			TYPE PIXMAP
			IMAGE "$pathCommessa\\simboliWeb\\$rs[0].png"
		END
mapfile_text;

	$mapfile_text .= "\n";
}

$mapfile_text .= "\nEND";

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

$countFiles = 0;

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

$mapfile = tempnam($dir, "mapfile").".map";

$mapfile_handle = fopen($mapfile, 'w');
fwrite($mapfile_handle, $mapfile_text);
fclose($mapfile_handle);

$map = ms_newMapObj($mapfile);

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$sizecircle = 26;

$nId = ms_newSymbolObj($map, "circle");
$oSymbol = $map->getSymbolObjectById($nId);
$oSymbol->set("type", MS_SYMBOL_ELLIPSE);
$oSymbol->set("filled", MS_TRUE);
$oSymbol->set("sizex", $sizecircle);
$oSymbol->set("sizey", $sizecircle);

$aPoints[0] = $sizecircle;
$aPoints[1] = $sizecircle;
$oSymbol->setpoints($aPoints);

$isExtent = (isset($_POST[extent])  &&  $_POST[extent]!=""  &&  $_POST[action]!=CMD_FIT);

if ( !$isExtent )
{
	$minx = $miny = $maxx = $maxy = null;
}
else
{
	$extent = explode(" ", $_POST[extent]);

	$minx = $extent[0];
	$miny = $extent[1];
	$maxx = $extent[2];
	$maxy = $extent[3];
}

$map->set("units", MS_METERS);

$sql = <<< sql
SELECT * FROM
(
	SELECT 1 ordine, * FROM
	(
		SELECT     's'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCoperture
		WHERE     (PubblicaWeb = 1) AND Associazione <> 2
		UNION
		SELECT     'i'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCopertureInCommessa
		WHERE     (PubblicaWeb = 1) AND Associazione <> 2
		AND     (IdCommessa = $IdCommessa)
	) a1
	UNION
	SELECT 2 ordine, * FROM
	(
		SELECT DISTINCT 's'+ltrim(c.Id) Id, c.VisibileWeb, c.OrdineWeb, c.Nome, c.FileName, c.Geometria, c.Associazione, c.Colore, c.Spessore, c.Simbolo
		FROM         PianoLivello INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
						  PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
						  ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
						  Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente INNER JOIN
						  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
						  tblCoperture c ON TipoComponente.Copertura = c.Nome
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
			AND     (PianoLivello.IdCommessa = $IdCommessa) 
			AND (PianoLivello.IdEdificio = $IdEdificio) 
			AND (PianoLivello.idPiano = $IdLivello)
		UNION
		SELECT DISTINCT 'i'+ltrim(c.Id) Id, c.VisibileWeb, c.OrdineWeb, c.Nome, c.FileName, c.Geometria, c.Associazione, c.Colore, c.Spessore, c.Simbolo
		FROM         PianoLivello INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
						  PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
						  ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
						  Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente INNER JOIN
						  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
						  tblCopertureInCommessa c ON TipoComponente.IdCommessa = c.IdCommessa AND 
						  TipoComponente.Copertura = c.Nome
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
			AND     (PianoLivello.IdCommessa = $IdCommessa) 
			AND (PianoLivello.IdEdificio = $IdEdificio) 
			AND (PianoLivello.idPiano = $IdLivello)
	) a2
) a3
ORDER BY ordine, OrdineWeb, Nome
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$nomeFile = $rs[FileName];
	
	$data = "{$pathShapes}{$nomeFile}.shp";

	if ( !is_file($data) ) continue;

	if ( is_array($CodiciAmbientix)  &&  $rs[Associazione]==1 )
	{
		TematizzaAmbienti($map, $data, 255, 0, 0);
	}
	elseif ( is_array($CodiciComponentix)  &&  !isset($layerTemaComp)   &&  $rs[Associazione]==2 )
	{
		$layerTemaComp = TematizzaComponentiOpen($map, 0, 255, 100);
	}

	$layer = ms_newLayerObj($map);
	
	$layer->set("name", $rs[Nome]);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$type = MS_LAYER_POINT;
			break;
		case 1: // linee
			$type = MS_LAYER_LINE;
			break;
		case 2: // aree
			$type = MS_LAYER_POLYGON;
			break;
	}
	
	$layer->set("type", $type);

	$visiPost = $_POST["Visibile_$rs[Id]"];
	
	if ( isset($visiPost) )
	{
		$layer->set("status", $visiPost==1 ? MS_ON : MS_OFF);
	}
	else
	{
		$layer->set("status", $rs[VisibileWeb]==1 ? MS_ON : MS_OFF);
	}
	
	$layer->set("data", $data);
	
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$style->set("symbolname", $rs[Simbolo]);
			break;
		case 1: // linee
		case 2: // aree
			$rosso = ($rs[Colore] >> 16) & 0xff;
			$verde = ($rs[Colore] >> 8) & 0xff;
			$blu = ($rs[Colore]) & 0xff;

			$style->outlinecolor->setRGB($rosso, $verde, $blu);
			break;
	}
	
	if ( !$isExtent  &&  $rs[Associazione]!=2 )
	{
		$extent = $layer->getExtent();
		
		if ( is_numeric($minx) )
		{
			if ( $extent->minx < $minx ) $minx = $extent->minx;
			if ( $extent->miny < $miny ) $miny = $extent->miny;
			
			if ( $extent->maxx > $maxx ) $maxx = $extent->maxx;
			if ( $extent->maxy > $maxy ) $maxy = $extent->maxy;
		}
		else
		{
			$minx = $extent->minx;
			$miny = $extent->miny;
			
			$maxx = $extent->maxx;
			$maxy = $extent->maxy;
		}
	}
	
	if ( $_POST[action]==CMD_LABELING  &&  $rs[Associazione] == 1 )
		Labeling($layer, $map, $data, 0, 0, 255);

	if ( is_array($Valori2)  &&  $rs[Associazione]==1 )
	{
		LabelingValori($layer, $map, $data, 0, 0, 255);
	}

	if ( isset($layerTemaComp) )
	{
		TematizzaComponentiWrite($layer, $layerTemaComp);
	}
}

if ( isset($layerTemaComp) )
{
	$layerTemaComp = TematizzaComponentiClose($layerTemaComp);
}

if ( !$isExtent )
{
	$dx10 = abs($maxx - $minx) * 0.02;
	$dy10 = abs($maxy - $miny) * 0.02;

	$minx -= $dx10;
	$miny -= $dy10;
	$maxx += $dx10;
	$maxy += $dy10;
}

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

switch ( $_POST[action] )
{
	case CMD_PAN: 
		$zoom_factor = 1;
		break;
	case CMD_ZOOM_IN: 
		$zoom_factor = $_POST[mouse_button]==1 ? 2 : ($_POST[mouse_button]==3 ? -2 : 1);
		break;
	case CMD_ZOOM_OUT: 
		$zoom_factor = -2;
		break;
}

switch ( $_POST[action] )
{
	case CMD_PAN: 
	case CMD_ZOOM_IN: 
	case CMD_ZOOM_OUT: 
		$my_point = ms_newpointObj();
		$my_point->setXY($_POST[map_x],$_POST[map_y]);
		
		$map->zoompoint($zoom_factor, $my_point, $map->width, $map->height, $map->extent);
		break;
	case CMD_ZOOM_AREA: 
		$zoom_rect = ms_newRectObj();
		$zoom_rect->setextent($_POST[zoom_x1],$_POST[zoom_y1],$_POST[zoom_x2],$_POST[zoom_y2]);
		$map->zoomrectangle($zoom_rect, $map->width, $map->height, $map->extent);
		break;
}

$image = $map->draw();

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

$szFileName = tempnam($dir, "TN").".png";

$image->saveImage($szFileName);

$szFileName2 = $url.substr($szFileName, strlen($dir));

$extent = $map->extent->minx." ".$map->extent->miny." "
					.$map->extent->maxx." ".$map->extent->maxy;

$result[FileName] = $szFileName2;				
$result[extent] = $extent;	

jhp($result);

?>
