<?php  
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sql = <<< _SQL
SELECT     ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, 
                      DestinazioniDusoLivello.Destinazione Piano, Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione AS DesUsoAmb, Utenti.Nome AS Utente, 
                      AnomalieCensimento.Descrizione, AnomalieCensimento.DataOra, TipiAnomalieCensimento.Tipo AS TipoAnom, TipoComponente.DesComponente AS TipoComp
FROM         AnomalieCensimento INNER JOIN
                      Ambiente ON AnomalieCensimento.IdCommessa = Ambiente.IdCommessa AND AnomalieCensimento.IdEdificio = Ambiente.IdEdificio AND 
                      AnomalieCensimento.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      Utenti ON AnomalieCensimento.IdUtente = Utenti.Id LEFT OUTER JOIN
                      TipiAnomalieCensimento ON AnomalieCensimento.TipoAnomalia = TipiAnomalieCensimento.Id LEFT OUTER JOIN
                      TipoComponente ON AnomalieCensimento.IdCommessa = TipoComponente.IdCommessa AND 
                      AnomalieCensimento.TipoComponente = TipoComponente.IDTipoComponente
	WHERE 
		(AnomalieCensimento.IdCommessa = $IdCommessa)
_SQL;

if ( isset($_POST['Descrizione'])  &&  $_POST['Descrizione']!="" ) $sql .= " AND AnomalieCensimento.Descrizione LIKE '%".str_replace("'","''",$_POST[Descrizione])."%'";

if ( is_numeric($_POST['IdEdificio']) ) $sql .= " AND AnomalieCensimento.IdEdificio = ".ntxip('IdEdificio');

if ( is_numeric($_POST['IdTipoComponente']) ) $sql .= " AND AnomalieCensimento.TipoComponente = ".ntxip('IdTipoComponente');

if ( is_numeric($_POST['TipoAnomalia']) ) $sql .= " AND AnomalieCensimento.TipoAnomalia = ".ntxip('TipoAnomalia');

$sql .= " ORDER BY AnomalieCensimento.DataOra Desc";

$query = ntxQuery($sql);
?>
