<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../_css/navstyleLittleForForm.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../_ntx/ntxjsint.php"></script>
</head>
<body>

<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$IdEdificio = $_POST['IdEdificio'];

$IdOfferta = $_POST['IdOfferta'];

$IdMestiere = $_POST['IdMestiere'];

$ListQTAs = null;
$ListFormulas = null;
$ListNumImps = null;

if ( is_numeric($IdEdificio)  &&  is_numeric($IdOfferta)  &&  is_numeric($IdMestiere) ) 
{
	$IdEdificio = (int)$IdEdificio;
	$IdOfferta = (int)$IdOfferta;
	$IdMestiere = (int)$IdMestiere;

	$sql = "SELECT IdTipoComp, 1 FROM InvisibiliPDI "
			." WHERE InvisibiliPDI.IdCommessaOfferta=$IdCommessa  "
			." AND InvisibiliPDI.IdOfferta=$IdOfferta  "
			." AND InvisibiliPDI.IdEdificio=$IdEdificio;";

	$query = ntxQuery($sql);

	while( $rs = ntxIRecord($query) )
	{
		$ListHides["i$rs[0]"] = $rs[1];
	}

	$sql = "SELECT IdTipoComp, QTA, Formula, NumImp FROM SopralluogoPDI "
			." WHERE SopralluogoPDI.IdCommessaOfferta=$IdCommessa  "
			." AND SopralluogoPDI.IdOfferta=$IdOfferta  "
			." AND SopralluogoPDI.IdEdificio=$IdEdificio;";

	$query = ntxQuery($sql);

	while( $rs = ntxIRecord($query) )
	{
		$ListQTAs["i$rs[0]"] = $rs[1];
		$ListFormulas["i$rs[0]"] = ntxJS($rs[2]);
		$ListNumImps["i$rs[0]"] = $rs[3];
	}
	
	$sql = "SELECT     TipiComponentiMestieri.IdTipoComponenteMestiere AS ID, tblComponetiMestiere.codice, tblComponetiMestiere.Descrizione AS Componente, TipiComponentiMestieri.Descrizione AS Specifico,  "
		."                      TipiComponentiMestieri.UM, TipiComponentiMestieri.Fattore "
		."FROM         tblComponetiMestiere INNER JOIN "
		."                      TipiComponentiMestieri ON tblComponetiMestiere.IdCommessa = TipiComponentiMestieri.IdCommessa AND  "
		."                      tblComponetiMestiere.IdComponenteMestiere = TipiComponentiMestieri.IdComponenteMestiere "
		."WHERE     (tblComponetiMestiere.IdCommessa = $IdCommessa) AND (tblComponetiMestiere.IdMestiere = $IdMestiere) "
		."ORDER BY tblComponetiMestiere.Ordine, tblComponetiMestiere.codice, Componente, TipiComponentiMestieri.Ordine, Specifico";
}
else
	$sql ="SELECT * FROM tblComponetiMestiere WHERE 1=0";

$query = ntxQuery($sql);
?>

<script language=javascript>

	function fVoid(){}
	
	function Invisibile(id, value)
	{
		document.form1.IdTipoComp.value = id;
		document.form1.PASSA.value = value ? 1 : 0;

		ntxSendForm(form1, fVoid, 'invisibile');
	}

	function Registra(id, value, qta, num, formula)
	{
		
		if (confirm("Sicuro?"))
		{
			document.form1.IdTipoComp.value = id;
			document.form1.QTA.value = qta;
			document.form1.NumImp.value = num;
			document.form1.Formula.value = formula;
			document.form1.PASSA.value = value ? 1 : 0;

			ntxSendForm(form1, fVoid, 'aggiungi_sopralluogo');
		}
	}

</script>

<table align=left>
	<?php
	$alternate = true;

	$Componente = "";
	
	while( $rs = ntxRecord($query) )
	{
		if ( strcmp($Componente,$rs['Componente'].'')!=0 )
		{
?>
			<tr><th colspan=9>&nbsp;<?php echo htmlentities($rs['Componente']) ?>
			<tr>
				<th>&nbsp;</th>
				<th>Descrizione</th>
				<th>UM</th>
				<th>Fattore</th>
				<th>N.Imp.</th>
				<th>Formula</th>
				<th>Quantità</th>
				<th>&nbsp;</th>
				<th>Invisibile</th>
			</tr>
<?php
			$alternate = true;
			$Componente = $rs['Componente'].'';
		}
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=checkbox name=chk<?php echo $rs['ID'] ?> <?php if( is_numeric( $ListQTAs["i$rs[ID]"] ) ) echo 'checked' ?> /></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Specifico']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['Fattore'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=text size=4 name=txtn<?php echo $rs['ID'] ?> value="<?php echo $ListNumImps["i$rs[ID]"] ?>" /></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=text size=30 maxlength=255 name=txtf<?php echo $rs['ID'] ?> value="<?php echo $ListFormulas["i$rs[ID]"] ?>" /></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=text size=10 name=txt<?php echo $rs['ID'] ?> value="<?php echo ntxRound($ListQTAs["i$rs[ID]"],2) ?>" /></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=button value=Registra onclick="<?php echo "Registra($rs[ID], chk$rs[ID].checked, txt$rs[ID].value, txtn$rs[ID].value, txtf$rs[ID].value)" ?>" /></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=checkbox name=chkHide<?php echo $rs['ID'] ?> <?php if( is_numeric( $ListHides["i$rs[ID]"] ) ) echo 'checked' ?> 
						 onclick="<?php echo "Invisibile($rs[ID], chkHide$rs[ID].checked)" ?>" /></td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post>
	<input type=hidden id=IdOfferta name=IdOfferta value="<?php echo $_POST['IdOfferta'] ?>" />
	<input type=hidden id=IdEdificio name=IdEdificio value="<?php echo $_POST['IdEdificio'] ?>" />
	<input type=hidden id=IdTipoComp name=IdTipoComp value="" />
	<input type=hidden id=QTA name=QTA value="" />
	<input type=hidden id=Formula name=Formula value="" />
	<input type=hidden id=NumImp name=NumImp value="" />
	<input type=hidden id=PASSA name=PASSA value="" />
</form>

</body>
</html>
