<?php  

$Utente = ntxsse('Utente');

$sql = <<< SQL
	SELECT DISTINCT    
			Commesse.IDCommessa IdCommessa, 
			Commesse.DesComm DesCommessa, 
			ElencoEdifici.ID IdEdificio, 
			ElencoEdifici.Codice CodEdificio, 
			ElencoEdifici.EdificioBreve NomeEdificio, 
			ElencoEdifici.Indirizzo, 
			ElencoEdifici.CITTA Comune, 
			ElencoEdifici.Provincia, 
			ElencoEdifici.Cap
	FROM         Commesse INNER JOIN
                      ElencoEdifici ON Commesse.IDCommessa = ElencoEdifici.IdCommessa INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id
	
		WHERE     (Utenti.Nome = $Utente)
SQL;

if ( is_numeric($_POST['IdCommessa'])) 
{
	$IdCommessa = (int)$_POST['IdCommessa'];
	$sql .= " AND (Commesse.IDCommessa = $IdCommessa) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (ElencoEdifici.ID = $IdEdificio) ";
}
	
if ( isset($_POST['Codice'])  &&  strlen($_POST['Codice'])>0) 
{
	$str = stripslashes($_POST['Codice']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.Codice = '".$str."' ";
}
	
if ( isset($_POST['Provincia'])  &&  strlen($_POST['Provincia'])>0) 
{
	$str = stripslashes($_POST['Provincia']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.Provincia = '".$str."' ";
}
	
if ( isset($_POST['Cap'])  &&  strlen($_POST['Cap'])>0) 
{
	$str = stripslashes($_POST['Cap']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.Cap = '".$str."' ";
}
	
if ( isset($_POST['Nome'])  &&  strlen($_POST['Nome'])>0) 
{
	$str = stripslashes($_POST['Nome']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.EdificioBreve LIKE '%".$str."%' ";
}
	
if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.Indirizzo LIKE '%".$str."%' ";
}
	
if ( isset($_POST['Comune'])  &&  strlen($_POST['Comune'])>0) 
{
	$str = stripslashes($_POST['Comune']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.CITTA LIKE '%".$str."%' ";
}

$sql .= " ORDER BY Commesse.DesComm, ElencoEdifici.EdificioBreve";

$query = ntxQuery($sql);
	
?>
