<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IDCommessa');
$comp_cod = ntxsp('comp_cod');

$Utente = ntxsse('Utente');

$sql = <<< sql
	SELECT  DISTINCT   ElencoEdifici.IdCommessa, Ambiente.CodiceAssAmbiente AS CodiceAssComponente, ElencoEdifici.ID, ElencoEdifici.EdificioBreve, 
						  ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.Telefono, ElencoEdifici.PROVINCIA, PianoLivello.idPiano, Ambiente.IDAmbiente
	FROM         ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.ID = PianoLivello.IdEdificio AND ElencoEdifici.IdCommessa = PianoLivello.IdCommessa INNER JOIN
                      Ambiente ON PianoLivello.idPiano = Ambiente.IdLivello AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.IdCommessa = Ambiente.IdCommessa INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id
	WHERE     (Utenti.Nome = $Utente)
	 AND (((ElencoEdifici.IdCommessa)=$IdCommessa)
	 AND ((Ambiente.CodiceAssAmbiente)=$comp_cod));
sql;

$msg_error = "Ambiente $comp_cod commessa $IdCommessa non trovato od utente non autorizzato all'uso!";

$record = ntxRecordArray($sql, $msg_error);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
