<?php  

$Utente = ntxsse('Utente');

$sql = <<< SQL
	SELECT   DISTINCT  
			Commesse.IDCommessa IdCommessa, 
			Commesse.DesComm DesCommessa, 
			ElencoEdifici.ID IdEdificio, 
			ElencoEdifici.Codice CodEdificio, 
			ElencoEdifici.EdificioBreve NomeEdificio, 
			ElencoEdifici.Indirizzo, 
			ElencoEdifici.CITTA Comune, 
			ElencoEdifici.Provincia, 
			ElencoEdifici.Cap, 
			Richieste.NumRichiesta, 
			Richieste.AnnoRichiesta, 
			Stati.DesStato, 
			Richieste.DataRichiesta, 
			Richieste.Descrizione+Richieste.Descrizione1+Richieste.Descrizione2 AS DesTot, 
			Richieste.Classificazione
	FROM         Commesse INNER JOIN
                      ElencoEdifici ON Commesse.IDCommessa = ElencoEdifici.IdCommessa INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id INNER JOIN
                      Richieste ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND ElencoEdifici.ID = Richieste.Localizzazione INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato	
	WHERE 1=1
SQL;

if ( is_numeric($_POST['IdCommessa'])) 
{
	$IdCommessa = (int)$_POST['IdCommessa'];
	$sql .= " AND (Commesse.IDCommessa = $IdCommessa) ";
}

if ( is_numeric($_POST['NumRichiesta'])) 
{
	$NumRichiesta = (int)$_POST['NumRichiesta'];
	$sql .= " AND (Richieste.NumRichiesta = $NumRichiesta) ";
}

if ( is_numeric($_POST['AnnoRichiesta'])) 
{
	$AnnoRichiesta = (int)$_POST['AnnoRichiesta'];
	$sql .= " AND (Richieste.AnnoRichiesta = $AnnoRichiesta) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (ElencoEdifici.ID = $IdEdificio) ";
}
	
if ( isset($_POST['Classificazione'])  &&  strlen($_POST['Classificazione'])>0) 
{
	$str = stripslashes($_POST['Classificazione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Classificazione = '".$str."' ";
}

if ( is_numeric($_POST['Stato'])) 
{
	$Stato = (int)$_POST['Stato'];
	$sql .= " AND (Richieste.Stato = $Stato) ";
}
		
if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Descrizione + Richieste.Descrizione1 + Richieste.Descrizione2 LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sql .= " AND (Richieste.IdMestiere = $IdMestiere) ";
}

if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sql .= " AND (Richieste.IdComponenteMestiere = $IdComponente) ";
}

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = stripslashes($_POST['DataRichiesta1']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.DataRichiesta >= dbo.cdate('".$str."') ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = stripslashes($_POST['DataRichiesta2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.DataRichiesta <= dbo.cdate('".$str."') ";
}

$sql .= " ORDER BY Commesse.DesComm, Richieste.AnnoRichiesta DESC, Richieste.NumRichiesta DESC";

$query = ntxQuery($sql);
	
?>
