<?php  

$IdCommessa = ntxise('IdCommessa');

if ( is_numeric($_POST['NumOrdine']) )
{
	$NumOrdine = ntxip('NumOrdine');
	$AnnoOrdine = ntxip('AnnoOrdine');

	$sql = <<< SQL
		SELECT DISTINCT tblPgContratti.IdPgContratto
		FROM         tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      Ordini ON tblComponetiMestiere.IdMestiere = Ordini.IdMestiere INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere AND 
                      Ordini.IDCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      Ordini.CodEdificio = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio INNER JOIN
                      tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblPgContratti.IdCommessa AND Ordini.DataOrdine >= tblPgContratti.DataInizio AND 
                      Ordini.DataOrdine <= tblPgContratti.DataFine
			WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

	$IdContrattoGestione = ntxScalar($sql);
	
	
	if ( !is_numeric($IdContrattoGestione) ) $IdContrattoGestione = -2;
}
else
	$IdContrattoGestione = -2;
	
$sql = "SELECT FiltroPerScontiContratti FROM Commesse WHERE IdCommessa=$IdCommessa";

$FiltroPerScontiContratti = ntxScalar($sql);

if ( $FiltroPerScontiContratti )
{
	$sql = <<< SQL
		SELECT     ElencoPrezziInCommessa.IdCommessa, ElencoPrezziInCommessa.IdPrezzo, ElencoPrezziInCommessa.Cod, ElencoPrezziInCommessa.Descrizione, 
			ElencoPrezziInCommessa.UM, ElencoPrezziInCommessa.PzUnitario, ElencoPrezziInCommessa.DataModifica, ElencoPrezziInCommessa.Gruppo, 
			ElencoPrezziInCommessa.Titolo, ElencoPrezziInCommessa.DescrEstesa, ElencoPrezziInCommessa.Prezziario, ElencoPrezziInCommessa.DataInizio,
			ElencoPrezziInCommessa.DataFine, ElencoPrezziInCommessa.TipoPrezzo, 
			ScontiGestore.Sconto
		FROM ElencoPrezziInCommessa INNER JOIN ScontiGestore 
					ON (ScontiGestore.IdCommessa = ElencoPrezziInCommessa.IdCommessa) 
					AND (ScontiGestore.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo)
		WHERE ScontiGestore.IdPgContratto = $IdContrattoGestione
		AND (ElencoPrezziInCommessa.IdCommessa = $IdCommessa)  
		AND (ElencoPrezziInCommessa.Sostituito=0 OR ElencoPrezziInCommessa.Sostituito IS NULL)
SQL;
}
else
{
	$sql = <<< SQL
		SELECT     ElencoPrezziInCommessa.IdCommessa, ElencoPrezziInCommessa.IdPrezzo, ElencoPrezziInCommessa.Cod, ElencoPrezziInCommessa.Descrizione, 
			ElencoPrezziInCommessa.UM, ElencoPrezziInCommessa.PzUnitario, ElencoPrezziInCommessa.DataModifica, ElencoPrezziInCommessa.Gruppo, 
			ElencoPrezziInCommessa.Titolo, ElencoPrezziInCommessa.DescrEstesa, ElencoPrezziInCommessa.Prezziario, ElencoPrezziInCommessa.DataInizio,
			ElencoPrezziInCommessa.DataFine, ElencoPrezziInCommessa.TipoPrezzo, 
			isnull((
					SELECT     ScontiGestore.Sconto
					FROM         ScontiGestore
					WHERE     (ScontiGestore.IdCommessa = ElencoPrezziInCommessa.IdCommessa) 
					AND (ScontiGestore.IdPgContratto = $IdContrattoGestione) 
					AND (ScontiGestore.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo)			
			), 0) AS Sconto
		FROM ElencoPrezziInCommessa
		WHERE (ElencoPrezziInCommessa.IdCommessa = $IdCommessa) AND (ElencoPrezziInCommessa.Sostituito=0 OR ElencoPrezziInCommessa.Sostituito IS NULL)
SQL;
}

if ( !isset($_POST['Filtro']) )
{
	$sql .= " AND 1=0 ";
}
elseif ( $_POST['Filtro']==2 )
{
	$sql .= " AND ElencoPrezziInCommessa.TipoPrezzo=2 ";
}
elseif ( $_POST['Filtro']==3 )
{
	$sql .= " AND ElencoPrezziInCommessa.TipoPrezzo=1001 ";
}

if ( isset($_POST['Prezziario'])  &&  strlen($_POST['Prezziario'])>0) 
{
	$str = stripslashes($_POST['Prezziario']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Prezziario = '".$str."' ";
}

if ( isset($_POST['Titolo2'])  &&  strlen($_POST['Titolo2'])>0) 
{
	$str = stripslashes($_POST['Titolo2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Titolo = '".$str."' ";
}
elseif ( isset($_POST['Titolo'])  &&  strlen($_POST['Titolo'])>0) 
{
	$str = stripslashes($_POST['Titolo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Titolo LIKE '%".$str."%' ";
}

if ( isset($_POST['Gruppo2'])  &&  strlen($_POST['Gruppo2'])>0) 
{
	$str = stripslashes($_POST['Gruppo2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Gruppo = '".$str."' ";
}
elseif ( isset($_POST['Gruppo'])  &&  strlen($_POST['Gruppo'])>0) 
{
	$str = stripslashes($_POST['Gruppo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Gruppo LIKE '%".$str."%' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	
	$strs = explode(' ', $str);
	
	foreach($strs as $str)
	{
		$str = trim($str);
		
		$sql .= " AND (ElencoPrezziInCommessa.Descrizione LIKE '%".$str."%' ";
		$sql .= " OR ElencoPrezziInCommessa.DescrEstesa LIKE '%".$str."%') ";
	}
}

if ( isset($_POST['Cod'])  &&  strlen($_POST['Cod'])>0) 
{
	$str = stripslashes($_POST['Cod']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Cod LIKE '".$str."%' ";
}

$query = ntxQuery($sql);
	
?>
