<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$where = "WHERE tblOrdiniProgrammati.IdCommessa=$IdCommessa";
	
if ( is_numeric($_POST['NumOrdine'])) 
{
	$NumOrdine = (int)$_POST['NumOrdine'];
	$where .= " AND tblOrdiniProgrammati.NumOrdine=$NumOrdine ";
}

if ( is_numeric($_POST['AnnoOrdine'])) 
{
	$AnnoOrdine = (int)$_POST['AnnoOrdine'];
	$where .= " AND tblOrdiniProgrammati.AnnoOrdine=$AnnoOrdine ";
}
				  
if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$where .= " AND tblComponetiMestiere.IdMestiere=$IdMestiere ";
}

if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$where .= " AND tblAttivitàMestiere.IdComponenteMestiere=$IdComponente ";
}

if ( is_numeric($_POST['IdAttivitàMestiere'])) 
{
	$IdAttivitàMestiere = (int)$_POST['IdAttivitàMestiere'];
	$where .= " AND tblOrdiniProgrammati.IdAttivitàMestiere=$IdAttivitàMestiere ";
}

if ( strlen($_POST[DataInizio1])>0 )
	$where .= " AND tblOrdiniProgrammati.DataInizio>=".ntxtp('DataInizio1');
if ( strlen($_POST[DataInizio2])>0 )
	$where .= " AND tblOrdiniProgrammati.DataInizio<=".ntxtp('DataInizio2');
	
if ( strlen($_POST[DataFine1])>0 )
	$where .= " AND tblOrdiniProgrammati.DataFine>=".ntxtp('DataFine1');
if ( strlen($_POST[DataFine2])>0 )
	$where .= " AND tblOrdiniProgrammati.DataFine<=".ntxtp('DataFine2');
	
if ( strlen($_POST[DataInizioPrg1])>0 )
	$where .= " AND tblOrdiniProgrammati.dataInizioProg>=".ntxtp('DataInizioPrg1');
if ( strlen($_POST[DataInizioPrg2])>0 )
	$where .= " AND tblOrdiniProgrammati.DataInizioProg<=".ntxtp('DataInizioPrg2');

if ( strlen($_POST[DataFinePrg1])>0 )
	$where .= " AND tblOrdiniProgrammati.DataFineProg>=".ntxtp('DataFinePrg1');
if ( strlen($_POST[DataFinePrg2])>0 )
	$where .= " AND tblOrdiniProgrammati.DataFineProg<=".ntxtp('DataFinePrg2');

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$where .= " AND ElencoEdifici.IdProprietario=$IdPropietario ";
}

if ( is_numeric($_POST['IdOrdinePRG'])) 
{
	$IdOrdinePRG = (int)$_POST['IdOrdinePRG'];
	$where .= " AND tblOrdiniProgrammati.IdOrdineProgrammato=$IdOrdinePRG ";
}

if ( strlen($_POST[Codice])>0 )
	$where .= " AND ElencoEdifici.Codice = ".ntxsp('Codice');
if ( strlen($_POST[Nome])>0 )
	$where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[Nome])."%'";
if ( strlen($_POST[Indirizzo])>0 )
	$where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";
if ( strlen($_POST[Comune])>0 )
	$where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[Comune])."%'";
if ( strlen($_POST[Prov])>0 )
	$where .= " AND ElencoEdifici.PROVINCIA = ".ntxsp('Prov');
if ( strlen($_POST[Cap])>0 )
	$where .= " AND ElencoEdifici.CAP = ".ntxsp('Cap');

if ( strlen($_POST[Eseguito])>0 )
	$where .= " AND tblOrdiniProgrammati.Eseguito = 1";
if ( strlen($_POST[Annullato])>0 )
	$where .= " AND tblOrdiniProgrammati.Annullato = 1";
if ( strlen($_POST[Aperto])>0 )
	$where .= " AND tblOrdiniProgrammati.Aperto = 1";
if ( strlen($_POST[Anomalia])>0 )
	$where .= " AND tblOrdiniProgrammati.Anomalia = 1";

if ( strlen($_POST[NonEseguito])>0 )
	$where .= " AND (tblOrdiniProgrammati.Eseguito = 0 or tblOrdiniProgrammati.Eseguito is null)";
if ( strlen($_POST[NonAnnullato])>0 )
	$where .= " AND (tblOrdiniProgrammati.Annullato = 0 or tblOrdiniProgrammati.Annullato is null)";
if ( strlen($_POST[NonAperto])>0 )
	$where .= " AND (tblOrdiniProgrammati.Aperto = 0 or tblOrdiniProgrammati.Aperto is null)";
if ( strlen($_POST[NonAnomalia])>0 )
	$where .= " AND (tblOrdiniProgrammati.Anomalia = 0 or tblOrdiniProgrammati.Anomalia is null)";

$sql = <<< sql
	SELECT     ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, 
                      tblOrdiniProgrammati.IdOrdineProgrammato, Ditte.Ditta, tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg, 
                      tblOrdiniProgrammati.Eseguito, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblOrdiniProgrammati.Annullato, 
                      tblOrdiniProgrammati.dataInizioContratto, tblOrdiniProgrammati.dataFineContratto, tblOrdiniProgrammati.Aperto, tblOrdiniProgrammati.Anomalia, 
                      tblOrdiniProgrammati.NumOrdine, tblOrdiniProgrammati.AnnoOrdine, tblMestieri.codice AS cmes, tblMestieri.Descrizione AS dmes, 
                      tblComponetiMestiere.codice AS ccom, tblComponetiMestiere.Descrizione AS dcom, tblAttivitàMestiere.codice AS catt, 
                      tblAttivitàMestiere.Descrizione AS datt
	FROM         tblOrdiniProgrammati INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND 
                      tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      Ditte ON tblOrdiniProgrammati.IdFornitore = Ditte.IDDitta
	$where
sql;

$paginazione = ntxPaginazione($sql, "IdOrdineProgrammato");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>ID
			<th>Localizzazione
			<th>data<br>Inizio<br>Prog
			<th>data<br>Fine<br>Prog
			<th>data<br>Inizio
			<th>data<br>fine
			<th>Fornitore
			<th>data<br>Inizio<br>Contratto
			<th>data<br>Fine<br>Contratto
			<th>Aperto
			<th>Eseguito
			<th>Anomalia
			<th>Annullato
			<th>Num/Anno<br>Ordine
			<th>Mestiere
			<th>Componente
			<th>Attività
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[dataInizioProg] = ntxDateTime($rs[dataInizioProg]);
	$rs[dataFineProg] = ntxDateTime($rs[dataFineProg]);
	$rs[dataInizio] = ntxDateTime($rs[dataInizio]);
	$rs[datafine] = ntxDateTime($rs[datafine]);
	$rs[dataInizioContratto] = ntxDate($rs[dataInizioContratto]);
	$rs[dataFineContratto] = ntxDate($rs[dataFineContratto]);
	
	if ( is_numeric($rs[NumOrdine]) ) $rs[NumOrdine] = (int)$rs[NumOrdine];
	
	$rs[Aperto] = $rs[Aperto] ? "x" : "";
	$rs[Eseguito] = $rs[Eseguito] ? "x" : "";
	$rs[Anomalia] = $rs[Anomalia] ? "x" : "";
	$rs[Annullato] = $rs[Annullato] ? "x" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td><input type=checkbox SelRiga IdRiga=$rs[IdOrdineProgrammato] />
			<td>$rs[IdOrdineProgrammato]
			<td>$html[Codice] - $html[EdificioBreve] - $html[Indirizzo] $html[CITTA] ($html[PROVINCIA]) - $html[CAP]
			<td>$html[dataInizioProg]
			<td>$html[dataFineProg]
			<td>$html[dataInizio]
			<td>$html[datafine]
			<td>$html[Ditta]
			<td>$html[dataInizioContratto]
			<td>$html[dataFineContratto]
			<td style="text-align:center">$html[Aperto]
			<td style="text-align:center">$html[Eseguito]
			<td style="text-align:center">$html[Anomalia]
			<td style="text-align:center">$html[Annullato]
			<td>$html[NumOrdine]/$html[AnnoOrdine]
			<td>$html[cmes] - $html[dmes]
			<td>$html[ccom] - $html[dcom]
			<td>$html[catt] - $html[datt]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
