<?php

$sql = <<< sql
SELECT DISTINCT 
                      ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, ElencoEdifici.Tipo,
                          (SELECT     Nome
                            FROM          tblPgPropietari
                            WHERE      (ElencoEdifici.IdProprietario = IdPropietario)) AS Ente
FROM         tblAttivitàEdifici INNER JOIN
                      tblAttivitàProgrammata ON tblAttivitàEdifici.IdCommessa = tblAttivitàProgrammata.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàEdificio = tblAttivitàProgrammata.IdAttivitàEdificio INNER JOIN
                      ElencoEdifici ON tblAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblAttivitàEdifici.IdEdificio = ElencoEdifici.ID
					  $innerElementi
					  INNER JOIN tblAttivitàMestiere
					  ON tblAttivitàMestiere.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblAttivitàEdifici.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
$filtri_comuni
ORDER BY Ente, Codice, EdificioBreve, ElencoEdifici.ID
sql;

$query = ntxQuery($sql);

?>

