<?php

require('elementi_matrice.php');
require('elementi_sql.php');

$table = "";

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[Tipo]==1 ) $EtichettaTipo = "strada";
	elseif ( $rs[Tipo]==2 ) $EtichettaTipo = "verde";
	else $EtichettaTipo = "edificio";
	
	$c = "class=\"ElementiCompattabili\"";
	
	$table .= <<< table
		<tr class=alternate tr_id_elem=$rs[ID]>
		<td>
		<input type=button value=+ onclick="GanttDiritto(this, $rs[ID], $IdPgContratto)" btnIdElemento=$rs[ID] IdPgContratto=$IdPgContratto />
		<td>$rs[ID]<td>$rs[Codice]<td>$rs[EdificioBreve]<td $c>$rs[EdificioEstesa]<td $c>$rs[Indirizzo]
		<td $c>$rs[CITTA]<td $c>$rs[PROVINCIA]<td $c>$rs[CAP]<td $c>$EtichettaTipo<td $c>$rs[Ente]
table;

	$ultimoDelMese = ntxLastDayMonth($month1, $year1);
	
	for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
			$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
			++$iGiorno )
	{
		$title = "title=\"$iGiorno ".$lblMesi[$iMese]." $iAnno\"";
		
		$conteggio = 0;
		
		$dus = $iAnno.($iMese<10 ? "0" : "").$iMese.($iGiorno<10 ? "0" : "").$iGiorno;
		
		foreach($ranges[$rs[ID]] as $range)
			if ( $dus>= $range[0]  &&  $dus<=$range[1] )
				$conteggio += $range[2];
				
		$style = "";
		
		if ( $conteggio==0 ) $conteggio = "";
		else 
		{
			$dat1 = $dat2 = "$iGiorno/$iMese/$iAnno";
			
			$style = "style=\"background-color: #D7E4BC;cursor:pointer\" onclick=\"VociPreplanning('$rs[ID]','$dat1','$dat2')\"";
		}
		
		$table .= "<td $title $style>$conteggio";
		
		if ( $iGiorno == $ultimoDelMese )
		{
			$iGiorno = 0;
			++$iMese;
			
			if ( $iMese==13 )
			{
				$iMese = 1;
				++$iAnno;
			}

			$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
		}
	}
}

?>

<table class=grid>
	<tr><th rowspan=3><th rowspan=3>ID<th rowspan=3 >Codice<th rowspan=3>Des1<th rowspan=3 class="ElementiCompattabili">Des2<th rowspan=3 class="ElementiCompattabili">Indirizzo
		<th rowspan=3 class="ElementiCompattabili">Comune<th rowspan=3 class="ElementiCompattabili">Prov<th rowspan=3 class="ElementiCompattabili">Cap
		<th rowspan=3 class="ElementiCompattabili">Tipo<th rowspan=3 class="ElementiCompattabili">Ente
		
<?php


$ultimoDelMese = ntxLastDayMonth($month1, $year1);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1, $colspan=1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno, ++$colspan )
{
	if ( $iGiorno==$ultimoDelMese || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno==$day2) ) 
	{
		echo "<th colspan=$colspan>".$lblMesi[$iMese]." $iAnno";
		$iGiorno = 0;
		$colspan = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

echo "<tr>";

$ultimoDelMese = ntxLastDayMonth($month1, $year1);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno )
{
	echo "<th>$iGiorno";
	
	if ( $iGiorno == $ultimoDelMese )
	{
		$iGiorno = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

echo "<tr>";

$ultimoDelMese = ntxLastDayMonth($month1, $year1);

$giornoSettmana = array('L','M','M','G','V','S','D');

$sql = <<< sql
		SET DATEFIRST 1;
		SELECT datepart(weekday, dbo.cdate('$day1/$month1/$year1'))-1
sql;

$giSett = ntxScalar($sql);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno )
{
	echo "<th>".$giornoSettmana[$giSett];
	
	$giSett++;
	
	$giSett%=7;
	
	if ( $iGiorno == $ultimoDelMese )
	{
		$iGiorno = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

?>

	<?php echo $table ?>
</table>
