<?php

session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$DueMesi = ntxip('DueMesi');
$IdAffidatari = ntxsp('IdAffidatari');
$DataInizio = ntxtp('DataInizio',false);

$sql = <<< sql
	SELECT MONTH($DataInizio) Mese, YEAR($DataInizio) Anno
sql;

$rs = ntxRecord(ntxQuery($sql));

$Mese = $rs[Mese];
$Anno = $rs[Anno];

$etichetteMesi = array("", "Gennaio", "Febbraio", "Marzo", "Aprile",
							"Maggio", "Giugno", "Luglio", "Agosto",
							"Settembre", "Ottobre", "Novembre", "Dicembre");
							
$etichettaMese = $etichetteMesi[$Mese];

$DataInizio = ntxt("1/$Mese/$Anno");

$addMesi = $DueMesi ? 2 : 1;

$sql = <<< sql
	select DAY(dateadd(day, -1, dateadd(month, $addMesi, dbo.cdate('1/$Mese/$Anno'))))
sql;

$ultimoGiornoDelMese = ntxScalar($sql);

$sql = <<< sql
	select MONTH(dateadd(day, -1, dateadd(month, $addMesi, dbo.cdate('1/$Mese/$Anno'))))
sql;

$ultimoMeseDelMese = ntxScalar($sql);

$sql = <<< sql
	select YEAR(dateadd(day, -1, dateadd(month, $addMesi, dbo.cdate('1/$Mese/$Anno'))))
sql;

$ultimoAnnoDelMese = ntxScalar($sql);

$DataFine = ntxt("$ultimoGiornoDelMese/$ultimoMeseDelMese/$ultimoAnnoDelMese");

$_POST[DataInizio] = "1/$Mese/$Anno";
$_POST[DataFine] = "$ultimoGiornoDelMese/$ultimoMeseDelMese/$ultimoAnnoDelMese";

$etichettaMese2 = $etichetteMesi[$ultimoMeseDelMese];

?>
<html>
<head>
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="css/attivita.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery/jquery-1.6.2.min.js" type="text/javascript"></script>
	<script src="/repository/libs/jhp/jhp-1.1.1.js" type="text/javascript"></script>
	<script src="jhp/index.js" type="text/javascript"></script>
</head>
<body>
<input type=button value="excel" onclick="frmExcel.grigiox.value='yes';frmExcel.settimana.value='no';frmExcel.submit()" />
-
<input type=button value="Compatta Colonne" onclick="CompattaElementi(true)" />
<input type=button value="Scompatta Colonne" onclick="CompattaElementi(false)" />
-
<input type=button value="Mostra Attivita' per ogni Elemento" onclick="MostraNascondiAttivita(true)" />
<input type=button value="Nascondi Attivita' per ogni Elemento" onclick="MostraNascondiAttivita(false)" />


<?php

require_once('filtri_comuni.php');

require_once('commesse.php');

	
?>

<form name=form1 method=post action ="jhp/gantt_diritto">
<?php ntxCreateHiddens() ?>

<input type=hidden name=IdPgContratto value="" />
</form>

<form name=frmExcel method=post action ="excel.php" target=_blank> <!-- per excel -->
<?php ntxCreateHiddens() ?>
<input type=hidden name=grigiox value="no" />
<input type=hidden name=settimana value="no" />
</form>

<form name=form2 method=post action ="../voci_preplanning/index.php"> <!-- per elemento -->
<?php ntxCreateHiddens() ?>
</form>

<form name=form3 method=post action ="../voci_preplanning/index.php"> <!-- per elemento e attività -->
<?php ntxCreateHiddens() ?>
</form>

</body>
</html>