<?php
session_start();
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('matrcosti_IdCommessa'); // usata anche in _carica_richiesta
$NumOrdine = ntxise('matrcosti_NumOrdine'); // usata anche in _carica_richiesta
$AnnoOrdine = ntxise('matrcosti_AnnoOrdine'); // usata anche in _carica_richiesta

$MatriceIdCosti = $_SESSION['copia_costi_da_matrice']."";

$costi = explode("-", $MatriceIdCosti);

foreach ( $costi as $IDCosti )
{	if ( is_numeric($IDCosti) )
	{
		$IDCosti = (int)$IDCosti;
			
		$sql = "SELECT formula, qta, notariga, DataLavorazione From Costi WHERE IdCommessa=$IdCommessa AND IDCosti=$IDCosti";
		
		$query = ntxQuery($sql);
		
		if ( $rs = ntxRecord($query) )
		{
			$sql1 = "INSERT INTO Costi (";	$sql2 = " VALUES (";

			$sql1 .= "Autorizzato";		$sql2 .= ntxbse('matrcosti_Autorizzato').", ";

			$sql1 .= ", IdPrezzo";			$sql2 .= ntxise('matrcosti_IdPrezzo').", ";
			$sql1 .= ", IdDitta";			$sql2 .= ntxise('matrcosti_IdDitta').", ";
			$sql1 .= ", IdContratto";		$sql2 .= ntxise('matrcosti_IdContratto').", ";

			$sql1 .= ", Cod";				$sql2 .= ntxsse("matrcosti_Cod").", ";
			$sql1 .= ", Tipo";				$sql2 .= ntxsse("matrcosti_Tipo").", ";
			$sql1 .= ", UtenteModifica";	$sql2 .= ntxsse("Utente").", ";
			$sql1 .= ", Titolo";			$sql2 .= ntxsse("matrcosti_Titolo").", ";
			$sql1 .= ", Descrizione";		$sql2 .= ntxsse("matrcosti_Descrizione").", ";
			$sql1 .= ", Formula";			$sql2 .= ntxs($rs['formula']).", ";
			$sql1 .= ", NotaRiga";			$sql2 .= ntxs($rs['notariga']).", ";
			$sql1 .= ", DataLavorazione";	$sql2 .= ntxt(ntxDateTime($rs['DataLavorazione'])).", ";
			$sql1 .= ", QTA";				$sql2 .= ntxf($rs['qta']).", ";
			$sql1 .= ", DescrEstesa";		$sql2 .= ntxsse("matrcosti_DescrEstesa").", ";
			$sql1 .= ", UM";				$sql2 .= ntxsse("matrcosti_UM").", ";
			$sql1 .= ", sconto";			$sql2 .= ntxfse('matrcosti_sconto').", ";

			$qta = $rs['qta'];

			$unit = $_SESSION['matrcosti_CostoUnit'];
			$sconto = $_SESSION['matrcosti_sconto'];

			$unit = ntxf($unit);
			$sconto = ntxf($sconto);

			if ( isset($qta)  &&  isset($unit)  &&  is_numeric($qta)  &&  is_numeric($unit) )
			{
				if ( !isset($sconto) || !is_numeric($sconto) ) $sconto = 0;
				
				$sql = "SELECT $qta * $unit * (1- $sconto/100) AS CostoTotale;";

				$msg_error = "Errore nel calcolo!";

				$record = ntxRecordArray($sql, $msg_error);

				$CostoTotale = $record['CostoTotale'];
			}
			else
				ntxMsgErr("Manca qta o costo_unitario per calcolo Importo!");

			$sql1 .= ", CostoUnit";			$sql2 .= ntxfse('matrcosti_CostoUnit',false).", ";
			$sql1 .= ", CostoTotale";		$sql2 .= "$CostoTotale, ";
			$sql1 .= ", PercRicarico";		$sql2 .= ntxfse('matrcosti_PercRicarico').", ";
			$sql1 .= ", DataModifica";		$sql2 .= "GETDATE(), ";
			$sql1 .= ", DataCompetenza";	$sql2 .= ntxtse("matrcosti_DataCompetenza").", ";
			$sql1 .= ", IdCommessa";		$sql2 .= $IdCommessa.", ";
			$sql1 .= ", NumOrdine";			$sql2 .= $NumOrdine.", ";
			$sql1 .= ", AnnoOrdine)";		$sql2 .= "'$AnnoOrdine');";

			ntxQuery($sql1.$sql2);

			$sql = "UPDATE Ordini SET "

					."StatoOrd = 100 "

					." WHERE IdCommessa = $IdCommessa "
					." AND NumOrdine = $NumOrdine "
					." AND AnnoOrdine = '$AnnoOrdine' "
					." AND DataFine IS NOT NULL "
					." AND StatoOrd < 100;";

			ntxQuery($sql);
		}
	}
}

ntxMsgResult("");	

?>
