<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');
$NoteTecnicheAffidatario = ntxsp('NoteTecnicheAffidatario',false,false);

$sql = <<<_SQL
	SELECT 2
	from ordini
	WHERE (IDCommessa = $IdCommessa) AND (AnnoOrdine = $AnnoOrdine) AND (NumOrdine = $NumOrdine)
		and StatoOrd=60 and ForseFuoriCanone=1
_SQL;

$ForseFuoriCanone = (ntxScalar($sql)==2);

if ( !$ForseFuoriCanone )
	ntxMsgErr("L'ordine non e' in stato richiesta superamento franchigia!");
	
$sql = <<< sql
	update ordini set SicuramenteCanone=1, StatoOrd=StatoPrimaSospensione, DataRipresa=getdate(), NoteTecnicheAffidatario=$NoteTecnicheAffidatario
	WHERE (IDCommessa = $IdCommessa) AND (AnnoOrdine = $AnnoOrdine) AND (NumOrdine = $NumOrdine)
sql;

ntxQuery($sql);

$sql = <<< sql
	SELECT     Ditte.email
	FROM         Ordini INNER JOIN
						  Ditte ON Ordini.Assegnazione = Ditte.IDDitta
	WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine)
sql;

$email = ntxScalar($sql);

if ( "$email" != "" )
{
	$oggetto = "Riconferma a canone ordine $NumOrdine/$AnnoOrdine";
	$corpo = <<< corpo
Affidatario '$_SESSION[Utente]' ritiene che la richiesta di superamento franchigia per l'ordine $NumOrdine/$AnnoOrdine non sia giustificato per il seguente motivo: '$_POST[NoteTecnicheAffidatario]'
corpo;

	ntxFireNetInit($_SESSION['Utente'].'',				
							"riconferma a canone",				
							"ordine $NumOrdine/$AnnoOrdine",			
							"email",		
							$email,		
							$oggetto,				
							$corpo,
							true);	

}

require_once('_carica_ordine.inc');

?>
