<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="report.css" rel="stylesheet" type="text/css">
</head>
<body>
<?php

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< SQL
	SELECT     ElencoEdifici.Tipo
	FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID	
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine) 
SQL;

$TipoLocalizzazione = ntxScalar($sql);


$sql = <<< SQL
	SELECT     ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, 
						  Ordini.DescrizioneIntervento2
	FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine) 
SQL;

$query = ntxQuery($sql);

$rs = ntxIRecord($query);

?>
<p class=title><?php echo htmlentities("Rif. Ordine \"$NumOrdine/$AnnoOrdine\" Edificio \"{$rs[0]}-{$rs[1]}\" - Indirizzio \"{$rs[2]}\" - Comune \"{$rs[3]}\" - Descrizione \"{$rs[4]}{$rs[5]}{$rs[6]}\"") ?></p>

<?php

if ( $TipoLocalizzazione==1 )
{
	$FattoreSconto = 0.11;
	$EtichettaSconto = "11,00%";
	$vai_a = "san_lazzaro-step-2.inc";
}
elseif ( $TipoLocalizzazione==2 )
{
	$FattoreSconto = 0.07;
	$EtichettaSconto = "7,00%";
	$vai_a = "san_lazzaro-step-2-verde.inc";
}
else
{
	$FattoreSconto = 0.25;
	$EtichettaSconto = "25,00%";
	$vai_a = "san_lazzaro-step-2.inc";
}

require($vai_a);
	
?>

</body>
</html>
