<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>


<body  >

<?php
	$IdCommessa = ntxise('IdCommessa');
	$NumOrdine = ntxip('NumOrdine');
	$AnnoOrdine = ntxip('AnnoOrdine');

?>
<form name=form1 method=post>
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="<?php echo $_POST['NumOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="<?php echo $_POST['AnnoOrdine'] ?>" >
</form>

<form name=form2 method=post>
	<input type=hidden name=IDCosti value="<?php echo $_POST['IDCosti'] ?>">
</form>

<?php

	$sql = "SELECT StatoOrd "
		." FROM Ordini "
		." WHERE (((IdCommessa)=$IdCommessa)  "
		." AND ((NumOrdine)=$NumOrdine)  "
		." AND ((AnnoOrdine)='$AnnoOrdine'));";

	$StatoOrd = ntxScalar($sql);

	$statoMaggioreUgualeDiVistoCosti = false;
	
	if( is_numeric($StatoOrd) )
	{
		$statoMaggioreUgualeDiVistoCosti 
				= ( (int)($rs[0]) >= 140 ); // >= di Visto Costi
	}

	$sqlSostituito = <<< sqlSostituito
					SELECT isnull(ElencoPrezziInCommessa.Sostituito, 0)
					FROM ElencoPrezziInCommessa
					WHERE ElencoPrezziInCommessa.IdCommessa = Costi.IdCommessa
						AND ElencoPrezziInCommessa.IdPrezzo = Costi.IdPrezzo
sqlSostituito;

	$sql = <<< SQL
		SELECT     IdCommessa, IDCosti, NumOrdine, AnnoOrdine, Descrizione, UM, QTA, CostoUnit, 
					sconto, IdPrezzo, DataCompetenza, DataLavorazione, Cod, Titolo, Autorizzato,
				  DescrEstesa, Lun, Alt, Lar, Formula, NotaRiga, Tipo, TipoPrezzo, Prezziario, TabellaOrigine, Allegato,
					  ($sqlSostituito) AS Sostituito
		FROM         Costi
		WHERE     (IdCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine')
SQL;

	$query = ntxQuery($sql);
	
	while( $rs = ntxRecord($query) )
	{
		if ($rs[Sostituito]==1)
		{
			echo "<p><img src=\"../../../_img/warning.bmp\">Attenzione una o più voci prese dell'elenco prezzi sono ora obsolete</p>";
			break;
		}
	}
	
	$query = ntxQuery($sql);

?>
<table align=left>
	<caption>Costi</caption>
	<tr>
		<th>&nbsp;</th>
		<th>&nbsp;</th>
		<th>&nbsp;</th>
		<th>Autorizzato</th>
		<th>Prezziario</th>
		<th>Cod.Prezzo</th>
		<th>Titolo</th>
		<th>Descrizione</th>
		<th>Descr.Estesa</th>
		<th>UM</th>
		<th>Formula</th>
		<th>QTA</th>
		<th>Costo Unitario</th>
		<th>Sconto</th>
		<th>Importo Lordo</th>
		<th>Importo Netto</th>
		<th>Data Competenza</th>
		<th>Data Lavorazione</th>
		<th>Allegato</th>
		<th>&nbsp;</th>
	</tr>
<?php
	$alternate = true;

	$TotaleCostiLordi = 0;
	$TotaleCosti = 0;
	
	while( $rs = ntxRecord($query) )
	{
		$CostoTotale = $rs['QTA'] * $rs['CostoUnit'] * (1 - $rs['sconto']/100);
		$CostoTotaleLordi = $rs['QTA'] * $rs['CostoUnit'];
		
		$warning = "";
		
		if ($rs[Sostituito]==1) $warning = "<img src=\"../../../_img/warning.bmp\">";
?>
	<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo $warning ?><input type=radio name=sel1 onclick="SelRow(<?php echo $rs['IDCosti'] ?>)"></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<input type=button value=Sel onclick="SelezionaCosto(<?php echo $rs['IDCosti'] ?>)">
			</td>
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<input type=button value=Elimina onclick="eliminaCosto(<?php echo $rs['IDCosti'] ?>)"
					<?php if ($statoMaggioreUgualeDiVistoCosti || $rs['Autorizzato']==1) echo " DISABLED " ?>>
			</td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ( $rs['Autorizzato']==1 ) echo "X" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Formula']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['QTA'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['CostoUnit'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['sconto'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($CostoTotaleLordi,2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($CostoTotale,2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataCompetenza']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataLavorazione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs['Allegato']==1 ? "SI" : "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<input type=button value=Allegato onclick="Allegato(<?php echo $rs['IDCosti'] ?>)">
			</td>
	</tr>
<?php
		if ( is_numeric($CostoTotaleLordi) ) 
		{
			$TotaleCostiLordi += (float)($CostoTotaleLordi);
		}
		
		if ( is_numeric($CostoTotale) ) 
		{
			$TotaleCosti += (float)($CostoTotale);
		}
		
		$alternate = !$alternate;
	}
?>
	<tr><th colspan=14 style="text-align:right">TOTALE COSTI:</th>
	<th <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($TotaleCostiLordi,2) ?></th>
	<th <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($TotaleCosti,2) ?></th>
	<th colspan=4>&nbsp;</th></tr>
<tr><td colspan=19>
<form name=frmUpload method=post action=upload_doc.php enctype="multipart/form-data" target=win_upload_1750_031209>
	<input type=hidden name=IDCosti value="">
	<input type=hidden name=NumOrdine value="<?php echo $NumOrdine ?>">
	<input type=hidden name=AnnoOrdine value="<?php echo $AnnoOrdine ?>">
	<input type=hidden name=IdCommessa value="<?php echo ntxise('IdCommessa') ?>">
	<table>
		<tr><th>File</th><td><input type=file name=upfile size="50"><input type=submit name=upload value=upload disabled>
	</table>
</form>

<iframe name=win_upload_1750_031209 id=win_upload_1750_031209 frameborder=1 style="position:relative;display:block;width:600px;height:200px"></iframe>
</table>


<form name=frmAllegato method=post action=download_doc2.php target=_blank>
	<input type=hidden name=IDCosti value="">
	<input type=hidden name=IdCommessa value="<?php echo ntxise('IdCommessa') ?>">
</form>

<script language=javascript>

	function SelRow(IDCosti)
	{
		frmUpload.IDCosti.value = IDCosti;
		frmUpload.upload.disabled = false;
	}

	function Allegato(IDCosti)
	{
		frmAllegato.IDCosti.value = IDCosti;
		frmAllegato.submit();
	}

	function SelezionaCosto(IDCosti)
	{
		parent.frame0158_261009_3.CaricaCosto(IDCosti);
		parent.ShowTab(3);
	}

	function eliminaCosto(IDCosti)
	{
		if ( !confirm("Sicuro di volere eliminare la riga selezionata?") ) return;

		form2.IDCosti.value=IDCosti;
		if ( ntxSendForm(form2, funcCaricaCosto, 'edit_costo/elimina_costo') )
		{
			form1.submit();
		}
	}

	function funcCaricaCosto(text)
	{
		
	}

</script>
</body>
</html>
