<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$IdPrezzo = ntxip('IdPrezzo'); // usata anche in _carica_richiesta
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< SQL
SELECT     tblContrattiFornitori.IdContrattoFornitore
FROM         Ordini INNER JOIN
                      tblContrattiFornitori INNER JOIN
                      tblContrattiFornitoriAttivitàMestiereEdifici ON tblContrattiFornitori.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                      tblContrattiFornitori.IdContrattoFornitore = tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore INNER JOIN
                      tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
                      Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND Ordini.IdMestiere = tblComponetiMestiere.IdMestiere AND 
                      Ordini.IDCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                      Ordini.CodEdificio = tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio AND Ordini.IDCommessa = tblContrattiFornitori.IdCommessa AND 
                      Ordini.DataOrdine >= tblContrattiFornitori.DataInizio AND Ordini.DataOrdine <= tblContrattiFornitori.DataFine AND 
                      Ordini.Assegnazione = tblContrattiFornitori.IdFornitore
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$IdContrattoFornitore = ntxScalar($sql);

if ( !is_numeric($IdContrattoFornitore) ) $IdContrattoFornitore = -2;

$sql = <<< SQL
		SELECT     
				ElencoPrezziInCommessa.IdPrezzo, 
				ElencoPrezziInCommessa.Cod, 
				ElencoPrezziInCommessa.Descrizione, 
				ElencoPrezziInCommessa.UM, 
				ElencoPrezziInCommessa.PzUnitario, 
				ElencoPrezziInCommessa.Prezziario, 
				ElencoPrezziInCommessa.TipoPrezzo,
				ElencoPrezziInCommessa.Titolo, 
				ElencoPrezziInCommessa.DescrEstesa, 
				ElencoPrezziInCommessa.Gruppo, 
					isnull((
					SELECT ScontiFornitore.Sconto FROM ScontiFornitore 
					WHERE ElencoPrezziInCommessa.IdCommessa = ScontiFornitore.IdCommessa 
					AND ElencoPrezziInCommessa.IdPrezzo = ScontiFornitore.IdPrezzo
					AND ScontiFornitore.IdContrattoFornitore = $IdContrattoFornitore			
					),0) AS 
				Sconto
		FROM         ElencoPrezziInCommessa
		WHERE (ElencoPrezziInCommessa.IdCommessa = $IdCommessa) AND (ElencoPrezziInCommessa.IdPrezzo = $IdPrezzo) 
SQL;

$msg_error = "Riga di costo non trovata!";

$record = ntxRecordArray($sql, $msg_error);

$record['CostoUnit'] = ntxRound($record['PzUnitario'], 2);
$record['Sconto'] = ntxRound($record['Sconto'], 2);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>












