<?php  

session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>

<?php 

require_once('query.inc');

$sql .= " ORDER BY AnnoRichiesta, NumRichiesta";

$query = ntxQuery($sql);

 ?>

<table>
	<tr>
		<th>Mandato Allegato</th>
		<th>Num./Anno</th>
		<th>Data</th>
		<th>Stato</th>
		<th>Richiedente</th>
		<th>Localizzazione</th>
		<th>Grado Urgenza</th>
		<th>Descrizione</th>
		<th>Fornitore</th>
		<th>Descrizione Fornitore</th>
		<th>Importo Offerto Fornitore</th>
		<th>Descrizione Per Cliente</th>
		<th>Importo Offerto Per Cliente</th>
	</tr>
<?php
	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
			<td>&nbsp;<?php echo $rs['PrevPath']."" != "" ? "SI" : "NO" ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['NumRichiesta'])."/".htmlentities($rs['AnnoRichiesta']) ?></td>
			<td>&nbsp;<?php echo htmlentities(ntxDateTime($rs['DataRichiesta'])) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>
			<td>&nbsp;<?php echo htmlentities('('.$rs['Codice'].') - '.$rs['EdificioBreve'].' - '
							.$rs['Indirizzo'].' - '.$rs['CITTA'].' ('.$rs['PROVINCIA'].')') ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['DesGrUrg']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Descrizione']).'<br>'
							.htmlentities($rs['Descrizione1']).'<br>'.htmlentities($rs['Descrizione2']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['DesFornitore']) ?></td>
			<td>&nbsp;<?php echo ntxRound($rs['ImportoOfferto'],2) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['DesCliente']) ?></td>
			<td>&nbsp;<?php echo ntxRound($rs['ImportoCliente'],2) ?></td>
		</tr>
<?php
	}
?>
</table>
</body>
</html>
