<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$IdDoc = ntxip('IdDoc');

$sql = <<< SQL
				SELECT     $IdDoc AS IdDoc, Preventivi.Nota, Preventivi.DataValiditaPreventivo, Preventivi.ModalitaPagamento
				FROM         DocsPreventiviRichieste INNER JOIN
				                      Preventivi ON DocsPreventiviRichieste.IdCommessa = Preventivi.IDCommessa AND 
				                      DocsPreventiviRichieste.NumRichiesta = Preventivi.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Preventivi.AnnoRichiesta
				WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$msg_error = "Preventivo non trovato!";

$record = ntxRecordArray($sql, $msg_error);

$record[DataValiditaPreventivo] = ntxDateTime($record[DataValiditaPreventivo]);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
