<?php  

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

$SchemaCommessa = ntxScalar($sql);

require_once("pivot_preventivi_sql_coda.inc"); // setta $sqlQueue
require_once("pivot_preventivi_sql_min_max.inc"); // setta $minMese, $minAnno, $maxMese e $maxAnno
require_once("pivot_preventivi_sql_funcs.inc"); // GeneraSubQuery($mese, $anno) e GeneraSubQuery2($TipoPrezzo)

/*
$minMese=5;
$minAnno=2009;
$maxMese=6;
$maxAnno=2011;
*/


// GENERA TABELLA TEMPORANEA #my123 con i valori dei mesi ed anni da scandagliare
$sqlTemp = <<< sqlTemp
		SELECT     Mese, Anno
		INTO            [#my123]
		FROM         (SELECT 0 AS Mese, 0 AS Anno) AS a;
		
		DELETE FROM [#my123];
sqlTemp;

for($mese=$minMese, $anno=$minAnno; $anno<$maxAnno || ($anno==$maxAnno  &&  $mese<=$maxMese); $mese++)
{
	if ( $mese == 13 ) { $mese = 1; $anno++; }
	
	$sqlTemp .= " insert into #my123 (Mese, Anno) values($mese, $anno);";
}

ntxQuery($sqlTemp);

$numCols = ntxScalar("SELECT COUNT(*) FROM #my123");

if ( $SchemaCommessa=='isi' )
{
	require("pivot_preventivi_sql_isi.inc");
}
else
{
	require("pivot_preventivi_sql_no_isi.inc");
}
	
?>
