<?php  

$sqlx1 = <<< sqlx1
	SELECT    
			RihePreventivi.TipoPrezzo,
			Preventivi.IdEdificio,
			MONTH(Richieste.DataRichiesta) Mese,
			YEAR(Richieste.DataRichiesta) Anno,
			dbo.VersContiRichieste(Richieste.IDCommessa, Richieste.NumRichiesta, Richieste.AnnoRichiesta) VersConti,
			SUM(ISNULL(RihePreventivi.QTA * RihePreventivi.PzUnitario, 0)) AS Valore
	INTO #valoriPerMeseAnno
	FROM         Preventivi INNER JOIN
			  ($sqlRichieste) Richieste ON Preventivi.IDCommessa = Richieste.IDCommessa AND Preventivi.NumRichiesta = Richieste.NumRichiesta AND 
			  Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
			  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo
	WHERE    Richieste.IDCommessa = $IdCommessa
		AND $sqlQueue
	GROUP BY    
			TipoPrezzo,
			IdEdificio,
			MONTH(Richieste.DataRichiesta),
			YEAR(Richieste.DataRichiesta),
			dbo.VersContiRichieste(Richieste.IDCommessa, Richieste.NumRichiesta, Richieste.AnnoRichiesta)
sqlx1;

ntxQuery($sqlx1);

$sql1 = <<< sql
	SELECT F2*(1+E3*(1-E4))+F6*(1-E7)+(F9+F9b)*(1-E10)+(F12+F12b)*(1-E13)+F15+(F2*(1+E3*(1-E4))+F6+F9+F9b+F12+F12b+F15)*E16
			+xF2*(1+E3*(1-E4))+xF6*(1-E7)+xF9*(1-E10)+xF12*(1-E13)+xF15+xF12b+xF9b
	FROM (	SELECT 0.25 AS E3,
			0.15  AS E4,  
			0.15  AS E7,  
			0.15  AS E10, 
			0.15  AS E13, 
			0.025 AS E16, 
sql;

$sql1 .= "ISNULL((".GeneraSubQuery2(2)."),0) AS F2, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(5)."),0) AS F6, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(1)."),0) AS F9, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(6)."),0) AS F12, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(7)."),0) AS F9b, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(3)."),0) AS F12b, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(1001)."),0) AS F15, ";

$sql1 .= "ISNULL((".GeneraSubQuery2(2,2)."),0) AS xF2, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(5,2)."),0) AS xF6, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(1,2)."),0) AS xF9, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(6,2)."),0) AS xF12, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(7,2)."),0) AS xF9b, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(3,2)."),0) AS xF12b, ";
$sql1 .= "ISNULL((".GeneraSubQuery2(1001,2)."),0) AS xF15 ";

		
$sql1 .= ") a ";

$sqlFields = <<< sqlFields
			ElencoEdifici.IdCommessa, 
			ElencoEdifici.ID, 
			ElencoEdifici.Codice, 
			ElencoEdifici.EdificioBreve, 
			ElencoEdifici.Indirizzo, 
			ElencoEdifici.CITTA
sqlFields;

$sqlWHERE = "";

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sqlWHERE .= " AND (ElencoEdifici.IdProprietario = $IdPropietario) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sqlWHERE .= " AND (Richieste.Localizzazione = $IdEdificio) ";
}

$sql22 = <<< sql
	SELECT DISTINCT 
			$sqlFields
	FROM         Preventivi INNER JOIN
                      Richieste ON Preventivi.IDCommessa = Richieste.IDCommessa AND Preventivi.NumRichiesta = Richieste.NumRichiesta AND 
                      Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	  WHERE  (Richieste.IdCommessa = $IdCommessa)
		AND $sqlQueue
		$sqlWHERE
sql;
	
$sql3 = <<< sql
	SELECT 
		b.*,
		#my123.Mese, 
		#my123.Anno, 
		($sql1) AS Valore
	FROM ($sql22) b, #my123
	ORDER BY Codice, EdificioBreve, ID, Anno, Mese
sql;

$query = ntxQuery($sql3);
	
?>
