<?php  

$minMese = $minAnno = $maxMese = $maxAnno = 0;

$sqlFields = <<< sqlFields
	MIN(DataRichiesta) AS d1,
	MAX(DataRichiesta) AS d2
sqlFields;

$sqlWHERE = "";

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sqlWHERE .= " AND (ElencoEdifici.IdProprietario = $IdPropietario) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sqlWHERE .= " AND (ElencoEdifici.ID = $IdEdificio) ";
}

$sql2 = <<< SQL
	SELECT $sqlFields
	FROM         Preventivi INNER JOIN
                      Richieste ON Preventivi.IDCommessa = Richieste.IDCommessa AND Preventivi.NumRichiesta = Richieste.NumRichiesta AND 
                      Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	  WHERE  (Richieste.IdCommessa = $IdCommessa)
		AND $sqlQueue
		$sqlWHERE
SQL;

$sql = "SELECT MONTH(MIN(d1)), YEAR(MIN(d1)), MONTH(MAX(d2)), YEAR(MAX(d2)) FROM ($sql2) axa";

$query = ntxQuery($sql);
	
if ( $rs = ntxIRecord($query) )
{
	$minMese = $rs[0];
	$minAnno = $rs[1];
	$maxMese = $rs[2]; 
	$maxAnno = $rs[3];
}

if ( !is_numeric($minAnno) )
{
	$minAnno = 0;
	$maxAnno = -1;
}
?>
