<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$Localizzazione = ntxip('Localizzazione');

$DataRichiesta = ntxtp('DataRichiesta');

if ( $DataRichiesta === 'NULL' )
	$DataRichiesta = 'getdate()';

	
$sql = <<<_SQL
	SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
	FROM         SchemiFlussoPagineWeb INNER JOIN
						  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
	WHERE     (Commesse.IDCommessa = $IdCommessa)
_SQL;

if( "".ntxScalar($sql) == "edit_utilizzatori" )  //se abbiamo lo schema "edit_utilizzatori" carichiamo tutti i mestieri
{
	$sql = <<<_SQL
	SELECT DISTINCT IdMestiere, codice + ' - ' + Descrizione AS Expr1, Ordine, Descrizione
	FROM  tblMestieri
	WHERE (IdCommessa = $IdCommessa)
	ORDER BY Ordine, Descrizione	
_SQL;

	$result = ntxSelectArray($sql);

	$result = ntxSelectTranslate($result);

	ntxMsgResult( $result );
}
else if ( is_numeric($Localizzazione) )
{
	$sql = "SELECT DISTINCT tblMestieri.IdMestiere, tblMestieri.Codice + ' - ' + tblMestieri.Descrizione, tblMestieri.ordine, tblMestieri.descrizione "
			."FROM         tblAttivitàMestiere INNER JOIN "
			."                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND  "
			."                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere INNER JOIN "
			."                      tblMestieri INNER JOIN "
			."                      tblComponetiMestiere ON tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND  "
			."                      tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND  "
			."                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN "
			."                      tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto "
			."WHERE     (tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = $Localizzazione) AND (tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = $IdCommessa) AND  "
			."                      (tblPgContratti.DataInizio <= $DataRichiesta) AND (tblPgContratti.DataFine >= $DataRichiesta) "
			." ORDER BY tblMestieri.ordine, tblMestieri.descrizione;";

	$result = ntxSelectArray($sql);

	$result = ntxSelectTranslate($result);

	ntxMsgResult( $result );	
}
else
	ntxMsgResult( '' );	

?>
