<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>ManPro.Net WebPortal</title>
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
		
	<style>
	html, body
	{
		margin:0px;
		padding:0px;
	}
	
	p
	{
		font-weight:bold;
		padding:2px;
		margin:2px;
		font-size: 110%;
		color: black;
	}	
	
	.alert
	{
		font-weight:bold;
		padding:1px;
		margin:1px;
		font-size: 120%;
		color: #DC143C;
		text-transform:uppercase;
	}
	</style>
</head>

<body>
<?php
$IdCommessa = ntxise('IdCommessa');
$IdPropietario = ntxip('IdPropietario');
$IDs = "";
$status = "<span class=\"alert\">ANOMALIA</span> </br> <p>E' necessario associare almeno uno stesso tecnico a tutti gli edifici!</p>";

$sql = <<< SQL
SELECT DISTINCT ElencoEdifici.ID AS IdEdificio
FROM  ElencoEdifici INNER JOIN
               tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
WHERE (ElencoEdifici.IdCommessa = $IdCommessa) AND (tblPgPropietari.IdPropietario = $IdPropietario)
SQL;

$query = ntxQuery($sql);
while( $rs = ntxRecord($query) )
{
	if ( $IDs != "" )
		$IDs .= ",";

	$IDs .= $rs[IdEdificio];	
}

$IDs = explode(",",$IDs);
$NumEdifici = count($IDs); 


$sql = <<< _SQL
SELECT DISTINCT 	
	UtentiTecnici.IdUtente, UtentiTecnici.IdTecnico
	
FROM  Utenti INNER JOIN
               UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente INNER JOIN
               UtentiTecnici ON Utenti.Id = UtentiTecnici.IdUtente INNER JOIN
               Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
               ElencoEdifici ON UtentiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND UtentiEdifici.IdEdificio = ElencoEdifici.ID	
WHERE 
	(UtentiEdifici.IdCommessa = $IdCommessa) 
	AND (Tecnici.Tipo = 'prov') 
_SQL;

$query = ntxQuery($sql);	


while( $rs = ntxRecord($query) )
{ 
	$EdificiTecnico = 0;
	
	$IdUtente = $rs[IdUtente];	
	
	$sql_associazioni = <<< _SQL
	SELECT DISTINCT IdEdificio
	FROM  UtentiEdifici
	WHERE 
		IdCommessa = $IdCommessa
		AND IdUtente = $IdUtente
_SQL;

	$query2 = ntxQuery($sql_associazioni);	
	
	$arrayAssociazioni = array();
	while( $rs2 = ntxIRecord($query2) )
		$arrayAssociazioni[] = "".$rs2[0]; 

	foreach($IDs as $IdEdificio)
	{
		if (is_numeric($IdEdificio))
		{
			if( in_array($IdEdificio , $arrayAssociazioni) ) ++$EdificiTecnico;
		}
	}

	if($NumEdifici==$EdificiTecnico)
		$status = "<p>Nessun problema rilevato.</p>";
}


echo $status;
?>


<?php
/* $IdCommessa = ntxise('IdCommessa');
$IdPropietario = ntxip('IdPropietario');


$sql = <<< SQL
SELECT DISTINCT  ElencoEdifici.ID AS IdEdificio, Tecnici.IDTec
FROM  
	ElencoEdifici 
	INNER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
	LEFT OUTER JOIN
	UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio 
	LEFT OUTER JOIN
	Utenti ON UtentiEdifici.IdUtente = Utenti.Id 
	LEFT OUTER JOIN
	UtentiTecnici ON Utenti.Id = UtentiTecnici.IdUtente 
	LEFT OUTER JOIN
	Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec
WHERE (ElencoEdifici.IdCommessa = $IdCommessa) AND (tblPgPropietari.IdPropietario = $IdPropietario)
SQL;
 
$query = ntxQuery($sql);

$edificioSenzaTecnico = false;
$edificiConDiversiTecnici = false;
$IdTecPrecedente = "X";
while( $rs = ntxRecord($query) )
{		
	if($IdTecPrecedente=="X")
		$IdTecPrecedente=$rs[IDTec];
		
	if( !is_numeric($rs[IDTec]) )
		$edificioSenzaTecnico = true;	

	if($IdTecPrecedente!=$rs[IDTec])
		$edificiConDiversiTecnici = true;
		
	$IdTecPrecedente=$rs[IDTec];	
}


if($edificioSenzaTecnico || $edificioSenzaTecnico)
{
	echo "<span class=\"alert\">Rilevate le seguenti anomalie:</span>";
	
	if($edificioSenzaTecnico)
		echo "<p>- Alcuni edifici sono senza Tecnico!</p>";
		
	if($edificioSenzaTecnico)
		echo "<p>- Alcuni edifici hanno piu' Tecnici!</p>";	
		
	echo "<p>E' necessario associare un nuovo tecnico o un tecnico gia' esistente a tutti i nuovi edifici.</p>";
}
else
{
	echo "<p>Nessun problema rilevato.</p>";
	
} */
?>	

<p align="center"><button onclick="parent.tecnici();">Gestione Tecnici</button></p>

<script type="text/javascript">
</script>

</body>
</html>
