$(function(){
	$('input[type=button]').button().css('font-size','9px');
	$('input[type=reset]').button();
	$('input[type=button][value=\'...\']').css('font-size','8px');
	$('input[type=button][value=\'x\']').css('font-size','8px');
	$('#data1, #data2').datepicker();
});

var campi = new Array("data_confronto",
						"data1", "data2", 
						"chkContratto", 
						"chkProprietari");

function AggiornaTotaleImporto()
{
	var spunte = $('input[type="checkbox"][SpuntaSelect]:checked');
	var i;
	
	var TotaleImportoNetto = 0;

	for (i=0;i<spunte.length;++i)
	{
		var val = parseFloat($(spunte[i]).attr('ImportoNetto'));
		
		if(!isNaN(val))
			TotaleImportoNetto += val;
	}
	
	$('#tdTotImpNetto').text(TotaleImportoNetto.toFixed(2));
}

function CaricaSal(IdSal)
{
	form1.IdSal.value = IdSal;
	
	var result = jhp("jhp/carica_sal.php", {IdSal: form1.IdSal.value});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#dettagio_sal').html(result.value);
	}
	
	Cerca();
}

function Azzera()
{
	var len = campi.length;
	var IdSal = form1.IdSal.value;
	var i;
	
	for ( i=0; i<len; i++ )
	{
		var key = campi[i];
		
		jei(key).value = '';
	}
	
	form1.chkContratto.checked = false;
	
	form1.chkProprietari.checked = true;
	
	form1.IdSal.value = IdSal;
}

function Cerca()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/cerca.php", dati_input);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#rihe_contabilita').html(result.value);
	}
}

function SelTuttiProv(value)
{
	$('input[tipo=spunta_prov]').attr('checked',value);
}

function SelTuttiDef(value)
{
	$('input[tipo=spunta_def]').attr('checked',value);
}

function ValidazioneSAL()
{
	if ( !confirm("Validazione SAL.\nSicuro di voler continuare?") ) return;
	
	var result = jhp("jhp/validazione_sal.php", {
		IdSal: form1.IdSal.value
	});
	
	if(result.state)
	{
		alert(result.message);
	}
	
	Cerca();
}

function EditGruppoF()
{
	if ( !confirm("Registra Ordine Cliente (NEL) per tutte le contabilità selezionate?") ) return;
	
	var spunte = $('input[type="checkbox"][SpuntaSelect]:checked');
	var i;
	
	var NumContabilità = "";

	for (i=0;i<spunte.length;++i)
	{
		if ( NumContabilità != "" )
			NumContabilità += ",";
			
		NumContabilità += $(spunte[i]).attr('NumContabilità');
	}

	var result = jhp("jhp/edit_gruppo.php", {
		NumContabilità: NumContabilità,
		GruppoF: $('#GruppoF').val()
	});
	
	if(result.state)
	{
		alert(result.message);
	}
	
	Cerca();
}

function Azione(azione, oggetto)
{
	if ( !confirm(azione+" "+oggetto+"?") ) return;
	
	var spunte = $('input[type="checkbox"][SpuntaSelect]:checked');
	var i;
	
	var NumContabilità = "";

	for (i=0;i<spunte.length;++i)
	{
		if ( NumContabilità != "" )
			NumContabilità += ",";
			
		NumContabilità += $(spunte[i]).attr('NumContabilità');
	}

	var result = jhp("jhp/"+azione+"_"+oggetto+".php", {
		NumContabilità: NumContabilità,
		IdSal: form1.IdSal.value
	});
	
	if(result.state)
	{
		alert(result.message);
	}
	
	Cerca();
}
