<?php
session_start();

require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$json = new Services_JSON();

$result = Array();


$idAttivita = (int)$_POST[idAttivita];
$IdCommessa = ntxise('IdCommessa');


$sql = <<<_SQL
SELECT 
	DAY(tblAttivitàProgrammata.inizio) AS inizioDay, MONTH(tblAttivitàProgrammata.inizio) AS inizioMonth, YEAR(tblAttivitàProgrammata.inizio) 
	AS inizioYear, DAY(tblAttivitàProgrammata.fine) AS fineDay, MONTH(tblAttivitàProgrammata.fine) AS fineMonth, YEAR(tblAttivitàProgrammata.fine) 
	AS fineYear, tblAttivitàProgrammata.IdAttivitàProgrammata, tblOrdiniProgrammati.IdOrdineProgrammato, tblOrdiniProgrammati.Eseguito,
	CASE WHEN( tblAttivitàProgrammata.fine<getdate() ) THEN 1  ELSE 0  END AS fineMinoreGetDate
			   
FROM  
	tblAttivitàProgrammata 
	LEFT OUTER JOIN
	tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
	tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata

WHERE 
	(tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita)
	AND (tblAttivitàProgrammata.IdCommessa = $IdCommessa)
_SQL;

$query = ntxQuery($sql);

$result['status'] = "no";	
while( $rs = ntxIRecord($query) )
{
	$result['status'] = "ok";	

 	$dayI = $rs[0];
	$monthI = $rs[1];
	$yearI = $rs[2];
	$dayF = $rs[3];
	$monthF = $rs[4];
	$yearF = $rs[5];
	
	$IdAttivitaProg = $rs[6];

		
	$OrdProg = $rs[7];	
	if(!is_numeric($OrdProg))
		$OrdProg = true;
	else
		$OrdProg = false;
	
	$Eseguito = $rs[8];
	if(!is_numeric($Eseguito))
		$Eseguito = false;


	
	$fineMinore = $rs[9];	

	$result['id'] = $IdAttivitaProg;	
	$result['start'] = "$dayI/$monthI/$yearI";
	$result['end'] = "$dayF/$monthF/$yearF";																		
	$result['OrdProg'] = $OrdProg;																		
	$result['eseguito'] = $Eseguito;																		
	$result['fineMinore'] = $fineMinore;																																			
}					


print $json->encode( $result ); 
?>