<?php

$sql = "select ISNULL(FattoreDiScala,1) from PianoLivello where IdCommessa=$IdCommessa and IdEdificio=$IdEdificio";

$FattoreDiScala = ntxScalar($sql);
	
$FattoreDiScala2 = $FattoreDiScala * $FattoreDiScala;

function CalcArea($line)
{
	global $FattoreDiScala2;
	
	$num_points = $line->numpoints;
	
	$sum1 = $sum2 = 0.0;
	
	for ( $i=0, $j=1; $i<$num_points; ++$i, ++$j )
	{
		$punto1 = $line->point($i);
		
		$x1 = $punto1->x;
		$y1 = $punto1->y;
		
		if ( $j<$num_points )
			$punto2 = $line->point($j);
		else
			$punto2 = $line->point(0);
		
		$x2 = $punto2->x;
		$y2 = $punto2->y;
		
		$sum1 += $x1 * $y2 * $FattoreDiScala2;
		$sum2 += $x2 * $y1 * $FattoreDiScala2;
	}

	return abs($sum1-$sum2)/2.0;
}

function CalcPerim($line)
{
	global $FattoreDiScala;
	
	$result = 0.0;
	
	$num_points = $line->numpoints;
	
	for ( $i=0, $j=1; $i<$num_points; ++$i, ++$j )
	{
		$punto1 = $line->point($i);
		
		$x1 = $punto1->x;
		$y1 = $punto1->y;
		
		if ( $j<$num_points )
			$punto2 = $line->point($j);
		else
			$punto2 = $line->point(0);
		
		$x2 = $punto2->x;
		$y2 = $punto2->y;
		
		$dx = ($x2 - $x1) * $FattoreDiScala;
		$dy = ($y2 - $y1) * $FattoreDiScala;
		
		$result += sqrt($dx*$dx+$dy*$dy);
	}

	return $result;
}

?>