<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IdAmbiente = ntxip('IdAmbiente');

$vers = 20;

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script>
	
	<link href="css/base.css" rel="stylesheet" type="text/css">
	<script src="js/index.js?vers=<?php echo $vers ?>" type="text/javascript"></script>

	<link href="css/mappa.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css">

	<script src="js/canvas_engine.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/mappa.js?<?php echo $vers ?>" type="text/javascript"></script>
</head>
<body>

<?php include('testata.inc') ?>

<form name="frmRicerca" method="post" Paginazione <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>
	<?php PaginazioneCampiPerForm(20, 'jhp/ricerca.php', 'lista-risultati-ricerca') ?>

	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
	<input type=hidden name=IdPiano value="<?php echo $IdPiano ?>" />
	<input type=hidden name=IdAmbiente value="<?php echo $IdAmbiente ?>" />
	
	<table class=grid2>
		<tr><th>ID				<td><input type=text name=IDComponente size=25 readonly />
			<th>Codice			<td><input type=text name=CodiceAssComponente size=25 />
		<tr><th>Gruppo Impianto	<td colspan=3><select name="GruppoImpianto" onchange="CaricaListaTipi()"></select>
		<tr><th>Tipo			<td colspan=3><select name="IdTipoComponente"></select>
		<tr><th colspan=4>
			<input type=button name=btnAggiungi value="Aggiungi" onclick="objCodice.Aggiungi()" />
			<input type=button name=btnAggiungi value="Duplica" onclick="objCodice.Duplica()" />
			<input type=button name=btnModifica value="Modifica" onclick="objCodice.Modifica()" />
			<input type=button value="Reset" onclick="this.form.reset()" />
			<input type=button name=btnRicerca value="Ricerca" onclick="PaginazioneRicerca(this, 'first')" />
			<input type=button value="report" onclick="ReportPerTipoComponente()" />
			<input type=button value="report su più tipi" onclick="$('#SceltaMultiplaComponenti').toggle()" />
	</table>
	<div id=SceltaMultiplaComponenti>
		<span style="font-weight:bold;font-size:11pt">Elenco tipi da selezionare su cui effettuare report:</span><br><br>
		<?php require_once("index-tipi.inc") ?>
		<br>
		<input type=button value="sel.tutto" onclick="$('input[type=checkbox][TipoPerReport]').attr('checked',true)" />
		<input type=button value="desel.tutto" onclick="$('input[type=checkbox][TipoPerReport]').attr('checked',false)" />
		<input type=button value="report" onclick="ReportPerTipiSelezionati(2)" />
		<input type=button value="report x 2" onclick="ReportPerTipiSelezionati(3)" />
	</div>
</form>
<br>
<table>
	<tr><td style="vertical-align:top">
		<span ButtonSet>
			<input type=button value="Sel.Tutto" onclick="objCodice.Seleziona(true)" />
			<input type=button value="Sel.Niente" onclick="objCodice.Seleziona(false)" />
			<input type=button value="Elimina" onclick="objCodice.Elimina()" />
		</span>

		<span ButtonSet>
		<?php PaginazioneNavigazione('frmRicerca') ?>
		</span>
		<br>
		<br>

		<div id="lista-risultati-ricerca"></div>
		<br>

		<span ButtonSet>
			<input type=button value="Sel.Tutto" onclick="objCodice.Seleziona(true)" />
			<input type=button value="Sel.Niente" onclick="objCodice.Seleziona(false)" />
			<input type=button value="Elimina" onclick="objCodice.Elimina()" />
		</span>

		<span ButtonSet>
		<?php PaginazioneNavigazione('frmRicerca') ?>
		</span>
	<td style="vertical-align:top">
		<?php include('mappa.inc') ?>
	<td style="vertical-align:top">
		<?php include('coperture.inc') ?>
</table>

</body>
</html>
