<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdAmbiente = ntxip('IdAmbiente');

 

$where = "WHERE ComponentiAmbiente.IdCommessa=$IdCommessa AND ComponentiAmbiente.IdEdificio=$IdEdificio AND ComponentiAmbiente.IdAmbiente=$IdAmbiente AND (ComponentiAmbiente.Rimosso IS NULL OR ComponentiAmbiente.Rimosso=0)";

 
if ( isset($_POST['CodiceAssComponente'])  &&  strlen($_POST['CodiceAssComponente'])>0) 
{
	$str = stripslashes($_POST['CodiceAssComponente']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND ComponentiAmbiente.CodiceAssComponente LIKE '%".$str."%' ";
} 

if ( is_numeric($_POST['GruppoImpianto'])) 
{
	$val = (int)$_POST['GruppoImpianto'];
	$where .= " AND (TipoComponente.GruppoImpianto  = $val) ";
}
if ( is_numeric($_POST['IdTipoComponente'])) 
{
	$val = (int)$_POST['IdTipoComponente'];
	$where .= " AND (TipoComponente.IDTipoComponente  = $val) ";
}
 
 
 
$sql = <<< sql
	SELECT     ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente, 
                      TipoComponente.ordinamento
	FROM         TipoComponente RIGHT OUTER JOIN
                      ComponentiAmbiente ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente
	$where
sql;
 
$paginazione = ntxPaginazione($sql, "CodiceAssComponente, ordinamento, DesComponente");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>ID
			<th>Codice
			<th>Tipo
			<th>
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr>
			<td><input type=checkbox SelRiga IdRiga=$rs[IDComponente] />
			<td><input type=button value=edit onclick="objCodice.CaricaForm($rs[IDComponente])" />
			<td>$html[IDComponente]
			<td>$html[CodiceAssComponente]
			<td>$html[DesComponente]
			<td><input type=button value=prop onclick="SelComponente($rs[IDComponente])" />
		</tr>
table;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
