<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdProprietario = ntxip('IdProprietario');

$where = "WHERE ElencoEdifici.IdCommessa=$IdCommessa AND ElencoEdifici.IdProprietario=$IdProprietario AND (ElencoEdifici.Rimosso IS NULL OR ElencoEdifici.Rimosso=0)";


if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";
if ( strlen("$_POST[EdificioBreve]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";
if ( strlen("$_POST[EdificioEstesa]")>0 ) $where .= " AND ElencoEdifici.EdificioEstesa LIKE '%".str_replace("'","''",$_POST[EdificioEstesa])."%'";
if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";
if ( strlen("$_POST[CITTA]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";
if ( strlen("$_POST[PROVINCIA]")>0 ) $where .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[PROVINCIA])."%'";
if ( strlen("$_POST[Note]")>0 ) $where .= " AND ElencoEdifici.Note LIKE '%".str_replace("'","''",$_POST[Note])."%'";

switch($_POST[filtra])
{
	case 1:
		$sql = <<< sql
			SELECT     ID, Codice, EdificioBreve, 
					EdificioEstesa, Indirizzo, CITTA, 
					PROVINCIA, Note
			FROM         ElencoEdifici
			$where
sql;
		break;
	case 2:
		$sql = <<< sql
			SELECT  DISTINCT   ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA, ElencoEdifici.Note
			FROM         ElencoEdifici INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
			$where
			AND UtentiEdifici.IdUtente=$IdUtente
sql;
		break;
}

$paginazione = ntxPaginazione($sql, "Codice, EdificioBreve");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>ID
			<th>Codice
			<th>EdificioBreve
			<th>EdificioEstesa
			<th>Indirizzo
			<th>CITTA
			<th>PROVINCIA
			<th>Note
			<th>
		</tr>
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr>
			<td><input type=checkbox SelRiga IdRiga=$rs[ID] />
			<td><input type=button value=edit onclick="objCodice.CaricaForm($rs[ID])" />
			<td>$html[ID]
			<td>$html[Codice]
			<td>$html[EdificioBreve]
			<td>$html[EdificioEstesa]
			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[Note]
			<td><input type=button value=piani onclick="SelEdificio($rs[ID])" />
		</tr>
table;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
