<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IdAmbiente = ntxip('IdAmbiente');
$IdTipoComponente = ntxip('IdTipoComponente');

if ( $_POST[TipoReport]==3 )
	$fontSize = "6pt";
else
	$fontSize = "9pt";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<style>
* {
	font-family: Arial;
	font-size: <?php echo $fontSize ?>;
}

.TendinaSelezione {
	position:absolute;
	border:1px solid silver;
	padding: 0px;
	background-color: white;
	display:none
}

.TastoTendinaSelezione {
	font-size: 9pt;
	margin: 0px;
	padding: 5px;
	color: black;
	text-align: left;
	cursor: pointer;
}

.TastoTendinaSelezione:hover {
	border-color:  gray;
	font-weight: bold;
}

.buttonDiv, .buttonDiv2 {
	font-size: 7pt;
	padding-left: 10px;
	border: 2px solid silver;
	background-color: #FbFbFb;
	color: black;
	text-align: left;
	cursor: pointer;
}

.buttonDiv:hover, .buttonDiv2:hover {
	background-color: white;
	border-color:  gray;
}

.buttonDiv2 {
	font-size: 11pt;
	padding: 5px;
}

.divInfo {
	border: 1px solid silver;
	padding: 10px;
	background-color: white;
	margin-bottom: 5px;
}

.buttonSpan {
	font-size: 9pt;
	padding: 10px;
	border: 2px solid silver;
	background-color: #FbFbFb;
	color: black;
	text-align: left;
	cursor: pointer;
}

.buttonSpan:hover {
	border-color:  gray;
	background-color: white;
}

.divBody {
	display:none;
	border: 1px solid silver;
	padding: 10px;
	background-color: white;
	margin-bottom: 5px;
}

.divBodyVani {
	border: 1px solid silver;
	padding: 10px;
	height: 600px;
	background-color: white;
	margin-bottom: 5px;
	overflow:auto;
	margin-right:5px;
	float:left;
}

.grid th {
	text-align:left;
	padding: 5px;
	border-bottom:2px solid grey;
}

.grid td {
	text-align:left;
	padding: 5px;
	border-bottom:1px dashed silver;
}

.grid2  {
	border:1px solid silver;
}

.grid2 th {
	text-align:left;
	padding: 5px;
	border-bottom:1px dashed silver;
	vertical-align:top;
}

.grid2 td {
	text-align:left;
	padding: 5px;
	border-bottom:1px dashed silver;
	vertical-align:top;
}
		@media print
		{    
			.no-print, .no-print *
			{
				display: none !important;
			}
		}
	</style>
</head>
<body>

<input type=button value="stampa" onclick="print()" class="no-print"></input>

<form name="frmRicerca" method="post">
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
	<input type=hidden name=IdPiano value="<?php echo $IdPiano ?>" />
	<input type=hidden name=IdAmbiente value="<?php echo $IdAmbiente ?>" />
	<input type=hidden name=IdTipoComponente value="<?php echo $IdTipoComponente ?>" />
</form>
<br>
<?php

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse 
	WHERE IdCommessa=$IdCommessa
sql;

$pathPublicShapeWeb = ntxScalar($sql);
			
if ( $_POST[TipoReport]==1  &&  is_numeric($IdTipoComponente) ) 
{
	$addWhere = "AND (ComponentiAmbiente.IdTipoComponente = $IdTipoComponente) ";
}
elseif ( $_POST[TipoReport]==2 || $_POST[TipoReport]==3 )
{
	$ElencoTipiComponenti = ntxlnp('ElencoTipiComponenti');
	$addWhere = "AND (ComponentiAmbiente.IdTipoComponente IN ($ElencoTipiComponenti)) ";
}

$sqlElencoIdComponenti = <<< sqlElencoIdComponenti
	SELECT     ComponentiAmbiente.IDComponente
	FROM         ComponentiAmbiente INNER JOIN
						  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
	WHERE     (ComponentiAmbiente.IdCommessa = $IdCommessa) 
		AND (ComponentiAmbiente.IdEdificio = $IdEdificio) 
		AND (ComponentiAmbiente.IDAmbiente = $IdAmbiente) 
		$addWhere
		AND (ComponentiAmbiente.Rimosso = 0 OR ComponentiAmbiente.Rimosso IS NULL)
	ORDER BY TipoComponente.DesComponente, ComponentiAmbiente.CodiceAssComponente
sqlElencoIdComponenti;

$queryElencoIdComponenti = ntxQuery($sqlElencoIdComponenti);


if ( $_POST[TipoReport]==2 )
	require_once("index-2.inc");
else
	require_once("index-3.inc");
	
	
?>
<script>

function SaltaAdAllegaFotoComponente(IdComponente)
{
	parent.form1.IdEdificio.value = frmRicerca.IdEdificio.value;
	parent.form1.IdPiano.value = frmRicerca.IdPiano.value;
	parent.form1.IdAmbiente.value = frmRicerca.IdAmbiente.value;
	parent.form1.IdComponenteAmbiente.value = IdComponente;
	
	parent.drcUpdateFrame(parent.form1, "proprieta");
	parent.drcShowKeyTab("proprieta");
}

</script>



</body>
</html>
