<?php  
session_start();
require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
		<link href="../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
		<link href="../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
		<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
		<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
		<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
		<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
</head>

<body>
<?php

$sql =  <<< SQL

SELECT tblUtEdifici.Tipologia, tblUtUtilizzatori.ClasseUtilizzatore, tblUtEdifici.IdEdificio, tblUtUtilizzatori.cdc, 
	   tblUtUtilizzatori.IdStatoUtilizzatore, tblUtUtilizzatori.CodiceUtilizzatore, tblUtUtilizzatori.IdUtilizzatore, 
	   (CASE WHEN tblUtUtilizzatori.Tipo3 IS NULL THEN 'NESSUNA CATEGORIA ASSOCIATA' ELSE TipiUtilizzatore3.Descrizione END) AS D3,
	   tblUtUtilizzatori.Nome, tblUtUtilizzatori.Indirizzo, tblUtEdifici.Qta, 
	   tblUtUtilizzatori.Descrizione AS Quartiere, tblUtEdifici.DataInizio, tblUtEdifici.DataFine, tblUtEdifici.IdUtEdificio, 
	   (CASE WHEN tblUtUtilizzatori.EsenteIVA = 1 THEN 'ISTITUZIONI NON RILEVANTI I.V.A'
	   WHEN tblUtUtilizzatori.EsenteIVA = 0 THEN 'ISTITUZIONI RILEVANTI I.V.A'
	   WHEN tblUtUtilizzatori.EsenteIVA IS NULL THEN 'RILEVANZA I.V.A. NON DEFINITA' END) AS k,
       (CASE WHEN (tblUtUtilizzatori.IdStatoUtilizzatore = 0 OR tblUtUtilizzatori.IdStatoUtilizzatore IS NULL) THEN 'NO' ELSE 'SI' END) AS h
FROM   tblUtEdifici INNER JOIN tblUtUtilizzatori ON tblUtEdifici.IdCommessa = tblUtUtilizzatori.IdCommessa 
	   AND tblUtEdifici.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN TipiUtilizzatori 
	   ON tblUtEdifici.IdCommessa = TipiUtilizzatori.IdCommessa AND tblUtEdifici.Tipologia = TipiUtilizzatori.Id LEFT OUTER JOIN
       TipiUtilizzatore3 ON tblUtUtilizzatori.IdCommessa = TipiUtilizzatore3.IdCommessa AND tblUtUtilizzatori.Tipo3 = TipiUtilizzatore3.Id
WHERE  (tblUtEdifici.Tipologia = 2) AND (tblUtUtilizzatori.ClasseUtilizzatore = 'ai') AND (tblUtEdifici.Qta IS NOT NULL) 
	   	
SQL;

if ( is_numeric($_POST['DISMESSO'])) 
{
	$IdStatoUtilizzatore = (int)$_POST['DISMESSO'];

	if ( $IdStatoUtilizzatore==1 ) 
	
	{
		$sql .= " AND (tblUtUtilizzatori.IdStatoUtilizzatore = 1) ";
	
	}	else {

		$sql .= " AND ((tblUtUtilizzatori.IdStatoUtilizzatore = 0) OR (tblUtUtilizzatori.IdStatoUtilizzatore IS NULL)) ";
	}		
}

if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sql .= " AND (tblUtUtilizzatori.IdUtilizzatore = $IdUtilizzatore) ";
}

if ( is_numeric($_POST['IVA'])) {

	if ($_POST['IVA'] == 2) { 

		$sql .= " AND (tblUtUtilizzatori.EsenteIVA = 1) ";

	} elseif ($_POST['IVA'] == 1) { 

		$sql .= " AND (tblUtUtilizzatori.EsenteIVA = 0) "; 

	} elseif ($_POST['IVA'] == 0) { 

		$sql .= " AND (tblUtUtilizzatori.EsenteIVA IS NULL) "; 
	}
}

if ( is_numeric($_POST['Tipo'])) 
{
	if ($_POST['Tipo'] == 0) { 

		$sql .= " AND (tblUtUtilizzatori.Tipo3 IS NULL ) ";

	} else { 

		$Tipo = (int)$_POST['Tipo'];
		$sql .= " AND (tblUtUtilizzatori.Tipo3 = $Tipo) "; 

	}
}

if ( is_numeric($_POST['CDE'])) 
{
	$ID = (int)$_POST['CDE'];
	$sql .= " AND (tblUtEdifici.IdEdificio = $ID) ";
}

if ( isset($_POST['CDC'])  &&  strlen($_POST['CDC'])>0) 
{
	$str = stripslashes($_POST['CDC']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.cdc LIKE '%".$str."%' ";
}

if ( isset($_POST['Codice'])  &&  strlen($_POST['Codice'])>0) 
{
	$str = stripslashes($_POST['Codice']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND CodiceUtilizzatore LIKE '%".$str."%' ";
}

if ( isset($_POST['Utilizzatore'])  &&  strlen($_POST['Utilizzatore'])>0) 
{
	$str = stripslashes($_POST['Utilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Nome LIKE '%".$str."%' ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Indirizzo LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Quartiere'])) 
{
	$Quartiere = (int)$_POST['Quartiere'];
	$sql .= " AND ((CASE 
	WHEN tblUtUtilizzatori.Descrizione = 'BORGO PANIGALE' THEN 1
	WHEN tblUtUtilizzatori.Descrizione = 'NAVILE' THEN 2
	WHEN tblUtUtilizzatori.Descrizione = 'PORTO' THEN 3
	WHEN tblUtUtilizzatori.Descrizione = 'RENO' THEN 4
	WHEN tblUtUtilizzatori.Descrizione = 'SAN DONATO' THEN 5
	WHEN tblUtUtilizzatori.Descrizione = 'SAN VITALE' THEN 6
	WHEN tblUtUtilizzatori.Descrizione = 'SANTO STEFANO' THEN 7
	WHEN tblUtUtilizzatori.Descrizione = 'SARAGOZZA' THEN 8
	WHEN tblUtUtilizzatori.Descrizione = 'SAVENA' THEN 9
	END) = $Quartiere) ";
}

$sql .= " ORDER BY k, TipiUtilizzatore3.Descrizione, tblUtUtilizzatori.Nome";

$query = ntxQuery($sql);

?>

<script language=javascript>

function visualizza()
{
	document.form2.action="elencoedificicanone_c.php";
	document.form2.submit();
}

function excel(a,b,c,d,e,f,g,h,i)
{
	document.form3.IVA.value=''+a;
	document.form3.CDE.value=''+b;
	document.form3.CDC.value=''+c;
	document.form3.Codice.value=''+d;
	document.form3.Utilizzatore.value=''+e;
	document.form3.Indirizzo.value=''+f;
	document.form3.Quartiere.value=''+g;
	document.form3.Tipo.value=''+h;
	document.form3.DISMESSO.value=''+i;	
	document.form3.action="exceledificicanone_c.php";
	document.form3.target="frameExcel";
	document.form3.submit();
}

function d(id)
{
	if ( !confirm("Confermi dismissione?") ) return;

	document.form1.IdUtilizzatore.value=''+id;	
	document.form1.v.value = 1;
	document.form1.action="modificaedificicanone_c.php";
	document.form1.submit();
}

function r(id)
{
	if ( !confirm("Confermi reintegro?") ) return;

	document.form1.IdUtilizzatore.value=''+id;	
	document.form1.v.value = 0;
	document.form1.action="modificaedificicanone_c.php";
	document.form1.submit();
}

function report()
{

	if (!document.form2.DataInizio.value)
	{
	alert("Campo Inizio vuoto!");
	return;
	}
	
	if (!document.form2.DataFine.value)
	{
	alert("Campo Fine vuoto!");
	return;
	}
	
	if ( !confirm("Confermi invio report?") ) return;

	document.form2.action="InvioReport_c.php";
	document.form2.submit();
}

function anteprima()
{

	if (!document.form2.DataInizio.value)
	{
	alert("Campo Inizio vuoto!");
	return;
	}
	
	if (!document.form2.DataFine.value)
	{
	alert("Campo Fine vuoto!");
	return;
	}

	document.form2.action="anteprimaAI_c.php";
	document.form2.submit();
}

function dettaglio(id)
{
	document.form1.IdUtEdificio.value=''+id;	
	document.form1.action="dettaglio_c.php";
	document.form1.submit();
}

$(function(){
	$('#DataInizio').datepicker();
	$('#DataFine').datepicker();
});

</script>

<iframe id="frameExcel" name="frameExcel" style="width:1px;height:1px"></iframe>

<form name=form3 method=post>
<input TYPE=HIDDEN NAME=IVA />
<input TYPE=HIDDEN NAME=CDE />
<input TYPE=HIDDEN NAME=CDC />
<input TYPE=HIDDEN NAME=Codice />
<input TYPE=HIDDEN NAME=Utilizzatore />
<input TYPE=HIDDEN NAME=Indirizzo />
<input TYPE=HIDDEN NAME=Quartiere />
<input TYPE=HIDDEN NAME=Tipo />
<input TYPE=HIDDEN NAME=DISMESSO />
</form>

<form name=form2 method=post>
<table align=center >
<tr><th colspan=17><font color=aqua>ELENCO IMPIANTI</th>
<tr>
<th>IVA<td style="width:20%"><select type="text" name="IVA" >
<option value="" selected>
</option><option value=2>NON RILEVANTE IVA</option>
</option><option value=1>RILEVANTE IVA</option>
</option><option value=0>RILEVANZA IVA NON DEFINITA</option>
</select>	
<th style="width:1%">CDE<td style="width:6%"><input type="text" name="CDE" id="CDE" />
<th style="width:1%">CDC<td style="width:5%"><input type="text" name="CDC" id="CDC" />
<th style="width:1%">Codice<td colspan=3 style="width:15%"><input type="text" name="Codice" id="Codice" />
<th style="width:1%">Descrizione<td style="width:15%"><input type="text" name="Utilizzatore" id="Utilizzatore" />
<th style="width:1%">Indirizzo<td style="width:15%"><input type="text" name="Indirizzo" id="Indirizzo" />
<th style="width:1%">Quartiere<td style="width:15%" colspan=2><select type="text" name="Quartiere" >
<option value="" selected>
</option><option value=1>BORGO PANIGALE</option>
</option><option value=2>NAVILE</option>
</option><option value=3>PORTO</option>
</option><option value=4>RENO</option>
</option><option value=5>SAN DONATO</option>
</option><option value=6>SAN VITALE</option>
</option><option value=7>SANTO STEFANO</option>
</option><option value=8>SARAGOZZA</option>
</option><option value=9>SAVENA</option>
</select>	
<tr>
<th>Tipo<td style="width:20%">
	<select name="Tipo" >
	<?php
	
		$sql2 = "SELECT DISTINCT TipiUtilizzatore3.Id, TipiUtilizzatore3.Descrizione
				 FROM TipiUtilizzatore3 INNER JOIN tblUtUtilizzatori 
				 ON TipiUtilizzatore3.IdCommessa = tblUtUtilizzatori.IdCommessa 
				 AND TipiUtilizzatore3.Id = tblUtUtilizzatori.Tipo3 INNER JOIN
                 tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa 
				 AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore
				 WHERE (tblUtEdifici.Tipologia = 2) AND (tblUtEdifici.MQ IS NOT NULL) 
				 AND (tblUtUtilizzatori.ClasseUtilizzatore = 'pi')
				 ORDER BY TipiUtilizzatore3.Descrizione;";
		
		$query2 = ntxQuery($sql2);
		echo "<option value=''>";
		while ( $rs2 = ntxIRecord($query2) )
		{
			$id2 = htmlentities($rs2[0]."");
			$tipo2 = htmlentities($rs2[1]."");
			echo "<option value=$id2>$tipo2\n";
		}
	?>
	<option value=0>NESSUNA CATEGORIA ASSOCIATA</option>
	</select>	
	
<th>Dismesso<td style="width:10%"><select type="text" name="DISMESSO" >
<option value="" selected></option>
<option value=1>SI</option>
<option value=0>NO</option>
</select>
<th style="width:1%"><input type="button" style="width=100%" value="excel" onclick="excel('<?php echo ($_POST['IVA']) ?>' , '<?php echo ($_POST['CDE']) ?>' , '<?php echo ($_POST['CDC']) ?>' , '<?php echo ($_POST['Codice']) ?>' , '<?php echo ($_POST['Utilizzatore']) ?>' , '<?php echo ($_POST['Indirizzo']) ?>' , '<?php echo ($_POST['Quartiere']) ?>' , '<?php echo ($_POST['Tipo']) ?>' , '<?php echo ($_POST['DISMESSO']) ?>')"></th>
<th style="width:1%"><input type="button"  value="filtra / togli filtro" onclick="visualizza()"></th>
<td colspan=4>
<th style="width:1%"><font color=orange>Inizio<td style="width:4%"><input type="text" name="DataInizio" id="DataInizio" />
<th style="width:1%"><font color=orange>Fine<td style="width:4%"><input type="text" name="DataFine" id="DataFine" />
<th colspan=2 ><input type="button" style="width:100%" value="anteprima" onclick="anteprima()">
<th ><input type="button" style="width:100%" value="invio report" onclick="report()"></th>
<?php

?>
</table>
</form>

<form name=form1 method=post>
<input TYPE=HIDDEN NAME=v />
<input TYPE=HIDDEN NAME=IdUtEdificio />
<input TYPE=HIDDEN NAME=IdUtilizzatore />
<table style="width:100%" align=center>

	<tr><th colspan=2>FUNZIONI</th><th>DIS MESSO</th><th>IVA</th><th>TIPO</th><th>CDE</th><th>CDC</th><th>CODICE</th><th>DESCRIZIONE</th><th>INDIRIZZO</th><th>QUARTIERE</th><th>DATA INIZIO</th><th>DATA FINE</th><th>QTA</th></tr>
<?php
	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
	
	if($rs['h']=='SI') {$a="red";} else {$a="black";}
?>
		<tr>
		<td><input type="button" style="width:100%;" value="dismissione" onclick="d('<?php echo $rs['IdUtilizzatore'] ?>')">
		<input type="button" style="width:100%;" value="reintegro" onclick="r('<?php echo $rs['IdUtilizzatore'] ?>')">
		<td><input type="button" style="width:100%;" value="modifica" onclick="dettaglio('<?php echo $rs['IdUtEdificio'] ?>')">
		<input type="button" style="width:100%;" disabled value="-" onclick="">
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DISMESSO" >&nbsp;<font color= <?php echo $a ?> ><?php echo htmlentities($rs['h']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="IVA" >&nbsp;<?php echo htmlentities($rs['k']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="TIPO" >&nbsp;<?php echo htmlentities($rs['D3']) ?>&nbsp;</td>			
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CDE" >&nbsp;<?php echo htmlentities($rs['IdEdificio']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CDC" >&nbsp;<?php echo htmlentities($rs['cdc']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CODICE" >&nbsp;<?php echo htmlentities($rs['CodiceUtilizzatore']) ?>&nbsp;</td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DESCRIZIONE" >&nbsp;<?php echo htmlentities($rs['Nome']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="INDIRIZZO" >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="QUARTIERE" >&nbsp;<?php echo htmlentities($rs['Quartiere']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DATA INIZIO" >&nbsp;<?php echo ntxDate($rs['DataInizio']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DATA FINE" >&nbsp;<?php echo ntxDate($rs['DataFine']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="QTA"  >&nbsp;<?php echo ntxRoundThousand($rs['Qta'],2) ?>&nbsp;</td>
		
<?php

	$n++;
	$alternate = !$alternate;
	}
?>

<tr><td colspan=2>&nbsp;Num.Righe = <?php echo htmlentities($n) ?></td>
<td colspan=12>

</table>
</form>

</body>
</html>
