<?php  
session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

header('Pragma: private');
header('Cache-Control: private, must-revalidate');
header('Content-type: application/vnd.ms-excel');
header('Content-Disposition: attachment; filename=elenco edifici a canone.xls');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<style type="text/css"> 
	table, th, td 
	{
		border: solid 1px;
		border-color:#5B5B5B;
	}
</head>

<body>
<?php

$sql =  <<< SQL

SELECT  tblUtEdifici.Tipologia, tblUtUtilizzatori.ClasseUtilizzatore, tblUtEdifici.IdEdificio, tblUtUtilizzatori.cdc, 
		tblUtUtilizzatori.IdStatoUtilizzatore, tblUtUtilizzatori.CodiceUtilizzatore, tblUtUtilizzatori.IdUtilizzatore, 
		TipiUtilizzatore3.Descrizione AS D3, tblUtUtilizzatori.Nome, tblUtUtilizzatori.Indirizzo, tblUtEdifici.MQ, 
		tblUtUtilizzatori.Descrizione AS Quartiere, tblUtEdifici.DataInizio, tblUtEdifici.DataFine,
		(CASE WHEN tblUtUtilizzatori.EsenteIVA = 1 THEN 'ISTITUZIONI NON RILEVANTI I.V.A' ELSE 'ISTITUZIONI RILEVANTI I.V.A' END) AS k,
		(CASE WHEN (tblUtUtilizzatori.IdStatoUtilizzatore = 0 OR tblUtUtilizzatori.IdStatoUtilizzatore IS NULL) THEN 'NO' ELSE 'SI' END) AS h
FROM    TipiUtilizzatore3 INNER JOIN tblUtUtilizzatori ON TipiUtilizzatore3.IdCommessa = tblUtUtilizzatori.IdCommessa 
		AND TipiUtilizzatore3.Id = tblUtUtilizzatori.Tipo3 INNER JOIN tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa 
		AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore INNER JOIN TipiUtilizzatori 
		ON tblUtEdifici.IdCommessa = TipiUtilizzatori.IdCommessa AND tblUtEdifici.Tipologia = TipiUtilizzatori.Id
WHERE   (tblUtEdifici.Tipologia = 2) AND (tblUtEdifici.MQ IS NOT NULL) AND (tblUtUtilizzatori.ClasseUtilizzatore = 'pi')
			
SQL;

if ( is_numeric($_POST['DISMESSO'])) 
{
	$IdStatoUtilizzatore = (int)$_POST['DISMESSO'];

	if ( $IdStatoUtilizzatore==1 ) 
	
	{
		$sql .= " AND (tblUtUtilizzatori.IdStatoUtilizzatore = -1) ";
	
	}	else {

		$sql .= " AND ((tblUtUtilizzatori.IdStatoUtilizzatore = 0) OR (tblUtUtilizzatori.IdStatoUtilizzatore IS NULL)) ";
	}		
}

if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sql .= " AND (tblUtUtilizzatori.IdUtilizzatore = $IdUtilizzatore) ";
}

if ( is_numeric($_POST['IVA'])) 
{
	$IVA = (int)$_POST['IVA'];
	$sql .= " AND (tblUtUtilizzatori.EsenteIVA = $IVA) ";
}

if ( is_numeric($_POST['Tipo'])) 
{
	$Tipo = (int)$_POST['Tipo'];
	$sql .= " AND (TipiUtilizzatore3.Id = $Tipo) ";
}

if ( is_numeric($_POST['CDE'])) 
{
	$ID = (int)$_POST['CDE'];
	$sql .= " AND (tblUtEdifici.IdEdificio = $ID) ";
}

if ( isset($_POST['CDC'])  &&  strlen($_POST['CDC'])>0) 
{
	$str = stripslashes($_POST['CDC']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.cdc LIKE '%".$str."%' ";
}

if ( isset($_POST['Codice'])  &&  strlen($_POST['Codice'])>0) 
{
	$str = stripslashes($_POST['Codice']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND CodiceUtilizzatore LIKE '%".$str."%' ";
}

if ( isset($_POST['Utilizzatore'])  &&  strlen($_POST['Utilizzatore'])>0) 
{
	$str = stripslashes($_POST['Utilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Nome LIKE '%".$str."%' ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Indirizzo LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Quartiere'])) 
{
	$Quartiere = (int)$_POST['Quartiere'];
	$sql .= " AND ((CASE 
	WHEN tblUtUtilizzatori.Descrizione = 'BORGO PANIGALE' THEN 1
	WHEN tblUtUtilizzatori.Descrizione = 'NAVILE' THEN 2
	WHEN tblUtUtilizzatori.Descrizione = 'PORTO' THEN 3
	WHEN tblUtUtilizzatori.Descrizione = 'RENO' THEN 4
	WHEN tblUtUtilizzatori.Descrizione = 'SAN DONATO' THEN 5
	WHEN tblUtUtilizzatori.Descrizione = 'SAN VITALE' THEN 6
	WHEN tblUtUtilizzatori.Descrizione = 'SANTO STEFANO' THEN 7
	WHEN tblUtUtilizzatori.Descrizione = 'SARAGOZZA' THEN 8
	WHEN tblUtUtilizzatori.Descrizione = 'SAVENA' THEN 9
	END) = $Quartiere) ";
}

$sql .= " ORDER BY k, TipiUtilizzatore3.Descrizione, tblUtUtilizzatori.Nome";

$query = ntxQuery($sql);

?>

<form name=form1 method=post>

<table align=center>

	<tr><th>DISMESSO</th><th>IVA</th><th>TIPO</th><th>CDE</th><th>CDC</th><th>CODICE</th><th>DESCRIZIONE</th><th>INDIRIZZO</th><th>QUARTIERE</th><th>DATA INIZIO</th><th>DATA FINE</th><th>MQ</th></tr>
	
<?php

	while( $rs = ntxRecord($query) )
	{
	
	if($rs['h']=='SI') {$a="red";} else {$a="black";}
?>
		<tr>
		<td >&nbsp;<font color= <?php echo $a ?> ><?php echo htmlentities($rs['h']) ?>&nbsp;</td>		
		<td >&nbsp;<?php echo htmlentities($rs['k']) ?>&nbsp;</td>		
		<td >&nbsp;<?php echo htmlentities($rs['D3']) ?>&nbsp;</td>			
		<td >&nbsp;<?php echo htmlentities($rs['IdEdificio']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo htmlentities($rs['cdc']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo htmlentities($rs['CodiceUtilizzatore']) ?>&nbsp;</td>	
		<td >&nbsp;<?php echo htmlentities($rs['Nome']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo htmlentities($rs['Quartiere']) ?>&nbsp;</td>	
		<td >&nbsp;<?php echo ntxDate($rs['DataInizio']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo ntxDate($rs['DataFine']) ?>&nbsp;</td>			
		<td align=right ><?php echo ntxRoundThousand($rs['MQ'],2) ?></td>
		
<?php

	$n++;
	
	if ( is_numeric($rs['MQ']) ) $MQ += (float)($rs['MQ']);

	}
?>

<tr><td colspan=2>&nbsp;Num.Righe = <?php echo htmlentities($n) ?></td>
<td colspan=9>
<td>&nbsp;<?php echo ntxRoundThousand($MQ,2) ?></td></tr>

</table>
</form>

</body>
</html>
