<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
		<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
		<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
</head>

<body>
<?php

$IdContrattoFornitore = ntxip('IdContrattoFornitore');
$IdFornitore = ntxip('IdFornitore');

$sql =  <<< SQL

SELECT DISTINCT Ditte.Ditta, tblContrattiFornitori.Descrizione AS Oggetto, tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio, 
				tblUtUtilizzatori.cdc, tblUtUtilizzatori.CodiceUtilizzatore, tblUtUtilizzatori.Nome, tblUtUtilizzatori.Indirizzo, 
				tblUtUtilizzatori.Descrizione AS Quartiere, tblMestieri.Descrizione AS Mestiere, TipiUtilizzatori2.Tipo,
				tblUtUtilizzatori.ClasseUtilizzatore, tblUtEdifici.DataInizio, tblUtEdifici.DataFine
FROM            tblContrattiFornitori INNER JOIN tblContrattiFornitoriAttivitàMestiereEdifici 
				ON tblContrattiFornitori.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                tblContrattiFornitori.IdContrattoFornitore = tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore INNER JOIN
                tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa 
				AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                ElencoEdifici ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
                tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                tblUtEdifici ON ElencoEdifici.IdCommessa = tblUtEdifici.IdCommessa AND ElencoEdifici.ID = tblUtEdifici.IdEdificio INNER JOIN
                tblUtUtilizzatori ON tblUtEdifici.IdCommessa = tblUtUtilizzatori.IdCommessa 
				AND tblUtEdifici.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN
                Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta INNER JOIN
                tblAttivitàMestieriTipiUtilizzatori2 ON tblAttivitàMestiere.IdCommessa = tblAttivitàMestieriTipiUtilizzatori2.IdCommessaAttMest AND 
                tblAttivitàMestiere.IdAttivitàMestiere = tblAttivitàMestieriTipiUtilizzatori2.IdAttivitàMestiere INNER JOIN
                TipiUtilizzatori2 ON tblAttivitàMestieriTipiUtilizzatori2.IdCommessaTipoUtiliz = TipiUtilizzatori2.IdCommessa AND 
                tblAttivitàMestieriTipiUtilizzatori2.IdTipoUtiliz = TipiUtilizzatori2.IdTipo 
				AND tblUtUtilizzatori.IdCommessa = TipiUtilizzatori2.IdCommessa AND 
                tblUtUtilizzatori.TipoUtilizzatore2 = TipiUtilizzatori2.IdTipo
WHERE  		    (tblContrattiFornitori.IdContrattoFornitore = $IdContrattoFornitore)

SQL;

if ( is_numeric($_POST['CDE'])) 
{
	$ID = (int)$_POST['CDE'];
	$sql .= " AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $ID) ";
}

if ( isset($_POST['CDC'])  &&  strlen($_POST['CDC'])>0) 
{
	$str = stripslashes($_POST['CDC']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.cdc LIKE '%".$str."%' ";
}

if ( isset($_POST['Codice'])  &&  strlen($_POST['Codice'])>0) 
{
	$str = stripslashes($_POST['Codice']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.CodiceUtilizzatore LIKE '%".$str."%' ";
}

if ( isset($_POST['Utilizzatore'])  &&  strlen($_POST['Utilizzatore'])>0) 
{
	$str = stripslashes($_POST['Utilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Nome LIKE '%".$str."%' ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Indirizzo LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Quartiere'])) 
{
	$Quartiere = (int)$_POST['Quartiere'];
	$sql .= " AND ((CASE 
	WHEN tblUtUtilizzatori.Descrizione = 'BORGO PANIGALE' THEN 1
	WHEN tblUtUtilizzatori.Descrizione = 'NAVILE' THEN 2
	WHEN tblUtUtilizzatori.Descrizione = 'PORTO' THEN 3
	WHEN tblUtUtilizzatori.Descrizione = 'RENO' THEN 4
	WHEN tblUtUtilizzatori.Descrizione = 'SAN DONATO' THEN 5
	WHEN tblUtUtilizzatori.Descrizione = 'SAN VITALE' THEN 6
	WHEN tblUtUtilizzatori.Descrizione = 'SANTO STEFANO' THEN 7
	WHEN tblUtUtilizzatori.Descrizione = 'SARAGOZZA' THEN 8
	WHEN tblUtUtilizzatori.Descrizione = 'SAVENA' THEN 9
	END) = $Quartiere) ";
}

if ( isset($_POST['Mestiere'])  &&  strlen($_POST['Mestiere'])>0) 
{
	$str = stripslashes($_POST['Mestiere']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblMestieri.Descrizione LIKE '%".$str."%' ";
}

$sql .= " ORDER BY tblUtUtilizzatori.Nome, tblMestieri.Descrizione";

$query = ntxQuery($sql);

?>

<script language=javascript>

function back(id)
{
	document.form2.IdFornitore.value=''+id;
	document.form2.action="contrattifornitori.php";
	document.form2.submit();
}

function visualizza(id,a)
{
	document.form2.IdContrattoFornitore.value=''+id;
	document.form2.IdFornitore.value=''+a;	
	document.form2.action="dettaglio.php";
	document.form2.submit();
}

function excel(id,a,b,c,d,e,f,g,h)
{
	document.form3.IdContrattoFornitore.value=''+id;
	document.form3.IdFornitore.value=''+a;
	document.form3.CDE.value=''+b;
	document.form3.CDC.value=''+c;
	document.form3.Codice.value=''+d;
	document.form3.Utilizzatore.value=''+e;
	document.form3.Indirizzo.value=''+f;
	document.form3.Quartiere.value=''+g;
	document.form3.Mestiere.value=''+h;
	document.form3.action="exceldettaglio.php";
	document.form3.target="frameExcel";
	document.form3.submit();
	document.form3.target='';
}

</script>

<iframe id="frameExcel" name="frameExcel" style="width:1px;height:1px"></iframe>
<form name=form3 method=post>
<input TYPE=HIDDEN NAME=IdContrattoFornitore />
<input TYPE=HIDDEN NAME=IdFornitore />
<input TYPE=HIDDEN NAME=CDE />
<input TYPE=HIDDEN NAME=CDC />
<input TYPE=HIDDEN NAME=Codice />
<input TYPE=HIDDEN NAME=Utilizzatore />
<input TYPE=HIDDEN NAME=Indirizzo />
<input TYPE=HIDDEN NAME=Quartiere />
<input TYPE=HIDDEN NAME=Mestiere />
</form>

<form name=form2 method=post>
<input TYPE=HIDDEN NAME=IdContrattoFornitore />
<input TYPE=HIDDEN NAME=IdFornitore />
<table align=center >
<tr><th colspan=14><font color="#00FF00">CONTRATTI FORNITORI</th>
<tr>
<th style="width:1%">CDE<td style="width:5%"><input type="text" name="CDE" id="CDE" />
<th style="width:1%">CDC<td style="width:5%"><input type="text" name="CDC" id="CDC" />
<th style="width:1%">Codice<td style="width:10%"><input type="text" name="Codice" id="Codice" />
<th style="width:1%">Utilizzatore<td style="width:15%"><input type="text" name="Utilizzatore" id="Utilizzatore" />
<th style="width:1%">Indirizzo<td style="width:15%"><input type="text" name="Indirizzo" id="Indirizzo" />
<th style="width:1%">Quartiere<td style="width:11%"><select type="text" name="Quartiere" >
<option value="" selected>
</option><option value=1>BORGO PANIGALE</option>
</option><option value=2>NAVILE</option>
</option><option value=3>PORTO</option>
</option><option value=4>RENO</option>
</option><option value=5>SAN DONATO</option>
</option><option value=6>SAN VITALE</option>
</option><option value=7>SANTO STEFANO</option>
</option><option value=8>SARAGOZZA</option>
</option><option value=9>SAVENA</option>
</select>
<th style="width:1%">Mestiere<td style="width:11%"><input type="text" name="Mestiere" id="Mestiere" />
</table>
</form>

<form name=form4 method=post>
<table style="width:20%" align=right >
<th style="width:1%"><input type="button" style="width=100%" value="< back" onclick="back('<?php echo $IdFornitore ?>')"></th>	
<th style="width:1%"><input type="button" style="width=100%" value="filtra / togli filtro" onclick="visualizza('<?php echo $IdContrattoFornitore ?>' , '<?php echo $IdFornitore ?>')"></th>
<th style="width:1%"><input type="button" style="width=100%" value="excel" onclick="excel('<?php echo $IdContrattoFornitore ?>' , '<?php echo $IdFornitore ?>' , '<?php echo ($_POST['CDE']) ?>' , '<?php echo ($_POST['CDC']) ?>' , '<?php echo ($_POST['Codice']) ?>' , '<?php echo ($_POST['Utilizzatore']) ?>' , '<?php echo ($_POST['Indirizzo']) ?>' , '<?php echo ($_POST['Quartiere']) ?>' , '<?php echo ($_POST['Mestiere']) ?>')"></th>
</table>
</form>

<p align="left" ><font color=black>
&nbsp;<?php echo (ntxScalar("SELECT Ditta FROM Ditte WHERE (IDDitta = $IdFornitore)")) ?>
&nbsp;-&nbsp;<?php echo $IdContrattoFornitore ?>
&nbsp;-&nbsp;<?php echo (ntxScalar("SELECT Descrizione FROM tblContrattiFornitori WHERE (IdContrattoFornitore = $IdContrattoFornitore)")) ?></p>

<form name=form1 method=post>
<table align=center style="width:100%">

	<tr><th>CDE</th><th>CDC</th><th>CODICE</th><th>UTILIZZATORE</th><th>INDIRIZZO</th><th>QUARTIERE</th><th>DATA INIZIO</th><th>DATA FINE</th><th>CLASSE</th><th>TIPO</th><th>MESTIERE</th></tr>
	
<?php
	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CDE" >&nbsp;<?php echo htmlentities($rs['IdEdificio']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CDC" >&nbsp;<?php echo htmlentities($rs['cdc']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CODICE" >&nbsp;<?php echo htmlentities($rs['CodiceUtilizzatore']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="UTILIZZATORE" >&nbsp;<?php echo htmlentities($rs['Nome']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="INDIRIZZO" >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="QUARTIERE" >&nbsp;<?php echo htmlentities($rs['Quartiere']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DATA INIZIO" >&nbsp;<?php echo ntxDate($rs['DataInizio']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DATA FINE" >&nbsp;<?php echo ntxDate($rs['DataFine']) ?>&nbsp;</td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CLASSE" >&nbsp;<?php echo htmlentities($rs['ClasseUtilizzatore']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="TIPO" >&nbsp;<?php echo htmlentities($rs['Tipo']) ?>&nbsp;</td>					
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="MESTIERE" >&nbsp;<?php echo htmlentities($rs['Mestiere']) ?>&nbsp;</td>		

<?php

	$n++;

	$alternate = !$alternate;
	}
?>

<tr><td colspan=11>&nbsp;Num.Righe = <?php echo htmlentities($n) ?></td></tr>

</table>
</form>

</body>
</html>
