<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

header('Pragma: private');
header('Cache-Control: private, must-revalidate');
header('Content-type: application/vnd.ms-excel');
header('Content-Disposition: attachment; filename=elenco_dettaglio_contratto.xls');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<style type="text/css"> 
	table, th, td 
	{
		border: solid 1px;
		border-color:#5B5B5B;
	}
</head>

<body>
<?php

$IdContrattoFornitore = ntxip('IdContrattoFornitore');
$IdFornitore = ntxip('IdFornitore');

$sql =  <<< SQL

SELECT DISTINCT Ditte.Ditta, tblContrattiFornitori.Descrizione AS Oggetto, tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio, 
				tblUtUtilizzatori.cdc, tblUtUtilizzatori.CodiceUtilizzatore, tblUtUtilizzatori.Nome, tblUtUtilizzatori.Indirizzo, 
				tblUtUtilizzatori.Descrizione AS Quartiere, tblMestieri.Descrizione AS Mestiere, TipiUtilizzatori2.Tipo,
				tblUtUtilizzatori.ClasseUtilizzatore, tblUtEdifici.DataInizio, tblUtEdifici.DataFine
FROM            tblContrattiFornitori INNER JOIN tblContrattiFornitoriAttivitàMestiereEdifici 
				ON tblContrattiFornitori.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                tblContrattiFornitori.IdContrattoFornitore = tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore INNER JOIN
                tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                ElencoEdifici ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
                tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                tblUtEdifici ON ElencoEdifici.IdCommessa = tblUtEdifici.IdCommessa AND ElencoEdifici.ID = tblUtEdifici.IdEdificio INNER JOIN
                tblUtUtilizzatori ON tblUtEdifici.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtEdifici.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN
                Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta INNER JOIN
                tblAttivitàMestieriTipiUtilizzatori2 ON tblAttivitàMestiere.IdCommessa = tblAttivitàMestieriTipiUtilizzatori2.IdCommessaAttMest AND 
                tblAttivitàMestiere.IdAttivitàMestiere = tblAttivitàMestieriTipiUtilizzatori2.IdAttivitàMestiere INNER JOIN
                TipiUtilizzatori2 ON tblAttivitàMestieriTipiUtilizzatori2.IdCommessaTipoUtiliz = TipiUtilizzatori2.IdCommessa AND 
                tblAttivitàMestieriTipiUtilizzatori2.IdTipoUtiliz = TipiUtilizzatori2.IdTipo AND tblUtUtilizzatori.IdCommessa = TipiUtilizzatori2.IdCommessa AND 
                tblUtUtilizzatori.TipoUtilizzatore2 = TipiUtilizzatori2.IdTipo
WHERE  		    (tblContrattiFornitori.IdContrattoFornitore = $IdContrattoFornitore)

SQL;

if ( is_numeric($_POST['CDE'])) 
{
	$ID = (int)$_POST['CDE'];
	$sql .= " AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $ID) ";
}

if ( isset($_POST['CDC'])  &&  strlen($_POST['CDC'])>0) 
{
	$str = stripslashes($_POST['CDC']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.cdc LIKE '%".$str."%' ";
}

if ( isset($_POST['Codice'])  &&  strlen($_POST['Codice'])>0) 
{
	$str = stripslashes($_POST['Codice']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.CodiceUtilizzatore LIKE '%".$str."%' ";
}

if ( isset($_POST['Utilizzatore'])  &&  strlen($_POST['Utilizzatore'])>0) 
{
	$str = stripslashes($_POST['Utilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Nome LIKE '%".$str."%' ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Indirizzo LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Quartiere'])) 
{
	$Quartiere = (int)$_POST['Quartiere'];
	$sql .= " AND ((CASE 
	WHEN tblUtUtilizzatori.Descrizione = 'BORGO PANIGALE' THEN 1
	WHEN tblUtUtilizzatori.Descrizione = 'NAVILE' THEN 2
	WHEN tblUtUtilizzatori.Descrizione = 'PORTO' THEN 3
	WHEN tblUtUtilizzatori.Descrizione = 'RENO' THEN 4
	WHEN tblUtUtilizzatori.Descrizione = 'SAN DONATO' THEN 5
	WHEN tblUtUtilizzatori.Descrizione = 'SAN VITALE' THEN 6
	WHEN tblUtUtilizzatori.Descrizione = 'SANTO STEFANO' THEN 7
	WHEN tblUtUtilizzatori.Descrizione = 'SARAGOZZA' THEN 8
	WHEN tblUtUtilizzatori.Descrizione = 'SAVENA' THEN 9
	END) = $Quartiere) ";
}

if ( isset($_POST['Mestiere'])  &&  strlen($_POST['Mestiere'])>0) 
{
	$str = stripslashes($_POST['Mestiere']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblMestieri.Descrizione LIKE '%".$str."%' ";
}

$sql .= " ORDER BY tblUtUtilizzatori.Nome, tblMestieri.Descrizione";

$query = ntxQuery($sql);

?>

<p align="left" ><font color=black>
&nbsp;<?php echo (ntxScalar("SELECT Ditta FROM Ditte WHERE (IDDitta = $IdFornitore)")) ?>
&nbsp;-&nbsp;<?php echo $IdContrattoFornitore ?>
&nbsp;-&nbsp;<?php echo (ntxScalar("SELECT Descrizione FROM tblContrattiFornitori WHERE (IdContrattoFornitore = $IdContrattoFornitore)")) ?></p>

<form name=form1 method=post>
<table align=center>

	<tr><th>CDE</th><th>CDC</th><th>CODICE</th><th>UTILIZZATORE</th><th>INDIRIZZO</th><th>QUARTIERE</th><th>DATA INIZIO</th><th>DATA FINE</th><th>CLASSE</th><th>TIPO</th><th>MESTIERE</th></tr>
	
<?php

	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['IdEdificio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['cdc']) ?></td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['CodiceUtilizzatore']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Nome']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Indirizzo']) ?></td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Quartiere']) ?></td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['DataInizio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['DataFine']) ?></td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['ClasseUtilizzatore']) ?></td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Tipo']) ?></td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Mestiere']) ?></td>		

<?php

	$n++;

	$alternate = !$alternate;
	}
?>

<tr><td colspan=11>&nbsp;Num.Righe = <?php echo htmlentities($n) ?></td></tr>

</table>
</form>

</body>
</html>
