<?php  
session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
		<link href="../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
		<link href="../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
</head>

<body>
<?php

$sql =  <<< SQL

SELECT  IdCommessa, ID, EdificioEstesa, EdificioBreve, Indirizzo, [Tipologia abitativa] AS z, Quartiere, CITTA, Note
FROM    ElencoEdifici
WHERE   (0=0)

SQL;

if ( is_numeric($_POST['ID'])) 
{
	$ID = (int)$_POST['ID'];
	$sql .= " AND (ID = $ID) ";
}

if ( isset($_POST['EdificioEstesa'])  &&  strlen($_POST['EdificioEstesa'])>0) 
{
	$str = stripslashes($_POST['EdificioEstesa']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND EdificioEstesa LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Quartiere'])) 
{
	$Quartiere = (int)$_POST['Quartiere'];
	$sql .= " AND ((CASE 
	WHEN Quartiere = 'BORGO PANIGALE' THEN 1
	WHEN Quartiere = 'NAVILE' THEN 2
	WHEN Quartiere = 'PORTO' THEN 3
	WHEN Quartiere = 'RENO' THEN 4
	WHEN Quartiere = 'SAN DONATO' THEN 5
	WHEN Quartiere = 'SAN VITALE' THEN 6
	WHEN Quartiere = 'SANTO STEFANO' THEN 7
	WHEN Quartiere = 'SARAGOZZA' THEN 8
	WHEN Quartiere = 'SAVENA' THEN 9
	END) = $Quartiere) ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Indirizzo LIKE '%".$str."%' ";
}

$sql .= " ORDER BY EdificioEstesa";

$query = ntxQuery($sql);

?>

<script language=javascript>

function visualizza()
{
	document.form2.action="elenco.php";
	document.form2.submit();
}

function elencout()
{
	document.form2.action="elencout.php";
	document.form2.submit();
}

function utilizzatori(id)
{
	document.form1.ID.value=''+id; 
	document.form1.action="elencout.php";
	document.form1.submit();
}

function modifica(id)
{
	document.form1.ID.value=''+id; 
	document.form1.action="dettaglioed.php";
	document.form1.submit();
}

</script>

<form name=form2 method=post>
<table align=center >
<tr><th colspan=10><font color=yellow>ELENCO EDIFICI</th>
<tr><th style="width:1%">CDE<td style="width:5%"><input type="text" name="ID" id="ID" />
<th style="width:1%">Edificio<td style="width:20%"><input type="text" name="EdificioEstesa" id="EdificioEstesa" />
<th style="width:1%">Indirizzo<td style="width:20%"><input type="text" name="Indirizzo" id="Indirizzo" />
<th style="width:1%">Quartiere<td style="width:20%"><select type="text" name="Quartiere" >
<option value="" selected>
</option><option value=1>BORGO PANIGALE</option>
</option><option value=2>NAVILE</option>
</option><option value=3>PORTO</option>
</option><option value=4>RENO</option>
</option><option value=5>SAN DONATO</option>
</option><option value=6>SAN VITALE</option>
</option><option value=7>SANTO STEFANO</option>
</option><option value=8>SARAGOZZA</option>
</option><option value=9>SAVENA</option>
</select>
<th style="width:1%" ><input type="button"  value="filtra / togli filtro" onclick="visualizza()"></th>		
<th style="width:1%" ><input type="button"  value="elenco utilizzatori" onclick="elencout()"></th>
</table>
</form>

<br>

<form name=form1 method=post>
<input TYPE=HIDDEN NAME=ID />

<table align=center>

	<tr><th colspan=2>FUNZIONI</th><th>CDE</th><th>EDIFICIO ESTESA</th><th>EDIFICIO BREVE</th><th>INDIRIZZO</th><th>QUARTIERE</th><th>CITTA</th><th>TIPOLOGIA</th><th>NOTE</th></tr>
<?php
	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
?>
		<tr><td><input type="button" style="width:100%;" value="modifica" onclick="modifica('<?php echo $rs['ID'] ?>')"></td>
		<td><input type="button" style="width:100%;" value="utilizzatori" onclick="utilizzatori('<?php echo $rs['ID'] ?>')"></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CDE" >&nbsp;<?php echo htmlentities($rs['ID']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="EDIFICIO ESTESA" >&nbsp;<?php echo htmlentities($rs['EdificioEstesa']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="EDIFICIO BREVE" >&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="INDIRIZZO" >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="QUARTIERE" >&nbsp;<?php echo htmlentities($rs['Quartiere']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CITTA'" >&nbsp;<?php echo htmlentities($rs['CITTA']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="TIPOLOGIA" >&nbsp;<?php echo htmlentities($rs['z']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="NOTE" >&nbsp;<?php echo htmlentities($rs['Note']) ?>&nbsp;</td>
	
		
<?php

	$n++;

	$alternate = !$alternate;
	}
?>

<tr><td colspan=10 >&nbsp;Num.Righe = <?php echo htmlentities($n) ?></td></tr>

</table>
</form>

</body>
</html>
