<?php  
session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
		<link href="../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
		<link href="../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
		<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
		<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
		<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
		<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
</head>

<body>
<?php

$sql =  <<< SQL

SELECT  tblUtUtilizzatori.IdUtilizzatore, tblUtUtilizzatori.cdc, tblUtUtilizzatori.CodiceUtilizzatore, tblUtUtilizzatori.Nome, 
		tblUtUtilizzatori.Descrizione, tblUtUtilizzatori.Indirizzo, tblUtUtilizzatori.ClasseUtilizzatore, TipiUtilizzatori2.Tipo AS TU2, 
		tblUtEdifici.DataInizio, tblUtEdifici.DataFine, tblUtEdifici.MQ, tblUtEdifici.Canone, ElencoEdifici.ID, ElencoEdifici.EdificioEstesa, 
		ElencoEdifici.Note, TipiUtilizzatori.Tipo, TipiUtilizzatori2.IdTipo, tblUtEdifici.IdUtEdificio, tblUtEdifici.Qta, 
		TipiUtilizzatore3.Descrizione AS Categoria, 
		(CASE WHEN (tblUtUtilizzatori.IdStatoUtilizzatore = 0 OR tblUtUtilizzatori.IdStatoUtilizzatore IS NULL) THEN 'NO' ELSE 'SI' END) AS h, 
		(CASE WHEN tblUtUtilizzatori.EsenteIVA IS NULL THEN '' ELSE 
		(CASE WHEN tblUtUtilizzatori.EsenteIVA = 1 THEN 'NO' ELSE 'SI' END) END) AS ri
FROM    TipiUtilizzatore3 RIGHT OUTER JOIN tblUtUtilizzatori ON TipiUtilizzatore3.Id = tblUtUtilizzatori.Tipo3 
		AND TipiUtilizzatore3.IdCommessa = tblUtUtilizzatori.IdCommessa LEFT OUTER JOIN TipiUtilizzatori2 
		ON tblUtUtilizzatori.IdCommessa = TipiUtilizzatori2.IdCommessa AND tblUtUtilizzatori.TipoUtilizzatore2 = TipiUtilizzatori2.IdTipo 
		LEFT OUTER JOIN TipiUtilizzatori RIGHT OUTER JOIN tblUtEdifici ON TipiUtilizzatori.Id = tblUtEdifici.Tipologia 
		AND TipiUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa 
		AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore LEFT OUTER JOIN ElencoEdifici 
		ON tblUtEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblUtEdifici.IdEdificio = ElencoEdifici.ID
WHERE   (LEFT(tblUtUtilizzatori.CodiceUtilizzatore, 2) <> 86) 
	    AND (LEFT(tblUtUtilizzatori.CodiceUtilizzatore, 2) <> 84)
	    AND (LEFT(tblUtUtilizzatori.CodiceUtilizzatore, 2) <> 66) 
	    AND (LEFT(tblUtUtilizzatori.CodiceUtilizzatore, 2) <> 62)
	    AND (LEFT(tblUtUtilizzatori.CodiceUtilizzatore, 2) <> 61)
			
SQL;

if ( is_numeric($_POST['ID'])) 
{
	$ID = (int)$_POST['ID'];
	$sql .= " AND (ElencoEdifici.ID = $ID) ";
}

if ( is_numeric($_POST['CDE'])) 
{
	$ID = (int)$_POST['CDE'];
	$sql .= " AND (ElencoEdifici.ID = $ID) ";
}

if ( isset($_POST['CDC'])  &&  strlen($_POST['CDC'])>0) 
{
	$str = stripslashes($_POST['CDC']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND cdc LIKE '%".$str."%' ";
}

if ( isset($_POST['Codice'])  &&  strlen($_POST['Codice'])>0) 
{
	$str = stripslashes($_POST['Codice']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND CodiceUtilizzatore LIKE '%".$str."%' ";
}

if ( isset($_POST['Utilizzatore'])  &&  strlen($_POST['Utilizzatore'])>0) 
{
	$str = stripslashes($_POST['Utilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Nome LIKE '%".$str."%' ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Indirizzo LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Quartiere'])) 
{
	$Quartiere = (int)$_POST['Quartiere'];
	$sql .= " AND ((CASE 
	WHEN tblUtUtilizzatori.Descrizione = 'BORGO PANIGALE' THEN 1
	WHEN tblUtUtilizzatori.Descrizione = 'NAVILE' THEN 2
	WHEN tblUtUtilizzatori.Descrizione = 'PORTO' THEN 3
	WHEN tblUtUtilizzatori.Descrizione = 'RENO' THEN 4
	WHEN tblUtUtilizzatori.Descrizione = 'SAN DONATO' THEN 5
	WHEN tblUtUtilizzatori.Descrizione = 'SAN VITALE' THEN 6
	WHEN tblUtUtilizzatori.Descrizione = 'SANTO STEFANO' THEN 7
	WHEN tblUtUtilizzatori.Descrizione = 'SARAGOZZA' THEN 8
	WHEN tblUtUtilizzatori.Descrizione = 'SAVENA' THEN 9
	END) = $Quartiere) ";
}

if ( is_numeric($_POST['TipoUtilizzatoreNuovo'])) 
{
	$TUN = (int)$_POST['TipoUtilizzatoreNuovo'];
	$sql .= " AND (TipiUtilizzatori2.IdTipo = $TUN) ";
}

$sql .= " ORDER BY Nome";

$query = ntxQuery($sql);

?>

<script language=javascript>

function back(id)
{
	document.form2.ID.value=''+id;
	document.form2.action="elenco.php";
	document.form2.submit();
}

function visualizza()
{
	document.form2.action="elencout.php";
	document.form2.submit();
}

function aggiungi(id)
{
	document.form2.ID.value=''+id;
	document.form2.action="inserisci.php";
	document.form2.submit();
}

function excel(id,a,b,c,d,e,f,g)
{
	document.form3.ID.value=''+id;
	document.form3.CDC.value=''+a;
	document.form3.Codice.value=''+b;
	document.form3.Utilizzatore.value=''+c;
	document.form3.Indirizzo.value=''+d;
	document.form3.Quartiere.value=''+e;
	document.form3.CDE.value=''+f;
	document.form3.TipoUtilizzatoreNuovo.value=''+g;
	document.form3.action="excelut.php";
	document.form3.target="frameExcel";
	document.form3.submit();
}

function dettaglio(id,a)
{
	document.form1.IdUtEdificio.value=''+id;
	document.form1.IdUtilizzatore.value=''+a;	
	document.form1.action="dettaglio.php";
	document.form1.submit();
}

function duplica(id)
{
	if ( !confirm("Confermi duplicazione?") ) return;

	document.form1.IdUtilizzatore.value=''+id;
	document.form1.action="duplicaut.php";
	document.form1.submit();
}

function elimina(id,a)
{
	if ( !confirm("Confermi eliminazione?") ) return;

	document.form1.IdUtEdificio.value=''+id;
	document.form1.IdUtilizzatore.value=''+a;
	document.form1.action="elimina.php";
	document.form1.submit();
}

function anteprima()
{

	if (!document.form4.DataInizio.value)
	{
	alert("Campo Inizio vuoto!");
	return;
	}
	
	if (!document.form4.DataFine.value)
	{
	alert("Campo Fine vuoto!");
	return;
	}

	document.form4.action="anteprima.php";
	document.form4.submit();
}

function anteprimaAI()
{

	if (!document.form4.DataInizio.value)
	{
	alert("Campo Inizio vuoto!");
	return;
	}
	
	if (!document.form4.DataFine.value)
	{
	alert("Campo Fine vuoto!");
	return;
	}

	document.form4.action="anteprimaAI.php";
	document.form4.submit();
}

$(function(){
	$('#DataInizio').datepicker();
	$('#DataFine').datepicker();
});

</script>

<iframe id="frameExcel" name="frameExcel" style="width:1px;height:1px"></iframe>

<form name=form3 method=post>
<input TYPE=HIDDEN NAME=ID />
<input TYPE=HIDDEN NAME=CDC />
<input TYPE=HIDDEN NAME=Codice />
<input TYPE=HIDDEN NAME=Utilizzatore />
<input TYPE=HIDDEN NAME=Indirizzo />
<input TYPE=HIDDEN NAME=Quartiere />
<input TYPE=HIDDEN NAME=CDE />
<input TYPE=HIDDEN NAME=TipoUtilizzatoreNuovo />
</form>

<form name=form2 method=post>
<input TYPE=HIDDEN NAME=ID />
<table align=center >
<tr><th colspan=16><font color=aqua>ELENCO UTILIZZATORI</th>
<tr><th style="width:1%">CDC<td style="width:5%"><input type="text" name="CDC" id="CDC" />
<th style="width:1%">Codice<td style="width:15%"><input type="text" name="Codice" id="Codice" />
<th style="width:1%">Utilizzatore<td style="width:15%"><input type="text" name="Utilizzatore" id="Utilizzatore" />
<th style="width:1%">Indirizzo<td style="width:15%"><input type="text" name="Indirizzo" id="Indirizzo" />
<th style="width:1%">Quartiere<td style="width:15%"><select type="text" name="Quartiere" >
<option value="" selected>
</option><option value=1>BORGO PANIGALE</option>
</option><option value=2>NAVILE</option>
</option><option value=3>PORTO</option>
</option><option value=4>RENO</option>
</option><option value=5>SAN DONATO</option>
</option><option value=6>SAN VITALE</option>
</option><option value=7>SANTO STEFANO</option>
</option><option value=8>SARAGOZZA</option>
</option><option value=9>SAVENA</option>
</select>

<th><font color=orange>Tipo Utilizzatore<td style="width:20%">
	<select name="TipoUtilizzatoreNuovo" >
	<?php
		$sql2 = "SELECT IdTipo, Tipo FROM TipiUtilizzatori2 WHERE Classe IS NULL ORDER BY Tipo;";
		$query2 = ntxQuery($sql2);
		echo "<option value=''>";
		while ( $rs2 = ntxIRecord($query2) )
		{
			$id2 = htmlentities($rs2[0]."");
			$tipo2 = htmlentities($rs2[1]."");
			echo "<option value=$id2>$tipo2\n";
		}
	?>
	</select>	
	
<th style="width:1%"><font color=yellow>CDE<td style="width:6%"><input type="text" name="CDE" id="CDE" />

</table>
</form>

<form name=form4 method=post>
<table style="width:70%" align=right >
<th style="width:1%">Inizio<td style="width:15%"><input type="text" name="DataInizio" id="DataInizio" /></th>
<th style="width:1%">Fine<td style="width:15%"><input type="text" name="DataFine" id="DataFine" /></th>
<th style="width:1%"><input type="button" style="width:100%" value="anteprima sal PI" onclick="anteprima()"></th>
<th style="width:1%"><input type="button" style="width:100%" value="anteprima sal AI" onclick="anteprimaAI()"></th>
<th style="width:1%"><input type="button" style="width=100%" value="< back" onclick="back('<?php echo $ID ?>')"></th>	
<th style="width:1%"><input type="button" style="width=100%" value="filtra / togli filtro" onclick="visualizza()"></th>
<th style="width:1%"><input type="button" style="width=100%" value="aggiungi" onclick="aggiungi('<?php echo $ID ?>')"></th>
<th style="width:1%"><input type="button" style="width=100%" value="excel" onclick="excel('<?php echo $ID ?>' , '<?php echo ($_POST['CDC']) ?>' , '<?php echo ($_POST['Codice']) ?>' , '<?php echo ($_POST['Utilizzatore']) ?>' , '<?php echo ($_POST['Indirizzo']) ?>' , '<?php echo ($_POST['Quartiere']) ?>' , '<?php echo ($_POST['CDE']) ?>' , '<?php echo ($_POST['TipoUtilizzatoreNuovo']) ?>')"></th>
</table>
</form>

<form name=form1 method=post>
<input TYPE=HIDDEN NAME=IdUtEdificio />
<input TYPE=HIDDEN NAME=IdUtilizzatore />
<table align=center>

	<tr><th colspan=3>FUNZIONI</th><th><font color=yellow>CDE</th><th>ID</th><th>CDC</th><th>CODICE</th><th>UTILIZZATORE</th><th>INDIRIZZO</th><th>QUARTIERE</th>
	<th>CLASSE UT</th><th><font color=orange>TIPO UTILIZZATORE</th><th>DATA INIZIO</th><th>DATA FINE</th><th>TIPOLOGIA</th><th>MQ</th><th>QTA</th>
	<th>CANONE</th><th>CATEGORIA</th><th>RILEVANTE IVA</th><th>DIS MESSO</th><th><font color=yellow>EDIFICIO</th></tr>
<?php
	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
		<td><input type="button" style="width:100%;" value="duplica" onclick="duplica('<?php echo $rs['IdUtilizzatore'] ?>')">
		<td><input type="button" style="width:100%;" value="modifica" onclick="dettaglio('<?php echo $rs['IdUtEdificio'] ?>' , '<?php echo $rs['IdUtilizzatore'] ?>')">
		<td><input type="button" style="width:100%;" value="elimina" onclick="elimina('<?php echo $rs['IdUtEdificio'] ?>' , '<?php echo $rs['IdUtilizzatore'] ?>')"></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CDE" >&nbsp;<?php echo htmlentities($rs['ID']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="ID" >&nbsp;<?php echo htmlentities($rs['IdUtilizzatore']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CDC" >&nbsp;<?php echo htmlentities($rs['cdc']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CODICE" >&nbsp;<?php echo htmlentities($rs['CodiceUtilizzatore']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="UTILIZZATORE" >&nbsp;<?php echo htmlentities($rs['Nome']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="INDIRIZZO" >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="QUARTIERE" >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CLASSE UT" >&nbsp;<?php echo htmlentities($rs['ClasseUtilizzatore']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="TIPO UTILIZZATORE" >&nbsp;<?php echo htmlentities($rs['TU2']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DATA INIZIO" >&nbsp;<?php echo ntxDate($rs['DataInizio']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DATA FINE" >&nbsp;<?php echo ntxDate($rs['DataFine']) ?>&nbsp;</td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="TIPOLOGIA" >&nbsp;<?php echo htmlentities($rs['Tipo']) ?>&nbsp;</td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="MQ"  >&nbsp;<?php echo ntxRoundThousand($rs['MQ'],2) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="QUANTITA'"  >&nbsp;<?php echo ntxRoundThousand($rs['Qta'],2) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CANONE" >&nbsp;<?php echo ntxRoundThousand($rs['Canone'],3) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CATEGORIA" >&nbsp;<?php echo htmlentities($rs['Categoria']) ?>&nbsp;</td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="RILEVANTE IVA" >&nbsp;<?php echo htmlentities($rs['ri']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DISMESSO" >&nbsp;<?php echo htmlentities($rs['h']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="EDIFICIO" >&nbsp;<?php echo htmlentities($rs['EdificioEstesa']) ?>&nbsp;</td>
		
<?php

	$n++;

	$alternate = !$alternate;
	}
?>

<tr><td colspan=22>&nbsp;Num.Righe = <?php echo htmlentities($n) ?></td></tr>

</table>
</form>

</body>
</html>
