<?php  
session_start();

require_once('_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
		<link href="_css/navstyleLittle.css" rel="stylesheet" type="text/css">
		<link href="_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
</head>

<body>
<?php

$sql =  <<< SQL

SELECT   tblUtUtilizzatori.IdUtilizzatore, tblUtUtilizzatori.cdc, tblUtUtilizzatori.CodiceUtilizzatore, tblUtUtilizzatori.Nome, 
		 tblUtUtilizzatori.Descrizione, tblUtUtilizzatori.Indirizzo, tblUtUtilizzatori.ClasseUtilizzatore, TipiUtilizzatori2.Tipo AS TU2,   
		 tblUtEdifici.DataInizio, tblUtEdifici.DataFine, tblUtEdifici.MQ, tblUtEdifici.Canone, ElencoEdifici.ID, ElencoEdifici.EdificioEstesa, 
		 ElencoEdifici.Note, TipiUtilizzatori.Tipo, TipiUtilizzatori2.IdTipo, tblUtEdifici.IdUtEdificio
FROM     TipiUtilizzatori2 RIGHT OUTER JOIN tblUtUtilizzatori ON TipiUtilizzatori2.IdCommessa = tblUtUtilizzatori.IdCommessa 
		 AND TipiUtilizzatori2.IdTipo = tblUtUtilizzatori.TipoUtilizzatore2 LEFT OUTER JOIN TipiUtilizzatori RIGHT OUTER JOIN
         tblUtEdifici ON TipiUtilizzatori.Id = tblUtEdifici.Tipologia AND TipiUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa ON 
         tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore LEFT OUTER JOIN
         ElencoEdifici ON tblUtEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblUtEdifici.IdEdificio = ElencoEdifici.ID
WHERE    (tblUtUtilizzatori.ClasseUtilizzatore = 'EN') 

SQL;

if ( is_numeric($_POST['ID'])) 
{
	$ID = (int)$_POST['ID'];
	$sql .= " AND (ElencoEdifici.ID = $ID) ";
}

if ( is_numeric($_POST['CDE'])) 
{
	$ID = (int)$_POST['CDE'];
	$sql .= " AND (ElencoEdifici.ID = $ID) ";
}

if ( isset($_POST['CDC'])  &&  strlen($_POST['CDC'])>0) 
{
	$str = stripslashes($_POST['CDC']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND cdc LIKE '%".$str."%' ";
}

if ( isset($_POST['Codice'])  &&  strlen($_POST['Codice'])>0) 
{
	$str = stripslashes($_POST['Codice']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND CodiceUtilizzatore LIKE '%".$str."%' ";
}

if ( isset($_POST['Utilizzatore'])  &&  strlen($_POST['Utilizzatore'])>0) 
{
	$str = stripslashes($_POST['Utilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Nome LIKE '%".$str."%' ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Indirizzo LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Quartiere'])) 
{
	$Quartiere = (int)$_POST['Quartiere'];
	$sql .= " AND ((CASE 
	WHEN tblUtUtilizzatori.Descrizione = 'BORGO PANIGALE' THEN 1
	WHEN tblUtUtilizzatori.Descrizione = 'NAVILE' THEN 2
	WHEN tblUtUtilizzatori.Descrizione = 'PORTO' THEN 3
	WHEN tblUtUtilizzatori.Descrizione = 'RENO' THEN 4
	WHEN tblUtUtilizzatori.Descrizione = 'SAN DONATO' THEN 5
	WHEN tblUtUtilizzatori.Descrizione = 'SAN VITALE' THEN 6
	WHEN tblUtUtilizzatori.Descrizione = 'SANTO STEFANO' THEN 7
	WHEN tblUtUtilizzatori.Descrizione = 'SARAGOZZA' THEN 8
	WHEN tblUtUtilizzatori.Descrizione = 'SAVENA' THEN 9
	END) = $Quartiere) ";
}

if ( is_numeric($_POST['TipoUtilizzatoreNuovo'])) 
{
	$TUN = (int)$_POST['TipoUtilizzatoreNuovo'];
	$sql .= " AND (TipiUtilizzatori2.IdTipo = $TUN) ";
}

$sql .= " ORDER BY Nome";

$query = ntxQuery($sql);

?>

<script language=javascript>

function back(id)
{
	document.form2.ID.value=''+id;
	document.form2.action="elenco.php";
	document.form2.submit();
}

function visualizza()
{
	document.form2.action="elencout.php";
	document.form2.submit();
}

function aggiungi(id)
{
	document.form2.ID.value=''+id;
	document.form2.action="inserisci.php";
	document.form2.submit();
}

function excel(id,a,b,c,d,e,f,g,h)
{
	document.form3.ID.value=''+id;
	document.form3.CDC.value=''+a;
	document.form3.Codice.value=''+b;
	document.form3.Utilizzatore.value=''+c;
	document.form3.Indirizzo.value=''+d;
	document.form3.Quartiere.value=''+e;
	document.form3.CDE.value=''+f;
	document.form3.TipoUtilizzatoreNuovo.value=''+g;
	document.form3.ClasseUt.value=''+h;
	document.form3.action="excelut.php";
	document.form3.target="frameExcel";
	document.form3.submit();
}

function dettaglio(id,a)
{
	document.form1.IdUtEdificio.value=''+id;
	document.form1.IdUtilizzatore.value=''+a;	
	document.form1.action="dettaglio.php";
	document.form1.submit();
}

function elimina(id,a)
{
	if ( !confirm("Confermi eliminazione?") ) return;

	document.form1.IdUtEdificio.value=''+id;
	document.form1.IdUtilizzatore.value=''+a;
	document.form1.action="elimina.php";
	document.form1.submit();
}

function duplica(id)
{
	if ( !confirm("Confermi duplicazione?") ) return;

	document.form1.IdUtilizzatore.value=''+id;
	document.form1.action="duplicaut.php";
	document.form1.submit();
}

</script>

<iframe id="frameExcel" name="frameExcel" style="width:1px;height:1px"></iframe>

<form name=form3 method=post>
<input TYPE=HIDDEN NAME=ID />
<input TYPE=HIDDEN NAME=CDC />
<input TYPE=HIDDEN NAME=Codice />
<input TYPE=HIDDEN NAME=Utilizzatore />
<input TYPE=HIDDEN NAME=Indirizzo />
<input TYPE=HIDDEN NAME=Quartiere />
<input TYPE=HIDDEN NAME=CDE />
<input TYPE=HIDDEN NAME=TipoUtilizzatoreNuovo />
<input TYPE=HIDDEN NAME=ClasseUt />
</form>

<form name=form2 method=post>
<input TYPE=HIDDEN NAME=ID />
<table align=center >
<tr><th colspan=16><font color=aqua>ELENCO UTILIZZATORI</th>
<tr><th style="width:1%">CDC<td style="width:5%"><input type="text" name="CDC" id="CDC" />
<th style="width:1%">Codice<td colspan=2 style="width:15%"><input type="text" name="Codice" id="Codice" />
<th style="width:1%">Utilizzatore<td style="width:15%"><input type="text" name="Utilizzatore" id="Utilizzatore" />
<th style="width:1%">Indirizzo<td style="width:15%"><input type="text" name="Indirizzo" id="Indirizzo" />
<th style="width:1%">Quartiere<td style="width:15%"><select type="text" name="Quartiere" >
<option value="" selected>
</option><option value=1>BORGO PANIGALE</option>
</option><option value=2>NAVILE</option>
</option><option value=3>PORTO</option>
</option><option value=4>RENO</option>
</option><option value=5>SAN DONATO</option>
</option><option value=6>SAN VITALE</option>
</option><option value=7>SANTO STEFANO</option>
</option><option value=8>SARAGOZZA</option>
</option><option value=9>SAVENA</option>
</select>
<th>
<font color=orange>Tipo Utilizzatore<td style="width:20%">
	<select name="TipoUtilizzatoreNuovo" >
	<?php
		$sql2 = "SELECT IdTipo, Tipo FROM TipiUtilizzatori2 WHERE Classe = 'EN' ORDER BY Tipo;";
		$query2 = ntxQuery($sql2);
		echo "<option value=''>";
		while ( $rs2 = ntxIRecord($query2) )
		{
			$id2 = htmlentities($rs2[0]."");
			$tipo2 = htmlentities($rs2[1]."");
			echo "<option value=$id2>$tipo2\n";
		}
	?>
	</select>	
	
<th style="width:1%"><font color=yellow>CDE<td style="width:6%"><input type="text" name="CDE" id="CDE" />

<tr>
<th style="width:1%"><input type="button" style="width=100%" value="< back" onclick="back('<?php echo $ID ?>')"></th>	
<th style="width:1%"><input type="button" style="width=100%" value="filtra / togli filtro" onclick="visualizza()"></th>
<th style="width:1%"><input type="button" style="width=100%" value="aggiungi" onclick="aggiungi('<?php echo $ID ?>')"></th>
<th ><input type="button" style="width:100%" value="excel" onclick="excel('<?php echo $ID ?>' , '<?php echo ($_POST['CDC']) ?>' , '<?php echo ($_POST['Codice']) ?>' , '<?php echo ($_POST['Utilizzatore']) ?>' , '<?php echo ($_POST['Indirizzo']) ?>' , '<?php echo ($_POST['Quartiere']) ?>' , '<?php echo ($_POST['CDE']) ?>' , '<?php echo ($_POST['TipoUtilizzatoreNuovo']) ?>' , '<?php echo ($_POST['ClasseUt']) ?>')"></th>
<td colspan=11>
</table>
</form>

<form name=form1 method=post>
<input TYPE=HIDDEN NAME=IdUtEdificio />
<input TYPE=HIDDEN NAME=IdUtilizzatore />
<table align=center>

	<tr><th colspan=3>FUNZIONI</th><th>ID</th><th>CDC</th><th>CODICE</th><th>UTILIZZATORE</th><th>INDIRIZZO</th><th>QUARTIERE</th>
	<th>CLASSE UT</th><th><font color=orange>TIPO UTILIZZATORE</th><th>DATA INIZIO</th><th>DATA FINE</th><th>TIPOLOGIA</th>
	<th>MQ</th><th>CANONE</th><th><font color=yellow>CDE</th><th colspan=2><font color=yellow>EDIFICIO</th></tr>
<?php
	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
		<td><input type="button" style="width:100%;" value="duplica" onclick="duplica('<?php echo $rs['IdUtilizzatore'] ?>')">
		<td><input type="button" style="width:100%;" value="modifica" onclick="dettaglio('<?php echo $rs['IdUtEdificio'] ?>' , '<?php echo $rs['IdUtilizzatore'] ?>')">
		<td><input type="button" style="width:100%;" value="elimina" onclick="elimina('<?php echo $rs['IdUtEdificio'] ?>' , '<?php echo $rs['IdUtilizzatore'] ?>')"></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="ID" >&nbsp;<?php echo htmlentities($rs['IdUtilizzatore']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CDC" >&nbsp;<?php echo htmlentities($rs['cdc']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CODICE" >&nbsp;<?php echo htmlentities($rs['CodiceUtilizzatore']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="UTILIZZATORE" >&nbsp;<?php echo htmlentities($rs['Nome']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="INDIRIZZO" >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="QUARTIERE" >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CLASSE UT" >&nbsp;<?php echo htmlentities($rs['ClasseUtilizzatore']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="TIPO UTILIZZATORE" >&nbsp;<?php echo htmlentities($rs['TU2']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DATA INIZIO" >&nbsp;<?php echo ntxDate($rs['DataInizio']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DATA FINE" >&nbsp;<?php echo ntxDate($rs['DataFine']) ?>&nbsp;</td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="TIPOLOGIA" >&nbsp;<?php echo htmlentities($rs['Tipo']) ?>&nbsp;</td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="MQ"  >&nbsp;<?php echo ntxRoundThousand($rs['MQ'],2) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CANONE" >&nbsp;<?php echo ntxRoundThousand($rs['Canone'],2) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CDE" >&nbsp;<?php echo htmlentities($rs['ID']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="EDIFICIO" >&nbsp;<?php echo htmlentities($rs['EdificioEstesa']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="NOTE" >&nbsp;<?php echo htmlentities($rs['Note']) ?>&nbsp;</td>
		
<?php

	$n++;

	$alternate = !$alternate;
	}
?>

<tr><td colspan=2>&nbsp;Num.Righe = <?php echo htmlentities($n) ?></td>
<td colspan=17></td></tr>

</table>
</form>

</body>
</html>
