<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
	SELECT 
		StatiOrdini.DesStato
		,Ordini.StatoOrd
		,Ordini.DataInizioProg
		,Ordini.DataFineProg
		,Ordini.DataInizio
		,Ordini.IdRisorsa
		,Ordini.ForseFuoriCanone
		,Ordini.DataFine
		,Ordini.DataInizioSopralluogo
		,Ordini.DataFineSopralluogo
		,Ordini.Intervento
		,Ordini.AnomaliaRiscontrata
		,Ordini.PrestazioneEffettuata
		,Ordini.AnomaliaBloccante
		,Ordini.InterventoRisolutivo
		,Ordini.InterventoIdoneo
		,Ordini.DataSospensione
		,Ordini.DataRipresaProg
		,Ordini.DataRipresa
		,Ordini.NoteSospensione
		,Ordini.NoteTecnicheEsecutore
		,Ordini.ImportoStimatoEsecutore,
		
		Ordini.NumRisorse,
		Ordini.OreRisorse,
		Ordini.Trasferta
		
		,Ordini.DataPresaInCarico DataPC
		,Ordini.DataScadenzaPresaInCarico DataSPC
		,Ordini.DataScadenza
		,Ordini.GradoUrgenza
		
		,Risorse.NOME AS Risorsa
		
	FROM         Ordini INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      Risorse ON Ordini.IdRisorsa = Risorse.ID
		
	WHERE (Ordini.IDCommessa = $IdCommessa) 
		AND (Ordini.NumOrdine = $NumOrdine) 
		AND (Ordini.AnnoOrdine = $AnnoOrdine)
sql;

$rs = ntxRecord(ntxQuery($sql));

if ( "$rs[AnomaliaRiscontrata]"=="" ) $rs[AnomaliaRiscontrata] = " ";
if ( "$rs[PrestazioneEffettuata]"=="" ) $rs[PrestazioneEffettuata] = " ";

if ( "$rs[AnomaliaBloccante]"=="" ) $rs[AnomaliaBloccante] = " ";
if ( "$rs[InterventoRisolutivo]"=="" ) $rs[InterventoRisolutivo] = " ";
if ( "$rs[InterventoIdoneo]"=="" ) $rs[InterventoIdoneo] = " ";
if ( "$rs[Trasferta]"=="" ) $rs[Trasferta] = " ";

$rs[ImportoStimatoEsecutore] = (!is_null($rs[ImportoStimatoEsecutore])) ? (float)$rs[ImportoStimatoEsecutore] : null;

$rs[OreRisorse] = ntxRound($rs[OreRisorse],2);

$rs[DataInizioProg] = ntxDateTimeT($rs[DataInizioProg]);
$rs[DataFineProg] = ntxDateTimeT($rs[DataFineProg]);

$rs[DataInizioSopralluogo] = ntxDateTimeT($rs[DataInizioSopralluogo]);
$rs[DataFineSopralluogo] = ntxDateTimeT($rs[DataFineSopralluogo]);

$rs[DataInizio] = ntxDateTimeT($rs[DataInizio]);
$rs[DataFine] = ntxDateTimeT($rs[DataFine]);

$rs[DataSospensione] = ntxDateTimeT($rs[DataSospensione]);
$rs[DataRipresaProg] = ntxDateTimeT($rs[DataRipresaProg]);
$rs[DataRipresa] = ntxDateTimeT($rs[DataRipresa]);

$rs[DataPC] = ntxDateTime($rs[DataPC]);
$rs[DataSPC] = ntxDateTime($rs[DataSPC]);
$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);

foreach($rs as $k=>$v)
	$rs[$k] = "$v";

jhp($rs);

?>
