<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$Tipo = ntxip('Tipo');

$ListaIdContrattiFornitore = ntxlnse('ListaIdContrattiFornitore', false);

$addWhere = "";

if ( $Tipo==1 ) // in carico
{
	$addWhere .= " AND Ordini.IdRisorsa IS NOT NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==2 ) // da assegnare
{
	$addWhere .= " AND Ordini.IdRisorsa IS NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==3 ) // finiti
{
	$addWhere .= " AND Ordini.StatoOrd >= 50";
}

$DataInizioProg=ntxttp('DataInizioProg', true);
$DataFineProg=ntxttp('DataFineProg', true);

if ( $DataInizioProg!="NULL" )
	$addWhere .= " AND Ordini.DataFineProg >= $DataInizioProg";

if ( $DataFineProg!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataFineProg";

if ( strlen("$_POST[Codice]")>0 )
	$addWhere .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( strlen("$_POST[Nome]")>0 )
	$addWhere .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[Nome])."%'";

if ( strlen("$_POST[Indirizzo]")>0 )
	$addWhere .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[Comune]")>0 )
	$addWhere .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[Comune])."%'";

if ( strlen("$_POST[Provincia]")>0 )
	$addWhere .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[Provincia])."%'";

if ( strlen("$_POST[Cliente]")>0 )
	$addWhere .= " AND tblPgPropietari.Nome LIKE '%".str_replace("'","''",$_POST[Cliente])."%'";

$sql = <<< sql
	SELECT DISTINCT   ElencoEdifici.ID AS IdEdificio,  ElencoEdifici.Codice AS CodLocaliz, 
						  ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
						  tblPgPropietari.Nome AS Cliente
	FROM         Ordini INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
						  StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
						  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.IdContratto IN ($ListaIdContrattiFornitore)) 
			
				AND Ordini.GradoUrgenza='MP'
	$addWhere
sql;

$paginazione = ntxPaginazione($sql, "Indirizzo, CITTA");

$query = $paginazione->query;

$table =  "";

while ($rs=ntxRecord($query))
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[QTA] = ntxRoundThousand($rs[QTA], 2);
	$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
	$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
 //				

	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal"
				onclick="SelEdificio($rs[IdEdificio])">
			loc. <b>$html[CodLocaliz]</b> - <b>$html[NomeLocaliz]</b> - <b>$html[Indirizzo]</b> - <b>$html[CITTA]</b> - <b>($html[PROVINCIA])
			<br><b>$html[Cliente]</b>
		</button>
table;
	
}

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>