<?php

session_start();

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdPiano');
$CodiceAssComponente = ntxsp('CodiceAssComponente');

$sql = <<< sql
	SELECT DISTINCT Ambiente.IDAmbiente, ltrim(Ambiente.CodiceAssAmbiente)+' - '+ltrim(DestinazioniDuso.Destinazione), Ambiente.CodiceAssAmbiente, DestinazioniDuso.ordinamento, DestinazioniDuso.Destinazione
	FROM         ComponentiAmbiente INNER JOIN
				  Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
				  ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
				  DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	WHERE Ambiente.IdCommessa=$IdCommessa
	AND Ambiente.IdEdificio=$IdEdificio
	AND Ambiente.IdLivello=$IdLivello
	AND ComponentiAmbiente.CodiceAssComponente=$CodiceAssComponente
	order by DestinazioniDuso.ordinamento, DestinazioniDuso.Destinazione, Ambiente.CodiceAssAmbiente
sql;

$result = array();

$query = ntxQuery($sql);

while($rs=ntxIRecord($query))
{
	$rs[0] = $rs[0]."";
	$rs[1] = $rs[1]."";
		
	$result[] = $rs;	
}

jhp($result);

?>