function ResettaComboDaPiani()
{
	jei('IdPiano').length=0;
	jei('IdAmbiente').length=0;
	jei('IdComponenteAmbiente').length=0;
	
	$('#IdPiano').append("<option value=''>---</option>").selectmenu('refresh');
	$('#IdAmbiente').append("<option value=''>---</option>").selectmenu('refresh');
	$('#IdComponenteAmbiente').append("<option value=''>---</option>").selectmenu('refresh');
}

function ResettaComboDaAmbienti()
{
	jei('IdAmbiente').length=0;
	jei('IdComponenteAmbiente').length=0;
	
	$('#IdAmbiente').append("<option value=''>---</option>").selectmenu('refresh');
	$('#IdComponenteAmbiente').append("<option value=''>---</option>").selectmenu('refresh');
}

function ResettaComboComponenti()
{
	jei('IdComponenteAmbiente').length=0;
	
	$('#IdComponenteAmbiente').append("<option value=''>---</option>").selectmenu('refresh');
}

function ChangeFilterOnCensimento()
{
	ResettaComboDaPiani();
	
	var filtro = $('input[name=optFiltroCensimento]:checked').val();
	
	var IdOrdiniProgrammati = RecuperaIdOrdPrgDaUsare(filtro!=1);
	
	if ( filtro!=1 && IdOrdiniProgrammati=="" ) return;

	jhp_select(jei('IdPiano'), "jhp/ordini_prg/carica_piani.php", false, {
		IdEdificio: formBack.IdEdificio.value,
		IdOrdiniProgrammati: IdOrdiniProgrammati,
		filtro: filtro
	});
	
	if ( jei('IdPiano').length==2 )
	{
		jei('IdPiano').selectedIndex = 1;
		CaricaAmbienti();
	}
	
	$('#IdPiano').selectmenu('refresh');
}

function CaricaAmbienti()
{
	ResettaComboDaAmbienti();
	
	var filtro = $('input[name=optFiltroCensimento]:checked').val();
	
	var IdOrdiniProgrammati = RecuperaIdOrdPrgDaUsare(filtro!=1);
	
	if ( filtro!=1 && IdOrdiniProgrammati=="" ) return;

	jhp_select(jei('IdAmbiente'), "jhp/ordini_prg/carica_ambienti.php", false, {
		IdEdificio: formBack.IdEdificio.value,
		IdPiano: $('#IdPiano').val(),
		IdOrdiniProgrammati: IdOrdiniProgrammati,
		filtro: filtro
	});
	
	if ( jei('IdAmbiente').length==2 )
	{
		jei('IdAmbiente').selectedIndex = 1;
		CaricaComponentiAmbienti();
	}
	
	$('#IdAmbiente').selectmenu('refresh');
}

function CaricaComponentiAmbienti()
{
	ResettaComboComponenti();
	
	var filtro = $('input[name=optFiltroCensimento]:checked').val();
	
	var IdOrdiniProgrammati = RecuperaIdOrdPrgDaUsare(filtro!=1);
	
	if ( filtro!=1 && IdOrdiniProgrammati=="" ) return;

	jhp_select(jei('IdComponenteAmbiente'), "jhp/ordini_prg/carica_comp_ambienti.php", false,  {
		IdEdificio: formBack.IdEdificio.value,
		IdAmbiente: $('#IdAmbiente').val(),
		IdOrdiniProgrammati: IdOrdiniProgrammati,
		filtro: filtro
	});
	
	if ( jei('IdComponenteAmbiente').length==2 )
		jei('IdComponenteAmbiente').selectedIndex = 1;

	$('#IdComponenteAmbiente').selectmenu('refresh');
}

function CercaAmbiente()
{
	ResettaComboDaPiani();
	
	var CodiceAssAmbiente = $('#CodiceAssAmbiente').val();

	jhp_select(jei('IdPiano'), "jhp/ordini_prg/carica_piani-per_cod_amb.php", false, {
		IdEdificio: formBack.IdEdificio.value,
		CodiceAssAmbiente: CodiceAssAmbiente
	});
	
	if ( jei('IdPiano').length>0 )
	{
		jhp_select(jei('IdAmbiente'), "jhp/ordini_prg/carica_ambienti-per_cod_amb.php", false, {
			IdEdificio: formBack.IdEdificio.value,
			IdPiano: $('#IdPiano').val(),
			CodiceAssAmbiente: CodiceAssAmbiente
		});
		
		if ( jei('IdAmbiente').length>0 )
		{
			jhp_select(jei('IdComponenteAmbiente'), "jhp/ordini_prg/carica_comp_ambienti.php", false,  {
				IdEdificio: formBack.IdEdificio.value,
				IdAmbiente: $('#IdAmbiente').val(),
				filtro: 1
			});
			
			$('#IdComponenteAmbiente').selectmenu('refresh');
		 }
		 else
			$('#IdAmbiente').append("<option value=''>---</option>");
		
			$('#IdAmbiente').selectmenu('refresh');
	}
	else
	{
		$('#IdPiano').append("<option value=''>---</option>");
	}
	
	$('#IdPiano').selectmenu('refresh');
}

function CercaComponente()
{
	ResettaComboDaPiani();
	
	var CodiceAssComponente = $('#CodiceAssComponente').val();

	jhp_select(jei('IdPiano'), "jhp/ordini_prg/carica_piani-per_cod_comp.php", false, {
		IdEdificio: formBack.IdEdificio.value,
		CodiceAssComponente: CodiceAssComponente
	});
	
	if ( jei('IdPiano').length>0 )
	{
		jhp_select(jei('IdAmbiente'), "jhp/ordini_prg/carica_ambienti-per_cod_comp.php", false, {
			IdEdificio: formBack.IdEdificio.value,
			IdPiano: $('#IdPiano').val(),
			CodiceAssComponente: CodiceAssComponente
		});
		
		if ( jei('IdAmbiente').length>0 )
		{
			jhp_select(jei('IdComponenteAmbiente'), "jhp/ordini_prg/carica_comp_ambienti-per_cod_comp.php", false,  {
				IdEdificio: formBack.IdEdificio.value,
				IdAmbiente: $('#IdAmbiente').val(),
				CodiceAssComponente: CodiceAssComponente
			});
			
			$('#IdComponenteAmbiente').selectmenu('refresh');
		}
		else
			$('#IdAmbiente').append("<option value=''>---</option>");
		
		$('#IdAmbiente').selectmenu('refresh');
	}
	 else
		$('#IdPiano').append("<option value=''>---</option>");
	
	$('#IdPiano').selectmenu('refresh');
}

