<?php

if ( strlen("$_POST[ComponentiFiniti]")>0  &&  $_POST[EvidenziaComponenti]==1 )
{
	$layer = ms_newLayerObj($map);

	$layer->set("name", "comp__non_finiti1");

	$layer->set("type", MS_LAYER_POINT);

	$layer->set("status", MS_ON);

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	$style->set("symbolname", "circle2");
	$style->set("size", 30);
	$style->color->setRGB(255, 122, 122);
	$style->outlinecolor->setRGB(255, 122, 122);

	$ElencoCompletoTipiComponenti = explode(",", $_POST[ElencoCompletoTipiComponenti]);

	if ( !is_array($ElencoCompletoTipiComponenti) ) $ElencoCompletoTipiComponenti = array();

	$lenElencoCompletoTipiComponenti = count($ElencoCompletoTipiComponenti)-1;

	$ComponentiFiniti = explode(",", $_POST[ComponentiFiniti]);

	if ( !is_array($ComponentiFiniti) ) $ComponentiFiniti = array();

	$lenComponentiFiniti = count($ComponentiFiniti)-1;

	if ( strlen("$_POST[ComponentiFiniti]")>0 )
		$strComponentiFiniti = ntxsp('ComponentiFiniti');
	else
		$strComponentiFiniti = "''";

	$sql = <<< sql
		SELECT  ComponentiAmbiente.X, ComponentiAmbiente.Y, ComponentiAmbiente.IdComponente, ComponentiAmbiente.IdTipoComponente
		FROM         ComponentiAmbiente INNER JOIN
							  Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
							  ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
							  TipoComponente INNER JOIN
							  tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
							  TipoComponente.Copertura = tblCopertureInCommessa.Nome ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
							  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
							  INNER JOIN dbo.splitid($strComponentiFiniti) a on a.id=ComponentiAmbiente.IdComponente
							  $inner_solo_comp_vani_sel
							  $innerIstantiRilievo
		WHERE     (Ambiente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.IdLivello = $IdPiano)
			AND (tblCopertureInCommessa.Tipo = 0) 
			AND (tblCopertureInCommessa.Geometria = 0) 
			AND (tblCopertureInCommessa.Associazione = 2) 
			AND (ComponentiAmbiente.Rimosso IS NULL OR ComponentiAmbiente.Rimosso = 0) 
			AND (isnumeric(ComponentiAmbiente.X) = 1) 
			$filtroDataInizioRilievo
			$filtroDataFineRilievo
sql;

	$query = ntxQuery($sql);

	while ( $rs = ntxRecord($query) )
	{
		if ( !in_array($rs[IdComponente], $ComponentiFiniti) ) continue;
		
		$Visibile = false;

		for($i=0, $j=1; $i<$lenElencoCompletoTipiComponenti; $i+=2, $j+=2)
		{
			if ( $ElencoCompletoTipiComponenti[$i] == $rs[IdTipoComponente]  &&  $ElencoCompletoTipiComponenti[$j]==1 )
			{
				$Visibile = true;
				break;
			}
		}

		if ( !$Visibile ) continue;

		$shape =  ms_newShapeObj(MS_SHAPE_POINT);
		$line =  ms_newLineObj();

		$line->addXY($rs[X], $rs[Y]);

		$shape->add($line);
		
		$layer->addFeature($shape);
	}
}

?>