<?php

$ElencoCompletoTipiComponenti = explode(",", $_POST[ElencoCompletoTipiComponenti]);

if ( !is_array($ElencoCompletoTipiComponenti) ) $ElencoCompletoTipiComponenti = array();

$lenElencoCompletoTipiComponenti = count($ElencoCompletoTipiComponenti)-1;

$sql = <<< sql
	SELECT DISTINCT TipoComponente.IDTipoComponente, TipoComponente.DesComponente, tblCopertureInCommessa.Simbolo
	FROM         tblOrdiniPrgComp INNER JOIN
                      tblOrdiniProgrammati ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
                      Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
                      tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
                      TipoComponente.Copertura = tblCopertureInCommessa.Nome INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
						  $inner_solo_comp_vani_sel
						  $innerIstantiRilievo
	WHERE     (TipoComponente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND (Ordini.IdContratto IN ($ListaIdContrattiFornitore)) 
		AND (tblCopertureInCommessa.Tipo = 0) 
		AND (tblCopertureInCommessa.Geometria = 0) 
		AND (tblCopertureInCommessa.Associazione = 2) 
		AND (ComponentiAmbiente.Rimosso IS NULL OR ComponentiAmbiente.Rimosso = 0) 
		AND (isnumeric(ComponentiAmbiente.X) = 1) 
		$addWhere
		$filtroDataInizioRilievo
		$filtroDataFineRilievo
	ORDER BY TipoComponente.DesComponente
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$Visibile = false;

	for($i=0, $j=1; $i<$lenElencoCompletoTipiComponenti; $i+=2, $j+=2)
	{
		if ( $ElencoCompletoTipiComponenti[$i] == $rs[IDTipoComponente]  &&  $ElencoCompletoTipiComponenti[$j]==1 )
		{
			$Visibile = true;
			break;
		}
	}

	if ( !$Visibile ) continue;
	
	$layer = ms_newLayerObj($map);
	
	$layer->set("name", "comp_".$rs[DesComponente]);

	$layer->set("type", MS_LAYER_POINT);

	$layer->set("status", MS_ON);
	
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	
	$style->set("symbolname", $rs[Simbolo]);

	$sql = <<< sql
		SELECT DISTINCT ComponentiAmbiente.X, ComponentiAmbiente.Y
	FROM         tblOrdiniPrgComp INNER JOIN
                      tblOrdiniProgrammati ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
                      Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
                      tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
                      TipoComponente.Copertura = tblCopertureInCommessa.Nome INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
							  $inner_solo_comp_vani_sel
							  $innerIstantiRilievo
	WHERE     (TipoComponente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND ComponentiAmbiente.IdTipoComponente=$rs[IDTipoComponente]
		AND (ComponentiAmbiente.Rimosso IS NULL OR ComponentiAmbiente.Rimosso = 0) 
		AND (isnumeric(ComponentiAmbiente.X) = 1) 
		$addWhere
		$filtroDataInizioRilievo
		$filtroDataFineRilievo
sql;

	$query2 = ntxQuery($sql);
	
	while($rs2=ntxRecord($query2))
	{
		$shape =  ms_newShapeObj(MS_SHAPE_POINT);
		$line =  ms_newLineObj();

		$line->addXY($rs2[X], $rs2[Y]);

		$shape->add($line);
		
		$layer->addFeature($shape);

		if ( !$isExtent )
		{
			$x = $rs2[X];
			$y = $rs2[Y];
			
			if ( is_numeric($minx) )
			{
				if ( $x < $minx ) $minx = $x;
				if ( $y < $miny ) $miny = $y;
				
				if ( $x > $maxx ) $maxx = $x;
				if ( $y > $maxy ) $maxy = $y;
			}
			else
			{
				$minx = $maxx = $x;
				$miny = $maxy = $y;
			}
		}
	}
}

?>