<?php 

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa');
 
?>
<!DOCTYPE html> 
<html>
<head>
	<title>Ricerca Richieste Pre-Registrata</title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	<link rel="stylesheet" href="css/index.css" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script> 
	
	<script src="js/index.js?v7"></script>
	<script src="js/gps.js"></script>
	<script src="js/haversine.js?v2"></script>
	
	<script src="/repository2/paginazione/paginazione.js" type="text/javascript"></script>
	
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?v=3&sensor=false&language=it"> </script>
</head>
<body >

<div data-role="page">

	<div role="main" class="ui-content jqm-content jqm-fullwidth" style="margin:0;padding:0">
<!-- INIZIO CORPO PAGINA -->
<div data-role="collapsibleset" style="margin:0;padding:0">

	<div data-role="collapsible" data-collapsed="false" style="margin:0;padding:0" id=divColStrade>
		<h4>Ricerca Richieste Pre-Registrata</h4>

		<form name="frmRicerca" method="post" Paginazione>
			<input type=hidden name=lat value="" />
			<input type=hidden name=lng value="" />
			
			<?php PaginazioneCampiPerForm(5, 'jhp/ricerca_richiesta_preregistrata.php', 'divSelezionaRichiesta') ?>
				<div class="ui-field-contain">
					<label for="FiltraCodice">Codice Strada</label>
					<input type=text name="FiltraCodice" id="FiltraCodice" placeholder="Codice Strada" value="" />
				</div>
				
				<div class="ui-field-contain">
					<label for="FiltraIndirizzo">Indirizzo Strada</label>
					<input type=text name="FiltraIndirizzo" id="FiltraIndirizzo" placeholder="Indirizzo Strada" value="" />
				</div>
				
				<label><input type=checkbox name=OrdinaPerDistanza id=OrdinaPerDistanza onclick="SetGPS()" />Ordina richieste per vicinanza</label>
		</form>
	
		<div class="ui-grid-a">
			<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')">Filtra</button></div>
			<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="frmRicerca.reset()">Resetta</button></div>
		</div>
	
		<div class="ui-grid-d">
			<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')"><<</button></div>
			<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'prev')"><</button></div>
			<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicerca PaginazioneResoconto>1/1</div></div>
			<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'succ')">></button></div>
			<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'last')">>></button></div>
		</div>
		
		<div id=divSelezionaRichiesta></div>
	
		<div class="ui-grid-d">
			<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')"><<</button></div>
			<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'prev')"><</button></div>
			<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicerca PaginazioneResoconto>1/1</div></div>
			<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'succ')">></button></div>
			<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'last')">>></button></div>
		</div>
	</div>

	<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divColMain>
		<h4>Nuova Richiesta Strade</h4>
		<div class=ParteStatica id=DatiRichiestaSelezionata></div>
		<div class=ParteStatica>
			<form name="frmRichiesta" id="frmRichiesta" action="update_richiesta.php" method="post" enctype="multipart/form-data" target="frame1055_14092009_1">
				<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>">
				<input type=hidden name=NumRichiesta value="">
				<input type=hidden name=AnnoRichiesta value="">
				<input type=hidden name=Classificazione value="" />
			
				<div class="ui-field-contain">
					<label for="TecnicoC">TecnicoC</label>
					<select name="TecnicoC" id="TecnicoC" data-native-menu="false"></select>
				</div>
				
				<div class="ui-field-contain">
					<label for="Priorità Tecnica">Priorità  Tecnica</label>
					<select name="Priorità Tecnica" id="Priorità Tecnica" data-native-menu="false"></select>
				</div>
				
				<div class="ui-field-contain">
					<label for="NoteTecniche">Note Tecniche</label>
					<textarea name="NoteTecniche" id="NoteTecniche" placeholder="Note Tecniche" value=""></textarea>
				</div>
				
				<a  class="ui-btn ui-btn-b"  data-rel="dialog" href="#mappaGeolocalizzazione" onclick="trova_posizione();" >Utilizza la mia posizione GPS</a>  
				
				
				<div class="ui-field-contain">
					<label for="Latitudine">Latitudine Punto Intervento </label>
					<input type=text name="Latitudine" id="Latitudine" placeholder="Latitudine Punto Intervento" value="" />
				</div>
				
				<div class="ui-field-contain">
					<label for="Longitudine">Longitudine Punto Intervento </label>
					<input type=text name="Longitudine" id="Longitudine" placeholder="Longitudine Punto Intervento" value="" />
				</div>
				
				<div class="ui-field-contain">
					<label for="Civico">Civico Punto Intervento </label>
					<input type=text name="Civico" id="Civico" placeholder="Civico Punto Intervento" value="" />
				</div>

				<div class="ui-field-contain">
					<label for="DescrizionePuntoIntervento">Descrizione Punto Intervento</label>
					<textarea name="DescrizionePuntoIntervento" id="DescrizionePuntoIntervento" placeholder="Descrizione Punto Intervento" value=""></textarea>
				</div>

				<div class="ui-field-contain">
						<label for="FileDaAllegare1">Foto Punto Intervento 1</label>
						<input type="file" name="FileDaAllegare1" id="FileDaAllegare1" placeholder="Foto Punto Intervento 1" value="" size=50>
				</div>

				<div class="ui-field-contain">
						<label for="FileDaAllegare2">Foto Punto Intervento 2</label>
						<input type="file" name="FileDaAllegare2" id="FileDaAllegare2" placeholder="Foto Punto Intervento 2" value="" size=50>
				</div>

				<div class="ui-field-contain">
						<label for="FileDaAllegare3">Foto Punto Intervento 3</label>
						<input type="file" name="FileDaAllegare3" id="FileDaAllegare3" placeholder="Foto Punto Intervento 3" value="" size=50>
				</div>

				<div class="ui-field-contain">
						<img id=FotoPuntoIntervento1 src="" width=200px height=200px style="border:inset" />
						<img id=FotoPuntoIntervento2 src="" width=200px height=200px style="border:inset" />
						<img id=FotoPuntoIntervento3 src="" width=200px height=200px style="border:inset" />
				</div>
				<iframe name=frame1055_14092009_1 style="width:100%;height:50px"></iframe>
			</form>
		</div>
		
		<div class="ui-grid-b">
			<div class="ui-block-a"><button btnUpdateRichiesta123 class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="RegistraACanone()" disabled>a Canone</button></div>
			<div class="ui-block-b"><button btnUpdateRichiesta123 class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAAAFF" onclick="RegistraExtracanone()" disabled>Extracanone</button></div>
			<div class="ui-block-c"><button btnUpdateRichiesta123 class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFFFAA" onclick="RichiestoPreventivo()" disabled>Preventivo</button></div>
		</div>
	</div>
	
	<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divOrdine>
		<h4>Assegna Ordine a Nuova Richiesta</h4>
		<div class=ParteStatica id=DatiUltimaRichiesta></div>
		<div class=ParteStatica>
			<form name="frmAssegnaOrdine" id="frmAssegnaOrdine" action="inserimento_ordine.php" method="post" enctype="multipart/form-data" target="frame1055_14092009_2">
				<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>">
				<input type=hidden name=NumRichiesta value="">
				<input type=hidden name=AnnoRichiesta value="">
				
				<div class="ui-field-contain">
					<label for="DataOrdine">Data Ordine</label>
					<input type="datetime-local" name="DataOrdine" id="DataOrdine" placeholder="Data Ordine" value="">
				</div>
				<div class="ui-field-contain">
					<label for="Fornitore">Fornitore</label>
					<select name="Fornitore" id="Fornitore" data-native-menu="false"></select>
				</div>
				<div class="ui-field-contain">
					<label for="DataInizio">Data Inizio</label>
					<input type="datetime-local" name="DataInizio" id="DataInizio" placeholder="Data Inizio" value="">
				</div>
				<div class="ui-field-contain">
					<label for="DataFine">Data Fine</label>
					<input type="datetime-local" name="DataFine" id="DataFine" placeholder="Data Fine" value="">
				</div>
				<div class="ui-field-contain">
					<label for="PosaSegnaletica">Posa Segnaletica</label>
					<select name="PosaSegnaletica" id="PosaSegnaletica" data-native-menu="false">
						<option value="1">SI
						<option value="0" selected>no
					</select>
				</div>
				<div class="ui-field-contain">
					<label for="AttivitEseguita">Attività  Eseguita</label>
					<textarea name="AttivitEseguita" id="AttivitEseguita" placeholder="Attività  Eseguita" value=""></textarea>
				</div>
				
				<div class="ui-field-contain">
					<label for="FotoOrdine1">Foto Ordine 1</label>
					<input type="file" name="FotoOrdine1" id="FotoOrdine1" placeholder="Foto Ordine 1" value="" size=50>
				</div>
				
				<div class="ui-field-contain">
					<label for="FotoOrdine2">Foto Ordine 2</label>
					<input type="file" name="FotoOrdine2" id="FotoOrdine2" placeholder="Foto Ordine 2" value="" size=50>
				</div>
				
				<div class="ui-field-contain">
					<label for="FotoOrdine3">Foto Ordine 3</label>
					<input type="file" name="FotoOrdine3" id="FotoOrdine3" placeholder="Foto Ordine 3" value="" size=50>
				</div>
				<iframe name=frame1055_14092009_2 style="width:100%;height:50px"></iframe>
			</form>
		</div>
		
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="frmAssegnaOrdine.submit()">Assegna Ordine</button>
	</div>
	
</div>
<!-- FINE CORPO PAGINA -->
	</div>

	<div data-role="footer" data-position="fixed">
		<div data-role="navbar">
			<ul>
				<li><a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
			</ul>
		</div>
	</div>

</div>

<script>

	SetGPS();
	
</script>



	<!-- 
	INIZIO LAVORI ZAGATTI
		il codice non altera il comportamento della pagina --> 
	
	<div id="mappaGeolocalizzazione" data-role="page" data-close-btn="none" > 
		
		<div data-role="content" role="main" >   
			<div class="ui-bar-c ui-corner-all ui-shadow" style="padding:0;">
				<div id="map_canvas" style="height:350px;width:100%;display:block;"></div>
			</div>
		</div>
		
		<div data-role="footer"  >
			<div class="ui-field-contain"> 
				<button id="btn_registra" 	data-theme="b" onclick="salvaLatLngPI(); $('#mappaGeolocalizzazione').dialog('close');" >Salva Coordinate</button>
				<button id="btn_annulla" 	data-theme="c" onclick="$('#mappaGeolocalizzazione').dialog('close');" >Annulla</button> 	
			</div> 
		</div>
	</div>   
	
	<!-- 
	FINE LAVORI ZAGATTI  -->

</body>
</html>