<?php
session_start();

require_once("../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');
 
$addWhere = "";

if ( strlen($_POST[FiltraCodice])>0 ) // in carico
	$addWhere .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[FiltraCodice])."%'";

if ( strlen($_POST[FiltraIndirizzo])>0 ) // in carico
	$addWhere .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[FiltraIndirizzo])."%'";

$sql = <<< sql
	SELECT DISTINCT    ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.Indirizzo
	FROM         ElencoEdifici INNER JOIN
						  tblContrattiFornitoriAttivitàMestiereEdifici ON ElencoEdifici.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
						  ElencoEdifici.ID = tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio INNER JOIN
						  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
						  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore
	WHERE     (tblContrattiFornitori.IdFornitore =  $IdDitta) AND (tblContrattiFornitori.IdCommessa =  $IdCommessa)
	$addWhere
sql;

$paginazione = ntxPaginazione($sql, "Indirizzo");

$query = $paginazione->query;

$table =  "";

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
 //				

	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal"
				onclick="SelStrada($rs[ID])">
			<b>$html[ID] - $html[Codice] - ($html[Indirizzo])</b>
		</button>
table;
	
}

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);
 
?>
