<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$Id = ntxip('Id');

$sql = <<< sql
	SELECT     verb.Id, verb.Descrizione, verb.SedeVerbale, verb.DataOraVerbale, Commesse.DesComm, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo
	FROM         VerbaliRifAffidatari AS verb INNER JOIN
                      ElencoEdifici ON verb.IdCommessa = ElencoEdifici.IdCommessa AND verb.IdEdificio = ElencoEdifici.ID INNER JOIN
                      Commesse ON ElencoEdifici.IdCommessa = Commesse.IDCommessa
	WHERE verb.Id=$Id
sql;

$query = ntxQuery($sql);

$result = "";

If( $rs = ntxRecord($query) )
{
	$rs[DataOraVerbale] = ntxDateTime($rs[DataOraVerbale]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$result .= <<< result
			<b>Oggetto:</b> $html[Descrizione]
			<br><b>Sede Verbale:</b> $html[SedeVerbale]
			<br><b>Data/Ora:</b> $html[DataOraVerbale]
			<br><b>Commessa:</b> $html[DesComm]
			<br><b>Localizzazione:</b> $html[Codice] - $html[EdificioBreve] - $html[Indirizzo]
			<br>
		<br><b>Partecipanti:</b>
		<br>
result;

	$sql = <<< sql
		select Nominativo, Ruolo, Email, Telefono
		from VerbRifAffiPartecipanti 
		where IdVerbale=$Id
		order by Nominativo
sql;

	$query = ntxQuery($sql);

	while( $rs = ntxRecord($query) )
	{
		foreach($rs as $k=>$v)
			$html[$k] = htmlentities($v);
		
		$result .= <<< result
				<div style="border:1px solid silver;margin:2px;padding:5px">
					$html[Nominativo] - $html[Ruolo]
					- $html[Email] - $html[Telefono]
				</div>
result;
	}

	$sql = <<< sql
		select Titolo, Esito
		from VerbRifAffidArgomenti 
		where IdVerbale=$Id
		order by Titolo
sql;

	$query = ntxQuery($sql);

	$result .= <<< result
			<br><b>Argomenti:</b>
			<br>
result;

	$esiti = array("","Positivo","Negativo", "NR");

	while( $rs = ntxRecord($query) )
	{
		foreach($rs as $k=>$v)
			$html[$k] = htmlentities($v);
		
		$Esito = $esiti[$rs[Esito]];
		
		$result .= <<< result
				<div style="border:1px solid silver;margin:2px;padding:5px">
					<b>Titolo:</b> $html[Titolo]
					<br><b>Esito:</b> $Esito
				</div>
result;
	}
}


jhp($result);

?>
