<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdVerbale = ntxip('IdVerbale');

$sql = <<< sql
	SELECT     verb.Id, verb.Descrizione, verb.SedeVerbale, verb.DataOraVerbale, Commesse.DesComm, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo
	FROM         VerbaliRifAffidatari AS verb INNER JOIN
                      ElencoEdifici ON verb.IdCommessa = ElencoEdifici.IdCommessa AND verb.IdEdificio = ElencoEdifici.ID INNER JOIN
                      Commesse ON ElencoEdifici.IdCommessa = Commesse.IDCommessa
	WHERE verb.Id=$IdVerbale
sql;

$query = ntxQuery($sql);

$table = "";

If( $rs = ntxRecord($query) )
{
	$rs[DataOraVerbale] = ntxDateTime($rs[DataOraVerbale]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$table .= <<< table
			<b>Oggetto:</b> $html[Descrizione]
			<br><b>Sede Verbale:</b> $html[SedeVerbale]
			<br><b>Data/Ora:</b> $html[DataOraVerbale]
			<br><b>Commessa:</b> $html[DesComm]
			<br><b>Localizzazione:</b> $html[Codice] - $html[EdificioBreve] - $html[Indirizzo]
		<br><b>Partecipanti:</b>
table;
}

$sql = <<< sql
	SELECT     Id, Nominativo, Ruolo
	FROM         VerbRifAffiPartecipanti
	WHERE IdVerbale=$IdVerbale
	ORDER BY Nominativo
sql;


$query = ntxquery($sql);

while( $rs = ntxRecord($query) )
{
	$Nominativo = htmlentities($rs[Nominativo]);
	$Ruolo = htmlentities($rs[Ruolo]);
	
	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;background-color:{$colore}"
				onclick="partecipanti.Edit($rs[Id])">
			$Nominativo - $Ruolo
		</button>
table;
}

jhp($table);

?>
