var elenco_campi = [	
	'AnomaliaBloccante',
	'AnomaliaRiscontrata',
	'DataFine',
	'DataFineProg',
	'DataFineSopralluogo',
	'DataInizio',
	'DataInizioProg',
	'DataInizioSopralluogo',
	'DataPC',
	'DataRipresa',
	'DataRipresaProg',
	'DataScadenza',
	'DataSospensione',
	'DataSPC',
	'DesStato',
	'GradoUrgenza',
	'ImportoStimatoEsecutore',
	'Intervento',
	'InterventoIdoneo',
	'InterventoRisolutivo',
	'NoteSospensione',
	'NoteTecnicheEsecutore',
	'NumRisorse',
	'OreRisorse',
	'PrestazioneEffettuata',
	'Risorsa',
	'Trasferta'];
	
$(function(){
	SelectSiNo(jei('AnomaliaBloccante'));
	SelectSiNo(jei('InterventoRisolutivo'));
	SelectSiNo(jei('InterventoIdoneo'));
	SelectSiNo(jei('Trasferta'));

	jhp_select(jei('AnomaliaRiscontrata'), "jhp/edit_ordine/anomalie_riscontrate.php", false, {});
	$(jei('AnomaliaRiscontrata')).selectmenu('refresh', true);
	
	jhp_select(jei('GradoUrgenza'), "jhp/edit_ordine/grado_urgenza.php", false, g);
	
	$(jei('GradoUrgenza')).selectmenu('refresh', true);
	
	jhp_select(jei('PrestazioneEffettuata'), "jhp/edit_ordine/prestazione_effettuata.php", false, {});
	$(jei('PrestazioneEffettuata')).selectmenu('refresh', true);
	
	Carica();
	
	CaricaAllegati();
});

function CaricaAllegati()
{
	var result = jhp("jhp/edit_ordine/allegati.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#spanNumeroAllegati').text(result.value['NumeroAllegati']);
		$('#divAllegati').html(result.value['table']);
	}
}

function VediDoc(IdDoc)
{
	formVediDoc.IdDoc.value = IdDoc;
	formVediDoc.submit();
}

function EliminaDoc(IdDoc)
{
	if(!confirm("Elimina Allegato?")) return;
	
	var result = jhp("jhp/edit_ordine/elimina_allegato.php", {IdDoc: IdDoc});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		CaricaAllegati();
	}
}

function Modifica()
{
	if ( g.disabled_update )
	{
		alert("L'ordine non può essere più aggiornato!");
		return;
	}
	
	if(!confirm("Modifica ordine?")) return;
	
	var p = { 
		NumOrdine: g.NumOrdine,
		AnnoOrdine: g.AnnoOrdine,
	};
	
	var i, len=this.elenco_campi.length;

	for(i=0;i<len;++i)
	{
		var nome_campo = elenco_campi[i];
		
		p[nome_campo] = $('#'+nome_campo).val();
	}

	var result = jhp("jhp/edit_ordine/modifica.php", p);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Carica();
	}
}

function CalcolaScadenze()
{
	g.GradoUrgenza = jei('GradoUrgenza').value;
	
	var result = jhp("jhp/edit_ordine/calcola_scadenze.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		jei('DataSPC').value = result.value['DataSPC'];
		jei('DataScadenza').value = result.value['DataScadenza'];
	}
}

function PrendoInCarico()
{
	if(!confirm("Prendi in Carico?")) return;

	var result = jhp("jhp/edit_ordine/prendo_in_carico.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Carica();
	}
}

function Sospensione()
{
	if(!confirm("Sospendi?")) return;

	var p = { 
		NumOrdine: g.NumOrdine,
		AnnoOrdine: g.AnnoOrdine,
	};
	
	var i, len=this.elenco_campi.length;

	for(i=0;i<len;++i)
	{
		var nome_campo = elenco_campi[i];
		
		p[nome_campo] = $('#'+nome_campo).val();
	}

	var result = jhp("jhp/edit_ordine/sospendi.php", p);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Carica();
	}
}

function SuperamentoFranchigia()
{
	if(!confirm("Richiesta di extra?")) return;
	
	var p = { 
		NumOrdine: g.NumOrdine,
		AnnoOrdine: g.AnnoOrdine,
	};
	
	var i, len=this.elenco_campi.length;

	for(i=0;i<len;++i)
	{
		var nome_campo = elenco_campi[i];
		
		p[nome_campo] = $('#'+nome_campo).val();
	}

	var result = jhp("jhp/edit_ordine/richiesta_di_extra.php", p);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Carica();
	}
}

function RipresaLavori()
{
	if(!confirm("Riprendi?")) return;
	
	var p = { 
		NumOrdine: g.NumOrdine,
		AnnoOrdine: g.AnnoOrdine,
	};
	
	var i, len=this.elenco_campi.length;

	for(i=0;i<len;++i)
	{
		var nome_campo = elenco_campi[i];
		
		p[nome_campo] = $('#'+nome_campo).val();
	}

	var result = jhp("jhp/edit_ordine/riprendi.php", p);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Carica();
	}
}

function Carica()
{
	var result = jhp("jhp/edit_ordine/carica_form.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var rs = result.value;
		var i, len=this.elenco_campi.length;

		for(i=0;i<len;++i)
		{
			var nome_campo = elenco_campi[i];
			
			$('#'+nome_campo).val(rs[nome_campo]);
		}

		if ( $.isNumeric(rs['IdRisorsa']) )
			jei( "btnPresaInCarico" ).disabled = true;
		else
			jei( "btnPresaInCarico" ).disabled = false;
			
		$(jei('AnomaliaBloccante')).selectmenu('refresh', true);
		$(jei('InterventoRisolutivo')).selectmenu('refresh', true);
		$(jei('InterventoIdoneo')).selectmenu('refresh', true);
		$(jei('Trasferta')).selectmenu('refresh', true);
		$(jei('AnomaliaRiscontrata')).selectmenu('refresh', true);
		$(jei('GradoUrgenza')).selectmenu('refresh', true);
		$(jei('PrestazioneEffettuata')).selectmenu('refresh', true);
		
		if ( jei('DataInizioProg').value != "" ) $('#DataInizioProg').textinput({ disabled: true });
		if ( jei('DataFineProg').value != "" ) $('#DataFineProg').textinput({ disabled: true });
	
		rs['StatoOrd'] = parseInt(rs['StatoOrd']);
		
		if ( rs['StatoOrd']!=35 && rs['StatoOrd']!=37 )
		{
			$('#DataInizioSopralluogo').textinput({ disabled: true });
			$('#DataFineSopralluogo').textinput({ disabled: true });
		}
		
		if ( rs['StatoOrd'] == 35 || rs['StatoOrd'] == 37 || rs['StatoOrd'] == 40 )
			jei('btnSospendi').disabled = false;
		else
			jei('btnSospendi').disabled = true;

		if ( rs['StatoOrd'] == 60 )
			jei('btnRiprendi').disabled = false;
		else
			jei('btnRiprendi').disabled = true;
		
		if ( rs['StatoOrd'] < 140 )
		{
			if ( rs['StatoOrd'] > 50 )
				jei('btnSuperamentoFranchigia').disabled = true;
			else
			{	
				if( rs['ForseFuoriCanone']==1 )
					jei('btnSuperamentoFranchigia').disabled = true;
				else
					jei('btnSuperamentoFranchigia').disabled = false;
			}
		}
		else
		{
			jei('btnSuperamentoFranchigia').disabled = true;
		}
	}
}

function SelectSiNo(cbo)
{
	cbo.length = 0;
	
	cbo.options[cbo.length] = new Option('...', ' ');
	cbo.options[cbo.length] = new Option('SI', '1');
	cbo.options[cbo.length] = new Option('NO', '0');
	
	$(cbo).selectmenu('refresh', true);
}

