<?php 

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/form.inc");

?>
<!DOCTYPE html> 
<html>
<head>
	<title>Anagrafe Edifici</title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script> 
	
	<script src="/repository2/paginazione/paginazione.js" type="text/javascript"></script>
	
</head>
<body >
<div data-role="page">

	<div data-role="header" data-position="fixed">
        <h1>Anagrafe Edifici</h1>
        <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext">Login</a>
    </div>


	<div data-role="collapsibleset" style="margin:0;padding:0">

		<div data-role="collapsible" data-collapsed="false" style="margin:0;padding:0" id=divColEdifici>
			<h4>Selezione Edificio</h4>
			<div style="padding:10px 20px;" role="main" class="ui-content jqm-content jqm-fullwidth">
				<form name="frmRicerca" method="post" Paginazione>
					<?php PaginazioneCampiPerForm(20, 'jhp/ricerca_edifici.php', 'divSelezioneEdificio') ?>
					
					<div class="ui-grid-a">
						<div class="ui-block-a"><input type=text name="Codice" id="Codice" placeholder="Codice" value="" /></div>
						<div class="ui-block-b"><input type=text name="Nome" id="Nome" placeholder="Nome" value="" /></div>
					</div>
					
					<div class="ui-grid-a">
						<div class="ui-block-a"><input type=text name="Indirizzo" id="Indirizzo" placeholder="Indirizzo" value="" /></div>
						<div class="ui-block-b"><input type=text name="Comune" id="Comune" placeholder="Comune" value="" /></div>
					</div>
					
					<div class="ui-grid-a">
						<div class="ui-block-a"><input type=text name="Provincia" id="Provincia" placeholder="Provincia" value="" /></div>
						<div class="ui-block-b"><input type=text name="Cliente" id="Cliente" placeholder="Cliente" value="" /></div>
					</div>
				</form>
			
				<div class="ui-grid-a">
					<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')">Filtra</button></div>
					<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="frmRicerca.reset()">Resetta</button></div>
				</div>
			
				<div class="ui-grid-d">
					<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')"><<</button></div>
					<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'prev')"><</button></div>
					<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicerca PaginazioneResoconto>1/1</div></div>
					<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'succ')">></button></div>
					<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'last')">>></button></div>
				</div>
				
				<div id=divSelezioneEdificio></div>
			
				<div class="ui-grid-d">
					<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')"><<</button></div>
					<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'prev')"><</button></div>
					<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicerca PaginazioneResoconto>1/1</div></div>
					<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'succ')">></button></div>
					<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'last')">>></button></div>
				</div>
			</div>
		</div>

		<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divColPiani>
			<h4>Selezione Piano</h4>
				
			<div id=divSelezionePiano></div>
		</div>
	</div>

</div><!-- page -->

<form name=frmMappa method=post action="mappa/mappa.php">
	<input type=hidden name=IdEdificio />
	<input type=hidden name=IdPiano />
</form>

<script>
	PaginazioneRicercaA('frmRicerca', 'first');
	
	function SelEdificio(IdEdificio)
	{
		var result = jhp("jhp/ricerca_piani.php", {IdEdificio: IdEdificio});

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			$('#divSelezionePiano').html(result.value);
			
			$('#divColEdifici').collapsible("collapse");
			$('#divColPiani').collapsible("expand");
		}
	}
	
	function SelPiano(IdEdificio, IdPiano)
	{
		frmMappa.IdEdificio.value = IdEdificio;
		frmMappa.IdPiano.value = IdPiano;
		frmMappa.submit();
	}
	
</script>

</body>
</html>