<?php

$layer = ms_newLayerObj($map);

$layer->set("name", "compselezionati");

$layer->set("type", MS_LAYER_POINT);

$layer->set("status", MS_ON);

$class = ms_newClassObj($layer);

$style = ms_newStyleObj($class);

$style->set("symbolname", "circle");
$style->set("size", 20);
$style->color->setRGB(255, 0, 0);
$style->outlinecolor->setRGB(255, 0, 0);

$ElencoCompletoTipiComponenti = explode(",", $_POST[ElencoCompletoTipiComponenti]);

if ( !is_array($ElencoCompletoTipiComponenti) ) $ElencoCompletoTipiComponenti = array();

$lenElencoCompletoTipiComponenti = count($ElencoCompletoTipiComponenti)-1;

if ( strlen("$_POST[ComponentiSelezionati]")>0 )
	$ComponentiSelezionati = ntxsp('ComponentiSelezionati');
else
	$ComponentiSelezionati = "''";

$sql = <<< sql
	SELECT  ComponentiAmbiente.X, ComponentiAmbiente.Y, TipoComponente.IDTipoComponente
	FROM         ComponentiAmbiente INNER JOIN
						  Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
						  ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
						  TipoComponente INNER JOIN
						  tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
						  TipoComponente.Copertura = tblCopertureInCommessa.Nome ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
						  INNER JOIN dbo.splitid($ComponentiSelezionati) a on a.id=ComponentiAmbiente.IdComponente
						  $inner_solo_comp_vani_sel
						  $innerIstantiRilievo
	WHERE     (TipoComponente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND (tblCopertureInCommessa.Tipo = 0) 
		AND (tblCopertureInCommessa.Geometria = 0) 
		AND (tblCopertureInCommessa.Associazione = 2) 
		AND (ComponentiAmbiente.Rimosso IS NULL OR ComponentiAmbiente.Rimosso = 0) 
		AND (isnumeric(ComponentiAmbiente.X) = 1) 
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$Visibile = false;

	for($i=0, $j=1; $i<$lenElencoCompletoTipiComponenti; $i+=2, $j+=2)
	{
		if ( $ElencoCompletoTipiComponenti[$i] == $rs[IDTipoComponente]  &&  $ElencoCompletoTipiComponenti[$j]==1 )
		{
			$Visibile = true;
			break;
		}
	}

	if ( !$Visibile ) continue;
	
	$shape =  ms_newShapeObj(MS_SHAPE_POINT);
	$line =  ms_newLineObj();

	$line->addXY($rs[X], $rs[Y]);

	$shape->add($line);
	
	$layer->addFeature($shape);
}

if ( is_numeric($_POST[UltimoComponenteSelezionato]) )
{
	$UltimoComponenteSelezionato = ntxip('UltimoComponenteSelezionato');
	
	$layer = ms_newLayerObj($map);

	$layer->set("name", "compselezionati2");

	$layer->set("type", MS_LAYER_POINT);

	$layer->set("status", MS_ON);

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	$style->set("symbolname", "circle");
	$style->set("size", 20);
	$style->color->setRGB(154, 205, 50);
	$style->outlinecolor->setRGB(154, 205, 50);

	$sql = <<< sql
		SELECT  ComponentiAmbiente.X, ComponentiAmbiente.Y, TipoComponente.IDTipoComponente
		FROM         ComponentiAmbiente INNER JOIN
							  Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
							  ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
							  TipoComponente INNER JOIN
							  tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
							  TipoComponente.Copertura = tblCopertureInCommessa.Nome ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
							  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
							  $inner_solo_comp_vani_sel
		WHERE     (TipoComponente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.IdLivello = $IdPiano)
			AND (ComponentiAmbiente.IdComponente = $UltimoComponenteSelezionato)
			AND (tblCopertureInCommessa.Tipo = 0) 
			AND (tblCopertureInCommessa.Geometria = 0) 
			AND (tblCopertureInCommessa.Associazione = 2) 
			AND (ComponentiAmbiente.Rimosso IS NULL OR ComponentiAmbiente.Rimosso = 0) 
			AND (isnumeric(ComponentiAmbiente.X) = 1) 
sql;

	$query = ntxQuery($sql);

	while ( $rs = ntxRecord($query) )
	{
		$Visibile = false;

		for($i=0, $j=1; $i<$lenElencoCompletoTipiComponenti; $i+=2, $j+=2)
		{
			if ( $ElencoCompletoTipiComponenti[$i] == $rs[IDTipoComponente]  &&  $ElencoCompletoTipiComponenti[$j]==1 )
			{
				$Visibile = true;
				break;
			}
		}

		if ( !$Visibile ) continue;
		
		$shape =  ms_newShapeObj(MS_SHAPE_POINT);
		$line =  ms_newLineObj();

		$line->addXY($rs[X], $rs[Y]);

		$shape->add($line);
		
		$layer->addFeature($shape);
	}
}

?>