<?php

require_once("../../../../_ntx/const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$result = array();

if ( !is_numeric($_POST[IdComponente]) )
	jhp($result);

$IdComponente = ntxip('IdComponente');
	
$sql = <<< sql
	SELECT     ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceAssComponente, ComponentiAmbiente.Note, ComponentiAmbiente.Rimosso, 
                      TipoComponente.DesComponente, ComponentiAmbiente.UtenteInserimento, ComponentiAmbiente.DataInserimento, 
                      ComponentiAmbiente.UtenteModifica, ComponentiAmbiente.DataUltimaModifica, ComponentiAmbiente.DataRimozione, 
                      ComponentiAmbiente.DesComponente AS Descrizione, ComponentiAmbiente.IDAmbiente
	FROM         ComponentiAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (ComponentiAmbiente.IDComponente = $IdComponente)
sql;

$query = ntxQuery($sql);

if($rs=ntxRecord($query))
{
	$Rimosso = $rs[Rimosso] ? "SI" : "no";
	
	$rs[DataUltimaModifica] = ntxDateTime($rs[DataUltimaModifica], 3);
	$rs[DataInserimento] = ntxDateTime($rs[DataInserimento], 3);
	$rs[DataRimozione] = ntxDateTime($rs[DataRimozione], 3);
	$IdAmbiente = $rs[IDAmbiente];
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);

	$static1 = <<< static
			<div class=ParteStatica>
				id			<b>$rs[IDComponente]       </b>
				- cod				<b>$rs[CodiceAssComponente]</b>
				- tipo			<b>$rs[DesComponente]      </b><hr>
				descrizione		<b>$rs[Descrizione]               </b><hr>
				note			<b>$rs[Note]               </b><hr>
				rimosso			<b>$Rimosso               </b>
			</div>
static;
		
	$static2 = <<< static
			<div class=ParteStatica>
				utente inserimento	<b>$rs[UtenteInserimento]        </b>
				- data inserimento	<b>$rs[DataInserimento]               </b><hr>
				utente modifica		<b>$rs[UtenteModifica]               </b>
				- data modifica		<b>$rs[DataUltimaModifica]               </b><hr>
				data rimozione		<b>$rs[DataRimozione]               </b>
				- rimosso			<b>$Rimosso               </b>
			</div>
static;
}

$sql = <<< sql
	SELECT     derivedtbl_1.IdPropComp, derivedtbl_1.Propietà , tblValoriComponenti.Valore
	FROM         tblValoriComponenti RIGHT OUTER JOIN
							  (SELECT     ComponentiAmbiente.IdCommessa, ComponentiAmbiente.IdEdificio, ComponentiAmbiente.IdComponente, tblPropTipiComp.Propietà , tblPropTipiComp.IdPropComp
								FROM          ComponentiAmbiente INNER JOIN
													   tblPropTipiComp ON ComponentiAmbiente.IdCommessa = tblPropTipiComp.IdCommessa AND 
													   ComponentiAmbiente.IdTipoComponente = tblPropTipiComp.IdTipoComp
		WHERE     (ComponentiAmbiente.IdCommessa = $IdCommessa) 
			AND (ComponentiAmbiente.IdEdificio = $IdEdificio) 
			AND (ComponentiAmbiente.IdComponente = $IdComponente)
	) derivedtbl_1 on
	tblValoriComponenti.IdCommessa = derivedtbl_1.IdCommessa AND tblValoriComponenti.IdEdificio = derivedtbl_1.IdEdificio AND 
	tblValoriComponenti.IdComponente = derivedtbl_1.IdComponente AND tblValoriComponenti.IdPropComp = derivedtbl_1.IdPropComp
sql;

$query = ntxQuery($sql);

$dinamic = <<< dinamic
		<div class=ParteStatica>
dinamic;

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$dinamic .= <<< dinamic
			$rs[Propietà ] <b>$rs[Valore]</b><hr>
dinamic;
}

$dinamic .= <<< dinamic
			</div>
dinamic;

require('dettaglio_componente-foto.inc');
require('dettaglio_componente-docs.inc');
					
$result[0] = <<< result
	$static1
	$dinamic
	$static2
	<br>
	<input type=button value="Nuova Richiesta" onclick="NuovaRichiestaComponente('$IdAmbiente', '$IdComponente')" />
result;

$result[1] = $PannelloFoto;
					
$result[2] = $table3;
	
jhp($result);

?>
