<?php

require_once("../../../../_ntx/const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
 
$ComponentiSelezionati = ntxsp('ComponentiSelezionati');
$UltimoComponenteSelezionato = ntxip('UltimoComponenteSelezionato');

if ( $ComponentiSelezionati=="NULL" ) $ComponentiSelezionati = "''";

$addWhere = "";


$sql = <<< sql
	SELECT DISTINCT 
                      ComponentiAmbiente.IDComponente, Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione, ComponentiAmbiente.CodiceAssComponente, 
                      ComponentiAmbiente.CodiceComponente, TipoComponente.DesComponente,
					  (SELECT TOP 1 GruppiImpianti.Descrizione FROM GruppiImpianti INNER JOIN
                      GruppiImpTipiComp ON GruppiImpianti.Id = GruppiImpTipiComp.IdGruppoImpianto
					  WHERE GruppiImpTipiComp.IdCommessaTipo = TipoComponente.IdCommessa AND 
                      GruppiImpTipiComp.IdTipoComponente = TipoComponente.IDTipoComponente) GruppoImpianto
					  
	FROM         Ambiente INNER JOIN
                      ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      dbo.SplitId($ComponentiSelezionati) AS ComponentiSelezionati ON ComponentiSelezionati.id = ComponentiAmbiente.IDComponente LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
	ORDER BY Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione, ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente
sql;

$query = ntxQuery($sql);

$table = "";

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;text-align:left"
				onclick="SelComponente($rs[IDComponente])">
			Vano <b>$html[CodiceAssAmbiente]</b> - <b>$html[Destinazione]</b>
			<br>
			Componente <b>$html[CodiceAssComponente]</b> - <b>$html[DesComponente]</b><br>[$html[GruppoImpianto]] - [$html[CodiceComponente]]
		</button>
table;
}

jhp($table);

?>
