<?php

require_once("../../../../_ntx/const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
 
$VaniSelezionati = ntxsp('VaniSelezionati');

if ( $VaniSelezionati=="NULL" ) $VaniSelezionati = "''";

$sql = <<< sql
	SELECT DISTINCT 
                       Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione
	FROM         DestinazioniDuso RIGHT OUTER JOIN
                      Ambiente INNER JOIN
                      dbo.SplitId($VaniSelezionati) AS VaniSelezionati ON Ambiente.IDAmbiente = VaniSelezionati.id ON DestinazioniDuso.IdCommessa = Ambiente.IdCommessa AND 
                      DestinazioniDuso.IdDestinazioneuso = Ambiente.IdDestinazioneduso
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
	ORDER BY Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione
sql;

$query = ntxQuery($sql);

$table = "";

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;text-align:left"
				onclick="SelVano($rs[IDAmbiente])">
			Vano <b>$html[CodiceAssAmbiente]</b> - <b>$html[Destinazione]</b>
		</button>
table;
}

jhp($table);

?>