<?php

if ( !isset($_SESSION) ) session_start();

$IdSetup = $_SESSION[ID_SETUP_ODBC_DATABASE];

require_once('../../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$sql = <<< sql
	SELECT DISTINCT TipoComponente.IDTipoComponente, TipoComponente.DesComponente, tblCopertureInCommessa.Simbolo, VisibileWeb
	FROM         ComponentiAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
                      TipoComponente.Copertura = tblCopertureInCommessa.Nome INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
	WHERE     (TipoComponente.IdCommessa = $IdCommessa)
		AND (Ambiente.IdEdificio = $IdEdificio)
		AND (Ambiente.IdLivello = $IdPiano)
		AND (tblCopertureInCommessa.Tipo = 0) 
		AND (tblCopertureInCommessa.Geometria = 0) 
		AND (tblCopertureInCommessa.Associazione = 2)
sql;

$query = ntxQuery($sql);

$result = array();

while( $rs = ntxRecord($query) )
	$result[] = array($rs[IDTipoComponente], $rs[VisibileWeb]);

jhp($result);

?>
