<?php 

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/form.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_469", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_469", "IT", __FILE__);	

$IdCommessa = ntxise('IdCommessa');

// 01/06/2017 16:31 inizio
$btnSwitchPreregistra = ($_GET[btnSwitchPreregistra]=='YES') ? 'YES' : '';
$btnDisableCanone = ($_GET[btnCanone]=='DISABLED') ? 'DISABLED' : '';
$btnDisableExtra = ($_GET[btnExtra]=='DISABLED') ? 'DISABLED' : '';
$btnDisablePreventivo = ($_GET[btnPreventivo]=='DISABLED') ? 'DISABLED' : '';
// 01/06/2017 16:31 fine
?>
<!DOCTYPE html> 
<html>
<head>
	<title><?php $traduttore->html('Nuova Richiesta') ?></title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	<link rel="stylesheet" href="css/index.css" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script> 
	
	<script src="js/index.js?v2"></script>
	<script src="js/gps.js"></script>
	<script src="js/haversine.js"></script>
	
	<script src="/repository2/paginazione/paginazione.js" type="text/javascript"></script>
	
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?v=3&sensor=false&language=it"> </script>
</head>
<body >
<?php

$IdUtente = ntxise('IdUtente');

$sql = <<< sql
	SELECT     TOP (1) Tecnici.Tecnico
	FROM         UtentiTecnici INNER JOIN
						  Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
						  UtentiEdifici ON UtentiTecnici.IdUtente = UtentiEdifici.IdUtente
	WHERE     (UtentiTecnici.IdUtente = $IdUtente) 
		AND (Tecnici.Tipo = N'prov') 
		AND (UtentiEdifici.IdCommessa = $IdCommessa) 
sql;

$TecnicoC = ntxScalar($sql);

?>

<div data-role="page">

	<div role="main" class="ui-content jqm-content jqm-fullwidth" style="margin:0;padding:0">
	<!-- INIZIO CORPO PAGINA -->
	<div data-role="collapsibleset" style="margin:0;padding:0">

		<div data-role="collapsible" data-collapsed="false" style="margin:0;padding:0" id=divColEdifici>
			<h4><?php $traduttore->html('Selezione Edificio') ?></h4>
		
			<form name="frmRicerca" method="post" Paginazione>
				<?php PaginazioneCampiPerForm(5, 'jhp/ricerca_edifici.php', 'divSelezioneEdificio') ?>
					<div class="ui-field-contain">
						<label for="FiltraCodice"><?php $traduttore->html('Codice Edificio') ?></label>
						<input type=text name="FiltraCodice" id="FiltraCodice" placeholder="<?php $traduttore->html('Codice Edificio') ?>" value="" />
					</div>
					
					<div class="ui-field-contain">
						<label for="FiltraIndirizzo"><?php $traduttore->html('Nome Edificio') ?></label>
						<input type=text name="FiltraNome" id="FiltraNome" placeholder="<?php $traduttore->html('Nome Edificio') ?>" value="" />
					</div>
					
					<div class="ui-field-contain">
						<label for="FiltraIndirizzo"><?php $traduttore->html('Indirizzo Edificio') ?></label>
						<input type=text name="FiltraIndirizzo" id="FiltraIndirizzo" placeholder="<?php $traduttore->html('Indirizzo Edificio') ?>" value="" />
					</div>
					
					<a  class="ui-btn ui-btn-b"  data-rel="dialog" href="#contenitoreHaversine" onclick="haversine();" ><?php $traduttore->html('trova elemento più vicino') ?></a>  
			</form>
		
			<div class="ui-grid-a">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')"><?php $traduttore->html('Filtra') ?></button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="frmRicerca.reset()"><?php $traduttore->html('Resetta') ?></button></div>
			</div>
		
			<div class="ui-grid-d">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')"><<</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'prev')"><</button></div>
				<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicerca PaginazioneResoconto>1/1</div></div>
				<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'succ')">></button></div>
				<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'last')">>></button></div>
			</div>
			
			<div id=divSelezioneEdificio></div>
		
			<div class="ui-grid-d">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')"><<</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'prev')"><</button></div>
				<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicerca PaginazioneResoconto>1/1</div></div>
				<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'succ')">></button></div>
				<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'last')">>></button></div>
			</div>
		</div>

		<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divColPiani>
			<h4><?php $traduttore->html('Selezione Piano') ?></h4>
			<div id=ElencoPianiEdificioSelezionato></div>
		</div>

		<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divColAmbienti>
			<h4><?php $traduttore->html('Selezione Ambiente') ?></h4>
			<div id=ElencoVaniEdificioSelezionato></div>
		</div>

		<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divColComponenti>
			<h4><?php $traduttore->html('Selezione Componente') ?></h4>
			<div id=ElencoComponentiEdificioSelezionato></div>
		</div>
			
		<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divColMain>
			<h4><?php $traduttore->html('Nuova Richiesta Edifici') ?></h4>
			<div class="ui-grid-b">
				<div class="ui-block-a"><input type=text name="CodCercaCompAmb" id="CodCercaCompAmb" placeholder="<?php $traduttore->html('Codice') ?>" value="" /></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="CercaVanoPerCodice()"><?php $traduttore->html('Cerca Vano') ?></button></div>
				<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="CercaCompPerCodice()"><?php $traduttore->html('Cerca Comp.') ?></button></div>
			</div>

			<div class=ParteStatica id=DatiEdificioSelezionato style="display:none"></div>
			<div class=ParteStatica id=DatiPianoSelezionato style="display:none"></div>
			<div class=ParteStatica id=DatiVanoSelezionato style="display:none"></div>
			<div class=ParteStatica id=DatiComponenteSelezionato style="display:none"></div>
			<div class=ParteStatica>
				<form name="frmNuovaRichiesta" id="frmNuovaRichiesta" action="inserimento_richiesta.php" method="post" enctype="multipart/form-data" target="frame1055_14092009_1">
					<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>">
					<input type=hidden name=IdEdificio value="">
					<input type=hidden name=IdLivello value="">
					<input type=hidden name=IdAmbiente value="">
					<input type=hidden name=IdComponente value="">
					<input type=hidden name=Classificazione value="">
					<input type=hidden name=GeneraOrdine value="NO">
					
					<div class="ui-field-contain">
						<label for="TecnicoC"><?php $traduttore->html('Tecnico C') ?></label>
						<input type=text name="TecnicoC" id="TecnicoC" placeholder="<?php $traduttore->html('Tecnico C') ?>" value="<?php echo ntxJs($TecnicoC) ?>" readonly />
					</div>
					<div class="ui-field-contain">
						<label for="Richiedente"><?php $traduttore->html('Richiedente') ?></label>
						<select name="Richiedente" id="Richiedente" data-native-menu="false"></select>
					</div>
					<div class="ui-field-contain">
						<label for="GradoUrgenza"><?php $traduttore->html('G.U.Ordine') ?></label>
						<select name="GradoUrgenza" id="GradoUrgenza" data-native-menu="false" onchange="CalcolaScadenze()"></select>
					</div>
					<div class="ui-field-contain">
						<label for="DataScadenza"><?php $traduttore->html('Data Scadenza') ?></label>
						<input type="datetime-local" name="DataScadenza" id="DataScadenza" placeholder="<?php $traduttore->html('Data Scadenza') ?>" value="">
					</div>
					<div class="ui-field-contain">
						<label for="Mestiere"><?php $traduttore->html('Mestiere') ?></label>
						<select name="Mestiere" id="Mestiere" data-native-menu="false" onchange="CaricaComponenteMestiere()"></select>
					</div>
					<div class="ui-field-contain">
						<label for="ComponenteMestiere"><?php $traduttore->html('Componente Mestiere') ?></label>
						<select name="ComponenteMestiere" id="ComponenteMestiere" data-native-menu="false" onchange="CaricaAttivitàMestiere()"></select>
					</div>
					<div class="ui-field-contain">
						<label for="AttivitàMestiere"><?php $traduttore->html('Attività Mestiere') ?></label>
						<select name="AttivitàMestiere" id="AttivitàMestiere" data-native-menu="false"></select>
					</div>
					<div class="ui-field-contain">
						<label for="NoteSospensione"><?php $traduttore->html('Descrizione') ?></label>
						<textarea name="Descrizione" id="Descrizione" placeholder="<?php $traduttore->html('Descrizione') ?>" value=""></textarea>
					</div>

					<div class="ui-field-contain">
							<label for="FileDaAllegare"><?php $traduttore->html('Foto') ?></label>
							<input type="file" name="FileDaAllegare" id="FileDaAllegare" placeholder="<?php $traduttore->html('Foto') ?>" value="" size=50>
						</div>
					<iframe name=frame1055_14092009_1 style="width:100%;height:50px"></iframe>
				</form>
			</div>
			
			<div class="ui-grid-b">
<!-- // 01/06/2017 16:31 inizio -->
<?php if ( $btnSwitchPreregistra=='YES' ) { ?>
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="PreRegistra()"><?php $traduttore->html('Pre-Registra') ?></button></div>
<?php } else { ?>
				<div class="ui-block-a"><button <?php echo $btnDisableCanone ?> class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="RegistraACanone()"><?php $traduttore->html('a Canone') ?></button></div>
<?php } ?>
				<div class="ui-block-b"><button <?php echo $btnDisableExtra ?> class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAAAFF" onclick="RegistraExtracanone()"><?php $traduttore->html('Extracanone') ?></button></div>
				<div class="ui-block-c"><button <?php echo $btnDisablePreventivo ?> class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFFFAA" onclick="RichiestoPreventivo()"><?php $traduttore->html('Preventivo') ?></button></div>
<!-- // 01/06/2017 16:31 fine -->
			</div>
<?php if ( $genera_ordine ){ ?>
			<div class="ui-grid-a">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="RegistraACanoneConOrdine()"><?php $traduttore->html('a Canone con Ordine') ?></button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAAAFF" onclick="RegistraExtracanoneConOrdine()"><?php $traduttore->html('Extracanone con Ordine') ?></button></div>
			</div>
<?php } ?>
		</div>
		
	</div>
<!-- FINE CORPO PAGINA -->
	</div>

	<div data-role="footer" data-position="fixed">
		<div data-role="navbar">
			<ul>
				<li><a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
			</ul>
		</div>
	</div>

</div>

<script>

	PaginazioneRicercaA('frmRicerca', 'first');
	
	$(function(){
		CaricaMestieri();
	});
	
</script>



	<!-- 
	INIZIO LAVORI ZAGATTI
		il codice non altera il comportamento della pagina --> 
	
	<div id="mappaGeolocalizzazione" data-role="page" data-close-btn="none" > 
		
		<div data-role="content" role="main" >   
			<div class="ui-bar-c ui-corner-all ui-shadow" style="padding:0;">
				<div id="map_canvas" style="height:350px;width:100%;display:block;"></div>
			</div>
		</div>
		
		<div data-role="footer"  >
			<div class="ui-field-contain"> 
				<button id="btn_registra" 	data-theme="b" onclick="salvaLatLngPI(); $('#mappaGeolocalizzazione').dialog('close');" ><?php $traduttore->html('Salva Coordinate') ?></button>
				<button id="btn_annulla" 	data-theme="c" onclick="$('#mappaGeolocalizzazione').dialog('close');" ><?php $traduttore->html('Annulla') ?></button> 	
			</div> 
		</div>
	</div>   
	
	<div id="contenitoreHaversine" data-role="page" data-close-btn="none" >
		<div data-role="header">
			<h1><?php $traduttore->html('Primi 4 elementi') ?></h1> 
		</div>  
		
		<div data-role="content" role="main" >   
			<div class="ui-bar-c ui-corner-all ui-shadow" style="padding:0;">
				<div id="map_canvas_haversine" style="height:300px;width:100%;display:block;"></div>
			
				<div id="risultati_haversine" ></div>
			</div>
		</div>
		
		<div data-role="footer"  >
			<div class="ui-field-contain">  
				<button id="btn_annulla" 	data-theme="c" onclick="$('#contenitoreHaversine').dialog('close');" ><?php $traduttore->html('Chiudi') ?></button> 	
			</div> 
		</div>
	</div>   
	<!-- 
	FINE LAVORI ZAGATTI  -->

<script>
$(function(){
<?php

if ( $_POST[comando_esterno]=="nuova_richiesta_ambiente" || $_POST[comando_esterno]=="nuova_richiesta_componente" )
{
	$IdEdificio = ntxip('IdEdificio');
	$IdPiano = ntxip('IdPiano');
	$IdAmbiente = ntxip('IdAmbiente');
	
	echo <<< echo
		SelEdificio($IdEdificio);
		SelPiano($IdPiano);
		SelVano($IdAmbiente);
echo;
}

if ( $_POST[comando_esterno]=="nuova_richiesta_componente" )
{
	$IdComponente = ntxip('IdComponente');
	
	echo <<< echo
		SelComponente($IdComponente);
echo;
}

?>
});
</script>
<script>
var messaggiJS = {
	Posizione_attuale: "<?php $traduttore->js('Posizione attuale') ?>",
	No_geolocalizzazione: "<?php $traduttore->js('L\'utente non ha autorizzato la geolocalizzazione') ?>",
	Posizione_non_disp: "<?php $traduttore->js('Posizione non disponibile') ?>",
	Timeout: "<?php $traduttore->js('Timeout') ?>",
	Errore: "<?php $traduttore->js('ERRORE') ?>"

};
</script>
</body>
<?php $traduttore->Salva(); ?>
</html>