<?php 

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_629", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_629", "IT", __FILE__);	

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');

?>
<!DOCTYPE html> 
<html>
<head>
	<title><?php $traduttore->html('Nuova Richiesta') ?></title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	<link rel="stylesheet" href="css/index.css" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script> 
	
</head>
<body >

<div data-role="page">
	<div data-role="header" data-position="fixed">
        <h1><?php $traduttore->html('Nuova Richiesta Edifici') ?></h1>
        <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext">Login</a>
    </div>

	<div role="main" class="ui-content jqm-content jqm-fullwidth" style="margin:0;padding:0">
	<!-- INIZIO CORPO PAGINA -->

<?php
$sql = <<< sql
	SELECT  TOP 1   Richiedenti.IdRichiedente, Richiedenti.Nome, ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
						  ElencoEdifici.PROVINCIA
	FROM         ElencoEdifici INNER JOIN
						  UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
						  Richiedenti INNER JOIN
						  UtentiRichiedenti ON Richiedenti.IdCommessa = UtentiRichiedenti.IdCommessa AND Richiedenti.IdRichiedente = UtentiRichiedenti.IdRichiedente ON 
						  UtentiEdifici.IdUtente = UtentiRichiedenti.IdUtente AND UtentiEdifici.IdCommessa = UtentiRichiedenti.IdCommessa
	WHERE     (Richiedenti.IdCommessa = $IdCommessa) AND (UtentiRichiedenti.IdUtente = $IdUtente)
sql;

$rs = ntxRecord(ntxQuery($sql));

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);
	
$IdEdificio = $rs[ID];
$IdRichiedente = $rs[IdRichiedente];

if ( !$rs )
	echo $traduttore->html('Utente non abilitato!');
else { ?>

		<?php 
		
		$traduttore->html('Richiedente');echo ": <b>$html[Nome]</b><br>";
		$traduttore->html('Edificio');echo ": <b>$html[ID] - $html[Codice] - $html[EdificioBreve] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])</b><br>";
			
		?>
		
		<form name="frmNuovaRichiesta" id="frmNuovaRichiesta" action="inserimento_richiesta.php" method="post" enctype="multipart/form-data" target="frame1055_14092009_1">
			<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>">
			<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>">
			<input type=hidden name=Richiedente value="<?php echo $IdRichiedente ?>">
			
			<div class="ui-field-contain">
				<label for="Descrizione"><?php $traduttore->html('Descrizione') ?></label>
				<textarea name="Descrizione" id="Descrizione" placeholder="<?php $traduttore->html('Descrizione') ?>" value=""></textarea>
			</div>

			<div class="ui-field-contain">
					<label for="FileDaAllegare"><?php $traduttore->html('Foto') ?></label>
					<input type="file" name="FileDaAllegare" id="FileDaAllegare" placeholder="<?php $traduttore->html('Foto') ?>" value="" size=50>
				</div>
		</form>

		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="frmNuovaRichiesta.submit()"><?php $traduttore->html('Registra') ?></button>
		
		<iframe name=frame1055_14092009_1 style="width:100%;height:50px"></iframe>
<?php } ?>
<!-- FINE CORPO PAGINA -->
	</div>

	<div data-role="footer" data-position="fixed">
		<div data-role="navbar">
			<ul>
				<li><a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
			</ul>
		</div>
	</div>

</div>

</body>
<?php $traduttore->Salva(); ?>
</html>