function haversine_close()
{
	$('#contenitoreHaversine').dialog('close');
}

function haversine()
{
	var lat, lng;

	
	function trovaEdifici()
	{
		jhpa("jhp/json-haversine.php",  
		{ 
			lat: lat  
			,lng: lng  
		}, 
		function(result)
		{
			if(result.state)
			{		 	
				alert(result.message);
			}
			else
			{
				$('#risultati_haversine').html(result.value.table);		 
			}
			
			$.mobile.loading( "hide" ); //IMPORTANTE	
		});		
	}
	
	function gotPosition(pos)  
	{
		var outputStr =
			"latitude: "+ pos.coords.latitude +"<br>"+
			"longitude: "+ pos.coords.longitude +"<br>"+
			"accuracy: "+ pos.coords.accuracy +"<br>"+

			"altitude: "+ pos.coords.altitude +"<br>"+
			"altitudeAccuracy: "+ pos.coords.altitudeAccuracy +"<br>"+
			"heading: "+ pos.coords.heading +"<br>"+
			"speed: "+ pos.coords.speed +"";  		
		
		lat = pos.coords.latitude;
		lng = pos.coords.longitude; 
		
		trovaEdifici(); //IMPORTANTE!	
		
		var myLatlng = new google.maps.LatLng(lat,lng);
	 
		map = new google.maps.Map(document.getElementById('map_canvas_haversine'), 
		{
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		});
	
		marker = new google.maps.Marker({
			position: myLatlng,
			map: this.map,
			draggable: true,			
			title: "posizione attuale"
		});	

		google.maps.event.addListener(marker, 'dragend', changePosition);			 
		
		function changePosition(event) 
		{
			lat = event.latLng.lat();
			lng = event.latLng.lng();
			
			trovaEdifici(); //IMPORTANTE!		
		}				
	}
		
	function errorGettingPosition(err) 
	{
		var outputStr = '';
		
		if(err.code == 1) {
			outputStr ="L'utente non ha autorizzato la geolocalizzazione";
		} else if(err.code == 2) {
			outputStr ="Posizione non disponibile";
		} else if(err.code == 3) {
			outputStr ="Timeout";
		} else {
			outputStr ="ERRORE:" + err.message;
		}
		
		$.mobile.loading( "hide" ); //IMPORTANTE
		
		alert(outputStr);
	}	 
	
	
	$.mobile.loading( 'show', {
		text: 'foo',
		textVisible: true,
		theme: 'z',
		html: ""
	});	 
		
		

	navigator.geolocation.getCurrentPosition(
		gotPosition,
		errorGettingPosition,
		{'enableHighAccuracy':true,'timeout':10000,'maximumAge':0}
	);    
	
}   