<?php
session_start();
require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<!DOCTYPE html> 
<html>
<head>
	<title>Ordini</title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	
	<script src="js/index.js"></script>
	
	<script src="../../_js/_gps.js"></script>
	
</head>
<body >
<div data-role="page">

	<script> 
	$(document).ready(function() 
	{ 
		gps(); 
		

		var IdOrdiniFasiTipo = '<?php echo htmlentities($_POST['IdOrdiniFasiTipo']) ?>';	
		var EseguitoFase = '<?php echo htmlentities($_POST['EseguitoFase']) ?>';

		$.isNumeric(IdOrdiniFasiTipo) 
		{
			document.form1.IdOrdiniFasiTipo.value = IdOrdiniFasiTipo;
			$("#IdOrdiniFasiTipo").selectmenu('refresh', true);
		}
		
		$.isNumeric(EseguitoFase) 
		{
			document.form1.EseguitoFase.value = EseguitoFase;
			$("#IdOrdiniFasiTipo").selectmenu('refresh', true);
		}	
	});
	</script>

	<div data-role="header" data-position="fixed">
        <h1>Ordini</h1>
        <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext">Login</a>
    </div>

	<br>
	
	<form id="form1" name="form1" method="post">
	
		<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0">
			<h4>Filtro di ricerca</h4>
			
			<div class="ui-field-contain">
				<label for="Comune">Comune</label>
				<input type="text" name="Comune" id="Comune" placeholder="Comune" value="<?php echo htmlentities($_POST[Comune]) ?>"   >
			</div>
			
			<div class="ui-field-contain">
				<label for="Indirizzo">Indirizzo</label>
				<input type="text" name="Indirizzo" id="Indirizzo" placeholder="Indirizzo" value="<?php echo htmlentities($_POST[Indirizzo]) ?>"   >
			</div> 
			
			<div class="ui-field-contain">
				<label for="IdOrdiniFasiTipo">Fasi - tipo</label>
				<select name="IdOrdiniFasiTipo" id="IdOrdiniFasiTipo" data-native-menu="false" > 
					<option value="x" >non importa</option>
					<?php
					$sql = <<<_SQL
					SELECT *
					FROM OrdiniFasiTipo
					WHERE 
						OrdiniFasiTipo.idcommessa = $IdCommessa
_SQL;
					$query = ntxQuery($sql);
					
					while($rs = ntxRecord($query))
					{
						$ID = htmlentities($rs['ID']);
						$codice = htmlentities($rs['codice']);
						$nome = htmlentities($rs['nome']);
						
						echo " <option value=$ID > $codice $nome </option> ";
					}	
					?>
					</select>
			</div>		
			
			<div class="ui-field-contain">
				<label for="EseguitoFase">Fasi - eseguito</label>
				<select name="EseguitoFase" id="EseguitoFase" data-native-menu="false" > 
					<option value="" >non importa</option> 
					<option value="1" >SI</option> 
					<option value="0" >NO</option> 
					</select>
			</div> 
			
		</div>	
	
	</form>	 
	

	<div style="padding:10px 20px;" role="main" class="ui-content jqm-content jqm-fullwidth">
		<input type=button 
			value="Ordini in Carico" 
			class="ui-btn ui-corner-all ui-shadow  ui-btn-icon-left ui-icon-check"
			onclick='SelOpzione("ordini_in_carico.php")'
			style="width:100%" />
		<input type=button 
			value="Ordini da Assegnare" 
			class="ui-btn ui-corner-all ui-shadow  ui-btn-icon-left ui-icon-check"
			onclick='SelOpzione("ordini_da_assegnare.php")'
			style="width:100%" />
		<input type=button 
			value="Ordini Finiti" 
			class="ui-btn ui-corner-all ui-shadow  ui-btn-icon-left ui-icon-check"
			onclick='SelOpzione("ordini_finiti.php")'
			style="width:100%" />
	</div>

</div><!-- page -->




</body>
</html>