$(function(){
	if ( $('#DataInizio').val()=="" || $('#DataFine').val()=="" ) SetNow();
	
	MostraEdit('editFormSez1');
	
	$('#editForm').hide();
	$('#messaggi').hide();
});

function SelTutto(Valore)
{
	if ( Valore=="YES" )
	{
		$('button[IdOrdPrgComp]').attr('Selezionato', 'YES').css('background-color', '#DDFFDD');
	}
	else
	{
		$('button[IdOrdPrgComp]').attr('Selezionato', 'NO').css('background-color', 'white');
	}
}

function ApriPannello(index)
{
	var pannelloSelezionato = $('div[Pannello='+index+']');
	
	var Vuoto = pannelloSelezionato.attr('Vuoto');
	
	if ( index!=1 ) $('#editForm').attr('Visibile', 'NO').hide();
	
	if ( Vuoto=='YES' )
	{
		var action = "jhp/attivita_vano/prop_vano.php";
		
		switch(index)
		{
			case 3:
				action = "jhp/attivita_vano/foto_vano.php";
				break;
			case 4:
				action = "jhp/attivita_vano/ordini_vano.php";
				break;
			case 5:
				action = "jhp/attivita_vano/prd_vano.php";
				break;
			case 6:
				action = "jhp/attivita_vano/anomalie_vano.php";
				break;
			case 7:
				action = "jhp/attivita_vano/lista_controllo.php";
				break;
		}
		
		var result = jhp(action, jhp_frm(frmRicerca));

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			if ( index!=7 ) 
				pannelloSelezionato.html(result.value);
			else
				$('#lista-risultati-checklistBody').html(result.value);
				
			if ( index!=7 ) pannelloSelezionato.attr('Vuoto', 'NO');
		}
	}
	
	$('div[Pannello]').hide();
	pannelloSelezionato.show();	
}

function SelezionaImmagineVano(IdFotoVano)
{
	var obj = jhp_frm(formRefresh);
	
	obj.IdFotoVano = IdFotoVano;
	
	var result = jhp("jhp/attivita_vano/foto_media_vano.php", obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('img[foto_media]').attr('src', result.value).show();
	}
}

function SelOrdinePrg2(IdOrdPrgComp)
{
	var editForm = $('#editForm');

	if ( IdOrdPrgComp!=editForm.attr('idOrdPrg') || editForm.attr('Visibile')=='NO' )
		$('button[btnIdOrdPrg='+IdOrdPrgComp+']').show();

	button = $($('button[IdOrdPrgComp='+IdOrdPrgComp+']')[0]);
	
	if ( button.attr('Selezionato')=="NO" )
	{
		button.attr('Selezionato', 'YES').css('background-color', '#DDFFDD');
	}
	else
	{
		button.attr('Selezionato', 'NO').css('background-color', 'white');
	}

	div = $($('div[IdOrdineProgrammato2='+IdOrdPrgComp+']')[0]);
	
	var Selezionato2 = div.attr('Selezionato2')+'';
	
	$('div[IdOrdineProgrammato2]').attr('Selezionato2', 'NO').css('display', 'none');
	
	div.attr('Selezionato2', 'YES').css('display', 'block');

	$('b[DesAttività ]').css('white-space','nowrap');
	$('b[DesAttività ='+IdOrdPrgComp+']').css('white-space','normal');
}

function UsaDataAttuale()
{
	$('#DataInizio').val(g.DataInizioOggiStore);
	$('#DataFine').val(g.DataFineOggiStore);
}

function SetDate(txt, field)
{
	var result = jhp("jhp/index/set_date.php", {date: $(txt).val(), field: field});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(txt).val(result.value);
	}
}

function SetNow()
{
	var result = jhp("jhp/index/set_date_now.php", {});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#DataInizio').val(result.value['DataInizioProg']);
		$('#DataFine').val(result.value['DataFineProg']);
	}
}

function Altro(idHtml, idOrdPrg)
{
	var editForm = $('#editForm');
	var idSopra = editForm.attr('SottoA');
	
	if ( idHtml=="CodaLista" || idHtml=="TestaLista" )
		$('#chkMultiEdit').prop('checked', true).checkboxradio("refresh");
	else
		$('#chkMultiEdit').prop('checked', false).checkboxradio("refresh");
		
	if ( idSopra!=idHtml )
	{
		$('#'+idHtml).after(editForm);
		editForm.attr('SottoA', idHtml).attr('idOrdPrg', idOrdPrg).attr('Visibile', 'YES').show();	
	}
	else
	{
		if ( editForm.attr('Visibile')=="NO" )
		{
			editForm.attr('Visibile', 'YES').show();
		}
		else
		{
			editForm.attr('Visibile', 'NO').hide();
		}
	}
	
	if ( idOrdPrg!="none" && editForm.attr('Visibile')=='YES' )
		$('button[btnIdOrdPrg='+idOrdPrg+']').hide();
	else
		$('button[btnIdOrdPrg='+idOrdPrg+']').show();
}

function MostraEdit(gruppoMostrato)
{
	$('div[editFormSez1]').hide();
	$('div[editFormSez2]').hide();
	$('fieldset[editFormSez2]').hide();
	$('div[editFormSez3]').hide();
	$('button[editFormSez3]').hide();
	$('div['+gruppoMostrato+']').show();
	$('fieldset['+gruppoMostrato+']').show();
	$('button['+gruppoMostrato+']').show();
}


function RefreshRigheTestata(result)
{
	$('div[Testata]').html(result.value['Testata']);
	
	var ListaIdOrdPrgCompArray = result.value['ListaIdOrdPrgCompArray'];
	var len = ListaIdOrdPrgCompArray.length;
	
	var i=0;
	
	for(i=0;i<len;++i)
	{
		var id = ListaIdOrdPrgCompArray[i];
		
		$('button[IdOrdPrgComp='+id+']').html(result.value['ord'+id]);
	}
}

function UsaDateProgrammate()
{
	$('#DataInizio').val(g.DataInizioProgStore);
	$('#DataFine').val(g.DataFineProgStore);
}

function RecuperaIdOrdPrgDaUsare(visualizzaErrore)
{
	var MultiEdit = $('#chkMultiEdit').is(":checked");
	
	var ListaIdOrdPrgComp = "";
	
	if ( MultiEdit )
	{
		var righe_selezionate = $('button[Selezionato=YES]');
		
		var len = righe_selezionate.length;
		
		var i=0;
		
		for(i=0;i<len;++i)
		{
			if ( ListaIdOrdPrgComp!="" ) ListaIdOrdPrgComp+=",";
			
			ListaIdOrdPrgComp += $(righe_selezionate[i]).attr('IdOrdPrgComp');
		}
	
		if ( ListaIdOrdPrgComp=="" )
		{
			if ( visualizzaErrore ) alert("Per l'edit multiplo devi selezionare almeno un'Attività !");
			return "";
		}
	}
	else
	{
		var idOrdPrg = $('#editForm').attr('idOrdPrg');
	
		if ( idOrdPrg=="none" )
		{
			if ( visualizzaErrore ) alert("Per l'edit singolo devi aprire il box sotto l'Attività  interessata!");
			return "";
		}
		
		ListaIdOrdPrgComp = idOrdPrg;
	}
	
	return ListaIdOrdPrgComp;
}
