<?php
session_start();

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');

$Stato = ntxip('Stato');

if ( !in_array($Stato, array(40, 60, 50, 70)) ) jhp_error("Stato settato non consentito!");

$IdEdificio = ntxip('IdEdificio');

$DataInizioProg=ntxttp('DataInizioProg');
$DataFineProg=ntxttp('DataFineProg');

$DataInizio=ntxttp('DataInizio');
$DataFine=ntxttp('DataFine');

$Descrizione = $_POST['Descrizione'];

$des1 = $Descrizione;

$des2 = $des3 = "";

if ( strlen($Descrizione) > 255 )
{
	$des1 = substr($Descrizione, 0, 255); // prende i primi 255 caratteri
	$des2 = substr($Descrizione, 255); // prende i caratteri dal 256Â° in poi
}

if ( strlen($des2) > 255 )
{
	$des3 = substr($des2, 255); // prende i caratteri dal 256Â° in poi
	$des2 = substr($des2, 0, 255); // prende i primi 255 caratteri
	$des3 = substr($des3, 0, 255); // prende i primi 255 caratteri
}

$des1 = ntxs($des1);
$des2 = ntxs($des2);
$des3 = ntxs($des3);

$sql = <<< sql
	SELECT     TOP (1) IdMestiere
	FROM         tblMestieri
	WHERE     (IdCommessa = $IdCommessa) AND (MonitoraggioStrade = 1)
sql;

$IdMestiere = ntxScalar($sql);

if ( !is_numeric($IdMestiere) ) jhp_error("Nessun mestiere nei capitolati e' stato settato come monitoraggio strade!");

$sql = <<< sql
	SELECT     TOP (1) tblContrattiFornitori.IdContrattoFornitore, tblPgContrattiAffidatari.IdAffidatario
	FROM         tblContrattiFornitori INNER JOIN
                      tblContrattiFornitoriAttivitàMestiereEdifici ON tblContrattiFornitori.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                      tblContrattiFornitori.IdContrattoFornitore = tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore INNER JOIN
                      tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND 
                      tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      tblPgContrattiAffidatari ON tblContrattiFornitori.IdCommessa = tblPgContrattiAffidatari.IdCommessa AND 
                      tblContrattiFornitori.IdContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
	WHERE     (tblMestieri.MonitoraggioStrade = 1) AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa) AND (tblContrattiFornitori.IdFornitore = $IdDitta) 
		AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $IdEdificio) 
		AND (tblContrattiFornitori.DataInizio <= $DataInizioProg) AND (tblContrattiFornitori.DataFine >= $DataInizioProg)
sql;

$rs = ntxRecord(ntxQuery($sql));

$IdContrattoFornitore = $rs[IdContrattoFornitore];
$IdAffidatario = $rs[IdAffidatario];

if ( !is_numeric($IdContrattoFornitore) ) jhp_error("Nessun contratto fornitore settato per monitoraggio su strada selezionata!");

if ( !is_numeric($IdAffidatario) ) jhp_error("Affidatario associato a contratto fornitore non trovato!");

$sql = "SELECT YEAR($DataInizioProg)";
		
$AnnoOrdine = ntxScalar($sql);

$sql = "SELECT isnull(MAX(NumOrdine),0)+1 From Ordini WHERE IdCommessa=$IdCommessa AND AnnoOrdine=$AnnoOrdine";
		
$NumOrdine = ntxScalar($sql);
	
$sql = <<< sql
	INSERT INTO Ordini (IdCommessa ,IdUtilizzatore ,NumOrdine ,AnnoOrdine
		,CodEdificio ,GradoUrgenza ,DescrizioneIntervento ,DescrizioneIntervento1 ,DescrizioneIntervento2
		,DataModifica ,DataOrdine
		,DataInizioProg ,DataFineProg
		,DataInizio ,DataFine
		,IdContratto
		,StatoOrd
		,Assegnazione, IdAffidatario, IdMestiere, TipoMP) 
	VALUES ($IdCommessa, NULL, $NumOrdine, $AnnoOrdine, 
		$IdEdificio, 'MON', $des1, $des2, $des3,
		GETDATE(), GETDATE(),
		$DataInizioProg, $DataFineProg, 
		$DataInizio, $DataFine, 
		$IdContrattoFornitore,
		$Stato,
		$IdDitta, $IdAffidatario, $IdMestiere, 0)
sql;

ntxQuery($sql);

$result[NumOrdine] = $NumOrdine;
$result[AnnoOrdine] = $AnnoOrdine;

jhp($result);
 
?>
