<?php
session_start();

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');
	
$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, Ordini.DataInizio, Ordini.DataFine, Ordini.DataInizioProg, Ordini.DataFineProg, 
                      Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2, ElencoEdifici.ID, ElencoEdifici.Codice, 
                      ElencoEdifici.Indirizzo, StatiOrdini.DesStato
	FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine)
sql;

$rs = ntxRecord(ntxQuery($sql));

$DataOrdine = ntxDateTime($rs[DataOrdine]);
$DesStato = htmlentities($rs[DesStato]);

if ( is_numeric($rs[NumOrdine]) ) $rs[NumOrdine] = (int)$rs[NumOrdine];

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);

$result[testata] = <<< testata
	Ordine <b>$html[NumOrdine]/$html[AnnoOrdine]</b> stato <b>$DesStato</b> data <b>$DataOrdine</b>
	<br>localizzazione id <b>$html[ID]</b> codice <b>$html[Codice]</b> nome <b>$html[Indirizzo]</b>
testata;

$result[IdEdificio] = $rs[ID];
$result[NumOrdine] = $rs[NumOrdine];
$result[AnnoOrdine] = $rs[AnnoOrdine];

$result[DataInizio] = ntxDateTimeT($rs[DataInizio]);
$result[DataFine] = ntxDateTimeT($rs[DataFine]);
$result[DataInizioProg] = ntxDateTimeT($rs[DataInizioProg]);
$result[DataFineProg] = ntxDateTimeT($rs[DataFineProg]);

$result[Descrizione] = "{$rs[DescrizioneIntervento]}{$rs[DescrizioneIntervento1]}{$rs[DescrizioneIntervento2]}";

jhp($result);
 
?>
