function haversine(func)
{
	function gotPosition(pos)  
	{
		func(pos.coords.latitude, pos.coords.longitude); //IMPORTANTE!	
	}
		
	function errorGettingPosition(err) 
	{
		var outputStr = '';
		
		if(err.code == 1) {
			outputStr ="L'utente non ha autorizzato la geolocalizzazione";
		} else if(err.code == 2) {
			outputStr ="Posizione non disponibile";
		} else if(err.code == 3) {
			outputStr ="Timeout";
		} else {
			outputStr ="ERRORE:" + err.message;
		}
		
		$.mobile.loading( "hide" ); //IMPORTANTE
		
		alert(outputStr);
	}	 
	
	
	$.mobile.loading( 'show', {
		text: 'foo',
		textVisible: true,
		theme: 'z',
		html: ""
	});	 

	navigator.geolocation.getCurrentPosition(
		gotPosition,
		errorGettingPosition,
		{'enableHighAccuracy':true,'timeout':10000,'maximumAge':0}
	);    
}   
