<?php 

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$IdEdificio = ntxScalar("SELECT CodEdificio FROM Ordini WHERE IdCommessa=$IdCommessa AND NumOrdine=$NumOrdine AND AnnoOrdine=$AnnoOrdine");
?>
<!DOCTYPE html> 
<html>
<head>
	<title>Edit Ordine</title> 
	
	<meta name="viewport" content="initial-scale=1, maximum-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	<link rel="stylesheet" href="css/index.css?v=<?php echo time() ?>" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>
	
	<script src="js/edit_ordine.js?v=<?php echo time() ?>"></script>
	
	<script src="js/gps.js?v4"></script>
	<script src="js/haversine.js"></script>
	
</head>
<body >

<div data-role="page">

	<div role="main" class="ui-content jqm-content jqm-fullwidth" style="margin:0;padding:0">
<!-- INIZIO CORPO PAGINA -->
<div data-role="collapsibleset" style="margin:0;padding:0">
	<div data-role="collapsible" data-collapsed="false" style="margin:0;padding:0">
		<h4><?php echo "Ordine $NumOrdine/$AnnoOrdine" ?></h4>
		
		<div id=divTestata></div>
		
		<div class="ui-grid-a">
			<div class="ui-block-a"><button id=btnInizioOrdine class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFFFAA" onclick="IniziaOrdine()">Inizia Ordine</button></div>
			<div class="ui-block-b"><button id=btnFineOrdine class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="FineOrdine()">Fine Ordine</button></div>
		</div>
		
	</div>

	<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0">
		<h4>Altre Informazioni</h4>
		<div class=ParteStatica>
			<div class="ui-field-contain">
				<label for="DataPresaInCarico">Data Presa in Carico</label>
				<input id="DataPresaInCarico" placeholder="Data Presa in Carico" type="datetime-local" data-clear-btn="true" 
					value="">
			</div>
			<div class="ui-field-contain">
				<label for="DataInizio">Data Inizio</label>
				<input id="DataInizio" placeholder="Data Inizio" type="datetime-local" data-clear-btn="true" 
					value="">
			</div>
			<div class="ui-field-contain">
				<label for="DataFine">Data Fine</label>
				<input id="DataFine" placeholder="Data Fine" type="datetime-local" data-clear-btn="true" 
					value="">
			</div>
		</div>

		<div class="ui-field-contain">
			<label for="Intervento">Descrizione Intervento Eseguito</label>
			<textarea id="Intervento" placeholder="Descrizione Intervento Eseguito" value=""></textarea>
		</div>

		<div class="ui-field-contain">
			<label for="PosaSegnaletica">Posa Segnaletica</label>
			<select id="PosaSegnaletica" data-native-menu="false">						
				<option value="1">SI
				<option value="0" selected>no
			</select>
		</div>
		<button  id=btnModificaAltriDati onclick="ModificaAltriDati()" style="background-color:#FFAAAA">Modifica Dati</button>
	</div>
	<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0">
		<h4>Punto intervento</h4>
		<a  class="ui-btn ui-btn-b"  data-rel="dialog" href="#mappaGeolocalizzazione" onclick="trova_posizione();" >Utilizza la mia posizione GPS</a>  
		
		<div class="ui-field-contain">
			<label for="Latitudine">Latitudine Punto Intervento </label>
			<input type=text id="Latitudine" placeholder="Latitudine Punto Intervento" value="" />
		</div>
		
		<div class="ui-field-contain">
			<label for="Longitudine">Longitudine Punto Intervento </label>
			<input type=text id="Longitudine" placeholder="Longitudine Punto Intervento" value="" />
		</div>
		
		<input type=button onclick="CalcProgressiva()" value="Calcola Progressiva in km" />
		<div class="ui-field-contain">
			<label for="Progressiva1">Progressiva in km</label>
			<input type=text  id="Progressiva1" placeholder="Progressiva in km" value="" />
		</div>
		
		<div class="ui-field-contain">
			<label for="IdCarreggiata">Carreggiata</label>
			<select  id="IdCarreggiata" data-native-menu="false"></select>
		</div>

		<div class="ui-field-contain">
			<label for="desPuntoIntervento">Descrizione Punto Intervento</label>
			<textarea  id="desPuntoIntervento" placeholder="Descrizione Punto Intervento" value=""></textarea>
		</div>
		<button  id=btnModificaPuntoIntervento onclick="ModificaPuntoIntervento()" style="background-color:#FFAAAA">Modifica Punto Intervento</button>
	</div>

	<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0">
		<h4>Elenco Foto Punto Intervento [Num.Foto <span id=spanNumeroAllegati>0</span>]</h4>
		<div id=divAllegati></div>
	</div>

	<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0">
		<h4>Aggiungi Foto</h4>
		<form name="frmUploadFile" id="frmUploadFile" action="inserimento_foto.php" method="post" enctype="multipart/form-data" target="frame1055_14092009_1">
			<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>">
			<input type=hidden name=NumOrdine value="<?php echo $NumOrdine ?>">
			<input type=hidden name=AnnoOrdine value="<?php echo $AnnoOrdine ?>">
			
			<div class="ui-field-contain">
					<label for="FotoDaAllegare">Foto da Allegare</label>
					<input type="file" name="FotoDaAllegare" id="FotoDaAllegare" placeholder="Foto da Allegare" value="" size=50>
				</div>
			<button id=btnAllegaFile onclick="jei('btnAllegaFile').disabled=true;frmUploadFile.submit()">Aggiungi Foto</button>
			<iframe name=frame1055_14092009_1 style="width:100%;height:50px"></iframe>
		</form>
	</div>


</div>
<!-- FINE CORPO PAGINA -->
	</div>

	<div data-role="footer" data-position="fixed">
			<div data-role="navbar">
				<ul>
					<li><a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
					<li><a href="index.php" data-ajax="false" data-icon="back" data-iconpos="notext"></a>
				</ul>
			</div>
	</div>

</div>

<form name="formVediDoc" action="vedi_doc.php" method="post" target="_blank">
	<input name=IdDoc type=hidden>
</form>


<script>
var g = {
	NumOrdine: <?php echo $NumOrdine ?>,
	AnnoOrdine: <?php echo $AnnoOrdine ?>,
	IdEdificio: <?php echo $IdEdificio ?>,
	IdCommessa: <?php echo $IdCommessa ?>
}; 

</script>

	<!-- 
	INIZIO LAVORI ZAGATTI
		il codice non altera il comportamento della pagina --> 
	
	<div id="mappaGeolocalizzazione" data-role="page" data-close-btn="none" > 
		
		<div data-role="content" role="main" >   
			<div class="ui-bar-c ui-corner-all ui-shadow" style="padding:0;">
				<div id="map_canvas" style="height:350px;width:100%;display:block;"></div>
			</div>
		</div>
		
		<div data-role="footer"  >
			<div class="ui-field-contain"> 
				<button id="btn_registra" 	data-theme="b" onclick="salvaLatLngPI(); $('#mappaGeolocalizzazione').dialog('close');" >Salva Coordinate</button>
				<button id="btn_annulla" 	data-theme="c" onclick="$('#mappaGeolocalizzazione').dialog('close');" >Annulla</button> 	
			</div> 
		</div>
	</div>   
	
	<div id="contenitoreHaversine" data-role="page" data-close-btn="none" >
		<div data-role="header">
			<h1>primi 4 elementi</h1> 
		</div>  
		
		<div data-role="content" role="main" >   
			<div class="ui-bar-c ui-corner-all ui-shadow" style="padding:0;">
				<div id="map_canvas_haversine" style="height:300px;width:100%;display:block;"></div>
			
				<div id="risultati_haversine" ></div>
			</div>
		</div>
		
		<div data-role="footer"  >
			<div class="ui-field-contain">  
				<button id="btn_annulla" 	data-theme="c" onclick="$('#contenitoreHaversine').dialog('close');" >Chiudi</button> 	
			</div> 
		</div>
	</div>  
	<!-- 
	FINE LAVORI ZAGATTI  -->

</body>
</html>