var elenco_campi = 
[	
	'DataInizio',
	'DataFine',
	'DataPresaInCarico',
	'Intervento',
	'PosaSegnaletica',
	'Latitudine',
	'Longitudine',
	'Progressiva1',
	'IdCarreggiata',
	'desPuntoIntervento'
];
	
$(function(){
	CaricaCarreggiate();

	Carica();
	
	CaricaAllegati();
});

function CaricaCarreggiate()
{
	var result = jhp("jhp/edit_ordine/carica_carreggiate.php", {});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#IdCarreggiata').html(result.value).selectmenu('refresh');
	}
}

function CaricaAllegati()
{
	var result = jhp("jhp/edit_ordine/allegati.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#spanNumeroAllegati').text(result.value['NumeroAllegati']);
		$('#divAllegati').html(result.value['table']);
	}
}

function VediDoc(IdDoc)
{
	formVediDoc.IdDoc.value = IdDoc;
	formVediDoc.submit();
}

function EliminaDoc(IdDoc)
{
	if(!confirm("Elimina Allegato?")) return;
	
	var result = jhp("jhp/edit_ordine/elimina_allegato.php", {IdDoc: IdDoc});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		CaricaAllegati();
	}
}

function IniziaOrdine()
{
	if(!confirm("Inizia ordine?")) return;
	
	IniziaFineOrdine(1, "Inizio ordine effettuato!");
}

function FineOrdine()
{
	if(!confirm("Finisci ordine?")) return;
	
	IniziaFineOrdine(0, "Fine ordine effettuata!");
}

function IniziaFineOrdine(inizio, msg)
{
	g.PosaSegnaletica = $('#PosaSegnaletica').val();
	g.DataInizio = $('#DataInizio').val();
	g.DataFine = $('#DataFine').val();
	g.DataPresaInCarico = $('#DataPresaInCarico').val();
	g.Intervento = $('#Intervento').val();
	g.inizio = inizio;
	
	var result = jhp("jhp/edit_ordine/inizia_fine_ordine.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Carica();
		alert(msg);
	}
}

function ModificaAltriDati()
{
	if ( !confirm("Modifica dati?") ) return;
	
	g.PosaSegnaletica = $('#PosaSegnaletica').val();
	g.DataInizio = $('#DataInizio').val();
	g.DataFine = $('#DataFine').val();
	g.DataPresaInCarico = $('#DataPresaInCarico').val();
	g.Intervento = $('#Intervento').val();
	
	var result = jhp("jhp/edit_ordine/modifica_altri_dati.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Carica();
		alert("modifica effettuata!");
	}
}

function ModificaPuntoIntervento()
{
	if ( !confirm("Modifica punto intervento?") ) return;
	
	g.Latitudine = $('#Latitudine').val();
	g.Longitudine = $('#Longitudine').val();
	g.Progressiva1 = $('#Progressiva1').val();
	g.IdCarreggiata = $('#IdCarreggiata').val();
	g.desPuntoIntervento = $('#desPuntoIntervento').val();
	
	var result = jhp("jhp/edit_ordine/modifica_punto_intervento.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		Carica();
		alert("modifica effettuata!");
	}
}

function CalcProgressiva()
{
	g.Latitudine = $('#Latitudine').val();
	g.Longitudine = $('#Longitudine').val();
	
	var result = jhp("jhp/edit_ordine/calc_progressiva.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#Progressiva1').val(result.value);
	}
}

function Carica()
{
	var result = jhp("jhp/edit_ordine/carica_form.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var rs = result.value;
		var i, len=this.elenco_campi.length;

		for(i=0;i<len;++i)
		{
			var nome_campo = elenco_campi[i];
			
			$('#'+nome_campo).val(rs[nome_campo]);
		}

		$('#divTestata').html(rs['Testata']);
		
		$('#PosaSegnaletica').val(rs['PosaSegnaletica']).selectmenu('refresh', true);
		$('#IdCarreggiata').val(rs['IdCarreggiata']).selectmenu('refresh', true);

		if ( rs['StatoOrd'] != 35 )
			jei('btnInizioOrdine').disabled = true;
		else
			jei('btnInizioOrdine').disabled = false;

		if ( rs['StatoOrd'] != 35 && rs['StatoOrd'] != 37 && rs['StatoOrd'] != 40 )
		{
			jei('btnFineOrdine').disabled = true;
			jei('btnAllegaFile').disabled = true;
			jei('btnModificaAltriDati').disabled = true;
			jei('btnModificaPuntoIntervento').disabled = true;
		}
		else
		{
			jei('btnFineOrdine').disabled = false;
			jei('btnAllegaFile').disabled = false;
			jei('btnModificaAltriDati').disabled = false;
			jei('btnModificaPuntoIntervento').disabled = false;
		}
		
	} 
}

