var map;
var marker;
var lat, lng;


function salvaLatLngPI()
{
	$('#Latitudine').val(lat);
	$('#Longitudine').val(lat);
	CalcProgressiva();
}

function trova_posizione()
{
	function gotPosition(pos)  
	{
		var outputStr =
			"latitude: "+ pos.coords.latitude +"<br>"+
			"longitude: "+ pos.coords.longitude +"<br>"+
			"accuracy: "+ pos.coords.accuracy +"<br>"+

			"altitude: "+ pos.coords.altitude +"<br>"+
			"altitudeAccuracy: "+ pos.coords.altitudeAccuracy +"<br>"+
			"heading: "+ pos.coords.heading +"<br>"+
			"speed: "+ pos.coords.speed +""; 
			
		lat = pos.coords.latitude;
		lng = pos.coords.longitude; 
		
		var myLatlng = new google.maps.LatLng(lat,lng);
	 
		map = new google.maps.Map(document.getElementById('map_canvas'), 
		{
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		});
	
		marker = new google.maps.Marker({
			position: myLatlng,
			map: this.map,
			draggable: true,			
			title: "posizione attuale"
		});	

		google.maps.event.addListener(marker, 'dragend', changePosition);			 
		
		function changePosition(event) 
		{
			lat = event.latLng.lat();
			lng = event.latLng.lng();
		}
		
	}
		
	function errorGettingPosition(err) 
	{
		var outputStr = '';
		
		if(err.code == 1) {
			outputStr ="L'utente non ha autorizzato la geolocalizzazione";
		} else if(err.code == 2) {
			outputStr ="Posizione non disponibile";
		} else if(err.code == 3) {
			outputStr ="Timeout";
		} else {
			outputStr ="ERRORE:" + err.message;
		}
		
		alert(outputStr);
	}	 
	

	navigator.geolocation.getCurrentPosition(
		gotPosition,
		errorGettingPosition,
		{'enableHighAccuracy':true,'timeout':10000,'maximumAge':0}
	);    
	
}   