<?php 
require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/form.inc");

$IdUtente = ntxise('IdUtente');

$sql = <<< _SQL
SELECT 
	Risorse.ID AS IdRisorsa
FROM 
	Risorse
	INNER JOIN 
	Utenti ON risorse.id = Utenti.idrisorsa
WHERE 
	Utenti.Id = $IdUtente 
_SQL;
$IdRisorsa = ntxScalar($sql);
?>
<!DOCTYPE html> 
<html>
<head>  
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script> 
	
	<script src="js/index.js"></script>
	
	<script src="/repository2/paginazione/paginazione.js" type="text/javascript"></script>
	
	<style> 
	</style>
</head>
<body >

<div data-role="page"  >

	<div data-role="header" data-position="fixed">
        <h1>presenze turno</h1>
        <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
        <a href="index.php" data-ajax="false" data-icon="back" data-iconpos="notext"></a> 
    </div>
	 
	<div style="padding:10px 20px;" role="main" class="ui-content jqm-content jqm-fullwidth">
	
		<form id="form1" name="form1" method="post" >
			
			<input type="hidden" name="ID" />
	
			<div class="inizioTurno" >
				<input type="button" class="ui-btn" onclick="registraPresenza();return false;" value="inizio turno" />
			</div>
			
			<div class="ui-field-contain">
				<label for="DataScadenza">iniziato</label>
				<input type="text"   name="DataInizio"   placeholder="Data Inizio" value="" readonly >
			</div> 
			 
			<br>
			 
			<div class="continuaTurno" > 
				<input type="button" class="ui-btn" onclick="registraDettaglioPresenza();return false;" value="marcatura Attività" />
			</div> 	
			
			<div class="ui-field-contain aggiuntaAmbienteCorrente" ></div> 	
			
			<div class="ui-field-contain aggiuntaAmbienteCorrente2" ></div> 			
			
		 
			<!--
			<div class="fineTurno" > 
				<button class="ui-btn">Fine Turno</button>
				
				<div class="ui-field-contain">
					<label for="DataScadenza">Data Fine</label>
					<input type="text"   id="DataFine" placeholder="DataFine" value="" readonly >
				</div> 	
			</div> 	
			-->
		</form>
		
	</div>
	
</div>  
 
 
<div data-role="page" data-dialog="true" id="dialogWrite">
	<div data-role="header">
		<h1></h1>
	</div>

	<div data-role="main" class="ui-content">
		<div align="center" >
			<strong>Avvicina l'NFC al dispositivo</strong>
			<br><br> 
				<img   src="/repository/_img/ajax-loader.gif" style="text-align:center;" id="loaderWriteNFC" /> 
				
			<div class="ui-field-contain aggiuntaAmbienteCorrente" ></div> 

			 <!--
			<input type="button" value="C8E5A1" onclick="callBackNFClettura('C8E5A1');" />		
			<input type="button" value="C8E6A1" onclick="callBackNFClettura('C8E6A1');" />		
			 -->
		</div>  
	</div> 
</div>  

<script> 
var IdRisorsa = '<?php echo $IdRisorsa  ?>';

$(document).ready(function() 
{ 
	$('.inizioTurno').hide(); 
	$('.continuaTurno').hide();  
	
	esistePresenza();
	caricaDettaglioInCorso();
	
	$("#dialogWrite").bind("pagehide",function()
	{ 
		JSInterface.interrompiOperazioneSuNFC();
	});	
});  

function esistePresenza()
{  
	var result = jhp( 'jhp/esiste_presenza.php', {IdRisorsa:IdRisorsa} ); 
		
	if(result.state)
		alert("Opsss. errore!\n"+result.message); 	
	else		
	{	 
		var record = result.value;  
		var ID = record.ID;
		
		if($.isNumeric(ID)  &&  ID>0) 
		{
			document.form1.DataInizio.value = record.DataInizio;
			document.form1.ID.value = record.ID;
			
			$('.inizioTurno').hide(); 
			$('.continuaTurno').show();  			
		}
		else 
		{ 
			$('.inizioTurno').show(); 
			$('.continuaTurno').hide();  		
		} 		
	} 	 
}

function registraPresenza()
{  
	if(!confirm('inizio turno?')) return;

	var result = jhp( 'jhp/RisorsePresenza/aggiungi.php', {IdRisorsa:IdRisorsa} ); 
		
	if(result.state)
		alert("Opsss. errore!\n"+result.message); 	
	else		
	{	 
		var record = result.value;  
	
		document.form1.DataInizio.value = record.DataInizio;
		document.form1.ID.value = record.ID;
		
		esistePresenza();	
	} 	 
}

function registraDettaglioPresenza()
{    
	JSInterface.leggiTagNFC();  
	$.mobile.changePage("#dialogWrite"); 
}

function callBackNFClettura(LetturaNFC)
{ 
	//$.mobile.back(); 
	
	var IdPresenza = document.form1.ID.value;
	
	var result = jhp( 'jhp/RisorsePresenzaDettaglio/elabora_nfc.php', {IdRisorsa:IdRisorsa, LetturaNFC:LetturaNFC, IdPresenza:IdPresenza} ); 
		
	if(result.state)
		alert("Opsss. errore!\n"+result.message); 	
	else		
	{	 
		var record = result.value;  
	
		var operazione = record.operazione;
		var msg = record.msg;
		var IdRisorsePresenzaDettaglio = record.IdRisorsePresenzaDettaglio;
		
		console.log(record);
		
		if(operazione=='errore')
		{
			alert("impossibile continuare.\n\n"+msg);
		}
		else if(operazione=='aggiunta')
		{
			if(!confirm(msg)) return;
			
			var result1 = jhp( 'jhp/RisorsePresenzaDettaglio/apri.php', {IdRisorsa:IdRisorsa, LetturaNFC:LetturaNFC, IdPresenza:IdPresenza} ); 
			if(result1.state)
				alert("Opsss. errore!\n"+result1.message); 	
			else 
				caricaDettaglioInCorso(); 
		}
		else if(operazione=='chiusura')
		{
			if(!confirm(msg)) return;
			
			var result = jhp( 'jhp/RisorsePresenzaDettaglio/chiudi.php', {IdRisorsePresenzaDettaglio:IdRisorsePresenzaDettaglio} ); 
			if(result.state)
				alert("Opsss. errore!\n"+result.message); 	
			else 
				caricaDettaglioInCorso(); 
		}
	} 	
}

function caricaDettaglioInCorso()
{
	$('.aggiuntaAmbienteCorrente').html('');
	
	var IdPresenza = document.form1.ID.value;
	
	if($.isNumeric(IdPresenza)  &&  IdPresenza>0)
	{
		var result = jhp( 'jhp/RisorsePresenzaDettaglio/html_ambiente_corrente.php', {IdPresenza:IdPresenza} ); 
			
		if(result.state)
			alert("Opsss. errore!\n"+result.message); 	
		else		
		{	 
			var record = result.value;  
		
			var html = record.html; 
			//var html2 = record.html2; 
			
			$('.aggiuntaAmbienteCorrente').html(html);
			//$('.aggiuntaAmbienteCorrente2').html(html2);
		}		
	} 
}
</script>

</body>
</html>