<?php
require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');  
$IdUtente = ntxise('IdUtente');
$IdRisorsa = ntxip('IdRisorsa'); 
$IdPresenza = ntxip('IdPresenza'); 

function get_string_between($string, $start, $end){
    $string = ' ' . $string;
    $ini = strpos($string, $start);
    if ($ini == 0) return '';
    $ini += strlen($start);
    $len = strpos($string, $end, $ini) - $ini;
    return substr($string, $ini, $len);
}
 
$LetturaNFC = strtoupper($_POST[LetturaNFC]);
 
$IdCommessaT =  get_string_between($LetturaNFC, "C", "E");   
$IdEdificioT =  get_string_between($LetturaNFC, "E", "A");   
$IdAmbienteT = substr($LetturaNFC, strpos($LetturaNFC, "A") + 1);    

if(!is_numeric($IdCommessaT)||!is_numeric($IdEdificioT)||!is_numeric($IdAmbienteT)) 
	ntxmsgerr("commessa o edificio o ambiente non numeri interi!\nsei sicuro di aver letto il tag nfc giusto?\n\nhai letto:\n$LetturaNFC");

$IdCommessaT = (int)$IdCommessaT;
$IdEdificioT = (int)$IdEdificioT;
$IdAmbienteT = (int)$IdAmbienteT; 

if($IdCommessaT!=$IdCommessa) ntxmsgerr('la commessa letta non corrisponde a quella con cui stai lavorando.');


$RisorsePresenzaDettaglio= new NtxTable("RisorsePresenzaDettaglio");
$Insert= $RisorsePresenzaDettaglio->insert(); 

$Insert->set("IdPresenza", $IdPresenza); 	
$Insert->set("IdCommessaAmbiente", $IdCommessaT); 	
$Insert->set("IdEdificioAmbiente", $IdEdificioT); 	
$Insert->set("IDAmbiente", $IdAmbienteT); 	
$Insert->set("LetturaNFC", $LetturaNFC); 	
$Insert->set("DataInizio", "GETDATE()", true);     		
		
$Insert->execute();	

$sql = "SELECT MAX(ID) AS max FROM RisorsePresenzaDettaglio "; 
$IdRel  = ntxScalar($sql);


$record[ID] = $IdRel;
jhp($record);   
?>