<?php 

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/form.inc");

?>
<!DOCTYPE html> 
<html>
<head>
	<title>Anagrafe Edifici</title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	<link rel="stylesheet" href="css/grid.css" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script> 
	
	<script src="/repository2/paginazione/paginazione.js" type="text/javascript"></script>
	
	<script src="js/index.js?v3" type="text/javascript"></script>
	
</head>
<body >
<div data-role="page">

	<div data-role="header" data-position="fixed">
		<h1>Anagrafe Edifici</h1>
		<a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext">Login</a>
	</div>

	<div id=divRicerca data-role="collapsibleset" style="margin:0;padding:0">

		<div data-role="collapsible" data-collapsed="false" style="margin:0;padding:0" id=divColEdifici>
			<h4>Selezione Edificio</h4>
			<div style="padding:10px 20px;" role="main" class="ui-content jqm-content jqm-fullwidth">
				<form name="frmRicerca" method="post" Paginazione>
					<?php PaginazioneCampiPerForm(20, 'jhp/ricerca_edifici.php', 'divSelezioneEdificio') ?>
					
					<div class="ui-grid-a">
						<div class="ui-block-a"><input type=text name="Codice" placeholder="Codice" value="" /></div>
						<div class="ui-block-b"><input type=text name="Nome" placeholder="Nome" value="" /></div>
					</div>
					
					<div class="ui-grid-a">
						<div class="ui-block-a"><input type=text name="Indirizzo" placeholder="Indirizzo" value="" /></div>
						<div class="ui-block-b"><input type=text name="Comune" placeholder="Comune" value="" /></div>
					</div>
					
					<div class="ui-grid-a">
						<div class="ui-block-a"><input type=text name="Provincia" placeholder="Provincia" value="" /></div>
						<div class="ui-block-b"><input type=text name="Cliente" placeholder="Cliente" value="" /></div>
					</div>
				</form>
			
				<div class="ui-grid-a">
					<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')">Filtra</button></div>
					<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="frmRicerca.reset()">Resetta</button></div>
				</div>
			
				<div class="ui-grid-d">
					<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')"><<</button></div>
					<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'prev')"><</button></div>
					<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicerca PaginazioneResoconto>1/1</div></div>
					<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'succ')">></button></div>
					<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'last')">>></button></div>
				</div>
				
				<div id=divSelezioneEdificio></div>
			
				<div class="ui-grid-d">
					<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')"><<</button></div>
					<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'prev')"><</button></div>
					<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicerca PaginazioneResoconto>1/1</div></div>
					<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'succ')">></button></div>
					<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'last')">>></button></div>
				</div>
			</div>
		</div>

		<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divColPiani>
			<h4>Selezione Piano</h4>
				
			<div id=divSelezionePiano></div>
		</div>

		<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divColVani>
			<h4>Selezione Vano</h4>
			<form name="frmRicercaVani" method="post" Paginazione>
				<?php PaginazioneCampiPerForm(20, 'jhp/ricerca_vani.php', 'divSelezioneVano') ?>
				
				<input type=hidden name=IdEdificio />
				<input type=hidden name=IdPiano />
				
				<div class="ui-grid-a">
					<div class="ui-block-a"><input type=text name="Codice" placeholder="Codice" value="" /></div>
					<div class="ui-block-b"><input type=text name="DesUso" placeholder="DesUso" value="" /></div>
				</div>
			</form>
			
			<div class="ui-grid-a">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaVani', 'first')">Filtra</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="frmRicercaVani.reset()">Resetta</button></div>
			</div>
		
			<div class="ui-grid-d">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaVani', 'first')"><<</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaVani', 'prev')"><</button></div>
				<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicercaVani PaginazioneResoconto>1/1</div></div>
				<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaVani', 'succ')">></button></div>
				<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaVani', 'last')">>></button></div>
			</div>
			
			<div id=divSelezioneVano></div>
		
			<div class="ui-grid-d">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaVani', 'first')"><<</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaVani', 'prev')"><</button></div>
				<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicercaVani PaginazioneResoconto>1/1</div></div>
				<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaVani', 'succ')">></button></div>
				<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaVani', 'last')">>></button></div>
			</div>					
		</div>
		
		<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divColSchede>
			<h4>Schede Controllo Servizio di Pulizia Vano</h4>
			<form name="frmRicercaSchede" method="post" Paginazione>
				<?php PaginazioneCampiPerForm(20, 'jhp/ricerca_schede.php', 'divSelezioneScheda') ?>
				
				<input type=hidden name=IdEdificio />
				<input type=hidden name=IdVano />
				
				<div class="ui-grid-a">
					<div class="ui-block-a">
						<div class="ui-field-contain">
							<label for="DataMin">Data Min</label>
							<input name="DataMin" id="DataMin" type="date" data-clear-btn="true" value="" >
						</div>
					</div>
					<div class="ui-block-b">
						<div class="ui-field-contain">
							<label for="DataMax">Data Max</label>
							<input name="DataMax" id="DataMax" type="date" data-clear-btn="true" value=""  >
						</div>
					</div>
				</div>
			</form>
			
			<div class="ui-grid-b">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#DDDDFF" onclick="NuovaScheda()">Nuova Scheda</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaSchede', 'first')">Filtra</button></div>
				<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="frmRicercaSchede.reset()">Resetta</button></div>
			</div>
		
			<div class="ui-grid-d">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaSchede', 'first')"><<</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaSchede', 'prev')"><</button></div>
				<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicercaSchede PaginazioneResoconto>1/1</div></div>
				<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaSchede', 'succ')">></button></div>
				<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaSchede', 'last')">>></button></div>
			</div>
			
			<div id=divSelezioneScheda></div>
		
			<div class="ui-grid-d">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaSchede', 'first')"><<</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaSchede', 'prev')"><</button></div>
				<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicercaSchede PaginazioneResoconto>1/1</div></div>
				<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaSchede', 'succ')">></button></div>
				<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicercaSchede', 'last')">>></button></div>
			</div>					
		</div>
	</div>

	<div id=divScheda style="margin:0;padding:0;display:none">
		<input type=button value="Torna Indietro" onclick="TornaDaScheda()" />
		
		<div id=divSchedaDinamica></div>
		
		<input type=button value="Torna Indietro" onclick="TornaDaScheda()" />
		
		<div id=divEditNote style="display:none;width:100%;height:100%;padding:10px;background-color:grey;position:absolute;top:0px;right:0px;z-index:1000">
			<div id=divEditNote style="width:600px;padding:10px;background-color:grey;position:fixed;top:200px;right:0px">
				<div class="ui-grid-a">
					<div class="ui-block-a"><input type=button value="OK" onclick="OkModificaNote()" /></div>
					<div class="ui-block-b"><input type=button value="Annulla" onclick="AnnullaModificaNote()" /></div>
				</div>
				<textarea id=txtAreaNote></textarea>
				<div class="ui-grid-a">
					<div class="ui-block-a"><input type=button value="OK" onclick="OkModificaNote()" /></div>
					<div class="ui-block-b"><input type=button value="Annulla" onclick="AnnullaModificaNote()" /></div>
				</div>
			</div>
		</div>
	</div>

</div><!-- page -->


</body>
</html>