<?php

require_once("../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdEdificio = ntxip('IdEdificio');
$IdVano = ntxip('IdVano');

$sql = <<< sql
	select TOP 1 IdTecnico from UtentiTecnici where IdUtente=$IdUtente
sql;

$IdTecnico = ntxScalar($sql)."";

$sql = <<< sql
	SELECT     TOP (1) IdUtilizzatore
	FROM         tblUtAmbienti
	WHERE     (IdCommessa = $IdCommessa) 
		AND (IdEdificio = $IdEdificio) 
		AND (IdAmbiente = $IdVano) 
		AND (DataInizio <= GETDATE()) AND (DataFine >= GETDATE())
sql;

$IdUtilizzatore = ntxScalar($sql)."";

$sql = <<< sql
	SELECT     TOP (1) IdCaratteristicaAmbiente
	FROM         CaratteristicheAmbientiMN
	WHERE     (CaratteristicheAmbientiMN.IdCommessa = $IdCommessa) 
		AND (CaratteristicheAmbientiMN.IdEdificio = $IdEdificio) 
		AND (CaratteristicheAmbientiMN.IdAmbiente = $IdVano) 
		AND (CaratteristicheAmbientiMN.DataInizio <= GETDATE()) AND (CaratteristicheAmbientiMN.DataFine >= GETDATE())
sql;

$IdAreaRischio = ntxScalar($sql)."";

// 31/05/2017 09.44 inizio

$sql = <<< sql
	SELECT count(*)
	FROM         tblPgContrattiRifAffidatari INNER JOIN
						  tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario
	WHERE     (tblPgContrattiRifAffidatari.IdCommessa = $IdCommessa)
sql;

$countRifAffidatari = ntxScalar($sql);

if ( $countRifAffidatari!=1 )
{
	$IdRifAffidatario = "";
}
else
{
	$sql = <<< sql
		SELECT TOP 1 tblPgRifAffidatari.IdRifAffidatario
		FROM         tblPgContrattiRifAffidatari INNER JOIN
							  tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario
		WHERE     (tblPgContrattiRifAffidatari.IdCommessa = $IdCommessa)
sql;

	$IdRifAffidatario = ntxScalar($sql);
}

// 31/05/2017 09.44 fine

$table = new NtxTable('TestaControlloServiziPulizia');
$table2 = new NtxTable('ControlloServiziPulizia');
$table3 = new NtxTable('RisultatiControlloServiziPulizia');

$insert = $table->insert();

$insert->init();

$insert->setse('IdCommessa');

$insert->setp('IdEdificio');
$insert->setp('IdAmbiente', 'IdVano');

$insert->set('DataOra', 'GETDATE()', true);

$insert->set('IdUtente', $IdUtente);
$insert->set('IdTecnicoC', $IdTecnico);

$insert->set('IdRifAffidatario', $IdRifAffidatario); // 31/05/2017 09.44

$insert->set('IdUtilizzatore', $IdUtilizzatore);
$insert->set('IdAreaRischio', $IdAreaRischio);
jhp_log($insert->sql1." ".$insert->sql2);
$insert->execute();

$IdTestaDestinazione = ntxId();

//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

$sql = <<< sql
	SELECT v.Id IdParam, v.IdTesta, v.ParametriDiControllo, v.StrumentiDiRilevazione, v.SogliaDiAccettazione 
	FROM TestaVociControlloServiziPulizia t inner join VociControlloServiziPulizia v ON t.Id=v.IdTesta
	WHERE IdCommessa=$IdCommessa
	ORDER BY IdTesta, IdParam
sql;

$query = ntxQuery($sql);

$params = array();

while($rs=ntxRecord($query))
{
	$IdParam = $rs[IdParam];
	$IdTesta = $rs[IdTesta];
	
	$params[$IdTesta][$IdParam] = $rs;
}

$sql = <<< sql
	SELECT Id IdTesta, ElementiDiControllo 
	FROM TestaVociControlloServiziPulizia
	WHERE IdCommessa=$IdCommessa
	ORDER BY IdTesta
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$IdTesta = $rs[IdTesta];
	
	$params2 = $params[$IdTesta];
	
	// insert controllo
	$insert = $table2->insert();

	$insert->init();

	$insert->set('IdTesta', $IdTestaDestinazione);
	$insert->set('ElementiDiControllo', $rs[ElementiDiControllo]."");

	$insert->execute();
		
	$IdControllo = ntxid();
	
	foreach($params2 as $rs2)
	{
		// insert risultati
		$insert = $table3->insert();

		$insert->init();

		$insert->set('IdTesta', $IdTestaDestinazione);
		$insert->set('IdControllo', $IdControllo);
		$insert->set('ParametriDiControllo', $rs2[ParametriDiControllo]."");
		$insert->set('StrumentiDiRilevazione', $rs2[StrumentiDiRilevazione]."");
		$insert->set('SogliaDiAccettazione', $rs2[SogliaDiAccettazione]."");

		$insert->execute();
	}
}
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

jhp_ok();

?>
