<?php

require_once("../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$sql = <<< sql
	SELECT     PianoLivello.idPiano, PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione
	FROM         PianoLivello LEFT OUTER JOIN
						  DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
						  PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdEdificio = $IdEdificio)
	ORDER BY DestinazioniDusoLivello.ordinamento, DestinazioniDusoLivello.Destinazione
sql;

$query = ntxquery($sql);

$table =  "";

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
 //				

	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal"
				onclick="SelPiano($IdEdificio, $rs[idPiano])">
			Piano <b>$html[CodiceAssLivello]</b> - <b>$html[Destinazione]</b>
		</button>
table;
	
}

jhp($table);

?>