$(function(){
	PaginazioneRicercaA('frmRicerca', 'first');
});

function SelEdificio(IdEdificio)
{
	var result = jhp("jhp/ricerca_piani.php", {IdEdificio: IdEdificio});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divSelezionePiano').html(result.value);
		
		$('#divColEdifici').collapsible("collapse");
		$('#divColPiani').collapsible("expand");
	}
}

function SelPiano(IdEdificio, IdPiano)
{
	frmRicercaVani.IdEdificio.value = IdEdificio;
	frmRicercaVani.IdPiano.value = IdPiano;
	
	PaginazioneRicercaA('frmRicercaVani', 'first');
	
	$('#divColPiani').collapsible("collapse");
	$('#divColVani').collapsible("expand");
}

function SelVano(IdEdificio, IdVano)
{
	frmRicercaSchede.IdEdificio.value = IdEdificio;
	frmRicercaSchede.IdVano.value = IdVano;
	
	PaginazioneRicercaA('frmRicercaSchede', 'first');
	
	$('#divColVani').collapsible("collapse");
	$('#divColSchede').collapsible("expand");
}

function NuovaScheda()
{
	if ( !$.isNumeric(frmRicercaSchede.IdEdificio.value) || !$.isNumeric(frmRicercaSchede.IdVano.value) )
	{
		alert("Prima seleziona vano!");
		return;
	}
	
	var result = jhp("jhp/nuova_scheda.php", jhp_frm(frmRicercaSchede));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		frmRicercaSchede.reset();
		PaginazioneRicercaA('frmRicercaSchede', 'first');
	}
}

function SelScheda(IdTesta)
{
	var result = jhp("jhp/scheda.php", {IdTesta:IdTesta});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divSchedaDinamica').html(result.value);
		$('#btnEliminaScheda,#btnBloccaScheda,#btnEliminaScheda2').button();
		$('#divRicerca').hide();
		$('#divScheda').show();
	}
}
	
function ModificaRisultatoScheda(cbo, IdRisultato)
{
	var result = jhp("jhp/modifica_risultato.php", {IdRisultato:IdRisultato,Valore:cbo.value});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('td[IdRisultatoFatto='+IdRisultato+']').text(cbo.value=="" ? "" : "x").css('background', cbo.value!="" ? "#AAFFAA" : "#FFAAAA");
		$('#divConteggioRisultati').html(result.value);
				console.log(cbo.value);
		
		switch(cbo.value)
		{
			case "":
				$('td[IdRisultatoCombo='+IdRisultato+']').css('background', "white");
				break;
			case "0":
				$('td[IdRisultatoCombo='+IdRisultato+']').css('background', "#FFAAAA");
				break;
			case "1":
				$('td[IdRisultatoCombo='+IdRisultato+']').css('background', "#AAFFAA");
				break;
			case "2":
				console.log(2);
				$('td[IdRisultatoCombo='+IdRisultato+']').css('background', "#FFFFAA");
				break;
		}
	}
}
	
function TornaDaScheda()
{
	PaginazioneRicercaA('frmRicercaSchede', 'first');
	$('#divScheda').hide();
	$('#divRicerca').show();
}

function EliminaScheda(IdTesta)
{
	if(!confirm("ELIMINA SCHEDA?")) return;
	
	var result = jhp("jhp/elimina_scheda.php", {IdTesta:IdTesta});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divSchedaDinamica').html('');
		TornaDaScheda();
	}
}

function BloccaScheda(IdTesta)
{
	if(!$.isNumeric($('select[ModificaRifAffidatatio]').val()))
	{
		alert("Devi selezionare un 'Resp.Gestore'!");
		return;
	}
	
	if(!confirm("BLOCCA SCHEDA?")) return;
	
	var result = jhp("jhp/blocca_scheda.php", {IdTesta:IdTesta});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divSchedaDinamica').html('');
		TornaDaScheda();
	}
}
	
///////////////////////////////////////////////////////
// MODIFICA NOTE

var gIdNoteDaModificare = "";

function EditNote(IdRisultato)
{
	gIdNoteDaModificare = IdRisultato;
	
	$('#txtAreaNote').val($('td[IdRisultatoNote='+IdRisultato+']').text());
	
	$('#divEditNote').show();
}

var gIdTestaDaModificare = "";

function EditNoteLocalizzative(IdTesta)
{
	gIdNoteDaModificare = "NoteLocalizzative";
	gIdTestaDaModificare = IdTesta;
	
	$('#txtAreaNote').val($('#NoteLocalizzative').text());
	
	$('#divEditNote').show();
}

function OkModificaNote()
{
	if ( gIdNoteDaModificare=="" ) return;
	
	var Note = $('#txtAreaNote').val();
	
	if ( gIdNoteDaModificare=="NoteLocalizzative" ) {
		var result = jhp("jhp/modifica_note_localizzative.php", {IdTesta:gIdTestaDaModificare, Note:Note});

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			$('#NoteLocalizzative').text(Note.substring(0, 50));
		}
	}
	else{
		var result = jhp("jhp/modifica_note.php", {IdRisultato:gIdNoteDaModificare, Note:Note});

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			$('td[IdRisultatoNote='+gIdNoteDaModificare+']').text(Note);
		}
	}
		
	
	gIdNoteDaModificare = "";
	gIdTestaDaModificare = "";
	
	$('#divEditNote').hide();
}

function AnnullaModificaNote()
{
	gIdNoteDaModificare = "";
	
	$('#divEditNote').hide();
}
///////////////////////////////////////////////////////
	
function ModificaRifAffidatatio(cbo, IdTesta)
{
	var result = jhp("jhp/modifica_rif_affidatario.php", {IdTesta:IdTesta,IdRifAffidatario:cbo.value});

	if(result.state)
	{
		alert(result.message);
	}
}