<?php
session_start();

require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$DataInizio=ntxttp('DataInizio');
$DataFine=ntxttp('DataFine');

$DataInizioProg=ntxttp('DataInizioProg');
$DataFineProg=ntxttp('DataFineProg');

$DataInizioSopralluogo=ntxttp('DataInizioSopralluogo');
$DataFineSopralluogo=ntxttp('DataFineSopralluogo');

$DataOrdine = ntxt(ntxDateTime(ntxScalar("SELECT DataOrdine FROM Ordini WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine) ")));

//data inizio e data fine non devono essere inferiori alla data dell'ordine
$diff = ntxScalar("SELECT DATEDIFF ( day , $DataInizio, $DataOrdine )");

if($diff>0)
	jhp_error("Errore! La DataInizio $_POST[DataInizio]  minore di DataOrdine $DataOrdine  ");
	
$diff = ntxScalar("SELECT DATEDIFF ( day , $DataFine, $DataOrdine )");

if($diff>0)
	jhp_error("Errore! La DataFine $_POST[DataFine]  minore di DataOrdine $DataOrdine  ");
	
//data inizio non può essere maggiore della data fine  
$diff = ntxScalar("SELECT DATEDIFF ( day ,  $DataFine, $DataInizio )"); 

if($diff>0)
	jhp_error("Errore! DataFine $_POST[DataFine]  minore di DataInizio $_POST[DataInizio]   ");
	 	
$sql = <<<_SQL
SELECT ElencoEdifici.Rimosso
FROM  ElencoEdifici INNER JOIN
               Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio
WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine)
_SQL;
	
if( ntxScalar($sql)==1 )
	jhp_error("Non e' possibile eseguire l'operazione richiesta.\nEdificio non utilizzabile!");	

$Intervento=ntxsp('Intervento');
$AnomaliaRiscontrata=ntxip('AnomaliaRiscontrata');

//impedire la possibilità di definire la data di fine senza quella di inizio
if( (strlen($_POST[DataFine])>0)  &&  (strlen($_POST[DataInizio])==0) )
	jhp_error("Inserire la DATA DI INIZIO!");

$sql = "SELECT StatoOrd FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$StatoOrdP = $StatoOrd = ntxScalar($sql);

$sql = "SELECT IDPres FROM PresenzaIntervento "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$obj = ntxScalar($sql);

$sql = "SELECT IdRisorsa FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$isIdRisorsa = is_numeric(ntxScalar($sql));

$sql = "SELECT BloccaReinvioMessaggiStatoFinito FROM Commesse "
		." WHERE IdCommessa = $IdCommessa";

$BloccaReinvioMessaggiStatoFinito = (ntxScalar($sql)==1);

$sql = "SELECT InviatoMessaggioStatoFinito FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$InviatoMessaggioStatoFinito = ($BloccaReinvioMessaggiStatoFinito  &&  ntxScalar($sql)==1);

if(strlen($DataFine)>4) 
{
	if ( is_numeric($obj)  &&  $StatoOrd < 80 )
		$StatoOrd = 80;
	elseif ( $StatoOrd < 50 )
		$StatoOrd = 50;
}
elseif(strlen($DataInizio)>4  &&  $StatoOrd <= 50 ) 
	$StatoOrd = 40;
elseif ( $StatoOrd <= 50 )
	if ( $isIdRisorsa )
		$StatoOrd = 37;
	else
		$StatoOrd = 35;
	
$Ordini= new NtxTable("Ordini");

$UpdateOrdini= $Ordini->update();

$UpdateOrdini->init();

	$UpdateOrdini->setp("DataInizioProg");
	$UpdateOrdini->setp("DataFineProg");
	$UpdateOrdini->setp("DataInizio");
	$UpdateOrdini->setp("DataFine");
	$UpdateOrdini->setp("DataInizioSopralluogo");
	$UpdateOrdini->setp("DataFineSopralluogo");
	$UpdateOrdini->setp("Intervento");
	$UpdateOrdini->setp("AnomaliaRiscontrata");
	$UpdateOrdini->setp("PrestazioneEffettuata");
	$UpdateOrdini->setp("AnomaliaBloccante");
	$UpdateOrdini->setp("InterventoRisolutivo");
	$UpdateOrdini->setp("InterventoIdoneo");
	
	$UpdateOrdini->setp("NumRisorse");
	$UpdateOrdini->setp("OreRisorse");
	$UpdateOrdini->setp("Trasferta");
	 
	 
	
	$UpdateOrdini->setp("NoteTecnicheEsecutore");
	$UpdateOrdini->setp("ImportoStimatoEsecutore");
		
	$UpdateOrdini->setp("NoteSospensione");

	$UpdateOrdini->set("StatoOrd", $StatoOrd);

	$UpdateOrdini->setp("GradoUrgenza");
	$UpdateOrdini->setp("DataScadenza");
	
	$UpdateOrdini->set("DataPresaInCarico", $_POST[DataPC]);
	$UpdateOrdini->set("DataScadenzaPresaInCarico", $_POST[DataSPC]);
	
	$UpdateOrdini->setp("DataScadenzaInterventoTampone");
	$UpdateOrdini->setp("DataScadenzaFineIntervento");
	$UpdateOrdini->setp("DataInizioIntTampone");
	$UpdateOrdini->setp("DataInterventoTampone");
 
	$UpdateOrdini->wherese("IdCommessa");	
	$UpdateOrdini->wherep("NumOrdine");	
	$UpdateOrdini->wherep("AnnoOrdine");	
						   
$UpdateOrdini->execute();	
 


$sql = <<< sql
	SELECT 1
	FROM Ordini
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
		and IdRisorsa is not null and IdRisorsaOld is null
		and StatoOrd=37
sql;

$PrimaPresaInCarico = ntxScalar($sql);

$sql = <<< sql
	SELECT 1
	FROM Ordini
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
		and IdRisorsa is not null and IdRisorsaOld is not null and IdRisorsa<>IdRisorsaOld
		and StatoOrd=37
sql;

$SuccessivaPresaInCarico = ntxScalar($sql);

if ( $PrimaPresaInCarico )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/presa_in_carico/start.php');
	require_once(NTX_WEBPORTAL_PATH.'messaggi/presa_in_carico/start.php');
}
elseif ( $SuccessivaPresaInCarico )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/presa_in_carico/start.php');
}
elseif ( $StatoOrd == "50"  &&  !$InviatoMessaggioStatoFinito )
{
	$add_OGGETTO_MSG = "";
	if($StatoOrdP==50)//in questo caso i messaggi vengono inviati per la seconda volta o più
	{
		$add_OGGETTO_MSG = "ULTERIORI INFORMAZIONI";
	}

	require_once(NTX_WEBPORTAL_PATH.'messaggi/chiuso_ordine/start.php');
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/chiusura_ordine/start.php');
	
	$sql = <<< sql
		update Ordini set InviatoMessaggioStatoFinito=1
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

	ntxQuery($sql);
}

if ( $PrimaPresaInCarico || $SuccessivaPresaInCarico )
{
	$sql = <<< sql
		update ordini set IdRisorsaOld=IdRisorsa
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

	ntxQuery($sql);
}



if( $StatoOrd==50 )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/customer_satisfaction/start.php');
}


jhp_ok();	

?>
