<?php  
if (!isset($_SESSION)) session_start();

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once($_SERVER['DOCUMENT_ROOT'].'/repository/php/funzioni_non_esistenti/mime_content_type.php');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_390", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_390", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');  

if( !is_numeric("$_POST[Tipo]") )
	die($traduttore->traduci('Parametro errato!'));  

if( !is_numeric("$_POST[IdDoc]") )
	die($traduttore->traduci('Parametro errato!'));  

$Tipo = ntxip('Tipo');
$IdDoc = ntxip('IdDoc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head> 
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	<link rel="stylesheet" href="css/index.css?v3" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>

	<script>
		$(function(){ 	 
			$(".visualizzato").height($(window).height()-10);
			
			$(window).resize(function(){
				$(".visualizzato").height($(window).height()-10); 
			}); 
		}); 
	</script>
</head>

<body>
<?php

if ($Tipo==1)
{
	$sql = <<<_SQL
		SELECT Path 
		FROM DocsEdifici
		WHERE IdCommessa = $IdCommessa AND Id = $IdDoc
_SQL;

	$path = ntxScalar($sql);
}
else
{
	$sql = <<<_SQL
		SELECT     FotoComponenti.FotoOriginale, Commesse.pathPublicShapeWeb
		FROM         FotoComponenti INNER JOIN
							  Commesse ON FotoComponenti.IdCommessa = Commesse.IDCommessa
		WHERE     (FotoComponenti.ID = $IdDoc)
_SQL;
	$rs = ntxRecord(ntxQuery($sql));
	
	$path = "{$rs[pathPublicShapeWeb]}\\{$rs[FotoOriginale]}";
}

if(file_exists($path)  &&  is_file($path)) 
{
	$show = false; 

 	$filename = basename($path);

	$mime = mime_content_type($filename);
	$path_info = pathinfo($path);
	$extension = $path_info['extension'];
	
	$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";
	$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

	if ( !is_dir($dir) ) mkdir($dir);
	
	$pathDestinazione = tempnam($dir, "TN").".$extension";

	$urlDestinazione = $url.substr($pathDestinazione, strlen($dir));
		
	copy($path, $pathDestinazione);

	if(is_numeric(strpos($mime, "image")) )
	{
		$show = !$show;
	?>
		<img src="<?php echo $urlDestinazione ?>" style="width:100%;" class="visualizzato" />
	<?php
	}
	
	if(is_numeric(strpos($mime, "pdf")) )
	{
		$show = !$show;
	?>
		<object data="<?php echo $urlDestinazione ?>" type="<?php echo $mime ?>" style="width:100%;" height="300"  class="visualizzato" >
		</object> 
	<?php
	} 
	
	if(is_numeric(strpos($mime, "audio")) )
	{
		$show = !$show;
	?>
		<audio controls>
			<source src="<?php echo $urlDestinazione ?>" type="<?php echo $mime ?>" class="visualizzato" /> 
			<em><?php $traduttore->html('Sorry, your browser doesn\'t support HTML5 audio.') ?></em>
		</audio>
	<?php
	} 
	
	if(is_numeric(strpos($mime, "video")) )
	{
		$show = !$show;
	?>
		<video   controls   style="width:100%;" height="300" >
			<source src="<?php echo $urlDestinazione ?>" type="<?php echo $mime ?>" class="visualizzato" /> 
			<em><?php $traduttore->html('Sorry, your browser doesn\'t support HTML5 video.') ?></em>
		</video>
	<?php
	}

	if(!$show)
	{
		$show = !$show;
		
	?>
		<form id="formSend"  name="formSend" method="get" action="http://docs.google.com/viewer">
			<input type="hidden" name="url" value="<?php echo $urlDestinazione ?>" >
			<input type="hidden" name="embedded" value="true" >
		</form>
		
		<script>
		document.formSend.submit();
		</script>   
	<?php
	}
}
else
{
	echo $traduttore->traduci('File')." $path ".$traduttore->traduci('non disponibile!');
}
?> 


</body>
<?php $traduttore->Salva(); ?>
</html>
