<?php 

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/form.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_376", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_376", "IT", __FILE__);	

$Tipo = ntxip('Tipo');

switch($Tipo)
{
	case 1:
		$label = $traduttore->traduci('Edifici Ordini MP in Carico');
		break;
	case 2:
		$label = $traduttore->traduci('Edifici Ordini MP da Assegnare');
		break;
	case 3:
		$label = $traduttore->traduci('Edifici Ordini MP Finiti');
		break;
}

?>
<!DOCTYPE html> 
<html>
<head>
	<title><?php echo $label ?></title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	
	<script src="js/index.js"></script>
	
	<script src="/repository2/paginazione/paginazione.js" type="text/javascript"></script>
</head>
<body >

<div data-role="page">

	<div data-role="header" data-position="fixed">
        <h1><?php echo $label ?></h1>
		<!--
        <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
		-->
        <a href="javascript:formBack.submit()" data-ajax="false" data-icon="back" data-iconpos="notext"></a>
   </div>

	<div style="padding:10px 20px;" role="main" class="ui-content jqm-content jqm-fullwidth">
		<div class="ui-grid-b">
			<div class="ui-block-a"><input id="Codice" value="" placeholder="<?php $traduttore->html('Codice') ?>" type="text" data-clear-btn="true" /> </div>
			<div class="ui-block-b"><input id="Nome" value="" placeholder="<?php $traduttore->html('Nome') ?>" type="text" data-clear-btn="true" /> </div>
			<div class="ui-block-c"><input id="Indirizzo" value="" placeholder="<?php $traduttore->html('Indirizzo') ?>" type="text" data-clear-btn="true" /> </div>
		</div>
				
		<div class="ui-grid-b">
			<div class="ui-block-a"><input id="Comune" value="" placeholder="<?php $traduttore->html('Comune') ?>" type="text" data-clear-btn="true" /> </div>
			<div class="ui-block-b"><input id="Provincia" value="" placeholder="<?php $traduttore->html('Provincia') ?>" type="text" data-clear-btn="true" /> </div>
			<div class="ui-block-c"><input id="Cliente" value="" placeholder="<?php $traduttore->html('Cliente') ?>" type="text" data-clear-btn="true" /> </div>
		</div>
				
		<div class="ui-grid-a">
			<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="Filtra()"><?php $traduttore->html('Filtra') ?></button></div>
			<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="Resetta()"><?php $traduttore->html('Resetta') ?></button></div>
		</div>

		<div id="lista-risultati-ricerca">
		</div>
	</div>
	
	<div data-role="footer" data-position="fixed">
			<div data-role="navbar">
				<ul>
					<li><a href="javascript:PaginazioneRicercaA('frmRicerca', 'first')" data-ajax="false" data-icon="carat-l" data-iconpos="notext"></a></li>
					<li><a href="javascript:PaginazioneRicercaA('frmRicerca', 'prev')"  data-ajax="false" data-icon="arrow-l" data-iconpos="notext"></a></li>
					<li><div id_form=frmRicerca PaginazioneResoconto style="text-align:center">1/1</div>
					</li>
					<li><a href="javascript:PaginazioneRicercaA('frmRicerca', 'succ')"  data-ajax="false" data-icon="arrow-r" data-iconpos="notext"></a></li>
					<li><a href="javascript:PaginazioneRicercaA('frmRicerca', 'last')"  data-ajax="false" data-icon="carat-r" data-iconpos="notext"></a></li>
				</ul>
			</div>
	</div>

</div>

<form name=form1 method="post">
	<input type=hidden name=Tipo value="<?php echo $Tipo ?>" />
	<input type=hidden name=DataInizioProg value="<?php echo $_POST[DataInizioProg] ?>"  />
	<input type=hidden name=DataFineProg value="<?php echo $_POST[DataFineProg] ?>"  />
	<input type=hidden name=IdEdificio  />
</form>

<form name=formBack method="post" action="index.php">
	<input type=hidden name=DataInizioProg value="<?php echo $_POST[DataInizioProg] ?>"  />
	<input type=hidden name=DataFineProg value="<?php echo $_POST[DataFineProg] ?>"  />
</form>

<form name="frmRicerca" method="post" Paginazione>
	<?php PaginazioneCampiPerForm(20, 'jhp/ordini/ricerca_edifici.php', 'lista-risultati-ricerca') ?>

	<input type=hidden name=Codice value="" />
	<input type=hidden name=Nome value="" />
	<input type=hidden name=Indirizzo value="" />
	<input type=hidden name=Comune value="" />
	<input type=hidden name=Provincia value="" />
	<input type=hidden name=Cliente value="" />
	<input type=hidden name=Tipo value="<?php echo $Tipo ?>" />
	<input type=hidden name=DataInizioProg value="<?php echo $_POST[DataInizioProg] ?>"  />
	<input type=hidden name=DataFineProg value="<?php echo $_POST[DataFineProg] ?>"  />

</form>

<script>

	PaginazioneRicercaA('frmRicerca', 'first');
	
	function SelEdificio(IdEdificio)
	{
		form1.IdEdificio.value = IdEdificio;
		form1.action = "ordini.php";
		form1.submit();
	}
	
	function Filtra()
	{	
		frmRicerca.Codice.value = jei('Codice').value;
		frmRicerca.Nome.value = jei('Nome').value;
		frmRicerca.Indirizzo.value = jei('Indirizzo').value;
		
		frmRicerca.Comune.value = jei('Comune').value;
		frmRicerca.Provincia.value = jei('Provincia').value;
		frmRicerca.Cliente.value = jei('Cliente').value;
		
		PaginazioneRicercaA('frmRicerca', 'first');
	}
	
	function Resetta()
	{	
		jei('Codice').value = "";
		jei('Nome').value = "";
		jei('Indirizzo').value = "";
		
		jei('Comune').value = "";
		jei('Provincia').value = "";
		jei('Cliente').value = "";
		
		Filtra();
	}
	
</script>

</body>
<?php $traduttore->Salva(); ?>

</html>