<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_396", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_396", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdComponente = ntxip('IdComponente');

$sql = <<< sql
SELECT     DocsEdifici.Id AS IdDoc, GruppiDocsEdifici.Codice AS CodSez, GruppiDocsEdifici.Nome AS DesSez, TipiDocsEdifici.Descrizione AS Tipo, 
                      DocsEdifici.Descrizione AS DesDoc, DocsEdifici.DataModifica, DocsEdificiComponenti.IdCommessaDocEdificio
FROM         GruppiDocsEdifici INNER JOIN
                      GruppiDocsEdifici2TipiDocsEdifici ON GruppiDocsEdifici.ID = GruppiDocsEdifici2TipiDocsEdifici.IdGruppiDocsEdifici INNER JOIN
                      TipiDocsEdifici ON GruppiDocsEdifici2TipiDocsEdifici.IdCommessa = TipiDocsEdifici.IdCommessa AND 
                      GruppiDocsEdifici2TipiDocsEdifici.IdTipiDocsEdifici = TipiDocsEdifici.Id INNER JOIN
                      DocsEdifici ON TipiDocsEdifici.IdCommessa = DocsEdifici.IdCommessa AND TipiDocsEdifici.Id = DocsEdifici.Tipo INNER JOIN
                      DocsEdificiComponenti ON DocsEdifici.IdCommessa = DocsEdificiComponenti.IdCommessaDocEdificio AND 
                      DocsEdifici.Id = DocsEdificiComponenti.IdDocEdificio
		WHERE     (DocsEdificiComponenti.IdCommessaDocEdificio = $IdCommessa) 
			AND (DocsEdificiComponenti.IdEdificioComponente = $IdEdificio) 
			AND (DocsEdificiComponenti.IdComponente = $IdComponente)
ORDER BY CodSez, DesSez, Tipo, DesDoc, DocsEdifici.DataModifica
sql;

$query = ntxQuery($sql);

$result = <<< result
result;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[DataModifica] = ntxDateTime($rs[DataModifica]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	/*$result .= <<< result
		<button class="  ui-corner-all ui-shadow" style="font-weight:normal;text-align:left;width:100%;margin-bottom:4px" onclick="AnteprimaDoc(1, $rs[IdDoc])">
			ID                <b>$rs[IdDoc]                     </b>
			Sezione           <b>$html[CodSez] - $html[DesSez]  </b><hr>
			Tipo              <b>$html[Tipo]                    </b>
			Descrizione       <b>$html[DesDoc]                  </b><hr>
			Data Modifica     <b>$html[DataModifica]            </b>
		</button>
result;*/
	$result .=
		"<button class=\"ui-corner-all ui-shadow\" style=\"font-weight:normal;text-align:left;width:100%;margin-bottom:4px\" onclick=\"AnteprimaDoc(1, $rs[IdDoc])\">".
			$traduttore->traduci('ID')."                <b>$rs[IdDoc]                     </b>
			".$traduttore->traduci('Sezione')."     	<b>$html[CodSez] - $html[DesSez]  </b><hr>
			".$traduttore->traduci('Tipo')."     		<b>$html[Tipo]                    </b>
			".$traduttore->traduci('Descrizione')."     <b>$html[DesDoc]                  </b><hr>
			".$traduttore->traduci('Data Modifica')."   <b>$html[DataModifica]            </b>
		</button>"
;
}

$traduttore->Salva();

jhp($result);

?>