<?php

session_start();

require_once("../../../../_ntx/const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_419", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_419", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$ListaIdOrdPrgComp = ntxsp('ListaIdOrdPrgComp');
$Note = ntxsp('Note');
$conRichiesta = ntxip('conRichiesta');

include('is_letto_liste_controllo.inc');

$ListaIdOrdPrgCompArray = explode(",", $_POST[ListaIdOrdPrgComp]);

$IdOrdPrgComp = $ListaIdOrdPrgCompArray[0];

$sql = <<< sql
select count(*) FROM (
SELECT DISTINCT tblComponetiMestiere.IdMestiere
FROM         tblOrdiniPrgComp INNER JOIN
                      dbo.SplitId($ListaIdOrdPrgComp) AS a ON tblOrdiniPrgComp.IdOrdPrgComp = a.id INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa)) b
sql;

$count = ntxScalar($sql);

if ( $count>1 ) jhp_error($traduttore->traduci('Attivita\' selezionate su più mestieri!'));
if ( $count==0 ) jhp_error($traduttore->traduci('Nessuna attivita\' selezionata!'));

$sql = <<< sql
SELECT top 1 tblComponetiMestiere.IdMestiere
FROM         tblOrdiniPrgComp INNER JOIN
                      dbo.SplitId($ListaIdOrdPrgComp) AS a ON tblOrdiniPrgComp.IdOrdPrgComp = a.id INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa)
sql;

$IdMestiere = ntxScalar($sql);

$sql = <<< sql
select count(*) FROM (
SELECT DISTINCT tblAttivitàMestiere.IdComponenteMestiere
FROM         tblOrdiniPrgComp INNER JOIN
                      dbo.SplitId($ListaIdOrdPrgComp) AS a ON tblOrdiniPrgComp.IdOrdPrgComp = a.id INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere 
WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa)) b
sql;

$count = ntxScalar($sql);

if ( $count>1 ) jhp_error($traduttore->traduci('Attivita\' selezionate su più componenti mestieri!'));

$sql = <<< sql
SELECT top 1 tblAttivitàMestiere.IdComponenteMestiere
FROM         tblOrdiniPrgComp INNER JOIN
                      dbo.SplitId($ListaIdOrdPrgComp) AS a ON tblOrdiniPrgComp.IdOrdPrgComp = a.id INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere 
WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa)
sql;

$IdComponenteMestiere = ntxScalar($sql);
	
$IdEdificio = ntxip('IdEdificio'); 
$IdUtilizzatore = ntxip('IdUtilizzatore'); 

$sql1 = "INSERT INTO AnomalieOrdiniProgrammati (";	$sql2 = " VALUES (";

$sql1 .= "IdCommessa";				$sql2 .= $IdCommessa.", ";

$sql1 .= ", [Note]";				$sql2 .= $Note.", ";

$sql1 .= ", Data";					$sql2 .= "GETDATE(), ";

$sql1 .= ", Utente";				$sql2 .= ntxs($_SESSION['Utente']).", ";

$sql1 .= ", IdMestiere";			$sql2 .= $IdMestiere.", ";
$sql1 .= ", IdComponenteMestiere";	$sql2 .= $IdComponenteMestiere.", ";

$sql1 .= ", IdEdificio";				$sql2 .= $IdEdificio.", ";
$sql1 .= ", IdUtilizzatore)";			$sql2 .= $IdUtilizzatore.")";

ntxQuery($sql1.$sql2);

$IdAnomalia = ntxScalar("SELECT @@IDENTITY;");

if ( is_numeric($IdAnomalia) ) 
{
	for ( $i=0; $i<count($ListaIdOrdPrgCompArray); $i++ )
	{
		$IdOrdPrgComp = $ListaIdOrdPrgCompArray[$i];
		
		$sql = <<< sql
			UPDATE tblOrdiniPrgComp 
			
			SET 
				Annullato=0, 
				Eseguito=0, 
				Anomalia=1, 
				IdAnomalia=$IdAnomalia, 
				DataOreModifica=getdate(), 
				IdUtenteModifica=$IdUtente 
			
			WHERE IdCommessa=$IdCommessa AND IdOrdPrgComp=$IdOrdPrgComp
sql;
		
		ntxQuery($sql);
	}
}
	
if ($conRichiesta) include('notifica_anomalia-richiesta.inc');

include('notifica_anomalia-messaggi.inc');

include('setta_prg_e_mp.inc');

include('multiplo_prg-output.inc');

$traduttore->Salva();
?>