<?php

$sql = <<< sql
	SELECT     StatoVociListeControlloPRD.IdCommessa, StatoVociListeControlloPRD.NonConformità, StatoVociListeControlloPRD.NumRichiesta, StatoVociListeControlloPRD.AnnoRichiesta, Stati.DesStato, 
                      ListeControlloAttivitàMestiere.IdVoce, ListeControlloAttivitàMestiere.Voce
	FROM         ListeControlloAttivitàMestiere INNER JOIN
                      StatoVociListeControlloPRD ON ListeControlloAttivitàMestiere.IdCommessa = StatoVociListeControlloPRD.IdCommessa AND 
                      ListeControlloAttivitàMestiere.IdVoce = StatoVociListeControlloPRD.IdVoceListaControllo LEFT OUTER JOIN
                      Stati RIGHT OUTER JOIN
                      Richieste ON Stati.IDStato = Richieste.Stato ON StatoVociListeControlloPRD.IdCommessa = Richieste.IDCommessa AND 
                      StatoVociListeControlloPRD.NumRichiesta = Richieste.NumRichiesta AND 
                      StatoVociListeControlloPRD.AnnoRichiesta = Richieste.AnnoRichiesta
	WHERE     (ListeControlloAttivitàMestiere.IdCommessa = $IdCommessa) AND (StatoVociListeControlloPRD.IdOrdPrgComp = $IdOrdPrgComp) AND (ListeControlloAttivitàMestiere.IdVoce = $IdVoce)
sql;

$query = ntxQuery($sql);

$table = "";

while ($rs=ntxRecord($query))
{
	$colore = "background-color:#FFAAAA;color:black";
	
	$Richiesta = "<br>".$traduttore->traduci('Richiesta')." $rs[NumRichiesta]/$rs[AnnoRichiesta] [".htmlentities(strtolower($rs[DesStato]))."]";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
			$html[Voce] $Richiesta
table;
}

jhp($table);

?>