<?php
session_start();

require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_383", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_383", "IT", __FILE__);

$IdRisorsa = ntxise('IdRisorsa');
$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');
$IdOrd = ntxScalar("SELECT IdOrd FROM Ordini WHERE IdCommessa=$IdCommessa AND NumOrdine=$NumOrdine AND AnnoOrdine=$AnnoOrdine");

$DataInizio=ntxttp('DataInizio');
$DataFine=ntxttp('DataFine');

//data inizio non può essere maggiore della data fine  
$diff = ntxScalar("SELECT DATEDIFF ( day ,  $DataFine, $DataInizio )"); 

if($diff>0)
	jhp_error($traduttore->traduci('Errore! Data Fine')." $_POST[DataFine] ".$traduttore->traduci('minore di Data Inizio')." $_POST[DataInizio]");
	 	
//impedire la possibilità di definire la data di fine senza quella di inizio
if( (strlen($_POST[DataFine])>0)  &&  (strlen($_POST[DataInizio])==0) )
	jhp_error($traduttore->traduci('Inserire la DATA DI INIZIO!'));

$sql = "SELECT StatoOrd FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$StatoOrd = ntxScalar($sql);

$sql = "SELECT IdRisorsa FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$isIdRisorsa = is_numeric(ntxScalar($sql));

$eseguito = $aperto = 0;

if(strlen($DataFine)>4) 
{
	if ( $StatoOrd < 50 )
	{
		$eseguito = $aperto = 1;
		$StatoOrd = 50;
	}
}
elseif(strlen($DataInizio)>4  &&  $StatoOrd <= 50 ) 
{
	$aperto = 1;
	$eseguito = 0;
	$StatoOrd = 40;
	
	$DataFine = "NULL";
}
elseif ( $StatoOrd <= 50 )
{
	$eseguito = $aperto = 0;
	
	if ( $isIdRisorsa )
		$StatoOrd = 37;
	else
		$StatoOrd = 35;
		
	$DataInizio = $DataFine = "NULL";
}
	
$Ordini= new NtxTable("Ordini");

$UpdateOrdini= $Ordini->update();

$UpdateOrdini->init();

	$UpdateOrdini->set("DataInizio", $DataInizio, true);
		
	$UpdateOrdini->set("DataFine", $DataFine, true);

	$UpdateOrdini->set("StatoOrd", $StatoOrd);
	
	$UpdateOrdini->set('ModalitàAgg', $_SESSION[Utente]);

	$UpdateOrdini->set('DataModifica', 'getdate()', true);
	
	$UpdateOrdini->wherese("IdCommessa");	
	$UpdateOrdini->wherep("NumOrdine");	
	$UpdateOrdini->wherep("AnnoOrdine");	

$UpdateOrdini->execute();	


if($StatoOrd==50) 
{ 
	//chiudiamo la timeline trasferimento
	$sql = <<< sql
	UPDATE TL_Gestione
	SET       
		DataFine = getdate()
	FROM  
		TL_Gestione 
		INNER JOIN
		Ordini ON TL_Gestione.IdCommessa = Ordini.IDCommessa AND TL_Gestione.NumOrdine = Ordini.NumOrdine AND  TL_Gestione.AnnoOrdine = Ordini.AnnoOrdine
	WHERE 
		Ordini.IdOrd = $IdOrd  
		AND TL_Gestione.IdRisorsa = $IdRisorsa
		AND TL_Gestione.IdTipoAttivita = 1 
		AND TL_Gestione.DataFine IS NULL
sql;
	ntxQuery($sql);	
	
	//se non c'è timeline di lavorazione la inseriamo
	$sql = <<<_SQL
	SELECT ID
	FROM TL_Gestione   
	WHERE    
		TL_Gestione.IdRisorsa = $IdRisorsa 
		AND TL_Gestione.IdCommessa = $IdCommessa 
		AND TL_Gestione.NumOrdine = $NumOrdine 
		AND TL_Gestione.AnnoOrdine = $AnnoOrdine 
		AND TL_Gestione.IdTipoAttivita = 2 
		AND TL_Gestione.DataFine IS NULL
_SQL;
	$IdTimeLine = ntxScalar($sql); 
	
	if(!is_numeric($IdTimeLine))
	{
		//salviamo la timeline lavorazione
		$table1 = new NtxTable("TL_Gestione");

		$table2 = $table1->insert();
		$table2->init();

		$table2->set('IdCommessa', $IdCommessa);
		$table2->set('NumOrdine', $NumOrdine);
		$table2->set('AnnoOrdine', $AnnoOrdine);

		$table2->set('IdRisorsa', $IdRisorsa);

		$table2->set('DataAttivita', 'getdate()', true);  

		$table2->set('DataInizio', 'getdate()', true);  

		$table2->set('IdTipoAttivita', 2);  

		$table2->execute();
	}
	
	
	//aggiorniamo la timeline lavorazione
	$sql = <<<_SQL
	UPDATE TL_Gestione
	SET 
		DataFine = getdate()  
	WHERE    
		TL_Gestione.IdRisorsa = $IdRisorsa 
		AND TL_Gestione.IdCommessa = $IdCommessa 
		AND TL_Gestione.NumOrdine = $NumOrdine 
		AND TL_Gestione.AnnoOrdine = $AnnoOrdine 
		AND TL_Gestione.IdTipoAttivita = 2 
		AND TL_Gestione.DataFine IS NULL
_SQL;
	ntxQuery($sql); 
}
elseif($StatoOrd==40) 
{
	//aggiorniamo la timeline trasferimento
	$sql = <<<_SQL
	UPDATE TL_Gestione
	SET 
		DataFine = getdate()  
	WHERE    
		TL_Gestione.IdRisorsa = $IdRisorsa 
		AND TL_Gestione.IdCommessa = $IdCommessa 
		AND TL_Gestione.NumOrdine = $NumOrdine 
		AND TL_Gestione.AnnoOrdine = $AnnoOrdine 
		AND TL_Gestione.IdTipoAttivita = 1  
		AND TL_Gestione.DataFine IS NULL
_SQL;
	ntxQuery($sql);  


	//salviamo la timeline lavorazione
	$table1 = new NtxTable("TL_Gestione");

	$table2 = $table1->insert();
	$table2->init();

	$table2->set('IdCommessa', $IdCommessa);
	$table2->set('NumOrdine', $NumOrdine);
	$table2->set('AnnoOrdine', $AnnoOrdine);

	$table2->set('IdRisorsa', $IdRisorsa);

	$table2->set('DataAttivita', 'getdate()', true);  

	$table2->set('DataInizio', 'getdate()', true);  

	$table2->set('IdTipoAttivita', 2);  

	$table2->execute();
}
elseif($StatoOrd==35)
{
	//chiudiamo la timeline trasferimento
	$sql = <<< sql
	UPDATE TL_Gestione
	SET       
		DataFine = getdate()
	FROM  
		TL_Gestione 
		INNER JOIN
		Ordini ON TL_Gestione.IdCommessa = Ordini.IDCommessa AND TL_Gestione.NumOrdine = Ordini.NumOrdine AND  TL_Gestione.AnnoOrdine = Ordini.AnnoOrdine
	WHERE 
		Ordini.IdOrd = $IdOrd  
		AND TL_Gestione.IdRisorsa = $IdRisorsa
		AND TL_Gestione.IdTipoAttivita = 1 
		AND TL_Gestione.DataFine IS NULL
sql;
	ntxQuery($sql);


	//chiudiamo la timeline lavoro
	$sql = <<< sql
	UPDATE TL_Gestione
	SET       
		DataFine = getdate()
	FROM  
		TL_Gestione 
		INNER JOIN
		Ordini ON TL_Gestione.IdCommessa = Ordini.IDCommessa AND TL_Gestione.NumOrdine = Ordini.NumOrdine AND  TL_Gestione.AnnoOrdine = Ordini.AnnoOrdine
	WHERE 
		Ordini.IdOrd = $IdOrd  
		AND TL_Gestione.IdRisorsa = $IdRisorsa
		AND TL_Gestione.IdTipoAttivita = 2 
		AND TL_Gestione.DataFine IS NULL
sql;
	ntxQuery($sql);	 
}
elseif ($StatoOrd==37)
{
	//se non c'è timeline di trasferimento la inseriamo
	$sql = <<<_SQL
	SELECT ID
	FROM TL_Gestione   
	WHERE    
		TL_Gestione.IdRisorsa = $IdRisorsa 
		AND TL_Gestione.IdCommessa = $IdCommessa 
		AND TL_Gestione.NumOrdine = $NumOrdine 
		AND TL_Gestione.AnnoOrdine = $AnnoOrdine 
		AND TL_Gestione.IdTipoAttivita = 1 
		AND TL_Gestione.DataFine IS NULL
_SQL;
	$IdTimeLine = ntxScalar($sql); 
	
	if(!is_numeric($IdTimeLine))
	{
		//salviamo la timeline trasferimento
		$table1 = new NtxTable("TL_Gestione");

		$table2 = $table1->insert();
		$table2->init();

		$table2->set('IdCommessa', $IdCommessa);
		$table2->set('NumOrdine', $NumOrdine);
		$table2->set('AnnoOrdine', $AnnoOrdine);

		$table2->set('IdRisorsa', $IdRisorsa);

		$table2->set('DataAttivita', 'getdate()', true);  

		$table2->set('DataInizio', 'getdate()', true);  

		$table2->set('IdTipoAttivita', 1);  

		$table2->execute(); 
	} 
}



if ( $eseguito )
{
	$sql = <<< sql
			UPDATE tblOrdiniProgrammati 
			
			SET 
				Aperto=1, 
				Eseguito=1, 
				datainizio=ISNULL(datainizio, $DataInizio), 
				datafine=$DataFine
				
			WHERE IdCommessa=$IdCommessa AND NumOrdine=$NumOrdine AND AnnoOrdine=$AnnoOrdine
			AND (Eseguito is null or Eseguito=0)
			AND (Annullato is null or Annullato=0)
			AND (Anomalia is null or Anomalia=0)
sql;

	ntxQuery($sql);
	
	$sql = <<< sql
		UPDATE    tblOrdiniPrgComp
		SET              
				Aperto=1, 
				Eseguito=1, 
				datainizio=ISNULL(tblOrdiniPrgComp.datainizio, $DataInizio), 
				datafine=$DataFine
		FROM         tblOrdiniProgrammati INNER JOIN
							  tblOrdiniPrgComp ON tblOrdiniProgrammati.IdCommessa = tblOrdiniPrgComp.IdCommessa AND 
							  tblOrdiniProgrammati.IdOrdineProgrammato = tblOrdiniPrgComp.IdOrdineProgrammato
		WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
			AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
			AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine) 
			AND (tblOrdiniPrgComp.Eseguito  is null or tblOrdiniPrgComp.Eseguito = 0) 
			AND (tblOrdiniPrgComp.Annullato is null or tblOrdiniPrgComp.Annullato = 0) 
			AND (tblOrdiniPrgComp.Anomalia  is null or tblOrdiniPrgComp.Anomalia = 0)
sql;

	ntxQuery($sql);
}
elseif ( $aperto )
{
	$sql = <<< sql
			UPDATE tblOrdiniProgrammati 
			
			SET 
				Aperto=1, 
				datainizio=$DataInizio
				
			WHERE IdCommessa=$IdCommessa AND NumOrdine=$NumOrdine AND AnnoOrdine=$AnnoOrdine
			AND (Aperto is null or Aperto=0)
sql;

	ntxQuery($sql);
	
	$sql = <<< sql
		UPDATE    tblOrdiniPrgComp
		SET              
				Aperto=1, 
				datainizio=$DataInizio
		FROM         tblOrdiniProgrammati INNER JOIN
							  tblOrdiniPrgComp ON tblOrdiniProgrammati.IdCommessa = tblOrdiniPrgComp.IdCommessa AND 
							  tblOrdiniProgrammati.IdOrdineProgrammato = tblOrdiniPrgComp.IdOrdineProgrammato
		WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
			AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
			AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine) 
			AND (tblOrdiniPrgComp.Aperto IS NULL or tblOrdiniPrgComp.Aperto = 0) 
sql;

	ntxQuery($sql);
}

if ( $StatoOrd == 50)
{
	$add_OGGETTO_MSG = "ULTERIORI INFORMAZIONI";

	require_once(NTX_WEBPORTAL_PATH.'messaggi/chiuso_ordine/start.php');
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/chiusura_ordine/start.php');
}

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati 
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND (tblOrdiniProgrammati.Eseguito = 0 OR tblOrdiniProgrammati.Eseguito IS NULL)
		AND (tblOrdiniProgrammati.Annullato = 0 OR tblOrdiniProgrammati.Annullato IS NULL)
		AND (tblOrdiniProgrammati.Anomalia = 0 OR tblOrdiniProgrammati.Anomalia IS NULL)	
sql;

$result = array();

$result[countProgrammate] = ntxScalar($sql);

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND tblOrdiniProgrammati.Eseguito = 1	
sql;

$result[countChiuse] = ntxScalar($sql);

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati 
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND tblOrdiniProgrammati.Annullato = 1	
sql;

$result[countAnnullate] = ntxScalar($sql);

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND tblOrdiniProgrammati.Anomalia = 1 AND (tblOrdiniProgrammati.Eseguito = 0 OR tblOrdiniProgrammati.Eseguito IS NULL)	
sql;

$result[countAnomalie] = ntxScalar($sql);



if( $StatoOrd==50 )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/customer_satisfaction/start.php');
}

$traduttore->Salva();

jhp($result);	

?>
