<?php

$subOrdini = <<< subOrdini
	SELECT Ordini.IDCommessa, Ordini.NumOrdine, Ordini.AnnoOrdine
	FROM Ordini
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.Assegnazione = $IdDitta) 
				AND Ordini.GradoUrgenza='MP'
				AND Ordini.CodEdificio=$IdEdificio
				AND ISNULL(Ordini.TipoMP,0)=3
	$addWhere
subOrdini;

$sql = <<< sql
	SELECT DISTINCT tblUtUtilizzatori.IdUtilizzatore, tblUtUtilizzatori.Nome AS Utilizzatore, TipiUtilizzatori2.Tipo
	FROM tblOrdiniPrgComp  INNER JOIN
                      tblUtUtilizzatori ON tblOrdiniPrgComp.IdCommessa = tblUtUtilizzatori.IdCommessa AND 
                      tblOrdiniPrgComp.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN
                      TipiUtilizzatori2 ON tblUtUtilizzatori.IdCommessa = TipiUtilizzatori2.IdCommessa AND tblUtUtilizzatori.TipoUtilizzatore2 = TipiUtilizzatori2.IdTipo
					  INNER JOIN
                      ($subOrdini) Ordini INNER JOIN
                      tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
                      Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato 
	WHERE tblOrdiniPrgComp.TipoMP = 3
	ORDER BY IdUtilizzatore
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	/*$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;background-color:#A9CCF7"
				onclick="SelUtilizzatore($rs[IdUtilizzatore])">
			Utilizzatore: <b>[$html[IdUtilizzatore]]</b> - <b>$html[Utilizzatore]</b> - <b>$html[Tipo]</b>
		</button>
table;*/
	$table .=
		"<button class=\"ui-btn ui-corner-all ui-shadow\" style=\"font-weight:normal;background-color:#A9CCF7\"
				onclick=\"SelUtilizzatore($rs[IdUtilizzatore])\">".
			$traduttore->traduci('Utilizzatore').": <b>[$html[IdUtilizzatore]]</b> - <b>$html[Utilizzatore]</b> - <b>$html[Tipo]</b>
		</button>"
;

}

?>