<?php

session_start();

require_once("../../../../_ntx/const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_410", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_410", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdOrdiniProgrammati = ntxsp('IdOrdiniProgrammati');
$Note = ntxsp('Note');
$conRichiesta = ntxip('conRichiesta');

include('is_letto_liste_controllo.inc');

$ListaIdOrdiniProgrammati = explode(",", $_POST[IdOrdiniProgrammati]);

$IdOrdineProgrammato = $ListaIdOrdiniProgrammati[0];

$sql = <<< sql
select count(*) FROM (
SELECT DISTINCT tblComponetiMestiere.IdMestiere
FROM         tblOrdiniProgrammati INNER JOIN
                      dbo.SplitId($IdOrdiniProgrammati) AS a ON tblOrdiniProgrammati.IdOrdineProgrammato = a.id INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa)) b
sql;

$count = ntxScalar($sql);

if ( $count>1 ) jhp_error($traduttore->traduci('Attivita\' selezionate su più mestieri!'));
if ( $count==0 ) jhp_error($traduttore->traduci('Nessuna attivita\' selezionata!'));

$sql = <<< sql
SELECT top 1 tblComponetiMestiere.IdMestiere
FROM         tblOrdiniProgrammati INNER JOIN
                      dbo.SplitId($IdOrdiniProgrammati) AS a ON tblOrdiniProgrammati.IdOrdineProgrammato = a.id INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa)
sql;

$IdMestiere = ntxScalar($sql);

$sql = <<< sql
select count(*) FROM (
SELECT DISTINCT tblAttivitàMestiere.IdComponenteMestiere
FROM         tblOrdiniProgrammati INNER JOIN
                      dbo.SplitId($IdOrdiniProgrammati) AS a ON tblOrdiniProgrammati.IdOrdineProgrammato = a.id INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere 
WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa)) b
sql;

$count = ntxScalar($sql);

if ( $count>1 ) jhp_error($traduttore->traduci('Attivita\' selezionate su più componenti mestieri!'));

$sql = <<< sql
SELECT top 1 tblAttivitàMestiere.IdComponenteMestiere
FROM         tblOrdiniProgrammati INNER JOIN
                      dbo.SplitId($IdOrdiniProgrammati) AS a ON tblOrdiniProgrammati.IdOrdineProgrammato = a.id INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere 
WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa)
sql;

$IdComponenteMestiere = ntxScalar($sql);
	
$IdEdificio = ntxip('IdEdificio'); 
$IdPiano = ntxip('IdPiano'); 
$IdAmbiente = ntxip('IdAmbiente'); 
$IdComponenteAmbiente = ntxip('IdComponenteAmbiente'); 
	
$sql1 = "INSERT INTO AnomalieOrdiniProgrammati (";	$sql2 = " VALUES (";

$sql1 .= "IdCommessa";				$sql2 .= $IdCommessa.", ";

$sql1 .= ", [Note]";				$sql2 .= $Note.", ";

$sql1 .= ", Data";					$sql2 .= "GETDATE(), ";

$sql1 .= ", Utente";				$sql2 .= ntxs($_SESSION['Utente']).", ";

$sql1 .= ", IdMestiere";			$sql2 .= $IdMestiere.", ";
$sql1 .= ", IdComponenteMestiere";	$sql2 .= $IdComponenteMestiere.", ";

$sql1 .= ", IdEdificio";				$sql2 .= $IdEdificio.", ";
$sql1 .= ", IdPiano";					$sql2 .= $IdPiano.", ";
$sql1 .= ", IdAmbiente";				$sql2 .= $IdAmbiente.", ";
$sql1 .= ", IdComponenteAmbiente)";		$sql2 .= $IdComponenteAmbiente.")";

ntxQuery($sql1.$sql2);

$IdAnomalia = ntxScalar("SELECT @@IDENTITY;");

if ( is_numeric($IdAnomalia) ) 
{
	for ( $i=0; $i<count($ListaIdOrdiniProgrammati); $i++ )
	{
		$IdOrdineProgrammato = $ListaIdOrdiniProgrammati[$i];
		
		$sql = <<< sql
			UPDATE tblOrdiniProgrammati 
			
			SET 
				Annullato=0, 
				Eseguito=0, 
				Anomalia=1, 
				IdAnomalia=$IdAnomalia
			
			WHERE IdCommessa=$IdCommessa AND IdOrdineProgrammato=$IdOrdineProgrammato
sql;
		
		ntxQuery($sql);
		
		if ( is_numeric($IdEdificio)  &&  is_numeric($IdComponenteAmbiente) )
		{
			$sql = <<< sql
				UPDATE tblOrdiniPrgComp 
				
				SET 
					Annullato=0, 
					Eseguito=0, 
					Anomalia=1, 
					IdAnomalia=$IdAnomalia
				
				WHERE IdCommessa=$IdCommessa AND IdOrdineProgrammato=$IdOrdineProgrammato
					AND IdComponente=$IdComponenteAmbiente AND IdEdificio=$IdEdificio
sql;
			
			ntxQuery($sql);
		}
	}
}
	
if ($conRichiesta) include('notifica_anomalia-richiesta.inc');

include('notifica_anomalia-messaggi.inc');
	
include('setta_prg_e_mp.inc');

include('multiplo_prg-output.inc');

$traduttore->Salva();
?>