<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdOrdineProgrammato = ntxip('IdOrdineProgrammato');
$IdVoce = ntxip('IdVoce');

$sql = <<< sql
	SELECT IdVoceListaControllo, NonConformità, NumRichiesta
	FROM         StatoVociListeControlloPRG
	WHERE     (IdCommessa = $IdCommessa) AND (IdOrdineProgrammato = $IdOrdineProgrammato) AND (IdVoceListaControllo = $IdVoce)
sql;

$rs = ntxRecord(ntxQuery($sql));

$isStatoVoce = is_numeric($rs[IdVoceListaControllo]);
$NonConformità = ($rs[NonConformità]==1);
$isRichiesta = is_numeric($rs[NumRichiesta]);

if ( $isStatoVoce  &&  $NonConformità  &&  !$isRichiesta )
{
	$sql = <<< sql
		DELETE FROM         StatoVociListeControlloPRG
		WHERE     (IdCommessa = $IdCommessa) AND (IdOrdineProgrammato = $IdOrdineProgrammato) AND (IdVoceListaControllo = $IdVoce)
sql;

	ntxQuery($sql);
}
elseif ( $isStatoVoce  &&  !$NonConformità )
{
	$sql = <<< sql
		UPDATE StatoVociListeControlloPRG SET 
												NonConformità=1,
												IdUtenteModifica=$IdUtente,
												DataOraModifica=getdate()
		WHERE     (IdCommessa = $IdCommessa) AND (IdOrdineProgrammato = $IdOrdineProgrammato) AND (IdVoceListaControllo = $IdVoce)
sql;

	ntxQuery($sql);
}
elseif ( !$isStatoVoce )
{
	$sql = <<< sql
		INSERT INTO StatoVociListeControlloPRG (IdCommessa, IdOrdineProgrammato, IdVoceListaControllo, IdUtenteModifica, DataOraModifica)
		VALUES ($IdCommessa, $IdOrdineProgrammato, $IdVoce, $IdUtente, getdate())
sql;

	ntxQuery($sql);
}

$sql = <<< sql
	SELECT IdVoceListaControllo, NonConformità, NumRichiesta
	FROM         StatoVociListeControlloPRG
	WHERE     (IdCommessa = $IdCommessa) AND (IdOrdineProgrammato = $IdOrdineProgrammato) AND (IdVoceListaControllo = $IdVoce)
sql;

$rs = ntxRecord(ntxQuery($sql));

$isStatoVoce = is_numeric($rs[IdVoceListaControllo]);
$NonConformità = ($rs[NonConformità]==1);
$isNumRichiesta = is_numeric($rs[NumRichiesta]);
	
$Stato = 0;

if ( $isNumRichiesta ) $Stato = 3;
elseif ( $NonConformità ) $Stato = 2;
elseif ( $isStatoVoce ) $Stato = 1;

jhp($Stato);

?>