<?php

$sql = <<< sql
SELECT     DocsEdifici.Id AS IdDoc, GruppiDocsEdifici.Codice AS CodSez, GruppiDocsEdifici.Nome AS DesSez, TipiDocsEdifici.Descrizione AS Tipo, 
                      DocsEdifici.Descrizione AS DesDoc, DocsEdifici.DataModifica, DocsEdificiComponenti.IdCommessaDocEdificio
FROM         GruppiDocsEdifici INNER JOIN
                      GruppiDocsEdifici2TipiDocsEdifici ON GruppiDocsEdifici.ID = GruppiDocsEdifici2TipiDocsEdifici.IdGruppiDocsEdifici INNER JOIN
                      TipiDocsEdifici ON GruppiDocsEdifici2TipiDocsEdifici.IdCommessa = TipiDocsEdifici.IdCommessa AND 
                      GruppiDocsEdifici2TipiDocsEdifici.IdTipiDocsEdifici = TipiDocsEdifici.Id INNER JOIN
                      DocsEdifici ON TipiDocsEdifici.IdCommessa = DocsEdifici.IdCommessa AND TipiDocsEdifici.Id = DocsEdifici.Tipo INNER JOIN
                      DocsEdificiComponenti ON DocsEdifici.IdCommessa = DocsEdificiComponenti.IdCommessaDocEdificio AND 
                      DocsEdifici.Id = DocsEdificiComponenti.IdDocEdificio
		WHERE     (DocsEdificiComponenti.IdCommessaDocEdificio = $IdCommessa) 
			AND (DocsEdificiComponenti.IdEdificioComponente = $IdEdificio) 
			AND (DocsEdificiComponenti.IdComponente = $IdComponente)
ORDER BY CodSez, DesSez, Tipo, DesDoc, DocsEdifici.DataModifica
sql;

$query = ntxQuery($sql);

/*$table3 = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>ID
			<th>Sezione
			<th>Tipo
			<th>Descrizione
			<th>Data Modifica
		</tr>
table;*//
$table3 =
	"<table class=grid>
		<tr>
			<th>"
			."<th>".$traduttore->traduci('ID')
			."<th>".$traduttore->traduci('Sezione')
			."<th>".$traduttore->traduci('Tipo')
			."<th>".$traduttore->traduci('Descrizione')
			."<th>".$traduttore->traduci('Data Modifica')
		."</tr>"
;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[DataModifica] = ntxDateTime($rs[DataModifica]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table3 .= <<< table
		<tr>
			<td><input type=button value=anteprima onclick="AnteprimaDoc(1, $rs[IdDoc])" />
			<td>$rs[IdDoc]
			<td>$html[CodSez] - $html[DesSez]
			<td>$html[Tipo]
			<td>$html[DesDoc]
			<td>$html[DataModifica]
		</tr>
table;
}

$table3 .= "</table>";

?>