<?php

if ( !isset($_SESSION) ) session_start();

$IdSetup = $_SESSION[ID_SETUP_ODBC_DATABASE];

require_once('../../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa');
$Tipo = ntxip('Tipo');

$ElencoCompletoTipiComponenti = explode(",", $_POST[ElencoCompletoTipiComponenti]);

$len = count($ElencoCompletoTipiComponenti)-1;

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$pathSimboliWeb = "$pathCommessa\\simboliWeb";

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\simboliWeb";

if ( !is_dir($dir) ) mkdir($dir);

$dir = "$dir\\setup_{$IdSetup}_commessa_$IdCommessa";

if ( !is_dir($dir) ) mkdir($dir);

$url = "$_SERVER[DOCUMENT_HOST]/".NTX_SUBPATH_PORTALE."/simboliWeb/setup_{$IdSetup}_commessa_$IdCommessa";

$addWhere = "";

if ( strlen("$_POST[NomeTipoComponente]")>0 )
	$addWhere = " AND tblCopertureInCommessa.Nome LIKE '%".str_replace("'","''",$_POST[NomeTipoComponente])."%' ";

if ( $Tipo==1 ) // in carico
{
	$addWhere .= " AND Ordini.IdRisorsa = $IdRisorsa AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==2 ) // da assegnare
{
	$addWhere .= " AND Ordini.IdRisorsa IS NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==3 ) // finiti
{
	$addWhere .= " AND Ordini.StatoOrd >= 50";
}

$DataInizioProg=ntxttp('DataInizioProg', true);
$DataFineProg=ntxttp('DataFineProg', true);

if ( $DataInizioProg!="NULL" )
	$addWhere .= " AND Ordini.DataFineProg >= $DataInizioProg";

if ( $DataFineProg!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataFineProg";
	
$sql = <<< sql
	SELECT DISTINCT 
						  TipoComponente.IDTipoComponente, TipoComponente.DesComponente, tblCopertureInCommessa.Simbolo, 
						  tblCopertureInCommessa.VisibileWeb
	FROM         tblOrdiniPrgComp INNER JOIN
                      tblOrdiniProgrammati ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
                      Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
                      tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
                      TipoComponente.Copertura = tblCopertureInCommessa.Nome INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
sql;

if ( is_numeric($_POST[IdGruppoImpianto]) )
{
	$IdGruppoImpianto = ntxip('IdGruppoImpianto');
	
	$sql .= <<< sql
		INNER JOIN
			GruppiImpTipiComp ON TipoComponente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND 
			TipoComponente.IDTipoComponente = GruppiImpTipiComp.IdTipoComponente
		WHERE     (GruppiImpTipiComp.IdGruppoImpianto = $IdGruppoImpianto)
sql;
}
else
{
	$sql .= " WHERE 1=1 ";
}
	
$sql .= <<< sql
		AND (TipoComponente.IdCommessa = $IdCommessa)
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio)
		AND (Ambiente.IdLivello = $IdPiano)
		AND (Ordini.Assegnazione = $IdDitta) 
		AND (tblCopertureInCommessa.Tipo = 0) 
		AND (tblCopertureInCommessa.Geometria = 0) 
		AND (tblCopertureInCommessa.Associazione = 2)
		AND (ComponentiAmbiente.Rimosso IS NULL OR ComponentiAmbiente.Rimosso = 0) 
		AND (isnumeric(ComponentiAmbiente.X) = 1) 
		$addWhere
	ORDER BY TipoComponente.DesComponente
sql;

$query = ntxQuery($sql);

$table = "";

while( $rs = ntxRecord($query) )
{
	$DesComponente = htmlentities($rs[DesComponente]);

	if ( is_file("$pathSimboliWeb\\$rs[Simbolo].png")  &&  !is_file("$dir\\$rs[Simbolo].png") )
		copy("$pathSimboliWeb\\$rs[Simbolo].png", "$dir\\$rs[Simbolo].png");

	$Visibile = "Visibile='0'";
	$addStyle = "";
	
	for($i=0, $j=1; $i<$len; $i+=2, $j+=2)
	{
		if ( $ElencoCompletoTipiComponenti[$i] == $rs[IDTipoComponente]  &&  $ElencoCompletoTipiComponenti[$j]==1 )
		{
			$Visibile = "Visibile='1'";
			$addStyle = "background-color:#DDFFDD";
			break;
		}
	}
	
	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;text-align:left;{$addStyle}" $Visibile
				btnLegendTipoComp IdTipoComponente=$rs[IDTipoComponente] onclick="SetVisComp($rs[IDTipoComponente])">
			<img src="$url/$rs[Simbolo].png" style="width:1em;height:1em" /> $DesComponente
		</button>
table;
}

jhp($table);

?>
