<?php

$sql = <<< sql
	SELECT COUNT(*) FROM (SELECT DISTINCT    tblPgContrattiAffidatari.IdAffidatario
	FROM         tblComponetiMestiere INNER JOIN
		tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND
		tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
		tblPgContrattiAffidatari INNER JOIN
		tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario ON
		tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND
		tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
		tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario
	WHERE     (tblComponetiMestiere.IdCommessa = $IdCommessa)
		AND (tblComponetiMestiere.IdComponenteMestiere = $IdComponenteMestiere)
		AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $IdEdificio)
		AND (tblPgContrattiAffidatari.DataInizio <= getdate() ) AND (tblPgContrattiAffidatari.DataFine >= getdate() )) a
sql;
	
$conta_affidatari = ntxScalar($sql);

if ( $conta_affidatari==0 )
	jhp_error("Nessun affidatario associato per edificio/componente/data!");

if ( $conta_affidatari>1 )
	jhp_error("Piu' di un affidatario associabile per edificio/componente/data!");
	
$sql = <<< sql
	SELECT TOP 1    tblPgContrattiAffidatari.IdAffidatario, tblPgContrattiAffidatari.IdPgContratto
	FROM         tblComponetiMestiere INNER JOIN
		tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND
		tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
		tblPgContrattiAffidatari INNER JOIN
		tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario ON
		tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND
		tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
		tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario
	WHERE     (tblComponetiMestiere.IdCommessa = $IdCommessa)
		AND (tblComponetiMestiere.IdComponenteMestiere = $IdComponenteMestiere)
		AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $IdEdificio)
		AND (tblPgContrattiAffidatari.DataInizio <= getdate() ) AND (tblPgContrattiAffidatari.DataFine >= getdate() )
sql;
			
$rs = ntxRecord(ntxQuery($sql));

$CalcIdAffidatario = $rs[IdAffidatario];
$CalcIdContrattoGestore = $rs[IdPgContratto];

?>
