<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdOrdPrgComp = ntxip('IdOrdPrgComp');

$sql = <<< sql
SELECT     b.IdVoce,a.IdVoceListaControllo
FROM         (SELECT     IdVoceListaControllo, IdOrdPrgComp, IdCommessa
                       FROM          StatoVociListeControlloPRD
                       WHERE      (IdCommessa = $IdCommessa) AND (IdOrdPrgComp = $IdOrdPrgComp)) AS a RIGHT OUTER JOIN
                          (SELECT     tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdOrdPrgComp, ListeControlloAttivitàMestiere.IdVoce
                            FROM          tblAttivitàMestiere INNER JOIN
                                                   tblOrdiniPrgComp ON tblAttivitàMestiere.IdCommessa = tblOrdiniPrgComp.IdCommessa AND 
                                                   tblAttivitàMestiere.IdAttivitàMestiere = tblOrdiniPrgComp.IdAttivitàMestiere INNER JOIN
                                                   ListeControlloAttivitàMestiere ON tblAttivitàMestiere.IdCommessa = ListeControlloAttivitàMestiere.IdCommessa AND 
                                                   tblAttivitàMestiere.IdAttivitàMestiere = ListeControlloAttivitàMestiere.IdAttivitàMestiere
                            WHERE      (tblOrdiniPrgComp.IdCommessa = $IdCommessa) AND (tblOrdiniPrgComp.IdOrdPrgComp = $IdOrdPrgComp)) AS b ON a.IdCommessa = b.IdCommessa AND 
                      a.IdOrdPrgComp = b.IdOrdPrgComp AND a.IdVoceListaControllo = b.IdVoce
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$isStatoVoce = is_numeric($rs[IdVoceListaControllo]);

	if ( !$isStatoVoce )
	{
		$sql = <<< sql
			INSERT INTO StatoVociListeControlloPRD (IdCommessa, IdOrdPrgComp, IdVoceListaControllo, IdUtenteModifica, DataOraModifica)
			VALUES ($IdCommessa, $IdOrdPrgComp, $rs[IdVoce], $IdUtente, getdate())
sql;

		ntxQuery($sql);
	}
}

jhp_ok();

?>