<?php
session_start();

require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$DataInizio=ntxttp('DataInizio');
$DataFine=ntxttp('DataFine');

//data inizio non può essere maggiore della data fine  
$diff = ntxScalar("SELECT DATEDIFF ( day ,  $DataFine, $DataInizio )"); 

if($diff>0)
	jhp_error("Errore! DataFine $_POST[DataFine]  minore di DataInizio $_POST[DataInizio]   ");
	 	
//impedire la possibilità di definire la data di fine senza quella di inizio
if( (strlen($_POST[DataFine])>0)  &&  (strlen($_POST[DataInizio])==0) )
	jhp_error("Inserire la DATA DI INIZIO!");

$sql = "SELECT StatoOrd FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$StatoOrd = ntxScalar($sql);

$sql = "SELECT IdRisorsa FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$isIdRisorsa = is_numeric(ntxScalar($sql));

$eseguito = $aperto = 0;

if(strlen($DataFine)>4) 
{
	if ( $StatoOrd < 50 )
	{
		$eseguito = $aperto = 1;
		$StatoOrd = 50;
	}
}
elseif(strlen($DataInizio)>4  &&  $StatoOrd <= 50 ) 
{
	$aperto = 1;
	$eseguito = 0;
	$StatoOrd = 40;
	
	$DataFine = "NULL";
}
elseif ( $StatoOrd <= 50 )
{
	$eseguito = $aperto = 0;
	
	if ( $isIdRisorsa )
		$StatoOrd = 37;
	else
		$StatoOrd = 35;
		
	$DataInizio = $DataFine = "NULL";
}
	
$Ordini= new NtxTable("Ordini");

$UpdateOrdini= $Ordini->update();

$UpdateOrdini->init();

	$UpdateOrdini->set("DataInizio", $DataInizio, true);
		
	$UpdateOrdini->set("DataFine", $DataFine, true);

	$UpdateOrdini->set("StatoOrd", $StatoOrd);
	
	$UpdateOrdini->set('ModalitàAgg', $_SESSION[Utente]);

	$UpdateOrdini->set('DataModifica', 'getdate()', true);
	
	$UpdateOrdini->wherese("IdCommessa");	
	$UpdateOrdini->wherep("NumOrdine");	
	$UpdateOrdini->wherep("AnnoOrdine");	

$UpdateOrdini->execute();	

if ( $eseguito )
{
	$sql = <<< sql
			UPDATE tblOrdiniProgrammati 
			
			SET 
				Aperto=1, 
				Eseguito=1, 
				datainizio=ISNULL(datainizio, $DataInizio), 
				datafine=$DataFine
				
			WHERE IdCommessa=$IdCommessa AND NumOrdine=$NumOrdine AND AnnoOrdine=$AnnoOrdine
			AND (Eseguito is null or Eseguito=0)
			AND (Annullato is null or Annullato=0)
			AND (Anomalia is null or Anomalia=0)
sql;

	ntxQuery($sql);
}
elseif ( $aperto )
{
	$sql = <<< sql
			UPDATE tblOrdiniProgrammati 
			
			SET 
				Aperto=1, 
				datainizio=$DataInizio
				
			WHERE IdCommessa=$IdCommessa AND NumOrdine=$NumOrdine AND AnnoOrdine=$AnnoOrdine
			AND (Aperto is null or Aperto=0)
sql;

	ntxQuery($sql);
}

if ( $StatoOrd == 50)
{
	$add_OGGETTO_MSG = "ULTERIORI INFORMAZIONI";

	require_once(NTX_WEBPORTAL_PATH.'messaggi/chiuso_ordine/start.php');
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/chiusura_ordine/start.php');
}

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati 
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND (tblOrdiniProgrammati.Eseguito = 0 OR tblOrdiniProgrammati.Eseguito IS NULL)
		AND (tblOrdiniProgrammati.Annullato = 0 OR tblOrdiniProgrammati.Annullato IS NULL)
		AND (tblOrdiniProgrammati.Anomalia = 0 OR tblOrdiniProgrammati.Anomalia IS NULL)	
sql;

$result = array();

$result[countProgrammate] = ntxScalar($sql);

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND tblOrdiniProgrammati.Eseguito = 1	
sql;

$result[countChiuse] = ntxScalar($sql);

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati 
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND tblOrdiniProgrammati.Annullato = 1	
sql;

$result[countAnnullate] = ntxScalar($sql);

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND tblOrdiniProgrammati.Anomalia = 1 AND (tblOrdiniProgrammati.Eseguito = 0 OR tblOrdiniProgrammati.Eseguito IS NULL)	
sql;

$result[countAnomalie] = ntxScalar($sql);



if( $StatoOrd==50 )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/customer_satisfaction/start.php');
}



jhp($result);	

?>
