<?php

session_start();

require_once("../../../../_ntx/const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdOrdiniProgrammati = ntxsp('IdOrdiniProgrammati');
$apri = ntxip('apri');
$chiudi = ntxip('chiudi');

if ( !$apri ) include('is_letto_liste_controllo.inc');

$DataInizio = ntxttp('DataInizio');
$DataFine = ntxttp('DataFine');

$ListaIdOrdiniProgrammati = explode(",", $_POST[IdOrdiniProgrammati]);

$IdOrdineProgrammato = $ListaIdOrdiniProgrammati[0];

if ( $chiudi )
{
	$sql = <<< sql
		UPDATE         tblOrdiniProgrammati 
		
		SET 
			Aperto=1, 
			Eseguito=1, 
			Annullato=0, 
			Anomalia=0, 
			IdAnomalia=NULL, 
			datainizio=ISNULL(datainizio, $DataInizio), 
			datafine=$DataFine

		FROM tblOrdiniProgrammati INNER JOIN
                      dbo.SplitId($IdOrdiniProgrammati) AS lista_id ON tblOrdiniProgrammati.IdOrdineProgrammato = lista_id.id
		WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa)
sql;

	ntxQuery($sql);
}
elseif ( $apri )
{
	$sql = <<< sql
		UPDATE         tblOrdiniProgrammati 
		
		SET 
			Aperto=1, 
			Eseguito=0, 
			Annullato=0, 
			Anomalia=0, 
			IdAnomalia=NULL, 
			datainizio=$DataInizio, 
			datafine=NULL
			
		FROM tblOrdiniProgrammati INNER JOIN
                      dbo.SplitId($IdOrdiniProgrammati) AS lista_id ON tblOrdiniProgrammati.IdOrdineProgrammato = lista_id.id
		WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa)
sql;

	ntxQuery($sql);
}
else
{
	$sql = <<< sql
		UPDATE         tblOrdiniProgrammati 
		
		SET 
			Aperto=0, 
			Eseguito=0, 
			Annullato=0, 
			Anomalia=0, 
			IdAnomalia=NULL, 
			datainizio=NULL, 
			datafine=NULL
			
		FROM tblOrdiniProgrammati INNER JOIN
                      dbo.SplitId($IdOrdiniProgrammati) AS lista_id ON tblOrdiniProgrammati.IdOrdineProgrammato = lista_id.id
		WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa)
sql;

	ntxQuery($sql);
}
	
include('setta_prg_e_mp.inc');

	
include('multiplo_prg-output.inc');


?>