<?php 

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/form.inc");

include('versione.inc');

$IdEdificio = ntxip('IdEdificio');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

switch($_POST[stato_programmate])
{
	case 'Anomalie':
		$label = "Programmate con Anomalie";
		break;
	case 'Annullate':
		$label = "Programmate Annullate";
		break;
	case 'Chiuse':
		$label = "Programmate Chiuse";
	default:
		$label = "Programmate";
		break;
}

$sql = <<< sql
	SELECT      Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.VistoMP,
					  CONVERT(DATETIME, CONVERT(varchar(11),getdate(), 111 ) + ' 00:00:00', 111) DataInizioOggiStore,
						CONVERT(DATETIME, CONVERT(varchar(11),getdate(), 111 ) + ' 23:59:59', 111) DataFineOggiStore
		FROM         Ordini				  
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine) 
sql;

$rs = ntxRecord(ntxQuery($sql));

$VistoMP = $rs[VistoMP];

$DataInizioProgStore = ntxDateTimeT($rs[DataInizioProg]);
$DataFineProgStore = ntxDateTimeT($rs[DataFineProg]);

$DataInizioOggiStore = ntxDateTimeT($rs[DataInizioOggiStore]);
$DataFineOggiStore = ntxDateTimeT($rs[DataFineOggiStore]);

?>
<!DOCTYPE html> 
<html>
<head>
	<title><?php echo $label ?></title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	<link rel="stylesheet" href="css/index.css" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	
	<script src="/repository2/paginazione/paginazione.js" type="text/javascript"></script>
	<script src="js/ordini_prg.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/ordini_prg-select.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/ordini_prg-apri_chiudi.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/ordini_prg-anomalia.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/ordini_prg-annulla.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/ordini_prg-lista_controllo.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/ordini_prg-richieste_per_liste_controllo.js?<?php echo $vers ?>" type="text/javascript"></script>
</head>
<body >

<?php

$sql = <<< sql
	SELECT     motivi.Id, motivi.Motivazione
	FROM         MotivazioniAnnullamentiOrdiniProgrammati AS motivi INNER JOIN
						  ElencoEdifici AS edifici ON motivi.TipoLocalizzazione = ISNULL(edifici.Tipo,0)
	WHERE     (edifici.IdCommessa = $IdCommessa) AND (edifici.ID = $IdEdificio)
	ORDER BY motivi.Motivazione
sql;

$query = ntxQuery($sql);

$optionMovitiAnnullo = "<option value=''>---";

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$optionMovitiAnnullo .= "<option value='$rs[Id]'>$html[Motivazione]";
}

$sql = <<< sql
	SELECT     PianoLivello.idPiano, DestinazioniDusoLivello.Destinazione
	FROM         PianoLivello INNER JOIN
						  DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
						  PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdEdificio = $IdEdificio)
	ORDER BY DestinazioniDusoLivello.ordinamento
sql;

$query = ntxQuery($sql);

$optionPiani = "<option value=''>---";

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$optionPiani .= "<option value='$rs[idPiano]'>$html[Destinazione]";
}

?>

<div data-role="page">

	<div data-role="header" data-position="fixed">
        <h1><?php echo $label ?></h1>
        <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
        <a href="javascript:formBack.submit()" data-ajax="false" data-icon="back" data-iconpos="notext"></a>
 <!--      
	<a href="javascript:formRefresh.submit()" data-ajax="false" data-icon="recycle" data-iconpos="notext"></a>
 -->
    </div>

	<div style="padding:10px 20px;" role="main" class="ui-content jqm-content jqm-fullwidth">
		<div id="editRichiestaCheckList" class="ui-content ui-corner-all ui-shadow" style="background-color:#DDDDFF;display:none">
			<div class="ui-field-contain">
				<label for="cboMestRichiesta">Mestiere</label>
				<select name="cboMestRichiesta" id="cboMestRichiesta" onchange="CaricaCompMestieri()"></select>
			</div>		

			<div class="ui-field-contain">
				<label for="cboCompRichiesta">Componente</label>
				<select name="cboCompRichiesta" id="cboCompRichiesta" onchange="CaricaAttMestieri()"></select>
			</div>		

			<div class="ui-field-contain">
				<label for="cboAttRichiesta">Attività </label>
				<select name="cboAttRichiesta" id="cboAttRichiesta"></select>
			</div>		

			<div class="ui-field-contain">
				<label for="DesRichiesta">Descrizione</label>
				<textarea name="Note" id="DesRichiesta" placeholder="Descrizione" value=""></textarea>
			</div>
			
			<div class="ui-grid-a">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="AggiungiRichiestaSuVoceLC()">Aggiungi Richiesta</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFAAAA" onclick="$('#editRichiestaCheckList').hide()">Chiudi</button></div>
			</div>
		</div>

		<div id="editForm" class="ui-content ui-corner-all ui-shadow" style="background-color:#DDDDFF" SottoA="NULLA" Visibile="YES" idOrdPrg="none">
			<div class="ui-grid-c">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="MostraEdit('editFormSez1')">Inizia e Chiudi...</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFAAFF" onclick="MostraEdit('editFormSez2')">Anomalie...</button></div>
				<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFFFAA" onclick="MostraEdit('editFormSez3')">Annulli...</button></div>
				<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFFFFF" onclick="Altro($('#editForm').attr('SottoA'),$('#editForm').attr('idOrdPrg'))">Chiudi</button></div>
			</div>

			<input type="checkbox" name="chkMultiEdit" id="chkMultiEdit" data-mini="true">
			<label for="chkMultiEdit">Azione su tutti gli ordini selezionati</label>
			
			<div class="ui-grid-a" editFormSez1 editFormSez3>
				<div class="ui-block-a">
					<div class="ui-field-contain">
						<label for="DataInizio">Data Inizio</label>
						<input name="DataInizio" id="DataInizio" value="<?php echo $DataInizio ?>" placeholder="Data Inizio" type="datetime-local" data-clear-btn="true" value=""  >
					</div>
				</div>
				<div class="ui-block-b">
					<div class="ui-field-contain">
						<label for="DataFine">Data Fine</label>
						<input name="DataFine" id="DataFine" value="<?php echo $DataFine ?>" placeholder="Data Fine" type="datetime-local" data-clear-btn="true" value=""  >
					</div>
				</div>
			</div>
			
			<div class="ui-grid-a" editFormSez1 editFormSez3>
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="UsaDataAttuale()">Data Oggi</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="UsaDateProgrammate()">Data Programmata</button></div>
			</div>
			
			<div class="ui-grid-b" editFormSez1>
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FF9900" onclick="ApriChiudiMultiploPrg(1, 0)">Inizia Attività </button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="ApriChiudiMultiploPrg(0, 1)">Chiudi Attività </button></div>
				<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FF5555;color:white;text-shadow:none" onclick="ApriChiudiMultiploPrg(0, 0)">Resetta</button></div>
			</div>
			
			<div class="ui-grid-c" editFormSez2>
				<div class="ui-block-a">
					<input name="CodiceAssAmbiente" id="CodiceAssAmbiente" value="" placeholder="Codice Ambiente" type="text" data-clear-btn="true" value=""  >
				</div>
				<div class="ui-block-b">
					<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="CercaAmbiente()">Cerca Ambiente</button>
				</div>
				<div class="ui-block-c">
					<input name="CodiceAssComponente" id="CodiceAssComponente" value="" placeholder="Codice Componente" type="text" data-clear-btn="true" value=""  >
				</div>
				<div class="ui-block-d">
					<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="CercaComponente()">Cerca Componente</button>
				</div>
			</div>

			<div class="ui-field-contain" editFormSez2>
				<label for="IdPiano">Filtro su censimento</label>
				<fieldset data-role="controlgroup" data-type="horizontal" onchange="ChangeFilterOnCensimento()">
					<input type="radio" name="optFiltroCensimento" id="optFiltroCensimentoa" value="1" checked="checked">
					<label for="optFiltroCensimentoa" style="font-weight:normal">Nessuno</label>
					<input type="radio" name="optFiltroCensimento" id="optFiltroCensimentob" value="2">
					<label for="optFiltroCensimentob" style="font-weight:normal">per Componenti</label>
					<input type="radio" name="optFiltroCensimento" id="optFiltroCensimentoc" value="3">
					<label for="optFiltroCensimentoc" style="font-weight:normal">per Attività </label>
				</fieldset>
			</div>

			<div class="ui-field-contain" editFormSez2>
				<label for="IdPiano">Piani</label>
				<select name="IdPiano" id="IdPiano" onblur="CaricaAmbienti()">
					<?php echo $optionPiani ?>
				</select>
			</div>
			
			<div class="ui-field-contain" editFormSez2>
				<label for="IdAmbiente">Ambiente</label>
				<select name="IdAmbiente" id="IdAmbiente" onblur="CaricaComponentiAmbienti()">
					<option value=''>---
				</select>
			</div>
			
			<div class="ui-field-contain" editFormSez2>
				<label for="IdComponenteAmbiente">Componente</label>
				<select name="IdComponenteAmbiente" id="IdComponenteAmbiente">
					<option value=''>---
				</select>
			</div>
			
			<div class="ui-field-contain" editFormSez2 editFormSez3>
				<label for="Note">Note</label>
				<textarea name="Note" id="Note" placeholder="Note" value=""></textarea>
			</div>
			
			<div class="ui-grid-a" editFormSez2>
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFAAFF" onclick="NotificaAnomalia(0)">Notifica Anomalia</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFAAFF" onclick="NotificaAnomalia(1)">Notifica Anomalia con Richiesta</button></div>
			</div>
			
			<div class="ui-field-contain" editFormSez3>
				<label for="cboMotiviAnnullamento">Motivi Annullamento</label>
				<select name="cboMotiviAnnullamento" id="cboMotiviAnnullamento">
					<?php echo $optionMovitiAnnullo ?>
				</select>
			</div>
			
			<div class="ui-grid-a" editFormSez3>
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFFFAA" onclick="AnnullaRipristina(0)">Annulla Attività </button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FF5555;color:white;text-shadow:none" onclick="AnnullaRipristina(1)">Ripristina Attività </button></div>
			</div>

			<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" editFormSez3  onclick="GeneraNuoveVisiti()">Genera nuove visite su Attività  annullate selezionate</button>
			<div id="messaggi" style="border:2px solid blue;display:none"></div>
		</div>
		
		<div id="lista-risultati-ricerca"></div>
		
		<div id="lista-risultati-checklist">
			<input type=button value="Torna indietro..." onclick="ChiudiCheckList()" />
			<div id="lista-risultati-checklistBody"></div>
		</div>
	</div>
</div>

<form name=formBack method="post" action="edit_ordine.php">
	<input type=hidden name=IdEdificio value="<?php echo $_POST[IdEdificio] ?>"  />
	<input type=hidden name=Tipo value="<?php echo $_POST[Tipo] ?>"  />
	<input type=hidden name=DataInizioProg value="<?php echo $_POST[DataInizioProg] ?>"  />
	<input type=hidden name=DataFineProg value="<?php echo $_POST[DataFineProg] ?>"  />
	<input type=hidden name=NumOrdine value="<?php echo $_POST[NumOrdine] ?>"  />
	<input type=hidden name=AnnoOrdine value="<?php echo $_POST[AnnoOrdine] ?>"  />
</form>

<form name=formRefresh method="post">
	<input type=hidden name=IdEdificio value="<?php echo $_POST[IdEdificio] ?>"  />
	<input type=hidden name=Tipo value="<?php echo $_POST[Tipo] ?>"  />
	<input type=hidden name=DataInizioProg value="<?php echo $_POST[DataInizioProg] ?>"  />
	<input type=hidden name=DataFineProg value="<?php echo $_POST[DataFineProg] ?>"  />
	<input type=hidden name=NumOrdine value="<?php echo $_POST[NumOrdine] ?>"  />
	<input type=hidden name=AnnoOrdine value="<?php echo $_POST[AnnoOrdine] ?>"  />
	<input type=hidden name=stato_programmate value="<?php echo $_POST[stato_programmate] ?>"  />
</form>

<form name="frmRicerca" method="post" Paginazione>
	<?php PaginazioneCampiPerForm(20, 'jhp/ordini_prg/ricerca.php', 'lista-risultati-ricerca') ?>

	<input type=hidden name=VistoMP value="<?php echo $VistoMP ?>"  />
	<input type=hidden name=NumOrdine value="<?php echo $_POST[NumOrdine] ?>"  />
	<input type=hidden name=AnnoOrdine value="<?php echo $_POST[AnnoOrdine] ?>"  />
	<input type=hidden name=stato_programmate value="<?php echo $_POST[stato_programmate] ?>"  />
	<input type=hidden name=IdOrdineProgrammato value=""  />
	<input type=hidden name=IdVoce value=""  />

</form>

<script>

	PaginazioneRicercaA('frmRicerca', 'first');
	
	var g = {
		DataInizioProgStore: "<?php echo $DataInizioProgStore ?>",
		DataFineProgStore: "<?php echo $DataFineProgStore ?>",
		DataInizioOggiStore: "<?php echo $DataInizioOggiStore ?>",
		DataFineOggiStore: "<?php echo $DataFineOggiStore ?>"
	};
	
</script>

</body>
</html>