$(function () {
	$("*").dblclick(function(e){ e.preventDefault(); });
	caricaVettoriIngresso();
});


function caricaVettoriIngresso() {
    nascondiTabellaUscita();
    var result = jhp("jhp/edifici/ricerca_ingressi.php", jhp_frm(document.form1));

    if (result.state) {
		alert(result.message);
        console.log(result.message);
    } else {
        if (result.value == '') {
            Back2('index.php');
        } else {
            $('#elencoVettori').html(result.value);
        }
    }
}

/**
 * 
 * @returns {undefined}
 */
function nascondiTabellaUscita() {
    $('#tabellaUscita').hide();
}

/**
 * 
 * @param {type} frm
 * @returns {undefined}
 */
function calcolaCaricoBolla(frm) {
    var CaricoEpal = parseInt(frm.CaricoEpal.value);
    var ProprietaEpal = parseInt(frm.ProprietaEpal.value);
    var CaricoFustini = parseInt(frm.CaricoFustini.value);
    var ProprietaFustini = parseInt(frm.ProprietaFustini.value);
    var CaricoCasse = parseInt(frm.CaricoCasse.value);
    var ProprietaCasse = parseInt(frm.ProprietaCasse.value);
    var CaricoAltro = parseInt(frm.CaricoAltro.value);
    var ProprietaAltro = parseInt(frm.ProprietaAltro.value);
    if ($.isNumeric(CaricoEpal) && $.isNumeric(ProprietaEpal) && $.isNumeric(CaricoFustini) && $.isNumeric(ProprietaFustini) && $.isNumeric(CaricoCasse) && $.isNumeric(ProprietaCasse) && $.isNumeric(CaricoAltro) && $.isNumeric(ProprietaAltro)) {
        var somma = CaricoEpal + ProprietaEpal + CaricoFustini + ProprietaFustini + CaricoCasse + ProprietaCasse + CaricoAltro + ProprietaAltro;
        frm.CaricoBolla.value = somma;
    }
    var CaricoBolla = parseInt(frm.CaricoBolla.value);
    var CaricoControllato = parseInt(frm.CaricoControllato.value);
    if ($.isNumeric(CaricoBolla) && $.isNumeric(CaricoControllato)) {
        var DifferenzaCarico = CaricoControllato - CaricoBolla;
        frm.DifferenzaCarico.value = DifferenzaCarico;
    }
    if (DifferenzaCarico != 0) {
        frm.CaricoNonCorrispondente.value = 1;
    } else {
        frm.CaricoNonCorrispondente.value = 0;
    }
}

/**
 * 
 * @param {type} frm
 * @returns {undefined}
 */
function calcolaCaricoControllato(frm) {
    var VerificaEpal = parseInt(frm.VerificaEpal.value);
    var VerificaFustini = parseInt(frm.VerificaFustini.value);
    var VerificaCasse = parseInt(frm.VerificaCasse.value);
    var VerificaAltro = parseInt(frm.VerificaAltro.value);
    if ($.isNumeric(VerificaEpal) && $.isNumeric(VerificaFustini) && $.isNumeric(VerificaCasse) && $.isNumeric(VerificaAltro)) {
        var somma = VerificaEpal + VerificaFustini + VerificaCasse + VerificaAltro;
        frm.CaricoControllato.value = somma;
    }
    var CaricoBolla = parseInt(frm.CaricoBolla.value);
    var CaricoControllato = parseInt(frm.CaricoControllato.value);
    if ($.isNumeric(CaricoBolla) && $.isNumeric(CaricoControllato)) {
        var DifferenzaCarico = CaricoControllato - CaricoBolla;
        frm.DifferenzaCarico.value = DifferenzaCarico;
    }
    if (DifferenzaCarico != 0) {
        frm.CaricoNonCorrispondente.value = 1;
    } else {
        frm.CaricoNonCorrispondente.value = 0;
    }
}

/**
 * 
 * @param {type} frm
 * @returns {undefined}
 */
function setCaricoNonCorrispondente(frm) {

    if (frm.CaricoNonCorrispondente.value == 0) {
        frm.CaricoNonCorrispondente.value = 1;
    } else {
        frm.CaricoNonCorrispondente.value = 0;
    }

}

/**
 * 
 * @param {type} frm
 * @returns {undefined}
 */
function setBollaErrata(frm) {

    if (frm.BollaErrata.value == 0) {
        frm.BollaErrata.value = 1;
    } else {
        frm.BollaErrata.value = 0;
    }

}

/**
 * 
 * @param {type} frm
 * @returns {undefined}
 */
function setBollaMancante(frm) {

    if (frm.BollaMancante.value == 0) {
        frm.BollaMancante.value = 1;
    } else {
        frm.BollaMancante.value = 0;
    }

}

var objCodice = {
    jhpRoot: "jhp/registro_vettori/",
    CampiFormUscita:
            ['IdRegistroVettori'
                        , 'IdRegistroVettoriInOut'
                        , 'IdVettore'
                        , 'NomeVettore'
                        , 'Presa'
                        , 'TargaMotrice'
                        , 'Autista'
                        , 'TargaRimorchio'
                        , 'Shipment'
                        , 'Motivo'
                        , 'Note'
						
						, 'ProprietaEpal' 		
						, 'ProprietaAltro' 		
						, 'ProprietaCasse' 		
						, 'ProprietaFustini' 
						
						, 'CheckPatenteValida' 	 		
						, 'CheckAssMezzoValida' 					
            ],
    /**
     * 
     * @param {type} frm
     * @returns {undefined}
     */
    Reset: function (frm) {
        frm.IdRegistroVettori.value = '';
        frm.IdRegistroVettoriInOut.value = '';
        frm.reset();
    },
    /**
     * 
     * @returns {undefined}
     */
    RegistraUscita: function () {
	

	if (!(ConvalidaForm(document.frmRicerca2))) {
            alert('Completare Tutti i Campi Obbligatori');
            return;
        }	
	
        var result = jhp(this.jhpRoot + "registraUscita.php",
                jhp_frm(document.frmRicerca2));

        if (result.state) {
			alert(result.message);
            console.log(result.message);
        } else {
			alert("Operazione completata con successo!");
            this.Reset(document.frmRicerca2);
            caricaVettoriIngresso();
        }

    },
    /**
     * 
     * @param {type} frm
     * @returns {undefined}
     */
    AddDocScansionato: function (frm) {
        frm.action = "_upload_scansione_bolla.php";
        frm.target = "scaricoFoto";
        frm.submit();
    },
    SelRegistraUscita: function (Id) {
        $('#tabellaIngresso').hide();
        $('#tabellaUscita').show();
        var result = jhp(this.jhpRoot + "carica_form_uscita.php",
                {Id: Id});

        if (result.state) {
			alert(result.message);
            console.log(result.message);
        } else {
            var rs = result.value;
            var i, len = this.CampiFormUscita.length;

           /* for (i = 0; i < len; ++i) {
                document.frmRicerca2[this.CampiFormUscita[i]].value = rs[this.CampiFormUscita[i]];
		   }*/
		   
			for(i=0;i<len;++i)
				if ( document.frmRicerca2[this.CampiFormUscita[i]].type=="checkbox" )
					document.frmRicerca2[this.CampiFormUscita[i]].checked = rs[this.CampiFormUscita[i]]==1;
				else
					document.frmRicerca2[this.CampiFormUscita[i]].value = rs[this.CampiFormUscita[i]];	
				
			$("input[name=CheckPatenteValida]").attr("disabled",true);
			$("input[name=CheckAssMezzoValida]").attr("disabled",true);				
			$("input[type='checkbox']").checkboxradio("refresh");
			$('select').selectmenu('refresh');

			calcolaCaricoBolla(document.frmRicerca2);
			
			this.AddDocScansionato(document.frmRicerca2);
			
            window.scroll(0, 0);
        }
    }
};

/**
 * 
 * @param {str} action
 * @returns {void}
 */
function Back2(action) {
    document.form1.action = action;
    document.form1.submit();
}