<?php
session_start();
require_once('../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
require($_SERVER['DOCUMENT_ROOT'].'/repository/php/get_string_between.php'); 
   
$codice = $_POST[codice];
 
$arrayToken = explode("#", $codice); 


$CodiceAssEdificio = strtoupper($arrayToken[0]); 
 
//cerchiamo commessa ed edificio
$CommessaT =  get_string_between($CodiceAssEdificio, "C", "E"); 
$EdificioT = substr($CodiceAssEdificio, strpos($CodiceAssEdificio, "E") + 1);    
 

if(!is_numeric($CommessaT)||!is_numeric($EdificioT)) 
	ntxmsgerr("ATTENZIONE: commessa o edificio non numeri interi!\nSei sicuro di aver letto il codice QR giusto?\n\nHai letto: $CodiceAssEdificio");

$IdCommessaT = (int)$CommessaT;
$IdEdificioT = (int)$EdificioT; 

$sql = <<<_SQL
SELECT   DISTINCT
	ElencoEdifici.ID AS IdEdificio   
	
	,ElencoEdifici.IdCommessa 
	
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	Dismesso 
	
	,ElencoEdifici.IdProprietario  
	,tblPgContratti.IdPgContratto 
FROM         
	ElencoEdifici   
	
	INNER JOIN
	tblPgPropietari ON tblPgPropietari.IdPropietario = ElencoEdifici.IdProprietario   	
	
	INNER JOIN
	tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID	
	
	INNER JOIN
	tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto 
	
WHERE  
	ElencoEdifici.IdCommessa = $IdCommessaT
	AND ElencoEdifici.ID = $IdEdificioT   
_SQL;

$rs = ntxRecord(ntxQuery($sql)); 

if($rs==null)
	ntxmsgerr("ATTENZIONE: nessun edificio e' stato trovato nel database!\nSei sicuro di aver letto il codice QR giusto?\n\nHai letto: $CodiceAssEdificio");

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);

$html[IdEdificioSelect]="$html[IdCommessa],$html[IdEdificio],$html[Dismesso]";

$result[dati] = $html;
$result[ora] = ntxDateTime(ntxScalar("SELECT getdate()"));

jhp($result);
?>