<?php

$IdAffidatario = "";

$IdMestiere = $_POST[IdMestiere];
$IdComponenteMestiere = $_POST[IdComponenteMestiere];
$IdAttivitàMestiere = $_POST[IdAttivitàMestiere];

$DataRichiesta = ntxtp('DataRichiesta');

$numAffidatari =  ntxScalar("SELECT COUNT(*) FROM  tblPgAffidatari");

if($numAffidatari==1) // se esiste un solo affidatario
{
	$IdAffidatario = ntxScalar("SELECT TOP 1 IdAffidatario FROM  tblPgAffidatari");
}
elseif($numAffidatari>1)
{
	for($i=1;$i<2;++$i) // un singolo ciclo per poter usare il comando break per saltare all'uscita 
	{
		if ( is_numeric($IdAttivitàMestiere) )
		{
			$sql = <<< sql
				SELECT TOP 1    contratto.IdAffidatario
				FROM         tblPgContrattiAffidatariAttivitàEdifici AS consistenza INNER JOIN
									  tblPgContrattiAffidatari AS contratto 
									  ON consistenza.IdPgContrattoAffidatario = contratto.IdPgContrattoAffidatario
				WHERE     (consistenza.IdCommessa = $IdCommessa) 
					AND (consistenza.IdEdificio = $IdEdificio) 
					AND (consistenza.IdAttivitàMestiere = $IdAttivitàMestiere) 
					AND (contratto.Aperto = 1) 
					AND (contratto.DataInizio <= $DataRichiesta) 
					AND (contratto.DataFine >= $DataRichiesta)			
sql;
			$IdAffidatario = ntxScalar($sql)."";
		}

		if ( is_numeric($IdAffidatario) ) break;
		
		if ( is_numeric($IdComponenteMestiere) )
		{
			$sql = <<< sql
			SELECT     TOP (1) contratto.IdAffidatario
			FROM         tblPgContrattiAffidatariAttivitàEdifici AS consistenza INNER JOIN
								  tblPgContrattiAffidatari AS contratto 
								  ON consistenza.IdPgContrattoAffidatario = contratto.IdPgContrattoAffidatario INNER JOIN
								  tblAttivitàMestiere AS Attività 
					  ON consistenza.IdCommessa = Attività.IdCommessa AND consistenza.IdAttivitàMestiere = Attività.IdAttivitàMestiere
				WHERE     (consistenza.IdCommessa = $IdCommessa) 
					AND (consistenza.IdEdificio = $IdEdificio) 
					AND (Attività.IdComponenteMestiere = $IdComponenteMestiere) 
					AND (contratto.Aperto = 1) 
					AND (contratto.DataInizio <= $DataRichiesta) 
					AND (contratto.DataFine >= $DataRichiesta)			
sql;
			$IdAffidatario = ntxScalar($sql)."";
		}

		if ( is_numeric($IdAffidatario) ) break;
		
		if ( is_numeric($IdMestiere) )
		{
			$sql = <<< sql
				SELECT TOP 1    contratto.IdAffidatario
				FROM         tblPgContrattiAffidatariAttivitàEdifici AS consistenza INNER JOIN
                      tblPgContrattiAffidatari AS contratto ON consistenza.IdPgContrattoAffidatario = contratto.IdPgContrattoAffidatario INNER JOIN
                      tblAttivitàMestiere AS Attività ON consistenza.IdCommessa = Attività.IdCommessa AND consistenza.IdAttivitàMestiere = Attività.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON Attività.IdCommessa = tblComponetiMestiere.IdCommessa AND Attività.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
				WHERE     (consistenza.IdCommessa = $IdCommessa) 
					AND (consistenza.IdEdificio = $IdEdificio) 
					AND (tblComponetiMestiere.IdMestiere = $IdMestiere) 
					AND (contratto.Aperto = 1) 
					AND (contratto.DataInizio <= $DataRichiesta) 
					AND (contratto.DataFine >= $DataRichiesta)			
sql;
			$IdAffidatario = ntxScalar($sql)."";
		}
	}
}

?>