<?php

if ( !$_SESSION ) session_start();

require_once("../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdUtente = ntxise('IdUtente');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa');
 
$IdCommessa = $_POST[IdCommessa];
$IdEdificio = $_POST[IdEdificio];  
$optionNulla = $_POST[optionNulla];

$table = "";
 
 
if ( is_numeric($optionNulla) && $optionNulla==1 )
	$table .= <<< table
		<option value="" >&nbsp;
table;
  
 
 

$where="";	 
if ( is_numeric($_POST['LocalizzazioniAttivi'])  &&  $_POST['LocalizzazioniAttivi']==1 )
{
	$where .= " AND (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())  ";
}


$sql = <<< sql
SELECT  DISTINCT   
	ElencoEdifici.IdCommessa
	,ElencoEdifici.ID
	,ElencoEdifici.EdificioBreve 
	,ElencoEdifici.Indirizzo  
	,ElencoEdifici.CITTA AS Citta  
	,ElencoEdifici.Località	
	
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	Dismesso 
	
FROM         
	tblPgContrattiPropietariGestoriAttivitàEdifici 
	INNER JOIN
	tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto INNER JOIN
	ElencoEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
	tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID
	
	INNER JOIN 
	(	
		SELECT DISTINCT 
			tblPgContratti.IdPgContratto
		FROM         
			Utenti INNER JOIN
			UtentiRifAffidatari ON Utenti.Id = UtentiRifAffidatari.IdUtente INNER JOIN
			tblPgContrattiRifAffidatari INNER JOIN
			tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
			tblPgContrattiRifAffidatariAttivitàEdifici ON 
			tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario AND 
			tblPgContrattiRifAffidatari.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa ON 
			UtentiRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario INNER JOIN
			tblComponetiMestiere INNER JOIN
			tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
			tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere ON 
			tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
			tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
			INNER JOIN
			tblPgContratti ON tblPgContrattiAffidatari.IdPgContratto = tblPgContratti.IdPgContratto
		WHERE     
			1=1
			AND tblPgContratti.Aperto=1
			AND tblPgContrattiAffidatari.Aperto=1	
	) contratti
	ON tblPgContratti.IdPgContratto=contratti.IdPgContratto	
	
	INNER JOIN
	RisorseEdifici ON ElencoEdifici.IdCommessa = RisorseEdifici.IdCommessa AND ElencoEdifici.ID = RisorseEdifici.IdEdificio  
	
	
	INNER JOIN
	PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio 
	
	INNER JOIN
	Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND PianoLivello.idPiano = Ambiente.IdLivello 
	
	INNER JOIN
	ComponentiAmbiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente  	
	
WHERE     
	RisorseEdifici.IdRisorsa = $IdRisorsa 
	AND ComponentiAmbiente.TagNFC = 1
	$where
ORDER BY 
	ElencoEdifici.EdificioBreve
sql;
  
//ntxmsgerr($sql);
$query = ntxQuery($sql);

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$selected = $rs[IdCommessa]==$IdCommessa  &&  $rs[ID]==$IdEdificio ? "selected" : "";
	  
	$labelDismesso = '';
	$style = '';
	if($html[Dismesso]==1)
	{
		$labelDismesso = '[DISMESSO]';
		$style=' style="background:red;color:white;" ';	
	}
	
	$table .= <<< table
	<option value="$html[IdCommessa],$html[ID],$html[Dismesso]" $selected $style >$labelDismesso $html[EdificioBreve] - $html[Località] $html[Indirizzo]
table;
}


jhp($table);

?>
