<?php
session_start();
require_once('../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
 
$IdRisorsa = ntxise('IdRisorsa'); 
$IdDitta = ntxise('IdDitta');

$IdCommessa = ntxip('IdCommessa'); 
$IdEdificio = ntxip('IdEdificio');
$IntervalloTempo = ntxip('IntervalloTempo');
$idPiano = ntxip('idPiano');
 
$where = ''; 
 
if($IntervalloTempo==1)
{ 
	$oggi = ntxt(ntxDate(ntxScalar("SELECT getdate()"))." 23:59");  
	
	$where .= <<< sql
	AND Ordini.DataInizioProg <= $oggi
sql;
} 
else if($IntervalloTempo==2)
{
	$oggiPiuSette = ntxt(ntxDate(ntxScalar("SELECT DATEADD(day,7,getdate())"))." 23:59");
	
	$where .= <<< sql
	AND Ordini.DataInizioProg <= $oggiPiuSette
sql;
}

if ( strlen($_POST['IdComponentiAmbiente_TipoMP1'])>0 ) 
{
	$ArrayValori = explode(",",$_POST[IdComponentiAmbiente_TipoMP1]); 
  
	foreach($ArrayValori as $VoceValore)
	{ 
		$VoceValore = explode("#",$VoceValore);  
		
		$IdCommessa = $VoceValore[0];
		$IdEdificio = $VoceValore[1];
		$IDComponente = $VoceValore[2]; 
	 
	 
		if(is_numeric($IdCommessa) && is_numeric($IdEdificio) && is_numeric($IDComponente))
		{
			$where .= <<<_HTML
			AND ComponentiAmbiente.IdCommessa = $IdCommessa
			AND ComponentiAmbiente.IdEdificio = $IdEdificio
			AND ComponentiAmbiente.IDComponente	 = $IDComponente		
_HTML;
		}
	} 	 
}   
 
 
 
 
$sql = <<< sql
SELECT 
	Ordini.IDCommessa, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.IdOrd
	,tblOrdiniPrgComp.IdOrdineProgrammato
	,tblOrdiniPrgComp.IdOrdPrgComp
	,tblOrdiniPrgComp.dataInizioProg, tblOrdiniPrgComp.dataFineProg

	,tblOrdiniPrgComp.Aperto 
	,tblOrdiniPrgComp.Eseguito
	,tblOrdiniPrgComp.Annullato 
	,tblOrdiniPrgComp.Anomalia 	 
	
	,tblOrdiniPrgComp.dataInizio
	
	
	,TipoComponente.IDTipoComponente,TipoComponente.DesComponente 
	,tblAttivitMestiere.IdCommessa AS AttMest_IdCommessa, tblAttivitMestiere.IdAttivitMestiere AS AttMest_Id
	,tblAttivitMestiere.codice AS AttCod, tblAttivitMestiere.Descrizione AS AttDes
	,tblMestieri.codice AS MestCod, tblMestieri.Descrizione AS MestDes
	,ComponentiAmbiente.DesComponente AS ComponentiAmbienteDes
	,ComponentiAmbiente.CodiceComponente
	
	,ComponentiAmbiente.IdCommessa AS CompAmb_IdCommessa, ComponentiAmbiente.IdEdificio AS CompAmb_IdEdificio, ComponentiAmbiente.IDComponente AS CompAmb_IdComponente
	
	,(
		SELECT COUNT(EN_Voci2Testate.IdVoce) AS Expr1
		FROM  
			EN_Testata2AttivitaMest 
			INNER JOIN
			EN_Voci2Testate ON EN_Testata2AttivitaMest.IdTestata = EN_Voci2Testate.IdTestata			
		WHERE	
			 EN_Testata2AttivitaMest.IdCommessaAttMest = tblAttivitMestiere.IdCommessa  
			 AND tblAttivitMestiere.IdAttivitMestiere = EN_Testata2AttivitaMest.IdAttivitaMestiere 
	) AS VociChecklist 
	,(
		SELECT COUNT(EN_Risposte.ID) AS Expr1
		FROM 
			EN_Testata2AttivitaMest 
			INNER JOIN
			EN_Voci2Testate ON EN_Testata2AttivitaMest.IdTestata = EN_Voci2Testate.IdTestata	
			INNER JOIN
			EN_Risposte ON EN_Risposte.IdTestata = EN_Voci2Testate.IdTestata AND EN_Risposte.IdVoce = EN_Voci2Testate.IdVoce
		WHERE
			EN_Testata2AttivitaMest.IdCommessaAttMest = tblAttivitMestiere.IdCommessa  
			AND tblAttivitMestiere.IdAttivitMestiere = EN_Testata2AttivitaMest.IdAttivitaMestiere 		
			
			AND EN_Risposte.IdCommessaOrdPrgComp = tblOrdiniPrgComp.IdCommessa
			AND EN_Risposte.IdOrdPrgComp = tblOrdiniPrgComp.IdOrdPrgComp
			AND LEN(EN_Risposte.Risposta) > 0
		
	) AS RispostaCheck_Compilate

FROM
	PianoLivello INNER JOIN
	ComponentiAmbiente INNER JOIN
	Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
	ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
	tblOrdiniPrgComp ON ComponentiAmbiente.IdCommessa = tblOrdiniPrgComp.IdCommessa AND ComponentiAmbiente.IdEdificio = tblOrdiniPrgComp.IdEdificio AND
	ComponentiAmbiente.IDComponente = tblOrdiniPrgComp.IdComponente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND 
	PianoLivello.IdEdificio = Ambiente.IdEdificio AND PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
	tblOrdiniProgrammati ON tblOrdiniProgrammati.IdCommessa = tblOrdiniPrgComp.IdCommessa AND 
	tblOrdiniProgrammati.IdOrdineProgrammato = tblOrdiniPrgComp.IdOrdineProgrammato INNER JOIN
	Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
	tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
	TipoComponente ON ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente AND 
	ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa 
	
	INNER JOIN
	tblAttivitMestiere ON tblOrdiniPrgComp.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere AND 
	tblOrdiniPrgComp.IdCommessa = tblAttivitMestiere.IdCommessa INNER JOIN
	tblComponetiMestiere ON tblAttivitMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
	tblAttivitMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
	tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
WHERE  
	Ordini.Assegnazione = $IdDitta
	AND Ordini.GradoUrgenza = 'MP' 
	AND
	(
		Ordini.IdCommessa = $IdCommessa
		AND Ordini.CodEdificio = $IdEdificio 
	)	 
	
	AND 
	( 
		Ordini.StatoOrd = 35 
		OR 
		Ordini.StatoOrd = 37 
		OR 
		Ordini.StatoOrd = 40 
	) 
	
	AND 
	(
		(
			tblOrdiniPrgComp.IdRisorsa = $IdRisorsa 
			AND
			(
				tblOrdiniPrgComp.Aperto = 1
				AND tblOrdiniPrgComp.Eseguito <> 1 
				AND tblOrdiniPrgComp.Annullato <> 1 
				AND tblOrdiniPrgComp.Anomalia <> 1 		
			)
		)
		OR
		(
			tblOrdiniPrgComp.IdRisorsa IS NULL
			AND
			(
				tblOrdiniPrgComp.Aperto = 0
				AND tblOrdiniPrgComp.Eseguito <> 1 
				AND tblOrdiniPrgComp.Annullato <> 1 
				AND tblOrdiniPrgComp.Anomalia <> 1 		
			)
		)	 
	)	 
	
	AND PianoLivello.idPiano = $idPiano 
	AND ISNULL(Ordini.TipoMP,0) IN (1)   
	
	$where

ORDER BY
	CASE
	   WHEN tblOrdiniPrgComp.Aperto = 1 THEN 0
	   ELSE 1
	END ASC  

	,dataInizioProg
	,dataFineProg 
	,DesComponente
	,ComponentiAmbienteDes
	,CodiceComponente
sql;
//ntxmsgerr(print_r($_POST)); 
//ntxmsgerr($sql); 
$query = ntxQuery($sql); 

require('../color.php'); 

$tbl = "";
while ($rs=ntxRecord($query))
{ 
	$rs[IdCommessa] = (int)$rs[IDCommessa];
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine];
	$rs[dataInizioProg] = ntxDate($rs[dataInizioProg]);
	$rs[dataFineProg] = ntxDate($rs[dataFineProg]);
	$rs[dataInizio] = ntxDateTimeAndSecond($rs[dataInizio]);
	$rs[datafine] = ntxDateTime($rs[datafine]);	
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
		
	$btnChecklist='';	
	$disCheckBnt = ' disabled="disabled" ';
	$disCheckBit = ''; 

	/*
	if(strlen($_POST[DataInizio])==0) //check di selezione abilitata se c' DataInizio
		$disCheckBit = ' disabled="disabled" ';	 
	*/	
	
	$COLOREBACK='';  
	$ETICHETTA='';   
	$bntLascia = "";
	$bntInizia = "";
	
	if($rs[Aperto]==1) 
	{
		$COLOREBACK=$Aperto;
		$ETICHETTA='Aperto';
		
		$bntLascia = <<<_HTML
		<input 
			type="button" 
			value="Lascia"   
			onclick="LasciaPrd( '$html[IdCommessa]', '$html[IdOrdPrgComp]', '$html[IdOrd]' )"  
		/> 	
_HTML;

		$disCheckBnt = '';
	}
	else
	{
		$disCheckBnt = ' disabled="disabled" ';
		
		$bntInizia = <<<_HTML
		<input 
			type="button" 
			value="Inizia"   
			onclick="inizioLavoro_Singolo_TipoMP1( '$html[IdCommessa]', '$html[IdOrdPrgComp]', '$html[IdOrd]' )"  
		/> 	
_HTML;
	}
	
	
	if($rs[Anomalia]==1) 
	{
		$COLOREBACK=$Anomalia;
		$ETICHETTA='Anomalia';
	}
	
	if($rs[Annullato]==1) 
	{
		$COLOREBACK=$Annullato; 
		$ETICHETTA='Annullato';
	}
	
	if($rs[Eseguito]==1) 
	{
		$COLOREBACK=$Eseguito;
		$ETICHETTA='Eseguito';
	}
	
	
	
	if($rs[VociChecklist]>0) //check di selezione abilitata se c' non c' la checklist
	{
		$btnChecklist = <<<_HTML
		<input 
			type="button" 
			value="Checklist"   
			onclick="ChecklistPrd( '$html[IdCommessa]', '$html[IdOrdPrgComp]', '#page_TipoMP1' )" 
			$disCheckBnt
		/> 
_HTML;
		if($rs[VociChecklist]==$rs[RispostaCheck_Compilate]) //se la checklist  stata tutta compilata
			$disCheckBit = '';
	}
	

	
	$tbl .= <<<_HTML
	<div  class="ui-body ui-body-a ui-corner-all Risultato" style="margin-bottom:5px;background:$COLOREBACK;" >  
	 
			<div style="width:100%;text-align:right;font-style:italic;text-transform:uppercase;letter-spacing:2px;" >	 
			$ETICHETTA  $html[dataInizio]  
	 		</div>	 
	 
			<div style="display:inline-block; width:47%;font-weight:bold;" >
			OMP $html[NumOrdine]-$html[AnnoOrdine]-$html[IdCommessa]
			</div>
			 
			 
			<div style="display:inline-block; width:47%; font-style:italic; text-align:right;font-weight:bold;" >
			PRD $html[IdCommessa]-$html[IdOrdPrgComp] 
			</div> 
				
			<div class="RisultatiTitolo" >Mestiere</div>
			$html[MestCod] $html[MestDes] 
				
			<div class="RisultatiTitolo" >DataInizioP - DataFineP</div>
			$html[dataInizioProg] - $html[dataFineProg]  		
				
			<div class="RisultatiTitolo" >Tipo Comp</div>
			$html[DesComponente] 
				
			<!--	
			<div class="RisultatiTitolo" >CodComp</div>
			$html[CodiceComponente] 
			-->
				
			<div class="RisultatiTitolo" >DescComp</div>
			$html[ComponentiAmbienteDes] 
				
			<br>	
				
			<div class="RisultatiTitolo" >Attivit</div>
			$html[AttDes]  
 
	 
		
		<input 
			type="button" 
			value="Mostra scheda componente" 
			class="ui-btn ui-btn-b"
			onclick="dettaglioComponenteAmbiente( '$html[CompAmb_IdCommessa]', '$html[CompAmb_IdEdificio]', '$html[CompAmb_IdComponente]', '#page_TipoMP1' )" 
		/>		
		
		<div class="ui-grid-a" >
		
			<div class="ui-block-a">
				$btnChecklist
			</div>
			
			<div class="ui-block-b">  
					<input 
						type="button" 
						value="Anomalia"   
						onclick="Anomalia_TipoMP1( '$html[IdOrd]', '$html[IdCommessa]', '$html[IdOrdPrgComp]', '#page_TipoMP1' )"  
					/>
			</div> 
			
		</div>	
		
		<div class="ui-grid-a" >
		
			<div class="ui-block-a"> 
				$bntInizia
				$bntLascia
			</div>
			
			<div class="ui-block-b">  
				<label>
					<input 
						type="checkbox"
						class="chkOrdPrgComp" 
						
						IdOrd="$html[IdOrd]"
						IdCommessa="$html[IdCommessa]"
						IdOrdPrgComp="$html[IdOrdPrgComp]"
						 
						data-iconpos="right" 
						$disCheckBit
					>&nbsp;
				</label> 
			</div> 
			
		</div>		 
		
	</div>
_HTML;
}   
 
$res[tbl] = $tbl; 

jhp($res);
?>