<?php
session_start();
require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
 
$IdUtente = ntxise('IdUtente');
$IdRisorsa = ntxise('IdRisorsa');
$Note = ntxsp('Note');

$conRichiesta = true; //IMPORTANTE
 
$ArrayIdOrdineProgrammato = ""; 
$where = ""; 
 
$ArrayValori = explode(",",$_POST[ArrayIdOrdineProgrammato]); 

if(count($ArrayValori)!=1) die("Selezionare un solo odl!");

foreach($ArrayValori as $VoceValore)
{ 
	$VoceValore = explode("#",$VoceValore);  
	 
	$IdCommessa = $VoceValore[0];
	$IdOrdineProgrammato = $VoceValore[1];  
 
	if(is_numeric($IdCommessa) && is_numeric($IdOrdineProgrammato))
	{
		if ($where != "")
			$where .= " OR ";
		else
			$where = " AND (";
		
		$where .= " tblOrdiniProgrammati.IdCommessa=$IdCommessa AND tblOrdiniProgrammati.IdOrdineProgrammato=$IdOrdineProgrammato ";	
		
		
		if($ArrayIdOrdineProgrammato!="") $ArrayIdOrdineProgrammato.=",";
		
		$ArrayIdOrdineProgrammato.="$IdOrdineProgrammato";
	}
}  
 
if ($where != "")
	$where .= ")";

 
if($where=='') ntxmsgerr("Selezionare uno o pi ordini!");


$sql = <<<_SQL
SELECT DISTINCT IdRisorsa
FROM         
	tblOrdiniProgrammati 
WHERE 
	1=1
	$where	
_SQL;
$query = ntxQuery($sql);

while($rs = ntxRecord($query))
{
	if(!is_numeric($rs[IdRisorsa]) || $rs[IdRisorsa]==$IdRisorsa) 
	{}
	else 
		ntxmsgerr("Impossibile continuare! L'ordine  gestito da un'altra risorsa.");
} 
 

 
$sql = <<< sql
SELECT count(IdCommessa) AS cont
FROM
(
	SELECT DISTINCT 
		tblOrdiniProgrammati.IdCommessa
	FROM         
		tblOrdiniProgrammati 
	WHERE 
		1=1
		$where		
) AS A1
sql;
$rs = ntxRecord(ntxQuery($sql));
$cont = $rs[cont];
if($cont!=1) ntxmsgerr("Odl appartenenti a pi commesse!");
 
$sql = <<< sql
SELECT count(IdEdificio) AS cont
FROM
(
	SELECT DISTINCT 
		tblOrdiniProgrammati.IdEdificio
	FROM         
		tblOrdiniProgrammati 
	WHERE 
		1=1
		$where		
) AS A1
sql;
$rs = ntxRecord(ntxQuery($sql));
$cont = $rs[cont];
if($cont!=1) ntxmsgerr("Odl con edifici differenti!");
 
 
 
$ListaIdOrdiniProgrammati = ntxs($ArrayIdOrdineProgrammato); 
  
 
 
$sql = <<< sql
SELECT DISTINCT 
	tblOrdiniProgrammati.IdCommessa 
	,tblOrdiniProgrammati.IdEdificio 
FROM         
	tblOrdiniProgrammati  
WHERE 
	1=1
	$where
sql;
$rs = ntxRecord(ntxQuery($sql));
$IdCommessa = $rs[IdCommessa];
$IdEdificio = $rs[IdEdificio];


$ListaIdOrdiniProgrammatiArray = explode(",", $ArrayIdOrdineProgrammato);
 

$sql = <<< sql
select count(*) FROM (
SELECT DISTINCT tblComponetiMestiere.IdMestiere
FROM         tblOrdiniProgrammati INNER JOIN
                      dbo.SplitId($ListaIdOrdiniProgrammati) AS a ON tblOrdiniProgrammati.IdOrdineProgrammato = a.id INNER JOIN
                      tblAttivitMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa)) b
sql;

$count = ntxScalar($sql);

if ( $count>1 ) jhp_error('Attivit selezionate su pi mestieri!');
if ( $count==0 ) jhp_error('Nessuna attivit selezionata!');
 
$sql = <<< sql
SELECT top 1 
	tblComponetiMestiere.IdMestiere
	,tblAttivitMestiere.IdComponenteMestiere
	,tblOrdiniProgrammati.IdAttivitMestiere
FROM         tblOrdiniProgrammati INNER JOIN
                      dbo.SplitId($ListaIdOrdiniProgrammati) AS a ON tblOrdiniProgrammati.IdOrdineProgrammato = a.id INNER JOIN
                      tblAttivitMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa)
sql;
$rs = ntxRecord(ntxQuery($sql));
$IdMestiere = $rs[IdMestiere];
$IdComponenteMestiere = $rs[IdComponenteMestiere]; 
$IdAttivitMestiere = $rs[IdAttivitMestiere];  



$ArrayCompAmbAnomalia = explode("#", $_POST[IdCompAmbAnomalia]);  
$IdComponenteAmbiente = $ArrayCompAmbAnomalia[2];

$IdPiano = 'null';
$IdAmbiente = 'null';
$IdComponenteAmbiente = 'null';
	
if(is_numeric($IdComponenteAmbiente))
{
	$sql = <<< sql
	SELECT DISTINCT Ambiente.IDAmbiente, Ambiente.IdLivello
	FROM         ComponentiAmbiente INNER JOIN
						  Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
						  ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
	WHERE     
		(ComponentiAmbiente.IDCommessa = $IdCommessa) 
		AND (ComponentiAmbiente.IdEdificio = $IdEdificio)  
		AND (ComponentiAmbiente.IDComponente = $IdComponenteAmbiente) 
sql;
	$rs = ntxRecord(ntxQuery($sql));
	$IdPiano = $rs['IdLivello']; 
	$IdAmbiente = $rs['IDAmbiente']; 
}

 

 
$sql1 = "INSERT INTO AnomalieOrdiniProgrammati (";	$sql2 = " VALUES (";

$sql1 .= "IdCommessa";				$sql2 .= $IdCommessa.", ";

$sql1 .= ", [Note]";				$sql2 .= $Note.", ";

$sql1 .= ", Data";					$sql2 .= "GETDATE(), ";

$sql1 .= ", Utente";				$sql2 .= ntxs($_SESSION['Utente']).", ";

$sql1 .= ", IdMestiere";			$sql2 .= $IdMestiere.", ";
$sql1 .= ", IdComponenteMestiere";	$sql2 .= $IdComponenteMestiere.", ";

$sql1 .= ", IdEdificio";			$sql2 .= $IdEdificio.", ";

$sql1 .= ", IdPiano";				$sql2 .= $IdPiano.", ";
$sql1 .= ", IdAmbiente";			$sql2 .= $IdAmbiente.", ";
$sql1 .= ", IdComponenteAmbiente)";	$sql2 .= $IdComponenteAmbiente.")";

ntxQuery($sql1.$sql2);

$IdAnomalia = ntxScalar("SELECT @@IDENTITY;");

if ( is_numeric($IdAnomalia) ) 
{
	for ( $i=0; $i<count($ListaIdOrdiniProgrammatiArray); $i++ )
	{
		$IdOrdineProgrammato = $ListaIdOrdiniProgrammatiArray[$i];
		 	
		$sql = <<< sql
		UPDATE tblOrdiniProgrammati 
		
		SET 
			Annullato=0, 
			Eseguito=1, 
			Anomalia=1, 
			IdAnomalia=$IdAnomalia,
			IdRisorsa=$IdRisorsa 
		
		WHERE IdCommessa=$IdCommessa AND IdOrdineProgrammato=$IdOrdineProgrammato
sql;
		ntxQuery($sql);		 
	}
}

if ($conRichiesta) include('notifica_anomalia-richiesta.inc');
 

include('setta_prg_e_mp.inc');

jhp_ok();
?>