<?php
session_start();
require_once('../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
 
$IdRisorsa = ntxise('IdRisorsa'); 
$IdDitta = ntxise('IdDitta');  
$IdCommessa = 'x';
$IdOrdineProgrammato = 'x';
 
 
$ArrayValori = explode(",",$_POST[ArrayIdOrdineProgrammato]); 
 
if(count($ArrayValori)!=1) die("Selezionare un solo odl!");

foreach($ArrayValori as $VoceValore)
{ 
	$VoceValore = explode("#",$VoceValore);  
	 
	$IdCommessa = $VoceValore[0];
	$IdOrdineProgrammato = $VoceValore[1];  
 
	if(is_numeric($IdCommessa) && is_numeric($IdOrdineProgrammato))
	{
	}
	else
		ntxmsgerr("IdCommessa o IdOrdineProgrammato non numeri interi!");
}   


 
 
$sql = <<< sql
SELECT DISTINCT
	ElencoEdifici.Codice, ElencoEdifici.EdificioBreve
	, tblMestieri.codice AS MestCod, tblMestieri.Descrizione AS MestDes
FROM  
	tblOrdiniProgrammati 
	INNER JOIN
	Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
	tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine	
	INNER JOIN
	tblAttivitMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitMestiere.IdCommessa AND 
	tblOrdiniProgrammati.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere INNER JOIN
	tblComponetiMestiere ON tblAttivitMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
	tblAttivitMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
	tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
	ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID
WHERE 
	tblOrdiniProgrammati.IdCommessa = $IdCommessa
	AND tblOrdiniProgrammati.IdOrdineProgrammato = $IdOrdineProgrammato
sql;
$query = ntxQuery($sql);
 
$tbl=""; 
while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	 
	$tbl .= <<<_HTML
	<i>Localizz:</i> $html[EdificioBreve] 
	
	<br>
	
	<i>Mestiere:</i> $html[MestDes] 
_HTML;
}

$res[Titolo] = $tbl;
      
 
 
$sql = <<<_SQL
SELECT 
	ComponentiAmbiente.IdCommessa, ComponentiAmbiente.IdEdificio, ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceComponente, ComponentiAmbiente.DesComponente
	,TipoComponente.DesComponente AS TipoComponente 
FROM  
	tblOrdiniProgrammati 
	INNER JOIN
	Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
	tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine	
	INNER JOIN
	tblAttivitMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitMestiere.IdCommessa AND 
	tblOrdiniProgrammati.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere INNER JOIN
	tblComponetiMestiere ON tblAttivitMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
	tblAttivitMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere LEFT OUTER JOIN
	AttivitMestTipiComp ON tblAttivitMestiere.IdCommessa = AttivitMestTipiComp.IdCommessaAttivit AND 
	tblAttivitMestiere.IdAttivitMestiere = AttivitMestTipiComp.IdAttivitMestiere LEFT OUTER JOIN
	TipoComponente ON AttivitMestTipiComp.IdCommessaTipoComp = TipoComponente.IdCommessa AND 
	AttivitMestTipiComp.IdTipoComp = TipoComponente.IDTipoComponente LEFT OUTER JOIN
	ComponentiAmbiente ON TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente AND 
	TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa
WHERE 
	tblOrdiniProgrammati.IdCommessa = $IdCommessa
	AND tblOrdiniProgrammati.IdOrdineProgrammato = $IdOrdineProgrammato
ORDER BY
	TipoComponente ASC
	,DesComponente ASC 	
_SQL;
$query = ntxQuery($sql);
 
$tbl = " <select> "; 
$tbl .= ' <option value="" > Sel. componente </option>';
while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$tbl .= <<<_HTML
	<option value="$html[IdCommessa]#$html[IdEdificio]#$html[IDComponente]" > $html[TipoComponente] - $html[DesComponente]  - $html[NumAttivita] 
_HTML;
}
$tbl .= " </select> ";  

$res[IdCompAmbAnomalia] = $tbl;



jhp($res);
?>
