<?php
session_start();
require_once('../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
 
$IdRisorsa = ntxise('IdRisorsa'); 
$IdDitta = ntxise('IdDitta'); 
 
$res = '';   

$Numero = 0;

$where = "";	
	
$ArrayValori = explode(",",$_POST[ArrayIdOrdineProgrammato]); 

if(count($ArrayValori)==0) die("Nessun ordine selezionato!");

foreach($ArrayValori as $VoceValore)
{ 
	$VoceValore = explode("#",$VoceValore);  
	 
	$IdCommessa = $VoceValore[1];
	$IdOrdineProgrammato = $VoceValore[2]; 
 
 
	if(is_numeric($IdCommessa) && is_numeric($IdOrdineProgrammato))
	{
		if ($where != "")
			$where .= " OR ";
		else
			$where = " AND (";
		
		$where .= " tblOrdiniProgrammati.IdCommessa=$IdCommessa AND tblOrdiniProgrammati.IdOrdineProgrammato=$IdOrdineProgrammato ";		 
		
		++$Numero;
	}
}  

if ($where != "")
	$where .= ")";
 
 
 
$sql = <<< sql
SELECT  DISTINCT   
	ElencoEdifici.IdCommessa, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.EdificioBreve
	,tblPgPropietari.Nome AS Propietario 
	,tblAttivitMestiere.codice AS AttCod, tblAttivitMestiere.Descrizione AS AttDes
	,tblComponetiMestiere.codice AS CompCod, tblComponetiMestiere.Descrizione AS CompDes
	,tblMestieri.codice AS MestCod, tblMestieri.Descrizione AS MestDes	
	
	,tblOrdiniProgrammati.IdCommessa
	,tblOrdiniProgrammati.IdOrdineProgrammato
FROM  
	tblOrdiniProgrammati INNER JOIN
	Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
	tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
	tblAttivitMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitMestiere.IdCommessa AND 
	tblOrdiniProgrammati.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere INNER JOIN
	tblComponetiMestiere ON tblAttivitMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
	tblAttivitMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario INNER JOIN
	tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
	AttivitMestTipiComp ON tblAttivitMestiere.IdCommessa = AttivitMestTipiComp.IdCommessaAttivit AND 
	tblAttivitMestiere.IdAttivitMestiere = AttivitMestTipiComp.IdAttivitMestiere LEFT OUTER JOIN
	TipoComponente ON AttivitMestTipiComp.IdCommessaTipoComp = TipoComponente.IdCommessa AND 
	AttivitMestTipiComp.IdTipoComp = TipoComponente.IDTipoComponente LEFT OUTER JOIN
	ComponentiAmbiente ON TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente AND 
	TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa
WHERE 
	1=1
	$where
ORDER BY
	EdificioBreve
	,MestDes
	,CompDes
	,AttDes
sql;
 
$query = ntxQuery($sql);


$OldLocaliz = "";
$OldMest = ""; 
$OldComp = ""; 
$OldAtt = ""; 
while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	
	$Localiz = $html[EdificioBreve];
	$Mest = $html[MestDes]; 
	$Comp = $html[CompDes]; 
	$Att = $html[AttDes]; 

	if ( $Localiz != $OldLocaliz || $OldLocaliz == "" )
	{
		$OldLocaliz = $Localiz;
		
		$res .= <<<_HTML
		<i>Localizz:</i> $html[EdificioBreve] 
		<br>
_HTML;
	}

	if ( $Mest != $OldMest || $OldMest == "" )
	{
		$OldMest = $Mest;
		
		$res .= <<<_HTML
		<i>Mestiere:</i> $html[MestDes]
		<br>
_HTML;
	}	

	if ( $Comp != $OldComp || $OldComp == "" )
	{
		$OldComp = $Comp;
		
		$res .= <<<_HTML
		<i>Componente:</i> $html[CompDes] 
		<br>
_HTML;
	}
	
	if ( $Att != $OldAtt || $OldAtt == "" )
	{
		$OldAtt = $Att;
		
		$res .= <<<_HTML
		<i>Attivit:</i> $html[AttDes]
		<br>
		<div style="color:#f44336;" > PRG $html[IdCommessa]-$html[IdOrdineProgrammato]  </div>
		
		<hr>
_HTML;
	} 
}
 
 
if($_POST[ConNumAttivitaSel]==1)
{
	$res = <<<_HTML
	<i>Numero di attivit selezionate: $Numero</i>

	<div style="width:100%;margin:3px;" ></div>

	$res
_HTML;
}

 
$res = <<<_HTML
$res

<div style="width:100%;margin:8px;" ></div>
_HTML;


jhp($res);
?>
