<?php
session_start();
require_once('../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
 
$IdRisorsa = ntxise('IdRisorsa'); 
$IdDitta = ntxise('IdDitta');

$IdOrd = ntxip('IdOrd');   
 
$where = ''; 
 
$sql = <<<_SQL
SELECT DISTINCT 
	tblFrequenzeMestieri.IdCommessa 
	,tblAttivitMestiere.IdFrequenza
	,tblFrequenzeMestieri.Descrizione AS Frequenza  
FROM  
	tblOrdiniProgrammati 
	INNER JOIN
	Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
	tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine	
	INNER JOIN
	tblAttivitMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitMestiere.IdCommessa AND 
	tblOrdiniProgrammati.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere INNER JOIN
	tblComponetiMestiere ON tblAttivitMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
	tblAttivitMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere LEFT OUTER JOIN
	AttivitMestTipiComp ON tblAttivitMestiere.IdCommessa = AttivitMestTipiComp.IdCommessaAttivit AND 
	tblAttivitMestiere.IdAttivitMestiere = AttivitMestTipiComp.IdAttivitMestiere LEFT OUTER JOIN
	TipoComponente ON AttivitMestTipiComp.IdCommessaTipoComp = TipoComponente.IdCommessa AND 
	AttivitMestTipiComp.IdTipoComp = TipoComponente.IDTipoComponente LEFT OUTER JOIN
	ComponentiAmbiente ON TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente AND 
	TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa
	
	LEFT OUTER JOIN	
	tblFrequenzeMestieri ON tblAttivitMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND tblAttivitMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza 
	
WHERE
	Ordini.IdOrd=$IdOrd 
	AND 
	( 
		Ordini.StatoOrd = 35 
		OR 
		Ordini.StatoOrd = 37 
		OR 
		Ordini.StatoOrd = 40 
	)   
	
	AND 
	(
		(
			tblOrdiniProgrammati.IdRisorsa = $IdRisorsa 
			AND
			(
				tblOrdiniProgrammati.Aperto = 1
				AND tblOrdiniProgrammati.Eseguito <> 1 
				AND tblOrdiniProgrammati.Annullato <> 1 
				AND tblOrdiniProgrammati.Anomalia <> 1 		
			)
		)
		OR
		(
			tblOrdiniProgrammati.IdRisorsa IS NULL
			AND
			(
				tblOrdiniProgrammati.Aperto = 0
				AND tblOrdiniProgrammati.Eseguito <> 1 
				AND tblOrdiniProgrammati.Annullato <> 1 
				AND tblOrdiniProgrammati.Anomalia <> 1 		
			)
		)	 
	)	
	
	AND tblAttivitMestiere.IdFrequenza IS NOT NULL
ORDER BY
	Frequenza
_SQL;
 
$query = ntxQuery($sql); 

 
$tbl .= ' <option value="" > Tutte le frequenze ';
while ($rs=ntxRecord($query))
{ 
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$tbl .= <<<_HTML
	<option value="$html[IdCommessa]#$html[IdFrequenza]" > $html[Frequenza]  
_HTML;
}  

$res[frequenze] = $tbl; 

jhp($res);
?>