<?php
session_start();
require_once('../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione-2.0/sql.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_370", "IT", $_SESSION[NTX_LINGUA_DEST]);
  
$IdUtente = ntxise('IdUtente');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa');  
  
$dataSQL = ntxt( ntxDate(ntxScalar("SELECT getdate()"))." 23:59" );	
 
$where = "";
	
switch ( $_POST[filtroFirmaCliente] )
{
	case 1:
		$where .= <<< sql
		AND Ordini.FirmaImgPath IS NULL
sql;
		break;
	case 2:
		$where .= <<< sql
		AND Ordini.FirmaImgPath IS NOT NULL
sql;
		break; 
}
	
switch ( $_POST[filtroFirmaRisorsa] )
{
	case 1:
		$where .= <<< sql
		AND Ordini.FirmaImgPath_risorsa IS NULL
sql;
		break;
	case 2:
		$where .= <<< sql
		AND Ordini.FirmaImgPath_risorsa IS NOT NULL
sql;
		break; 
}
	
switch ( $_POST[includiMP] )
{
	case 1:
		$where .= <<< sql
		AND Ordini.GradoUrgenza = 'MP'
sql;
		break;
	case 2:
		$where .= <<< sql
		AND (Ordini.GradoUrgenza IS NULL OR Ordini.GradoUrgenza<>'MP')
sql;
		break; 
}


if(strlen($_POST[Edificio])>0)
{
	$arr = explode(",",$_POST[Edificio]);
	$IdCommessaE = $arr[0];
	$IdEdificioE = $arr[1];
	
	if(is_numeric($IdCommessaE)  &&  is_numeric($IdEdificioE))
		$where .= <<< sql
		AND
		(
			Ordini.IdCommessa = $IdCommessaE  
			AND Ordini.CodEdificio = $IdEdificioE  
		)
sql;
}

if ( is_numeric($_POST['NumOrdine'])) 
{
	$value = (int)$_POST['NumOrdine'];
	$where .= " AND Ordini.NumOrdine = $value ";
} 
 
if ( is_numeric($_POST['AnnoOrdine'])) 
{
	$value = (int)$_POST['AnnoOrdine'];
	$where .= " AND Ordini.AnnoOrdine = $value ";
} 
 
if ( is_numeric($_POST['IdCommessaOrdine'])) 
{
	$value = (int)$_POST['IdCommessaOrdine'];
	$where .= " AND Ordini.IdCommessa = $value ";
} 



$where1 = <<< sql
Ordini.StatoOrd = 50
AND Ordini.Assegnazione = $IdDitta 
AND Ordini.IdRisorsa = $IdRisorsa  

AND datediff(day, Ordini.DataFine, getdate())<=30 

$where
sql;

require('../_ri-sql.php');
 
 
$sql = <<< sql
	$sqlBody

WHERE
	$where1   
sql;
 
$paginazione = ntxPaginazione($sql, "DataFine DESC, DataScadenza DESC");

$query = $paginazione->query;
 
$tabella = ''; 
 
while( $query  &&  $rs = ntxRecord($query) )
{  
	$rs[IdCommessa] = $rs[IDCommessa];	
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
	$rs[DataPresaInCarico] = ntxDateTime($rs[DataPresaInCarico]);
	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);
	$rs[DataAssegnazioneRisorsa] = ntxDateTime($rs[DataAssegnazioneRisorsa]);
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine];
	
	$IdOrd = $rs[IdOrd];	  
	
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
		
	$showBottoni = false;	
	$nonChiudereTbl = true;
	$aggiungiCheckbox = true;
	require('../_index-tabella-ordine.php');	
	
	
	$bntFirmaClienteAppend="NO";
	$style1 = "background:#ef5350;";
	if( strlen($rs[FirmaImgPath])>0 ) {$bntFirmaClienteAppend="SI"; $style1 = "background:#4caf50;";}
	
	$bntFirmaCliente=" <input type=button value=\"[$bntFirmaClienteAppend] ".$traduttore->traduci('Firma Cliente')."\" onclick=\"FirmaSingolo('$IdOrd', 'firmaCliente')\" data-role=none class='bottone0' style=\"$style1 \" /> ";
	
	$bntFirmaRisorsaAppend="NO";
	$style2 = "background:#ef5350;";
	if( strlen($rs[FirmaImgPath_risorsa])>0 ) {$bntFirmaRisorsaAppend="SI"; $style2 = "background:#4caf50;";}
	
	$bntFirmaRisorsa=" <input type=button value=\"[$bntFirmaRisorsaAppend] ".$traduttore->traduci('Firma Risorsa')."\" onclick=\"FirmaSingolo('$IdOrd', 'firmaRisorsa')\" data-role=none class='bottone0'  style=\"$style2 \" /> ";
	
	
	$label_DataInizio = $traduttore->traduci('Data Inizio');
	$label_DataFine = $traduttore->traduci('Data Fine');
	
	$tabella .= <<<_HTML
	<tr class="tr1" >
		<th style="width:1%;" >Data Inizio
		<td>
		$label_DataInizio
		
	<tr class="tr1" >
		<th style="width:1%;" >Data Fine
		<td>
		$label_DataFine
	
	
	<tr>
		<td colspan="2" > 
			<div class=ui-grid-a>
				<div class="ui-block-a">
					
					$bntFirmaCliente
					$bntFirmaRisorsa 
				
				</div>
				
				<div class="ui-block-b">

				</div>
			</div>		  
			
	</table>		
_HTML;

/*
	$tabella .=
	"<tr class=\"tr1\" >
		<th style=\"width:1%;\" >".$traduttore->traduci('Data Inizio')
		."<td>
		$html[DataInizio] 
		
	<tr class=\"tr1\" >
		<th style=\"width:1%;\" >".$traduttore->traduci('Data Fine')
		."<td>
		$html[DataFine] 	
	
	
	<tr>
		<td colspan=\"2\" > 
			<div class=ui-grid-a>
				<div class=\"ui-block-a\">
					
					$bntFirmaCliente
					$bntFirmaRisorsa 
				
				</div>
				
				<div class=\"ui-block-b\">

				</div>
			</div>		  
			
	</table>"		
;*/
}

$result = array();

$result[table] = $tabella;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);
?>
