<?php 
//chiudiamo la timeline trasferimento
$sql = <<< sql
UPDATE TL_Gestione
SET       
	DataFine = getdate()
FROM  
	TL_Gestione 
	INNER JOIN
	Ordini ON TL_Gestione.IdCommessa = Ordini.IDCommessa AND TL_Gestione.NumOrdine = Ordini.NumOrdine AND  TL_Gestione.AnnoOrdine = Ordini.AnnoOrdine
WHERE 
	Ordini.IdOrd = $IdOrd  
	AND TL_Gestione.IdRisorsa = $IdRisorsa
	AND TL_Gestione.IdTipoAttivita = 1  
	AND TL_Gestione.DataFine IS NULL
sql;
ntxQuery($sql);


//salviamo la timeline lavorazione
$table1 = new NtxTable("TL_Gestione");

$table2 = $table1->insert();
$table2->init();

$table2->set('IdCommessa', $IdCommessa);
$table2->set('NumOrdine', $NumOrdine);
$table2->set('AnnoOrdine', $AnnoOrdine);

$table2->set('IdRisorsa', $IdRisorsa);

$table2->set('DataAttivita', 'getdate()', true);  

$table2->set('DataInizio', 'getdate()', true);  

$table2->set('IdTipoAttivita', 2);  

$table2->execute(); 



$sql = <<< sql
UPDATE OrdineRisorseSupporto
SET       
	DataInizio = getdate() 
FROM  
	OrdineRisorseSupporto 
	INNER JOIN
	Ordini ON OrdineRisorseSupporto.IdCommessa = Ordini.IDCommessa AND OrdineRisorseSupporto.NumOrdine = Ordini.NumOrdine AND  OrdineRisorseSupporto.AnnoOrdine = Ordini.AnnoOrdine
WHERE 
	Ordini.IdOrd = $IdOrd  
	AND OrdineRisorseSupporto.IdRisorsa = $IdRisorsa 
	AND OrdineRisorseSupporto.DataInizio IS NULL  
sql;
ntxQuery($sql);

?>
