<?php
session_start();
require_once('../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once(NTX_WEBPORTAL_PATH.'ordini/_funzioni_OrdiniStoricoStati.inc');

$IdRisorsa = ntxise('IdRisorsa');
$IdOrd = ntxip('IdOrd'); 

$MINUTI_ATTESA = 0;

$sql = <<< sql
SELECT  
	DATEDIFF( SECOND,  GETDATE(), DATEADD(MINUTE, $MINUTI_ATTESA, DataPresaInCarico) ) AS intRimanenti 
	,( 
		SELECT COUNT(ID) AS somma
		FROM  NfcEdifici
		WHERE (IdCommessa = Ordini.IDCommessa) AND (IdEdificio = Ordini.CodEdificio)
	) AS countNFC	
FROM    
	Ordini
WHERE
	Ordini.IdOrd = $IdOrd 
sql;
$query = ntxQuery($sql);
$rs = ntxRecord($query); 
 
if($rs[countNFC]>0)
{
	require('../../sovracommessa/Risorse2IngressoUscitaEdifici/jhp/_get_edificio_corrente.php');
	
	if(is_numeric($IdRel))
	{
		$result[applicaConteggio]=0; 
	}
}
else
{
	$result[applicaConteggio]=1;  
	
	$intRimanenti = $rs[intRimanenti];

	if($intRimanenti<=0)
		$intRimanenti = 0;

	$result[intRimanenti]=$intRimanenti;  
}

jhp($result);
?>
