<?php
session_start();
require_once('../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdOrd = ntxip('IdOrd', false); 

$result = array(); 
	
$sql = <<< sql
SELECT     
	Ordini.IDCommessa AS IdCommessa
	, Ordini.IDCommessa AS IdCommessaOrdine
	, Richieste.Localizzazione AS IdEdificio
	, Ordini.DescrizioneIntervento  AS D1 
	, Ordini.DescrizioneIntervento1 AS D2
	, Ordini.DescrizioneIntervento2 AS D3 
	, Richieste.IdCircuitoEnergia AS IdCircuito  
	, Richieste.DataRichiesta 
	, ElencoEdifici.EdificioBreve AS Localizzazione
	, tblPgPropietari.Nome AS Cliente
	, Richieste.DataGestione
	, Richieste.Richiedente
	, Richieste.EmailRichiedente
	, Richieste.TelefonoRif	
	, Ordini.* 
	, Richieste.IdRichiedente
	, StatiOrdini.DesStato AS StatoOrdine
FROM    
	Richieste 
	INNER JOIN
	Ordini ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.IDCommessa = Richieste.IDCommessa
	LEFT OUTER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID 
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	LEFT OUTER JOIN
	StatiOrdini ON StatiOrdini.IDStato = Ordini.StatoOrd		
WHERE
	Ordini.IdOrd = $IdOrd 
sql;
  
$query = ntxQuery($sql);
$rs = ntxRecord($query);
 
$rs[DataRichiesta] = ntxDateTime($rs[DataRichiesta]);	 
$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);	 
$rs[DataGestione] = ntxDateTime($rs[DataGestione]);	 
$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);	 
$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);	 
$rs[DataInizio] = ntxDateTime($rs[DataInizio]);	 
$rs[DataFine] = ntxDateTime($rs[DataFine]);	 
$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);	 
$rs[Descrizione] = "$rs[D1] $rs[D2] $rs[D3]";	 
 
$rs[IdCommessa] = (int)$rs[IdCommessa];
$rs[NumOrdine] = (int)$rs[NumOrdine];
$rs[AnnoOrdine] = (int)$rs[AnnoOrdine];

$result = $rs; 
 
jhp($result);
?>
