<?php
session_start();
require_once("../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require('vers.php');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_370", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_370", "IT", __FILE__);

$IdUtente = ntxise('IdUtente');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa'); 

if(!is_numeric($_POST[PrioritaRicerca])) $_POST[PrioritaRicerca]=1;

if(is_numeric($_GET[NascondiPassa])  &&  $_GET[NascondiPassa]==1)
	$_POST[NascondiPassa] = $_GET[NascondiPassa];

require('_default_filtro_edificio.php');


if ( !is_numeric($_POST[filtroFirmaCliente]) ) $_POST[filtroFirmaCliente] = 1;
if ( !is_numeric($_POST[filtroFirmaRisorsa]) ) $_POST[filtroFirmaRisorsa] = 1;

$NOME_MANUTENTORE = ntxScalar("SELECT NOME FROM Risorse WHERE ID=$IdRisorsa");
$NOME_MANUTENTORE = str_replace('"',"'",$NOME_MANUTENTORE);
?>
<!DOCTYPE html> 
<html>
<head>
	<title></title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<script src="../_js/_console.js"></script>  
	
	<script src="/repository2/jqm145/jquery-1.12.4.min.js"></script>
	<script src="/repository2/jqm145/jquery.mobile-1.4.5.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>
	<link rel="stylesheet" href="/repository2/jqm145/jquery.mobile-1.4.5.css" /> 
	
	<meta name="viewport" content="width=device-width" />
	
	<script src="js/ri.js?v=<?php echo $vers ?>"></script>     
	
	<script src="/repository/js/convalida_dati.js" type="text/javascript"></script>
	
	<link rel="stylesheet" href="../_css/index.css?v=<?php echo $vers ?>" /> 
	<link rel="stylesheet" href="css/index.css?v=<?php echo $vers ?>" /> 
	
	<link rel="stylesheet" href="../_css/iconset-custom.css" /> 
	
	<script src="js/firma.js?v=<?php echo $vers ?>"></script>     
	<script src="js/signature.js?v=<?php echo $vers ?>"></script> 
	

	<style>  
	</style>
	
	<script>  
	</script> 
</head>
<body >

<script>
var NOME_MANUTENTORE = "<?php echo $NOME_MANUTENTORE ?>";


$(function()
{    
	var scrollTop = '<?php echo htmlentities($_POST[scrollTop]) ?>';
	var scrollLeft = '<?php echo htmlentities($_POST[scrollLeft]) ?>';
 
	$("html, body").animate({ "scrollTop" : scrollTop }, 500); 	 
	
	CaricaElencoEdifici();  
	
	var elem = '<?php echo htmlentities($_POST[Edificio]) ?>'; 
	
	if($("#Edificio option[value='"+elem+"']").length > 0)
	{
		//ok 
	}
	else if(elem!=",")
	{
		$('#mainMsgContainer').html("<?php $traduttore->js('Nessuna chiamata per l\'edificio preso in carico per la fascia oraria selezionata') ?>");
		
		$('#Edificio').append($('<option>', {
			value: elem,
			text: '<?php $traduttore->js('Edificio non visibile') ?>'
		}));   
	}
	
	document.frmRefresh.Edificio.value = elem;  
	$(document.frmRefresh.Edificio).selectmenu('refresh', true); 	
	
	document.frmRefresh.filtroFirmaCliente.value = '<?php echo htmlentities($_POST[filtroFirmaCliente]) ?>';  
	$(document.frmRefresh.filtroFirmaCliente).selectmenu('refresh', true); 
	
	document.frmRefresh.filtroFirmaRisorsa.value = '<?php echo htmlentities($_POST[filtroFirmaRisorsa]) ?>';  	
	$(document.frmRefresh.filtroFirmaRisorsa).selectmenu('refresh', true); 	 
	
	document.frmRefresh.includiMP.value = '<?php echo htmlentities($_POST[includiMP]) ?>';  	
	$(document.frmRefresh.includiMP).selectmenu('refresh', true); 	 
	
	signatureCapture('canvas1');
	signatureCapture('canvas2');
	//caricaImgFirma();	
});
</script>

<div data-role="page" id="page1" data-tap-toggle="false" >

	<div data-role="header" data-position="fixed">
		<a href="../<?php echo htmlentities($_POST[paginaBack]) ?>" data-ajax="false" data-icon="back" data-iconpos="notext">Login</a>
		
		<h1>
		<?php $traduttore->html('Ordini') ?>
		</h1>
		
		<div class="ui-btn-right" data-role="controlgroup" data-type="horizontal">
			<!--
			<a href="#" data-role="button" data-icon="nfc" data-iconpos="notext" onclick="alert('Pagina sensibile ad azioni con tag NFC.');" >&nbsp;</a>
			-->
			<a href="" onclick="ricarica();" data-role="button" data-icon="refresh" data-iconpos="notext" >&nbsp;</a>
		</div>  
	</div>  	  

	<div data-role="content"  >
	
	<form id="frmRefresh" name="frmRefresh" method=post action="" onsubmit="return false;" >
	
		<input type="hidden" name="paginaBack" value="<?php echo htmlentities($_POST[paginaBack]) ?>" /> 
		
		<input type="hidden" name="scrollTop" /> 
		<input type="hidden" name="scrollLeft" /> 
		
		<input type="hidden" name="cboFiltro" value="<?php echo $cboFiltro ?>" />   
		
		
		<div class="ui-grid-a" >
			<div class="ui-block-a"> 
				<select name="filtroFirmaCliente" onchange="ricarica()" >
					<option value="0"><?php $traduttore->html('Non importa') ?>
					<option value="1"><?php $traduttore->html('No firma Cliente') ?>
					<option value="2"><?php $traduttore->html('Si firma Cliente') ?>
				</select>
			</div>
			
			<div class="ui-block-b"> 
				<select name="filtroFirmaRisorsa" onchange="ricarica()" >
					<option value="0"><?php $traduttore->html('Non importa') ?>
					<option value="1"><?php $traduttore->html('No firma Manutentore') ?>
					<option value="2"><?php $traduttore->html('Si firma Manutentore') ?>
				</select>
			</div> 
		</div>		   
		
		<select id="Edificio"  name="Edificio" onchange="modificaSceltaEdificio(); document.frmRefresh.submit();" ></select> 
		<input type="hidden" name="azioneSceltaEdificio" value="<?php echo htmlentities($_POST[azioneSceltaEdificio]) ?>" />
		
		
		<div class="ui-grid-b" >
			<div class="ui-block-a"> 
				<input type="text" name="NumOrdine" value="<?php echo htmlentities($_POST[NumOrdine]) ?>" placeholder="<?php $traduttore->html('Numero Ordine') ?>" onchange="ricarica()" /> 
			</div>
			
			<div class="ui-block-b"> 
				<input type="text" name="AnnoOrdine" value="<?php echo htmlentities($_POST[AnnoOrdine]) ?>" placeholder="<?php $traduttore->html('Anno Ordine') ?>" onchange="ricarica()" /> 
			</div>
			
			<div class="ui-block-c"> 
				<input type="text" name="IdCommessaOrdine" value="<?php echo htmlentities($_POST[IdCommessaOrdine]) ?>" placeholder="<?php $traduttore->html('Commessa Ordine') ?>" onchange="ricarica()" /> 
			</div> 
		</div>	
		
		<select name="includiMP" onchange="ricarica()" >
			<option value="0"><?php $traduttore->html('Tutti gli ODL') ?>
			<option value="1"><?php $traduttore->html('Solo MP') ?>
			<option value="2"><?php $traduttore->html('Senza MP') ?>
		</select>		

	</form>	 
	
	<div align="center">
		<input type="button" value="<?php $traduttore->html('Firma per ODL selezionati') ?>" onclick="FirmaMultiplo();" class="btn2 bottone0"  data-role=none />	
	</div>
 
	<div id="mainMsgContainer" > </div>  

	<div style="width:100%;margin:5px;" ></div>
	
	<div id="ListaOrdini" >  
<?php 
$dataSQL = ntxt( ntxDate(ntxScalar("SELECT getdate()"))." 23:59" );	
 
$where = "";
	
switch ( $_POST[filtroFirmaCliente] )
{
	case 1:
		$where .= <<< sql
		AND Ordini.FirmaImgPath IS NULL
sql;
		break;
	case 2:
		$where .= <<< sql
		AND Ordini.FirmaImgPath IS NOT NULL
sql;
		break; 
}
	
switch ( $_POST[filtroFirmaRisorsa] )
{
	case 1:
		$where .= <<< sql
		AND Ordini.FirmaImgPath_risorsa IS NULL
sql;
		break;
	case 2:
		$where .= <<< sql
		AND Ordini.FirmaImgPath_risorsa IS NOT NULL
sql;
		break; 
}
	
switch ( $_POST[includiMP] )
{
	case 1:
		$where .= <<< sql
		AND Ordini.GradoUrgenza = 'MP'
sql;
		break;
	case 2:
		$where .= <<< sql
		AND (Ordini.GradoUrgenza IS NULL OR Ordini.GradoUrgenza<>'MP')
sql;
		break; 
}


if(strlen($_POST[Edificio])>0)
{
	$arr = explode(",",$_POST[Edificio]);
	$IdCommessaE = $arr[0];
	$IdEdificioE = $arr[1];
	
	if(is_numeric($IdCommessaE)  &&  is_numeric($IdEdificioE))
		$where .= <<< sql
		AND
		(
			Ordini.IdCommessa = $IdCommessaE  
			AND Ordini.CodEdificio = $IdEdificioE  
		)
sql;
}

if ( is_numeric($_POST['NumOrdine'])) 
{
	$value = (int)$_POST['NumOrdine'];
	$where .= " AND Ordini.NumOrdine = $value ";
} 
 
if ( is_numeric($_POST['AnnoOrdine'])) 
{
	$value = (int)$_POST['AnnoOrdine'];
	$where .= " AND Ordini.AnnoOrdine = $value ";
} 
 
if ( is_numeric($_POST['IdCommessaOrdine'])) 
{
	$value = (int)$_POST['IdCommessaOrdine'];
	$where .= " AND Ordini.IdCommessa = $value ";
} 



$where1 = <<< sql
Ordini.StatoOrd = 50
AND Ordini.Assegnazione = $IdDitta 
AND Ordini.IdRisorsa = $IdRisorsa  

AND datediff(day, Ordini.DataFine, getdate())<=30 

$where
sql;

require('_ri-sql.php');
 
 
$sql = <<< sql
	$sqlBody

WHERE
	$where1  

ORDER BY  
	DataFine DESC
	,DataScadenza DESC
sql;
  
  
$query = ntxQuery($sql);
 
while( $query  &&  $rs = ntxRecord($query) )
{  
	$rs[IdCommessa] = $rs[IDCommessa];	
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
	$rs[DataPresaInCarico] = ntxDateTime($rs[DataPresaInCarico]);
	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);
	$rs[DataAssegnazioneRisorsa] = ntxDateTime($rs[DataAssegnazioneRisorsa]);
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine];
	
	$IdOrd = $rs[IdOrd];	  
	
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$tabella = '';	
	$showBottoni = false;	
	$nonChiudereTbl = true;
	$aggiungiCheckbox = true;
	require('_index-tabella-ordine.php');	
	
	
	$bntFirmaClienteAppend="NO";
	if( strlen($rs[FirmaImgPath])>0 ) $bntFirmaClienteAppend="SI";
	
	$bntFirmaCliente=" <input type=button value=\"[$bntFirmaClienteAppend] ".$traduttore->traduci('Firma Cliente')."\" onclick=\"FirmaSingolo('$IdOrd', 'firmaCliente')\" data-role=none class='bottone0' /> ";
	
	$bntFirmaRisorsaAppend="NO";
	if( strlen($rs[FirmaImgPath_risorsa])>0 ) $bntFirmaRisorsaAppend="SI";
	
	$bntFirmaRisorsa=" <input type=button value=\"[$bntFirmaRisorsaAppend] ".$traduttore->traduci('Firma Risorsa')."\" onclick=\"FirmaSingolo('$IdOrd', 'firmaRisorsa')\" data-role=none class='bottone0' /> ";
	
	
	/*$tabella .= <<<_HTML
	<tr class="tr1" >
		<th style="width:1%;" >Data Inizio
		<td>
		$html[DataInizio] 
		
	<tr class="tr1" >
		<th style="width:1%;" >Data Fine
		<td>
		$html[DataFine] 	
	
	
	<tr>
		<td colspan="2" > 
			<div class=ui-grid-a>
				<div class="ui-block-a">
					
					$bntFirmaCliente
					$bntFirmaRisorsa 
				
				</div>
				
				<div class="ui-block-b">

				</div>
			</div>		  
			
	</table>		
_HTML;*/

	$tabella .=
	"<tr class=\"tr1\" >
		<th style=\"width:1%;\" >".$traduttore->traduci('Data Inizio')
		."<td>
		$html[DataInizio] 
		
	<tr class=\"tr1\" >
		<th style=\"width:1%;\" >".$traduttore->traduci('Data Fine')
		."<td>
		$html[DataFine] 	
	
	
	<tr>
		<td colspan=\"2\" > 
			<div class=ui-grid-a>
				<div class=\"ui-block-a\">
					
					$bntFirmaCliente
					$bntFirmaRisorsa 
				
				</div>
				
				<div class=\"ui-block-b\">

				</div>
			</div>		  
			
	</table>"		
;

	echo $tabella;
}
?>
</div>

</div>

</div>


<div data-role="page" data-theme="a" id="pageFirma" data-tap-toggle="false" > 
	<div data-role="header" data-position="fixed"  >
		<a href="" data-ajax="false" data-icon="back" data-iconpos="notext" onclick="esciDaPopFirma();"  >indietro</a>
		
		<h1>
		<?php $traduttore->html('Firma') ?>
		</h1> 
	</div>
	
    <div data-role="content">  
		
		<div id="firmaCliente" class="divFirma" >
		
			<h3><?php $traduttore->html('Firma Cliente') ?></h3>
		
			<div   class="wrapperFirma" > 
				<div id="canvas1" class="canvas">
					<?php $traduttore->html('Canvas non supportato.') ?>
				</div>	
			</div>
			
			<img id="saveSignature1" class="saveSignature" alt="firma digitale"/> 
			
			<div class="ui-field-contain">
				<label for="FirmaTesto1"><?php $traduttore->html('Nome - Cognome') ?></label>
				<input type="text" name="FirmaTesto" id="FirmaTesto1" class="FirmaTesto" placeholder="<?php $traduttore->html(' Firma testuale') ?>"  >
			</div>		
			
			<div class="ui-grid-a azioniSingoloOdl" >
				<div class="ui-block-a"><a href="" data-role="button" data-icon="plus" onclick="firmaSalvataggio('firmaCliente')" ><?php $traduttore->html('Salva firma') ?></a></div>
				<div class="ui-block-b"><a href="" data-role="button" data-icon="delete" onclick="firmaPulizia('firmaCliente')"    ><?php $traduttore->html('Pulisci firma') ?></a></div>
			</div>	
			
			<div class="azioniMultipliOdl" >
				<a href="" data-role="button" data-icon="plus" onclick="firmaSalvataggio2('firmaCliente')" ><?php $traduttore->html('Salva') ?></a> 
			</div>		 
			
			<form name="frmUploadFirma1" id="frmUploadFirma1" action="upload_firma.php" method="post" enctype="multipart/form-data"  class="frmUpload" target="f1443783617" > <!-- target="f1443783617" -->
				<input type="hidden" name="image" />
				<input type="hidden" name="IdOrd" /> 
				<input type="hidden" name="FirmaTesto" value="FirmaTesto" /> 
				<input type="hidden" name="FirmaImgPath" value="FirmaImgPath" /> 				
				<input type="hidden" name="FirmaDataInserimento" value="FirmaDataInserimento" /> 	
				<input type="hidden" name="IdDivFirma" value="firmaCliente" /> 	 
				<input type="hidden" name="FirmaTesto_txt"   /> 
			</form>
			
			<iframe name="f1443783617" style="width:100%;height:50px;display:none;"></iframe>	
		 </div>
		 
		<div style="margin:8px;" ></div>
		
		<div id="firmaRisorsa" class="divFirma" >
			
			<h3><?php $traduttore->html('Firma Manutentore') ?></h3>
		
			<div   class="wrapperFirma" > 
				<div id="canvas2" class="canvas">
					<?php $traduttore->html('Canvas non supportato.') ?>
				</div>	
			</div>
			
			<img id="saveSignature2" class="saveSignature" alt="firma digitale"/> 
			
			<div class="ui-field-contain">
				<label for="FirmaTesto2"><?php $traduttore->html('Nome - Cognome') ?></label>
				<input type="text" name="FirmaTesto" id="FirmaTesto2" class="FirmaTesto" placeholder="<?php $traduttore->html(' Firma testuale') ?>"  >
			</div>		
			
			<div class="ui-grid-a azioniSingoloOdl" >
				<div class="ui-block-a"><a href="" data-role="button" data-icon="plus" onclick="firmaSalvataggio('firmaRisorsa')"  ><?php $traduttore->html('Salva firma') ?></a></div>
				<div class="ui-block-b"><a href="" data-role="button" data-icon="delete" onclick="firmaPulizia('firmaRisorsa')"     ><?php $traduttore->html('Pulisci firma') ?></a></div>
			</div>		 
			
			<div class="azioniMultipliOdl" >
				<a href="" data-role="button" data-icon="plus" onclick="firmaSalvataggio2('firmaRisorsa')" ><?php $traduttore->html('Salva') ?></a> 
			</div>					
			
			<form name="frmUploadFirma2" id="frmUploadFirma2" action="upload_firma.php" method="post" enctype="multipart/form-data" target="f1480951407" class="frmUpload" >
				<input type="hidden" name="image" />
				<input type="hidden" name="IdOrd" /> 
				<input type="hidden" name="FirmaTesto" value="FirmaTesto_risorsa" /> 
				<input type="hidden" name="FirmaImgPath" value="FirmaImgPath_risorsa" /> 
				<input type="hidden" name="FirmaDataInserimento" value="FirmaDataInserimento_risorsa" /> 
				<input type="hidden" name="IdDivFirma" value="firmaRisorsa" /> 	
				<input type="hidden" name="FirmaTesto_txt"   /> 
			</form>
			
			<iframe name="f1480951407" style="width:100%;height:50px;display:none;"></iframe>	
		 </div>
		 
    </div>
</div>
<script>
	var messaggi = {
		No_risultato: "<?php $traduttore->js('Nessun risultato trovato!') ?>",
		Fatto: "<?php $traduttore->js('Fatto') ?>",
		Errore: "<?php $traduttore->js('Opsss. errore!') ?>",
		Salvare_firma: "<?php $traduttore->js('Si desidera salvare la firma?') ?>",
		Firma_esist: "<?php $traduttore->js('Impossibile salvare la firma. Esiste già  una firma associata! Per proseguire à¨ necessario pulire la firma.') ?>",
		Ordine_finito: "<?php $traduttore->js('Impossibile salvare la firma. L\'ordine deve essere nello stato finito.') ?>",
		Cancella_firma: "<?php $traduttore->js('Si desidera cancellare la firma?') ?>",
		Imp_firma: "<?php $traduttore->js('Impossibile cancellare la firma. Una firma puà² essere modificata solo nello stesso giorno in cui à¨ stata inserita.') ?>"
	};
</script>
</body>
<?php $traduttore->Salva() ?>

</html>