<?php
session_start();
require_once('../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdUtente = ntxise('IdUtente');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa');
$IdDitta = ntxise('IdDitta');  

$entita = $_POST[entita]; 
$operazione = $_POST[operazione]; 
$DataRiferimento1 = $DataRiferimento = $_POST[DataRiferimento]; 

if ( !strlen($DataRiferimento)>0 )
{
	$DataRiferimento = ntxDate(ntxScalar("SELECT getdate()"));
	$DataRiferimento.= " 23:59"; 
}
	
$DataRiferimentoDB = ntxt($DataRiferimento);
	
if ( strlen($entita)>0  &&  strlen($operazione)>0 )
{
	if($entita!="month" && $entita!="week" && $entita!="day") ntxmsgerr("entita' non passata correttamente.");
	if($operazione!="+1" && $operazione!="-1") ntxmsgerr("operazione non passata correttamente.");
	
	$DataRiferimento = ntxDate(ntxScalar("SELECT DATEADD($entita, $operazione, $DataRiferimentoDB)"));
	
	$DataRiferimento.= " 23:59";
	
	$DataRiferimentoDB = ntxt($DataRiferimento);
}


$sql = <<< sql
SELECT  DISTINCT 
	Ordini.IDCommessa, Ordini.IDCommessa AS IdCommessa, Ordini.NumRichiesta, Ordini.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2,   Richieste.Tipo, Richieste.DataRichiesta AS DataRicezione,  Richieste.DataGestione,Richieste.IdRich,	Richieste.TelefonoRif,
	tblMestieri.Descrizione AS Mestiere, 
	tblAttivitàMestiere.Descrizione AS AttivitaMestiere, 
	tblComponetiMestiere.Descrizione AS ComponenteMestiere, 
	Stati.DesStato AS StatoRic, 
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataScadenza, StatiOrdini.DesStato AS StatoOrd, Ordini.StatoOrd	AS IdStatoOrdine,
	Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine,	Ordini.IdOrd,	Ordini.IdRisorsa, 
	Ordini.DataPresaInCarico,	Ordini.CodEdificio AS IdEdificio,	 Ordini.NotaInterna, Ordini.DataOrdine, 
	Richiedenti.Nome AS RichiedenteNome, 
	ElencoEdifici.EdificioBreve AS Edificio,
	ElencoEdifici.Indirizzo, ElencoEdifici.Civico,
	Ditte.Ditta,
	Risorse.Nome AS Risorsa,
	tblPgPropietari.Nome AS Propietario,
	ElencoEdifici.tagNFC AS edificioRegistratoNFC  
	,Ordini.DescrizioneIntervento+' '+Ordini.DescrizioneIntervento1+' '+Ordini.DescrizioneIntervento2 AS DescrizioneIntervento
	,EnTipiAttivitàMestiere.Tipo
	,EnTipiAttivitàMestiere.Colore
	,EnCircuiti.IdCircuito
	,EnCircuiti.CodiceCliente
	,EnCircuiti.Nome AS NomeCircuito
	,EnTipiTelecontrollo.Telecontrollo    
	,Ordini.NumOrdineOrigine    
	,Ordini.AnnoOrdineOrigine 
	,Ordini.Note   
	
	,CASE 
		WHEN  Ordini.GradoUrgenza='MP' THEN Ordini.GradoUrgenza
		ELSE EnTipiAttivitàMestiere.Tipo
	END
	AS TipologiaOrdine
	
	
	,CONVERT(varchar(5),  DATEADD(minute, DATEDIFF(minute, Ordini.DataPresaInCarico, Ordini.DataInizio), 0), 114) AS DurataViaggio
	
	,CONVERT(varchar(5),  DATEADD(minute, DATEDIFF(minute, Ordini.DataInizio, Ordini.DataFine), 0), 114) AS DurataInizioFine

	,CASE 
		WHEN  Ordini.DataPresaInCarico IS NOT NULL AND Ordini.DataFine IS NOT NULL 
			THEN CONVERT(varchar(5),  DATEADD(minute, DATEDIFF(minute, Ordini.DataPresaInCarico, Ordini.DataFine), 0), 114)
		ELSE 'X'
	END
	AS DurataPresaInCaricoFine
	
	,	
	(
		SELECT TOP 1
			tblPgContratti.NumeroCommessa 
		FROM  
			tblPgContratti 
			INNER JOIN
			tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto
		WHERE 
			tblPgContratti.IdCommessa = Richieste.IdCommessa
			AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = Richieste.IdCommessa
			AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = Richieste.Localizzazione
			AND Richieste.DataRichiesta BETWEEN tblPgContratti.DataInizio AND tblPgContratti.DataFine
	) AS NumeroCommessa	
	
	,tblMestieri.codice  AS  MestiereCodice
	,tblMestieri.Descrizione  AS  MestiereDescrizione
	,tblComponetiMestiere.codice  AS  ComponetiCodice
	,tblComponetiMestiere.Descrizione  AS  ComponetiDescrizione
	,tblAttivitàMestiere.codice  AS  AttivitaCodice
	,tblAttivitàMestiere.Descrizione  AS  AttivitaDescrizione	
	
FROM    
	Ordini
	LEFT OUTER JOIN
	Richieste ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa 
	LEFT OUTER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere	  
	LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta 
	LEFT OUTER JOIN
	Richiedenti ON Richieste.IDCommessa = Richiedenti.IdCommessa AND Richieste.IdRichiedente = Richiedenti.IdRichiedente	 
	LEFT OUTER JOIN
	StatiOrdini ON StatiOrdini.IDStato = Ordini.StatoOrd	 
	LEFT OUTER JOIN
	tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
	LEFT OUTER JOIN
	tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	LEFT OUTER JOIN
	Stati ON Richieste.Stato = Stati.IDStato 
	LEFT OUTER JOIN
	Risorse ON Risorse.ID = Ordini.IdRisorsa	
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario    
	LEFT OUTER JOIN
	EnCircuiti ON Ordini.IdCircuitoEnergia = EnCircuiti.IdCircuito
	LEFT OUTER JOIN
	EnDatiCircuiti ON EnCircuiti.IdUltimiDati = EnDatiCircuiti.IdDati 
	LEFT OUTER JOIN
	EnTipiTelecontrollo ON EnDatiCircuiti.Telecontrollo = EnTipiTelecontrollo.Id	
	LEFT OUTER JOIN 
	EnTipiAttivitàMestiere ON Ordini.TipologiaEnergia = EnTipiAttivitàMestiere.Id		
	
WHERE
	Ordini.StatoOrd = 50 
	AND Ordini.Assegnazione = $IdDitta 
	AND Ordini.IdRisorsa = $IdRisorsa  
	
	AND DAY(Ordini.DataInizio) = DAY($DataRiferimentoDB)
	AND MONTH(Ordini.DataInizio) = MONTH($DataRiferimentoDB)
	AND YEAR(Ordini.DataInizio) = YEAR($DataRiferimentoDB)
	
ORDER BY 
	DataInizio ASC
sql;
//ntxmsgerr($sql);
$query = ntxQuery($sql);

$table = ''; 

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[DataInizioTime] = ntxTime($rs[DataInizio]);
	$rs[DataFineTime] = ntxTime($rs[DataFine]);
	
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);
	$rs[DataPresaInCarico] = ntxDateTime($rs[DataPresaInCarico]);
	
	$rs[IDCommessa] = (int)$rs[IDCommessa]; 
	$rs[NumOrdine] = (int)$rs[NumOrdine]; 
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine]; 
	$rs[IdCommessa] = $rs[IDCommessa]; 
	
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v); 

	if($table!='')
		$table .= <<< table
		<tr>
			<td colspan="2" > <hr style="padding:0;margin:0;" >	
table;
		
	
	$trNotaCliente='';
	if(strlen($html[Note])>0)
	{
		$trNotaCliente=<<<_HTML
		<tr>
			<th> 
			Note Cliente 
			<td>
			$html[Note]
_HTML;
	}
	
	$trNotaInterna='';
	if(strlen($html[NotaInterna])>0)
	{
		$trNotaInterna=<<<_HTML
		<tr>
			<th> 
			Note Interne 
			<td>
			$html[NotaInterna]
_HTML;
	}
		
		
	$table .= <<< table
	<tr>
		<td colspan="2" style="background-color:$html[Colore] !important; border:solid 1px black;"  >
			<div class=ui-grid-a>
				<div class="ui-block-a noShadow" style="text-align:center;font-weight:bold;" >
				$html[TipologiaOrdine]
				</div>
				
				<div class="ui-block-b noShadow" style="text-align:center;font-weight:bold;" >
				O-$html[NumOrdine]-$html[AnnoOrdine]-$html[IDCommessa] 
				</div>
			</div>	
	
	<tr>
		<th colspan="2" style="font-size:110%;" >
		Dalle $html[DataInizioTime] alle $html[DataFineTime]
		
	<tr>
		<th>
		Presa in Carico 
		<td>$html[DataPresaInCarico]  	
	
	<tr>	
		<th>
		Durata Viaggio		
		<td>
		$html[DurataViaggio]
	
	<tr>	
		<th>
		Durata Lavoro		
		<td>
		$html[DurataInizioFine]

		
	<tr>	
		<th>
		Durata Complessiva	
		<td>
		$html[DurataPresaInCaricoFine]
		
	<tr>	
		<th>
		Commessa		
		<td>
		$html[NumeroCommessa] 
	
	<tr>
		<th>
		Cliente
		<td>
		$html[Propietario] 
	
	<tr>
		<th>
		Localiz.
		<td>
		$html[Edificio], $html[Indirizzo] $html[Civico] 
	
	<tr>
		<th>
		Problema
		<td>
		$html[Descrizione] 
		$html[Descrizione1] 
		$html[Descrizione2] 
	
	<tr>
		<th>
		Mest./Comp./Att.
		<td>
		$html[MestiereCodice] 
		$html[MestiereDescrizione] 
		-
		$html[ComponetiCodice] 
		$html[ComponetiDescrizione] 
		-
		$html[AttivitaCodice] 
		$html[AttivitaDescrizione] 
		 
		
		$trNotaCliente
		
		$trNotaInterna
table;
} 

$table = " <table class='risultati' > $table </table> "; 

$result[DataRiferimento1] = $DataRiferimento1;
$result[entita] = $entita;
$result[operazione] = $operazione;
$result[table] = $table;
$result[DataRiferimento] = $DataRiferimento;
$result[DataRiferimentoLabel] = "ODL eseguiti in data ".ntxScalar("select DATENAME(weekday, $DataRiferimentoDB)")." ".ntxDate(ntxScalar("SELECT $DataRiferimentoDB"));

jhp($result);
?>
