<?php

if ( !is_numeric($IdCommessa) || !is_numeric($IdEdificio)  || !is_numeric($IdMestiere) || !strlen($DataRiferimento) ) jhp($table);

$IdCommessa = (int)$IdCommessa;
$IdEdificio = (int)$IdEdificio;
$IdMestiere = (int)$IdMestiere;
$DataRiferimento = ntxt($DataRiferimento);

if ( is_numeric($IdAttivitàMestiere) )
{
	$IdAttivitàMestiere = (int)$IdAttivitàMestiere;

	$sql = <<< sql
		SELECT DISTINCT Ditte.IDDitta, Ditte.Ditta
		FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
							  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
							  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
							  Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta
		WHERE     (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa) 
			AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $IdEdificio) 
			AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = $IdAttivitàMestiere)
			AND (tblContrattiFornitori.DataInizio <= $DataRiferimento) 
			AND (tblContrattiFornitori.DataFine >= $DataRiferimento)
		ORDER BY Ditte.Ditta
sql;
}
elseif ( is_numeric($IdComponenteMestiere) )
{
	$IdComponenteMestiere = (int)$IdComponenteMestiere;

	$sql = <<< sql
		SELECT DISTINCT Ditte.IDDitta, Ditte.Ditta
		FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
							  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
							  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
							  Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta INNER JOIN
							  tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
							  tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
		WHERE     (tblAttivitàMestiere.IdComponenteMestiere = $IdComponenteMestiere)
			AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa) 
			AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $IdEdificio) 
			AND (tblContrattiFornitori.DataInizio <= $DataRiferimento) 
			AND (tblContrattiFornitori.DataFine >= $DataRiferimento)
sql;
}
else // IdMestiere sicuramente numerico
{
	$sql = <<< sql
		SELECT DISTINCT Ditte.IDDitta, Ditte.Ditta
		FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
							  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
							  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
							  Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta INNER JOIN
							  tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
							  tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
							  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
							  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
		WHERE     (tblComponetiMestiere.IdMestiere = $IdMestiere)
			AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa) 
			AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $IdEdificio) 
			AND (tblContrattiFornitori.DataInizio <= $DataRiferimento) 
			AND (tblContrattiFornitori.DataFine >= $DataRiferimento)
sql;
}


?>