<?php
session_start();
require_once('../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa 	= $_POST[IdCommessa]; 
$IdEdificio 	= $_POST[IdEdificio];
$Assegnazione 	= $_POST[Assegnazione]; 
$FiltroRisose 	= $_POST[FiltroRisose]; 

if ( !is_numeric($IdCommessa) || !is_numeric($IdEdificio) || !is_numeric($Assegnazione) ) jhp($table);

$IdCommessa = (int)$IdCommessa;
$IdEdificio = (int)$IdEdificio;
$Assegnazione = (int)$Assegnazione;

$optionNulla = $_POST[optionNulla];

$table = "";

if ( is_numeric($optionNulla) && $optionNulla==1 )
	$table .= <<< table
		<option value="x" > 
table;

$DataInizioProg = ntxtp('DataInizioProg');

switch($FiltroRisose)
{
	case 1:
		// filtro per Preferenziale utenza
		
		if ( $DataInizioProg=="NULL" ) jhp($table);
		
		$dataT = ntxScalar("SELECT $DataInizioProg"); 
		 
		$data = ntxt(ntxDate($dataT));   
		$ora  = ntxTime($dataT); 
		$ora_dbo  = ntxt("1/1/2000 $ora"); 	 
		
		$sql = <<< sql
			SELECT 1 list, RisorseEdifici.Priorità, Risorse.ID, Risorse.NOME, Risorse.CodOperaio, 'priorità' AS label1
			FROM         Risorse INNER JOIN
								  RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa INNER JOIN
								  EN_TurniRisorse ON Risorse.ID = EN_TurniRisorse.IdRisorsa INNER JOIN
								  EN_TurniRisorseOrari ON EN_TurniRisorse.ID = EN_TurniRisorseOrari.IdTurnoRisorsa
			WHERE     (Risorse.CodDitta = $Assegnazione) 
				AND (RisorseEdifici.IdCommessa = $IdCommessa) 
				AND (RisorseEdifici.IdEdificio = $IdEdificio) 
				 
				AND (EN_TurniRisorse.Assenza = 0 OR EN_TurniRisorse.Assenza IS NULL) 
				AND ( dbo.cdate('1/1/2000 '+EN_TurniRisorseOrari.Ora1) <= $ora_dbo) 
				AND ( dbo.cdate('1/1/2000 '+EN_TurniRisorseOrari.Ora2) >= $ora_dbo) 
				AND DATEDIFF( dd ,  $data , EN_TurniRisorse.Data ) = 0
				
				AND RisorseEdifici.Priorità IS NOT NULL
				
			UNION 
			
			SELECT   2 list, RisorseEdificiReperibilita.reperibilita Priorità, Risorse.ID, Risorse.NOME, Risorse.CodOperaio , 'reperibile' AS label1 
			FROM         Risorse INNER JOIN
                      EN_TurniRisorse ON Risorse.ID = EN_TurniRisorse.IdRisorsa INNER JOIN
                      EN_TurniRisorseOrari ON EN_TurniRisorse.ID = EN_TurniRisorseOrari.IdTurnoRisorsa INNER JOIN
                      RisorseEdificiReperibilita ON Risorse.ID = RisorseEdificiReperibilita.IdRisorsa
			WHERE     (Risorse.CodDitta = $Assegnazione) 
				AND (RisorseEdificiReperibilita.IdCommessa = $IdCommessa) 
				AND (RisorseEdificiReperibilita.IdEdificio = $IdEdificio) 
				AND (EN_TurniRisorse.Reperibile = 1) 
				AND (EN_TurniRisorse.Assenza = 0 OR EN_TurniRisorse.Assenza IS NULL)  
				AND DATEDIFF( dd ,  $data , EN_TurniRisorse.Data ) = 0
				
				AND RisorseEdificiReperibilita.reperibilita IS NOT NULL
					  
			ORDER BY list, Priorità, NOME
sql;
		break;
	case 3:
		// nessun filtro
		$sql = <<< sql
			SELECT     ID, NOME, Risorse.CodOperaio
			FROM         Risorse
			WHERE     (CodDitta = $Assegnazione)
			ORDER BY NOME
sql;
		break;
	default:
		jhp_error("Filtro Risorsa non settato!");
		break;
}
 
  
$query = ntxQuery($sql);


$table = "";

$i=0;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	//$pref = (($rs[list]==1) ? "in turno" : "reperibile");
	
	$table .= <<< table
		<option value="$html[ID]">$pref $html[Priorità]. $html[CodOperaio] - $html[NOME] [{$html[label1]}]
table;
}

jhp($table);

?>
