<?php
$sql = <<< sql
SELECT DISTINCT
	Ambiente.IdEdificio, 
	Ambiente.IDAmbiente AS IdAmbiente, 
	Ambiente.CodiceAssAmbiente,
	Ambiente.CodiceAssAmbiente+' - '+Ambiente.DesAmbiente AS AmbienteDes,
	ElencoEdifici.Codice AS EdificioCodice, ElencoEdifici.EdificioBreve AS EdificioNome, ElencoEdifici.Indirizzo AS EdificioIndirizzo, ElencoEdifici.CITTA+' '+ElencoEdifici.PROVINCIA AS EdificioProv,
	PianoLivello.idPiano AS IdLivello, PianoLivello.CodPiano+' - '+PianoLivello.DesPiano AS Piano,
	tblUtPersonale.IdPersona, tblUtPersonale.IdUtilizzatore
	
FROM         
	Ambiente 
	INNER JOIN
	tblUtPersAmbienti ON Ambiente.IdCommessa = tblUtPersAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtPersAmbienti.IdEdificio AND  Ambiente.IDAmbiente = tblUtPersAmbienti.IdAmbiente 
	INNER JOIN
	tblUtPersonale ON tblUtPersAmbienti.IdCommessa = tblUtPersonale.IdCommessa AND tblUtPersAmbienti.IdPersona = tblUtPersonale.IdPersona 
	INNER JOIN
	tblUtUtilizzatori ON tblUtPersonale.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtPersonale.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore		
	INNER JOIN
	ElencoEdifici ON Ambiente.IdCommessa = ElencoEdifici.IdCommessa AND Ambiente.IdEdificio = ElencoEdifici.ID
	
	LEFT OUTER JOIN 
	PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND Ambiente.IdLivello = PianoLivello.idPiano
	
WHERE  
	Ambiente.IdCommessa = $IdCommessa
	AND tblUtPersonale.IdPersona = $IdPersona  
sql;
?>