<?php
require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/sql.inc");
require_once("../../../_tblUtPersonale_associato.php"); //IMPORTANTE

$IdCommessa = ntxise('IdCommessa'); 
$ricerca = ntxip('ricerca');

$addWhere = "";

if ( $ricerca==1 ) // finite
{
	$addWhere .= " AND (Ordini.StatoOrd >= 50 )";
}
elseif ( $ricerca==2 ) // prese in carico
{ 
	$addWhere .=  " AND (Ordini.StatoOrd < 50 OR Richieste.Stato<>-1 ) AND Richieste.Stato<>10 ";
}
elseif ( $ricerca==3 ) // aperte
{
	$addWhere .=  " AND (Richieste.Stato = -1 )";
}

$sql = <<< sql
SELECT DISTINCT
Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, Richieste.Richiedente, 

Ordini.IdOrd, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.Contabiliz, Ordini.DataOrdine, Ordini.DataScadenza, LEFT(Ordini.DescrizioneIntervento, 100) AS DesOrdine, 
TabellaGradoUrgenza.GradoU, TabellaGradoUrgenza.Descrizione AS DesGradoU, 

ElencoEdifici.Codice AS CodLocaliz, ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 

tblMestieri.codice AS CodMestiere, tblMestieri.Descrizione AS Mestiere, 

Ambiente.CodiceAssAmbiente AS Vano,

Stati.DesStato AS StatoRichiesta, 

StatiOrdini.DesStato AS StatoOrdine
				  
FROM      
	Richieste
	LEFT OUTER JOIN
	Ordini ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND  Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
	LEFT OUTER JOIN
	StatiOrdini   ON Ordini.StatoOrd = StatiOrdini.IDStato 
	LEFT OUTER JOIN
	tblMestieri ON    Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere

	LEFT OUTER JOIN
	TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU 
	LEFT OUTER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID  
	LEFT OUTER JOIN
	Ambiente ON Ambiente.IdCommessa = Richieste.IDCommessa AND Ambiente.IdEdificio = Richieste.Localizzazione AND  Ambiente.IDAmbiente = Richieste.IdAmbiente 
	LEFT OUTER JOIN
	Stati ON Richieste.Stato = Stati.IDStato 
	LEFT OUTER JOIN
	PianoLivello ON Richieste.IDCommessa = PianoLivello.IdCommessa AND Richieste.Localizzazione = PianoLivello.IdEdificio AND  Richieste.IdLivello = PianoLivello.idPiano


WHERE     
	Richieste.IDCommessa = $IdCommessa
	AND tblMestieri.ModuloLavanderia = 1
	AND Richieste.IdPersona = $IdPersona 
	
	$addWhere
sql;
 
$paginazione = ntxPaginazione($sql, "DataRichiesta DESC, DataOrdine DESC");

$query = $paginazione->query;

$table =  "";

while ($rs=ntxRecord($query))
{
	$rs[NumRichiesta] = (int)$rs[NumRichiesta];
	$rs[AnnoRichiesta] = (int)$rs[AnnoRichiesta];
	$rs[DataRichiesta] = ntxDateTime($rs[DataRichiesta]);
	$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]); 

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);			

		
	$Ordine = '';	
	if(is_numeric($rs[IdOrd])  &&  $rs[IdOrd]>0)
		$Ordine.="<br> <b>ordine: $html[NumOrdine]/$html[AnnoOrdine]</b> <b>$html[DesOrdine]</b> Scad.Intervento <b>$html[DataScadenza] ";
		
	$table .= <<< table
	<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="SelRichiesta($rs[NumRichiesta],$rs[AnnoRichiesta])">
	
		<b>$html[NomeLocaliz] - $html[Indirizzo] - $html[CITTA] - ($html[PROVINCIA])</b>
		- Piano <b>$html[Piano]</b> - Vano <b>$html[Vano]</b>
		
		<br>$html[Richiedente]
			- <b>$html[CodMestiere] - $html[Mestiere]</b>
		<br>$html[DesOrdine]
		<br><b>richiesta: $html[NumRichiesta]/$html[AnnoRichiesta]</b> - $html[DataRichiesta] - <b>$html[StatoRichiesta]</b>
		<br>$html[GradoU] - $html[DesGradoU] - </b> 
		
		$Ordine
		
	</button>
table;
	
}

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);
?>