<?php  
session_start();
require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

if(is_numeric($_GET['NumRichiesta'])) 
	$_POST['NumRichiesta'] = $_GET['NumRichiesta'];

if(is_numeric($_GET['AnnoRichiesta'])) 
	$_POST['AnnoRichiesta'] = $_GET['AnnoRichiesta'];

if(is_numeric($_GET['AnnoRichiesta'])) 
	$_POST['AnnoRichiesta'] = $_GET['AnnoRichiesta']; 
?>
<!DOCTYPE html> 
<html>
<head>
	<title>Edit Richiesta</title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" /> 
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script> 
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	
	<style>
	.ui-page, .ui-body-c, .ui-page-active, .ui-overlay-c, .ui-mobile-viewport
	{
		background: transparent !important;
	}
	</style>
</head>

<body >    

<body>
<?php 
$Utente = $_SESSION['Utente'];
$IdCommessa = ntxise('IdCommessa');  
$NumRichiesta = $_POST['NumRichiesta'];
$AnnoRichiesta = $_POST['AnnoRichiesta'];

$IdLavanderia = $_POST['IdLavanderia']; 
 
$StatoR = '';

if( is_numeric( $_POST['NumRichiesta'])  &&  is_numeric( $_POST['NumRichiesta']) )
{
	$sql = <<< _SQL
	SELECT  Richieste.Stato
	FROM         
		Richieste
	WHERE	
		Richieste.IdCommessa = $IdCommessa
		AND Richieste.NumRichiesta = $NumRichiesta
		AND Richieste.AnnoRichiesta = $AnnoRichiesta
_SQL;

	$StatoR = ntxScalar($sql);
}



$sql = <<< _SQL
DELETE FROM 
	Lavanderia
	
WHERE  
	DataCreazione < DATEADD(day,-1,getdate())
	AND Lavanderia.IdCommessa IS NULL
	AND Lavanderia.NumRichiesta IS NULL
	AND Lavanderia.AnnoRichiesta IS NULL
_SQL;
ntxQuery($sql); //pulizia per i vecchi record



//vedo se esiste un record associato alla richiesta
if(!is_numeric($IdLavanderia)  &&  is_numeric( $_POST['NumRichiesta'])  &&  is_numeric( $_POST['AnnoRichiesta']) )
{
	$sql = <<< _SQL
	SELECT 
		Lavanderia.ID
		
	FROM  
		Lavanderia
		
	WHERE 
		Lavanderia.IdCommessa = $IdCommessa
_SQL;

	if( is_numeric( $_POST['NumRichiesta']) )
	{
		$val = (int)$_POST['NumRichiesta'];
		$sql .= " AND Lavanderia.NumRichiesta = $val ";
	} 

	if( is_numeric( $_POST['AnnoRichiesta']) )
	{
		$val = (int)$_POST['AnnoRichiesta'];
		$sql .= " AND Lavanderia.AnnoRichiesta = $val ";
	} 
 
	$IdLavanderia = ntxScalar($sql);  
}

//vedo se esiste un record temporaneo
if(!is_numeric($IdLavanderia))
{
	$sql = <<< _SQL
	SELECT 
		Lavanderia.ID
		
	FROM  
		Lavanderia
		
	WHERE 
		UtenteCreazione = '$Utente' 
		AND Lavanderia.IdCommessa = $IdCommessa
		AND DataCreazione BETWEEN DATEADD(day,-1,getdate())  AND getdate()
		AND Lavanderia.NumRichiesta IS NULL
		AND Lavanderia.NumRichiesta IS NULL
_SQL;
 
	$IdLavanderia = ntxScalar($sql);  
}


if(!is_numeric($IdLavanderia)) //creo il record
{
	$Lavanderia= new NtxTable("Lavanderia");		
	$Insert= $Lavanderia->insert();    

	$Insert->set("DataCreazione", "GETDATE()", true);       
	$Insert->set("UtenteCreazione", $_SESSION['Utente'] ); 
	$Insert->set("IdCommessa", $IdCommessa );

	if ( is_numeric($_POST['NumRichiesta'])  &&  is_numeric($_POST['AnnoRichiesta']) ) 
	{
		$Insert->set("NumRichiesta", $_POST['NumRichiesta'] );
		$Insert->set("AnnoRichiesta", $_POST['AnnoRichiesta'] );
	}
	
	$Insert->execute(); 

	$sql = "SELECT MAX(ID) FROM Lavanderia"; 
	$IdLavanderia  = ntxScalar($sql);   	
} 


$sql = <<< _SQL
SELECT 
	Lavanderia.*
	
FROM  
	Lavanderia
	
WHERE 
	ID = $IdLavanderia
_SQL;

$rs = ntxRecord( ntxQuery($sql) );	 
?>

<!-- INIZIO CORPO PAGINA -->
<div data-role="collapsibleset" style="margin:0;padding:0"> 

	<div class="ui-field-contain" > 
		<input type="text" onchange="updateLavanderia(this , 'Note', '<?php echo $rs[ID] ?>')" value="<?php echo htmlentities($rs['Note']) ?>" placeholder="annotazioni" id="Lavanderia_Note" />  
	</fieldset>   
 	
	
	<?php  
	$sql = <<< sql
	SELECT  ID, Nome  
	FROM  LavanderiaCapi 
	WHERE     
		(IdCommessa =  $IdCommessa)  
sql;
	$query = ntxQuery($sql); 
	while( $rs = ntxRecord($query) )
	{
		$IdLavanderiaCapi = $rs[ID];	
		
		$sql = <<< _SQL
		SELECT     
			LavanderiaQuantita.ID			  
		FROM         
			LavanderiaQuantita
		WHERE
			LavanderiaQuantita.IdLavanderia = $IdLavanderia
			AND LavanderiaQuantita.IdLavanderiaCapi = $IdLavanderiaCapi
_SQL;
		$IdLavanderiaQuantita = ntxScalar($sql);	
	
		if(!is_numeric($IdLavanderiaQuantita)  &&  ($StatoR=='' || $StatoR==-1) ) //creo il record
		{
			$LavanderiaQuantita= new NtxTable("LavanderiaQuantita");		
			$Insert= $LavanderiaQuantita->insert();    
	 
			$Insert->set("IdLavanderia", $IdLavanderia ); 
			$Insert->set("IdLavanderiaCapi", $IdLavanderiaCapi );  
			
			$Insert->execute();  	
		}  
	}  
	?>
	 	 
	
	<table data-role="table" class="ui-responsive"> 
 
	<thead>
		<tr>
			<?php   
			$sql = <<< _SQL
			SELECT     
				LavanderiaCapi.Nome AS capo
				, LavanderiaQuantita.*
			FROM         
				LavanderiaQuantita 
				LEFT OUTER JOIN
				LavanderiaCapi ON LavanderiaQuantita.IdLavanderiaCapi = LavanderiaCapi.ID
			WHERE
				LavanderiaQuantita.IdLavanderia = $IdLavanderia 
_SQL;
			$query = ntxQuery($sql); 
			while( $rs = ntxRecord($query) )
			{ 
			?>   
				<th> <?php echo htmlentities($rs[capo], 0) ?>    
			<?php   
			}
			?>  
		</tr>
	</thead>
  
	<tbody>
		<tr>
			<?php   
			$sql = <<< _SQL
			SELECT     
				LavanderiaCapi.Nome AS capo
				, LavanderiaQuantita.*
			FROM         
				LavanderiaQuantita 
				LEFT OUTER JOIN
				LavanderiaCapi ON LavanderiaQuantita.IdLavanderiaCapi = LavanderiaCapi.ID
			WHERE
				LavanderiaQuantita.IdLavanderia = $IdLavanderia 
_SQL;
			$query = ntxQuery($sql); 
			while( $rs = ntxRecord($query) )
			{ 
			?>    
				<td><input type="text"  value="<?php echo ntxRound($rs[Quantita], 0) ?>" onchange="updateLavanderiaQuantita(this , 'Quantita', '<?php echo $rs[ID] ?>')" value="<?php echo htmlentities($rs['Quantita']) ?>" placeholder="quantità" />    
			<?php   
			}
			?>  
		</tr>
	</tbody>
  
</div>


<form method="post"  id="frmReload"  name="frmReload" >
	<?php ntxCreateHiddens() ?> 
</form> 	

<form method="post"  id="frmCaricaPerRichiesta"  name="frmCaricaPerRichiesta" >
	<input type="hidden" name="NumRichiesta"  value="<?php echo $_POST[NumRichiesta] ?>" >
	<input type="hidden" name="AnnoRichiesta" value="<?php echo $_POST[AnnoRichiesta] ?>" >
	<input type="hidden" name="IdLavanderia" value="<?php echo $IdLavanderia ?>" >
</form> 	

<form name="formUpdate" id="formUpdate" method="post" >  
	<input type="hidden" name="ID" id="ID" /> 
	<input type="hidden" name="Element" id="Element" /> 
	<input type="hidden" name="valueElement" id="valueElement" /> 
</form>

 
<script type="text/javascript">	 
$(document).ready(function() 
{	   
	parent.ridimensionaFrame('#frmModuloLavanderia', $(document).height()  );
});  

function updateLavanderia(obj , strElement, ID)
{
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID; 
	
	if ( !ntxSendForm(document.formUpdate, function(){}, 'lavanderia/update') )
		alert("Operazione terminata con errori!\nRiprovare");  		
}

function updateLavanderiaQuantita(obj , strElement, ID)
{
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID;

	if ( !ntxSendForm(document.formUpdate, function(){}, 'LavanderiaQuantita/update') )
		alert("Operazione terminata con errori!\nRiprovare");  	
}


function aggiungiRichiesta(NumRichiesta, AnnoRichiesta)
{     
	document.frmCaricaPerRichiesta.NumRichiesta.value =  NumRichiesta;
	document.frmCaricaPerRichiesta.AnnoRichiesta.value =  AnnoRichiesta;
	
	ntxSendForm(document.frmCaricaPerRichiesta, function(){}, 'lavanderia/aggiungiRichiesta')  
} 


function caricaPerRichiesta(NumRichiesta, AnnoRichiesta)
{ 
	document.frmCaricaPerRichiesta.NumRichiesta.value = NumRichiesta;
	document.frmCaricaPerRichiesta.AnnoRichiesta.value = AnnoRichiesta;
 
	document.frmCaricaPerRichiesta.submit();
}


function verificaDati()
{    
	if( $('#Lavanderia_Note').val()==''  )
		return false;
	else
	 return true; 
} 

function disabilitaTutto()
{
	$('input, textarea, select').attr("disabled", true);
} 
</script> 

</body>
</html>
