<?php 
require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if(is_numeric($_GET[modalita]))
	$_POST[modalita] = $_GET[modalita];

$IdCommessa = ntxise('IdCommessa');
$modalita = ntxip('modalita');

$NumRichiesta = $_POST[NumRichiesta];
$AnnoRichiesta = $_POST[AnnoRichiesta]; 
?>
<!DOCTYPE html> 
<html>
<head>
	<title>Edit Richiesta</title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" /> 
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script> 
	
	<script src="js/index.js"></script>
	<script src="js/richieste_edit.js"></script> 
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>
<body >

<div data-role="page"> 

	<script>
	var modalita = '<?php echo $modalita ?>';
	
	$(document).ready(function() 
	{   
		$('#sceltaCodiceAssAmbiente').hide();
		
		BloccaModuloLavanderia();
		
		avvio();
	}); 
	
	function avvio()
	{ 
		if(modalita==1) //nuova richiesta
		{
			var result = jhp("jhp/edificio_associato.php",  jhp_frm(document.form1) );
			if(result.state)
			{
				alert('Opsss :(\nErrore nella procedura di avvio:!\n'+result.message);
			}
			else
			{
				var record = result.value;  
				
				var length = record.length;
				
				if(length==0)
				{
					alert("Impossibile creare una nuova richiesta.\nNon risulti associato con nessun ambiente.");
				}
				else
				{
					if(length==1)
					{
						var fields = record[0]; 
						var form = document.form1;  
						
						$.each( fields, function( key, value ) 
						{ 
							$(form).find($('[name='+key+']')).val(value); 
						});
						
						$('#anagraficaLocalizzazione').html( fields.EdificioCodice+' - <strong>'+fields.EdificioNome+'</strong> <br>'+fields.EdificioIndirizzo+' - '+fields.EdificioProv+'<br>'+fields.AmbienteDes+' - '+fields.Piano );
						
						$("#frmModuloLavanderia").attr("src","modulo_lavanderia.php"); 
					}
					else if(length>1)
					{
						$('#sceltaCodiceAssAmbiente').show();
						
						var idSelect = '#comp_cod';
						
						$(idSelect).find('option').remove(); 
						
						$( record ).each(function( index, element )  
						{
							var CodiceAssAmbiente = element.CodiceAssAmbiente;
							
							$(idSelect).append('<option value="'+CodiceAssAmbiente+'">'+CodiceAssAmbiente+'</option>');
						});  		
					}
					
					settaTasti();
				}
			}
		}
		else if(modalita==2) //caricamento di una richiesta
		{
			caricaRichiesta( '<?php echo $_POST['NumRichiesta'] ?>' , '<?php echo $_POST['AnnoRichiesta'] ?>' );
		}
	} 
	
	function settaTasti()
	{  
		if ( $.isNumeric(document.form1.NumRichiesta.value)  &&  $.isNumeric(document.form1.AnnoRichiesta.value) )
		{ 
			document.getElementById("btn_annulla").onclick= function() { annullaRichiesta(); }; 
			document.getElementById("btn_registra").onclick= function() { modificaRichPreregistrata(); };  
		}
		else
		{  
			document.getElementById("btn_registra").onclick= function() { aggiungiRichPreregistrata(); }; 
		}
	  
		var Stato = document.form1.Stato.value;
		
		$('#btn_registra').hide();
		$('#btn_annulla').hide();				
		 
		
		if( !$.isNumeric(Stato) || Stato=='' )
		{ 
			$('#btn_registra').show();
		}
		else if( $.isNumeric(Stato) )
		{
			if( Stato==-1 )
			{
				$('#btn_annulla').show();
				$('#btn_registra').show();
			} 
		} 
	}
	
	
	function funcCaricaRichiesta(text)
	{	 
		var rows=ntxRecord(text);
		ntxFormAssign(document.form1, rows);
		
		var result = jhp("jhp/richieste/carica_richiesta.php",  jhp_frm(document.form1) );
		if(result.state)
		{
			alert('Opsss :(\nErrore nella procedura di avvio:!\n'+result.message);
		}
		else
		{ 
			resetForm('form1');
			
			var record = result.value;    
			 
			var fields = record[0]; 
			var form = document.form1;  
			
			$.each( fields, function( key, value ) 
			{ 
				$(form).find($('[name='+key+']')).val(value); 
			});	
			
						
			$('#divRichiesta').html( "<strong>richiesta:</strong> "+document.form1.NumRichiesta.value+' / '+document.form1.AnnoRichiesta.value );
			$('#divStato').html( "<strong>stato:</strong> "+document.form1.DesStato.value );			

			$('#anagraficaLocalizzazione').html( fields.EdificioCodice+' - '+fields.EdificioNome+'<br>'+fields.EdificioIndirizzo+' - '+fields.EdificioProv+'<br>'+fields.AmbienteDes+' - '+fields.Piano );
			$('#InfoOrdine').html(fields.ordine); 
		}	 
		
		settaTasti();		
	} 
	
	function caricaRichiesta(NumRichiesta, AnnoRichiesta)
	{ 
		document.form1.NumRichiesta.value = NumRichiesta;
		document.form1.AnnoRichiesta.value = AnnoRichiesta;  
		
		ntxSendForm(form1, funcCaricaRichiesta, 'edit_richiesta/carica_richiesta');	
		$("#frmModuloLavanderia").attr("src","modulo_lavanderia.php?NumRichiesta="+document.form1.NumRichiesta.value+"&AnnoRichiesta="+document.form1.AnnoRichiesta.value); 
	} 
	
	function annullaRichiesta()
	{
		if(!confirm('Si desidera annullare la richiesta?')) return;
	
		if ( ntxSendForm(form1, funcCaricaRichiesta, 'edit_richiesta/annulla_richiesta') )
		{
			alert("Annullo avvenuto con successo!");
		}
	}
	
	function modificaRichPreregistrata()
	{
		if(!verificaModuloLavanderia()) { alert('Prima di continuare à¨ neccessario compilare il modulo di lavanderia.'); return; }
	
		if ( ntxSendForm(form1, funcCaricaRichiesta, 'edit_richiesta/modifica_richiesta') )
		{
			SalvaModuloLavanderia();
			alert("Modifiche salvate!");
		}
	}
	
	function aggiungiRichPreregistrata()
	{
		if(!verificaModuloLavanderia()) { alert('Prima di continuare à¨ neccessario compilare il modulo di lavanderia.'); return; }
		
		if ( ntxSendForm(form1, funcCaricaRichiesta, 'edit_richiesta/aggiungi_richiesta') )
		{
			SalvaModuloLavanderia();
			alert("Aggiunta avvenuta con successo!");
		}
	}
	
	function resetForm(id) 
	{ 
	   $(':text, :password, :file', '#'+id).val('');   
	   $(':input,select option', '#'+id).removeAttr('checked').removeAttr('selected'); 
	   $('select option:first', '#'+id).attr('selected',true); 
	}	
	
	
	function verificaModuloLavanderia()	
	{  
		try
		{  
			return document.getElementById("frmModuloLavanderia").contentWindow.verificaDati() ;
		}
		catch(ex)
		{ 
			return true;
		}
	} 
	 
	function BloccaModuloLavanderia()	
	{  
		$('#frmModuloLavanderia').load(function() 
		{
			//$('#frmModuloLavanderia').unbind('load'); 
			
			var Stato = document.form1.Stato.value; 

			if( $.isNumeric(Stato) )
			{
				if( Stato!=-1 )
				{
					document.getElementById("frmModuloLavanderia").contentWindow.disabilitaTutto(); 		
				} 
			} 
		});		 
	}
	 
	function SalvaModuloLavanderia()	
	{  
		try
		{  
			document.getElementById("frmModuloLavanderia").contentWindow.aggiungiRichiesta(document.form1.NumRichiesta.value, document.form1.AnnoRichiesta.value); 		
		}
		catch(ex) { }
	}		
	
	
	function ridimensionaFrame(id, height)
	{
		 $(id).height(height);
	}
	</script>

	<div data-role="header" data-position="fixed">
        <h1><?php echo $label ?></h1>
        <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
        <a href="index.php" data-ajax="false" data-icon="back" data-iconpos="notext"></a>
    </div>

	<div role="main" class="ui-content jqm-content jqm-fullwidth" style="margin:0;padding:0">
	
	
	<!-- INIZIO CORPO PAGINA -->
	<div data-role="collapsibleset" style="margin:0;padding:0">
		
	<form id="form1" name="form1"  method="post" >	
		
		<div data-role="collapsible" data-collapsed="false" style="margin:0;padding:0">
			<h4>Richiesta </h4> 						 
			 
			<input type="hidden" name="IdEdificio" >
			<input type="hidden" name="IdPersona" >
			<input type="hidden" name="IdUtilizzatore" >
			<input type="hidden" name="IdAmbiente" >
			<input type="hidden" name="IdLivello" >
			<input type="hidden" name="Stato" >
		 
			<input type="hidden" name="NumRichiesta" >
			<input type="hidden" name="AnnoRichiesta" > 
			<input type="hidden" name="DesStato" >
			
		 
			<div  id="sceltaCodiceAssAmbiente" >
				<label for="comp_cod">codice ambiente</label>

				<select name="comp_cod" id="comp_cod" style="background:#A2CD5A; font-weight:bold;" onchange="" ></select> 
			</div>		 
		 
			<div   > 
				<div id="anagraficaLocalizzazione" style="width:100%; text-align:center;" ></div>
			</div>	   
			
			<div >
				<iframe id="frmModuloLavanderia" style="padding:0;margin:0;position:relative;width:100%;height:auto;background:transparent;border:none;" ></iframe>
			</div>			
	  
 
			<div id="divRichiesta" ></div>					

			<div id="divStato"   ></div>	 
			
		 
			<div   > 
				<div id="InfoOrdine" style="width:100%; text-align:left;" ></div>
			</div>	  	 
		</div>  
	</form>	
		
	</div>
	
	<!-- FINE CORPO PAGINA -->
	</div>
 
 
<div class="ui-field-contain"> 
	<button id="btn_registra" 	data-theme="b">Registra</button>
	<button id="btn_annulla" 	data-theme="c">Annulla</button> 	
</div> 
 

</div> 


</body>
</html>