<?php 
$TOT_PULIZIE_CANONE = 0.00;

if(is_numeric($IdRiepilogo))
{
	$sql = <<< sql
	SELECT  *
	FROM SopraluogoEdificioRiepilogo
	WHERE  
		ID=$IdRiepilogo  
sql;

	$rs1 = ntxRecord(ntxQuery($sql));
 
	$GGerogazioneServizio = $rs1[GGerogazioneServizio];
	$Mesi = $rs1[Mesi];

	 
	$tbl .= <<< _HTML
	<table data-role="table"   class="ui-responsive tabellaRis"  >
_HTML;

	$tbl .= <<< _HTML
	<thead>
		<tr>	
			<th>S.G.Servizio	
			<th>Servizio	
			<th>Tipo	
			<th>U.Misura	
			<th>I.Unitario	
			<th>Mq	
			<th>%F.Correttivo	
			<td>&nbsp;
			<th>Euro/Anno
	</thead>

	<tbody>
_HTML;

	$sql = <<< sql
	SELECT     *
	FROM         SopralugoServiziPulizia
	WHERE    
		IdCommessa=$IdCommessa
		AND classificazione LIKE 'pulizie_canone'
	ORDER BY Codice, Descrizione
sql;

	$query1 = ntxQuery($sql);

	while ($rs1 = ntxRecord($query1))
	{
		$IdServizio = $rs1[ID];
		$FCorrettivo = $rs1[FCorrettivo];
		$IUnitario = $rs1[IUnitario];
		 
		$sql = <<< sql
		SELECT  SUM(MQ) AS somma
		FROM SopralugoAmbienti
		WHERE  
			IdCommessa=$IdCommessa   
			AND IdRiepilogo=$IdRiepilogo  
			AND IdServizioSopralugo=$IdServizio   
sql;
		$MQ = 0.00 + ntxScalar($sql);
		
		
		$calcoloFattore = 'x';
		if($GGerogazioneServizio==6)
		{
			$calcoloFattore = $FCorrettivo;
		}
		else
		{
			$calcoloFattore = 1.00;
		}
		
		$euro2anno = (float)$IUnitario * (float)$MQ * (float)$calcoloFattore * (float)$Mesi;
		
		$TOT_PULIZIE_CANONE += $euro2anno;
		
		
		$rs1[IUnitario]+= 0.00;
		$rs1[FCorrettivo]+= 0.00;
		
		$rs1[IUnitario] = ntxRound($rs1[IUnitario], 2);
		$rs1[FCorrettivo] = ntxRound($rs1[FCorrettivo], 2);
		$MQ = ntxRound($MQ, 2);
		$calcoloFattore = ntxRound($calcoloFattore, 2);
		$euro2anno = ntxRound($euro2anno, 2);
	
		
	$tbl .= <<< _HTML
	<tr>	
		<td>$rs1[SG]
		<td>$rs1[Codice] $rs1[Descrizione]
		<td>$rs1[Tipo]
		<td>$rs1[UnitaMisura]
		<td>$rs1[IUnitario]
		<td style="background:#66CCFF;font-weight:bold;" >$MQ
		<td>$rs1[FCorrettivo]
		<td>$calcoloFattore
		<td style="background:#66CC99;font-weight:bold;" >$euro2anno 
_HTML;
	}

	$tbl .= <<< _HTML
		</tbody>
	</table>
_HTML;
}
?>

