<?php

//require_once('DB.php');
require_once(NTX_PATH."messages.inc");
 

function ntxAddLogin($Utente, $Password, $IdUtente, $Stato, $Portale)
{
	$LoginUtenti = new NtxTable("LoginUtenti");
	$InsLogin = $LoginUtenti->Insert();
	
	$InsLogin->set("Nome", $Utente);
	$InsLogin->set("Stato", $Stato);
	$InsLogin->set("IdUtente", $IdUtente);
	$InsLogin->set("DataOra", "getdate()", true);
	$InsLogin->set("Portale", $Portale);	
	
	if($Stato==3)
		$InsLogin->set("Password", $Password);
	
	$InsLogin->execute();
}


function ntxOpenDb($dsn)
{
	global $ntxDb; 
		
		
	$serverName = "SVILUPPO";  
	$connectionInfo = array( "Database"=>"$dsn", "ReturnDatesAsStrings" => true, "UID"=>"sa", "PWD"=>'3QC9j0cVY+"wl0&h', "CharacterSet" => "UTF-8" );  
	$ntxDb = sqlsrv_connect( $serverName, $connectionInfo);  

	if ( $conn === false ) {   
	  ntxMsgErr( print_r( sqlsrv_errors(), true));  
	}  		
			
		
	ntxQuery("SET LANGUAGE ITALIAN");
	ntxQuery("SET CONCAT_NULL_YIELDS_NULL OFF");  
}

function ntxClose()
{
	global $ntxDb;

	sqlsrv_close($ntxDb);
}

function ntxUpdatedRows()
{
	global $ntxDb;
	
	return sqlsrv_num_rows($query);
}

function ntxQuery($sql)
{
	global $ntxDb;  
		
	$query = sqlsrv_query($ntxDb, $sql);  

	if ( $query === false ) {   
	   ntxMsgErr( print_r( sqlsrv_errors(), true)." query: $sql");  
	}  		
		
		
	return $query;
}

function ntxRecord($query)
{
	global $ntxDb; 

	$record = sqlsrv_fetch_array( $query, SQLSRV_FETCH_ASSOC);	 
 
	$record2 = array();
 
	if ( is_array($record) || is_object($record) ) //problema con le lettere accentate che altrimenti ritornano come Specials Unicode (rombo nero con punto interrogativo)
	{
		foreach($record as $key => $value)
		{ 
			$record2[ iconv('ISO-8859-1', 'UTF-8', $key) ] =  $value; //questo viene fatto perché la collation è in Latin1_General_CI_AS 
		}
	} 
		
	return $record2;
}

function ntxIRecord($query)
{
	global $ntxDb;
	 
	
	$record = sqlsrv_fetch_array( $query, SQLSRV_FETCH_NUMERIC);	

	return $record;
}



function ntxScalar($sql)
{
	$query = ntxQuery($sql);
	
	if ( $rs = ntxIRecord($query) )
		return $rs[0];
		
	return null;
}

function ntxId()
{
	return ntxScalar("SELECT @@IDENTITY");
}


?>