<?php 
$sql = <<<_SQL
SELECT  
	Risorse.Id AS IdRisorsaSel
	,Risorse.email
	,Risorse.cellulare
	,Ordini.IdRisorsa AS IdRisorsaOrd
	,RisorseEdifici.Priorità
FROM   
	Risorse 
	INNER JOIN
	RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa 
	INNER JOIN
	Ordini ON RisorseEdifici.IdCommessa = Ordini.IDCommessa AND RisorseEdifici.IdEdificio = Ordini.CodEdificio
	INNER JOIN
	Ditte ON Risorse.CodDitta = Ditte.IDDitta
WHERE 
	Ordini.IDCommessa = $IdCommessa 
	AND Ordini.NumOrdine = $NumOrdine
	AND Ordini.AnnoOrdine = $AnnoOrdine
	AND (Risorse.Dismesso IS NULL OR Risorse.Dismesso = 0) 
	AND (Risorse.email <> '')  

	AND (Ordini.IdRisorsa IS NOT NULL AND Risorse.Id<>Ordini.IdRisorsa)
	
	AND (Ditte.SquadraTelecontrollo IS NULL OR Ditte.SquadraTelecontrollo=0)
	
	AND 
	RisorseEdifici.Priorità IN
	(
		SELECT  
			MIN(RisorseEdifici.Priorità)
		FROM   
			Risorse 
			INNER JOIN
			RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa 
			INNER JOIN
			Ordini ON RisorseEdifici.IdCommessa = Ordini.IDCommessa AND RisorseEdifici.IdEdificio = Ordini.CodEdificio
			INNER JOIN
			Ditte ON Risorse.CodDitta = Ditte.IDDitta
		WHERE 
			Ordini.IDCommessa = $IdCommessa 
			AND Ordini.NumOrdine = $NumOrdine
			AND Ordini.AnnoOrdine = $AnnoOrdine
			AND (Risorse.Dismesso IS NULL OR Risorse.Dismesso = 0) 
			AND (Risorse.email <> '')  

			AND (Ordini.IdRisorsa IS NOT NULL AND Risorse.Id<>Ordini.IdRisorsa)
			
			AND (Ditte.SquadraTelecontrollo IS NULL OR Ditte.SquadraTelecontrollo=0)
	) 
_SQL;

$query = ntxQuery($sql); 

while( $rs = ntxRecord($query) )
{  
	if ( $rs[email].'' != '' )
		$emails[] = "".$rs[email];	
	
	if ( $rs[cellulare].'' != '' )
		$cellulari[] = "".$rs[cellulare];	  
} 
?>