<?php
//troviamo i dati sul sollecito e sulla richiesta
$sql = <<< SQL
SELECT 
	Solleciti.SollecitoDa, Solleciti.DescrizioneSollecito, Solleciti.NumRichiesta, Solleciti.AnnoRichiesta
	
FROM  
	Solleciti 
	
WHERE 
	Solleciti.ID = $IdSollecito
	AND Solleciti.IDCommessa = $IdCommessa
SQL;

$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{
	$SollecitoDa = $rs[SollecitoDa];
	$DescrizioneSollecito = $rs[DescrizioneSollecito];
	$NumRichiesta = (int)$rs[NumRichiesta];
	$AnnoRichiesta = (int)$rs[AnnoRichiesta];

	$sql = <<< sql
	SELECT     
		Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, 
		tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Richieste.Localizzazione AS IdEdificio,
		Richieste.DataInizioP, Richieste.DataFineP, 
		TabellaGradoUrgenza.GradoU, TabellaGradoUrgenza.Descrizione	AS GradoUrgenza  
	FROM         
		Richieste 
		INNER JOIN
		ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID 
		LEFT OUTER JOIN
		tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
		LEFT OUTER JOIN
		tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere
		LEFT OUTER JOIN
		TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU	  
	WHERE     
		(Richieste.IDCommessa = $IdCommessa) 
		AND (Richieste.NumRichiesta = $NumRichiesta) 
		AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;
	$rs2 = ntxRecord(ntxQuery($sql));	

	$oggetto = $traduttore->traduci('Sollecito da')." $rs2[Ente] $rs2[EdificioBreve] ".$traduttore->traduci('su richiesta')." $NumRichiesta/$AnnoRichiesta";

/*$messaggio = <<<_SQL
L'utente $SollecitoDa richiede: $DescrizioneSollecito.

Il sollecito e' relativo alla richiesta $rs2[NumRichiesta]/$rs2[AnnoRichiesta].
Il richiedente '$rs2[Richiedente]' ha richiesto '{$rs2[Descrizione]}{$rs2[Descrizione1]}{$rs2[Descrizione2]}' per il servizio '$rs2[Mestiere]', localizzato in $rs2[Ente] $rs2[EdificioBreve] $rs2[Indirizzo] $rs2[CITTA].
L'intervento ha priorità $rs2[GradoU] $rs2[GradoUrgenza].
_SQL;*/
$messaggio =
$traduttore->traduci('L\'utente')." $SollecitoDa ".$traduttore->traduci('richiede').": $DescrizioneSollecito.

".$traduttore->traduci('Il sollecito e\' relativo alla richiesta')." $rs2[NumRichiesta]/$rs2[AnnoRichiesta].
".$traduttore->traduci('Il richiedente')." '$rs2[Richiedente]' ".$traduttore->traduci('ha richiesto')." '{$rs2[Descrizione]}{$rs2[Descrizione1]}{$rs2[Descrizione2]}' ".$traduttore->traduci('per il servizio')." '$rs2[Mestiere]', ".$traduttore->traduci('localizzato in')." $rs2[Ente] $rs2[EdificioBreve] $rs2[Indirizzo] $rs2[CITTA].
".$traduttore->traduci('L\'intervento ha priorità')." $rs2[GradoU] $rs2[GradoUrgenza]."
;
}
?>
