<?php
$nomeCommessa = ntxScalar( "SELECT DesComm FROM  Commesse WHERE (IDCommessa = $IdCommessa)" );

$sql = <<< sql
SELECT     
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ditte.Ditta, Ordini.DescrizioneIntervento AS des1, Ordini.DescrizioneIntervento1 AS des2, 
	Ordini.DescrizioneIntervento2 AS des2, Ordini.NumRichiesta, Ordini.AnnoRichiesta, ElencoEdifici.Codice, Ordini.Intervento, Ordini.DataFine,
	PrestazioniOrdini.codice AS CodPrestazione, PrestazioniOrdini.descrizione AS DesPrestazione,
	Richieste.NumRifCli, Richieste.AnnoRifCli, Ordini.NotaInterna, Risorse.NOME AS RisorsaOrdine					  
FROM         
	ElencoEdifici INNER JOIN
	Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio 
	LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta 
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
	LEFT OUTER JOIN
	tblMestieri ON tblMestieri.IdCommessa = Ordini.IDCommessa AND tblMestieri.IdMestiere = Ordini.IdMestiere
	LEFT OUTER JOIN
	PrestazioniOrdini ON Ordini.IDCommessa = PrestazioniOrdini.IdCommessa AND Ordini.PrestazioneEffettuata = PrestazioniOrdini.id		
	LEFT OUTER JOIN
	Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.IDCommessa = Richieste.IDCommessa	
	LEFT OUTER JOIN
	Risorse ON Ordini.IdRisorsa = Risorse.ID	
WHERE     
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine) 
	AND (Ordini.AnnoOrdine = N'$AnnoOrdine')
sql;

$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{
	$oggetto = "$add_OGGETTO_MSG chiuso ordine $NumOrdine/$AnnoOrdine su richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta]";
	
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];

	$DataFine = ntxDateTime($rs[DataFine]);
		
	$Prestazione = "";	
	if ($rs[CodPrestazione]!=null || $rs[DesPrestazione]!=null)
		$Prestazione = "Prestazione: $rs[CodPrestazione] - $rs[DesPrestazione]";
	
	$messaggio = <<< messaggio
[Chiuso Ordine]

Commessa: $nomeCommessa 

Richiesta: $rs[NumRichiesta] / $rs[AnnoRichiesta] 

Ordine: $rs[NumOrdine] / $rs[AnnoOrdine] 

Localizzazione: $rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] - $rs[Ente] 

Descrizione Intervento: {$rs[des1]}{$rs[des2]}{$rs[des3]} 

Intervento: {$rs[Intervento]} 

Data Fine: $DataFine

$Prestazione
messaggio;


	$sql = <<< SQL
	SELECT     
		tblUtPersonale.IdPersona, tblUtPersonale.Nome AS tblUtPersonaleNome, tblUtPersonale.cellulare, tblUtPersonale.email,
		Richieste.NumRichiesta, Richieste.AnnoRichiesta
		
	FROM         
		Richieste 
		INNER JOIN
		tblUtPersonale ON Richieste.IdCommessaPersona = tblUtPersonale.IdCommessa AND Richieste.IdPersona = tblUtPersonale.IdPersona 
		INNER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND  Richieste.IDCommessa = Ordini.IDCommessa 
		
	WHERE   
		(Ordini.IDCommessa = $IdCommessa) 
		AND (Ordini.NumOrdine = $NumOrdine) 
		AND (Ordini.AnnoOrdine = $AnnoOrdine) 
SQL;
	$rs001t = ntxRecord( ntxQuery($sql) );

	if(is_numeric($rs001t[IdPersona]) && $rs001t[IdPersona]>0)
	{ 
		$sql = <<< sql
		SELECT    ID AS IdLavanderia, IdentificativoIndumenti, Note
		FROM         Lavanderia
		WHERE     
			(NumRichiesta =  $rs001t[NumRichiesta] ) 
			AND (AnnoRichiesta = $rs001t[AnnoRichiesta] )
			AND (IdCommessa = $IdCommessa) 
sql;
		$rs001 = ntxRecord( ntxQuery($sql) );
			
		if( is_numeric($rs001[IdLavanderia]) )
		{		
			$messaggio .= <<< messaggio
Ordine su richiesta di lavanderia $rs001t[NumRichiesta]/$rs001t[AnnoRichiesta] per lo studente: $rs001t[tblUtPersonaleNome].
Identificativo Indumenti '$rs001[IdentificativoIndumenti]'.
Note sugli indumenti '$rs001[Note]'.
Segue l'elenco degli indumenti:
messaggio;
 
			$sql = <<< sql
			SELECT     
				LavanderiaQuantita.ID AS IdLavanderiaQuantita, LavanderiaCapi.Nome, LavanderiaQuantita.Quantita
			
			FROM         
				LavanderiaQuantita 
				INNER JOIN
				LavanderiaCapi ON LavanderiaQuantita.IdLavanderiaCapi = LavanderiaCapi.ID
				
			WHERE     
				LavanderiaQuantita.IdLavanderia = $rs001[IdLavanderia]
sql;
			 $query001 = ntxQuery($sql); 
			while( $rs001 = ntxRecord($query001) )
			{
				$messaggio .= " | $rs001[Nome] $rs001[Quantita] | ";
			}		
		}
	} 

	
	
	//personalizzazioni per flusso di commessa
	if($SchemiFlussoPagineWeb=='flusso_seneca')
	{
		$oggetto = "$rs[EdificioBreve] - chiuso ODL $NumOrdine/$AnnoOrdine su richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta] ";
		
		$messaggio = <<< messaggio
Commessa: $nomeCommessa 

Richiesta: $rs[NumRichiesta] / $rs[AnnoRichiesta] 

ODL AOUC: $rs[NumRifCli]

Localizzazione: $rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] - $rs[Ente] 

Descrizione Intervento: {$rs[des1]}{$rs[des2]}{$rs[des3]} 

Intervento: {$rs[Intervento]} 

Data Fine: $DataFine

Note Interne: $rs[NotaInterna]

Operatore intervento: $rs[RisorsaOrdine]

$Prestazione
messaggio;



	}	
	
}
	
?>
