<?php
$sql = <<< sql
SELECT DISTINCT 
	ElencoEdifici.EdificioBreve, TipoComponente.DesComponente
	,MagazzinoEdifici2TipoComponente.Scorta, MagazzinoEdifici2TipoComponente.TotaleInstallato, MagazzinoEdifici2TipoComponente.Rimossi, MagazzinoEdifici2TipoComponente.Guasti, MagazzinoEdifici2TipoComponente.Fabbisogno
FROM  
	MagazzinoEdifici2TipoComponente 
	INNER JOIN
	ElencoEdifici ON MagazzinoEdifici2TipoComponente.IdCommessaEdificio = ElencoEdifici.IdCommessa AND 
	MagazzinoEdifici2TipoComponente.IdEdificio = ElencoEdifici.ID 
	INNER JOIN
	TipoComponente ON MagazzinoEdifici2TipoComponente.IdCommessaTipoComponente = TipoComponente.IdCommessa AND 
	MagazzinoEdifici2TipoComponente.IdTipoComponente = TipoComponente.IDTipoComponente
WHERE 
	MagazzinoEdifici2TipoComponente.ID = $IdMagazEdifTipoComp
sql;

$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{  
	$rs[Scorta] = ntxRound($rs[Scorta],2);
	$rs[Fabbisogno] = ntxRound($rs[Fabbisogno],2);
	
	$messaggio = <<< _MSG
Si avvisa che la scorta immagazzinata sulla {$rs[EdificioBreve]} del componente {$rs[DesComponente]} è in via di esaurimento.
Si consiglia dei reintegrarne l'approvvigionamento.

Scorta: {$rs[Scorta]} 
Fabbisogno: {$rs[Fabbisogno]} 

_MSG;
}
	
?>
