<?php
require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/trova_msg_richiedenti.inc');
require(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/logica_in_commessa.inc');

if(is_numeric($logicaEdificiPerMsgRichiedenti) && $logicaEdificiPerMsgRichiedenti==1)  
	$sql = <<< sql
	SELECT     
		Richiedenti.IdRichiedente, Richiedenti.cellulare, Richiedenti.email,
		Richieste.CIDcodice  
		
	FROM         
		Richiedenti 
		INNER JOIN
		RichiedentiEdifici ON Richiedenti.IdCommessa = RichiedentiEdifici.IdCommessa AND Richiedenti.IdRichiedente = RichiedentiEdifici.IdRichiedente 
		INNER JOIN
		Richieste ON RichiedentiEdifici.IdEdificio = Richieste.Localizzazione AND RichiedentiEdifici.IdCommessa = Richieste.IDCommessa
			
	WHERE     
		(Richieste.IDCommessa = $IdCommessa) 
		AND (Richieste.NumRichiesta = $NumRichiesta) 
		AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;
else
$sql = <<< sql
SELECT DISTINCT
	Richiedenti.IdRichiedente, Richiedenti.cellulare, Richiedenti.email,
	Richieste.CIDcodice  
	
FROM  
	Richiedenti 
	INNER JOIN
	Richieste ON Richiedenti.IdCommessa = Richieste.IDCommessa AND Richiedenti.IdRichiedente = Richieste.IdRichiedente	 
	
WHERE     
	(Richieste.IDCommessa = $IdCommessa) 
	AND (Richieste.NumRichiesta = $NumRichiesta) 
	AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;

$query = ntxQuery($sql);

$IdRichiedente = "";

while( $rs = ntxRecord($query) )
{
	$IdRichiedente = $rs[IdRichiedente];
	
	$invio =  findMsgRichiedenti($IdCommessa, $IdRichiedente, $MODULO);
	
	$CIDcodice = $rs[CIDcodice];
	$emailESMUsers = getMailAssociataRichiedente($IdCommessa, $IdRichiedente, $CIDcodice);
	if(strlen($emailESMUsers)>0) $rs[email] = $emailESMUsers;
	
	if($invio)
	{
		if ( $rs[email].'' != '' )
			$emails[] = $rs[email];
			
		if ( $rs[cellulare].'' != '' )
			$cellulari[] = $rs[cellulare];		
	}
}
?>
