<?php

$sql = <<< sql
	SELECT     Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, 
						  tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA
                      , Richieste.Localizzazione AS IdEdificio, Richieste.Note
	FROM         Richieste INNER JOIN
						  ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID LEFT OUTER JOIN
						  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
						  tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere
	WHERE     (Richieste.IDCommessa = $IdCommessa) 
		AND (Richieste.NumRichiesta = $NumRichiesta) 
		AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;

$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{
	$messaggio = <<< messaggio
		E' stata generata la richiesta in attesa di valutazione $rs[NumRichiesta]/$rs[AnnoRichiesta] da ($_SESSION[Utente]): Note: ($rs[Note]) - Richiedente ($rs[Richiedente]) - Servizio: ($rs[Mestiere]) - Localizzazione: $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]
messaggio;
}
	
?>
