<?php
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_721", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_721", "IT", __FILE__);

$sql = <<< sql
SELECT     
	Richieste.IdMestiere, 
	Richieste.Localizzazione, 
	Richieste.DataRichiesta, 
	Richieste.TecnicoC,  
	ElencoEdifici.Codice, 
	ElencoEdifici.EdificioBreve, 
	ElencoEdifici.CITTA,
	
	Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, 
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente	
FROM         
	Richieste 
	INNER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
	LEFT OUTER JOIN
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
WHERE 
	Richieste.IdCommessa=$IdCommessa
	AND Richieste.NumRichiesta=$NumRichiesta
	AND Richieste.AnnoRichiesta=$AnnoRichiesta
sql;

$query = ntxQuery($sql);

if ( $rs = ntxRecord($query) ) 
{ 
	$IdMestiere = $rs[IdMestiere];
	$Localizzazione = $rs[Localizzazione];
	$DataRichiesta = ntxt(ntxDate($rs[DataRichiesta]));
	$DataRichiesta22 = ntxDateTime($rs[DataRichiesta]);
	$TecnicoC = ntxs($rs[TecnicoC]);
	$Descrizione = $rs[Descrizione];
	$Descrizione1 = $rs[Descrizione1];
	$Codice = ntxs($rs[Codice]);
	$EdificioBreve = ntxs($rs[EdificioBreve]);
	$CITTA = ntxs($rs[CITTA]);
	$user = ntxsse('Utente');
	$user2 = $_SESSION['Utente'];

	if ( NTX_CLIENTE == "TEAM_SERVICE" )
	{
		$sqlx = <<< SQL
			SELECT  DISTINCT tblPgRifAffidatari.email_1
			FROM tblComponetiMestiere INNER JOIN
				tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
				tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
				tblPgContrattiRifAffidatari INNER JOIN
				tblPgContrattiRifAffidatariAttivitàEdifici ON 
				tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
				tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
				tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
				tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
				tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
			WHERE (tblComponetiMestiere.IdMestiere = $IdMestiere) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa)
				AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) 
				AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)
				AND (tblPgRifAffidatari.email_1 IS NOT NULL)
				AND (tblPgRifAffidatari.email_1 <> '')
SQL;

		if ( is_numeric($IdAffidatario) )
			$sqlx .= " AND tblPgRifAffidatari.IdAffidatario = $IdAffidatario ";
			
		$oggetto = $traduttore->traduci('AVVISO INSERIMENTO RICHIESTA COMMESSA')." $IdCommessa N° $NumRichiesta/$AnnoRichiesta";
		
		$sql = "SELECT Descrizione FROM tblMestieri WHERE IdCommessa=$IdCommessa AND IdMestiere=$IdMestiere";
		
		$mest = ntxScalar($sql);
		
		$sql = "SELECT DesComm FROM Commesse WHERE IdCommessa=$IdCommessa ";
		
		$nomeCommessa = ntxScalar($sql);
		
		$messaggio = $traduttore->traduci('COMMESSA')." $nomeCommessa .".$traduttore->traduci('L\'utente')."  $NomeRichiedente ".$traduttore->traduci('ha inoltrato richiesta n°')." $NumRichiesta ".$traduttore->traduci('del')." $DataRichiesta22 ".$traduttore->traduci('per il servizio di')." $mest."
					.$traduttore->traduci('Descrizione intervento').": $Descrizione $Descrizione1";
					
		$queryEmailRif1 = ntxQuery($sqlx);
	
		$NonTrovataEmailRif1 = true;
		
		while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					"richieste web",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					$rsEmailRif1[0],		
					$oggetto,				
					$messaggio,
					true);	
		
			$NonTrovataEmailRif1 = false;
		}
		
		if ( $NonTrovataEmailRif1 && isset($emailRifFuori) )
		{
			foreach ( $emailRifFuori as $email )
			{
				ntxFireNetInit($_SESSION['Utente'].'',				
						"richieste web",				
						"richiesta $NumRichiesta/$AnnoRichiesta",			
						"email",		
						$email,		
						$oggetto,				
						$messaggio,
						true);	
			
				$NonTrovataEmailRif1 = false;
			}
		}
		
		if ( $NonTrovataEmailRif1 )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					"richieste web",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					EMAIL_DEBUG,		
					$oggetto,				
					$messaggio,
					true);	
		}
	}
	else
	{
		$sqlx = <<< SQL
			SELECT  DISTINCT tblPgRifAffidatari.email_1
			FROM tblComponetiMestiere INNER JOIN
				tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
				tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
				tblPgContrattiRifAffidatari INNER JOIN
				tblPgContrattiRifAffidatariAttivitàEdifici ON 
				tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
				tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
				tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
				tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
				tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
			WHERE (tblComponetiMestiere.IdMestiere = $IdMestiere) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa)
				AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) 
				AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)
				AND (tblPgRifAffidatari.email_1 IS NOT NULL)
				AND (tblPgRifAffidatari.email_1 <> '')
				AND tblPgContrattiRifAffidatari.MsgPerRichiesta = 1
SQL;


		if ( is_numeric($IdAffidatario) )
			$sqlx .= " AND tblPgRifAffidatari.IdAffidatario = $IdAffidatario ";

		if ( $TipoIntervento == 'preventivo' )
		{
			$oggetto = $traduttore->traduci('Autorizzato Preventivo');
			$messaggio = $traduttore->traduci('Autorizzato Preventivo da')." '$user2' ".$traduttore->traduci('per richiesta')." $NumRichiesta/$AnnoRichiesta. ".$traduttore->traduci('Il richiedente')." '$rs[Richiedente]' ".$traduttore->traduci('ha richiesto').": '{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' ".$traduttore->traduci('per il servizio')." '$rs[Mestiere]' ".$traduttore->traduci('localizzato in').": $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]";
		}
		else
		{
			$oggetto = $traduttore->traduci('Autorizzato Consuntivo');
			$messaggio = $traduttore->traduci('Autorizzato Consuntivo Extracanone da')." '$user2', ".$traduttore->traduci('per richiesta')." $NumRichiesta/$AnnoRichiesta. ".$traduttore->traduci('Il richiedente')." '$rs[Richiedente]' ".$traduttore->traduci('ha richiesto').":'{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' ".$traduttore->traduci('per il servizio')." '$rs[Mestiere]' ".$traduttore->traduci('localizzato in').": $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]";
		}
						
		$queryEmailRif1 = ntxQuery($sqlx);
	
		$NonTrovataEmailRif1 = true;
	
		while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					"richieste web",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					$rsEmailRif1[0],		
					$oggetto,				
					$messaggio,
					true);	
			
			$NonTrovataEmailRif1 = false;
		}
		
		if ( $NonTrovataEmailRif1 && isset($emailRifFuori) )
		{
			foreach ( $emailRifFuori as $email )
			{
				ntxFireNetInit($_SESSION['Utente'].'',				
						"richieste web",				
						"richiesta $NumRichiesta/$AnnoRichiesta",			
						"email",		
						$email,		
						$oggetto,				
						$messaggio,
						true);	
			}
		}
	}
}
$traduttore->Salva();
?>
