<?php
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_722", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_722", "IT", __FILE__);

$sql = <<< sql
SELECT     
	Richieste.Localizzazione, 
	Richieste.TecnicoC,
	ElencoEdifici.Codice, 
	ElencoEdifici.EdificioBreve, 
	ElencoEdifici.CITTA,
	
	Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, 
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente
FROM         
	Richieste 
	INNER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
	LEFT OUTER JOIN
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere
	
WHERE 
	Richieste.IdCommessa=$IdCommessa
	AND Richieste.NumRichiesta=$NumRichiesta
	AND Richieste.AnnoRichiesta=$AnnoRichiesta
sql;

$query = ntxQuery($sql);

if ( $rs = ntxRecord($query) ) 
{
	$Localizzazione = $rs[Localizzazione];
	$TecnicoC = ntxs($rs[TecnicoC]);
	$Codice = ntxs($rs[Codice]);
	$EdificioBreve = ntxs($rs[EdificioBreve]);
	$CITTA = ntxs($rs[CITTA]);
	$user = ntxsse('Utente');
	$user2 = $_SESSION['Utente'];

	if ( $TipoIntervento == 'preventivo' )
	{
		$oggetto = $traduttore->traduci('Autorizzato Preventivo');
		$messaggio = $traduttore->traduci('Autorizzato Preventivo da')." '$user2' ".$traduttore->traduci('per richiesta')." $NumRichiesta/$AnnoRichiesta. ".$traduttore->traduci('Il richiedente')." '$rs[Richiedente]' ".$traduttore->traduci('ha richiesto')." :'{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' ".$traduttore->traduci('per il servizio')." '$rs[Mestiere]' ".$traduttore->traduci('localizzato in').": $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]";
	}
	else
	{
		$oggetto = $traduttore->traduci('Autorizzato Consuntivo');
		$messaggio = $traduttore->traduci('Autorizzato Consuntivo Extracanone da')." '$user2',".$traduttore->traduci('per richiesta')." $NumRichiesta/$AnnoRichiesta.".$traduttore->traduci('Il richiedente')." '$rs[Richiedente]' ".$traduttore->traduci('ha richiesto').": '{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' ".$traduttore->traduci('per il servizio')." '$rs[Mestiere]' ".$traduttore->traduci('localizzato in')." : $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]";
	}
	
	$sql = <<< SQL
		SELECT  DISTINCT   Utenti.Email, GruppiUtentiWeb.nome AS GruppiUtentiWeb
		FROM         Utenti INNER JOIN
							  GruppiUtentiWeb ON Utenti.IdGruppoWeb = GruppiUtentiWeb.id INNER JOIN
							  UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente
		WHERE     (UtentiEdifici.IdCommessa = $IdCommessa) AND (UtentiEdifici.IdEdificio = $Localizzazione) 
				AND (GruppiUtentiWeb.nome = 'Call Center' OR GruppiUtentiWeb.nome = 'GESTORI')
				AND Utenti.Nome<>$user AND utenti.email is not null AND utenti.email<>''
SQL;
				  
	$queryEmailRif1 = ntxQuery($sql);

	$NonTrovataEmailRif1 = true;
	
	require_once(NTX_WEBPORTAL_PATH.'messaggi/bloccamsgriccallcenter.inc'); 
	
	while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
	{ 
		if($rsEmailRif1[1]=='Call Center' && $BloccaMsgRicCallCenter)
			continue;
			
		ntxFireNetInit($_SESSION['Utente'].'',				
				"richieste web",				
				"richiesta $NumRichiesta/$AnnoRichiesta",			
				"email",		
				$rsEmailRif1[0],		
				$oggetto,				
				$messaggio,
				true);	
	
		$NonTrovataEmailRif1 = false;
	}
	
	if ( $NonTrovataEmailRif1 )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"richieste web",				
				"richiesta $NumRichiesta/$AnnoRichiesta",			
				"email",		
				EMAIL_DEBUG,		
				$oggetto,				
				$traduttore->traduci('manca callcenter e gestore')." ".$messaggio,
				true);	
	}

	$sql = <<< SQL
			SELECT     Utenti.Email
			FROM         Tecnici INNER JOIN
								  UtentiTecnici ON Tecnici.IDTec = UtentiTecnici.IdTecnico INNER JOIN
								  Utenti ON UtentiTecnici.IdUtente = Utenti.Id
			WHERE     (Tecnici.Tecnico = $TecnicoC)
SQL;
				  
	$email_destinatario = ntxScalar($sql);

	ntxFireNetInit($_SESSION['Utente'].'',				
				"richieste web",				
				"richiesta $NumRichiesta/$AnnoRichiesta",			
				"email",		
				$email_destinatario,		
				$oggetto,				
				$messaggio,
				true);	
}
$traduttore->Salva();

?>
