<?php

$sql = <<< sql
SELECT     
	Richieste.Localizzazione, 
	Richieste.TecnicoC,
	ElencoEdifici.Codice, 
	ElencoEdifici.EdificioBreve, 
	ElencoEdifici.CITTA,
	
	Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, 
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente
FROM         
	Richieste 
	INNER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
	LEFT OUTER JOIN
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere
	
WHERE 
	Richieste.IdCommessa=$IdCommessa
	AND Richieste.NumRichiesta=$NumRichiesta
	AND Richieste.AnnoRichiesta=$AnnoRichiesta
sql;

$query = ntxQuery($sql);

if ( $rs = ntxRecord($query) ) 
{
	$Localizzazione = $rs[Localizzazione];
	$TecnicoC = ntxs($rs[TecnicoC]);
	$Codice = ntxs($rs[Codice]);
	$EdificioBreve = ntxs($rs[EdificioBreve]);
	$CITTA = ntxs($rs[CITTA]);
	$user = ntxsse('Utente');
	$user2 = $_SESSION['Utente'];

	if ( $TipoIntervento == 'preventivo' )
	{
		$oggetto = "Autorizzato Preventivo";
		$messaggio = "Autorizzato Preventivo da '$user2' per richiesta $NumRichiesta/$AnnoRichiesta. Il richiedente '$rs[Richiedente]' ha richiesto :'{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' per il servizio '$rs[Mestiere]' localizzato in : $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]";
	}
	else
	{
		$oggetto = "Autorizzato Consuntivo";
		$messaggio = "Autorizzato Consuntivo Extracanone da '$user2', per richiesta $NumRichiesta/$AnnoRichiesta. Il richiedente '$rs[Richiedente]' ha richiesto :'{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' per il servizio '$rs[Mestiere]' localizzato in : $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]";
	}
	
	$sql = <<< SQL
		SELECT  DISTINCT   Utenti.Email, GruppiUtentiWeb.nome AS GruppiUtentiWeb
		FROM         Utenti INNER JOIN
							  GruppiUtentiWeb ON Utenti.IdGruppoWeb = GruppiUtentiWeb.id INNER JOIN
							  UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente
		WHERE     (UtentiEdifici.IdCommessa = $IdCommessa) AND (UtentiEdifici.IdEdificio = $Localizzazione) 
				AND (GruppiUtentiWeb.nome = 'Call Center' OR GruppiUtentiWeb.nome = 'GESTORI')
				AND Utenti.Nome<>$user AND utenti.email is not null AND utenti.email<>''
SQL;
				  
	$queryEmailRif1 = ntxQuery($sql);

	$NonTrovataEmailRif1 = true;
	
	require_once(NTX_WEBPORTAL_PATH.'messaggi/bloccamsgriccallcenter.inc'); 
	
	while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
	{ 
		if($rsEmailRif1[1]=='Call Center' && $BloccaMsgRicCallCenter)
			continue;
			
		ntxFireNetInit($_SESSION['Utente'].'',				
				"richieste web",				
				"richiesta $NumRichiesta/$AnnoRichiesta",			
				"email",		
				$rsEmailRif1[0],		
				$oggetto,				
				$messaggio,
				true);	
	
		$NonTrovataEmailRif1 = false;
	}
	
	if ( $NonTrovataEmailRif1 )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"richieste web",				
				"richiesta $NumRichiesta/$AnnoRichiesta",			
				"email",		
				EMAIL_DEBUG,		
				$oggetto,				
				"manca callcenter e gestore ".$messaggio,
				true);	
	}

	$sql = <<< SQL
			SELECT     Utenti.Email
			FROM         Tecnici INNER JOIN
								  UtentiTecnici ON Tecnici.IDTec = UtentiTecnici.IdTecnico INNER JOIN
								  Utenti ON UtentiTecnici.IdUtente = Utenti.Id
			WHERE     (Tecnici.Tecnico = $TecnicoC)
SQL;
				  
	$email_destinatario = ntxScalar($sql);

	ntxFireNetInit($_SESSION['Utente'].'',				
				"richieste web",				
				"richiesta $NumRichiesta/$AnnoRichiesta",			
				"email",		
				$email_destinatario,		
				$oggetto,				
				$messaggio,
				true);	
}

?>
