<?php

$IdMestiere= ntxip('IdMestiere',false);
$Localizzazione = ntxip('Localizzazione',false);


$erroreFornitore = false;
$erroreMsg = "";
if(!isset($terminaConErrore)) $terminaConErrore = true;


if ( $_POST['DittaManuale']!=1 )
{
	if ( is_numeric($_POST[IdAttivitàMestiere]) )
	{
		$sql = <<< sql
			SELECT COUNT(*) FROM (
					SELECT  DISTINCT   tblContrattiFornitori.IdFornitore
					FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
						  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
						  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore
					WHERE     (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa)
					AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $Localizzazione)
					AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = $_POST[IdAttivitàMestiere])
					AND (tblContrattiFornitori.DataInizio <= $DataOrdine)
					AND (tblContrattiFornitori.DataFine >= $DataOrdine)
				) a
sql;

		$count = ntxScalar($sql);

		if ( $count>1 )
		{
			$erroreMsg = "Piu' di fornitori associabili per edificio/attivita'/data ordine!";
			if($terminaConErrore)
				ntxMsgErr( $erroreMsg );
			else
			{
				$erroreFornitore = true;
				return;
			}
		}
		
		
		$sql = <<< sql
				SELECT     tblContrattiFornitori.IdFornitore, tblContrattiFornitori.BloccaRichiesteACanone BRAC
FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
                      tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore
				WHERE     (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa)
				AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $Localizzazione)
				AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = $_POST[IdAttivitàMestiere])
				AND (tblContrattiFornitori.DataInizio <= $DataOrdine)
				AND (tblContrattiFornitori.DataFine >= $DataOrdine)
sql;

		$rsBRAC = ntxIRecord(ntxQuery($sql));
		
		$IdFornitore = $rsBRAC[0];
		$BRAC = $rsBRAC[1];
	}

	if ( !is_numeric($IdFornitore) && is_numeric($_POST[IdComponenteMestiere]) )
	{
		$sql = <<< sql
			SELECT COUNT(*) FROM (
					SELECT DISTINCT    tblContrattiFornitori.IdFornitore
					FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
										  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
										  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
										  tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
										  tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
					WHERE     (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa)
					AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $Localizzazione)
					AND (tblAttivitàMestiere.IdComponenteMestiere = $_POST[IdComponenteMestiere])
					AND (tblContrattiFornitori.DataInizio <= $DataOrdine)
					AND (tblContrattiFornitori.DataFine >= $DataOrdine)
				) a
sql;

		$count = ntxScalar($sql);
		
		if ( $count>1 )
		{	
			$erroreMsg = "Piu' di fornitori associabili per edificio/componente/data ordine!";
			
			if($terminaConErrore)
				ntxMsgErr( $erroreMsg );
			else
			{
				$erroreFornitore = true;
				return;
			}				
		}
		
		
		$sql = <<< sql
			SELECT     tblContrattiFornitori.IdFornitore, tblContrattiFornitori.BloccaRichiesteACanone BRAC
			FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
								  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
								  tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
			WHERE     (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa)
			AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $Localizzazione)
			AND (tblAttivitàMestiere.IdComponenteMestiere = $_POST[IdComponenteMestiere])
			AND (tblContrattiFornitori.DataInizio <= $DataOrdine)
			AND (tblContrattiFornitori.DataFine >= $DataOrdine)
sql;

		$rsBRAC = ntxIRecord(ntxQuery($sql));
		
		$IdFornitore = $rsBRAC[0];
		$BRAC = $rsBRAC[1];
	}
	
	if ( !is_numeric($IdFornitore) )
	{
		$sql = <<< sql
			SELECT COUNT(*) FROM (
					SELECT DISTINCT    tblContrattiFornitori.IdFornitore
					FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
										  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND
										  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
										  tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND
										  tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
										  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND
										  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
					WHERE     (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa)
					AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $Localizzazione)
					AND (tblComponetiMestiere.IdMestiere = $IdMestiere)
					AND (tblContrattiFornitori.DataInizio <= $DataOrdine)
					AND (tblContrattiFornitori.DataFine >= $DataOrdine)
				) a
sql;

		$count = ntxScalar($sql);
		
		if ( $count>1 )
		{
			$erroreMsg = "Piu' di fornitori associabili per edificio/mestiere/data ordine!";
			
			if($terminaConErrore)
				ntxMsgErr( $erroreMsg );
			else
			{
				$erroreFornitore = true;
				return;
			}				
		}
		
		
		$sql = <<< sql
			SELECT     tblContrattiFornitori.IdFornitore, tblContrattiFornitori.BloccaRichiesteACanone BRAC
			FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
								  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
								  tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND
								  tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
								  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND
								  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
			WHERE     (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa)
			AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $Localizzazione)
			AND (tblComponetiMestiere.IdMestiere = $IdMestiere)
			AND (tblContrattiFornitori.DataInizio <= $DataOrdine)
			AND (tblContrattiFornitori.DataFine >= $DataOrdine)
sql;

		$rsBRAC = ntxIRecord(ntxQuery($sql));
		
		$IdFornitore = $rsBRAC[0];
		$BRAC = $rsBRAC[1];
	}

	if ( !is_numeric($IdFornitore) )
	{
		$erroreMsg = "Nessun fornitore associabile per edificio/mestiere/data ordine!";
		
		if($terminaConErrore)
			ntxMsgErr( $erroreMsg );
		else
		{
			$erroreFornitore = true;
			return;
		}			
	}		
}
else
{
	if ( !is_numeric($_POST['Assegnazione']) )
	{
		$erroreMsg = "Nessun fornitore assegnato manualmente!";
		
		if($terminaConErrore)
			ntxMsgErr( $erroreMsg );
		else
		{
			$erroreFornitore = true;
			return;
		}			
	}	

	$IdFornitore = (int)$_POST['Assegnazione'];
}

?>
