<?php

session_start();

require_once('../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if ( !is_numeric($_POST[num]) || !is_numeric($_POST[anno]) )
	jhp_error("Tentata memorizzazione righe senza richiesta od ordine collegati!");

$IdCommessa = ntxise('IdCommessa');
$cosa = $_POST[cosa];
$num = ntxip('num');
$anno = ntxip('anno');
$IdEdificioAmbiente = ntxip('IdEdificioAmbiente');
$IdAmbiente = ntxip('IdAmbiente');

if ( $cosa=="richiesta" )
{
	$sql = <<< sql
		SELECT TOP 1 2
		FROM         RichiesteAmbienti
		WHERE     (IdCommessaAmbiente = $IdCommessa) 
					AND (NumRichiesta = $num) 
					AND (AnnoRichiesta = $anno)
					AND (IdEdificioAmbiente = $IdEdificioAmbiente) 
					AND (IdAmbiente = $IdAmbiente)
sql;
}
else // ordine
{
	$sql = <<< sql
		SELECT TOP 1 2
		FROM         OrdiniAmbienti
		WHERE     (IdCommessaAmbiente = $IdCommessa) 
					AND (NumOrdine = $num) 
					AND (AnnoOrdine = $anno)
					AND (IdEdificioAmbiente = $IdEdificioAmbiente) 
					AND (IdAmbiente = $IdAmbiente)
sql;
}

$Esiste = ntxScalar($sql);

$nomeTabella = 		( $cosa=="richiesta" ? "RichiesteAmbienti" : "OrdiniAmbienti" );
$nomeIdCommessa = 	( $cosa=="richiesta" ? "IdCommessaRichiesta" : "IdCommessaOrdine" );
$nomeNum = 			( $cosa=="richiesta" ? "NumRichiesta" : "NumOrdine" );
$nomeAnno = 		( $cosa=="richiesta" ? "AnnoRichiesta" : "AnnoOrdine" );

$table = new NtxTable($nomeTabella);

if ( $Esiste != 2 )
{
	$insert = $table->insert();

	$insert->init();

	$insert->set($nomeIdCommessa, $IdCommessa);
	$insert->set($nomeNum, $num);
	$insert->set($nomeAnno, $anno);
	$insert->set("IdCommessaAmbiente", $IdCommessa);
	$insert->setp("IdEdificioAmbiente");
	$insert->setp("IdAmbiente");
	$insert->setp("Descrizione");
	$insert->setp("Nota");

	$insert->execute();

	$Id = ntxId();
}
else
{
	$update = $table->update();

	$update->init();

	$update->setp("Descrizione");
	$update->setp("Nota");
	
	$update->where($nomeNum, $num);
	$update->where($nomeAnno, $anno);
	$update->where("IdCommessaAmbiente", $IdCommessa);
	$update->wherep("IdEdificioAmbiente");
	$update->wherep("IdAmbiente");

	$update->execute();
}

jhp($Id);

?>
