<?php

session_start();

require_once('../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$cosa = $_POST[cosa];
$num = ntxip('num');
$anno = ntxip('anno');

$sqlSelect = <<< sqlSelect
	SELECT     
			Id, 
			Descrizione, 
			Nota, 
			Civico, 
			SubCivico, 
			Latitudine, 
			Longitudine, 
			Civico2, 
			SubCivico2, 
			Latitudine2, 
			Longitudine2,
			Polilinea,
			Geometria,
			IdCarreggiata,
			Progressiva1,
			Progressiva2
sqlSelect;

if ( $cosa=="richiesta" )
{
	$sql = <<< sql
		$sqlSelect
		FROM         RichiesteLatLon
		WHERE     (IDCommessa = $IdCommessa) 
					AND (NumRichiesta = $num) 
					AND (AnnoRichiesta = $anno)
sql;
}
elseif ( $cosa=="mon_strade" )
{
	$componente = ntxip('componente');

	$sql = <<< sql
		$sqlSelect
			, Voto
		FROM         MonStradeLatLon
		WHERE     (IDCommessa = $IdCommessa) 
					AND (NumOrdine = $num) 
					AND (AnnoOrdine = $anno)
					AND (Componente = $componente)
sql;
}
else // ordine
{
	$sql = <<< sql
		$sqlSelect				
		FROM         OrdiniLatLon
		WHERE     (IDCommessa = $IdCommessa) 
					AND (NumOrdine = $num) 
					AND (AnnoOrdine = $anno)
sql;
}

$result = array();

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$rs[$k] = $v.""; 	
		
	$result[] = $rs;	
}

jhp($result);

?>
