var g = { cosa: null, num: null, anno: null, componente: null, tblMy: null, blocco: false, con_voti: false, IdEdificio: null };

function reset()
{
	g.cosa = null;
	g.num = null;
	g.anno = null;
	g.componente = null;
	g.IdEdificio = null;
	g.blocco = false;
	
	g.tblMy.clear();
	
	try
	{
		parent.frameDocsPuntiIntervento.reset();
	}
	catch(ex)
	{}
}

function caricaRichiesta(num, anno)
{
	setta("richiesta", num, anno);
	carica();
}

function caricaOrdine(num, anno)
{
	setta("ordine", num, anno);
	carica();
}

function caricaMonStrade(num, anno, componente)
{
	settaMonStrade("mon_strade", num, anno, componente);
	carica();
}

function memRichiesta(num, anno)
{
	setta("richiesta", num, anno);
	memorizza();
}

function memOrdine(num, anno)
{
	setta("ordine", num, anno);
	memorizza();
}

function memMonStrade(num, anno, componente)
{
	settaMonStrade("mon_strade", num, anno, componente);
	memorizza();
}

function setta(cosa, num, anno)
{
	g.cosa = cosa;
	g.num = num;
	g.anno = anno;
	g.componente = null;
	g.blocco = false;
}

function settaMonStrade(cosa, num, anno, componente)
{
	g.cosa = cosa;
	g.num = num;
	g.anno = anno;
	g.componente = componente;
	g.blocco = false;
}

function resetIds()
{
	var len = g.tblMy.getRowCount();
	var i;
	
	for (i=0; i<len; ++i)
		g.tblMy.getCellByName(i, "Id").value = "";
	
	try
	{
		parent.frameDocsPuntiIntervento.reset();
	}
	catch(ex)
	{}
}

function blocca()
{
	g.blocco = true;
	
	var len = g.tblMy.getRowCount();
	var iRow;

	for (iRow=0; iRow<len; ++iRow)
	{
		g.tblMy.getCellByName(iRow, 'Sel').checked = false;
		g.tblMy.getCellByName(iRow, 'Sel').disabled = true;

		if(g.con_voti)
			g.tblMy.getCellByName(iRow, 'Voto').disabled = true;
		
		g.tblMy.getCellByName(iRow, 'Civico').readOnly = true;
		g.tblMy.getCellByName(iRow, 'SubCivico').readOnly = true;
		g.tblMy.getCellByName(iRow, 'Civico2').readOnly = true;
		g.tblMy.getCellByName(iRow, 'SubCivico2').readOnly = true;
		g.tblMy.getCellByName(iRow, 'Descrizione').readOnly = true;
		g.tblMy.getCellByName(iRow, 'IdCarreggiata').readOnly = true;
		g.tblMy.getCellByName(iRow, 'Nota').readOnly = true;
		g.tblMy.getCellByName(iRow, 'Latitudine').readOnly = true;
		g.tblMy.getCellByName(iRow, 'Longitudine').readOnly = true;
		g.tblMy.getCellByName(iRow, 'Latitudine2').readOnly = true;
		g.tblMy.getCellByName(iRow, 'Longitudine2').readOnly = true;
		
		g.tblMy.getCellByName(iRow, 'Polilinea').readOnly = true;
		g.tblMy.getCellByName(iRow, 'Geometria').readOnly = true;
	}
	
	try
	{
		parent.frameDocsPuntiIntervento.blocca();
	}
	catch(ex)
	{}
}

function sblocca()
{
	g.blocco = false;
	
	var len = g.tblMy.getRowCount();
	var iRow;

	for (iRow=0; iRow<len; ++iRow)
	{
		g.tblMy.getCellByName(iRow, 'Sel').disabled = false;

		if(g.con_voti)
			g.tblMy.getCellByName(iRow, 'Voto').disabled = false;
		
		g.tblMy.getCellByName(iRow, 'Civico').readOnly = false;
		g.tblMy.getCellByName(iRow, 'SubCivico').readOnly = false;
		g.tblMy.getCellByName(iRow, 'Civico2').readOnly = false;
		g.tblMy.getCellByName(iRow, 'SubCivico2').readOnly = false;
		g.tblMy.getCellByName(iRow, 'Descrizione').readOnly = false;
		g.tblMy.getCellByName(iRow, 'IdCarreggiata').disabled = false;
		g.tblMy.getCellByName(iRow, 'Progressiva1').readOnly = false;
		g.tblMy.getCellByName(iRow, 'Progressiva2').readOnly = false;
		g.tblMy.getCellByName(iRow, 'Nota').readOnly = false;
		g.tblMy.getCellByName(iRow, 'Latitudine').readOnly = false;
		g.tblMy.getCellByName(iRow, 'Longitudine').readOnly = false;
		g.tblMy.getCellByName(iRow, 'Latitudine2').readOnly = false;
		g.tblMy.getCellByName(iRow, 'Longitudine2').readOnly = false;
		
		g.tblMy.getCellByName(iRow, 'Polilinea').readOnly = false;
		g.tblMy.getCellByName(iRow, 'Geometria').readOnly = false;
	}
	
	try
	{
		parent.frameDocsPuntiIntervento.sblocca();
	}
	catch(ex)
	{}
}

function memorizza()
{
	if ( g.blocco ) return;
	
	var len = g.tblMy.getRowCount();
	var i;
	
	for (i=0; i<len; ++i)
		memorizzaRiga(i);
}

