<?php

session_start();

require_once('../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if ( !is_numeric($_POST[num]) || !is_numeric($_POST[anno]) )
	jhp_error("Tentata memorizzazione righe senza richiesta od ordine collegati!");

$IdCommessa = ntxise('IdCommessa');
$cosa = $_POST[cosa];
$num = ntxip('num');
$anno = ntxip('anno');

if ( $cosa=="richiesta" )
{
	$nomeTabella = "RichiesteLatLon";
	$nomeNum = "NumRichiesta";
	$nomeAnno = "AnnoRichiesta";
}
elseif ( $cosa=="mon_strade" )
{
	$nomeTabella = "MonStradeLatLon";
	$nomeNum = "NumOrdine";
	$nomeAnno = "AnnoOrdine";
}
else // ordini
{
	$nomeTabella = "OrdiniLatLon";
	$nomeNum = "NumOrdine";
	$nomeAnno = "AnnoOrdine";
}

$table = new NtxTable($nomeTabella);

$Id = $_POST[Id];

if ( !is_numeric($Id) )
{
	$insert = $table->insert();

	$insert->init();

	$insert->setse("IdCommessa");
	$insert->set($nomeNum, $num);
	$insert->set($nomeAnno, $anno);
	
	if ( $cosa == "mon_strade" ) 
	{
		$insert->setp("Voto");
		$insert->setp("componente");
	}
	
	$insert->setp("Descrizione");
	$insert->setp("Nota");
	$insert->setp("Civico");
	$insert->setp("SubCivico");
	$insert->setp("Latitudine");
	$insert->setp("Longitudine");
	$insert->setp("Civico2");
	$insert->setp("SubCivico2");
	$insert->setp("Latitudine2");
	$insert->setp("Longitudine2");
	
	$insert->setp("Polilinea");
	$insert->setp("Geometria");
	$insert->setp("IdCarreggiata");
	$insert->setp("Progressiva1");
	$insert->setp("Progressiva2");

	$insert->execute();

	$Id = ntxId();
}
else
{
	$Id = (int)$Id;
	
	$update = $table->update();

	$update->init();

	if ( $cosa == "mon_strade" ) 
		$update->setp("Voto");

	$update->setp("Descrizione");
	$update->setp("IdCarreggiata");
	$update->setp("Nota");
	$update->setp("Civico");
	$update->setp("SubCivico");
	$update->setp("Latitudine");
	$update->setp("Longitudine");
	$update->setp("Civico2");
	$update->setp("SubCivico2");
	$update->setp("Latitudine2");
	$update->setp("Longitudine2");
	
	$update->setp("Polilinea");
	$update->setp("Geometria");	

	$update->wherep("Id");

	$update->execute();
}

jhp($Id);

?>
