<?php  
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<html>
<head>
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="../../_ntx/jhp.php"></script>
	<link href="view_foto.css" rel="stylesheet" type="text/css">	
</head>

<body>

<script type="text/javascript">
var codice = new Array();
var descrizioni = new Array();
var IdFoto = new Array();
var IdAssociato;

var idx;		
var IdCommessa;
var IdEdificio;
var IdAmbiente;
var IdComponente;

function reset()
{
	IdCommessa = false;
	IdEdificio = false;
	IdAmbiente = false;
	IdComponente = false;
	idx=-1;
	
	IdAssociato=false;

	gei('ambiente').style.display='none';	
	gei('componente').style.display='none';			
	gei('Descrizione').value = "";
	gei('codice').value = "";
	gei('indicatoreFoto').value="0/0";	
	gei('disabilita').disabled=true;
	gei('avanti').disabled=true;
	gei('indietro').disabled=true;	
	gei('img').src="";	
		
	delete IdFoto;
	IdFoto=new Array();
	
	delete descrizioni;
	descrizioni=new Array();	
	
	delete codice;
	codice=new Array();			
}

function carica(gIdEdificio, gIdAmbiente, gIdComponente, gIdAssociato)
{	

	function caricaArrays(obj)
	{
		function checkNull(oggetto)
		{
			if(oggetto==null)
				return "";
			else
				return oggetto
		}
	
		if(obj.state)
		{
			alert("Si e' verificato un errore:\n"+obj.message);
			return;
		}	
	
		var count = obj.value[0];
		
		for(var i=0; i<count; i++)//codice
			codice[i] = checkNull( obj.value[1][i] );
		
		for(var i=0; i<count; i++)//descrizioni
			descrizioni[i] = checkNull( obj.value[2][i] );

		for(var i=0; i<count; i++)//foto
			IdFoto[i] = checkNull( obj.value[3][i] );
	}
	
	reset();
	gei('disabilita').disabled=false;
	
	IdCommessa = <?php echo ntxise('IdCommessa')?>;
	IdEdificio = gIdEdificio;
	IdAmbiente = gIdAmbiente;
	IdComponente = gIdComponente;
	IdAssociato=gIdAssociato;
	
	//alert("comm "+IdCommessa+" edif: "+IdEdificio+" - amb: "+IdAmbiente+" - comp: "+IdComponente+" - associato: "+IdAssociato);
	
	if(IdAmbiente!=false)//AMBIENTE
	{
		var obj=jhp('caricaAmbiente.php', {IdCommessa:IdCommessa, IdEdificio:IdEdificio, IdAmbiente:IdAmbiente});
		
		caricaArrays(obj);
		
		gei('ambiente').style.display='none';				
		gei('componente').style.display='block';				
	}
	else if(IdComponente!=false)//COMPONENTE
	{
		var obj=jhp('caricaComponente.php', {IdCommessa:IdCommessa, IdEdificio:IdEdificio, IdComponente:IdComponente});
	
		caricaArrays(obj);
	
		gei('ambiente').style.display='block';	
		gei('componente').style.display='none';	
	}
	
	if(IdFoto.length>0)
	{
		gei('avanti').disabled=false;
		avanti();
	}
}	

function avanti()
{
	++idx;  

	gei('avanti').onclick=function(){avanti();};
	
	if( (gei('indietro').disabled==true) && (idx>0) ) 
	{	
		gei('indietro').disabled=false; 
		gei('indietro').onclick=function(){ indietro(); }; 
	}
	
	setTastiNavigazione();
		
	if(idx==codice.length-1) 
	{
		gei('avanti').disabled=true;
		return;
	}		
}

function indietro()
{
 	--idx;  
	
	gei('indietro').onclick=function(){indietro();};
	
	if( (gei('avanti').disabled==true) && (idx>=0) ) 
	{	
		gei('avanti').disabled=false; 
		gei('avanti').onclick=function(){ avanti(); }; 
	}
	
	setTastiNavigazione();
		
	if(idx<=0) 
	{
		gei('indietro').disabled=true;
		return;
	}		
}	

function setTastiNavigazione()
{
	if(IdAmbiente!=false)
	{
		if(IdAssociato==false)
			gei('componente').disabled=true;
		else
		{	
			gei('componente').disabled=false;
			gei('componente').onclick=function(){ carica(IdEdificio, false, IdAssociato, IdAmbiente);};
		}
	}
	
	if(IdComponente!=false)
	{
		if(IdAssociato==false)
			gei('ambiente').disabled=true;
		else
		{
			gei('ambiente').disabled=false;
			gei('ambiente').onclick=function(){carica(IdEdificio, IdAssociato, false, IdComponente);};
		}
	}	

	gei('codice').value = codice[idx];
	
	gei('indicatoreFoto').value = (idx+1)+"/"+codice.length;		
	
	gei('Descrizione').value = ""+descrizioni[idx];	
	
	if(gei('disabilita').checked==true)
		caricaFoto();	
}

function caricaFoto()
{
	var obj=gei('img'); 
	
	if(gei('disabilita').checked==false)
	{
		obj.src="";
		return;
	}

	if(IdAmbiente!=false)//ambiente
	{	
		if(gei('disabilita').checked==true)	
			obj.src="img.php?IdCommessa="+IdCommessa+"&IdEdificio="+IdEdificio+"&IdFoto="+IdFoto[idx]+"&IdAmbiente="+IdAmbiente;		
	}
	else if (IdComponente!=false)//componente
	{
		if(gei('disabilita').checked==true)		
			obj.src="img.php?IdCommessa="+IdCommessa+"&IdEdificio="+IdEdificio+"&IdFoto="+IdFoto[idx]+"&IdComponente="+IdComponente;	
	} 
}

function apriImmagine()
{
	var obj=gei('img'); 

	window.open(obj.src);
}
</script>

<div id="container">

	<div id="divCenter" >
		<input type="text" id="codice" name="codice" value="" style="width:150px;text-align:center;font-weight:bold;" readonly="readonly"/>
		<input style="display:inline;text-align:right;" type="CHECKBOX" name="disabilita" id="disabilita" onclick="caricaFoto();"><span style="font-size:16px;">vedi foto</span>
	</div>

	<div id="divRight">
		<div align="center" style="margin-top:30px;">
		<input class="bntStyle01" id="indietro" name="indietro" type="button" value="<<" onclick="indietro();" disabled="disabled"/>
		<input class="bntStyle01" id="avanti" name="avanti" type="button" value=">>" onclick="avanti()" disabled="disabled"/>
		</div>
		
		<div align="center"  style="margin-top:10px;">
		<input size="6" type="text" id="indicatoreFoto" name="indicatoreFoto" value="0/0" readonly="readonly"/>	
		</div>			
		
		<div align="center" style="margin-top:5px;">
			<input class="bntStyle02" type="button" id="ambiente" name="ambiente" value="Ambiente"/>
			<input class="bntStyle02" type="button" id="componente" name="componente" value="Compon."/>				
		</div>
	</div>
	
	<div id="divLeft">
		<img id="img" name="img" src="" alt="" ondblclick="apriImmagine()" style="cursor:hand;"/>
	</div>

	<div id="divBotton">
		<textarea id="Descrizione" name="Descrizione" readonly="readonly"> </textarea>
	</div>
</div>

<script type="text/javascript">
	reset();
</script>

</body>
</html>