var gAzione = "";

$(function(){
	$('input[type=button]').button().css('font-size','7pt');
	$('#txtDataInizio').datepicker();
	$('#txtDataFine').datepicker();
	jhp_select(jei('MotiviAnnulloEdifici'), "jhp/carica_motivi_annullo.php", false, {tipo:0});
	jhp_select(jei('MotiviAnnulloStrade'), "jhp/carica_motivi_annullo.php", false, {tipo:1});
	jhp_select(jei('MotiviAnnulloVerde'), "jhp/carica_motivi_annullo.php", false, {tipo:2});
});

function Vedi(titolo, chiave_settaggi)
{
	gAzione = chiave_settaggi;
	
	switch(gAzione)
	{
		case 'apri':
			$('#spanData1').show();
			$('#spanData2').hide();
			$('#spanUsaDatePrg').show();
			$('#spanMotiviAnnullo').hide();
			$('#spanNote').hide();
			break;
		case 'chiudi':
			$('#spanData1').hide();
			$('#spanData2').show();
			$('#spanUsaDatePrg').show();
			$('#spanMotiviAnnullo').hide();
			$('#spanNote').hide();
			break;
		case 'apri_chiudi':
			$('#spanData1').show();
			$('#spanData2').show();
			$('#spanUsaDatePrg').show();
			$('#spanMotiviAnnullo').hide();
			$('#spanNote').hide();
			break;
		case 'genera_nuove':
			$('#spanData1').show();
			$('#spanData2').show();
			$('#spanUsaDatePrg').hide();
			$('#spanMotiviAnnullo').show();
			$('#spanNote').show();
			break;
		case 'anomalia':
		case 'anomalia_richiesta':
			$('#spanData1').hide();
			$('#spanData2').hide();
			$('#spanUsaDatePrg').hide();
			$('#spanMotiviAnnullo').hide();
			$('#spanNote').show();
			break;
		case 'annulla':
			$('#spanData1').hide();
			$('#spanData2').hide();
			$('#spanUsaDatePrg').hide();
			$('#spanMotiviAnnullo').show();
			$('#spanNote').show();
			break;
		case 'ripristina':
			$('#spanData1').hide();
			$('#spanData2').hide();
			$('#spanUsaDatePrg').hide();
			$('#spanMotiviAnnullo').hide();
			$('#spanNote').hide();
			break;
	}
	
	$('#spanTitolo').text(titolo);
	$('#div1').show();
}

function funcOK()
{
	switch(gAzione)
	{
		case 'apri':
		case 'chiudi':
		case 'apri_chiudi':
			ApriChiudiOrdini();
			break;
		case 'genera_nuove':
			GeneraNuove();
			break;
		case 'anomalia':
		case 'anomalia_richiesta':
			AnomaliaRichiesta();
			break;
		case 'annulla':
			Annulla();
			break;
		case 'ripristina':
			RipristinaOrdinePrg();
			break;
	}
}

function in_array(elemento, array) 
{
    var len = array.length;
	
    for(var i = 0; i < len; i++) 
        if(array[i] == elemento) 
			return true;
			
    return false;
}

function IdOrdPrgSelezionati()
{
	var celleSelezionate = $('div[Cella][Selezionata=1]');
	
	var len = celleSelezionate.length;
	
	var i, count;
	
	var arrayId = new Array();
	
	for ( i=0, count=0; i<len; ++i )
	{
		var id = $(celleSelezionate[i]).attr('IdOrdineProgrammato');
		
		if ( !in_array(id, arrayId) )
			arrayId[count++] = id;
	}
	
	return arrayId;
}

function ApriChiudiOrdini()
{
	var obj = {};

	obj.ListIdOrdPrg = IdOrdPrgSelezionati()+"";
	
	if ( obj.ListIdOrdPrg.length==0 )
	{
		alert('Prima devi selezionare le celle su cui operare!');
		return;
	}

	obj.opt1 = jei('chkUsaDatePrg').checked ? 0 : 2;
	
	switch(gAzione)
	{
		case 'apri':
			obj.index = 1;
			break;
		case 'chiudi':
			obj.index = 2;
			break;
		case 'apri_chiudi':
			obj.index = 3;
			break;
	}
	
	obj.data1 = jei('txtDataInizio').value;
	obj.ora1 = jei('txtOraInizio').value;
	obj.data2 = jei('txtDataFine').value;
	obj.ora2 = jei('txtOraFine').value;
	
	var result = jhp('jhp/apri_chiudi.php', obj);
							
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		ColoraCelle(result.value);
		
		$('#div1').hide();
	}
}

function GeneraNuove()
{
	var obj = {};

	obj.ListIdOrdPrg = IdOrdPrgSelezionati()+"";
	
	if ( obj.ListIdOrdPrg.length==0 )
	{
		alert('Prima devi selezionare le celle su cui operare!');
		return;
	}

	obj.data1 = jei('txtDataInizio').value;
	obj.ora1 = jei('txtOraInizio').value;
	obj.data2 = jei('txtDataFine').value;
	obj.ora2 = jei('txtOraFine').value;
	
	obj.MotiviAnnulloEdifici = jei('MotiviAnnulloEdifici').value;
	obj.MotiviAnnulloStrade = jei('MotiviAnnulloStrade').value;
	obj.MotiviAnnulloVerde = jei('MotiviAnnulloVerde').value;
	
	obj.Note = jei('Note').value;
	
	var result = jhp('jhp/genera_nuova_prg.php', obj);
							
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#div2Content').html(result.value);
		
		$('#div2').show();
		$('#div1').hide();
	}
}

function AnomaliaRichiesta()
{
	var obj = {};

	obj.ListIdOrdPrg = IdOrdPrgSelezionati()+"";
	
	obj.Note = jei('Note').value;
	
	if ( obj.ListIdOrdPrg.length==0 )
	{
		alert('Prima devi selezionare le celle su cui operare!');
		return;
	}

	var result = jhp('jhp/anomalie.php', obj);
							
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		ColoraCelle(result.value);
		
		$('#div1').hide();
	}
}

function Annulla()
{
	var obj = {};

	obj.ListIdOrdPrg = IdOrdPrgSelezionati()+"";
	
	obj.MotiviAnnulloEdifici = jei('MotiviAnnulloEdifici').value;
	obj.MotiviAnnulloStrade = jei('MotiviAnnulloStrade').value;
	obj.MotiviAnnulloVerde = jei('MotiviAnnulloVerde').value;
	
	obj.Note = jei('Note').value;
	
	if ( obj.ListIdOrdPrg.length==0 )
	{
		alert('Prima devi selezionare le celle su cui operare!');
		return;
	}

	var result = jhp('jhp/annulla_ordine_prg.php', obj);
							
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		ColoraCelle(result.value);
		
		$('#div1').hide();
	}
}

function RipristinaOrdinePrg()
{
	var obj = {};

	obj.ListIdOrdPrg = IdOrdPrgSelezionati()+"";
	
	if ( obj.ListIdOrdPrg.length==0 )
	{
		alert('Prima devi selezionare le celle su cui operare!');
		return;
	}

	var result = jhp('jhp/ripristina_ordine_prg.php', obj);
							
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		ColoraCelle(result.value);
		
		$('#div1').hide();
	}
}

function ColoraCelle(rows)
{
	var len = rows.length;
	var i;

	for ( i=0; i<len; ++i )
	{
		var row = rows[i];
		
		var id = row['id'];
		var backColor = row['backColor'];
		var foreColor = row['foreColor'];
		
		$('div[Cella][IdOrdineProgrammato='+id+']')
			.css('color', foreColor)
			.css('background-color', backColor)
			.attr('Selezionata', 0)
			.css('border', 'none');
	}
	
	$('th[Colonna][Selezionata=1]')
			.attr('Selezionata', 0)
			.css('border', 'none');
}

function funcCancel()
{
	$('#div1').hide();
}

function CompattaDesEdificio(index)
{
	$('span[tdCompact='+index+']').toggle();
	$('span[tdFull='+index+']').toggle();
}

function Compatta(btn, key)
{
	if ( btn.value=='-' )
	{
		btn.value = '+';
		$('tr['+key+']').hide();
	}
	else
	{
		btn.value = '-';
		$('tr['+key+']').show();
	}
}

function SelezionaCella(IdOrdineProgrammato)
{
	var cella = $('div[Cella][IdOrdineProgrammato='+IdOrdineProgrammato+']');
	
	var Selezionata = cella.attr('Selezionata');

	if ( Selezionata==0 )
	{
		cella.attr('Selezionata', 1).css('border', 'solid 3px black');
	}
	else
	{
		cella.attr('Selezionata', 0).css('border', 'none');
	}	
}

function SelezionaColonna(dus)
{
	var colonna = $('th[Colonna][dus='+dus+']');
	var Selezionata = colonna.attr('Selezionata');

	var celle = $('div[Cella][dus='+dus+']');
	
	if ( Selezionata==0 )
	{
		colonna.attr('Selezionata', 1).css('border', 'solid 3px black');
		celle.attr('Selezionata', 1).css('border', 'solid 3px black');
	}
	else
	{
		colonna.attr('Selezionata', 0).css('border', 'none');
		celle.attr('Selezionata', 0).css('border', 'none');
	}	
}