<?php

$Note = ntxsp('Note', false, false); 

if ( is_numeric($_POST[MotiviAnnulloEdifici]) )
{
	$MotiviAnnulloEdifici = ntxip('MotiviAnnulloEdifici'); 

	$sql = <<< sql
		UPDATE         tblOrdiniProgrammati SET Annullato=1, tblOrdiniProgrammati.Note=LEFT(ISNULL(tblOrdiniProgrammati.Note,'') + '. ' +ISNULL($Note,''),255), [IdMotivoAnnullamento]=$MotiviAnnulloEdifici
		FROM dbo.splitid($ListIdOrdPrg) a INNER JOIN tblOrdiniProgrammati
		ON a.id = tblOrdiniProgrammati.IdOrdineProgrammato
		INNER JOIN ElencoEdifici
		ON tblOrdiniProgrammati.IdCommessa=ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio=ElencoEdifici.ID
		where tblOrdiniProgrammati.IdCommessa = $IdCommessa AND (ElencoEdifici.Tipo=0 OR ElencoEdifici.Tipo IS NULL)
			AND (tblOrdiniProgrammati.Eseguito IS NULL OR tblOrdiniProgrammati.Eseguito=0)
			AND (tblOrdiniProgrammati.Annullato IS NULL OR tblOrdiniProgrammati.Annullato=0)
			AND (tblOrdiniProgrammati.Anomalia IS NULL OR tblOrdiniProgrammati.Anomalia=0)
sql;

	ntxQuery($sql);

	$sql = <<< sql
		UPDATE         tblOrdiniPrgComp SET Annullato=1, tblOrdiniPrgComp.Note=LEFT(ISNULL(tblOrdiniPrgComp.Note,'') + '. ' +ISNULL($Note,''),255), [IdMotivoAnnullamento]=$MotiviAnnulloEdifici
		FROM dbo.splitid($ListIdOrdPrg) a INNER JOIN tblOrdiniProgrammati
		ON a.id = tblOrdiniPrgComp.IdOrdineProgrammato
		INNER JOIN ElencoEdifici
		ON tblOrdiniPrgComp.IdCommessa=ElencoEdifici.IdCommessa AND tblOrdiniPrgComp.IdEdificio=ElencoEdifici.ID
		where tblOrdiniPrgComp.IdCommessa = $IdCommessa AND (ElencoEdifici.Tipo=0 OR ElencoEdifici.Tipo IS NULL)
			AND (tblOrdiniPrgComp.Eseguito IS NULL OR tblOrdiniPrgComp.Eseguito=0)
			AND (tblOrdiniPrgComp.Annullato IS NULL OR tblOrdiniPrgComp.Annullato=0)
			AND (tblOrdiniPrgComp.Anomalia IS NULL OR tblOrdiniPrgComp.Anomalia=0)
sql;

	ntxQuery($sql);
}

if ( is_numeric($_POST[MotiviAnnulloStrade]) )
{
	$MotiviAnnulloStrade = ntxip('MotiviAnnulloStrade'); 

	$sql = <<< sql
		UPDATE         tblOrdiniProgrammati SET Annullato=1, tblOrdiniProgrammati.Note=LEFT(ISNULL(tblOrdiniProgrammati.Note,'') + '. ' +ISNULL($Note,''),255), [IdMotivoAnnullamento]=$MotiviAnnulloStrade
		FROM dbo.splitid($ListIdOrdPrg) a INNER JOIN tblOrdiniProgrammati
		ON a.id = tblOrdiniProgrammati.IdOrdineProgrammato
		INNER JOIN ElencoEdifici
		ON tblOrdiniProgrammati.IdCommessa=ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio=ElencoEdifici.ID
		where tblOrdiniProgrammati.IdCommessa = $IdCommessa AND ElencoEdifici.Tipo=1
			AND (tblOrdiniProgrammati.Eseguito IS NULL OR tblOrdiniProgrammati.Eseguito=0)
			AND (tblOrdiniProgrammati.Annullato IS NULL OR tblOrdiniProgrammati.Annullato=0)
			AND (tblOrdiniProgrammati.Anomalia IS NULL OR tblOrdiniProgrammati.Anomalia=0)
sql;

	ntxQuery($sql);

	$sql = <<< sql
		UPDATE         tblOrdiniPrgComp SET Annullato=1, tblOrdiniPrgComp.Note=LEFT(ISNULL(tblOrdiniPrgComp.Note,'') + '. ' +ISNULL($Note,''),255), [IdMotivoAnnullamento]=$MotiviAnnulloEdifici
		FROM dbo.splitid($ListIdOrdPrg) a INNER JOIN tblOrdiniProgrammati
		ON a.id = tblOrdiniPrgComp.IdOrdineProgrammato
		INNER JOIN ElencoEdifici
		ON tblOrdiniPrgComp.IdCommessa=ElencoEdifici.IdCommessa AND tblOrdiniPrgComp.IdEdificio=ElencoEdifici.ID
		where tblOrdiniPrgComp.IdCommessa = $IdCommessa AND ElencoEdifici.Tipo=1
			AND (tblOrdiniPrgComp.Eseguito IS NULL OR tblOrdiniPrgComp.Eseguito=0)
			AND (tblOrdiniPrgComp.Annullato IS NULL OR tblOrdiniPrgComp.Annullato=0)
			AND (tblOrdiniPrgComp.Anomalia IS NULL OR tblOrdiniPrgComp.Anomalia=0)
sql;

	ntxQuery($sql);
}

if ( is_numeric($_POST[MotiviAnnulloVerde]) )
{
	$MotiviAnnulloVerde = ntxip('MotiviAnnulloVerde'); 

	$sql = <<< sql
		UPDATE         tblOrdiniProgrammati SET Annullato=1, tblOrdiniProgrammati.Note=LEFT(ISNULL(tblOrdiniProgrammati.Note,'') + '. ' +ISNULL($Note,''),255), [IdMotivoAnnullamento]=$MotiviAnnulloVerde
		FROM dbo.splitid($ListIdOrdPrg) a INNER JOIN tblOrdiniProgrammati
		ON a.id = tblOrdiniProgrammati.IdOrdineProgrammato
		INNER JOIN ElencoEdifici
		ON tblOrdiniProgrammati.IdCommessa=ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio=ElencoEdifici.ID
		where tblOrdiniProgrammati.IdCommessa = $IdCommessa AND ElencoEdifici.Tipo=2
			AND (tblOrdiniProgrammati.Eseguito IS NULL OR tblOrdiniProgrammati.Eseguito=0)
			AND (tblOrdiniProgrammati.Annullato IS NULL OR tblOrdiniProgrammati.Annullato=0)
			AND (tblOrdiniProgrammati.Anomalia IS NULL OR tblOrdiniProgrammati.Anomalia=0)
sql;

	ntxQuery($sql);

	$sql = <<< sql
		UPDATE         tblOrdiniPrgComp SET Annullato=1, tblOrdiniPrgComp.Note=LEFT(ISNULL(tblOrdiniPrgComp.Note,'') + '. ' +ISNULL($Note,''),255), [IdMotivoAnnullamento]=$MotiviAnnulloEdifici
		FROM dbo.splitid($ListIdOrdPrg) a INNER JOIN tblOrdiniProgrammati
		ON a.id = tblOrdiniPrgComp.IdOrdineProgrammato
		INNER JOIN ElencoEdifici
		ON tblOrdiniPrgComp.IdCommessa=ElencoEdifici.IdCommessa AND tblOrdiniPrgComp.IdEdificio=ElencoEdifici.ID
		where tblOrdiniPrgComp.IdCommessa = $IdCommessa AND ElencoEdifici.Tipo=2
			AND (tblOrdiniPrgComp.Eseguito IS NULL OR tblOrdiniPrgComp.Eseguito=0)
			AND (tblOrdiniPrgComp.Annullato IS NULL OR tblOrdiniPrgComp.Annullato=0)
			AND (tblOrdiniPrgComp.Anomalia IS NULL OR tblOrdiniPrgComp.Anomalia=0)
sql;

	ntxQuery($sql);
}

?>
