<?php

session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdUtente = ntxise('IdUtente');

$table = new NtxTable('Ordini');

$update = $table->update();

$ListIdOrdPrg = explode(",", $_POST[ListIdOrdPrg]);

$result = array();

$IdCommessa = ntxise('IdCommessa');

$index = ntxip('index');
$opt1 = ntxip('opt1');

if ( $opt1 == 2 )
{
	if ( $index==1 || $index==3 )
		$data1prg = ntxt("$_POST[data1] $_POST[ora1]", "Data/Ora Inizio");

	if ( $index==2 || $index==3 )
		$data2prg = ntxt("$_POST[data2] $_POST[ora2]", "Data/Ora Fine");
}
else
{
	$data1prg = "DataInizioProg";
	$data2prg = "DataFineProg";
}

if ( $opt1==2  &&  $index==3 )
{
	$sql = "SELECT case when $data1prg>$data2prg then 1 else 0 end";
	
	if ( ntxScalar($sql) )
		jhp_error("Data Inizio non dev'essere maggiore di Data Fine!");
}

$IdOrdPrg = null;

foreach($ListIdOrdPrg as $IdOrdPrg)
{
	$sql = "";
	
	if ( $index==1 || $index==3 )
		$sql = "Aperto=1, dataInizio=$data1prg";
		
	if ( $index==2 || $index==3 )
	{
		if ( $sql!="" ) $sql .= ", ";
		$sql .= "Eseguito=1, datafine=$data2prg";
	}

	$sql = <<< sql
		UPDATE         tblOrdiniPrgComp SET $sql
		where IdCommessa = $IdCommessa and IdOrdPrgComp=$IdOrdPrg
sql;

	ntxQuery($sql);
	
	$sql = <<< sql
		SELECT     DataInizio, DataFine, Aperto, Eseguito
		FROM         tblOrdiniPrgComp
		where IdCommessa = $IdCommessa and IdOrdPrgComp=$IdOrdPrg
sql;

	$query = ntxQuery($sql);
	
	$rs = ntxIRecord($query);

	$result["{$IdOrdPrg}_0"] = ntxDate($rs[0]);
	$result["{$IdOrdPrg}_1"] = ntxTime($rs[0]);
	$result["{$IdOrdPrg}_2"] = ntxDate($rs[1]);
	$result["{$IdOrdPrg}_3"] = ntxTime($rs[1]);
	$result["{$IdOrdPrg}_4"] = $rs[2] ? "SI" : "no";
	$result["{$IdOrdPrg}_5"] = $rs[3] ? "SI" : "no";
}

if ( is_numeric($IdOrdPrg) )
{
	$sql = <<< sql
		exec dbo.ModificaCascataPrdReverse $IdCommessa, $IdOrdPrg, $IdUtente
sql;

	ntxQuery($sql);
}

jhp($result);


?>