<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>


<body>


<?php
	$IdCommessa = ntxise('IdCommessa');
	$NumOrdine = ntxip('NumOrdine');
	$AnnoOrdine = ntxip('AnnoOrdine');
	
	$sql = <<< sql
			SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
			FROM         SchemiFlussoPagineWeb INNER JOIN
								  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
			WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

	$SchemaCommessa = ntxScalar($sql);

	function GeneraSubQuery($TipoPrezzo)
	{
		$TipoPrezzo2 = "ElencoPrezziInCommessa.TipoPrezzo=$TipoPrezzo";

		$sql = <<< SQL
			SELECT  SUM(ISNULL( RiheContabilità.QTA * RiheContabilità.PzUnitario, 0))
			FROM         RiheContabilità INNER JOIN
								  ElencoPrezziInCommessa ON RiheContabilità.IdCommessa = ElencoPrezziInCommessa.IdCommessa AND 
								  RiheContabilità.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo
			WHERE     (RiheContabilità.IdCommessa = Contabilità.IDCommessa)
			AND (RiheContabilità.NumContabilità = Contabilità.NumContabilità) 
			AND $TipoPrezzo2
SQL;

		return $sql;
	}

	function GeneraSubQuery2($TipoPrezzo)
	{
		$TipoPrezzo2 = "ElencoPrezziInCommessa.TipoPrezzo=$TipoPrezzo";

		$sql = <<< SQL
			SELECT     SUM(ISNULL(RihePreventivi.QTA * RihePreventivi.PzUnitario, 0)) AS Expr1
			FROM         RihePreventivi INNER JOIN
						  ElencoPrezziInCommessa ON RihePreventivi.IdCommessa = ElencoPrezziInCommessa.IdCommessa AND 
						  RihePreventivi.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo INNER JOIN
						  Preventivi ON RihePreventivi.IdCommessa = Preventivi.IDCommessa AND RihePreventivi.NumPreventivo = Preventivi.NumPreventivo
			WHERE     (Preventivi.IdCommessa = Contabilità.IDCommessa)
				AND (Preventivi.NumRichiesta = Ordini.NumRichiesta) 
				AND (Preventivi.AnnoRichiesta = Ordini.AnnoRichiesta) 
				AND $TipoPrezzo2
SQL;

		return $sql;
	}


	if ( $SchemaCommessa=='isi' )
	{
		$sql1 = <<< sql
			SELECT CASE dbo.VersContiContabilità(Contabilità.IDCommessa, Contabilità.NumContabilità)
				WHEN '2' THEN
					F2*(1+E3*(1-E4))+F6*(1-E7)+F9*(1-E10)+F12*(1-E13)+F15+F12b+F9b
				ELSE
					F2*(1+E3*(1-E4))+F6*(1-E7)+(F9+F9b)*(1-E10)+(F12+F12b)*(1-E13)+F15+(F2*(1+E3*(1-E4))+F6+F9+F9b+F12+F12b+F15)*E16
				END
				
				FROM (	SELECT 0.25 AS E3,
						0.15  AS E4,  
						0.15  AS E7,  
						0.15  AS E10, 
						0.15  AS E13, 
						0.025 AS E16, 
sql;

		$sql1 .= "ISNULL((".GeneraSubQuery(2)."),0) AS F2, ";
		$sql1 .= "ISNULL((".GeneraSubQuery(5)."),0) AS F6, ";
		$sql1 .= "ISNULL((".GeneraSubQuery(1)."),0) AS F9, ";
		$sql1 .= "ISNULL((".GeneraSubQuery(6)."),0) AS F12, ";
		$sql1 .= "ISNULL((".GeneraSubQuery(7)."),0) AS F9b, ";
		$sql1 .= "ISNULL((".GeneraSubQuery(3)."),0) AS F12b, ";
		$sql1 .= "ISNULL((".GeneraSubQuery(1001)."),0) AS F15 ";
				
		$sql1 .= ") a ";
		
		$sql2 = <<< sql
			SELECT CASE dbo.VersContiContabilità(Contabilità.IDCommessa, Contabilità.NumContabilità)
				WHEN '2' THEN
					F2*(1+E3*(1-E4))+F6*(1-E7)+F9*(1-E10)+F12*(1-E13)+F15+F12b+F9b
				ELSE
					F2*(1+E3*(1-E4))+F6*(1-E7)+(F9+F9b)*(1-E10)+(F12+F12b)*(1-E13)+F15+(F2*(1+E3*(1-E4))+F6+F9+F9b+F12+F12b+F15)*E16
				END
				
				FROM (	SELECT 0.25 AS E3,
						0.15  AS E4,  
						0.15  AS E7,  
						0.15  AS E10, 
						0.15  AS E13, 
						0.025 AS E16, 
sql;

		$sql2 .= "ISNULL((".GeneraSubQuery2(2)."),0) AS F2, ";
		$sql2 .= "ISNULL((".GeneraSubQuery2(5)."),0) AS F6, ";
		$sql2 .= "ISNULL((".GeneraSubQuery2(1)."),0) AS F9, ";
		$sql2 .= "ISNULL((".GeneraSubQuery2(6)."),0) AS F12, ";
		$sql2 .= "ISNULL((".GeneraSubQuery2(7)."),0) AS F9b, ";
		$sql2 .= "ISNULL((".GeneraSubQuery2(3)."),0) AS F12b, ";
		$sql2 .= "ISNULL((".GeneraSubQuery2(1001)."),0) AS F15 ";
				
		$sql2 .= ") b ";
	}
	else
	{
		$sql1 = <<< sql
					SELECT     sum( isnull(RiheContabilità.QTA * RiheContabilità.PzUnitario, 0)
										* (1 - isnull(RiheContabilità.Sconto, 0)/100))
					FROM         RiheContabilità
					WHERE     (RiheContabilità.IdCommessa = Contabilità.IDCommessa) 
							AND (RiheContabilità.NumContabilità =  Contabilità.NumContabilità)
sql;

		$sql2 = <<< sql
					SELECT     sum( isnull(RihePreventivi.QTA * RihePreventivi.PzUnitario, 0)
										* (1 - isnull(RihePreventivi.Sconto, 0)/100))
					FROM         RihePreventivi INNER JOIN
						  Preventivi ON RihePreventivi.IdCommessa = Preventivi.IDCommessa AND RihePreventivi.NumPreventivo = Preventivi.NumPreventivo
				WHERE     (Preventivi.IdCommessa = Contabilità.IDCommessa)
					AND (Preventivi.NumRichiesta = Ordini.NumRichiesta) 
					AND (Preventivi.AnnoRichiesta = Ordini.AnnoRichiesta) 
sql;
	}

	$sql = <<< SQL
				SELECT     Contabilità.NumContabilità, Contabilità.DataContabilità, Contabilità.RifOrdineCliente, Contabilità.NumOrdine, Contabilità.AnnoOrdine, 
                      Ditte.Ditta AS Fornitore, StatiContabilità.DesstatoC AS Stato, TabellaGradoUrgenza.Descrizione AS GU, ElencoEdifici.EdificioBreve AS Edificio, 
                      ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA AS Prov, tblUtUtilizzatori.Nome AS Utilizzatore, Ordini.DescrizioneIntervento, 
                      Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2, Contabilità.Note, Contabilità.ImportoStimatoC, Contabilità.Consegnato, 
                      Contabilità.DataConsegna, Contabilità.DataUltimaConsegna, Contabilità.Approvato, Contabilità.DataApprovazione, Contabilità.UtenteApprovazione, 
                      Contabilità.Contestato, Contabilità.DataContestazione, Contabilità.UtenteContestazione, Contabilità.NoteContestazione, Contabilità.Fatturato, 
                      Contabilità.DataSal, Contabilità.NumSal, Contabilità.idStatoc, Contabilità.IdVoce, Contabilità.GruppoF, 
								  ($sql1) AS ImportoNetto,
								  ($sql2) AS Preventivo,
						Contabilità.DataCompetenza,
						Ordini.CodEdificio IdEdificio
				FROM         ElencoEdifici INNER JOIN
                      Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio INNER JOIN
                      Contabilità ON Ordini.AnnoOrdine = Contabilità.AnnoOrdine AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
                      Ordini.IDCommessa = Contabilità.IDCommessa INNER JOIN
                      TabellaGradoUrgenza ON Contabilità.GradoUrgenza = TabellaGradoUrgenza.GradoU AND 
                      Contabilità.IDCommessa = TabellaGradoUrgenza.IdCommessa INNER JOIN
                      StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc LEFT OUTER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
                      tblUtUtilizzatori ON Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore AND Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa
				WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumOrdine = $NumOrdine) AND (Contabilità.AnnoOrdine = '$AnnoOrdine')
SQL;

	$query = ntxQuery($sql);
	$rs = ntxRecord($query);
	
	$IdVoce = $rs[IdVoce];
	$IdEdificio = $rs[IdEdificio];
	
	$a = true;
	
	$b = "class=td2";
	
?>

<form name=form1 id=form1 method=post>
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="<?php echo $_POST['NumOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="<?php echo $_POST['AnnoOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=NumContabilità VALUE="<?php echo $rs['NumContabilità'] ?>" >
</form>


<form name=form2 id=form2 method=post>
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="<?php echo $_POST['NumOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="<?php echo $_POST['AnnoOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=NumContabilità VALUE="<?php echo $rs['NumContabilità'] ?>" >
	<table align=left style="width:200px">
		<caption>Testata Contabilità</caption>
		<tr><th>Num. Contabilità</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['NumContabilità']) ?></td>
		<tr><th>Data Contabilità</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataContabilità']) ?></td>
		<tr><th>Rif. Ordine Cliente</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['RifOrdineCliente']) ?></td>
		<tr><th>Num. Ordine</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxRound($rs['NumOrdine'], 0) ?></td>
		<tr><th>Anno Ordine</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?></td>
		<tr><th>Fornitore</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Fornitore']) ?></td>
		<tr><th>Stato</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Stato']) ?></td>
		<tr><th>GU</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['GU']) ?></td>
		<tr><th>Localizzazione</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Edificio']) ?></td>
		<tr><th>Comune</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<tr><th>Prov</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Prov']) ?></td>
		<tr><th>Utilizzatore</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td>
		<tr><th>Descrizione</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['DescrizioneIntervento'].$rs['DescrizioneIntervento1'].$rs['DescrizioneIntervento2']) ?></td>
		<tr><th>Note</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
		<tr><th>Importo Approvato</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoStimatoC'], 2) ?></td>
		<tr><th>Importo Netto</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoNetto'], 2) ?></td>
		<tr><th>Preventivo</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxRoundThousand($rs['Preventivo'], 2) ?></td>
		<tr><th>Consegnato</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php if ($rs['Consegnato']==1) echo "SI"; else echo "NO" ?></td>
		<tr><th>Data Consegna</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataConsegna']) ?></td>
		<tr><th>Data Ultima Consegna</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataUltimaConsegna']) ?></td>
		<tr><th>Approvato</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php if ($rs['Approvato']==1) echo "SI"; else echo "NO"  ?></td>
		<tr><th>Data Approvazione</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataApprovazione']) ?></td>
		<tr><th>Utente Approvazione</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['UtenteApprovazione']) ?></td>
		<tr><th>Contestato</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php if ($rs['Contestato']==1) echo "SI"; else echo "NO"  ?></td>
		<tr><th>Data Contestazione</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataContestazione']) ?></td>
		<tr><th>Utente Contestazione</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['UtenteContestazione']) ?></td>
		<tr><th>Note Contestazione</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['NoteContestazione']) ?></td>
		<tr><th>Fatturato</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php if ($rs['Fatturato']==1) echo "SI"; else echo "NO" ?></td>
		<tr><th>Data Sal</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataSal']) ?></td>
		<tr><th>Num Sal</th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['NumSal']) ?></td>
		<tr><th>Voce Budget</th><td <?php if ($a) echo $b; $a=!$a; ?> >
			<select name=IdVoce></select>
			</td>
		<tr><th>Ordine Cliente (NEL)</th><td <?php if ($a) echo $b; $a=!$a; ?> >	<input type="text" name="GruppoF" maxlength="15" value="<?php echo ntxJS($rs['GruppoF'])?>"/></td>		
		<tr><th>Data Competenza</th><td <?php if ($a) echo $b; $a=!$a; ?> >	<input type="text" name="DataCompetenza" maxlength="20" value="<?php echo ntxDateTime($rs['DataCompetenza'])?>" <?php if ( $rs['idStatoc']>=60 ) echo " DISABLED " ?> /></td>		
		<tr><th colspan=2>Note Contestazione:<br>
			<textarea cols=80 rows=5 name=NoteContestazione><?php echo htmlentities($rs['NoteContestazione']) ?></textarea>
		<tr><th colspan=2>
			<input type=button value="Report" onclick="Report()">
			<input type=button name=btnApprova id=btnApprova value="Approva" onclick="Approva()" <?php if ( $rs['idStatoc']>=60 ) echo " DISABLED " ?>>
			<input type=button name=btnContesta id=btnContesta value="Contesta" onclick="Contesta()" <?php if ( $rs['idStatoc']>=60 ) echo " DISABLED " ?>></th>
	</table>
	<br><br>
</form>

<script language=javascript>
window.onload = preparaPagina;

function preparaPagina()
{

	function funcLogicaAutorizzatore(txt)
	{
		var rows=ntxRecord(txt);
		var autorizza = rows['consentiAutorizzazione'];	
		
		if( parseInt(autorizza)==1 )
		{
			gei("btnApprova").disabled=false;
			gei("btnContesta").disabled=false;
		}
		else
		{
			gei("btnApprova").disabled=true;
			gei("btnContesta").disabled=true;
		}
	}
	

	ntxSelectLoad(form2, form2.IdVoce, 'testata_contabilita/carica_voci', true); 

	document.form2.IdVoce.value = "<?php echo $IdVoce ?>";
	
	ntxSendForm(document.form1, funcLogicaAutorizzatore, 'logica_autorizzatore');	
	
	
	if( <?php echo $rs['idStatoc']?>>=60 )
	{
		gei("btnApprova").disabled=true;
		gei("btnContesta").disabled=true;
	}
}





if ( parent.parent.AttoreInUso=="supporto" )
{
	form2.btnApprova.disabled=true;
	form2.btnContesta.disabled=true;
	form2.IdVoce.disabled=true;
}

function Report()
{
	form1.action = "../../../affidatari/contabilita/contab_ord/report/index.php"
	form1.target = "_blank";
	form1.submit();
}

function Approva()
{
	if ( !confirm("Sicuro di volere approvare questa contabilita'?") ) return;
	
	if ( ntxSendForm(form2, funcVoid, 'testata_contabilita/approva') )
	{
		form1.action = "testata_contabilita.php"
		form1.target = "_self";
		form1.submit();
	}
}

function Contesta()
{
	if ( !confirm("Sicuro di volere contestare questa contabilita? (ricordare di inserire le note)") ) return;
	
	if ( ntxSendForm(form2, funcVoid, 'testata_contabilita/contesta') )
	{
		form1.action = "testata_contabilita.php"
		form1.target = "_self";
		form1.submit();
	}
}

function funcVoid(text)
{
	
}

</script>

</body>
</html>
