<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdContratto = $_POST['IdContratto'];

if ( !is_numeric($IdContratto) )
	ntxMsgErr("Prima devi selezionare un contratto!");
	
$sql = <<< sql
			SELECT	a.IdEdificio, 
					a.IdAttivitàMestiere, 
					b.IdComponenteMestiere, 
					b.IdFrequenza, 
					b.Nota
			FROM         tblPgContrattiAffidatariAttivitàEdifici a INNER JOIN
								  tblAttivitàMestiere b ON a.IdCommessa = b.IdCommessa AND 
								  a.IdAttivitàMestiere = b.IdAttivitàMestiere
			WHERE     (a.IdPgContrattoAffidatario = $IdContratto) 
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$IdEdificio = $rs[IdEdificio];
	$IdAttivita = $rs[IdAttivitàMestiere];
	
	$sql = <<< sql
		SELECT IdCommessa
		FROM tblAttivitàEdifici
		WHERE IdCommessa=$IdCommessa
			AND IdEdificio=$IdEdificio
			AND IdAttivitàMestiere=$IdAttivita
sql;
			
	if ( is_numeric(ntxScalar($sql)) ) continue;

	$IdComponenteMestiere = $rs[IdComponenteMestiere];
	
	$sql = <<< sql
		SELECT IdComponenteEdificio
		FROM tblComponentiEdifici
		WHERE IdCommessa=$IdCommessa
			AND IdEdificio=$IdEdificio
			AND IdComponenteMestiere=$IdComponenteMestiere
sql;

	$IdComponenteEdificio = ntxScalar($sql);
	
	if ( !is_numeric($IdComponenteEdificio) )
	{
		$sql = <<< sql
			INSERT INTO tblComponentiEdifici (IdCommessa, IdEdificio, IdComponenteMestiere)
				VALUES ($IdCommessa, $IdEdificio, $IdComponenteMestiere)
sql;

		ntxQuery($sql);
		
		$IdComponenteEdificio = ntxScalar("SELECT @@IDENTITY");
	}
	
	$IdFrequenza = ntxi($rs[IdFrequenza]);
	$Nota = ntxs($rs[Nota]);
	
	$sql = <<< sql
		INSERT INTO tblAttivitàEdifici
							  (IdAttivitàMestiere, IdCommessa, IdEdificio, IdComponenteEdificio, IdFrequenza, Nota)
		VALUES ($IdAttivita, $IdCommessa, $IdEdificio, $IdComponenteEdificio, $IdFrequenza, $Nota)
sql;

	ntxQuery($sql);
}

ntxMsgResult( "" );	

?>
