<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

if ( "".$_POST['IdAttivita2']=="" || "".$_POST['IdEdifici']=="" )
	ntxMsgErr( "" );	

$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sql = <<< sql
	SELECT DISTINCT tblPgContrattiAffidatari.IdAffidatario
	FROM         tblPgContrattiRifAffidatari INNER JOIN
						  UtentiRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
						  Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id INNER JOIN
						  tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
	WHERE     (Utenti.Nome = $mUtente)
			AND (Utenti.Password = $mPassword)
			AND (tblPgContrattiAffidatari.IdCommessa = $IdCommessa)
sql;

$IdAffidatario = ntxScalar($sql);

if ( !is_numeric($IdAffidatario) )
	ntxMsgErr( "L'utente non e' un affidatario!!!" );	

$IdAttivita2 = explode("#", "".$_POST[IdAttivita2]);
$IdEdifici = explode("#", "".$_POST[IdEdifici]);

$numOrdPrgEliminati = 0;

$data = ntxDateTime(ntxScalar('select getdate()'));

foreach ($IdAttivita2 as $IdAttivita)
{
	foreach ($IdEdifici as $IdEdificio)
	{
		if ( is_numeric($IdEdificio)  &&  is_numeric($IdAttivita) )
		{
			$IdEdificio = (int)$IdEdificio;
			$IdAttivita = (int)$IdAttivita;
			
			$sql = <<< sql
				SELECT     count(*)
				FROM         tblOrdiniProgrammati
					WHERE     (IdCommessa = $IdCommessa) 
					AND (IdEdificio = $IdEdificio) 
					AND (IdAttivitàMestiere = $IdAttivita)
sql;

			$res = ntxScalar($sql);
			$numOrdPrgEliminati += is_numeric($res) ? $res : 0;
	
			$sql = <<< sql
				declare @dataCancellazione as datetime;
				
				set @dataCancellazione = getdate();
				
				INSERT INTO tblOrdPrgLog
						  (IdCommessa, IdOrdineProgrammato, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, IdAttivitàMestiere, IdContrattoFornitore, IdFornitore, 
						  dataInizioProg, dataFineProg, oraria, Eseguito, dataInizio, datafine, Note, NOre, NPersone, Annullato, IdEvento, dataInizioContratto, dataFineContratto, 
						  Quantità, UM, Nota, TipoAttivitàEvento, Aperto, Anomalia, Locazione, DocVisto, NumOrdine, AnnoOrdine, MisuraEffettuata, EsitoControllo, IdAnomalia, 
						  dataCancellazione, UtenteCancellazione)
				SELECT     IdCommessa, IdOrdineProgrammato, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, IdAttivitàMestiere, IdContrattoFornitore, IdFornitore, 
									  dataInizioProg, dataFineProg, oraria, Eseguito, dataInizio, datafine, Note, NOre, NPersone, Annullato, IdEvento, dataInizioContratto, dataFineContratto, 
									  Quantità, UM, Nota, TipoAttivitàEvento, Aperto, Anomalia, Locazione, DocVisto, NumOrdine, AnnoOrdine, MisuraEffettuata, EsitoControllo, IdAnomalia, 
									  @dataCancellazione dataCancellazione, $mUtente AS utenteCancellazione
				FROM         tblOrdiniProgrammati
					WHERE     (IdCommessa = $IdCommessa) 
					AND (IdEdificio = $IdEdificio) 
					AND (IdAttivitàMestiere = $IdAttivita)
sql;

			ntxQuery($sql);

			$sql = <<< sql
					DELETE FROM tblOrdiniProgrammati
					WHERE     (IdCommessa = $IdCommessa) 
					AND (IdEdificio = $IdEdificio) 
					AND (IdAttivitàMestiere = $IdAttivita)
sql;

			ntxQuery($sql);
			
			$sql = <<< sql
				DELETE FROM tblAttivitàProgrammata
				FROM         tblAttivitàEdifici INNER JOIN
						  tblAttivitàProgrammata ON tblAttivitàEdifici.IdCommessa = tblAttivitàProgrammata.IdCommessa AND 
						  tblAttivitàEdifici.IdAttivitàEdificio = tblAttivitàProgrammata.IdAttivitàEdificio
				WHERE     (tblAttivitàEdifici.IdCommessa = $IdCommessa) 
				AND (tblAttivitàEdifici.IdEdificio = $IdEdificio) 
				AND (tblAttivitàEdifici.IdAttivitàMestiere = $IdAttivita)
sql;

			ntxQuery($sql);
			
			$sql = <<< sql
				DELETE FROM tblAttivitàEdifici
					WHERE     (IdCommessa = $IdCommessa) 
					AND (IdEdificio = $IdEdificio) 
					AND (IdAttivitàMestiere = $IdAttivita)
sql;

			ntxQuery($sql);
		}
	}
}

$sql = <<< sql
	DELETE FROM tblComponentiEdifici
	FROM         tblAttivitàEdifici RIGHT OUTER JOIN
						  tblComponentiEdifici ON tblAttivitàEdifici.IdCommessa = tblComponentiEdifici.IdCommessa AND 
						  tblAttivitàEdifici.IdComponenteEdificio = tblComponentiEdifici.IdComponenteEdificio
	WHERE     (tblComponentiEdifici.IdCommessa = $IdCommessa) 
	AND (tblAttivitàEdifici.IdCommessa IS NULL)
sql;

ntxQuery($sql);

$utente = $_SESSION['Utente'].'';

$tipo = $oggetto = "eliminazione consistenze";

$coordinate = "nulla";

$messaggio = "L'utente '$utente' in data $data con la cancellazione della consistenza ha eliminato num. '$numOrdPrgEliminati' ordini programmati";

$sql = <<< sql
	SELECT  distinct   email
	FROM         EmailPerAvvisi
	WHERE     (IdCommessa = $IdCommessa) AND (TipoAvvisi = 1)
sql;

$query = ntxQuery($sql);

while ( $rs=ntxIRecord($query) )
	ntxFireNetInit($utente,				
			$tipo,				
			$coordinate,			
			"email",		
			$rs[0],		
			$oggetto,				
			$messaggio,
			true);	

ntxMsgResult( "" );	

?>
