<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdAttivita = ntxip('IdAttivita');
$anno = ntxip('Anno1');
$NomeMese = $_POST[NomeMese];
$mese = ntxip('numMese')+1;

if ( $mese>12 )
{
	$mese -= 12;
	$anno++;
}

if ( !is_numeric($mese) || $mese<1 || $mese>12 )
	ntxmsgerr("Input mese errato '$mese'!");

if ( !is_numeric($anno) || $anno<1900 || $anno>2100 )
	ntxmsgerr("Input anno errato '$anno'!");

if ( "".$_POST['IdEdifici']=="" )
	ntxMsgErr( "Prima seleziona Localizzazioni su cui interagire!" );	

$IdEdifici = explode("#", "".$_POST[IdEdifici]);

$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sql = <<< sql
	SELECT DISTINCT tblPgContrattiAffidatari.IdAffidatario
	FROM         tblPgContrattiRifAffidatari INNER JOIN
						  UtentiRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
						  Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id INNER JOIN
						  tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
	WHERE     (Utenti.Nome = $mUtente)
			AND (Utenti.Password = $mPassword)
			AND (tblPgContrattiAffidatari.IdCommessa = $IdCommessa)
sql;

$IdAffidatario = ntxScalar($sql);

if ( !is_numeric($IdAffidatario) )
	ntxMsgErr( "L'utente non e' un affidatario!!!" );	

$numOrdPrgEliminati = 0;

$data = ntxDateTime(ntxScalar('select getdate()'));

foreach ($IdEdifici as $IdEdificio)
{
	if ( is_numeric($IdEdificio)  &&  is_numeric($IdAttivita) )
	{
		$IdEdificio = (int)$IdEdificio;
		$IdAttivita = (int)$IdAttivita;
		
			$sql = <<< sql
				SELECT     count(*)
				FROM         tblOrdiniProgrammati
					WHERE     (IdCommessa = $IdCommessa) 
					AND (IdEdificio = $IdEdificio) 
					AND (IdAttivitàMestiere = $IdAttivita)
					AND dataInizioProg=dbo.cdate('1/$mese/$anno 00.00.00')
					AND dataFineProg=dateadd(Day, -1, dateadd(Month, 1, dbo.cdate('1/$mese/$anno 23.59.59')))
sql;

			$res = ntxScalar($sql);
			$numOrdPrgEliminati += is_numeric($res) ? $res : 0;
	
			$sql = <<< sql
				declare @dataCancellazione as datetime;
				
				set @dataCancellazione = getdate();
				
				INSERT INTO tblOrdPrgLog
						  (IdCommessa, IdOrdineProgrammato, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, IdAttivitàMestiere, IdContrattoFornitore, IdFornitore, 
						  dataInizioProg, dataFineProg, oraria, Eseguito, dataInizio, datafine, Note, NOre, NPersone, Annullato, IdEvento, dataInizioContratto, dataFineContratto, 
						  Quantità, UM, Nota, TipoAttivitàEvento, Aperto, Anomalia, Locazione, DocVisto, NumOrdine, AnnoOrdine, MisuraEffettuata, EsitoControllo, IdAnomalia, 
						  dataCancellazione, UtenteCancellazione)
				SELECT     IdCommessa, IdOrdineProgrammato, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, IdAttivitàMestiere, IdContrattoFornitore, IdFornitore, 
									  dataInizioProg, dataFineProg, oraria, Eseguito, dataInizio, datafine, Note, NOre, NPersone, Annullato, IdEvento, dataInizioContratto, dataFineContratto, 
									  Quantità, UM, Nota, TipoAttivitàEvento, Aperto, Anomalia, Locazione, DocVisto, NumOrdine, AnnoOrdine, MisuraEffettuata, EsitoControllo, IdAnomalia, 
									  @dataCancellazione dataCancellazione, $mUtente AS utenteCancellazione
				FROM         tblOrdiniProgrammati
					WHERE     (IdCommessa = $IdCommessa) 
					AND (IdEdificio = $IdEdificio) 
					AND (IdAttivitàMestiere = $IdAttivita)
					AND dataInizioProg=dbo.cdate('1/$mese/$anno 00.00.00')
					AND dataFineProg=dateadd(Day, -1, dateadd(Month, 1, dbo.cdate('1/$mese/$anno 23.59.59')))
sql;

			ntxQuery($sql);

			$sql = <<< sql
					DELETE FROM tblOrdiniProgrammati
					WHERE     (IdCommessa = $IdCommessa) 
					AND (IdEdificio = $IdEdificio) 
					AND (IdAttivitàMestiere = $IdAttivita)
					AND dataInizioProg=dbo.cdate('1/$mese/$anno 00.00.00')
					AND dataFineProg=dateadd(Day, -1, dateadd(Month, 1, dbo.cdate('1/$mese/$anno 23.59.59')))
sql;

			ntxQuery($sql);
			
			$sql = <<< sql
				DELETE FROM tblAttivitàProgrammata
				FROM         tblAttivitàEdifici INNER JOIN
						  tblAttivitàProgrammata ON tblAttivitàEdifici.IdCommessa = tblAttivitàProgrammata.IdCommessa AND 
						  tblAttivitàEdifici.IdAttivitàEdificio = tblAttivitàProgrammata.IdAttivitàEdificio
				WHERE     (tblAttivitàEdifici.IdCommessa = $IdCommessa) 
				AND (tblAttivitàEdifici.IdEdificio = $IdEdificio) 
				AND (tblAttivitàEdifici.IdAttivitàMestiere = $IdAttivita)
				AND tblAttivitàProgrammata.inizio=dbo.cdate('1/$mese/$anno 00.00.00')
				AND tblAttivitàProgrammata.fine=dateadd(Day, -1, dateadd(Month, 1, dbo.cdate('1/$mese/$anno 23.59.59')))
sql;

		ntxQuery($sql);

		$sql = <<< sql
				UPDATE    tblAttivitàEdifici
				SET              $NomeMese = 0
				WHERE     (IdCommessa = $IdCommessa) 
							AND (IdEdificio = $IdEdificio) 
							AND (IdAttivitàMestiere = $IdAttivita)
sql;
		
		ntxQuery($sql);
	}
}

$utente = $_SESSION['Utente'].'';

$tipo = $oggetto = "meno mesi consistenze";

$coordinate = "nulla";

$messaggio = "L'utente '$utente' in data $data con la sottrazione di mesi della consistenza ha eliminato num. '$numOrdPrgEliminati' ordini programmati";

$sql = <<< sql
	SELECT  distinct   email
	FROM         EmailPerAvvisi
	WHERE     (IdCommessa = $IdCommessa) AND (TipoAvvisi = 1)
sql;

$query = ntxQuery($sql);

while ( $rs=ntxIRecord($query) )
	ntxFireNetInit($utente,				
			$tipo,				
			$coordinate,			
			"email",		
			$rs[0],		
			$oggetto,				
			$messaggio,
			true);	

ntxMsgResult( "" );	

?>
