<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>
<body>

<?php
	
require_once('filtro_enti_sql.inc');

?>

<table>
	<tr>
		<th>Filtro Contratti Affidatari</th>
		<th>Filtro Consistenza Localizzazioni</th>
		<th>Filtro Elidi Consistenza</th>
		<th>Codice Fiscale</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>Telefono_1</th>
		<th>Telefono_2</th>
		<th>Fax_1</th>
		<th>Fax_2</th>
		<th>Email_1</th>
		<th>Email_2</th>
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><input type=button value="F.C.A." onclick="FiltroContratti(<?php echo $rs['IdPropietario'] ?>)" /></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><input type=button value="F.C.E." onclick="FiltroConsistenza(<?php echo $rs['IdPropietario'] ?>)" /></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><input type=button value="F.E.C." onclick="FiltroElidiCon(<?php echo $rs['IdPropietario'] ?>)" /></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CodiceFiscale']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['telefono_1']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['telefono_2']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['fax_1']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['fax_2']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['email_1']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['email_2']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<script language=javascript>

function FiltroContratti(IdPropietario)
{
	parent.frame_filtro_contratti.SelEnte(IdPropietario);
	parent.drcShowKeyTab("filtro_contratti");
}

function FiltroConsistenza(IdPropietario)
{
	parent.frame_consistenza.SelEnte(IdPropietario);
	parent.drcShowKeyTab("consistenza");
}

function FiltroElidiCon(IdPropietario)
{
	parent.frame_elidi_con.SelEnte(IdPropietario);
	parent.drcShowKeyTab("elidi_con");
}

</script>

</body>
</html>
