<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_222", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_222", "IT", __FILE__);

$IdCommessa = ntxise("IdCommessa");
$NumOrdine = ntxip("NumOrdine");
$AnnoOrdine = ntxip("AnnoOrdine");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="css/forms.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>

</head>
<body >
<FORM ACTION="" METHOD=POST NAME=formRefresh ID=formRefresh >
	  <input type=hidden name=NumOrdine value="<?php echo $_POST['NumOrdine'] ?>">
	  <input type=hidden name=AnnoOrdine value="<?php echo $_POST['AnnoOrdine'] ?>">
	  <input type=button value="<?php $traduttore->html('Ricarica') ?>" onclick="formRefresh.submit()" >
</FORM>
<?php

$sql = <<< sql
	SELECT     NumContabilità
	FROM         Contabilità
	WHERE     (IDCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine')
sql;

$NumContabilità = ntxScalar($sql);

if ( is_numeric($NumContabilità) )
{
	$sql = <<< sql
		SELECT     Modulo, Id, Utente, Inserimento, TipoSpedizione, Oggetto, Destinatario, Messaggio, Inviato, mittente
		FROM         MessaggiDaSpedire
		WHERE      (Modulo = 'ca-contestata contabilita' OR Modulo = 'ca-contestata contabilita-risposta') 
		AND (Coordinate = 'contabilita $NumContabilità $IdCommessa' 
				OR Coordinate = 'contabilita $NumContabilità')
		ORDER BY Id
sql;

	$query2 = ntxQuery($sql);
}
else
	die($traduttore->traduci('Nessuna contabilità su ordine')." $NumOrdine/$AnnoOrdine");

$table = "";

while ( $rs=ntxRecord($query2) )
{
	$rs[Inserimento] = ntxDateTime($rs[Inserimento]);
	
	$rs[Inviato] = $rs[Inviato] ? "SI" : "no";
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	if ( $rs['Modulo']=='ca-contestata contabilita' )
		$style = "style='background-color:yellow'";
	else
		$style = "style='background-color:white'";
		
	$table .= <<< table
		<tr>
			<td $style>$rs[Inserimento]
			<td $style>$rs[Utente]
			<td $style>$rs[TipoSpedizione]
			<td $style>$rs[Oggetto]
			<td $style>$rs[Messaggio]
			<td $style>$rs[Inviato]
			<td $style>$rs[Destinatario]
			<td $style>$rs[mittente]
table;
}

?>

<table class=grid>
	<tr>
	<th><?php $traduttore->html('Inserito il') ?>
	<th><?php $traduttore->html('Inserito da') ?>
	<th><?php $traduttore->html('Tipo') ?>
	<th><?php $traduttore->html('Oggetto') ?>
	<th><?php $traduttore->html('Messaggio') ?>
	<th><?php $traduttore->html('Inviato') ?>
	<th><?php $traduttore->html('Destinatario') ?>
	<th><?php $traduttore->html('Mittente') ?>
	<?php echo $table ?>
</table>

<br>

<FORM ACTION="" METHOD=POST NAME=formMessage ID=formMessage >
	  <input type=hidden name=NumOrdine value="<?php echo $_POST['NumOrdine'] ?>">
	  <input type=hidden name=AnnoOrdine value="<?php echo $_POST['AnnoOrdine'] ?>">
	  <input type=hidden name=NumContabilità value="<?php echo $NumContabilità ?>">
	  
	  <textarea name=messaggio rows=5 cols=80></textarea>
	  <br>
	  <input type=button value="<?php $traduttore->html('Invia Messaggio') ?>" onclick="InviaMessaggio()" >
</FORM>

<script>

function InviaMessaggio()
{
	var result = jhp("jhp/invia_messaggio_a_cliente_autorizzatore.php", 
			jhp_frm(formMessage));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		formRefresh.submit();
	}
}

</script>
<?php $traduttore->Salva(); ?>

</body>
</html>
