<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_220", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_220", "IT", __FILE__);

$vista_cliente = $_POST[vista_cliente]==1 ? 1 : 0;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
	
	<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js?v=<?php echo time() ?>"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js?v=<?php echo time() ?>"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">	
		
</head>


<body>

<?php
require("stato_contabilita.php");
?>


<?php
	$IdCommessa = ntxise('IdCommessa');
	$NumOrdine = ntxip('NumOrdine');
	$AnnoOrdine = ntxip('AnnoOrdine');

	$sql = <<< SQL
				SELECT     Contabilità.NumContabilità, Contabilità.DataContabilità, Contabilità.RifOrdineCliente, Contabilità.NumOrdine, Contabilità.AnnoOrdine, 
                      Ditte.Ditta AS Fornitore, StatiContabilità.DesstatoC AS Stato, TabellaGradoUrgenza.Descrizione AS GU, ElencoEdifici.EdificioBreve AS Edificio, 
                      ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA AS Prov, tblUtUtilizzatori.Nome AS Utilizzatore, Ordini.DescrizioneIntervento, 
                      Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2, Contabilità.Note, Contabilità.ImportoStimatoC, Contabilità.Consegnato, 
                      Contabilità.DataConsegna, Contabilità.DataUltimaConsegna, Contabilità.Approvato, Contabilità.DataApprovazione, Contabilità.UtenteApprovazione, 
                      Contabilità.Contestato, Contabilità.DataContestazione, Contabilità.UtenteContestazione, Contabilità.NoteContestazione, Contabilità.Fatturato, 
                      Contabilità.DataSal, Contabilità.NumSal, Contabilità.GruppoF, Ordini.NumRichiesta, Ordini.AnnoRichiesta
					  
FROM         ElencoEdifici INNER JOIN
                      Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio INNER JOIN
                      Contabilità ON Ordini.AnnoOrdine = Contabilità.AnnoOrdine AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
                      Ordini.IDCommessa = Contabilità.IDCommessa INNER JOIN
                      TabellaGradoUrgenza ON Contabilità.GradoUrgenza = TabellaGradoUrgenza.GradoU AND 
                      Contabilità.IDCommessa = TabellaGradoUrgenza.IdCommessa INNER JOIN
                      StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc LEFT OUTER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
                      tblUtUtilizzatori ON Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore AND Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa
				WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumOrdine = $NumOrdine) AND (Contabilità.AnnoOrdine = '$AnnoOrdine')
SQL;

	$query = ntxQuery($sql);
	$rs = ntxRecord($query);
	
	$a = true;
	
	$b = "class=td2";
	
?>
<form name=form1 method=post>
	<input type=hidden name=vista_cliente value="<?php echo $vista_cliente ?>" >
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="<?php echo $_POST['NumOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="<?php echo $_POST['AnnoOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=NumContabilità VALUE="<?php echo $rs['NumContabilità'] ?>" >
</form>

<input type=button value="<?php $traduttore->html('Consegna a cliente') ?>" onclick="Consegna()" <?php echo $disableModifica?> >
<input type=button value="<?php $traduttore->html('Report') ?>" onclick="<?php echo !$vista_cliente ? "Report()" : "ReportVistaCliente()" ?>">
<br>
<br>
<form name=form2 method=post>
	<input type=hidden name=vista_cliente value="<?php echo $vista_cliente ?>" >
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="<?php echo $_POST['NumOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="<?php echo $_POST['AnnoOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=NumContabilità VALUE="<?php echo $rs['NumContabilità'] ?>" >
	<table align=left>
		<caption><?php $traduttore->html('Testata Contabilità') ?></caption>
		<tr><th><?php $traduttore->html('Num. Contabilità') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['NumContabilità']) ?></td>
		<tr><th><?php $traduttore->html('Data Contabilità') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataContabilità']) ?></td>
		<tr><th><?php $traduttore->html('Rif. Ordine Cliente') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['RifOrdineCliente']) ?></td>
		<tr><th><?php $traduttore->html('Num. Ordine') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxRound($rs['NumOrdine'], 0) ?></td>
		<tr><th><?php $traduttore->html('Anno Ordine') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?></td>
		<tr><th><?php $traduttore->html('Fornitore') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Fornitore']) ?></td>
		<tr><th><?php $traduttore->html('Stato') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Stato']) ?></td>
		<tr><th><?php $traduttore->html('GU') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['GU']) ?></td>
		<tr><th><?php $traduttore->html('Localizzazione') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Edificio']) ?></td>
		<tr><th><?php $traduttore->html('Comune') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<tr><th><?php $traduttore->html('Provincia') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Prov']) ?></td>
		<tr><th><?php $traduttore->html('Utilizzatore') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td>
		<tr><th><?php $traduttore->html('Descrizione') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['DescrizioneIntervento'].$rs['DescrizioneIntervento1'].$rs['DescrizioneIntervento2']) ?></td>
		<tr><th><?php $traduttore->html('Note') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> ><textarea name="Note" id="Note"  cols=60 rows=5><?php echo htmlentities($rs['Note']) ?></textarea></td>
		<tr><th><?php $traduttore->html('Importo') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> ><input type=text size=20 name="Importo" id="Importo" value="<?php echo ntxRound($rs['ImportoStimatoC'], 2) ?>"></td>
		<tr><th><?php $traduttore->html('Consegnato') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php if ($rs['Consegnato']==1) echo "SI"; else echo "NO" ?></td>
		<tr><th><?php $traduttore->html('Data Consegna') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataConsegna']) ?></td>
		<tr><th><?php $traduttore->html('Data Ultima Consegna') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataUltimaConsegna']) ?></td>
		<tr><th><?php $traduttore->html('Approvato') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php if ($rs['Approvato']==1) echo "SI"; else echo "NO"  ?></td>
		<tr><th><?php $traduttore->html('Data Approvazione') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataApprovazione']) ?></td>
		<tr><th><?php $traduttore->html('Utente Approvazione') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['UtenteApprovazione']) ?></td>
		<tr><th><?php $traduttore->html('Contestato') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php if ($rs['Contestato']==1) echo "SI"; else echo "NO"  ?></td>
		<tr><th><?php $traduttore->html('Data Contestazione') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataContestazione']) ?></td>
		<tr><th><?php $traduttore->html('Utente Contestazione') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['UtenteContestazione']) ?></td>
		<tr><th><?php $traduttore->html('Note Contestazione') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['NoteContestazione']) ?></td>
		<tr><th><?php $traduttore->html('Fatturato') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php if ($rs['Fatturato']==1) echo "SI"; else echo "NO" ?></td>
		<tr><th><?php $traduttore->html('Data Sal') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo ntxDateTime($rs['DataSal']) ?></td>
		<tr><th><?php $traduttore->html('Num Sal') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['NumSal']) ?></td>
		<tr><th><?php $traduttore->html('Ordine Cliente (NEL)') ?></th><td <?php if ($a) echo $b; $a=!$a; ?> >&nbsp;<?php echo htmlentities($rs['GruppoF']) ?></td>
		<tr>
			<th colspan=2>
			<div>
				<input type=button value="<?php $traduttore->html('Memorizza') ?>" onclick="Memorizza()" <?php echo $disableModifica?> > 
				<input  type="button" class="strade2" onclick="report4strade2()"  id="LinkREPORTonly4strade2"   value="<?php $traduttore->html('REPORT STRADE') ?>"/> 		
			</div> 
	</table>
	<br><br>
</form>
 

<form id="frmReport4strade2" name="frmReport4strade2" method="post" target="_blank" action="../../../opzioni_comuni/segnalazioni/report4strade2.php">
	<input type=hidden name=vista_cliente value="<?php echo $vista_cliente ?>" >
	<input name="NumRichiesta" type="hidden" value="<?php echo htmlentities($rs['NumRichiesta']) ?>" >
	<input name="AnnoRichiesta" type="hidden" value="<?php echo htmlentities($rs['AnnoRichiesta']) ?>" >
</form>

<script language=javascript>
window.onload = preparaPagina;

function preparaPagina()
{
	$(".strade2").hide();  
	
	try
	{
		var strade2 = parent.parent.strade2;
		
		if(strade2==1)
		{
			$(".strade2").show();  
		}
	}
	catch(ex) {}
}
 

function report4strade2()
{ 
	document.frmReport4strade2.submit(); 
} 

function Report()
{
	form1.action = "report/index.php"
	form1.target = "_blank";
	form1.submit();
}


function ReportVistaCliente()
{
	form1.action = "../report_vista_cliente/index/index.php"
	form1.target = "_blank";
	form1.submit();
}

function Memorizza()
{
	if ( !confirm("<?php $traduttore->js('Sicuro di volere modificare note ed importo?') ?>") ) return;
	
	if ( ntxSendForm(form2, funcVoid, 'testata_contabilita/memorizza') )
	{
		form1.action = "testata_contabilita.php"
		form1.target = "_self";
		form1.submit();
	}
}

function Consegna()
{
	if ( !confirm("<?php $traduttore->js('Sicuro di volere consegnare al cliente?') ?>") ) return;
	
	if ( ntxSendForm(form1, funcVoid, 'testata_contabilita/consegna') )
	{
		form1.action = "testata_contabilita.php"
		form1.target = "_self";
		form1.submit();
	}
}

function funcVoid(text)
{
	
}
</script>
<?php $traduttore->Salva(); ?>

</body>
</html>
