<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_212", "IT", $_SESSION[NTX_LINGUA_DEST]);

$vista_cliente = $_POST[vista_cliente]==1 ? 1 : 0;

require_once('ricerca-sql.inc');

$paginazione = ntxPaginazione($sql, "DataOrdine DESC");

$query = $paginazione->query;

$table = 
	 "<table>"
	."	<tr>"
	."		<th>&nbsp;</th>"
	."		<th>".htmlentities($traduttore->Traduci('Num. Ordine'))               
	."		<th>".htmlentities($traduttore->Traduci('Anno Ordine'))               
	."		<th>".htmlentities($traduttore->Traduci('Data Ordine'))               
	."		<th>".htmlentities($traduttore->Traduci('Stato Ordine'))              
	."		<th>".htmlentities($traduttore->Traduci('Num. Richiesta'))            
	."		<th>".htmlentities($traduttore->Traduci('Anno Richiesta'))            
	."		<th>".htmlentities($traduttore->Traduci('Data Richiesta'))            
	."		<th>".htmlentities($traduttore->Traduci('Tipo C'))                    
	."		<th>".htmlentities($traduttore->Traduci('Descrizione'))               
	."		<th>".htmlentities($traduttore->Traduci('Ente'))                      
	."		<th>".htmlentities($traduttore->Traduci('Codice Localizzazione'))     
	."		<th>".htmlentities($traduttore->Traduci('Nome'))                      
	."		<th>".htmlentities($traduttore->Traduci('Indirizzo'))                 
	."		<th>".htmlentities($traduttore->Traduci('Comune'))                    
	."		<th>".htmlentities($traduttore->Traduci('Provincia'))                 
	."		<th>".htmlentities($traduttore->Traduci('CAP'))                       
	."		<th>".htmlentities($traduttore->Traduci('TecnicoC'))                  
	."		<th>".htmlentities($traduttore->Traduci('Fornitore'))                 
	."		<th>".htmlentities($traduttore->Traduci('Mestiere'))                  
	."		<th>".htmlentities($traduttore->Traduci('Superamento Franchigia'))    
	."		<th>".htmlentities($traduttore->Traduci('Conferma Canone'))           
	."		<th>".htmlentities($traduttore->Traduci('Ordine Cliente (NEL)'))      
	."		<th>".htmlentities($traduttore->Traduci('Stato Contabilità'))         
	."		<th>".htmlentities($traduttore->Traduci('Numero SAL'))                
	."		<th>".htmlentities($traduttore->Traduci('Importo Netto'));
	
$alternate = true;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs['NumOrdine'] = (int)$rs['NumOrdine'];
	
	$rs['DataOrdine'] = ntxDateTime($rs['DataOrdine']);
	$rs['DataRichiesta'] = ntxDateTime($rs['DataRichiesta']);
	
	$rs['ImportoNetto'] = ntxRoundThousand($rs['ImportoNetto'],2);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$class = $alternate ? "class=td2" : "";
	
	$valueButton = ntxJs($traduttore->Traduci('Seleziona'));
	
	$table .= <<< table
		<tr>
		<td $class><input type=button value="$valueButton" onclick="FiltraOrdini($rs[NumOrdine], $rs[AnnoOrdine])" />
		<td $class>&nbsp;$html[NumOrdine] 
		<td $class>&nbsp;$html[AnnoOrdine] 
		<td $class>&nbsp;$html[DataOrdine] 
		<td $class>&nbsp;$html[DesStato] 
		<td $class>&nbsp;$html[NumRichiesta] 
		<td $class>&nbsp;$html[AnnoRichiesta] 
		<td $class>&nbsp;$html[DataRichiesta] 
		<td $class>&nbsp;$html[Contabiliz] 
		<td $class>&nbsp;$html[Des] 
		<td $class>&nbsp;$html[Ente] 
		<td $class>&nbsp;$html[Codice] 
		<td $class>&nbsp;$html[Nome] 
		<td $class>&nbsp;$html[Indirizzo] 
		<td $class>&nbsp;$html[Comune] 
		<td $class>&nbsp;$html[PROVINCIA] 
		<td $class>&nbsp;$html[CAP] 
		<td $class>&nbsp;$html[TecnicoC] 
		<td $class>&nbsp;$html[Fornitore] 
		<td $class>&nbsp;$html[Mestiere] 
		<td $class>&nbsp;$html[FFC] 
		<td $class>&nbsp;$html[SC] 
		<td $class>&nbsp;$html[GruppoF] 
		<td $class>&nbsp;$html[DesstatoC] 
		<td $class>&nbsp;$html[NumSal] 
		<td $class>&nbsp;$html[ImportoNetto] 
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;


jhp($result);

?>
