<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
</head>
<body  >

<?php
	$gIdCommessa = ntxise('IdCommessa');
	$gNumOrdine = ntxip('NumOrdine');
	$gAnnoOrdine = ntxip('AnnoOrdine');

	$sql = "SELECT Costi.*, Costi.Cod AS CodX, Costi.Descrizione AS DescrizioneX "
			." FROM Costi "
			." WHERE (((Costi.IdCommessa)=$gIdCommessa)  "
			." AND ((Costi.NumOrdine)=$gNumOrdine)  "
			." AND ((Costi.AnnoOrdine)='$gAnnoOrdine')) ORDER BY Costi.Cod, Costi.DataLavorazione;
";

	$query = ntxQuery($sql);
	
?>

<table class=grid>
	<tr>
		<th>Autorizzato</th>
		<th>Cod.Prezzo</th>
		<th>Tipo</th>
		<th>Titolo</th>
		<th>Descrizione</th>
		<th>Descr.Estesa</th>
		<th>UM</th>
		<th>QTA</th>
		<th>Costo Unitario</th>
		<th>Importo Lordo</th>
	</tr>   

<?php
	$alternate = true;

	$Riga = 0;
	
	$totale = 0;
	
	while( $query  &&  $rs = ntxRecord($query) )
	{
		$rs[NumOrdine] = (int)$rs[NumOrdine];
?>	
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
			<td>&nbsp;<?php if ( $rs['Autorizzato'] ) echo "X" ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['CodX']." - ".$rs['DescrizioneX']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Tipo']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
			<td class="right">&nbsp;<?php echo ntxRound($rs['QTA'],2) ?></td>
			<td class="right">&nbsp;<?php echo ntxRound($rs['CostoUnit'],2) ?></td>
			<td class="right">&nbsp;<?php echo ntxRound($rs['QTA']*$rs['CostoUnit'],2) ?></td>
	</tr>
<?php
		$totale += $rs['QTA']*$rs['CostoUnit'];
		
		$alternate = !$alternate;
		
		$Riga++;
	}
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
			<td colspan=9>&nbsp;</td>
			<td class="right" style="font-weight:bold">&nbsp;<?php echo ntxRound($totale,2) ?></td>

</table>

</body>
</html>
