<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario', false);
$FiltroPerAttMesTipoComp = ntxip('FiltroPerAttMesTipoComp');
$FiltroPerContrattoPadre = ntxip('FiltroPerContrattoPadre');

if ( "".$_POST['IdEdifici']=="" )
{
	$record = "";

	jhp( $record );	
}

$IdEdifici = explode(",", "".$_POST[IdEdifici]);
$strIdEdifici = ntxsp('IdEdifici');

$sql = <<< sql
	SELECT     IdAttivitàMestiere, Count(IdEdificio)
	FROM         tblPgContrattiAffidatariAttivitàEdifici INNER JOIN dbo.splitid($strIdEdifici) a
	ON tblPgContrattiAffidatariAttivitàEdifici.IdEdificio=a.id
	WHERE     (IdCommessa = $IdCommessa) 
	AND     (IdPgContrattoAffidatario = $IdPgContrattoAffidatario) 
	GROUP BY IdAttivitàMestiere
sql;

$query = ntxQuery($sql);

$IdAttivitaUsate = array();

$num = count($IdEdifici);

while($rs=ntxIRecord($query))
{
	if ( $num == $rs[1] )
		$IdAttivitaUsate[] = $rs[0];
}

$IdAttivitaAssociate = array();

if ( $FiltroPerAttMesTipoComp )
{
	$sql = <<< sql
		SELECT DISTINCT tblAttivitàMestiere.IdAttivitàMestiere
		FROM         tblAttivitàMestiere INNER JOIN
							  AttivitàMestTipiComp ON tblAttivitàMestiere.IdCommessa = AttivitàMestTipiComp.IdCommessaAttività AND 
							  tblAttivitàMestiere.IdAttivitàMestiere = AttivitàMestTipiComp.IdAttivitàMestiere INNER JOIN
							  TipoComponente ON AttivitàMestTipiComp.IdCommessaTipoComp = TipoComponente.IdCommessa AND 
							  AttivitàMestTipiComp.IdTipoComp = TipoComponente.IDTipoComponente INNER JOIN
							  ComponentiAmbiente ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
							  TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente 
							  INNER JOIN dbo.splitid($strIdEdifici) a ON ComponentiAmbiente.IdEdificio=a.id
		WHERE     (ComponentiAmbiente.IdCommessa = $IdCommessa)
		ORDER BY tblAttivitàMestiere.IdAttivitàMestiere
sql;
		
	$query = ntxQuery($sql);

	while($rs=ntxIRecord($query))
		$IdAttivitaAssociate[] = $rs[0];
}


if ( $FiltroPerContrattoPadre )
	$sql = <<< sql
		SELECT   a.IdAttivitàMestiere
		FROM         tblPgContrattiPropietariGestoriAttivitàEdifici a INNER JOIN
							  tblPgContrattiAffidatari b ON a.IdPgContratto = b.IdPgContratto
							  INNER JOIN dbo.splitid($strIdEdifici) c ON a.IdEdificio=c.id
		WHERE     (b.IdPgContrattoAffidatario = $IdPgContrattoAffidatario)
		GROUP BY IdAttivitàMestiere
		HAVING count(*)=$num
sql;
else
	$sql = <<< sql
		SELECT  DISTINCT   a.IdAttivitàMestiere
		FROM         tblPgContrattiPropietariGestoriAttivitàEdifici a INNER JOIN
							  tblPgContrattiAffidatari b ON a.IdPgContratto = b.IdPgContratto
		WHERE     (b.IdPgContrattoAffidatario = $IdPgContrattoAffidatario)
sql;

$query = ntxQuery($sql);

$result = "";

while($rs=ntxIRecord($query))
{
	if ( !in_array($rs[0], $IdAttivitaUsate)  &&  (!$FiltroPerAttMesTipoComp || ($FiltroPerAttMesTipoComp  &&  in_array($rs[0], $IdAttivitaAssociate))) )
	{
		if ( $result == "" )
			$result = $rs[0];
		else
			$result .= ",".$rs[0];
	}
}

$record = $result;

jhp( $record );	

?>
