<?php  

$sql = <<< sql
	SELECT IdPgContrattoAffidatario
	FROM tblPgContrattiRifAffidatari
	WHERE IdPgContrattoRifAffidatario=$IdPgContrattoRifAffidatario
sql;

$IdPgContrattoAffidatario = ntxScalar($sql);

$sql = <<< sql
	SELECT IdPgContratto
	FROM tblPgContrattiAffidatari
	WHERE IdPgContrattoAffidatario=$IdPgContrattoAffidatario
sql;

$IdPgContratto = ntxScalar($sql);

$sql = <<< sql
	SELECT DISTINCT tblPgPropietari.Nome AS Ente, tblPgContratti.Descrizione AS Des1
		, tblPgContratti.DataContratto, tblPgContratti.DataInizio, tblPgContratti.DataFine
		, tblPgContratti.IdPgContratto 
	FROM         tblPgPropietari RIGHT JOIN
		  tblPgContratti ON tblPgPropietari.IdPropietario = tblPgContratti.IdPropietario
  WHERE     IdPgContratto=$IdPgContratto
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);
?>
<table class=grid>
	<tr>
		<caption>Contratto Gestione
		<th>ID</th>
		<th>Ente</th>
		<th>Descrizione</th>
		<th>Data Contratto</th>
		<th>Data Inizio</th>
		<th>Data Fine</th>
	</tr>   
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['IdPgContratto']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Des1']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataContratto']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataFine']) ?></td>
	</tr>
</table>
<br>
<?php  

$sql = <<< sql
	SELECT DISTINCT 
						  tblPgContrattiAffidatari.IdPgContrattoAffidatario AS Id, tblPgAffidatari.Nome AS Affidatario, tblPgContrattiAffidatari.Descrizione, 
						  tblPgContrattiAffidatari.DataContratto, tblPgContrattiAffidatari.DataInizio, tblPgContrattiAffidatari.DataFine, tblPgContrattiAffidatari.TipoContratto
	FROM         tblPgContrattiAffidatari INNER JOIN
						  tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario
  WHERE     tblPgContrattiAffidatari.IdPgContrattoAffidatario=$IdPgContrattoAffidatario
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);
?>
<table class=grid>
	<tr>
		<caption>Contratto Affidatario
		<th>ID</th>
		<th>Affidatario</th>
		<th>Tipo Contratto</th>
		<th>Descrizione</th>
		<th>Data Contratto</th>
		<th>Data Inizio</th>
		<th>Data Fine</th>
	</tr>   
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Id']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Affidatario']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['TipoContratto']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataContratto']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataFine']) ?></td>
	</tr>
</table>
<br>
<?php  

$sql = <<< sql
	SELECT     tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario AS Id, tblPgRifAffidatari.Nome AS RifAffidatario, tblPgContrattiRifAffidatari.Descrizione
	FROM         tblPgContrattiRifAffidatari INNER JOIN
						  tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario
	WHERE     (tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = $IdPgContrattoRifAffidatario)
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);
?>
<table class=grid>
	<tr>
		<caption>Contratto Rif.Affidatario
		<th>ID</th>
		<th>Rif.Affidatario</th>
		<th>Descrizione</th>
	</tr>   
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Id']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['RifAffidatario']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
	</tr>
</table>
<br>