<?php
$sql = <<< sql
SELECT 
	Risorse.ID AS IdRisorsa, Risorse.CodOperaio, Risorse.NOME, Risorse.qualifica, Risorse.Livello, Risorse.contratto, Risorse.CodDitta AS IdDitta, Risorse.DataModifica, 
	Risorse.cellulare, Risorse.email, Risorse.ruolo, Risorse.fax, Risorse.telFisso, Risorse.Dismesso, Risorse.BloccaSms, Risorse.BloccaEmail,  Risorse.InReperibilita,  Risorse.NoteReperibilita
FROM  Risorse	   
WHERE (Risorse.ID = $IdRisorsa)
sql;

$msg_error = "Risorsa con identificativo '$IdRisorsa' non trovata!";

$record = ntxRecordArray($sql, $msg_error);

$record['DataModifica'] = ntxDateTime($record['DataModifica']);

/* if ( !is_numeric($record['Dismesso']) ) $record['Dismesso'] = "X";
if ( !is_numeric($record['BloccaSms']) ) $record['BloccaSms'] = "X";
if ( !is_numeric($record['BloccaEmail']) ) $record['BloccaEmail'] = "X";
 */
if(is_numeric($record['IdDitta']))
{
	$IdDitta = (int)$record['IdDitta'];
	
	$sql = <<< sql
	SELECT Ditte.Ditta
	FROM   Ditte 		   
	WHERE Ditte.IDDitta = $IdDitta
sql;

	$record['Ditta'] = ntxScalar($sql); 
}

require('_carica_risorse_edifici.inc');

$record['Edifici'] = $Edifici;

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	
?>
