<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_548", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_548", "IT", __FILE__);

?>
<html>
<head>
	<link href="tree.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
</head>
<body  >

<?php
if($_POST[TipoReport]=='attività')
	require_once('tree_sql_attivita.inc');
elseif($_POST[TipoReport]=='componente')	
	require_once('tree_sql_componenti.inc');
?>

<input type=button value="<?php $traduttore->html('Scarica in formato per excel') ?>" onclick="frmExcel.submit()">

<form name=frmExcel method=post action="excel.php" target="_blank">
	<?php ntxCreateHiddens() ?>
</form>

<?php

$keyEdificio = null;
$keyPiano = null;
$keyAmbiente = null;

$iLiv1 = 0;
$iLiv3 = 0;
$iLiv5 = 0;

if ( is_array($records) || is_object($records) )
 foreach ( $records as $rs )
{
	foreach ( $rs as $key=>$value )
		$rss[$key] = htmlentities($value);
		
	if ( isset($keyAmbiente)  &&  $keyAmbiente != $rs[keyAmbiente] )
		echo "</table>"; // id='liv5_$iLiv5'

	if ( isset($keyPiano)  &&  $keyPiano != $rs[keyPiano] )
		echo "</div>"; // id='liv3_$iLiv3'
		
	if ( isset($keyEdificio)  &&  $keyEdificio != $rs[keyEdificio] )
		echo "</div>"; // id='liv1_$iLiv1'
			
	if ( $keyEdificio != $rs[keyEdificio] )
	{
		$keyEdificio = $rs[keyEdificio];
		
		/*echo <<< echo
			<div class=Liv0>
				<input type=button value="i/o" onclick="OpenClose('#liv1_$iLiv1')">
				Edificio: $rss[Codice] - $rss[EdificioBreve] - $rss[Indirizzo] - $rss[Comune] ($rss[Provincia])
			</div>
			<div class=Liv1 id='liv1_$iLiv1'>
echo;*/
		echo
			"<div class=Liv0>
				<input type=button value=\"i/o\" onclick=\"OpenClose('#liv1_$iLiv1')\">
				".$traduttore->traduci('Edificio').": $rss[Codice] - $rss[EdificioBreve] - $rss[Indirizzo] - $rss[Comune] ($rss[Provincia])
			</div>
			<div class=Liv1 id='liv1_$iLiv1'>"
;

		$iLiv1++;
	}
	
	if ( $keyPiano != $rs[keyPiano] )
	{
		$keyPiano = $rs[keyPiano];
		
		/*echo <<< echo
			<div class=Liv2>
				<input type=button value="i/o" onclick="OpenClose('#liv3_$iLiv3')">
				<input type=button value="map" onclick="Mappa($IdCommessa,'$rss[IdEdificio]','$rss[IdPiano]')">
				Piano: $rss[DesPiano]</div>
			<div class=Liv3 id='liv3_$iLiv3'>
echo;*/
		echo
			"<div class=Liv2>
				<input type=button value=\"i/o\" onclick=\"OpenClose('#liv3_$iLiv3')\">
				<input type=button value=\"".$traduttore->traduci('map')."\" onclick=\"Mappa($IdCommessa,'$rss[IdEdificio]','$rss[IdPiano]')\">
				".$traduttore->traduci('Piano').": $rss[DesPiano]</div>
			<div class=Liv3 id='liv3_$iLiv3'>"
;

		$iLiv3++;
	}

	if ( $keyAmbiente != $rs[keyAmbiente] )
	{
		$keyAmbiente = $rs[keyAmbiente];
		
		/*echo <<< echo
			<div class=Liv4>
				<input type=button value="i/o" onclick="OpenClose('#liv5_$iLiv5')">
				<input type=button value="map" onclick="Mappa2('$rss[IdEdificio]','$rss[IdPiano]','$rss[CodiceAmbiente]')">
				Ambiente: $rss[CodAmb] - $rss[DesAmb]
			</div>
			<table class=Liv5 id='liv5_$iLiv5'>
				<tr>
					<th>
					<th>Codice
					<th>Tipo
echo;*/
		echo
			"<div class=Liv4>
				<input type=button value=\"i/o\" onclick=\"OpenClose('#liv5_$iLiv5')\">
				<input type=button value=\"".$traduttore->traduci('map')."\" onclick=\"Mappa2('$rss[IdEdificio]','$rss[IdPiano]','$rss[CodiceAmbiente]')\">
				".$traduttore->traduci('Ambiente').": $rss[CodAmb] - $rss[DesAmb]
			</div>
			<table class=Liv5 id='liv5_$iLiv5'>
				<tr>
					<th>"
					."<th>".$traduttore->traduci('Codice')
					."<th>".$traduttore->traduci('Tipo')
;

		$iLiv5++;
	}

	/*echo <<< echo
		<tr>
			<td>
				<input type=button value="map" onclick="Mappa3('$rss[IdEdificio]','$rss[IdPiano]','$rss[CodiceComponente]')">
				<input type=button value="dati" onclick="InfoComponente('$rss[CodiceComponente]')">
			
			<td>$rss[CodComp]
			<td>$rss[Componente]
echo;*/
	echo
		"<tr>
			<td>
				<input type=button value=\"".$traduttore->traduci('map')."\" onclick=\"Mappa3('$rss[IdEdificio]','$rss[IdPiano]','$rss[CodiceComponente]')\">
				<input type=button value=\"".$traduttore->traduci('dati')."\" onclick=\"InfoComponente('$rss[CodiceComponente]')\">
			
			<td>$rss[CodComp]
			<td>$rss[Componente]"
;
}

if ( isset($keyAmbiente) )
	echo "</table>"; // id='liv5_$iLiv5'

if ( isset($keyPiano) )
	echo "</div>"; // id='liv3_$iLiv3'

if ( isset($keyEdificio) )
	echo "</div>"; // id='liv1_$iLiv1'

?>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $_SESSION[IdCommessa] ?>">
	<input type=hidden name=NumComponenti>
	<input type=hidden name=CodiciComponenti>
	<input type=hidden name=IdEdificio>
	<input type=hidden name=IdLivello>
	<input type=hidden name=CodiceAmbientex>
	<input type=hidden name=CodiciAmbientix>
	<input type=hidden name=CodiciComponentix>
	<input type=hidden name=Componente>
	<input type=hidden name=lastKey>
	<input type=hidden name=Valori>
	<input type=hidden name=xinfo>
</form>

<script language=javascript>

function OpenClose(id)
{
	$(id).toggle();
}

function Mappa(IdCommessa,IdEdificio,IdPiano)
{
	form1.IdEdificio.value = IdEdificio;
	form1.IdLivello.value = IdPiano;
	form1.CodiciAmbientix.value = "";
	form1.CodiciComponentix.value = "";
	form1.xinfo.value = "none";
	form1.action = "../mappa/mappa.php";
	parent.parent.frame_frames.AppendFrame(form1);
	parent.parent.drcShowKeyTab("frames");
}

function Mappa2(IdEdificio,IdPiano,CodiceAmbiente)
{
	form1.IdEdificio.value = IdEdificio;
	form1.IdLivello.value = IdPiano;
	form1.CodiciComponentix.value = "";
	form1.CodiciAmbientix.value = CodiceAmbiente;
	form1.xinfo.value = "amb";
	form1.action = "../mappa/mappa.php";
	parent.parent.frame_frames.AppendFrame(form1);
	parent.parent.drcShowKeyTab("frames");
}

function Mappa3(IdEdificio,IdPiano,CodiceComponente)
{
	form1.IdEdificio.value = IdEdificio;
	form1.IdLivello.value = IdPiano;
	form1.CodiciComponentix.value = CodiceComponente;
	form1.CodiciAmbientix.value = "";
	form1.xinfo.value = "comp";
	form1.action = "../mappa/mappa.php";
	parent.parent.frame_frames.AppendFrame(form1);
	parent.parent.drcShowKeyTab("frames");
}

function InfoComponente(CodiceComponente)
{
	form1.NumComponenti.value = 1;
	form1.CodiciComponenti.value = CodiceComponente;
	form1.action = "../mappa/info_componenti.php";
	parent.parent.frame_frames.AppendFrame(form1);
	parent.parent.drcShowKeyTab("frames");
}

</script>

</body>
<?php $traduttore->Salva() ?>
</html>
