<?php
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201705111004 = new NtxTraduttore("000_000_540", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201705111004 = new NtxCreaTraduzione("000_000_540", "IT", __FILE__);

require_once('elementi_matrice.php');
require_once('elementi_sql.php');

$table = "";

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[Tipo]==1 ) $EtichettaTipo = $traduttore201705111004->traduci('strada');
	elseif ( $rs[Tipo]==2 ) $EtichettaTipo = $traduttore201705111004->traduci('verde');
	else $EtichettaTipo = $traduttore201705111004->traduci('edificio');
	
	$c = "class=\"ElementiCompattabili\"";
	
	$table .= <<< table
		<tr class=alternate tr_id_elem=$rs[ID]>
		<td>
		<input type=button value=+ onclick="GanttDiritto(this, $rs[ID])" btnIdElemento=$rs[ID] />
		<td>$rs[ID]<td>$rs[Codice]<td>$rs[EdificioBreve]<td $c>$rs[EdificioEstesa]<td $c>$rs[Indirizzo]
		<td $c>$rs[CITTA]<td $c>$rs[PROVINCIA]<td $c>$rs[CAP]<td $c>$EtichettaTipo<td $c>$rs[Ente]
table;

	$ultimoDelMese = ntxLastDayMonth($month1, $year1);
	
	for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
			$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
			++$iGiorno )
	{
		$title = "title=\"$iGiorno ".$lblMesi[$iMese]." $iAnno\"";
		
		$conteggio = 0;
		
		$dus = $iAnno.($iMese<10 ? "0" : "").$iMese.($iGiorno<10 ? "0" : "").$iGiorno;
		
		foreach($ranges[$rs[ID]] as $range)
		{
			if ( $dus==$range[0] ) 
				$conteggio += $range[1];
		}
		
		$Aperto = 0;
		$Eseguito = 0;
		$Annullato = 0;
		$Anomalia = 0;
		$IdVerifica = 0;

		$nonCiStaNulla = true;
		
		foreach($ranges2[$rs[ID]] as $range)
		{
			if ( $dus>= $range[dus1]  &&  $dus<=$range[dus2] )
			{
				$nonCiStaNulla = false;
				
				if ( $range[Aperto] ) 		$Aperto += $range[conteggio];
				if ( $range[Eseguito] ) 	$Eseguito += $range[conteggio];
				if ( $range[Annullato] )	$Annullato += $range[conteggio];
				if ( $range[Anomalia] ) 	$Anomalia += $range[conteggio];
				if ( $range[IdVerifica] ) 	$IdVerifica += $range[conteggio];
			}
		}
				
		if ( $nonCiStaNulla ) 
		{
			$table .= "<td $title>";
		}
		else 
		{
			if ( $conteggio ) $percentuale = (float)$Eseguito*100/$conteggio;
			$s_percentuale = ntxRound($percentuale,0);
			
			if ( $Anomalia ) // viola
			{
				$bgcolor = $conteggio ? "#FF00FF" : "#FF99FF";
				$frcolor = "white";
			}
			elseif ( $Annullato ) // giallo
			{
				$bgcolor = $conteggio ? "#FFFF00" : "#FFFFaa";
				$frcolor = "black";
			}
			elseif ( $percentuale>50 ) // verde
			{
				$bgcolor = $conteggio ? "#33FF33" : "#99FF99";
				$frcolor = "black";
			}
			elseif ( $percentuale>0 ) // arancio
			{
				$bgcolor = $conteggio ? "#FF9900" : "#FFcc55";
				$frcolor = "black";
			}
			else // rosso
			{
				$bgcolor = $conteggio ? "#FF0000" : "#FF9999";
				$frcolor = "white";
			}
			
			if ( $IdVerifica ) 
				$xVerifica = "<span style=\"background-color:white;color:black;padding:1px;text-weight:bold\">x</span>";
			else
				$xVerifica = "";
			
			$dat1 = $dat2 = "$iGiorno/$iMese/$iAnno";
			
			$style = "style=\"background-color:$bgcolor;color:$frcolor;cursor:pointer\" onclick=\"VociPreplanning('$rs[ID]','$dat1','$dat2')\"";
			
			if ( $conteggio )
				$table .= "<td $title $style>$conteggio&nbsp;$xVerifica<br>{$s_percentuale}%";
			else
				$table .= "<td $title $style>&nbsp;";
		}

		if ( $iGiorno == $ultimoDelMese )
		{
			$iGiorno = 0;
			++$iMese;
			
			if ( $iMese==13 )
			{
				$iMese = 1;
				++$iAnno;
			}

			$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
		}
	}
}

?>

<input type=button value="<?php $traduttore201705111004->html('Compatta Colonne') ?>" onclick="CompattaElementi(true)" />
<input type=button value="<?php $traduttore201705111004->html('Scompatta Colonne') ?>" onclick="CompattaElementi(false)" />
-
<input type=button value="<?php $traduttore201705111004->html('Mostra Attivita\' per ogni Elemento') ?>" onclick="MostraNascondiAttivita(true)" />
<input type=button value="<?php $traduttore201705111004->html('Nascondi Attivita\' per ogni Elemento') ?>" onclick="MostraNascondiAttivita(false)" />

<table class=grid>
	<tr><th rowspan=2><th rowspan=2><?php $traduttore201705111004->html('ID') ?><th rowspan=2 ><?php $traduttore201705111004->html('Codice') ?><th rowspan=2><?php $traduttore201705111004->html('Des1') ?><th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705111004->html('Des2') ?><th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705111004->html('Indirizzo') ?>
		<th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705111004->html('Comune') ?><th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705111004->html('Provincia') ?><th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705111004->html('CAP') ?>
		<th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705111004->html('Tipo') ?><th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705111004->html('Ente') ?>
<?php


$ultimoDelMese = ntxLastDayMonth($month1, $year1);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1, $colspan=1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno, ++$colspan )
{
	if ( $iGiorno==$ultimoDelMese || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno==$day2) ) 
	{
		echo "<th colspan=$colspan>".$lblMesi[$iMese]." $iAnno";
		$iGiorno = 0;
		$colspan = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

echo "<tr>";

$ultimoDelMese = ntxLastDayMonth($month1, $year1);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno )
{
	echo "<th>$iGiorno";
	
	if ( $iGiorno == $ultimoDelMese )
	{
		$iGiorno = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

?>
	<?php echo $table ?>
</table>
<?php $traduttore201705111004->Salva() ?>