<?php

require_once('elementi_matrice.php');
require_once('elementi_sql.php');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201705121019 = new NtxTraduttore("000_000_560", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201705121019 = new NtxCreaTraduzione("000_000_560", "IT", __FILE__);

$table = "";

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[Tipo]==1 ) $EtichettaTipo = $traduttore201705121019->traduci('strada');
	elseif ( $rs[Tipo]==2 ) $EtichettaTipo = $traduttore201705121019->traduci('verde');
	else $EtichettaTipo = $traduttore201705121019->traduci('edificio');
	
	$c = "class=\"ElementiCompattabili\"";
	
	$table .= <<< table
		<tr class=alternate tr_id_elem=$rs[IdUtilizzatore]>
		<td>
		<input type=button value=+ onclick="GanttDiritto(this, $rs[IdUtilizzatore])" btnIdElemento=$rs[IdUtilizzatore] />
		<td>$rs[IdUtilizzatore]
		<td>$rs[Utilizzatore]
		<td>$rs[Tipo]
table;

	$ultimoDelMese = ntxLastDayMonth($month1, $year1);
	
	for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
			$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
			++$iGiorno )
	{
		$title = "title=\"$iGiorno ".$lblMesi[$iMese]." $iAnno\"";
		
		$conteggio = 0;
		
		$dus = $iAnno.($iMese<10 ? "0" : "").$iMese.($iGiorno<10 ? "0" : "").$iGiorno;
		
		foreach($ranges[$rs[IdUtilizzatore]] as $range)
			if ( $dus>= $range[0]  &&  $dus<=$range[1] )
				$conteggio += $range[2];
				
		$Aperto = 0;
		$Eseguito = 0;
		$Annullato = 0;
		$Anomalia = 0;
		$IdVerifica = 0;

		foreach($ranges2[$rs[IdUtilizzatore]] as $range)
		{
			if ( $dus>= $range[dus1]  &&  $dus<=$range[dus2] )
			{
				if ( $range[Aperto] ) 		$Aperto += $range[conteggio];
				if ( $range[Eseguito] ) 	$Eseguito += $range[conteggio];
				if ( $range[Annullato] )	$Annullato += $range[conteggio];
				if ( $range[Anomalia] ) 	$Anomalia += $range[conteggio];
				if ( $range[IdVerifica] ) 	$IdVerifica += $range[conteggio];
			}
		}
				
		if ( $conteggio==0 ) 
		{
			$table .= "<td $title>";
		}
		else 
		{
			$percentuale = (float)$Eseguito*100/$conteggio;
			$s_percentuale = ntxRound($percentuale,0);
			
			if ( $Anomalia ) // viola
			{
				$bgcolor = "#FF00FF";
				$frcolor = "white";
			}
			elseif ( $Annullato ) // giallo
			{
				$bgcolor = "#FFFF00";
				$frcolor = "black";
			}
			elseif ( $percentuale>50 ) // verde
			{
				$bgcolor = "#33FF33";
				$frcolor = "black";
			}
			elseif ( $percentuale>0 ) // arancio
			{
				$bgcolor = "#FF9900";
				$frcolor = "black";
			}
			else // rosso
			{
				$bgcolor = "#FF0000";
				$frcolor = "white";
			}
			
			if ( $IdVerifica ) 
				$xVerifica = "<span style=\"background-color:white;color:black;padding:1px;text-weight:bold\">x</span>";
			else
				$xVerifica = "";
			
			$dat1 = $dat2 = "$iGiorno/$iMese/$iAnno";
			
			$style = "style=\"background-color:$bgcolor;color:$frcolor;cursor:pointer\" onclick=\"VociPreplanning('$rs[IdUtilizzatore]','$dat1','$dat2')\"";
			
			$table .= "<td $title $style>$conteggio&nbsp;$xVerifica<br>{$s_percentuale}%";
		}

		if ( $iGiorno == $ultimoDelMese )
		{
			$iGiorno = 0;
			++$iMese;
			
			if ( $iMese==13 )
			{
				$iMese = 1;
				++$iAnno;
			}

			$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
		}
	}
}

?>

<input type=button value="<?php $traduttore201705121019->html('Mostra Attivita\' per ogni Elemento') ?>" onclick="MostraNascondiAttivita(true)" />
<input type=button value="<?php $traduttore201705121019->html('Nascondi Attivita\' per ogni Elemento') ?>" onclick="MostraNascondiAttivita(false)" />

<table class=grid>
	<tr><th rowspan=2><th rowspan=2><?php $traduttore201705121019->html('ID Utilizzatore') ?><th rowspan=2 ><?php $traduttore201705121019->html('Utilizzatore') ?><th rowspan=2><?php $traduttore201705121019->html('Tipo') ?>
<?php


$ultimoDelMese = ntxLastDayMonth($month1, $year1);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1, $colspan=1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno, ++$colspan )
{
	if ( $iGiorno==$ultimoDelMese || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno==$day2) ) 
	{
		echo "<th colspan=$colspan>".$lblMesi[$iMese]." $iAnno";
		$iGiorno = 0;
		$colspan = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

echo "<tr>";

$ultimoDelMese = ntxLastDayMonth($month1, $year1);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno )
{
	echo "<th>$iGiorno";
	
	if ( $iGiorno == $ultimoDelMese )
	{
		$iGiorno = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

?>
	<?php echo $table ?>
</table>
<?php $traduttore201705121019->Salva() ?>