<?php
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201705121125 = new NtxTraduttore("000_000_564", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201705121125 = new NtxCreaTraduzione("000_000_564", "IT", __FILE__);

require_once('excel_gantt_diretto.php');
require_once('elementi_matrice.php');
require_once('elementi_sql.php');

$table = "";

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[Tipo]==1 ) $EtichettaTipo = $traduttore201705121125->traduci('strada');
	elseif ( $rs[Tipo]==2 ) $EtichettaTipo = $traduttore201705121125->traduci('verde');
	else $EtichettaTipo = $traduttore201705121125->traduci('edificio');
	
	$c = "class=\"ElementiCompattabili\"";
	
	$table .= <<< table
		<tr class=alternate tr_id_elem=$rs[IdUtilizzatore]>
		<td>
		<td>$rs[IdUtilizzatore]
		<td>$rs[Utilizzatore]
		<td>$rs[Tipo]
table;


	$ultimoDelMese = ntxLastDayMonth($month1, $year1);
	
	for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
			$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
			++$iGiorno )
	{
		$title = "title=\"$iGiorno ".$lblMesi[$iMese]." $iAnno\"";
		
		$conteggio = 0;
		
		$dus = $iAnno.($iMese<10 ? "0" : "").$iMese.($iGiorno<10 ? "0" : "").$iGiorno;
		
		foreach($ranges[$rs[IdUtilizzatore]] as $range)
			if ( $dus>= $range[0]  &&  $dus<=$range[1] )
				$conteggio += $range[2];
				
		$Aperto = 0;
		$Eseguito = 0;
		$Annullato = 0;
		$Anomalia = 0;

		foreach($ranges2[$rs[IdUtilizzatore]] as $range)
		{
			if ( $dus>= $range[dus1]  &&  $dus<=$range[dus2] )
			{
				if ( $range[Aperto] ) 		$Aperto += $range[conteggio];
				if ( $range[Eseguito] ) 	$Eseguito += $range[conteggio];
				if ( $range[Annullato] )	$Annullato += $range[conteggio];
				if ( $range[Anomalia] ) 	$Anomalia += $range[conteggio];
			}
		}
				
		if ( $conteggio==0 ) 
		{
			$table .= "<td $title>";
		}
		else 
		{
			$percentuale = (float)$Eseguito*100/$conteggio;
			$s_percentuale = ntxRound($percentuale,0);
			
			if ( $Anomalia ) // viola
				$bgcolor = "#FF00FF";
			elseif ( $Annullato ) // giallo
				$bgcolor = "#FFFF00";
			elseif ( $percentuale>50 ) // verde
				$bgcolor = "#33FF33";
			elseif ( $percentuale>0 ) // arancio
				$bgcolor = "#FF9900";
			else // rosso
				$bgcolor = "#FF0000";
			
			$style = "style=\"background-color:$bgcolor;cursor:pointer\"";
			
			$table .= "<td $title $style>$conteggio<br>{$s_percentuale}%";
		}
		
		if ( $iGiorno == $ultimoDelMese )
		{
			$iGiorno = 0;
			++$iMese;
			
			if ( $iMese==13 )
			{
				$iMese = 1;
				++$iAnno;
			}

			$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
		}
	}
	
	foreach($righe_attivita[$rs[IdUtilizzatore]] as $riga)
		$table .= $riga;
}

?>

<table class=grid>
	<tr><th rowspan=2><th rowspan=2><?php $traduttore201705121125->html('ID Utilizzatore') ?><th rowspan=2 ><?php $traduttore201705121125->html('Utilizzatore') ?><th rowspan=2><?php $traduttore201705121125->html('Tipo') ?>
<?php


$ultimoDelMese = ntxLastDayMonth($month1, $year1);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1, $colspan=1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno, ++$colspan )
{
	if ( $iGiorno==$ultimoDelMese || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno==$day2) ) 
	{
		echo "<th colspan=$colspan>".$lblMesi[$iMese]." $iAnno";
		$iGiorno = 0;
		$colspan = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

echo "<tr>";

$ultimoDelMese = ntxLastDayMonth($month1, $year1);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno )
{
	echo "<th>$iGiorno";
	
	if ( $iGiorno == $ultimoDelMese )
	{
		$iGiorno = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

?>
	<?php echo $table ?>
</table>
<?php $traduttore201705121125->Salva() ?>