<?php
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201705121221 = new NtxTraduttore("000_000_568", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201705121221 = new NtxCreaTraduzione("000_000_568", "IT", __FILE__);

require_once('elementi_matrice.php');
require_once('elementi_sql.php');

$table = "";

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[Tipo]==1 ) $EtichettaTipo = $traduttore201705121221->traduci('strada');
	elseif ( $rs[Tipo]==2 ) $EtichettaTipo = $traduttore201705121221->traduci('verde');
	else $EtichettaTipo = $traduttore201705121221->traduci('edificio');
	
	$c = "class=\"ElementiCompattabili\"";
	
	$table .= <<< table
		<tr class=alternate tr_id_elem=$rs[ID]>
		<td>
		<input type=button value=+ onclick="GanttDiritto(this, $rs[ID])" btnIdElemento=$rs[ID] />
		<td>$rs[ID]<td>$rs[Codice]<td>$rs[EdificioBreve]<td $c>$rs[EdificioEstesa]<td $c>$rs[Indirizzo]
		<td $c>$rs[CITTA]<td $c>$rs[PROVINCIA]<td $c>$rs[CAP]<td $c>$EtichettaTipo<td $c>$rs[Ente]
table;

	for ( $iAnno=$year1, $iMese=$month1; $iAnno<$year2 || ($iAnno==$year2  &&  $iMese<=$month2); ++$iMese )
	{
		$title = "title=\"".$lblMesi[$iMese]." $iAnno\"";
		
		$conteggio = 0;
		
		$dus = $iAnno.($iMese<10 ? "0" : "").$iMese;
		
		foreach($ranges[$rs[ID]] as $range)
			if ( $dus>= $range[0]  &&  $dus<=$range[1] )
				$conteggio += $range[2];
				
				
		$Aperto = 0;
		$Eseguito = 0;
		$Annullato = 0;
		$Anomalia = 0;
		$CountAnnotazioni = 0;

		foreach($ranges2[$rs[ID]] as $range)
		{
			if ( $dus>= $range[dus1]  &&  $dus<=$range[dus2] )
			{
				if ( $range[Aperto] ) 			$Aperto += $range[conteggio];
				if ( $range[Eseguito] ) 		$Eseguito += $range[conteggio];
				if ( $range[Annullato] )		$Annullato += $range[conteggio];
				if ( $range[Anomalia] ) 		$Anomalia += $range[conteggio];
				if ( $range[CountAnnotazioni] ) $CountAnnotazioni += $range[conteggio];
			}
		}
				
		if ( $conteggio==0 ) 
		{
			$table .= "<td $title>";
		}
		else 
		{
			$percentuale = (float)$Eseguito*100/$conteggio;
			$s_percentuale = ntxRound($percentuale,0);
			
			$Annotazioni = $CountAnnotazioni ? "<span style='border:1px solid orange;background-color:yellow'>$CountAnnotazioni</span>" :  "";
			
			if ( $Anomalia ) // viola
				$bgcolor = "#FF00FF";
			elseif ( $Annullato ) // giallo
				$bgcolor = "#FFFF00";
			elseif ( $percentuale>50 ) // verde
				$bgcolor = "#33FF33";
			elseif ( $percentuale>0 ) // arancio
				$bgcolor = "#FF9900";
			else // rosso
				$bgcolor = "#FF0000";
			
			$dat1 = "1/$iMese/$iAnno";
			$dat2 = ntxDate(ntxScalar("SELECT dateadd(day,-1,dateadd(month,1,dbo.cdate('$dat1')))"));
			
			$style = "style=\"background-color:$bgcolor;cursor:pointer\" onclick=\"VociPreplanning('$rs[ID]','$dat1','$dat2')\"";
			
			$table .= "<td $title $style>$conteggio $Annotazioni<br>{$s_percentuale}%";
		}
		
		if ( $iMese==12 )
		{
			$iMese = 0;
			++$iAnno;
		}
	}
}

?>

<input type=button value="<?php $traduttore201705121221->html('Compatta Colonne') ?>" onclick="CompattaElementi(true)" />
<input type=button value="<?php $traduttore201705121221->html('Scompatta Colonne') ?>" onclick="CompattaElementi(false)" />
-
<input type=button value="<?php $traduttore201705121221->html('Mostra Attivita\' per ogni Elemento') ?>" onclick="MostraNascondiAttivita(true)" />
<input type=button value="<?php $traduttore201705121221->html('Nascondi Attivita\' per ogni Elemento') ?>" onclick="MostraNascondiAttivita(false)" />

<table class=grid>
	<tr><th rowspan=2><th rowspan=2><?php $traduttore201705121221->html('ID') ?><th rowspan=2 ><?php $traduttore201705121221->html('Codice') ?><th rowspan=2><?php $traduttore201705121221->html('Des1') ?><th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705121221->html('Des2') ?><th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705121221->html('Indirizzo') ?>
		<th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705121221->html('Comune') ?><th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705121221->html('Provincia') ?><th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705121221->html('CAP') ?>
		<th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705121221->html('Tipo') ?><th rowspan=2 class="ElementiCompattabili"><?php $traduttore201705121221->html('Ente') ?>
<?php

for ( $iAnno=$year1, $iMese=$month1, $colspan=1; $iAnno<$year2 || ($iAnno==$year2  &&  $iMese<=$month2); ++$iMese, ++$colspan )
{
	if ( $iMese==12 || ($iAnno==$year2  &&  $iMese==$month2) ) 
	{
		echo "<th colspan=$colspan>$iAnno";
		$iMese = 0;
		++$iAnno;
		$colspan = 0;
	}
}

echo "<tr>";

for ( $iAnno=$year1, $iMese=$month1; $iAnno<$year2 || ($iAnno==$year2  &&  $iMese<=$month2); ++$iMese )
{
	$dat1 = "1/$iMese/$iAnno";
	
	$dat2 = ntxDate(ntxScalar("SELECT dateadd(day,-1,dateadd(month,1,dbo.cdate('$dat1')))"));
	
	$onclick = "onclick=\"GanttGiornaliero('$dat1','$dat2')\"";

	$style = "style=\"cursor:pointer\"";
	
	echo "<th $onclick $style>".$lblMesi[$iMese];
	
	if ( $iMese==12 )
	{
		$iMese = 0;
		++$iAnno;
	}
}

?>
	<?php echo $table ?>
</table>
<?php $traduttore201705121221->Salva() ?>