<?php

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$pathSimboliWeb = "$pathCommessa\\simboliWeb";

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\simboliWeb";

if ( !isset($_SESSION) ) session_start();

$IdSetup = $_SESSION[ID_SETUP_ODBC_DATABASE];

if ( !is_dir($dir) ) mkdir($dir);

$dir = "$dir\\setup_{$IdSetup}_commessa_$IdCommessa";

if ( !is_dir($dir) ) mkdir($dir);

$url = "$_SERVER[DOCUMENT_HOST]/".NTX_SUBPATH_PORTALE."/simboliWeb/setup_{$IdSetup}_commessa_$IdCommessa";

$sql = <<< sql
SELECT * FROM
(
	SELECT 1 ordine, * FROM
	(
		SELECT     's'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCoperture
		WHERE     (PubblicaWeb = 1) AND Associazione <> 2
		UNION
		SELECT     'i'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCopertureInCommessa
		WHERE     (PubblicaWeb = 1) AND Associazione <> 2
		AND     (IdCommessa = $IdCommessa)
	) a1
	UNION
	SELECT 2 ordine, * FROM
	(
		SELECT DISTINCT 's'+ltrim(c.Id) Id, c.VisibileWeb, c.OrdineWeb, c.Nome, c.FileName, c.Geometria, c.Associazione, c.Colore, c.Spessore, c.Simbolo
		FROM         PianoLivello INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
						  PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
						  ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
						  Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente INNER JOIN
						  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
						  tblCoperture c ON TipoComponente.Copertura = c.Nome
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
			AND     (PianoLivello.IdCommessa = $IdCommessa) 
			AND (PianoLivello.IdEdificio = $IdEdificio) 
			AND (PianoLivello.idPiano = $IdLivello)
		UNION
		SELECT DISTINCT 'i'+ltrim(c.Id) Id, c.VisibileWeb, c.OrdineWeb, c.Nome, c.FileName, c.Geometria, c.Associazione, c.Colore, c.Spessore, c.Simbolo
		FROM         PianoLivello INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
						  PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
						  ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
						  Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente INNER JOIN
						  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
						  tblCopertureInCommessa c ON TipoComponente.IdCommessa = c.IdCommessa AND 
						  TipoComponente.Copertura = c.Nome
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
			AND     (PianoLivello.IdCommessa = $IdCommessa) 
			AND (PianoLivello.IdEdificio = $IdEdificio) 
			AND (PianoLivello.idPiano = $IdLivello)
	) a2
) a3
ORDER BY ordine, OrdineWeb, Nome
sql;

$query = ntxQuery($sql);

//$tabellaLayers = "<table border=on>\n\t<tr><th>Visibile</th><th>Nome</th>\n";
$tabellaLayers = "<table border=on>\n\t<tr><th>".$traduttore->traduci('Visibile')."</th><th>".$traduttore->traduci('Nome')."</th>\n";

$chksComponenti = array();

while ( $rs = ntxRecord($query) )
{
	$idChk = "Visibile_$rs[Id]";
	
	if ($rs[Associazione] == 2) // shape componente
		$chksComponenti[] = $idChk;
		
	if ( is_file("$pathSimboliWeb\\$rs[Simbolo].png")  &&  !is_file("$dir\\$rs[Simbolo].png") )
		copy("$pathSimboliWeb\\$rs[Simbolo].png", "$dir\\$rs[Simbolo].png");
	
	foreach ( $rs as $key=>$value )
		$rs[$key] = htmlentities($value);
		
	$checked = $rs[VisibileWeb] ? "checked" : "";
	
	$tabellaLayers .= <<< tabellaLayers
		\t<tr><td><input type=checkbox id=$idChk name=$idChk onclick="SetVisibilità()" $checked>
				<img src="$url/$rs[Simbolo].png"/></td><td>$rs[Nome]</td></tr>\n
tabellaLayers;
}

$tabellaLayers .= "</table>";

?>
