<?php

session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$DataInizioOriginale = @ntxtp('DataInizioOriginale',false);
$DataFineOriginale = @ntxtp('DataFineOriginale',false);
$DataInizioCopia = @ntxtp('DataInizioCopia',false);

$IdCommessa = ntxise('IdCommessa');
$IdElementi = ntxsp('IdElementi');
$IdAttivita = ntxsp('IdAttivita');

$sql = "SELECT dateadd(day, datediff(day, $DataInizioOriginale, $DataFineOriginale), $DataInizioCopia)";

$DataFineCopia = ntxt(ntxDate(ntxScalar($sql))); 

$sql = <<< sql
SELECT     COUNT(*) AS conteggio
FROM         tblAttivitàEdifici INNER JOIN
                      tblAttivitàProgrammata ON tblAttivitàEdifici.IdCommessa = tblAttivitàProgrammata.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàEdificio = tblAttivitàProgrammata.IdAttivitàEdificio
					  INNER JOIN dbo.splitid($IdElementi) edifici on tblAttivitàEdifici.IdEdificio=edifici.id 
					  INNER JOIN dbo.splitid($IdAttivita) attivita on tblAttivitàEdifici.IdAttivitàMestiere=attivita.id
WHERE (tblAttivitàProgrammata.IdCommessa = $IdCommessa)
	AND dbo.DusGiorno(tblAttivitàProgrammata.inizio) <= dbo.DusGiorno($DataFineCopia)
	AND dbo.DusGiorno(tblAttivitàProgrammata.fine) >= dbo.DusGiorno($DataInizioCopia)
sql;

$conteggio = ntxScalar($sql);

$result = 'no';

if ( $conteggio==0 )
	$result = 'ok';

jhp($result);

?>
