<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_144", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_144", "IT", __FILE__);
?>

<?php
$CercaMP = is_numeric($_POST['MP'])  &&  $_POST['MP']==1;

if ( $_POST[nuova_ricerca]  &&  !$CercaMP )
	require_once('sql-per_id_affidatario.inc'); 
else
	require_once('sql.inc'); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
	<style type="text/css"> 
	table, th, td 
	{
		border: solid 1px;
		border-color:#5B5B5B;
	}
	</style>
</head>

<?php if ( $_POST[AttoreInUso]=="strade" ) { ?>
<table>
	<tr>
		<th><?php $traduttore->html('Numero') ?>
		<th><?php $traduttore->html('Anno') ?>
		<th><?php $traduttore->html('Richiesta') ?>
		<th><?php $traduttore->html('Richiedente') ?>
		<th><?php $traduttore->html('Data') ?>
		<th><?php $traduttore->html('Riferimento') ?>
		<th><?php $traduttore->html('Classificazione') ?>
		<th><?php $traduttore->html('ContabilizF') ?> 
		<th><?php $traduttore->html('Grado Urgenza') ?>
		<th><?php $traduttore->html('Tipo Valutazione') ?>
		<th><?php $traduttore->html('Fornitore') ?>
		<th><?php $traduttore->html('Mestiere') ?>
		<th><?php $traduttore->html('Componente') ?>
		<th><?php $traduttore->html('Attività') ?>
		<th><?php $traduttore->html('Localizzazione') ?>
		<th><?php $traduttore->html('Descrizione') ?>
		<th><?php $traduttore->html('Note Tecniche Cliente') ?>
		<th><?php $traduttore->html('Data Scadenza') ?>
		<th><?php $traduttore->html('Data Inizio P') ?>
		<th><?php $traduttore->html('Data Fine P') ?>
		<th><?php $traduttore->html('Data Inizio Sopralluogo') ?>
		<th><?php $traduttore->html('Data Fine Sopralluogo') ?>
		<th><?php $traduttore->html('Data Inizio') ?>
		<th><?php $traduttore->html('Data Fine') ?>
		<th><?php $traduttore->html('Superamento Franchigia') ?>
		<th><?php $traduttore->html('Conferma Canone') ?>		
		<th><?php $traduttore->html('Importo Stimato') ?>
		<th><?php $traduttore->html('Importo Contabilità') ?>
		<th><?php $traduttore->html('Stato Contabilità	') ?>		
		<th><?php $traduttore->html('Numero Sal') ?>
		<th><?php $traduttore->html('Numero Documenti') ?>
		<th><?php $traduttore->html('Numero Comunicazioni') ?>
		<th><?php $traduttore->html('Ente') ?>
		<th><?php $traduttore->html('Ore Extra Risorse') ?>
		<th><?php $traduttore->html('Ore Risorse') ?>
	</tr<th><?php $traduttore->html('Note Intervento') ?>>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>					
		<td ><?php echo htmlentities((int)$rs['NumOrdine']) ?>
		<td  ><?php echo htmlentities($rs['AnnoOrdine']) ?>
		<td  ><?php echo htmlentities($rs['NumRichiesta']."/".$rs['AnnoRichiesta']) ?>
		<td  ><?php echo htmlentities($rs['Richiedente']) ?>
		<td  ><?php echo ntxDateTime($rs['DataRichiesta']."<br>".$rs['DataOrdine']) ?>
		<td  ><?php echo htmlentities($rs['Riferimento']) ?>
		<td  ><?php echo htmlentities($rs['Contabiliz']) ?>
		<td  ><?php echo htmlentities($rs['GrUrgenza']) ?>
		<td  ><?php echo htmlentities($rs['TipoValutazione']) ?>
		<td  ><?php echo htmlentities($rs['Ditta']) ?>
		<td  ><?php echo htmlentities("$rs[CodMest] - $rs[DesMest]") ?>
		<td  ><?php echo htmlentities("$rs[CodComp] - $rs[DesComp]") ?>
		<td  ><?php echo htmlentities("$rs[CodAtt] - $rs[DesAtt]") ?>
		<td  ><?php echo htmlentities("($rs[Codice]) - $rs[Nome] - $rs[Comune] ($rs[Provincia])") ?>
		<td  ><?php echo htmlentities($rs['Des']) ?>
		<td  ><?php echo htmlentities($rs['NoteTecnicheCliente']) ?>
		<td  ><?php echo ntxDateTime($rs['DataScadenza']) ?>
		<td  ><?php echo ntxDateTime($rs['DataInizioProg']) ?>
		<td  ><?php echo ntxDateTime($rs['DataFineProg']) ?>
		<td  ><?php echo ntxDateTime($rs['DataInizioSopralluogo']) ?>
		<td  ><?php echo ntxDateTime($rs['DataFineSopralluogo']) ?>
		<td  ><?php echo ntxDateTime($rs['DataInizio']) ?>
		<td  ><?php echo ntxDateTime($rs['DataFine']) ?>
		<td  ><?php echo htmlentities($rs['FFC']) ?>
		<td  ><?php echo htmlentities($rs['SC']) ?>		
		<td  ><?php echo ntxDateTime($rs['ImportoStimato']) ?>
		<td  ><?php echo ntxDateTime($rs['ImpCont']) ?>
		<td  ><?php echo ntxDateTime($rs['DesstatoC']) ?>
		<td  ><?php echo ntxDateTime($rs['NumSal']) ?>
		<td  ><?php echo ntxDateTime($rs['ConteggioDocumenti']) ?>
		<td  ><?php echo ntxDateTime($rs['ConteggioComunicazioni']) ?>
		<td  ><?php echo htmlentities($rs['Ente']) ?>
		<td  ><?php echo ntxRoundThousand($rs['OreExtraRisorse'],2) ?>
		<td  ><?php echo htmlentities($rs['OreRisorse']) ?>
    <td  ><?php echo htmlentities($rs['NoteIntervento']) ?>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<?php } else { ?>

<table>
	<tr>
		<th><?php $traduttore->html('Numero Ordine') ?>
		<th><?php $traduttore->html('Anno Ordine') ?>
		<th><?php $traduttore->html('Richiedente') ?>
		<th><?php $traduttore->html('Data Inizio P') ?>
		<th><?php $traduttore->html('Data Fine P') ?>
		<th><?php $traduttore->html('Data Inizio Sopralluogo') ?>
		<th><?php $traduttore->html('Data Fine Sopralluogo') ?>
		<th><?php $traduttore->html('Data Inizio') ?>
		<th><?php $traduttore->html('Data Fine') ?>
		<th><?php $traduttore->html('Data Ordine') ?>
		<th><?php $traduttore->html('Data Scadenza') ?>
		<th><?php $traduttore->html('Stato Ordine') ?>
		<th><?php $traduttore->html('Stato Contabilita\'') ?>	
		<th><?php $traduttore->html('Importo Contabilita\'') ?>	
		<th><?php $traduttore->html('Numero Richiesta') ?>
		<th><?php $traduttore->html('Anno Richiesta') ?>
		<th><?php $traduttore->html('Data Richiesta') ?>
		<th><?php $traduttore->html('Tipo C') ?>
		<th><?php $traduttore->html('Descrizione') ?>
		<th><?php $traduttore->html('Note Tecniche Cliente') ?>
		<th><?php $traduttore->html('Ente') ?>
		<th><?php $traduttore->html('Codice Localizzazione') ?>
		<th><?php $traduttore->html('Localizzazione') ?>
		<th><?php $traduttore->html('Fornitore') ?>
		<th><?php $traduttore->html('Mestiere') ?>
		<th><?php $traduttore->html('Superamento Franchigia') ?>
		<th><?php $traduttore->html('Conferma Canone') ?>
		<th><?php $traduttore->html('Richiesta Generata') ?>
		<th><?php $traduttore->html('Utilizzatore') ?>
		<th><?php $traduttore->html('Note') ?>
		<th><?php $traduttore->html('Ore Extra Risorse') ?>
		<th><?php $traduttore->html('Ore Risorse') ?>
		<th><?php $traduttore->html('Note Intervento') ?> 
	</tr>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td  ><?php echo htmlentities((int)$rs['NumOrdine']) ?>
		<td  ><?php echo htmlentities($rs['AnnoOrdine']) ?>
		<td  ><?php echo htmlentities($rs['Richiedente']) ?>		
		<td  ><?php echo ntxDateTime($rs['DataInizioProg']) ?>
		<td  ><?php echo ntxDateTime($rs['DataFineProg']) ?>
    <td  ><?php echo ntxDateTime($rs['DataInizioSopralluogo']) ?>
    <td  ><?php echo ntxDateTime($rs['DataFineSopralluogo']) ?>
		<td  ><?php echo ntxDateTime($rs['DataInizio']) ?>
		<td  ><?php echo ntxDateTime($rs['DataFine']) ?>
		<td  ><?php echo ntxDateTime($rs['DataOrdine']) ?>
		<td  ><?php echo ntxDateTime($rs['DataScadenza']) ?>
		<td  ><?php echo htmlentities($rs['DesStato']) ?>
		<td  ><?php echo htmlentities($rs['DesstatoC']) ?>	
		<td  ><?php echo ntxRoundThousand($rs['ImpCont2'],2) ?>
		<td  ><?php echo htmlentities($rs['NumRichiesta']) ?>
		<td  ><?php echo htmlentities($rs['AnnoRichiesta']) ?>
		<td  ><?php echo ntxDateTime($rs['DataRichiesta']) ?>
		<td  ><?php echo htmlentities($rs['Contabiliz']) ?>
		<td  ><?php echo htmlentities($rs['Des']) ?>
		<td  ><?php echo htmlentities($rs['NoteTecnicheCliente']) ?>
		<td  ><?php echo htmlentities($rs['Ente']) ?>
		<td  ><?php echo htmlentities($rs['Codice']) ?>
		<td  ><?php echo htmlentities("$rs[Nome] - $rs[Indirizzo] - $rs[Comune] ($rs[Provincia]) - $rs[CapCap]") ?>
		<td  ><?php echo htmlentities($rs['Fornitore']) ?>
		<td  ><?php echo htmlentities($rs['Mestiere']) ?>
		<td  ><?php echo htmlentities($rs['FFC']) ?>
		<td  ><?php echo htmlentities($rs['SC']) ?>
		<td  ><?php echo htmlentities($rs['RicGenerata']) ?>
		<td  ><?php echo htmlentities($rs['Utilizzatore']) ?>
		<td  ><?php echo htmlentities($rs['Note']) ?>
		<td  ><?php echo ntxRoundThousand($rs['OreExtraRisorse'],2) ?>
		<td  ><?php echo htmlentities($rs['OreRisorse']) ?>
		<td  ><?php echo htmlentities($rs['NoteIntervento']) ?>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<?php } ?>
<?php
	$traduttore->Salva();
?>
</body>
</html>