<?php

$sql = <<< SQL
		SELECT     Richieste.Localizzazione, Richieste.IdMestiere, Richieste.IdAffidatario
		FROM         Richieste INNER JOIN
		                      Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
		                      Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$rs = ntxIRecord(ntxQuery($sql));

$Localizzazione = $rs[0];
$IdMestiere = $rs[1];
$IdAffidatario = $rs[2];

if ( !is_numeric($IdAffidatario) )
{
	$sql = "SELECT COUNT(*) FROM (SELECT DISTINCT    tblPgContrattiAffidatari.IdAffidatario "
		."FROM         tblComponetiMestiere INNER JOIN "
		."                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND  "
		."                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN "
		."                      tblPgContrattiAffidatari INNER JOIN "
		."                      tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario ON  "
		."                      tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND  "
		."                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN "
		."                      tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario "
		."WHERE     (tblComponetiMestiere.IdCommessa = $IdCommessa)   "
		."                      AND (tblComponetiMestiere.IdMestiere = $IdMestiere)   "
		."                      AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $Localizzazione)   "
		."                      AND (tblPgContrattiAffidatari.DataInizio <= $mDataRichiesta ) AND (tblPgContrattiAffidatari.DataFine >= $mDataRichiesta )) a";
		
				
	$conta_affidatari = ntxScalar($sql);

	if ( is_numeric($conta_affidatari)  &&  $conta_affidatari>1 )
		ntxMsgErr("Più di un affidatario per data attuale associato con coppia Mestiere/Localizzazione!");
		
	$sql = "SELECT DISTINCT    tblPgContrattiAffidatari.IdAffidatario "
		."FROM         tblComponetiMestiere INNER JOIN "
		."                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND  "
		."                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN "
		."                      tblPgContrattiAffidatari INNER JOIN "
		."                      tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario ON  "
		."                      tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND  "
		."                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN "
		."                      tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario "
		."WHERE     (tblComponetiMestiere.IdCommessa = $IdCommessa)   "
		."                      AND (tblComponetiMestiere.IdMestiere = $IdMestiere)   "
		."                      AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $Localizzazione)   "
		."                      AND (tblPgContrattiAffidatari.DataInizio <= $mDataRichiesta ) AND (tblPgContrattiAffidatari.DataFine >= $mDataRichiesta )";
		
				
	$IdAffidatario = ntxScalar($sql);

	if ( !is_numeric($IdAffidatario) )
		ntxMsgErr("Nessun affidatario per data attuale associato con coppia Mestiere/Localizzazione!");
}
?>
