<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumOrdine = ntxise('NumOrdine'); // usata anche in _carica_richiesta
$AnnoOrdine = ntxise('AnnoOrdine'); // usata anche in _carica_richiesta
	
$_POST[DataOrdine] = ntxDateTime(ntxScalar("SELECT DataOrdine FROM Ordini WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine) "));
$DataOrdine =ntxtp('DataOrdine');
$DataInizio=ntxtp('DataInizio');
$DataFine=ntxtp('DataFine');	 


if( strlen($_POST[DataInizio])>0  &&  strlen($_POST[DataFine])>0 )
{
	//data inizio e data fine non devono essere inferiori alla data dell'ordine
	$diff = ntxScalar("SELECT DATEDIFF ( mi , $DataInizio, $DataOrdine )");
	if($diff>0)
		ntxmsgerr("Errore! La DataInizio $_POST[DataInizio]  minore di DataOrdine $_POST[DataOrdine]  ");
		
	$diff = ntxScalar("SELECT DATEDIFF ( mi , $DataFine, $DataOrdine )");
	if($diff>0)
		ntxmsgerr("Errore! La DataFine $_POST[DataFine]  minore di DataOrdine $_POST[DataOrdine]  ");
		

	//data inizio non può essere maggiore della data fine  
	$diff = ntxScalar("SELECT DATEDIFF ( mi, $DataInizio, $DataFine )"); 
	if($diff<0)
		ntxmsgerr("Errore! DataFine $_POST[DataFine]  minore di DataInizio $_POST[DataInizio].  ");
}	
	
$sql = <<<_SQL
SELECT ElencoEdifici.Rimosso
FROM  ElencoEdifici INNER JOIN
               Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio
WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine)
_SQL;
	
if( ntxScalar($sql)==1 )
	ntxmsgerr("Non e' possibile eseguire l'operazione richiesta.\nEdificio non utilizzabile!");	
	
	
	
if ( $_POST[ForseFuoriCanone]==1  &&  strlen($_POST[NoteTecnicheAffidatario]) <=0 )
	ntxMsgErr("Quando l'ordine e' settato come fuori canone\ne' obbligatorio inserire note tecniche affidatario!");
	
	
if(is_numeric($_POST[IdRisorsa])  &&  !strlen($_POST[DataAssRisorsa])>0) 
{
	if(strlen($_POST[DataPC])>0)
	{
		$_POST[DataAssRisorsa]=$_POST[DataPC];	
	}
	else
	{
		$_POST[DataAssRisorsa]=ntxDateTime(ntxScalar("SELECT getdate()"));	
	}	
}
	
	
$DataInizio=ntxtp('DataInizio');
$DataFine=ntxtp('DataFine');

$DataInizioSopralluogo=ntxtp('DataInizioSopralluogo');
$DataFineSopralluogo=ntxtp('DataFineSopralluogo');

$DataInizioProg=ntxtp('DataInizioProg');
$DataFineProg=ntxtp('DataFineProg');

$Intervento=ntxsp('Intervento');
$NotaInterna=ntxsp('NotaInterna');
$AnomaliaRiscontrata=ntxip('AnomaliaRiscontrata');
$StatoOrdP=ntxip('StatoOrd');
$StatoOrd=ntxip('StatoOrd');

$Descrizione = $_POST['Descrizione'];

$des1 = $Descrizione;

$des2 = $des3 = "";

//impedire la possibilità di definire la data di fine senza quella di inizio
if( (strlen($_POST[DataFine])>0)  &&  (strlen($_POST[DataInizio])==0) )
	ntxMsgErr("Inserire la DATA DI INIZIO!");

if ( strlen($Descrizione) > 255 )
{
	$des1 = substr($Descrizione, 0, 255); // prende i primi 255 caratteri
	$des2 = substr($Descrizione, 255); // prende i caratteri dal 256° in poi
}

if ( strlen($des2) > 255 )
{
	$des3 = substr($des2, 255); // prende i caratteri dal 256° in poi
	$des2 = substr($des2, 0, 255); // prende i primi 255 caratteri
	$des3 = substr($des3, 0, 255); // prende i primi 255 caratteri
}

$sql = "SELECT IDPres FROM PresenzaIntervento "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$obj = ntxScalar($sql);

$sql = "SELECT IdRisorsa FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

//$isIdRisorsa = is_numeric(ntxScalar($sql));
$isIdRisorsa = ( is_numeric(ntxScalar($sql)) || is_numeric($_POST[IdRisorsa]) );

$sql = "SELECT BloccaReinvioMessaggiStatoFinito FROM Commesse "
		." WHERE IdCommessa = $IdCommessa";

$BloccaReinvioMessaggiStatoFinito = (ntxScalar($sql)==1);

$sql = "SELECT InviatoMessaggioStatoFinito FROM Ordini "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$InviatoMessaggioStatoFinito = ($BloccaReinvioMessaggiStatoFinito  &&  ntxScalar($sql)==1);

if(strlen($DataFine)>4) 
{
	if ( is_numeric($obj)  &&  $StatoOrd < 80 )
		$StatoOrd = 80;
	elseif ( $StatoOrd < 50 )
		$StatoOrd = 50;
}
elseif(strlen($DataInizio)>4  &&  $StatoOrd <= 50 ) 
	$StatoOrd = 40;
elseif ( $StatoOrd <= 50 )
	if ( $isIdRisorsa  &&  strlen($_POST[DataAssRisorsa])>0  &&  strlen($_POST[DataPC])>0 )
		$StatoOrd = 37;
	else
		$StatoOrd = 35;
	
$Ordini= new NtxTable("Ordini");

$UpdateOrdini= $Ordini->update();

$UpdateOrdini->init();

	$UpdateOrdini->setp("DataInizioProg");
	$UpdateOrdini->setp("DataFineProg");
	$UpdateOrdini->setp("DataInizio");
	$UpdateOrdini->setp("DataFine");
	$UpdateOrdini->setp("DataInizioSopralluogo");
	$UpdateOrdini->setp("DataFineSopralluogo");
	$UpdateOrdini->setp("Intervento");
	$UpdateOrdini->setp("NotaInterna");
	$UpdateOrdini->setp("AnomaliaRiscontrata");
	$UpdateOrdini->setp("PrestazioneEffettuata");
	$UpdateOrdini->setp("AnomaliaBloccante");
	$UpdateOrdini->setp("InterventoRisolutivo");
	$UpdateOrdini->setp("InterventoIdoneo");
	$UpdateOrdini->setp("DataAggiornamentoCensimento");
	$UpdateOrdini->setp("Note");
	$UpdateOrdini->setp("ForseFuoriCanone");
	$UpdateOrdini->setp("SicuramenteCanone");
	
	$UpdateOrdini->setp("NumRisorse");
	$UpdateOrdini->setp("OreRisorse");
	$UpdateOrdini->setp("OreExtraRisorse");
	$UpdateOrdini->setp("Trasferta");
	$UpdateOrdini->setp("PosaSegnaletica");
	$UpdateOrdini->setp("NonValutabileInSLA");
	$UpdateOrdini->setp("CdC");
		
	$UpdateOrdini->set("IdLivello", $_POST[IdLivelloEdit]);
	$UpdateOrdini->set("IdAmbiente", $_POST[IdAmbienteEdit]);
	$UpdateOrdini->set("IdComponente", $_POST[IdComponenteEdit]);

	if ( is_numeric($_POST[RAC]) )
		$UpdateOrdini->set("RichiestoAggiornamentoCensimento", $_POST[RAC]);
		
	/*if(isset($_POST[ForseFuoriCanone]) && $_POST[ForseFuoriCanone]==1)
	{
		$UpdateOrdini->setp("NoteTecnicheAffidatario");

		$UpdateOrdini->setp("ImportoStimatoAffidatario");
	}*/
	$UpdateOrdini->setp("NoteTecnicheAffidatario");
	$UpdateOrdini->setp("ImportoStimatoAffidatario");
	
	$UpdateOrdini->setp("NoteTecnicheEsecutore");
	$UpdateOrdini->setp("ImportoStimatoEsecutore");
		
	$UpdateOrdini->setp("DataSospensione");
	$UpdateOrdini->setp("DataRipresaProg");
	$UpdateOrdini->setp("DataRipresa");
	$UpdateOrdini->setp("NoteSospensione");

	$UpdateOrdini->set("DescrizioneIntervento", $des1);
	$UpdateOrdini->set("DescrizioneIntervento1", $des2);
	$UpdateOrdini->set("DescrizioneIntervento2", $des3);
	
	$UpdateOrdini->set("StatoOrd", $StatoOrd);

	$UpdateOrdini->setp("IdRisorsa");
	$UpdateOrdini->setp("GradoUrgenza");
	$UpdateOrdini->setp("DataScadenza");
	
	$UpdateOrdini->set("DataPresaInCarico", $_POST[DataPC]);
 
	$UpdateOrdini->set("DataAssegnazioneRisorsa", $_POST[DataAssRisorsa]);
	
	$UpdateOrdini->set("DataScadenzaPresaInCarico", $_POST[DataSPC]);
	
	$UpdateOrdini->setp("DataInterventoTampone");
	$UpdateOrdini->setp("DataInizioIntTampone");
	$UpdateOrdini->set("DataScadenzaInterventoTampone", $_POST[DataScadIntTampone]);
	$UpdateOrdini->set("DataScadenzaFineIntervento", $_POST[DataSFI]);
	$UpdateOrdini->set("ContabilizF", $_POST[ContabilizF]);

	
	//22.06.2015
	if($StatoOrdP==35||$StatoOrdP==37)
	{
		$UpdateOrdini->setp("IdMestiere");
		$UpdateOrdini->setp("IdComponenteMestiere");
		$UpdateOrdini->setp("IdAttivitàMestiere");
	}
	
	$UpdateOrdini->wherep("IdCommessa");	
	$UpdateOrdini->wherep("NumOrdine");	
	$UpdateOrdini->wherep("AnnoOrdine");	
									   
$UpdateOrdini->execute();	


//22.06.2015
if($StatoOrdP==35||$StatoOrdP==37)
{
	$IdMestiere = ntxip('IdMestiere');
	$IdComponenteMestiere = ntxip('IdComponenteMestiere');
	$IdAttivitàMestiere = ntxip('IdAttivitàMestiere');
	
	$sql=<<<_SQL
	UPDATE    Richieste
	SET      
		IdMestiere = $IdMestiere
		,IdComponenteMestiere = $IdComponenteMestiere
		,IdAttivitàMestiere = $IdAttivitàMestiere
	FROM         
		Ordini 
		INNER JOIN
		Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND  Ordini.IDCommessa = Richieste.IDCommessa
	WHERE     
		(Ordini.IDCommessa = $IdCommessa)
		AND (Ordini.NumOrdine = $NumOrdine) 
		AND (Ordini.AnnoOrdine = $AnnoOrdine)	 
_SQL;
	ntxQuery($sql);
}



$sql = <<< sql
	SELECT 1
	FROM Ordini
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
		and IdRisorsa is not null and IdRisorsaOld is null
		and StatoOrd=37
sql;

$PrimaPresaInCarico = ntxScalar($sql);

$sql = <<< sql
	SELECT 1
	FROM Ordini
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
		and IdRisorsa is not null and IdRisorsaOld is not null and IdRisorsa<>IdRisorsaOld
		and StatoOrd=37
sql;

$SuccessivaPresaInCarico = ntxScalar($sql);

if ( $PrimaPresaInCarico )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/presa_in_carico/start.php');
	require_once(NTX_WEBPORTAL_PATH.'messaggi/presa_in_carico/start.php');
}
elseif ( $SuccessivaPresaInCarico )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/presa_in_carico/start.php');
}
elseif ( $StatoOrd == "50"  &&  !$InviatoMessaggioStatoFinito )
{
	$add_OGGETTO_MSG = "";
	if($StatoOrdP==50)//in questo caso i messaggi vengono inviati per la seconda volta o più
	{
		$add_OGGETTO_MSG = "ULTERIORI INFORMAZIONI";
	}

	require_once(NTX_WEBPORTAL_PATH.'messaggi/chiuso_ordine/start.php');
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/chiusura_ordine/start.php');
	
	$sql = <<< sql
		update Ordini set InviatoMessaggioStatoFinito=1
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

	ntxQuery($sql);
}

if ( $PrimaPresaInCarico || $SuccessivaPresaInCarico )
{
	$sql = <<< sql
		update ordini set IdRisorsaOld=IdRisorsa
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

	ntxQuery($sql);
}


if( $StatoOrd==50 )
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/customer_satisfaction/start.php');
}


require_once('_carica_ordine.inc');

?>
