<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_148", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_148", "IT", __FILE__);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>


<body  >

<?php
	$IdCommessa = ntxise('IdCommessa');
	$NumOrdine = ntxip('NumOrdine');
	$AnnoOrdine = ntxip('AnnoOrdine');

?>
<form name=form1 method=post>
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="<?php echo $_POST['NumOrdine'] ?>" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="<?php echo $_POST['AnnoOrdine'] ?>" >
</form>

<form name=form2 method=post>
	<input type=hidden name=IDCosti value="<?php echo $_POST['IDCosti'] ?>">
</form>

<?php

	$sql = "SELECT StatoOrd "
		." FROM Ordini "
		." WHERE (((IdCommessa)=$IdCommessa)  "
		." AND ((NumOrdine)=$NumOrdine)  "
		." AND ((AnnoOrdine)='$AnnoOrdine'));";

	$StatoOrd = ntxScalar($sql);

	$statoMaggioreUgualeDiVistoCosti = false;
	
	if( is_numeric($StatoOrd) )
	{
		$statoMaggioreUgualeDiVistoCosti 
				= ( (int)($rs[0]) >= 140 ); // >= di Visto Costi
	}

	$sqlSostituito = <<< sqlSostituito
					SELECT isnull(ElencoPrezziInCommessa.Sostituito, 0)
					FROM ElencoPrezziInCommessa
					WHERE ElencoPrezziInCommessa.IdCommessa = Costi.IdCommessa
						AND ElencoPrezziInCommessa.IdPrezzo = Costi.IdPrezzo
sqlSostituito;

	$sql = <<< SQL
		SELECT     IdCommessa, IDCosti, NumOrdine, AnnoOrdine, Descrizione, UM, QTA, CostoUnit, 
					sconto, IdPrezzo, DataCompetenza, DataLavorazione, Cod, Titolo, Autorizzato,
				  DescrEstesa, Lun, Alt, Lar, Formula, NotaRiga, Tipo, TipoPrezzo, Prezziario, TabellaOrigine, Allegato,
					  ($sqlSostituito) AS Sostituito, OneriSicurezza
		FROM         Costi
		WHERE     (IdCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine')
SQL;

	$query = ntxQuery($sql);
	
	while( $rs = ntxRecord($query) )
	{
		if ($rs[Sostituito]==1)
		{
			echo "<p><img src=\"../../../_img/warning.bmp\">Attenzione una o più voci prese dell'elenco prezzi sono ora obsolete</p>";
			break;
		}
	}
	
	$query = ntxQuery($sql);

?>
<table align=left>
	<caption><?php $traduttore->html('Costi') ?></caption>
	<tr>
		<th>&nbsp;
		<th>&nbsp;
		<th>&nbsp;
		<th><?php $traduttore->html('Autorizzato') ?>
		<th><?php $traduttore->html('Prezziario') ?>
		<th><?php $traduttore->html('Codice Prezzo') ?>
		<th><?php $traduttore->html('Titolo') ?>
		<th><?php $traduttore->html('Descrizione') ?>
		<th><?php $traduttore->html('Descrizione Estesa') ?>
		<th><?php $traduttore->html('UM') ?>
		<th><?php $traduttore->html('Formula') ?>
		<th><?php $traduttore->html('Quantita') ?>
		<th><?php $traduttore->html('Costo Unitario') ?>
		<th><?php $traduttore->html('Sconto') ?>
		<th><?php $traduttore->html('Importo Lordo') ?>
		<th><?php $traduttore->html('Importo Netto') ?>
		<th><?php $traduttore->html('Data Competenza') ?>
		<th><?php $traduttore->html('Data Lavorazione') ?>
		<th><?php $traduttore->html('Oneri Sicurezza') ?>
		<th><?php $traduttore->html('Allegato') ?>
		<th>&nbsp; 
	</tr>
<?php
	$alternate = true;

	$TotaleCostiLordi = 0;
	$TotaleCosti = 0;
	
	while( $rs = ntxRecord($query) )
	{
		$CostoTotale = $rs['QTA'] * $rs['CostoUnit'] * (1 - $rs['sconto']/100);
		$CostoTotaleLordi = $rs['QTA'] * $rs['CostoUnit'];
		
		$warning = "";
		
		if ($rs[Sostituito]==1) $warning = "<img src=\"../../../_img/warning.bmp\">";
?>
	<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo $warning ?>
				<input type=radio name=sel1 onclick="SelRow(<?php echo $rs['IDCosti'] ?>)">
				
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<input type=button value="<?php $traduttore->js('Seleziona') ?>" onclick="SelezionaCosto(<?php echo $rs['IDCosti'] ?>)">
			
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<input type=button value="<?php $traduttore->js('Elimina') ?>" onclick="eliminaCosto(<?php echo $rs['IDCosti'] ?>)"
					<?php if ($statoMaggioreUgualeDiVistoCosti || $rs['Autorizzato']==1) echo " DISABLED " ?>>
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ( $rs['Autorizzato']==1 ) echo "X" ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Prezziario']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cod']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Titolo']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UM']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Formula']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['QTA'],2) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['CostoUnit'],2) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['sconto'],2) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($CostoTotaleLordi,2) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($CostoTotale,2) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataCompetenza']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDate($rs['DataLavorazione']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs['OneriSicurezza']==1 ? "SI" : "no" ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs['Allegato']==1 ? "SI" : "no" ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><input type=button value="<?php $traduttore->js('Allegato') ?>" onclick="Allegato(<?php echo $rs['IDCosti'] ?>)"> 
			
	</tr>
<?php
		if ( is_numeric($CostoTotaleLordi) ) 
		{
			$TotaleCostiLordi += (float)($CostoTotaleLordi);
		}
		
		if ( is_numeric($CostoTotale) ) 
		{
			$TotaleCosti += (float)($CostoTotale);
		}
		
		$alternate = !$alternate;
	}
?>
	<tr><th colspan=16 style="text-align:right"><?php $traduttore->html('TOTALE COSTI') ?>
	<th <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($TotaleCostiLordi,2) ?>
	<th <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($TotaleCosti,2) ?>
	<th colspan=3>&nbsp;</tr>
<tr><td colspan=21>
<form name=frmUpload method=post action=upload_doc.php enctype="multipart/form-data" target=win_upload_1750_031209>
	<input type=hidden name=IDCosti value="">
	<input type=hidden name=NumOrdine value="<?php echo $NumOrdine ?>">
	<input type=hidden name=AnnoOrdine value="<?php echo $AnnoOrdine ?>">
	<input type=hidden name=IdCommessa value="<?php echo ntxise('IdCommessa') ?>">
	<table>
		<tr><th><?php $traduttore->html('File') ?><td><input type=file name=upfile size="50"><input type=submit name=upload value="<?php $traduttore->html('Carica') ?>" disabled>
	</table>
</form>

<iframe name=win_upload_1750_031209 id=win_upload_1750_031209 frameborder=1 style="position:relative;display:block;width:600px;height:200px"></iframe>
</table>


<form name=frmAllegato method=post action=download_doc2.php target=_blank>
	<input type=hidden name=IDCosti value="">
	<input type=hidden name=IdCommessa value="<?php echo ntxise('IdCommessa') ?>">
</form>

<script language=javascript>

	function SelRow(IDCosti)
	{
		frmUpload.IDCosti.value = IDCosti;
		frmUpload.upload.disabled = false;
	}

	function Allegato(IDCosti)
	{
		frmAllegato.IDCosti.value = IDCosti;
		frmAllegato.submit();
	}

	function SelezionaCosto(IDCosti)
	{
		parent.frame0158_261009_3.CaricaCosto(IDCosti);
		parent.ShowTab(3);
	}

	function eliminaCosto(IDCosti)
	{
		if ( !confirm("<?php $traduttore->js('Sicuro di volere eliminare la riga selezionata?') ?>") ) return;

		form2.IDCosti.value=IDCosti;
		if ( ntxSendForm(form2, funcCaricaCosto, 'edit_costo/elimina_costo') )
		{
			form1.submit();
		}
	}

	function funcCaricaCosto(text)
	{
		
	} 

</script>
<?php
	$traduttore->Salva();
?>
</body>
</html>
