<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); 
$IdDoc = ntxip('IdDoc');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');
$user=ntxsse('Utente');

if ( !is_numeric($IdDoc) )
	ntxMsgErr("Non c'e' testata preventivo!");
	
$sql = <<< SQL
SELECT     tblContrattiFornitori.IdContrattoFornitore
FROM         Ordini INNER JOIN
                      tblContrattiFornitori INNER JOIN
                      tblContrattiFornitoriAttivitàMestiereEdifici ON tblContrattiFornitori.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                      tblContrattiFornitori.IdContrattoFornitore = tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore INNER JOIN
                      tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
                      Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND Ordini.IdMestiere = tblComponetiMestiere.IdMestiere AND 
                      Ordini.IDCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                      Ordini.CodEdificio = tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio AND Ordini.IDCommessa = tblContrattiFornitori.IdCommessa AND 
                      Ordini.DataOrdine >= tblContrattiFornitori.DataInizio AND Ordini.DataOrdine <= tblContrattiFornitori.DataFine AND 
                      Ordini.Assegnazione = tblContrattiFornitori.IdFornitore
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = N'$AnnoOrdine')
SQL;

$IdContrattoFornitore = ntxScalar($sql);
	
if ( !is_numeric($IdContrattoFornitore) ) $IdContrattoFornitore = -2;

$sql = <<< SQL
			INSERT INTO Costi
                      (IdCommessa, Prezziario, QTA, CostoTotale, IdPrezzo, Cod, Descrizione, UM, CostoUnit, Titolo, DescrEstesa, TabellaOrigine, TipoPrezzo, Lun, Alt, 
                      Lar, Formula, NotaRiga, NumOrdine, AnnoOrdine, DataModifica, UtenteModifica, Sconto, Allegato, Path, Gruppo)
			SELECT     Preventivi.IdCommessa, 
						ElencoPrezziInCommessa.Prezziario, 
						1 QTA, 
						Preventivi.Importo, 
						ElencoPrezziInCommessa.IdPrezzo, 
						ElencoPrezziInCommessa.Cod, 
						Preventivi.Descrizione, 
						ElencoPrezziInCommessa.UM, 
						Preventivi.Importo PzUnitario, 
						ElencoPrezziInCommessa.Titolo, 
						ElencoPrezziInCommessa.DescrEstesa, 
						NULL TabellaOrigine, 
						NULL TipoPrezzo, 
						NULL Lun, 
						NULL Alt, 
						NULL Lar, 
						NULL Formula, 
						NULL NotaRiga, 
								  $NumOrdine, $AnnoOrdine, getdate(), $user, 
								  isnull((
										  SELECT ScontiFornitore.Sconto
											FROM ScontiFornitore
											WHERE (ScontiFornitore.IdCommessa = $IdCommessa) 
											AND (ScontiFornitore.IdContrattoFornitore = $IdContrattoFornitore) 
											AND (ScontiFornitore.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo)
									), 0) AS Sconto, 
									NULL Allegato, 
									NULL Path, 
									ElencoPrezziInCommessa.Gruppo
			FROM         Preventivi, ElencoPrezziInCommessa
			WHERE     (Preventivi.IdCommessa = $IdCommessa) AND (Preventivi.NumPreventivo = $IdDoc) 
				AND     (ElencoPrezziInCommessa.IdCommessa = $IdCommessa) AND (ElencoPrezziInCommessa.Cod = 'NP-TEMP-01') 
				AND (ElencoPrezziInCommessa.Sostituito=0 OR ElencoPrezziInCommessa.Sostituito IS NULL)
SQL;

ntxQuery($sql);

ntxMsgResult("");	

?>
