<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IdPORP = ntxip('IdPORP');
$IdAreaInterventoSelezionata = ntxip('IdAreaInterventoSelezionata');

$sql = <<< sql
	SELECT DISTINCT Ambiente.IdAmbiente
	FROM         Ambiente 
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
sql;

$query = ntxQuery($sql);

while ( $rs = ntxIRecord($query) )
{
	$IdAmbiente = $rs[0];

	$sql = <<< sql
		SELECT top 1 PORP_AI_Ambienti.IdAreaIntervento
		FROM         PORP_AI_Ambienti INNER JOIN
							  PORP_AreeIntervento ON PORP_AI_Ambienti.IdAreaIntervento = PORP_AreeIntervento.Id
		WHERE     (PORP_AreeIntervento.IdPORP = $IdPORP) 
			AND (PORP_AI_Ambienti.IdCommessa = $IdCommessa) 
			AND (PORP_AI_Ambienti.IdEdificio = $IdEdificio) 
			AND (PORP_AI_Ambienti.IdAmbiente = $IdAmbiente)
sql;

	$IdAreaInterventoGiàAssegnato = ntxScalar($sql);
	
	if ( is_numeric($IdAreaInterventoGiàAssegnato)  &&  $IdAreaInterventoGiàAssegnato==$IdAreaInterventoSelezionata )
	{
	$sql = <<< sql
		DELETE FROM PORP_AI_Ambienti
		WHERE (PORP_AI_Ambienti.IdCommessa = $IdCommessa) 
			AND (PORP_AI_Ambienti.IdEdificio = $IdEdificio) 
			AND (PORP_AI_Ambienti.IdAmbiente = $IdAmbiente)
			AND (PORP_AI_Ambienti.IdAreaIntervento = $IdAreaInterventoSelezionata)
sql;

		ntxQuery($sql);
	}
}

$sql = <<< sql
	exec PORPCalcolaMqOreAreaIntervento $IdAreaInterventoSelezionata
sql;

ntxQuery($sql);

jhp_ok();

?>
