SELECT     ReseOrarie.ResaSpaziale, Ambiente.MQ
FROM         AttivitàMestCarAmb INNER JOIN
                      tblAttivitàProgrammata INNER JOIN
                      tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
                      tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio INNER JOIN
                      PORP_Pianificazione_oraria_risorse_pulizie INNER JOIN
                      tblPgContrattiAffidatariAttivitàEdifici ON 
                      PORP_Pianificazione_oraria_risorse_pulizie.IdContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdContrattoAffidatarioAttivitàEdificio ON 
                      tblAttivitàEdifici.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere AND 
                      tblAttivitàEdifici.IdEdificio = tblPgContrattiAffidatariAttivitàEdifici.IdEdificio AND 
                      tblAttivitàProgrammata.inizio >= PORP_Pianificazione_oraria_risorse_pulizie.DataInizio AND 
                      tblAttivitàProgrammata.inizio <= PORP_Pianificazione_oraria_risorse_pulizie.DataFine INNER JOIN
                      AttivitàMestiereReseOrarie ON tblAttivitàEdifici.IdCommessa = AttivitàMestiereReseOrarie.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàMestiere = AttivitàMestiereReseOrarie.IdAttivitàMestiere INNER JOIN
                      ReseOrarie ON AttivitàMestiereReseOrarie.IdCommessa = ReseOrarie.IdCommessa AND AttivitàMestiereReseOrarie.IdResaOraria = ReseOrarie.Id ON 
                      AttivitàMestCarAmb.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
                      AttivitàMestCarAmb.IdAttivitàMestiere = tblAttivitàEdifici.IdAttivitàMestiere INNER JOIN
                      CaratteristicheAmbientiMN ON AttivitàMestCarAmb.IdCarAmb = CaratteristicheAmbientiMN.IdCaratteristicaAmbiente AND 
                      PORP_Pianificazione_oraria_risorse_pulizie.DataInizio <= CaratteristicheAmbientiMN.DataFine AND 
                      PORP_Pianificazione_oraria_risorse_pulizie.DataFine >= CaratteristicheAmbientiMN.DataInizio INNER JOIN
                      Ambiente ON CaratteristicheAmbientiMN.IdCommessa = Ambiente.IdCommessa AND CaratteristicheAmbientiMN.IdEdificio = Ambiente.IdEdificio AND 
                      CaratteristicheAmbientiMN.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PORP_AI_Ambienti ON Ambiente.IdCommessa = PORP_AI_Ambienti.IdCommessa AND Ambiente.IdEdificio = PORP_AI_Ambienti.IdEdificio AND 
                      Ambiente.IDAmbiente = PORP_AI_Ambienti.IdAmbiente INNER JOIN
                      PORP_AreeIntervento ON PORP_Pianificazione_oraria_risorse_pulizie.Id = PORP_AreeIntervento.IdPORP AND 
                      PORP_AI_Ambienti.IdAreaIntervento = PORP_AreeIntervento.Id
WHERE (DATEPART(weekday, tblAttivitàProgrammata.inizio) = 3) 
		AND (PORP_AI_Ambienti.IdAreaIntervento = 2)
		AND (ReseOrarie.Pulizie = 1) 
		AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL) 
		AND (ReseOrarie.ResaSpaziale > 0) AND (Ambiente.MQ > 0) 