<?php  

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$mesiPerAttività = null;

if ( is_numeric($IdEdificio) )
{
	$sql = <<< sql
		SELECT     IdAttivitàMestiere, 
					gen1, feb1, mar1, apr1, mag1, giu1, 
					lug1, ago1, set1, ott1, nov1, dic1, 
					gen2, feb2, mar2, apr2, mag2, giu2, 
					lug2, ago2, set2, ott2, nov2, dic2
		FROM         tblAttivitàEdifici
		WHERE     (IdCommessa = $IdCommessa) 
				AND (IdEdificio = $IdEdificio)
sql;

	$query = ntxQuery($sql);
	
	while ( $rs = ntxIRecord($query) )
	{
		for($i=1;$i<25;$i++)
		$mesiPerAttività["i$rs[0]"][$i-1] = $rs[$i];
	}
}

$sql = <<< sql
	SELECT DISTINCT 
		tblMestieri.IdMestiere, 
		tblMestieri.codice AS CodMestiere, 
		tblMestieri.Descrizione AS DesMestiere, 
		tblComponetiMestiere.IdComponenteMestiere AS IdComponente, 
		tblComponetiMestiere.codice AS CodComponente, 
		tblComponetiMestiere.Descrizione AS DesComponente, 
		tblAttivitàMestiere.IdAttivitàMestiere AS IdAttivita, 
		tblAttivitàMestiere.codice AS CodAttivita, 
		tblAttivitàMestiere.Descrizione AS DesAttivita, 
		tblMestieri.Ordine AS OrdMestiere, 
		tblComponetiMestiere.Ordine AS OrdComponente, 
		tblAttivitàMestiere.Ordine AS OrdAttivita, 
		tblAttivitàMestiere.Tipologia, 
		tblAttivitàMestiere.Nota, 
		tblFrequenzeMestieri.Descrizione AS DesFrequenza, 
		tblFrequenzeMestieri.FrequenzaMensile AS FrequenzaMensile, 
		tblAttivitàMestiere.IdFrequenza
	FROM         tblMestieri INNER JOIN
		tblComponetiMestiere ON tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere AND tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa INNER JOIN
		tblAttivitàMestiere ON tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere AND 
		tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa LEFT OUTER JOIN
		tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
		tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
	WHERE (tblMestieri.IdCommessa = $IdCommessa)
sql;

$sql .= <<< sql
	 ORDER BY tblMestieri.Ordine,  CodMestiere, DesMestiere,
			 tblComponetiMestiere.Ordine,  CodComponente, DesComponente, 
			 tblAttivitàMestiere.Ordine, CodAttivita, DesAttivita;
sql;

$query = ntxQuery($sql);
	
?>
