$(function(){
	$("[tipo='divNote']").hide();
	EspandiCompattaTutto(true);
});

function ComprimiPerComp(IdComponenteMestiere, value)
{
	var td = $("#tdComp"+IdComponenteMestiere);

	if(typeof value=='undefined')
		value = (td.html().trim() == '+');

	if ( value )
	{
		td.html('-');
		$("tr[IdComponenteMestiere='"+IdComponenteMestiere+"'][tipo='attiv']").show();
	}
	else
	{
		td.html('+');
		$("tr[IdComponenteMestiere='"+IdComponenteMestiere+"'][tipo='attiv']").hide();
	}
}

function TornaVistaBiennio()
{
	parent.FramePreplanning.refreshDaDettaglioMese();
	parent.$('#FramePreplanning').show();
	parent.$('#FramePreplanMese').hide();
}

function ComprimiPerMest(IdMestiere, value)
{
	var td = $("#tdMest"+IdMestiere);
	
	if(typeof value=='undefined')
		value = (td.html().trim()  == '+');

	if ( value )
	{
		td.html('-');
		$("tr[IdMestiere='"+IdMestiere+"'][tipo='comp']").show();
		$("td[IdMestiere='tdPlusComp"+IdMestiere+"']").html('+');
	}
	else
	{
		td.html('+');
		$("tr[IdMestiere='"+IdMestiere+"'][tipo='attiv']").hide();
		$("tr[IdMestiere='"+IdMestiere+"'][tipo='comp']").hide();
	}
}

function EspandiCompattaTutto(value)
{
	$("tr[tipo='mest']").each(function(){
		ComprimiPerMest($(this).attr('IdMestiere'), value);
	});

	$("tr[tipo='comp']").each(function(){
		ComprimiPerComp($(this).attr('IdComponenteMestiere'), value);
	});
}

function SettaGiorni(riga, IdAttivita, giorno, mese)
{
	var obj = jhp_frm(form1);
	
	obj.MeseX = mese;
	
	obj.IdAttivita = IdAttivita;
	obj.GiornoX = giorno;
	obj.RigaX = riga;
	
	var result = jhp("jhp/setta_preplanning.php", obj);
	
	if(result.state)
	{
		alert(result.message);
	}
	
	result = jhp("jhp/carica_mese_su_attivita.php", obj);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$("td[tipo='td2'][IdAttivitaMestiere='"+IdAttivita+"']").html(result.value.table);
	}
}

function ResetMese(IdAttivita, mese)
{
	if ( !confirm("Sicuro di voler resettare mese?") ) return;
	
	var obj = jhp_frm(form1);
	
	obj.MeseX = mese;
	
	obj.IdAttivita = IdAttivita;
	
	var result = jhp("jhp/reset_mese.php", obj);
	
	if(result.state)
	{
		alert(result.message);
	}
	
	result = jhp("jhp/carica_mese_su_attivita.php", obj);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$("td[tipo='td2'][IdAttivitaMestiere='"+IdAttivita+"']").html(result.value.table);
	}
}
