<?php

$sql = <<< sql
	SELECT    tblAttivitàEdifici.IdAttivitàMestiere, COUNT(tblAttivitàEdifici.IdEdificio) numedif, tblAttivitàProgrammata.inizio, tblAttivitàProgrammata.fine,
	case when tblAttivitàProgrammata.inizio < $DataPrimoDelMese then -1 else day(tblAttivitàProgrammata.inizio) end Giorno1,
	case when tblAttivitàProgrammata.fine >= $DataPrimoDelMeseSuccessivo then 32 else day(tblAttivitàProgrammata.fine) end Giorno2
	FROM         tblAttivitàProgrammata INNER JOIN
						  tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
						  tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio
						   INNER JOIN dbo.splitid($StrIdElementi) a ON tblAttivitàEdifici.IdEdificio=a.id
	WHERE     (tblAttivitàEdifici.IdCommessa = $IdCommessa) 
			AND (tblAttivitàProgrammata.fine >= $DataPrimoDelMese) 
			AND (tblAttivitàProgrammata.inizio < $DataPrimoDelMeseSuccessivo)
	GROUP BY tblAttivitàEdifici.IdAttivitàMestiere, tblAttivitàProgrammata.inizio, tblAttivitàProgrammata.fine
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	if ( $rs[numedif]==$NumEdifici )
	{
		$obj = new stdClass();

		$obj->des = ntxDate($rs[inizio])." - ".ntxDate($rs[fine]);
		
		$obj->a = $rs[Giorno1];
		$obj->b = $rs[Giorno2];
		
		$IntervalliAttività[$rs[IdAttivitàMestiere]][] = $obj;
	}
}


?>