<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_622", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_622", "IT", __FILE__);

?>
<html>
<head>
<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
<script src="/repository/libs/jhp/jhp-1.1.1.js" type="text/javascript"></script>
</head>
<body  >

<?php
	
$IdCommessa = ntxise('IdCommessa');

$sql = "select 2 from GiorniSettimanaFestivi where IdCommessa=$IdCommessa";

$result = ntxScalar($sql);

if ( $result != 2 )
{
	$sql = "insert into GiorniSettimanaFestivi (IdCommessa) values ($IdCommessa)";
	
	ntxQuery($sql);
}

$sql = "select dom, lun, mar, mer, gio, ven, sab from GiorniSettimanaFestivi where IdCommessa=$IdCommessa";

$query = ntxQuery($sql);

$rsSettimana = ntxRecord($query);

?>

<table class=grid>
<tr>
<td><input type=checkbox name=lun onclick="SetSettimana(this)" <?php if ($rsSettimana[lun]==1) echo "checked" ?>><?php $traduttore->html('Lunedì') ?>
<td><input type=checkbox name=mar onclick="SetSettimana(this)" <?php if ($rsSettimana[mar]==1) echo "checked" ?>><?php $traduttore->html('Martedì') ?>
<td><input type=checkbox name=mer onclick="SetSettimana(this)" <?php if ($rsSettimana[mer]==1) echo "checked" ?>><?php $traduttore->html('Mercoledì') ?>
<tr>
<td><input type=checkbox name=gio onclick="SetSettimana(this)" <?php if ($rsSettimana[gio]==1) echo "checked" ?>><?php $traduttore->html('Giovedì') ?>
<td><input type=checkbox name=ven onclick="SetSettimana(this)" <?php if ($rsSettimana[ven]==1) echo "checked" ?>><?php $traduttore->html('Venerdì') ?>
<td><input type=checkbox name=sab onclick="SetSettimana(this)" <?php if ($rsSettimana[sab]==1) echo "checked" ?>><?php $traduttore->html('Sabato') ?>
<tr>
<td><input type=checkbox name=dom onclick="SetSettimana(this)" <?php if ($rsSettimana[dom]==1) echo "checked" ?>><?php $traduttore->html('Domenica') ?>
<td colspan=2>
</table>

<script language=javascript>

function SetSettimana(obj)
{
	var result = jhp("jhp/festivita/set_settimana.php", 
			{
				giorno: obj.name,
				valore: obj.checked ? 1 : 0
			});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		obj.checked = (result.value==1);
	}

}

</script>

<?php

$sql = <<< sql
	SELECT     IdFestività, Descrizione, Giorno, Mese, Selezione
	FROM         tblFestività
	WHERE     (IdCommessa = $IdCommessa)
	order by mese, giorno
sql;

$query = ntxQuery($sql);

?>
<br>
<table class=grid>
<tr>
	<th><?php $traduttore->html('Sel') ?>
	<th><?php $traduttore->html('Descrizione') ?>
	<th><?php $traduttore->html('Giorno') ?>
	<th><?php $traduttore->html('Mese') ?>
	<th><?php $traduttore->html('Canc') ?>
<?php
//$mesi = array('','gen','feb','mar','apr','mag','giu','lug','ago','set','ott','nov','dic');
$mesi = array($traduttore->traduci('Gen'), $traduttore->traduci('Feb'), $traduttore->traduci('Mar'), $traduttore->traduci('Apr'), $traduttore->traduci('Mag'), $traduttore->traduci('Giu'), $traduttore->traduci('Lug'), $traduttore->traduci('Ago'), $traduttore->traduci('Set'), $traduttore->traduci('Ott'), $traduttore->traduci('Nov'), $traduttore->traduci('Dic'));

while ($rs=ntxRecord($query))
{
	$checked = $rs[Selezione]==1 ? 'checked' : '';
	
	echo "\n<tr><td><input type=checkbox value=del onclick=\"SelFesta(this, $IdCommessa, $rs[IdFestività])\" $checked>";
	echo "\n<td>".htmlentities($rs[Descrizione]);
	echo "\n<td>".htmlentities($rs[Giorno]);
	echo "\n<td>".htmlentities($mesi[$rs[Mese]]);
	echo "\n<td><input type=button value=\"".$traduttore->traduci('Canc')."\" onclick=\"DelFesta($IdCommessa, $rs[IdFestività])\">";
}
?>
</table>
<br>
<script language=javascript>

function SelFesta(obj,IdCommessa,IdFestività)
{
	var result = jhp("jhp/festivita/sel_festa.php", 
			{
				IdCommessa: IdCommessa,
				IdFestività: IdFestività,
				valore: obj.checked ? 1 : 0
			});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		obj.checked = (result.value==1);
	}

}

function DelFesta(IdCommessa,IdFestività)
{
	if (!confirm("<?php $traduttore->js('Sicuro di voler eliminare la festa?') ?>"))
		return;
		
	var result = jhp("jhp/festivita/del_festa.php", 
			{
				IdCommessa: IdCommessa,
				IdFestività: IdFestività
			});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		frmRefresh.submit();
	}
}

function AggFesta()
{
	var result = jhp("jhp/festivita/agg_festa.php", 
			{
				Descrizione: formIns.Descrizione.value,
				Giorno: formIns.Giorno.value,
				Mese: formIns.Mese.value
			});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		frmRefresh.submit();
	}
}

</script>

<form name=formIns method=post>
<table class=grid>
<tr><th><?php $traduttore->html('Descrizione') ?><td colspan=3><input type=text name=Descrizione size=25 maxlength=50>
<tr>
<th><?php $traduttore->html('Giorno') ?><td><input type=text name=Giorno size=2 maxlength=2>
<th><?php $traduttore->html('Mese') ?><td><select name=Mese>
<?php
for($i=1;$i<13;$i++)
	echo "\n<option value=$i>$mesi[$i]";
?>
</select>
<tr><td colspan=4><input type=button value="<?php $traduttore->html('Aggiungi') ?>" onclick="AggFesta()">
</form>

<form name=frmRefresh method=post></form>
</body>
<?php $traduttore->Salva() ?>
</html>
