<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');
$IdAttivita = ntxip('IdAttivita');

$MeseX = ntxip('meseMenoUno')+1;
$AnnoX = ntxip('AnnoX');

$StrIdElementi = ntxsp('IdElementi');

$IdElementi = explode(",", $_POST[IdElementi]);

foreach($IdElementi as $id)
{
	if ( !is_numeric($id) )
		die("Seleziona uno o più elementi!");
}

$NumElementi = count($IdElementi);

$sql = <<< sql
	SELECT DISTINCT    tblAttivitàEdifici.IdEdificio
	FROM         tblAttivitàProgrammata INNER JOIN
						  tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
						  tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio
	inner join dbo.splitid($StrIdElementi) b on tblAttivitàEdifici.idedificio=b.id
	WHERE     (tblAttivitàEdifici.IdCommessa = $IdCommessa) 
	and tblAttivitàEdifici.IdAttivitàMestiere=$IdAttivita
	AND (YEAR(tblAttivitàProgrammata.inizio) = $AnnoX) 
	and (month(tblAttivitàProgrammata.inizio) = $MeseX)
	and (
		SELECT     COUNT(*)

		FROM         tblAttivitàProgrammata a INNER JOIN
							  tblAttivitàEdifici ON a.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
							  a.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio 
								inner join dbo.splitid($StrIdElementi) b on tblAttivitàEdifici.idedificio=b.id
		WHERE     (tblAttivitàEdifici.IdCommessa = $IdCommessa) 
		and tblAttivitàEdifici.IdAttivitàMestiere=$IdAttivita
		AND (YEAR(a.inizio) = $AnnoX) 
		and (month(a.inizio) = $MeseX)
		and a.inizio = tblAttivitàProgrammata.inizio
		and a.fine = tblAttivitàProgrammata.fine
	) < $NumElementi
sql;

$result[id_elementi_dis] = array();

$query = ntxQuery($sql);

while ( $rs = ntxIRecord($query) )
	$result[id_elementi_dis][] = $rs[0];

$sql = "SELECT ID FROM dbo.splitid($StrIdElementi)";

$result[id_elementi] = array();

$query = ntxQuery($sql);

while ( $rs = ntxIRecord($query) )
	$result[id_elementi][] = $rs[0];

jhp($result);

?>
