<?php

require_once("func_table.inc");

$IdAttivita = ntxip('IdAttivita');

$sqlInt = <<< sql
SELECT     case when COUNT(tblAttivitàEdifici.IdEdificio)=$NumEdifici then 1 else 0 end AS AttivitàCoincidenti, tblAttivitàProgrammata.inizio, 
                      tblAttivitàProgrammata.fine
FROM         tblAttivitàProgrammata INNER JOIN
                      tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
                      tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio
WHERE     (tblAttivitàEdifici.IdCommessa = $IdCommessa) AND (YEAR(tblAttivitàProgrammata.inizio) = $AnnoX) $where
	AND tblAttivitàEdifici.IdAttivitàMestiere=$IdAttivita
	AND MONTH(tblAttivitàProgrammata.inizio)=$MeseX
GROUP BY tblAttivitàProgrammata.inizio, tblAttivitàProgrammata.fine
sql;

$sql = <<< sql
select count(*) from
($sqlInt) a where AttivitàCoincidenti=1
sql;

$NumAttivitàCoincidenti = ntxScalar($sql);

$sql = <<< sql
select count(*) from
($sqlInt) a where AttivitàCoincidenti=0
sql;

$NumAttivitàNonCoincidenti = ntxScalar($sql);

$StrIdElementi = ntxsp('IdElementi');

if ( $NumAttivitàNonCoincidenti["k{$IdAttivitàMestiere}_{$i}"] )
	$onclick = "onclick=\"parent.FrameElementi.EvidenziaDisomogenei($IdCommessa, $AnnoX, $IdAttivita, $MeseX-1, $StrIdElementi)\"";
else
	$onclick = "";

$result = "<span style='color:green'>$NumAttivitàCoincidenti</span>&nbsp;";
$result .= "<span style='color:red' $onclick>$NumAttivitàNonCoincidenti</span>";

jhp($result);

?>
