<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');
$mese24 = ntxip('mese24');
$Anno1 = ntxip('Anno1');

$chkUsaFreqMensili = ntxip('chkUsaFreqMensili');
$chkSoloUnAnno = ntxip('chkSoloUnAnno');

$optIns1 = ntxip('optIns1');
$optIns2 = ntxip('optIns2');
$optIns3 = ntxip('optIns3');
$optIns4 = ntxip('optIns4');
$optIns5 = ntxip('optIns5');
$optIns6 = ntxip('optIns6');

$optDel = ntxip('optDel');

$chkLun = ntxip('chkLun');
$chkMar = ntxip('chkMar');
$chkMer = ntxip('chkMer');
$chkGio = ntxip('chkGio');
$chkVen = ntxip('chkVen');
$chkSab = ntxip('chkSab');
$chkDom = ntxip('chkDom');

$optSalta = ntxip('optSalta');
$chkDelPlanning = ntxip('chkDelPlanning');
$chkDelAlwaysPlanning = ntxip('chkDelAlwaysPlanning');

$IdAttivitàMestiere = explode(",", $_POST[IdAttivitàMestiere]);

foreach($IdAttivitàMestiere as $id)
{
	if ( !is_numeric($id) )
		jhp_error("Seleziona uno o più attivita'!");
}

$IdElementi = explode(",", $_POST[IdElementi]);

foreach($IdElementi as $id)
{
	if ( !is_numeric($id) )
		jhp_error("Seleziona uno o più localizzazioni!");
}

$IdAttivitàMestiere = ntxsp('IdAttivitàMestiere');
$IdElementi = ntxsp('IdElementi');

if ( $optIns1 )
	$action = 1;
elseif ( $optIns2 )
	$action = 2;
elseif ( $optIns3 )
	$action = 3;
elseif ( $optIns4 )
	$action = 4;
elseif ( $optIns5 )
	$action = 5;
elseif ( $optIns6 )
	$action = 7;
elseif ( $optDel )
	$action = 6;
else
	$action = 10000;

$sql = <<< sql
	create table #coordinate_refresh_gantt (
		pos int identity (1,1),
		mese int, 
		Anno1 int, 
		IdAttivitàMestiere int, 
		NumAttCoincidenti int, 
		NumAttNonCoincidenti int
	)
sql;

$query = ntxQuery($sql);

$sql = <<< sql
	create table #errori_sovrapposizione_preplan (
		pos int identity (1,1),
		[mes] [nvarchar](255) COLLATE Latin1_General_CI_AS NULL,
		[comp] [nvarchar](255) COLLATE Latin1_General_CI_AS NULL,
		[att] [nvarchar](255) COLLATE Latin1_General_CI_AS NULL,
		[cod] [nvarchar](255) COLLATE Latin1_General_CI_AS NULL,
		[loc] [nvarchar](255) COLLATE Latin1_General_CI_AS NULL,
		[ind] [nvarchar](255) COLLATE Latin1_General_CI_AS NULL,
		[comune] [nvarchar](255) COLLATE Latin1_General_CI_AS NULL,
		[prov] [nvarchar](10) COLLATE Latin1_General_CI_AS NULL,
		[dataInizio] datetime,
		[dataFine] datetime,
		[errore] [nvarchar](255) COLLATE Latin1_General_CI_AS NULL
	)
sql;

$query = ntxQuery($sql);


if ( $action == 6 )
{
	$sql = <<< sql
		exec EliminaMesePreplanning $IdCommessa, $mese24, $Anno1, $IdAttivitàMestiere, $IdElementi, $chkDelPlanning
sql;
}
elseif ( $action == 5 )
{
	$sql = <<< sql
		exec GeneraPreplanBiennaleUnGiornoAlMese $IdCommessa, $mese24, $Anno1, $chkUsaFreqMensili, $chkSoloUnAnno, $optSalta, 
										$chkDelPlanning, $IdAttivitàMestiere, $IdElementi
										, $chkLun
										, $chkMar
										, $chkMer
										, $chkGio
										, $chkVen
										, $chkSab
										, $chkDom
sql;
}
elseif ( $action == 4 )
{
	$sql = <<< sql
		exec GeneraPreplanBiennaleInfraSettMes $IdCommessa, $mese24, $Anno1, $chkUsaFreqMensili, $chkSoloUnAnno, $optSalta, 
										$chkDelPlanning, $IdAttivitàMestiere, $IdElementi
										, $chkLun
										, $chkMar
										, $chkMer
										, $chkGio
										, $chkVen
										, $chkSab
										, $chkDom
sql;
}
elseif ( $action < 4 || $action==7 )
{
	$sql = <<< sql
		exec GeneraPreplanningBiennale $IdCommessa, $mese24, $Anno1, $chkUsaFreqMensili, $chkSoloUnAnno, $action, $optSalta, 
										$chkDelPlanning, $IdAttivitàMestiere, $IdElementi
sql;
}
else
	jhp_error("Azione non contemplata!");

ntxQuery($sql);

$sql = "SELECT * FROM #coordinate_refresh_gantt";

$query = ntxQuery($sql);

$refresh = array(); 

while ( $rs = ntxRecord($query) )
{
	$obj = array();
	
	$obj[mese] = "$rs[mese]";
	$obj[Anno1] = "$rs[Anno1]";
	$obj[IdAttivitàMestiere] = "$rs[IdAttivitàMestiere]";
	$obj[NumAttCoincidenti] = "$rs[NumAttCoincidenti]";
	$obj[NumAttNonCoincidenti] = "$rs[NumAttNonCoincidenti]";
	
	$refresh[] = $obj;
}
		
$sql = "SELECT * FROM #errori_sovrapposizione_preplan order by dataInizio";

$query = ntxQuery($sql);

$errori = <<< errori
	<table class=grid>
		<tr>
			<th>Attività
			<th>Localizzazione
			<th>Data Inizio Prog
			<th>Data Fine Prog
			<th>Errore
errori;

$isError = 0;

while ( $rs = ntxRecord($query) )
{
	$isError = 1;

	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);
		
	$rs[dataInizio] = ntxDateTime($rs[dataInizio]);
	$rs[dataFine] = ntxDateTime($rs[dataFine]);
	
	$errori .= <<< errori
		<tr>
			<td>$rs[mes]<br>$rs[comp]<br>$rs[att]
			<td>$rs[cod] - $rs[loc]<br>$rs[ind] - $rs[comune] ($rs[prov])
			<td>$rs[dataInizio]
			<td>$rs[dataFine]
			<td>$rs[errore]
errori;
}

$errori .= "</table>"; 

$result = array();

$result[refresh] = $refresh;
$result[errori] = $errori;
$result[isError] = $isError;

jhp($result);

?>
