<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');

$value = ntxip('value');
$IdAttivitaMestiere = explode(",", $_POST[IdAttivitaMestiere]);

foreach($IdAttivitaMestiere as $id)
{
	if ( !is_numeric($id) )
		jhp_error("Seleziona uno o più attivita'!");
}

$IdElementi = explode(",", $_POST[IdElementi]);

foreach($IdElementi as $id)
{
	if ( !is_numeric($id) )
		jhp_error("Seleziona uno o più elementi!");
}

$IdAttivitaMestiere = ntxsp('IdAttivitaMestiere');
$IdElementi = ntxsp('IdElementi');

$cmd = "exec GeneraConsistenzaPerElementiAttività $IdCommessa, $IdElementi, $IdAttivitaMestiere";

ntxQuery($cmd);

$sql = <<< sql
UPDATE    tblAttivitàEdifici
SET              ScostamentoDataInizio = $value
FROM         tblAttivitàEdifici INNER JOIN
                      dbo.SplitId($IdElementi) AS elem ON elem.id = tblAttivitàEdifici.IdEdificio INNER JOIN
                      dbo.SplitId($IdAttivitaMestiere) AS att ON att.id = tblAttivitàEdifici.IdAttivitàMestiere
WHERE     (tblAttivitàEdifici.IdCommessa = $IdCommessa)
sql;

ntxQuery($sql);

$sql = <<< sql
SELECT TOP 1 ScostamentoDataInizio 
FROM         tblAttivitàEdifici INNER JOIN
                      dbo.SplitId($IdElementi) AS elem ON elem.id = tblAttivitàEdifici.IdEdificio INNER JOIN
                      dbo.SplitId($IdAttivitaMestiere) AS att ON att.id = tblAttivitàEdifici.IdAttivitàMestiere
WHERE     (tblAttivitàEdifici.IdCommessa = $IdCommessa)
sql;

$result = ntxScalar($sql); 

jhp($result);

?>
