function RecuperoEdifici()
{
	var result = "";
	
	$('input[type=checkbox]:checked').each(function() {
		var chk = $(this);
		
		if ( result!="" ) result += ",";
		
		result += "" + chk.attr('value');
	});
	
	return result;
}

function SegnaRigheSelezionate()
{
	$('td[SelPerCaricaPreplan]').html('');
	
	$('input[type=checkbox]:checked').each(function() {
		var chk = $(this);
		
		$('td[SelPerCaricaPreplan][IdEdificio="'+chk.attr('value')+'"]').html('X');
	});

}

function SettaSpunteEdifici(IdElementi)
{
	var ids = IdElementi.split(",");
	var i, len=ids.length;
	
	$('input[type=checkbox]').each(function() {
		var chk = $(this);
		
		chk.attr('checked', false);
		
		for (i=0; i<len; ++i)
		{
			if ( chk.attr('value')==ids[i] )
			{
				chk.attr('checked', true);
				break;
			}
		}
	});
}

function inArray(value, arr)
{
	var len = arr.length;
	var i;

	for ( i=0; i<len; ++i )
		if ( arr[i] == value ) return true;
		
	return false;
}

function EvidenziaDisomogenei(IdCommessa, AnnoX, IdAttivita, meseMenoUno, IdElementi)
{
	var result = jhp("jhp/elementi/evidenzia_elementi_con_attivita_disomogenee.php", {
		IdCommessa:IdCommessa,
		AnnoX:AnnoX,
		IdAttivita:IdAttivita,
		meseMenoUno:meseMenoUno,
		IdElementi:IdElementi		
	});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var id_elementi = result.value.id_elementi;
		var id_elementi_dis = result.value.id_elementi_dis;

		$('input[type=checkbox]')
			.attr('checked', false)
			.removeAttr('omogeneo')
			.removeAttr('disomogeneo');
			
		$("td").css("background-color",'');
		
		$('input[type=checkbox]').each(function() {
			var chk = $(this);
			var value =chk.attr('value');
			
			if ( inArray(value, id_elementi_dis) )
			{
				$('#tr_'+value).find("td").css("background-color",'yellow');
				chk.attr('checked', true);
				chk.attr('disomogeneo', '1');
			}
			else if ( inArray(value, id_elementi) )
			{
				$('#tr_'+value).find("td").css("background-color",'#99FF99');
				chk.attr('checked', true);
				chk.attr('omogeneo', '1');
			}
		});
	}
}