$(function(){
	form1.action = "elementi.php";
	form1.target = "FrameElementi";
	form1.submit();
	
	$('input[type="button"]').button().css('font-size','7pt');
	$('button').button().css('font-size','7pt');
	$('input[type="checkbox"]').button().css('font-size','7pt');
	$('#radio1').buttonset().css('font-size','7pt');
	$('#radio2').buttonset().css('font-size','7pt');
});

 function showMessage() {
 
	$( "#divMessage" ).show( "drop", null, 500, callbackShowMessage );
};

function callbackShowMessage() {
	setTimeout(function() {
		$( "#divMessage:visible" ).removeAttr( "style" ).fadeOut();
	}, 1000 );
}

function EliminaAnno(index)
{
	var Anno1 = $('#Anno1').val();
	var Anno2 = $('#Anno2').val();
	
	if ( index==1 )
	{
		if (!confirm(messaggi.Elimina_anno+" "+Anno1+" ?")) return;
	}
	else
	{
		if (!confirm(messaggi_Elimina_biennio+" "+Anno1+"/"+Anno2+" ?")) return;
	}
	
	var obj =  {
		index: index,
		IdCommessa: form1.IdCommessa.value, 
		Anno1: Anno1, 
		IdElementi: FrameElementi.RecuperoEdifici(),
		chkDelPlanning: $('#chkDelPlanning').attr('checked') ? 1 : 0,
		chkDelAlwaysPlanning: $('#chkDelAlwaysPlanning').attr('checked') ? 1 : 0
	};
		
	var result = jhp("jhp/preplanning/elimina_anno.php", obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divCorpoErrori').html(result['errori']);
		if ( result['isError'] ) parent.$('#divErrori').toggle(true);
	}
	
	showMessage();
	CaricaPreplanning();
}

function RiduciCampi(chk)
{
	try
	{
		if ( chk.checked )
		{
			FramePreplanning.$('span[DesAttPuntini]').css('display','inline');
			FramePreplanning.$('span[DesAttHide]').css('display','none');
		}
		else
		{
			FramePreplanning.$('span[DesAttPuntini]').css('display','none');
			FramePreplanning.$('span[DesAttHide]').css('display','inline');
		}
	}catch(err){}
}

function SommaAnno(addendo)
{
	try
	{
		jei('Anno1').value = parseInt(jei('Anno1').value)+addendo;
		CambiaAnnoInserimento();
	}catch(err){}
}

function CambiaAnnoInserimento()
{
	try
	{
		var anno1 = parseInt(jei('Anno1').value);

		var annoInizio = parseInt(form1.AnnoInizio.value);
		var annoFine = parseInt(form1.AnnoFine.value);
		
		if ( isNaN(anno1) || anno1 < annoInizio ) anno1 = annoInizio;
		if ( anno1 > annoFine ) anno1 = annoFine;

		form1.AnnoX.value = anno1;
		
		jei('Anno1').value = anno1;
		jei('Anno2').value = anno1+1;
	}catch(err){}
}

function MappaTerritorio()
{
	var map = document.getElementById('mappaTerritoriale');
		
	mappaTerritoriale.form1.IdElementi.value = FrameElementi.RecuperoEdifici();
	mappaTerritoriale.RefreshMap();
	
	if ( map.style.display == "block" )
	{
		map.style.display = "none";
		return;
	}
	
	mappaTerritoriale.myOwner = {
		Ok: function(frm){
			FrameElementi.SettaSpunteEdifici(frm.IdElementi.value);
			
			document.getElementById('mappaTerritoriale').style.display="none";
		},
		Close: function(){
			document.getElementById('mappaTerritoriale').style.display="none";
		}
	};

	map.style.display = "block";
}


function FiltroElementi()
{
	form1.txtId.value = jei("txtId").value;	
	form1.txtCodice.value = jei("txtCodice").value;	
	form1.txtDes1.value = jei("txtDes1").value;	
	form1.txtDes2.value = jei("txtDes2").value;	
	form1.txtTipo.value = jei("txtTipo").value;	
	form1.txtIndirizzo.value = jei("txtIndirizzo").value;	
	form1.txtComune.value = jei("txtComune").value;	
	form1.txtProv.value = jei("txtProv").value;	
	form1.txtCap.value = jei("txtCap").value;
	form1.FitroMestieri.value = jei("FitroMestieri").value;
	form1.FitroFrequenze.value = jei("FitroFrequenze").value;
	form1.chkOrdLocalizPerID.value = jei("chkOrdLocalizPerID").checked ? 1 : 0;
	form1.chkUsaMestiereSelezionato.value = jei("chkUsaMestiereSelezionato").checked ? 1 : 0;

	form1.action = "elementi.php";
	form1.target = "FrameElementi";
	form1.submit();
}

function ResetFiltroElementi()
{
	jei("txtId").value = "";	
	jei("txtCodice").value = "";	
	jei("txtDes1").value = "";	
	jei("txtDes2").value = "";	
	jei("txtTipo").value = "";	
	jei("txtIndirizzo").value = "";	
	jei("txtComune").value = "";	
	jei("txtProv").value = "";	
	jei("txtCap").value = "";	
}

function EliminaAttivNonPerCompE_PerCensiSenzaCensi()
{
	var Anno1 = $('#Anno1').val();
	var Anno2 = $('#Anno2').val();
	
	if (!confirm("Vuoi Eliminare Attività non per componenti e per Componenti senza Componenti da inizio a fine contratto affidatario?")) return;
	
	var obj =  {
		IdCommessa: form1.IdCommessa.value, 
		IdContratto: form1.IdContratto.value, 
		Anno1: Anno1, 
		IdElementi: FrameElementi.RecuperoEdifici()
	};
		
	var result = jhp("jhp/preplanning/elimina_attiv_per_censi_senza_censi_e_attiv_non_censi.php", obj);

	if(result.state)
	{
		alert(result.message);
	}

	CaricaPreplanning();
}

function EliminaAttivPerCensiSenzaCensi()
{
	var Anno1 = $('#Anno1').val();
	var Anno2 = $('#Anno2').val();
	
	if (!confirm(messaggi.Elimina)) return;
	
	var obj =  {
		IdCommessa: form1.IdCommessa.value, 
		IdContratto: form1.IdContratto.value, 
		Anno1: Anno1, 
		IdElementi: FrameElementi.RecuperoEdifici()
	};
		
	var result = jhp("jhp/preplanning/elimina_attiv_per_censi_senza_censi.php", obj);

	if(result.state)
	{
		alert(result.message);
	}

	CaricaPreplanning();
}

function CaricaPreplanning()
{
	form1.IdElementi.value = FrameElementi.RecuperoEdifici();
	FrameElementi.SegnaRigheSelezionate();
	form1.chkRiduciCampi.value = $('#chkRiduciCampi').attr('checked') ? 1 : 0;
	form1.chkSoloAttivitàPeriodiche.value = $('#chkSoloAttivitàPeriodiche').attr('checked') ? 1 : 0;
	form1.selTipoAreaAtt.value = $('#selTipoAreaAtt').val();
	form1.FitroMestieri.value = $('#FitroMestieri').val();
	form1.FitroFrequenze.value = $('#FitroFrequenze').val();
	form1.chkFiltroPerFrequenzeMensili.value = $('#chkFiltroPerFrequenzeMensili').attr('checked') ? 1 : 0;
	form1.chkFiltroUsoAttività.value = $('#chkFiltroUsoAttività').attr('checked') ? 1 : 0;
	form1.chkFiltroInfraSettimInfraMensili.value = $('#chkFiltroInfraSettimInfraMensili').attr('checked') ? 1 : 0;
	form1.chkUnGiornoAlMese.value = $('#chkUnGiornoAlMese').attr('checked') ? 1 : 0;
	form1.chkFiltroNonInfraSettimInfraMensili.value = $('#chkFiltroNonInfraSettimInfraMensili').attr('checked') ? 1 : 0;
	form1.chkFiltroCompMesTipiComp.value = $('#chkFiltroCompMesTipiComp').attr('checked') ? 1 : 0;
	form1.chkFiltroAttMesTipiComp.value = $('#chkFiltroAttMesTipiComp').attr('checked') ? 1 : 0;
	form1.action = "preplanning.php";
	form1.target = "FramePreplanning";
	form1.submit();
	$('#FramePreplanMese').toggle(false);
	$('#FramePreplanning').toggle(true);
}

function ComprimiDiv(id)
{
	$(id).toggle();
}

function VediFestivita(chk)
{
	if(chk.checked)
		$('#Festivita').show();
	else
		$('#Festivita').hide();
}

function Vedi(id)
{
	switch(id)
	{
		case "Elementi":
			$('#Elementi').show();
			$('#Preplanning').hide();
			break;
		case "Preplanning":
			$('#Elementi').hide();
			$('#Preplanning').show();
			break;
		default:
			$('#Elementi').show();
			$('#Preplanning').show();
			break;
	}
}