<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); 
$RigheP = explode(",",$_POST['RigheP']); 
$IdDoc = ntxip('IdDoc');
$user=ntxsse('Utente');

if ( $RigheP[0]=='' )
	ntxMsgErr("Selezionare almeno una riga da importare!");
	
$sql = <<< SQL
				SELECT     Preventivi.NumPreventivo
				FROM         DocsPreventiviRichieste INNER JOIN
				                      Preventivi ON DocsPreventiviRichieste.IdCommessa = Preventivi.IDCommessa AND 
				                      DocsPreventiviRichieste.NumRichiesta = Preventivi.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Preventivi.AnnoRichiesta
				WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$NumPreventivo = ntxScalar($sql);

$sql = <<< SQL
	SELECT   DISTINCT  tblContrattiFornitori.IdContrattoFornitore
	FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
	                      DocsPreventiviRichieste INNER JOIN
	                      Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
	                      DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
	                      tblContrattiFornitori ON DocsPreventiviRichieste.IdCommessa = tblContrattiFornitori.IdCommessa AND 
	                      DocsPreventiviRichieste.IdDitta = tblContrattiFornitori.IdFornitore AND Richieste.DataRichiesta >= tblContrattiFornitori.DataInizio AND 
	                      Richieste.DataRichiesta <= tblContrattiFornitori.DataFine ON 
	                      tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
	                      tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore AND 
	                      tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = Richieste.Localizzazione INNER JOIN
	                      tblAttivitàMestiere INNER JOIN
	                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
	                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
	                      tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
	                      tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
	                      Richieste.IdMestiere = tblComponetiMestiere.IdMestiere
	WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) 
			AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$IdPgContratto = ntxScalar($sql);

if ( !is_numeric($IdPgContratto) ) $IdPgContratto = -2;

$sql = <<< SQL
			INSERT INTO RihePreventivi
                      (IdCommessa, Prezziario, QTA, Importo, IDrif, IdPrezzo, Cod, Descrizione, UM, PzUnitario, Titolo, DescrEstesa, TabellaOrigine, TipoPrezzo, Lun, Alt, 
                      Lar, Formula, NotaRiga, NumPreventivo, DataModifica, UtenteModifica, Sconto, Allegato, Path, Gruppo)
			SELECT     IdCommessa, Prezziario, QTA, Importo, IDrif, IdPrezzo, Cod, Descrizione, UM, PzUnitario, Titolo, DescrEstesa, TabellaOrigine, TipoPrezzo, Lun, Alt, 
			                      Lar, Formula, NotaRiga, 
								  $NumPreventivo, getdate(), $user, 
								  isnull((SELECT ScontiGestore.Sconto FROM ScontiGestore 
										WHERE RiheDocPrevRichieste.IdCommessa = ScontiGestore.IdCommessa 
											AND RiheDocPrevRichieste.IdPrezzo = ScontiGestore.IdPrezzo
											AND ScontiGestore.IdPgContratto = $IdPgContratto			
									), 0) AS Sconto,
								Allegato, Path, Gruppo
			FROM         RiheDocPrevRichieste
			WHERE     (RiheDocPrevRichieste.IdCommessa = $IdCommessa) AND (RiheDocPrevRichieste.IdDocPrevRichiesta = $IdDoc) AND (
SQL;

for ( $i=0; $i<count($RigheP); $i++)
{
	if ( $i>0 ) $sql .= " OR ";
	
	$sql .= "RiheDocPrevRichieste.RigaP = ".$RigheP[$i];
}

$sql .= ")";

ntxQuery($sql);

ntxMsgResult("");	

?>
