<?php  
session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<link href="../../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../../_ntx/ntxjsint.php"></script>
</head>


<body  >

<?php

$IdCommessa = ntxip('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta', false);
$AnnoRichiesta = ntxip('AnnoRichiesta', false);

require_once("filtro_ditte_sql.inc");

?>
<input type=button value="Seleziona Tutto" onclick="Setta(true)">
<input type=button value="Deseleziona Tutto" onclick="Setta(false)">
<input type=button value="Crea Preventivo Fornitore" onclick="CreaPreventivoFornitore()">
<br>
<br>
<table align=left>
	<caption>Fornitori</caption>
	<tr>
	<th>&nbsp;</th>
	<th>Richiesto Preventivo</th>
	<th>Fornitore</th>
	<th>Indirizzo</th>
	<th>Comune</th>
	<th>CAP</th>
	<th>Prov</th>
	<th>ATTENZIONE</th>
	</tr>
<?php
	$alternate = true;

	$countRows = 0;
	$ListaDitteSel = "";
	
	while( $rs = ntxRecord($query) )
	{
		if ( $countRows > 0 )
			$ListaDitteSel .= ",";
			
		$ListaDitteSel .= '"'.$rs['IDDitta'].'"';
		
		if ( $rs[NumPreventivi]>0 || $rs[RisorseEmail]==0 )
		{
			$disableCheck = "DISABLED";
		}
		else
		{
			$disableCheck = "";
		}
		
		if ( $rs[NumPreventivi]>0 )
		{
			$msg_prev = "X";
			$style_prev = "style=\"background-color: blue;color: white\"";
		}
		else
		{
			$msg_prev = "";
			$style_prev = "";
		}
		
		if ( $rs[RisorseEmail]==0 )
		{
			$msg_risorse = "LA DITTA NON HA UNA RISORSA CON RUOLO DI 'UFFICIO PREVENTIVI' O FORSE A QUESTA/E MANCA L'EMAIL";
			$style_risorse = "style=\"background-color: red;color: white\"";
		}
		else
		{
			$msg_risorse = "";
			$style_risorse = "";
		}
		
		$input = "<input id=\"chk$countRows\" type=checkbox onclick=\"SelezionaRiga(this, $rs[IDDitta])\" $disableCheck>";
		
		$countRows++;
?>
	<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?>>
				<?php echo $input ?>
			<td <?php echo  ($alternate ? "" : "class=td2")." $style_prev" ?> >&nbsp;<?php echo $msg_prev ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
			<td <?php echo  ($alternate ? "" : "class=td2")." $style_risorse" ?> >&nbsp;<?php echo htmlentities($msg_risorse) ?></td>
	</tr>
<?php

		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>">
	<input type=hidden name=NumRichiesta value="<?php echo $NumRichiesta ?>">
	<input type=hidden name=AnnoRichiesta value="<?php echo $AnnoRichiesta ?>">
	<input type=hidden name=NumPreventivo value="<?php echo $NumPreventivo ?>">
	<input type=hidden name=Filtro value="<?php echo $Filtro ?>">
	<input type=hidden name=Fornitori value="<?php echo ntxJS($Fornitori) ?>">
	<input type=hidden name=Indirizzo value="<?php echo ntxJS($Indirizzo) ?>">
	<input type=hidden name=Comune value="<?php echo ntxJS($Comune) ?>">
	<input type=hidden name=Cap value="<?php echo ntxJS($Cap) ?>">
	<input type=hidden name=Provincia value="<?php echo ntxJS($Provincia) ?>">
	<input type=hidden name=ListaDitteSel value="">
	<input type=hidden name=IDDitta>
</form>

<script language=javascript>
	var countRows = <?php echo $countRows ?>;
	var FullListaDitte = new Array(<?php echo $ListaDitteSel; ?>);
	var ListaDitteSel = new Array();
	var tempListaDitteSel = new Array();

	function Setta(value)
	{
		var i = 0;
		var j = 0;
		var k = 0;
		
		for ( i=0; i < countRows; i++)
			gei("chk" + i).checked = value;
			
		if (value)
			ListaDitteSel = FullListaDitte;
		else
			ListaDitteSel = new Array();
	}
	
	function SelezionaRiga(obj, IDDitta)
	{
		var i = 0;
		
		if (obj.checked)
		{
			for (i=0; i < ListaDitteSel.length; i++)
				if ( ListaDitteSel[i] == IDDitta ) return;
				
			ListaDitteSel[ListaDitteSel.length] = IDDitta;			
		}
		else
		{
			for (i=0; i < ListaDitteSel.length; i++)
				if ( ListaDitteSel[i] == IDDitta ) 
				{
					tempListaDitteSel = new Array();
					
					for (j=0, k=0; j < ListaDitteSel.length; j++)
						if ( ListaDitteSel[j] != IDDitta ) 
							tempListaDitteSel[k++] = ListaDitteSel[j];

					ListaDitteSel = tempListaDitteSel;
					
					return;
				}
		}
	}

	function CreaPreventivoFornitore()
	{
		if ( !confirm("Sicuro di volere creare preventivi per ditte selezionate?"
						+"\n\n(Dopo si dovrà richiedere l'elaborazione ai singoli fornitori)") ) return;
		
		form1.ListaDitteSel.value = ListaDitteSel;
		
		ntxSendForm(form1, funcRichiediPreventivo, 'crea_prev_fornitore');
	}
				
	function funcRichiediPreventivo(text)
	{
		var rows=ntxRecord(text);

		alert(rows['message']);
		
		parent.drcUpdateFrame(parent.form1, "trattative");
		
		form1.submit();
	}
				
	function EditRigaP(IDDitta)
	{
		parent.frame_edit_riga.SelCosto(IDDitta);
		parent.drcShowKeyTab("edit_riga");
	}

</script>
</body>
</html>
