<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$vista_cliente = $_POST[vista_cliente]==1 ? 1 : 0;


?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php

$DataContabilità1 = ntxtp('DataContabilità1', false);
$DataContabilità2 = ntxtp('DataContabilità2', false);

require_once('query.inc');

switch($_POST[FiltroDataDaUsare])
{
	case '1':
		$FiltroDataDaUsare = 'Data Contabilità';
		break;
	case '2':
		$FiltroDataDaUsare = 'Data Ordine';
		break;
	default:
		$FiltroDataDaUsare = 'Data Fine';
		break;
}

?>
<form name=frmExcel method=post action="excel.php" target=frame2>
	<input type=hidden name=IdPropietario value="<?php  echo ntxJS($_POST[IdPropietario]) ?>">
	<input type=hidden name=IdEdificio value="<?php  echo ntxJS($_POST[IdEdificio]) ?>">
	<input type=hidden name=Stato2 value="<?php  echo ntxJS($_POST[Stato2]) ?>">
	<input type=hidden name=Stato value="<?php  echo ntxJS($_POST[Stato]) ?>">
	<input type=hidden name=TipoLocalizzazione value="<?php  echo ntxJS($_POST[TipoLocalizzazione]) ?>">
	<input type=hidden name=DataContabilità1 value="<?php  echo ntxJS($_POST[DataContabilità1]) ?>">
	<input type=hidden name=DataContabilità2 value="<?php  echo ntxJS($_POST[DataContabilità2]) ?>">
	<input type=hidden name=FiltroDataDaUsare value="<?php  echo ntxJS($_POST[FiltroDataDaUsare]) ?>">
	<input type=hidden name=GruppoF value="<?php  echo ntxJS($_POST[GruppoF]) ?>">
	<input type=hidden name=NumFattura value="<?php  echo ntxJS($_POST[NumFattura]) ?>">
	<input type=hidden name=DataFattura value="<?php  echo ntxJS($_POST[DataFattura]) ?>">
	<input type=hidden name=vista_cliente value="<?php echo $vista_cliente ?>" />
</form>

<iframe name=frame2 style="width:1px;height:1px"></iframe>

<table>
	<tr>
		<th colspan=6>Contabilità
		<td rowspan=2><input type=button value="Excel" onclick="document.frmExcel.submit()">
	</tr>
	<tr>
		<th>Stato:<td>&nbsp;<?php echo htmlentities($DesStato) ?>
		<th>&nbsp;<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità1]) ?>
		<th><= <?php echo htmlentities($FiltroDataDaUsare) ?> <=<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità2]) ?>
	</tr>
</table>
<br>

<table align=left>
	<tr>
		<th>Num. Contabilità</th>
		<th>Data Contabilità</th>
		<th>Stato</th>
		<th>Richiesta</th>
		<th>Ordine</th>
		<th>Data Ordine</th>
		<th>GU</th>
		<th>Descrizione</th>
		<th>Cod. Localizzazione</th>
		<th>Localizzazione</th>
		<th>Consegnato</th>
		<th>Data Consegna</th>
		<th>Data Ultima Consegna</th>
		<th>Fatturato</th>
		<th>Num. Sal</th>
		<th>Data Sal</th>
		<th>Note</th>
		<th>Approvato</th>
		<th>Importo Approvato</th>
		<th>Importo Netto</th>
		<th>Costi</th>
		<th>Utile</th>
		<th>Fornitore</th>
		<th>Data Approvazione</th>
		<th>Utente Approvazione</th>
		<th>Contestato</th>
		<th>Data Contestazione</th>
		<th>Utente Contestazione</th>
		<th>Note Contestazione</th>
		<th>Rif. Ordine Cliente</th>
		<th>Ordine Cliente (NEL)</th>
		<th>Indirizzo
		<th>Attività Eseguita
		<th>Note Ordine
		<th>Data Inizio
		<th>Data Fine
		<th>Mestiere
		<th>Ente
		<th>N.OPF
		<th>Num.Fattura
		<th>Data Fattura
		<th>&nbsp;</th>
	</tr>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NumContabilità']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataContabilità']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['DesstatoC']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo (int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'] ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataOrdine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['GU']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Descrizione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['CodEdificio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Edificio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php if ($rs['Consegnato']==1) echo "SI"; else echo "no" ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataConsegna']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataUltimaConsegna']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php if ($rs['Fatturato']==1) echo "SI"; else echo "no" ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NumSal']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataSal']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Note']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php if ($rs['Approvato']==1) echo "SI"; else echo "no" ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($rs['Costi'],2) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($rs['ImportoNetto']-$rs['Costi'],2) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Ditta']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataApprovazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['UtenteApprovazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php if ($rs['Contestato']==1) echo "SI"; else echo "no" ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataContestazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['UtenteContestazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NoteContestazione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['RifOrdineCliente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['GruppoF']) ?></td>

		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities("$rs[Indirizzo] $rs[CITTA] ($rs[Prov])") ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Intervento']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NoteOrdine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['DataInizio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['DataFine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Mestiere']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Ente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NOPF']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NumFattura']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['DataFattura']) ?></td>

		<td <?php echo  $alternate ? "" : "class=td2" ?> height=10>
			<?php if ( $vista_cliente ) { ?>
				<input type=button value="Report" onclick="Report2(<?php echo "$rs[NumOrdine], $rs[AnnoOrdine]" ?>)">
			<?php } else { ?>
				<input type=button value="Report" onclick="Report(<?php echo "$rs[NumOrdine], $rs[AnnoOrdine]" ?>)">
			<?php } ?>
				<br><input type=button value="Docs" onclick="DocsAllegati(<?php echo "$rs[IdOrd]" ?>)">
			</td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post>
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="" >
	<input TYPE=HIDDEN NAME=IdOrdine VALUE="" >
</form>

<script language=javascript>

	function Report2(NumOrdine, AnnoOrdine)
	{
		form1.NumOrdine.value = NumOrdine;
		form1.AnnoOrdine.value = AnnoOrdine;
		form1.action = "../../../clienti_autorizzatori/contabilita/report_vista_cliente/index.php";
		form1.target = "_blank";
		form1.submit();
	}

	function Report(NumOrdine, AnnoOrdine)
	{
		form1.NumOrdine.value = NumOrdine;
		form1.AnnoOrdine.value = AnnoOrdine;
		form1.action = "../../contabilita/contab_ord/report/index.php";
		form1.target = "_blank";
		form1.submit();
	}

	function DocsAllegati(IdOrdine)
	{
		form1.IdOrdine.value = IdOrdine;
		form1.action = "../docs_allegati.php";
		form1.target = "_blank";
		form1.submit();
	}

</script>


</body>
</html>
