<?php  

$sql1 = <<< SQL
		SELECT     sum( isnull(RihePreventivi.QTA * RihePreventivi.PzUnitario, 0)
						* (1 - isnull(RihePreventivi.Sconto, 0)/100))
			FROM         Preventivi INNER JOIN
				  ($sqlRichieste070610) Richieste ON Preventivi.IDCommessa = Richieste.IDCommessa AND Preventivi.NumRichiesta = Richieste.NumRichiesta AND 
				  Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
				  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo
		WHERE Richieste.IDCommessa = b.IdCommessa
			AND Richieste.Localizzazione = b.ID	
			AND MONTH(Richieste.DataRichiesta) = #my123.Mese 	
			AND YEAR(Richieste.DataRichiesta) = #my123.Anno	
			AND $sqlQueue
SQL;

$sqlFields = <<< sqlFields
			ElencoEdifici.IdCommessa, 
			ElencoEdifici.ID, 
			ElencoEdifici.Codice, 
			ElencoEdifici.EdificioBreve, 
			ElencoEdifici.Indirizzo, 
			ElencoEdifici.CITTA
sqlFields;

$sqlWHERE = "";

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sqlWHERE .= " AND (ElencoEdifici.IdProprietario = $IdPropietario) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sqlWHERE .= " AND (Richieste.Localizzazione = $IdEdificio) ";
}

$sql2 = <<< sql
	SELECT DISTINCT 
			$sqlFields
	FROM         tblPgContrattiRifAffidatariAttivitàEdifici INNER JOIN
                      tblPgContrattiAffidatari INNER JOIN
                      tblPgContrattiRifAffidatari ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoAffidatario ON 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario INNER JOIN
                      UtentiRifAffidatari INNER JOIN
                      Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      Preventivi INNER JOIN
                      Richieste ON Preventivi.IDCommessa = Richieste.IDCommessa AND Preventivi.NumRichiesta = Richieste.NumRichiesta AND 
                      Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID ON 
                      tblComponetiMestiere.IdCommessa = Richieste.IDCommessa AND tblComponetiMestiere.IdMestiere = Richieste.IdMestiere AND 
                      tblPgContrattiAffidatari.DataInizio <= Richieste.DataRichiesta AND tblPgContrattiAffidatari.DataFine >= Richieste.DataRichiesta AND 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = Richieste.IDCommessa AND 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = Richieste.Localizzazione
	  WHERE  (Utenti.Nome = $mUtente)
		AND (Utenti.Password = $mPassword)
		AND (Richieste.IdCommessa = $IdCommessa)
		AND $sqlQueue
		$sqlWHERE
		AND (Richieste.IdAffidatario IS NULL OR Richieste.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario)
sql;

$sql22 = <<< sql
	SELECT DISTINCT 
			$sqlFields
	FROM         tblPgRifAffidatari INNER JOIN
                      UtentiRifAffidatari INNER JOIN
                      Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
                      Preventivi INNER JOIN
                      Richieste ON Preventivi.IDCommessa = Richieste.IDCommessa AND Preventivi.NumRichiesta = Richieste.NumRichiesta AND 
                      Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID ON 
                      tblPgRifAffidatari.IdAffidatario = Richieste.IdAffidatario
	  WHERE  (Utenti.Nome = $mUtente)
		AND (Utenti.Password = $mPassword)
		AND (Richieste.IdCommessa = $IdCommessa)
		AND $sqlQueue
		$sqlWHERE
		AND tblPgRifAffidatari.VistaFuoriContratto = 1
sql;
	
$sql3 = <<< sql
	SELECT 
		b.*,
		#my123.Mese, 
		#my123.Anno, 
		($sql1) AS Valore
	FROM (SELECT DISTINCT * FROM ($sql2 UNION $sql22) axa) b, #my123
	ORDER BY Codice, EdificioBreve, ID, Anno, Mese
sql;

$query = ntxQuery($sql3);
	
?>
