<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php

require_once('query.inc');

?>
<form name=frmExcel method=post action="excel.php" target=frame2>
	<input type=hidden name=IdPropietario value="<?php  echo ntxJS($_POST[IdPropietario]) ?>">
	<input type=hidden name=IdEdificio value="<?php echo ntxJS($_POST[IdEdificio]) ?>">
	<input type=hidden name=Stato2 value="<?php  echo ntxJS($_POST[Stato2]) ?>">
	<input type=hidden name=TipoLocalizzazione value="<?php  echo ntxJS($_POST[TipoLocalizzazione]) ?>">
	<input type=hidden name=DataRichiesta1 value="<?php  echo ntxJS($_POST[DataRichiesta1]) ?>">
	<input type=hidden name=DataRichiesta2 value="<?php  echo ntxJS($_POST[DataRichiesta2]) ?>">
</form>

<iframe name=frame2 style="width:1px;height:1px"></iframe>

<table>
	<tr>
		<th colspan=6>Preventivi
		<td rowspan=2><input type=button value="Excel" onclick="document.frmExcel.submit()">
	</tr>
	<tr>
		<th>Stato:<td>&nbsp;<?php echo htmlentities($DesStato) ?>
		<th>&nbsp;<td>&nbsp;<?php echo htmlentities($_POST[DataRichiesta1]) ?>
		<th><= Data Richiesta <=<td>&nbsp;<?php echo htmlentities($_POST[DataRichiesta2]) ?>
	</tr>
</table>
<br>

<table align=left>
	<tr>
		<th>Num./Anno</th>
		<th>Data</th>
		<th>Stato</th>
		<th>Richiedente</th>
		<th>Localizzazione</th>
		<th>Grado Urgenza</th>
		<th>Descrizione</th>
		<th>Descrizione Per Cliente</th>
		<th>Importo Netto</th>
		<th>Importo Offerto Per Cliente</th>
		<th>Originata da ordine</th>
		<th>Dowload Doc Per Cliente</th>
		<th>&nbsp;</th>
	</tr>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumRichiesta'])
																		."/".htmlentities($rs['AnnoRichiesta']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities(ntxDateTime($rs['DataRichiesta'])) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>
			<td class=td3 >&nbsp;<?php echo htmlentities('('.$rs['Codice'].') - '.$rs['EdificioBreve'].' - '
							.$rs['Indirizzo'].' - '.$rs['CITTA'].' ('.$rs['PROVINCIA'].')') ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesGrUrg']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']).'<br>'
							.htmlentities($rs['Descrizione1']).'<br>'.htmlentities($rs['Descrizione2']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesCliente']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoCliente'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities((int)$rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> height=10>
				<input type=button value="Download" onclick="DownloadCliente(<?php echo $rs['NumRichiesta'].", ".$rs['AnnoRichiesta'] ?> )">
			</td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> height=10>
				<input type=button value="Anteprima Preventivo" onclick="Anteprima(<?php echo $rs['NumRichiesta'].", ".$rs['AnnoRichiesta'] ?> )">
			</td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<script language=javascript>

function Anteprima(NumRichiesta, AnnoRichiesta)
{
	document.form2.NumRichiesta.value = NumRichiesta;
	document.form2.AnnoRichiesta.value = AnnoRichiesta;
	
	document.form2.submit();
}

function DownloadCliente(NumRichiesta, AnnoRichiesta)
{
	document.form1.NumRichiesta.value = NumRichiesta;
	document.form1.AnnoRichiesta.value = AnnoRichiesta;
	
	document.form1.action = "download_cliente.php";
	
	document.form1.submit();
}


</script>

<form name=form1 action=form_upload.php method=post target=_blank>
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input TYPE=HIDDEN NAME=NumRichiesta VALUE="" >
	<input TYPE=HIDDEN NAME=AnnoRichiesta VALUE="" >
</form>

<form name=form2 action="../../../clienti_autorizzatori/richieste_ordini_v2/preventivo.php" method=post target=_blank>
	<input TYPE=HIDDEN NAME=NumRichiesta VALUE="" >
	<input TYPE=HIDDEN NAME=AnnoRichiesta VALUE="" >
</form>

</body>
</html>
