<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
$IdCommessa=ntxise('IdCommessa');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">

	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>

	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>
<body   >


<form method=post name=form1>
	<input type=hidden name=IdPropietario value="<?php echo $_POST['IdPropietario']; ?>" >
	<input type=hidden name=IdEdificio >
	<input type=hidden name=Stato2 value=1 >
	
	<table class=grid>
		<caption>Ricerca Contabilità</caption>
		<tr><th>Ente di appartenenza<td><input type=text name=Ente size=50 readonly />
			<input type=button value="x" onclick="TogliProprietario()" />
		<tr><th>Tipo Localizzazione<td><select name=TipoLocalizzazione>
					<option value="">
					<option value="0">Edile
					<option value="1">Strade
					<option value="2">Verde
				</select>
		<tr><th>Localizzazione<td><input type=text name=Edificio size=50 readonly />
			<input type=button value="x" onclick="TogliEdificio()" />
		<tr><th>Stato Contabilità<td><select name=Stato >
						<option value='x' SELECTED>Non Importa
						<option value=20>In Corso
						<option value=30>Contabilizzata
						<option value=40>Consegnata
						<option value=50>Correzione
						<option value=60>Approvata
						<option value=70>In SAL
					</select>                   
		<tr><th>Filtro data da usare<td><select name=FiltroDataDaUsare onchange="CambiaEtichetta()" >
						<option value=1>DataContabilità
						<option value=2>DataOrdine
					</select>                   
		<tr><th id=labelData1>Data >= Data Contabilità<td><input type=text name=DataContabilità1 size=50 />
		<tr><th id=labelData2>Data <= Data Contabilità<td><input type=text name=DataContabilità2 size=50 />
		<tr><th>Ordine Cliente (NEL)<td><input type=text name=GruppoF size=50 />
		<tr><th>Elenco Ordini Cliente (NEL)<td><select name=ListaNEL onchange="SetNEL(this)"></select>
			<input type=checkbox onclick="CaricaElencoNEL()" id=chkCaricaElencoNEL name=chkCaricaElencoNEL />
			<label for=chkCaricaElencoNEL>Carica Elenco NEL senza Fattura assegnata</label>
		<tr><th>Numero Fattura<td><input type=text name=NumFattura size=50 />
		<tr><th>Data Fattura<td><input type=text name=DataFattura size=50 />
		<tr><th colspan=2>ricerca aggregata
		<tr><th colspan=2><input type=button style="width:100%" value=Ricerca onclick="FiltraContabilità(1)">
		<tr><th colspan=2><input type=button style="width:100%" value="Ricerca contabilità da approvare" onclick="FiltraContabilità(2)">
		<tr><th colspan=2><input type=button style="width:100%" value="Ricerca contabilità approvate" onclick="FiltraContabilità(3)">
		<tr><th colspan=2>ricerca dettaglio
		<tr><th colspan=2><input type=button style="width:100%" value=Ricerca onclick="FiltraContabilità2(1)">
		<tr><th colspan=2><input type=button style="width:100%" value="Ricerca contabilità da approvare" onclick="FiltraContabilità2(2)">
		<tr><th colspan=2><input type=button style="width:100%" value="Ricerca contabilità approvate" onclick="FiltraContabilità2(3)">
		<tr><th colspan=2>assegna num/anno fattura ad Ordine Cliente (NEL)
		<tr><th colspan=2><input type=button style="width:100%" value="assegna num/anno fattura ad Ordine Cliente (NEL)" onclick="AssegnaNumAnnoFatturaNEL()">
	</table>
</form>

<iframe  name=frame_201411069859 style="display:block;width:600px;heigth:400px"></iframe>

<script language=javascript>

$(function(){
	$(form1.DataContabilità1).datepicker();
	$(form1.DataContabilità2).datepicker();
	$(form1.DataFattura).datepicker();
	CaricaElencoNEL();
});

function CaricaElencoNEL()
{
	ntxSelectLoad(form1, form1.ListaNEL, 'filtro_edifici/carica_nel', true);
}

function SetNEL(obj)
{
	form1.GruppoF.value = obj.value;
}

function AssegnaNumAnnoFatturaNEL()
{
	if (!confirm("Attenzione!\nAssegna num/anno Fattura?")) return;
	
	form1.action = "assegna_num_anno_fattura_nel.php";
	form1.target = "frame_201411069859";
	form1.submit();
}


function CambiaEtichetta()
{
	if ( form1.FiltroDataDaUsare.value==1 )
	{
		$('#labelData1').text('Data >= Data Contabilità');
		$('#labelData2').text('Data <= Data Contabilità');
	}
	else
	{
		$('#labelData1').text('Data >= Data Ordine');
		$('#labelData2').text('Data <= Data Ordine');
	}
}

function TogliProprietario()
{
	document.form1.IdPropietario.value = '';
	document.form1.Ente.value = '';
}

function SelEnte(IdPropietario)
{
	document.form1.IdPropietario.value = IdPropietario;
	ntxSendForm(form1, CaricaEnte, 'filtro_edifici/carica_ente');
}

function CaricaEnte(txt)
{
	var rows=ntxRecord(txt);
	form1.Ente.value = rows['Ente'];
	TogliEdificio();
}

function FiltraContabilità(value)
{
	form1.Stato2.value=value;
	form1.action = "pivot_contabilita.php";
	parent.frame_frames.AppendFrame(form1);
	parent.drcShowKeyTab("frames");
}

function FiltraContabilità2(value)
{
	form1.Stato2.value=value;
	form1.action = "contabilita/index.php";
	parent.frame_frames.AppendFrame(form1);
	parent.drcShowKeyTab("frames");
}


function SelEdificio(IdEdificio)
{
	document.form1.IdEdificio.value = IdEdificio;
	ntxSendForm(form1, CaricaEdificio, 'filtro_contabilita/carica_edificio');
}

function CaricaEdificio(txt)
{
	TogliProprietario();
	var rows=ntxRecord(txt);
	form1.Edificio.value = rows['Edificio'];
}

function TogliEdificio()
{
	document.form1.IdEdificio.value = '';
	document.form1.Edificio.value = '';
}

</script>

</body>
</html>
