<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require('pivot_costi_sql.php');
?>

<html>
  <head>
    <link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
  </head>
  <body>

  <form name=frmExcel method=post action="pivot_costi_excel.php" target=_blank>
    <input type=hidden name=IdPropietario value="<?php  echo ntxJS($_POST[IdPropietario]) ?>">
    <input type=hidden name=IdEdificio value="<?php  echo ntxJS($_POST[IdEdificio]) ?>">
    <input type=hidden name=StatoOrd value="<?php  echo ntxJS($_POST[StatoOrd]) ?>">
    <input type=hidden name=ContabilizF value="<?php  echo ntxJS($_POST[ContabilizF]) ?>">
    <input type=hidden name=DataOrdine1 value="<?php  echo ntxJS($_POST[DataOrdine1]) ?>">
    <input type=hidden name=DataOrdine2 value="<?php  echo ntxJS($_POST[DataOrdine2]) ?>">
  </form>

  <table>
    <tr>
      <th colspan=6>Costi
      <td rowspan=3><input type=button value="Excel" onclick="document.frmExcel.submit()">
    </tr>
    <tr>
      <th>Dal<td><?php echo $_POST['DataOrdine1'] ?>
      <th>Al<td><?php echo $_POST['DataOrdine2'] ?>
  </table>
  <div class="clrfx mt-30"></div>
  <table>
    <thead>
      <tr>
        <th>ID</th>
        <th>Localizzazione</th>
        <th>Indirizzo</th>	
<?php
 
	$col = 1;

	for($mese=$minMese, $anno=$minAnno; $anno<$maxAnno || ($anno==$maxAnno  &&  $mese<=$maxMese); $mese++) {
		if ( $mese == 13 ) { 
      $mese = 1; $anno++; 
    }
		$meseh = $nomiMesi[$mese-1];
		
		echo "<th>$anno<br>$meseh</th>\n";
    
    if ( $col >= $numCols ) {
      break;
    }
		$col++;
  } 
  
  $result .= <<< _HTML

      <th>Totale</th>	
    </tr>   
  </thead>
  <tbody> 

_HTML;

  $alternate = true;

	for ( $col = 0; $col<=$numCols; $col++ ) {
		$totCols[$col] = 0;
  }
  
	$col = 1;
  
	$totRow = 0;
		
	while( $query  &&  $rs = ntxRecord($query) ) {
    foreach($rs as $k => $v) {
      $html[$k] = htmlentities($v);
    }
    
		$class = ($alternate ? "" : "class=td2");
    
		if ( $col == 1 ) {
			$totRow = 0;

      $result .= <<< _HTML
    
    	<tr>
        <td $class style="text-align:left">&nbsp;$html[ID]</td>
        <td $class style="text-align:left">&nbsp;$html[EdificioBreve]</td>
        <td $class style="text-align:left">&nbsp;$html[Indirizzo] $html[CITTA]</td>

_HTML;
		}
    
		$val = $html[Valore];
		
		
    if ( is_numeric($val) ) {
			$totRow += $val;
			$totCols[$col] += $val;
		} else {
      $val = 0;
    }
    if ($val<0) {
      $text=";color: red";
    } else {
      $text="";
    }
    $valh = ntxRoundThousand($val,2);
    $result .= "<td $class style=\"font-weight: bold;text-align:right $text\">&nbsp;$valh</td>";
		
		$col++;
		
		if ( $col > $numCols )
		{
			$totCols[0] += $totRow;
			$col = 1;
      if ($totRow<0) {$text=";color: red";} else {$text="";}
      $totRow2print = ntxRoundThousand($totRow,2);
      $result .= "<td $class style=\"font-weight: bold;text-align:right $text\">&nbsp;$totRow2print</td>";
      $result .= "</tr>";
    
			$alternate = !$alternate;
		}
	}

  $result .= <<<  _HTML

	<tr>
		<th colspan=3 style="text-align:right">TOTALI</th>
  
_HTML;
	
	for ( $col = 1; $col<=$numCols; $col++ ) {
		$val = $totCols[$col];
		
		$valh = ntxRoundThousand($val,2);
	
    if ($val<0) {$text=";color: red";} else {$text="";}
    $result .= <<<  _HTML
    
    <td $class style="font-weight: bold;text-align:right$text">&nbsp;$valh</td>\n
    
_HTML;
	}
	
	$val = $totCols[0];
	
	$valh = ntxRoundThousand($val,2);

	if ($val<0) {$text=";color: red";} else {$text="";}
    $result .= <<<  _HTML
    
     <td $class style="font-weight: bold;text-align:right$text">&nbsp;$valh</td>\n
    </tbody>
    
_HTML;

  echo $result;
?>
      </tr>
    </table>
  </body>
</html>
