<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$Localizzazione = ntxip('Localizzazione', false);

$DataRichiesta = ntxtp('DataRichiesta');

if ( $DataRichiesta === 'NULL' )
	$DataRichiesta = 'getdate()';

if ( is_numeric($Localizzazione) )
{
	$sql = <<<_SQL
	SELECT DISTINCT 
		tblPgAffidatari.IdAffidatario, tblPgAffidatari.Nome

	FROM  
		tblAttivitàMestiere INNER JOIN
		tblMestieri INNER JOIN
		tblComponetiMestiere ON tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
		tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
		tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
		tblPgContrattiRifAffidatariAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
		tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
		tblPgContrattiRifAffidatari ON 
		tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario INNER JOIN
		tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
		tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario
					   
	WHERE 
		(tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa) AND  
		(tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta) 
_SQL;
				   
	
	if ( is_numeric($_POST['IdMestiere'])) 
	{
		$IdMestiere = (int)$_POST['IdMestiere'];
		$sql .= " AND (tblMestieri.IdMestiere = $IdMestiere) ";
	}
		

	if ( is_numeric($_POST['IdComponente'])) 
	{
		$IdComponente = (int)$_POST['IdComponente'];
		$sql .= " AND (tblComponetiMestiere.IdComponenteMestiere = $IdComponente) ";
	}
		

	if ( is_numeric($_POST['IdAttivitàMestiere']) ) 
	{
		$Attivita = (int)$_POST['IdAttivitàMestiere'];
		$sql .= " AND tblAttivitàMestiere.IdAttivitàMestiere = $Attivita ";
	}
		   
				   
	$sql.=" ORDER BY tblPgAffidatari.Nome, tblPgAffidatari.IdAffidatario ";



	$result = ntxSelectArray($sql);

	$result = ntxSelectTranslate($result);

	ntxMsgResult( $result );	
}
else
	ntxMsgResult( '' );	

?>
