<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$user=ntxsse('Utente');
$pwd=ntxsse('Password');
$mese = ntxip('mese');
$anno = ntxip('anno');

$subSql =  <<< SQL
	SELECT DISTINCT Ordini.IDCommessa AS IdCommessa, Ordini.CodEdificio AS IdEdificio
	FROM         tblPgContrattiRifAffidatari INNER JOIN
                      UtentiRifAffidatari INNER JOIN
                      Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblContrattiFornitori ON tblPgContrattiRifAffidatari.IdCommessa = tblContrattiFornitori.IdCommessa AND 
                      tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblContrattiFornitori.IdContrattoAffidatario INNER JOIN
                      Ordini ON tblContrattiFornitori.IdCommessa = Ordini.IDCommessa AND tblContrattiFornitori.IdContrattoFornitore = Ordini.IdContratto
	WHERE     (Ordini.GradoUrgenza = N'MP')
		AND Ordini.IdCommessa = $IdCommessa
		AND ((Month([Ordini].[dataInizioProg]))=$mese)
		AND ((Year([Ordini].[dataInizioProg]))=$anno)
		AND ((Utenti.Nome)=$user) AND ((Utenti.Password)=$pwd)
SQL;

$sql = <<< SQL
	SELECT     ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
						  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, tblPgPropietari.Nome AS Ente
	FROM ($subSql) a INNER JOIN ElencoEdifici ON (a.IdCommessa = ElencoEdifici.IdCommessa) AND (a.IdEdificio = ElencoEdifici.ID)
	 LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	ORDER BY ID, Ente, CITTA, Indirizzo, EdificioBreve
SQL;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th><input type=checkbox onclick="SelLoc(this)" />
			<th>ID
			<th>Codice
			<th>Nome
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>Cap
			<th>Ente di Appartenenza
		</tr>
table;

$alternate = false;

while( $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td><input type=checkbox SelLocaliz IdRiga=$rs[ID] onclick="caricaDitte()" />
			<td>$html[ID]
			<td>$html[Codice]
			<td>$html[EdificioBreve]
			<td>$html[Indirizzo]

			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[CAP]

			<td>$html[Ente]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

jhp($table);

?>
