<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$user=ntxsse('Utente');
$pwd=ntxsse('Password');
$mese = ntxip('mese');
$anno = ntxip('anno');
$ListaIdEdifici = ntxsp('ListaIdEdifici');
$ListaIdDitte = ntxsp('ListaIdDitte');

$sql =  <<< SQL
SELECT     RichiestaOrdiniProgrammati.EsplodiPerComponente,  RichiestaOrdiniProgrammati.datarichiesta, RichiestaOrdiniProgrammati.datainvio, RichiestaOrdiniProgrammati.inviato, Ditte.IDDitta, Ditte.Ditta, 
                      ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CAP, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA, tblPgPropietari.Nome AS Ente
FROM         RichiestaOrdiniProgrammati INNER JOIN
                      Ditte ON RichiestaOrdiniProgrammati.idditta = Ditte.IDDitta INNER JOIN
                      ElencoEdifici ON RichiestaOrdiniProgrammati.IDCommessa = ElencoEdifici.IdCommessa AND 
                      RichiestaOrdiniProgrammati.IdEdificio = ElencoEdifici.ID 
					  INNER JOIN
                      dbo.splitid($ListaIdEdifici) edifici ON edifici.id = ElencoEdifici.ID	
					  INNER JOIN
                      dbo.splitid($ListaIdDitte) dittex ON dittex.id = Ditte.IDDitta	
					  
					  LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
					  
WHERE     (RichiestaOrdiniProgrammati.IDCommessa = $IdCommessa) AND (RichiestaOrdiniProgrammati.Idmese = $mese) AND 
                       (RichiestaOrdiniProgrammati.Anno = $anno)
ORDER BY Ente, CITTA, Indirizzo, EdificioBreve, Ditta, datarichiesta desc
SQL;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>ID
			<th>Codice
			<th>Nome
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>Cap
			<th>Ente di Appartenenza
			<th>Fornitore
			<th>Data Richiesta
			<th>Data Invio
			<th>Inviato
			<th>Report
		</tr>
table;

$alternate = false;

while( $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[datarichiesta] = ntxDateTime($rs[datarichiesta]);
	$rs[datainvio] = ntxDateTime($rs[datainvio]);
	
	$rs[inviato] = $rs[inviato] ?  "SI" : "no";
	
	switch($rs[EsplodiPerComponente])
	{
		case 1:
			$EsplodiPerComponente = "attività esplose per componenti censiti";
			break;
		case 2:
			$EsplodiPerComponente = "con componenti censiti per componente mestiere";
			break;
		default:
			$EsplodiPerComponente = "standard";
			break;
	}
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td>$html[ID]
			<td>$html[Codice]
			<td>$html[EdificioBreve]
			<td>$html[Indirizzo]

			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[CAP]

			<td>$html[Ente]

			<td>$html[Ditta]
			<td>$html[datarichiesta]
			<td>$html[datainvio]

			<td>$html[inviato]
			<td>$EsplodiPerComponente
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

jhp($table);

?>
