<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$user=ntxsse('Utente');
$pwd=ntxsse('Password');
$mese = ntxip('mese');
$anno = ntxip('anno');
$ListaIdEdifici = ntxsp('ListaIdEdifici');
$ListaIdDitte = ntxsp('ListaIdDitte');
$esplodi_report = ntxip('esplodi_report');

$sql =  <<< SQL
	INSERT INTO RichiestaOrdiniProgrammati ( IdCommessa, IdEdificio, idditta, Idmese, Anno, datarichiesta, EsplodiPerComponente )
	SELECT DISTINCT Ordini.IDCommessa AS IdCommessa, Ordini.CodEdificio AS IdEdificio, tblContrattiFornitori.IdFornitore, 
			MONTH(Ordini.dataInizioProg)  AS Mese, 
			YEAR(Ordini.dataInizioProg) AS Anno, 
			GETDATE() AS Data,
			$esplodi_report
	FROM         tblPgContrattiRifAffidatari INNER JOIN
						  UtentiRifAffidatari INNER JOIN
						  Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
						  tblContrattiFornitori ON tblPgContrattiRifAffidatari.IdCommessa = tblContrattiFornitori.IdCommessa AND 
						  tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblContrattiFornitori.IdContrattoAffidatario 
					  INNER JOIN
						  Ordini ON tblContrattiFornitori.IdCommessa = Ordini.IDCommessa AND tblContrattiFornitori.IdContrattoFornitore = Ordini.IdContratto
					  INNER JOIN
						  dbo.splitid($ListaIdEdifici) edifici ON edifici.id = Ordini.CodEdificio	
					  INNER JOIN
                      dbo.splitid($ListaIdDitte) ditte ON ditte.id = tblContrattiFornitori.IdFornitore	
	WHERE     (Ordini.GradoUrgenza = N'MP')					
		AND Ordini.IdCommessa = $IdCommessa
		AND ((Month([Ordini].[dataInizioProg]))=$mese)
		AND ((Year([Ordini].[dataInizioProg]))=$anno)
		AND ((Utenti.Nome)=$user) AND ((Utenti.Password)=$pwd)
SQL;

ntxQuery($sql);

jhp_ok();

?>
