<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); 
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< SQL
	SELECT StatoOrd FROM Ordini
			WHERE Ordini.IDCommessa = $IdCommessa
				AND Ordini.NumOrdine = $NumOrdine
				AND Ordini.AnnoOrdine = $AnnoOrdine
SQL;

$stato = ntxScalar($sql);

if ( $stato >= 140)
	ntxMsgErr("L'ordine e' gia' stato uguale o superiore a visto costi!");
	
$sql = <<< SQL
	UPDATE    Ordini
	SET              StatoOrd = 140
			WHERE Ordini.IDCommessa = $IdCommessa
				AND Ordini.NumOrdine = $NumOrdine
				AND Ordini.AnnoOrdine = $AnnoOrdine
				AND StatoOrd < 140
SQL;

ntxQuery($sql);

$sql = <<< SQL
	SELECT     CodEdificio, NumOrdine, AnnoOrdine, DataOrdine, IdMestiere, Assegnazione
	FROM         Ordini
	WHERE     (IdCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = $AnnoOrdine)
SQL;

$query = ntxQuery($sql);

if ( $rs = ntxIRecord($query) ) 
{
	$Localizzazione = $rs[0];
	$NumOrdine = $rs[1];
	$AnnoOrdine = $rs[2];
	$DataRichiesta = ntxt(ntxDate($rs[3]));
	$IdMestiere = $rs[4];
	$IdDitta = $rs[5];
	
	$sql = <<< SQL
			SELECT DISTINCT Risorse.email
					FROM         Risorse INNER JOIN
					                      RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa
					WHERE     (Risorse.ruolo = 'UFFICIO PREVENTIVI') 
						AND (Risorse.CodDitta = $IdDitta) 
						AND (RisorseEdifici.IdEdificio = $Localizzazione) 
						AND (RisorseEdifici.IdCommessa = $IdCommessa)	
SQL;
				  
		$email_destinatario = ntxScalar($sql);
		
		if ( $email_destinatario.'' == '' )
		{
			$sql = <<< SQL
					SELECT DISTINCT Risorse.email
							FROM         Risorse
							WHERE     (Risorse.ruolo = 'UFFICIO PREVENTIVI') 
								AND (Risorse.CodDitta = $IdDitta) 
SQL;
				  
			$email_destinatario = ntxScalar($sql);
		}
		
		if ( $email_destinatario.'' == '' )
			$email_destinatario = EMAIL_DEBUG;
			
		$oggetto = "Ordine $NumOrdine/$AnnoOrdine passato in visto costi";
		
		$messaggio = $_POST['Motivazione'];
		
		ntxFireNetInit($_SESSION['Utente'].'',				
					"Ordine passato in visto costi web",				
					"Ordine passato in visto costi $NumOrdine/$AnnoOrdine",			
					"email",		
					$email_destinatario,		
					$oggetto,				
					$messaggio,
					true);	
					
}

ntxMsgResult( '' );	

?>
