<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise("IdCommessa");
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< SQL
	SELECT     CodEdificio, NumOrdine, AnnoOrdine, DataOrdine, IdMestiere, Assegnazione
	FROM         Ordini
	WHERE     (IdCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = $AnnoOrdine)
SQL;

$query = ntxQuery($sql);

if ( $rs = ntxIRecord($query) ) 
{
	$Localizzazione = $rs[0];
	$NumOrdine = $rs[1];
	$AnnoOrdine = $rs[2];
	$DataRichiesta = ntxt(ntxDate($rs[3]));
	$IdMestiere = $rs[4];
	$IdDitta = $rs[5];
	
	$sql = <<< SQL
			SELECT DISTINCT Risorse.email
					FROM         Risorse INNER JOIN
					                      RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa
					WHERE     (Risorse.ruolo = 'UFFICIO PREVENTIVI') 
						AND (Risorse.CodDitta = $IdDitta) 
						AND (RisorseEdifici.IdEdificio = $Localizzazione) 
						AND (RisorseEdifici.IdCommessa = $IdCommessa)	
SQL;
				  
		$email_destinatario = ntxScalar($sql);
		
		if ( $email_destinatario.'' == '' )
		{
			$sql = <<< SQL
					SELECT DISTINCT Risorse.email
							FROM         Risorse
							WHERE     (Risorse.ruolo = 'UFFICIO PREVENTIVI') 
								AND (Risorse.CodDitta = $IdDitta) 
SQL;
				  
			$email_destinatario = ntxScalar($sql);
		}
		
		$oggetto = "Ripetere costi $NumOrdine/$AnnoOrdine";
		
		$messaggio = $_POST['Motivazione'];
		
		ntxFireNetInit($_SESSION['Utente'].'',				
					"Ripetere costi web",				
					"Ripetere costi $NumOrdine/$AnnoOrdine",			
					"email",		
					$email_destinatario,		
					$oggetto,				
					$messaggio,
					true);	
					
}

ntxMsgResult("");	

?>