<?php  

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

$SchemaCommessa = ntxScalar($sql);

function GeneraSubQuery($TipoPrezzo)
{
	$TipoPrezzo2 = "ElencoPrezziInCommessa.TipoPrezzo=$TipoPrezzo";

	$sql = <<< SQL
		SELECT  SUM(ISNULL( RiheContabilità.QTA * RiheContabilità.PzUnitario, 0))
		FROM         RiheContabilità INNER JOIN
							  ElencoPrezziInCommessa ON RiheContabilità.IdCommessa = ElencoPrezziInCommessa.IdCommessa AND 
							  RiheContabilità.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo
		WHERE     (RiheContabilità.IdCommessa = Contabilità.IDCommessa)
		AND (RiheContabilità.NumContabilità = Contabilità.NumContabilità) 
		AND $TipoPrezzo2
SQL;

	return $sql;
}


if ( $SchemaCommessa=='isi' )
{
	$sql1 = <<< sql
		SELECT CASE dbo.VersContiContabilità(Contabilità.IDCommessa, Contabilità.NumContabilità)
			WHEN '2' THEN
				F2*(1+E3*(1-E4))+F6*(1-E7)+F9*(1-E10)+F12*(1-E13)+F15+F12b+F9b
			ELSE
				F2*(1+E3*(1-E4))+F6*(1-E7)+(F9+F9b)*(1-E10)+(F12+F12b)*(1-E13)+F15+(F2*(1+E3*(1-E4))+F6+F9+F9b+F12+F12b+F15)*E16
			END
			
		FROM (	SELECT 0.25 AS E3,
				0.15  AS E4,  
				0.15  AS E7,  
				0.15  AS E10, 
				0.15  AS E13, 
				0.025 AS E16, 
sql;

	$sql1 .= "ISNULL((".GeneraSubQuery(2)."),0) AS F2, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(5)."),0) AS F6, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(1)."),0) AS F9, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(6)."),0) AS F12, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(7)."),0) AS F9b, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(3)."),0) AS F12b, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(1001)."),0) AS F15 ";
			
	$sql1 .= ") a ";
}
else
{
	$sql1 = <<< sql
				SELECT     sum( isnull(RiheContabilità.QTA * RiheContabilità.PzUnitario, 0)
									* (1 - isnull(RiheContabilità.Sconto, 0)/100))
				FROM         RiheContabilità
				WHERE     (RiheContabilità.IdCommessa = Contabilità.IDCommessa) 
						AND (RiheContabilità.NumContabilità =  Contabilità.NumContabilità)
sql;
}

$sql = <<< SQL
			SELECT  DISTINCT   Contabilità.IDCommessa, Contabilità.NumOrdine, Contabilità.AnnoOrdine, Contabilità.NumContabilità, Contabilità.DataContabilità, 
								  Contabilità.Descrizione, Contabilità.GradoUrgenza, Contabilità.Edificio, Contabilità.Consegnato, Contabilità.DataConsegna, Contabilità.Fatturato, 
								  Contabilità.DataSal, Contabilità.NumSal, StatiContabilità.DesstatoC, Contabilità.ImportoStimatoC, Contabilità.Note, Contabilità.Approvato, 
								  Contabilità.DataApprovazione, Contabilità.UtenteApprovazione, Contabilità.Contestato, Contabilità.DataContestazione, Contabilità.UtenteContestazione, 
								  Contabilità.NoteContestazione, Contabilità.RifOrdineCliente, Contabilità.DataUltimaConsegna, ElencoEdifici.Codice AS CodEdificio, 
								  TabellaGradoUrgenza.Descrizione AS GU,
								  ($sql1) AS ImportoNetto,
								  Ordini.NumRichiesta, Ordini.AnnoRichiesta
			FROM         UtentiEdifici INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id INNER JOIN
                      Contabilità INNER JOIN
                      StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc ON UtentiEdifici.IdCommessa = Contabilità.IDCommessa AND 
                      UtentiEdifici.IdEdificio = Contabilità.CodEdificio INNER JOIN
                      ElencoEdifici ON Contabilità.IDCommessa = ElencoEdifici.IdCommessa AND Contabilità.CodEdificio = ElencoEdifici.ID INNER JOIN
                      TabellaGradoUrgenza ON Contabilità.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
                      Contabilità.GradoUrgenza = TabellaGradoUrgenza.GradoU INNER JOIN
                      Ordini ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
                      Contabilità.AnnoOrdine = Ordini.AnnoOrdine
			WHERE     (Contabilità.idStatoc >= 40)
					AND (Utenti.Nome = $mUtente)
					AND (Utenti.Password = $mPassword)
					AND (Contabilità.IdCommessa = $IdCommessa) 
SQL;

if ( $_POST['Stato2'] == 2 )
{
	$sql .= " AND (Contabilità.idStatoc = 40 OR Contabilità.idStatoc = 50) ";
}
elseif ( $_POST['Stato2'] == 3 )
{
	$sql .= " AND (Contabilità.idStatoc = 60 OR Contabilità.idStatoc = 70) ";
}
elseif ( is_numeric($_POST['Stato'])) 
{
	$Stato = (int)$_POST['Stato'];
	$sql .= " AND (Contabilità.idStatoc = $Stato) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (ElencoEdifici.ID = $IdEdificio) ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Contabilità.Descrizione LIKE '%".$str."%' ";
}

if ( isset($_POST['DataContabilità1'])  &&  strlen($_POST['DataContabilità1'])>0) 
{
	$str = ntxtp("DataContabilità1");
	$sql .= " AND Contabilità.DataContabilità >= ".$str." ";
}

if ( isset($_POST['DataContabilità2'])  &&  strlen($_POST['DataContabilità2'])>0) 
{
	$str = ntxtp("DataContabilità2");
	$sql .= " AND Contabilità.DataContabilità <= ".$str." ";
}

if ( is_numeric($_POST['NumContabilità']) ) 
{
	$val = (int)$_POST['NumContabilità'];
	$sql .= " AND Contabilità.NumContabilità = $val ";
}

if ( is_numeric($_POST['NumOrdine']) ) 
{
	$val = (int)$_POST['NumOrdine'];
	$sql .= " AND Contabilità.NumOrdine = $val ";
}

if ( is_numeric($_POST['AnnoOrdine']) ) 
{
	$val = (int)$_POST['AnnoOrdine'];
	$sql .= " AND Contabilità.AnnoOrdine = $val ";
}

if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sql .= " AND Ordini.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sql .= " AND Ordini.AnnoRichiesta = $val ";
}

$sql .= " ORDER BY Contabilità.DataContabilità DESC;";

$query = ntxQuery($sql);
	
?>
