<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$IdPrezzo = ntxip('IdPrezzo'); // usata anche in _carica_richiesta
$IdAnalisiPrezzi = ntxip('IdAnalisiPrezzi'); // usata anche in _carica_richiesta

$sql = <<< SQL
SELECT DISTINCT tblPgContratti.IdPgContratto
FROM         tblPgContratti INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto AND 
                      tblPgContratti.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa INNER JOIN
                      tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      AnalisiPrezzi ON tblPgContratti.IdCommessa = AnalisiPrezzi.IdCommessa AND tblComponetiMestiere.IdMestiere = AnalisiPrezzi.IdMestiere AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = AnalisiPrezzi.IdEdificio AND tblPgContratti.DataInizio <= AnalisiPrezzi.DataPrevista AND 
                      tblPgContratti.DataFine >= AnalisiPrezzi.DataPrevista
	WHERE     (AnalisiPrezzi.Id = $IdAnalisiPrezzi)
SQL;

$IdPgContratto = ntxScalar($sql);

if (!is_numeric($IdPgContratto)) $IdPgContratto = -2;

$sql = <<< SQL
		SELECT     
				ElencoPrezziInCommessa.IdPrezzo, 
				ElencoPrezziInCommessa.Cod, 
				ElencoPrezziInCommessa.Descrizione, 
				ElencoPrezziInCommessa.UM, 
				ElencoPrezziInCommessa.PzUnitario, 
				ElencoPrezziInCommessa.Prezziario, 
				ElencoPrezziInCommessa.TipoPrezzo,
				ElencoPrezziInCommessa.Titolo, 
				ElencoPrezziInCommessa.DescrEstesa, 
				ElencoPrezziInCommessa.Gruppo, 
					isnull((SELECT ScontiGestore.Sconto FROM ScontiGestore 
					WHERE ElencoPrezziInCommessa.IdCommessa = ScontiGestore.IdCommessa 
					AND ElencoPrezziInCommessa.IdPrezzo = ScontiGestore.IdPrezzo
					AND ScontiGestore.IdPgContratto = $IdPgContratto			
					), 0) AS 
				Sconto
FROM         ElencoPrezziInCommessa
		WHERE (ElencoPrezziInCommessa.IdCommessa = $IdCommessa) AND (ElencoPrezziInCommessa.IdPrezzo = $IdPrezzo) 
SQL;

$msg_error = "Prezzo non trovato!";

$record = ntxRecordArray($sql, $msg_error);

$record['PzUnitario'] = ntxRound($record['PzUnitario'], 2);
$record['Sconto'] = ntxRound($record['Sconto'], 2);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>














