<?php

if ( is_numeric($Id) )
{
	$sql = <<< SQL
		SELECT     AnalisiPrezzi.Id, AnalisiPrezzi.Id AS Id2, Utenti.Nome AS Mittente, AnalisiPrezzi.Titolo, 
					AnalisiPrezzi.Descrizione, AnalisiPrezzi.Data, AnalisiPrezzi.Nota, 
							  AnalisiPrezzi.Importo, 
							  AnalisiPrezzi.DataPrevista, 
							  AnalisiPrezzi.IdEdificio, 
							  AnalisiPrezzi.IdMestiere 
		FROM         AnalisiPrezzi LEFT JOIN
							  Utenti ON AnalisiPrezzi.IdMittente = Utenti.Id
		WHERE     (AnalisiPrezzi.Id = $Id)
SQL;

	$msg_error = "Analisi Prezzi $Id non trovata!";

	$record = ntxRecordArray($sql, $msg_error);
}

$record['Importo'] = ntxRound($record['Importo'], 2);

$record['Data'] = ntxDateTime($record['Data']);
$record['DataPrevista'] = ntxDateTime($record['DataPrevista']);

$IdCommessa = ntxise('IdCommessa');

if ( is_numeric($record['IdEdificio']) )
{
	$IdEdificio = $record['IdEdificio'];
	
	$sql = <<< SQL
		SELECT     Codice + ' ' + EdificioBreve + ' ' + Indirizzo + ' ' + CITTA + ' (' + Provincia + ')'
		FROM         ElencoEdifici
		WHERE     (ID = $IdEdificio) AND (IdCommessa = $IdCommessa)
SQL;

	$record['Edificio'] = ntxScalar($sql);
}


$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
