<?php  

$IdCommessa = ntxise('IdCommessa');
$IdAnalisiPrezzi = ntxip('IdAnalisiPrezzi');

if ( isset($_POST['Filtro']) )
{
	$sql = <<< SQL
SELECT DISTINCT tblPgContratti.IdPgContratto
FROM         tblPgContratti INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto AND 
                      tblPgContratti.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa INNER JOIN
                      tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      AnalisiPrezzi ON tblPgContratti.IdCommessa = AnalisiPrezzi.IdCommessa AND tblComponetiMestiere.IdMestiere = AnalisiPrezzi.IdMestiere AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = AnalisiPrezzi.IdEdificio AND tblPgContratti.DataInizio <= AnalisiPrezzi.DataPrevista AND 
                      tblPgContratti.DataFine >= AnalisiPrezzi.DataPrevista
		WHERE     (AnalisiPrezzi.Id = $IdAnalisiPrezzi)
SQL;

	$IdPgContratto = ntxScalar($sql);
}

if (!is_numeric($IdPgContratto)) $IdPgContratto = -2;

$sql = <<< SQL
		SELECT     ElencoPrezziInCommessa.IdCommessa, ElencoPrezziInCommessa.IdPrezzo, ElencoPrezziInCommessa.Cod, ElencoPrezziInCommessa.Descrizione, 
			ElencoPrezziInCommessa.UM, ElencoPrezziInCommessa.PzUnitario, ElencoPrezziInCommessa.DataModifica, ElencoPrezziInCommessa.Gruppo, 
			ElencoPrezziInCommessa.Titolo, ElencoPrezziInCommessa.DescrEstesa, ElencoPrezziInCommessa.Prezziario, ElencoPrezziInCommessa.DataInizio,
			ElencoPrezziInCommessa.DataFine, ElencoPrezziInCommessa.TipoPrezzo, 
			isnull((SELECT ScontiGestore.Sconto FROM ScontiGestore 
				WHERE ElencoPrezziInCommessa.IdCommessa = ScontiGestore.IdCommessa 
					AND ElencoPrezziInCommessa.IdPrezzo = ScontiGestore.IdPrezzo
					AND ScontiGestore.IdPgContratto = $IdPgContratto			
			), 0) AS Sconto
		FROM ElencoPrezziInCommessa
		WHERE (ElencoPrezziInCommessa.IdCommessa = $IdCommessa)  AND (ElencoPrezziInCommessa.Sostituito=0 OR ElencoPrezziInCommessa.Sostituito IS NULL)
SQL;

if ( !isset($_POST['Filtro']) )
{
	$sql .= " AND 1=0 ";
}
elseif ( $_POST['Filtro']==2 )
{
	$sql .= " AND ElencoPrezziInCommessa.TipoPrezzo=2 ";
}
elseif ( $_POST['Filtro']==3 )
{
	$sql .= " AND ElencoPrezziInCommessa.TipoPrezzo=1001 ";
}

if ( isset($_POST['Prezziario'])  &&  strlen($_POST['Prezziario'])>0) 
{
	$str = stripslashes($_POST['Prezziario']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Prezziario = '".$str."' ";
}

if ( isset($_POST['Titolo2'])  &&  strlen($_POST['Titolo2'])>0) 
{
	$str = stripslashes($_POST['Titolo2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Titolo = '".$str."' ";
}
elseif ( isset($_POST['Titolo'])  &&  strlen($_POST['Titolo'])>0) 
{
	$str = stripslashes($_POST['Titolo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Titolo LIKE '%".$str."%' ";
}

if ( isset($_POST['Gruppo2'])  &&  strlen($_POST['Gruppo2'])>0) 
{
	$str = stripslashes($_POST['Gruppo2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Gruppo = '".$str."' ";
}
elseif ( isset($_POST['Gruppo'])  &&  strlen($_POST['Gruppo'])>0) 
{
	$str = stripslashes($_POST['Gruppo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Gruppo LIKE '%".$str."%' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	
	$strs = explode(' ', $str);
	
	foreach($strs as $str)
	{
		$str = trim($str);
		
		$sql .= " AND (ElencoPrezziInCommessa.Descrizione LIKE '%".$str."%' ";
		$sql .= " OR ElencoPrezziInCommessa.DescrEstesa LIKE '%".$str."%') ";
	}
}

if ( isset($_POST['Cod'])  &&  strlen($_POST['Cod'])>0) 
{
	$str = stripslashes($_POST['Cod']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoPrezziInCommessa.Cod LIKE '".$str."%' ";
}

$query = ntxQuery($sql);
	
?>
