<?php

$sql = <<< sql
	SELECT     IdMestiere, Reperibilità, DataInizio, Valore
	FROM         OfferteEdificiMestieri
	WHERE     (IdCommessaOfferta = $IdCommessa) AND (IdOfferta = $IdOfferta) AND (IdEdificio = $IdEdificio)
sql;

$query = ntxQuery($sql);

$ListaValori = array();

while($rs=ntxRecord($query))
{
	$ListaValori[$rs[IdMestiere]][set] = 1;
	$ListaValori[$rs[IdMestiere]][Reperibilità] = $rs[Reperibilità];
	$ListaValori[$rs[IdMestiere]][DataInizio] = ntxDate($rs[DataInizio]);
	$ListaValori[$rs[IdMestiere]][Valore] = ntxRound($rs[Valore], 2);
}

$sql = <<< sql
	SELECT DISTINCT tblMestieri.IdMestiere, tblMestieri.Ordine, tblMestieri.codice, tblMestieri.Descrizione, tblMestieri.UM
	FROM         tblMestieri INNER JOIN
						  tblComponetiMestiere ON tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
						  tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
						  TipiComponentiMestieri ON tblComponetiMestiere.IdCommessa = TipiComponentiMestieri.IdCommessa AND 
						  tblComponetiMestiere.IdComponenteMestiere = TipiComponentiMestieri.IdComponenteMestiere
	WHERE     (tblMestieri.IdCommessa = $IdCommessa)
	ORDER BY tblMestieri.Ordine, tblMestieri.codice, tblMestieri.Descrizione
sql;

$query = ntxQuery($sql);

?>

