<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once(NTX_WEBPORTAL_PATH.'richieste\ins_non_specifiche.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumRichiesta = ntxip('NumRichiesta'); // usata anche in _carica_richiesta
$AnnoRichiesta = ntxip('AnnoRichiesta'); // usata anche in _carica_richiesta
	
$mDataRichiesta = ntxtp('DataRichiesta');

if ( $mDataRichiesta === 'NULL' )
	$mDataRichiesta = 'getdate()';
	
require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari\check_affidatario.inc");

$Descrizione = $_POST['Descrizione'];

$des1 = $Descrizione;

$des2 = $des3 = "";

if ( strlen($Descrizione) > 255 )
{
	$des1 = substr($Descrizione, 0, 255); // prende i primi 255 caratteri
	$des2 = substr($Descrizione, 255); // prende i caratteri dal 256° in poi
}

if ( strlen($des2) > 255 )
{
	$des3 = substr($des2, 255); // prende i caratteri dal 256° in poi
	$des2 = substr($des2, 0, 255); // prende i primi 255 caratteri
	$des3 = substr($des3, 0, 255); // prende i primi 255 caratteri
}

$sql = " SELECT Stato FROM Richieste  "
		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta;";

$Stato = ntxScalar($sql);

if ( $Stato != 1  ) 
	ntxMsgErr('Non si possono modificare richieste non in stato registrato');

$VAutorizzazione = 0;
$DataAutorizzazione = 'NULL';

if ( $_POST['Classificazione']=='Extracanone'  &&  $_POST['TecnicoC']=='' )
	ntxMsgErr('Per le extracanone è obbligatorio il Tecnico C');

if ( $_POST['Classificazione']=='Extracanone'  &&  $_POST['TipoIntervento']=='Consuntivo' )  
{
	$Stato = 18; // Autorizzata
	$VAutorizzazione = 1;
	$DataAutorizzazione = 'getdate()';
}

if ( $_POST['Classificazione']=='Extracanone'  &&  $_POST['TipoIntervento']=='Preventivo' ) 
{
	$Stato = 4; // Richiesta Preventivo
}

if ( $_POST['Classificazione']=='Extracanone'  &&  $Stato==1 ) 
{
	$Stato = 2; // In Attesa di valutazione
}

$sql = "UPDATE Richieste SET "

		."Richiedente = ".				ntxsp('Richiedente')
		.", Utente = ".					ntxs($_SESSION['Utente'])
		.", Operatore = ".				ntxs($_SESSION['Utente'])
		.", TelefonoRif = ".			ntxsp('TelefonoRif')

		.", DataRichiesta=$mDataRichiesta"
		
		.", Localizzazione = ".			ntxip('Localizzazione',false)
		.", IdRichiedente = ".			ntxip('IdRichiedente',false)

		.", DataModifica = getdate()"

		.", IdMestiere = ".				ntxip('IdMestiere',false)
		.", IdComponenteMestiere = ".	ntxip('IdComponenteMestiere')
		.", IdAttivitàMestiere = ".		ntxip('IdAttivitàMestiere')
		
		.", IdEnteTerzo = ".			ntxip('IdEnteTerzo')
		
		.", IdAffidatario = ".			ntxi($IdAffidatario)
		
		.", IdUtilizzatore = ".			ntxip('IdUtilizzatore')

		.", IdLivello = ".				ntxip('IdLivello')
		.", IdAmbiente = ".				ntxip('IdAmbiente')
		.", IdComponente = ".			ntxip('IdComponente')
		.", IdSubComponente = ".		ntxip('IdSubComponente')

		.", Descrizione = ".			ntxs($des1, 'Descrizione', false, false)
		.", Descrizione1 = ".			ntxs($des2)
		.", Descrizione2 = ".			ntxs($des3)

		.", [Note] = ".					ntxsp('NoteX')

		.", GradoUrgenza = ".			ntxsp('GradoUrgenza')

		.", TecnicoC = ".				ntxsp('TecnicoC')

		.", Stato = ".					$Stato

		.", Tecnico = ".				ntxsp('Tecnico')

		.", TipoIntervento = ".			ntxsp('TipoIntervento')

		.", TipoValutazione = ".		ntxsp('TipoValutazione')

		.", Classificazione = ".		ntxsp('Classificazione')

		.", DataSopralluogo = ".		ntxtp('DataSopralluogo')

		.", DataAutorizzazione = ".		$DataAutorizzazione

		.", VAutorizzazione = ".		$VAutorizzazione

		.", NumRifCli = ".				ntxsp('NumRIE')
		.", AnnoRifCli = ".				ntxsp('AnnoRIE')
		
		.", Tipo = ".					ntxsp('Tipo')
		
		.", DataInizioP = ".			ntxtp('DataInizioP')

		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta;";

ntxQuery($sql);

require_once(NTX_WEBPORTAL_PATH.'preventivi/_dispatch_richiesta_preventivo.inc');

//require_once('_carica_richiesta.inc');
require_once('anno_numero_richiesta.inc');

?>
