<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once(NTX_WEBPORTAL_PATH.'richieste\ins_non_specifiche.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta

require_once('_check_update_type.inc');


$NumRichiesta = ntxip('NumRichiesta',false);
$AnnoRichiesta = ntxip('AnnoRichiesta',false);

$mDataRichiesta = ntxtp('DataRichiesta');

if ( $mDataRichiesta === 'NULL' )
	$mDataRichiesta = 'getdate()';

require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari\check_affidatario.inc");

$Descrizione = $_POST['Descrizione'];

$des1 = $Descrizione;

$des2 = $des3 = "";

if ( strlen($Descrizione) > 255 )
{
	$des1 = substr($Descrizione, 0, 255); // prende i primi 255 caratteri
	$des2 = substr($Descrizione, 255); // prende i caratteri dal 256° in poi
}

if ( strlen($des2) > 255 )
{
	$des3 = substr($des2, 255); // prende i caratteri dal 256° in poi
	$des2 = substr($des2, 0, 255); // prende i primi 255 caratteri
	$des3 = substr($des3, 0, 255); // prende i primi 255 caratteri
}

$Stato = 1;

if ( $_POST['Classificazione']=='Extracanone'  &&  $_POST['TecnicoC']=='' )
	ntxMsgErr('Per le extracanone è obbligatorio il Tecnico C');

if ( $_POST['Classificazione']=='Extracanone'  &&  ntxbp('VAutorizzazione')==1 ) 
{
	$Stato = 18; // Autorizzata
	
	$DataAutorizzazione = "getdate()";
}
else
	$DataAutorizzazione = "NULL";

if ( $_POST['Classificazione']=='Extracanone'  &&  $_POST['TipoIntervento']=='Preventivo' ) 
{
	$Stato = 4; // Richiesta Preventivo
}

$sql1 = "UPDATE Richieste SET " ;

$sql1 .= "Richiedente = ";				$sql1 .= ntxsp('Richiedente');
$sql1 .= ", IdUtenteInserimento = ";	$sql1 .= ntxise('IdUtente'); //aggiunta per riferimento a utente che ha inserito la richiesta
$sql1 .= ", Utente = ";					$sql1 .= ntxs($_SESSION['Utente']);
$sql1 .= ", Operatore = ";				$sql1 .= ntxs($_SESSION['Utente']);
$sql1 .= ", TelefonoRif = ";			$sql1 .= ntxsp('TelefonoRif');

$sql1 .= ", Localizzazione = ";			$sql1 .= ntxip('Localizzazione',false);
$sql1 .= ", IdRichiedente = ";			$sql1 .= ntxip('IdRichiedente',false);

$sql1 .= ", DataRichiesta = ";			$sql1 .= "$mDataRichiesta";
$sql1 .= ", DataModifica = ";			$sql1 .= "getdate() ";
$sql1 .= ", DataInserimento = ";		$sql1 .= "getdate() ";

$sql1 .= ", IdMestiere = ";				$sql1 .= ntxip('IdMestiere',false);
$sql1 .= ", IdComponenteMestiere = ";	$sql1 .= ntxip('IdComponenteMestiere');
$sql1 .= ", IdAttivitàMestiere = ";		$sql1 .= ntxip('IdAttivitàMestiere');

$sql1 .= ", IdLivello = ";				$sql1 .= ntxip('IdLivello');
$sql1 .= ", IdAmbiente = ";				$sql1 .= ntxip('IdAmbiente');
$sql1 .= ", IdComponente = ";			$sql1 .= ntxip('IdComponente');
//$sql1 .= ", IdSubComponente = ";		$sql1 .= ntxip('IdSubComponente');
//$sql1 .= ", IdEnteTerzo = ";			$sql1 .= ntxip('IdEnteTerzo');

$sql1 .= ", IdAffidatario = ";			$sql1 .= ntxi($IdAffidatario);

$sql1 .= ", IdUtilizzatore = ";			$sql1 .= ntxip('IdUtilizzatore');

$sql1 .= ", Descrizione = ";			$sql1 .= ntxs($des1, 'Descrizione', false, false);
$sql1 .= ", Descrizione1 = ";			$sql1 .= ntxs($des2);
$sql1 .= ", Descrizione2 = ";			$sql1 .= ntxs($des3);

$sql1 .= ", [Note] = ";					$sql1 .= ntxsp('NoteX');

$sql1 .= ", GradoUrgenza = ";			$sql1 .= ntxsp('GradoUrgenza',false,false);

$sql1 .= ", TecnicoC = ";				$sql1 .= ntxsp('TecnicoC');

$sql1 .= ", Tecnico = ";				$sql1 .= ntxsp('Tecnico');

$sql1 .= ", TipoValutazione = ";		$sql1 .= ntxsp('TipoValutazione');

$sql1 .= ", TipoIntervento = ";			$sql1 .= ntxsp('TipoIntervento');

$sql1 .= ", Classificazione = ";		$sql1 .= ntxsp('Classificazione');

$sql1 .= ", Tipo = ";					$sql1 .= ntxsp('Tipo');
$sql1 .= ", Stato = ";					$sql1 .= "$Stato";

$sql1 .= ", DataInizioP = ";			$sql1 .= ntxtp('DataInizioP');
$sql1 .= ", DataFineP = ";			$sql1 .= ntxtp('DataFineP');
$sql1 .= ", DataSopralluogo = ";		$sql1 .= ntxtp('DataSopralluogo');
$sql1 .= ", DataAutorizzazione = ";		$sql1 .= $DataAutorizzazione;
$sql1 .= ", VAutorizzazione = ";		$sql1 .= ntxbp('VAutorizzazione');
$sql1 .= ", NumRifCli = ";				$sql1 .= ntxip('NumRIE');
$sql1 .= ", AnnoRifCli = ";				$sql1 .= ntxip('AnnoRIE');

$sql1 .= " WHERE ";
$sql1 .= " IdCommessa = ";			$sql1 .= $IdCommessa;
$sql1 .= " AND NumRichiesta = ";		$sql1 .= $NumRichiesta;
$sql1 .= " AND AnnoRichiesta =";		$sql1 .= $AnnoRichiesta;

ntxQuery($sql1);

require_once(NTX_WEBPORTAL_PATH.'preventivi/_dispatch_richiesta_preventivo.inc');
require_once(NTX_WEBPORTAL_PATH.'messaggi/nuova_richiesta/start.php');
require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/nuova_richiesta/start.php'); 


require_once('anno_numero_richiesta.inc');
?>
