<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('ordini_sql.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>


<table>
	<tr>
		<th>Num. Ordine</th>
		<th>Anno Ordine</th>
		<th>Data Ordine</th>
		<th>Stato Ordine</th>
		<th>Num. Richiesta</th>
		<th>Anno Richiesta</th>
		<th>Richiedente</th>
		<th>Data Richiesta</th>
		<th>TipoC</th>
		<th>Des</th>
		<th>Ente</th> 
		<th>Codice Localizzazione</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>Richiesta generata</th>
		<th>Utilizzatore</th> 
	</tr>   

<?php
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td>&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NumRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['AnnoRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Contabiliz']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Des']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Ente']) ?></td> 
		<td>&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['RicGenerata']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td> 
	</tr>
<?php
	}
?>
</table>

</body>
</html>
