<?php  

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
SELECT DISTINCT 
	Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, Stati.DesStato, 
	Richieste.Descrizione + Richieste.Descrizione1 + Richieste.Descrizione2 AS Des, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, 
	ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, 
	Richieste.Classificazione, Richieste.NumOrdineFonte, Richieste.AnnoOrdineFonte, 
	tblUtUtilizzatori.Nome AS Utilizzatore,
	Ordini.NumOrdine, Ordini.AnnoOrdine, Richieste.Richiedente
FROM        
	Richieste INNER JOIN
	Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID LEFT OUTER JOIN
	Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
	Richieste.AnnoRichiesta = Ordini.AnnoRichiesta LEFT OUTER JOIN
	tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND 
	Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
WHERE     
	(Richieste.IdCommessa = $IdCommessa)
sql;

if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sql .= " AND (Richieste.IdUtilizzatore = $IdUtilizzatore) ";
}
	
if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sql .= " AND (Richieste.IdMestiere = $IdMestiere) ";
}
		
if ( is_numeric($_POST['Stato'])) 
{
	$Stato = (int)$_POST['Stato'];
	$sql .= " AND (Richieste.Stato = $Stato) ";
}

if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sql .= " AND (Richieste.IdComponenteMestiere = $IdComponente) ";
}
	
if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (Richieste.Localizzazione = $IdEdificio) ";
}

if ( isset($_POST['Classificazione'])  &&  strlen($_POST['Classificazione'])>0) 
{
	$str = stripslashes($_POST['Classificazione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Classificazione = '".$str."' ";
}

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sql .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sql .= " AND Richieste.DataRichiesta <= ".$str." ";
}

if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sql .= " AND Richieste.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sql .= " AND Richieste.AnnoRichiesta = $val ";
}

if ( isset($_POST['Richiedente'])  &&  strlen($_POST['Richiedente'])>0) 
{
	$str = stripslashes($_POST['Richiedente']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Richiedente LIKE '%".$str."%' ";
}


if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Descrizione+Richieste.Descrizione1+Richieste.Descrizione2 LIKE '%".$str."%' ";
}


if ( isset($_POST['Operatore'])  &&  strlen($_POST['Operatore'])>0) 
{
	$str = stripslashes($_POST['Operatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Operatore LIKE '%".$str."%' ";
}

if ( isset($_POST['GradoUrgenza2'])  &&  strlen($_POST['GradoUrgenza2'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.GradoUrgenza = '".$str."' ";
}
/* else
{
	$sqlGradoU = <<< sql
			SELECT     GradoU
			FROM         TabellaGradoUrgenza
			WHERE     (IdCommessa = $IdCommessa) AND (Specifici=1)
sql;

	$query = ntxQuery($sqlGradoU);
	
	while ( $rs = ntxIRecord($query) )
	{
		$value = ntxs($rs[0]);
		
		$sql .= " AND Richieste.GradoUrgenza <> $value ";
	}
} */

if ( isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza1']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.GradoUrgenza = '".$str."' ";
}

$sql .= " ORDER BY DataRichiesta DESC ";

$query = ntxQuery($sql);	
?>
