<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">

	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	
	
	<script src="/repository/libs/fixedheadertable/jquery.fixedheadertable.js"></script> 
    <link href="/repository/libs/fixedheadertable/css/defaultTheme.css" rel="stylesheet" media="screen" />	
    <link href="/repository/libs/fixedheadertable/myTheme.css" rel="stylesheet" media="screen" />	
	
	<script type="text/javascript" charset="utf-8">
	$(document).ready( function () 
	{
		$('#tblRisultati').fixedHeaderTable({
			altClass: 'odd',
			footer: true ,
			height: 500 
		}); 

	
		$(window).resize(function() 
		{ 
		  $('#tblRisultati').fixedHeaderTable({ height: $(window).height()-30 });
		});			
	
	
		$('#tblRisultati').fixedHeaderTable({ height: $(document).height()-30 });
	
	} );
	</script>	
</head>

<body  >

<div class="divBottoni">
	<form method=post action="richieste_excel.php" target=frame2 class="allineatoSinistra">
		<?php ntxCreateHiddens() ?>
		<input type=button value="<<" onclick="parent.CloseFrame()" />
		<input type=submit value="excel" />
	</form>

	<iframe name=frame2 style="width:1px;height:1px;display:none;"></iframe>

	<form method="post"   class="allineatoSinistra">
		<?php ntxCreateHiddens() ?>
		
		<button   type="submit"  >
			<img src="/repository/_icons/arrow_refresh.png" />
			Aggiorna
		</button>
	</form>
</div>


<?php
require_once('richieste_sql.inc');
?>

<div >

<table id="tblRisultati" cellpadding="0" cellspacing="0" class="fancyTable"  >
	<thead>
	<tr>
		<th>&nbsp;</th>
		<th>Num</th>
		<th>Anno</th>
		<th>Richiedente</th>
		<th>Data</th>
		<th>Classificazione</th>
		<th>Stato</th>
		<th>Descrizione</th>
		<th>Ente</th> 
		<th>Codice Localiz.</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>ordine assegnato</th>
		<th>Originata da ordine</th>
		<th>Utilizzatore</th>
	</tr>   
	</thead>
	
	<tbody>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td  ><input type=button value=Sel onclick="parent.parent.SelRichiesta(<?php echo $rs['NumRichiesta'].", ".$rs['AnnoRichiesta'] ?>)" /></td>
		<td  >&nbsp;<?php echo htmlentities($rs['NumRichiesta']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['AnnoRichiesta']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>
		<td  >&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Classificazione']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Des']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Ente']) ?></td> 
		<td  >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
		<td  >&nbsp;<?php if ( is_numeric($rs[NumOrdine]) ) echo htmlentities((int)$rs[NumOrdine]."/$rs[AnnoOrdine]") ?></td>
		<td  >&nbsp;<?php if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities((int)$rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?></td>
		<td  >&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td> 
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
	</tbody>
</table>

</div>

</body>
</html>
