<?php  

$IdCommessa = ntxise('IdCommessa');
$Utente	= ntxsse('Utente');
$Password = ntxsse('Password');


//otteniamo lo schema di flusso della pagina web
$sql = <<<_SQL
SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
FROM        
	SchemiFlussoPagineWeb 
	INNER JOIN
	Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
WHERE     (Commesse.IDCommessa = $IdCommessa)
_SQL;

if( "".ntxScalar($sql)=="edit_utilizzatori" )//se l'utente loggato non ha l'edificio dell'utilizzatore lo inseriamo tra i suoi edifici 
	$sql = <<< sql
	SELECT DISTINCT 
		  tblPgPropietari.IdPropietario, tblPgPropietari.Nome, tblPgPropietari.Indirizzo, tblPgPropietari.Comune, tblPgPropietari.Provincia, 
		  tblPgPropietari.telefono_1, tblPgPropietari.telefono_2, tblPgPropietari.fax_1, tblPgPropietari.fax_2, tblPgPropietari.email_1, tblPgPropietari.email_2, 
		  tblPgPropietari.CodiceFiscale, tblPgPropietari.Cap, tblPgPropietari.PartitaIva, TipoRedemtion.Nome AS Redemtion, tblPgPropietariGruppi.Nome AS Gruppo
	FROM   
		tblPgPropietari 
		LEFT OUTER JOIN
		TipoRedemtion  ON  tblPgPropietari.IdRedemtion = TipoRedemtion.ID		  			  
		LEFT OUTER JOIN
		tblPgPropietariGruppi ON tblPgPropietari.IdGruppo = tblPgPropietariGruppi.IdGruppo		
		

	WHERE   (TipoRedemtion.IdCommessa IS NULL OR TipoRedemtion.IdCommessa = $IdCommessa)
sql;

else
	$sql = <<< sql
	SELECT DISTINCT 
		  tblPgPropietari.IdPropietario, tblPgPropietari.Nome, tblPgPropietari.Indirizzo, tblPgPropietari.Comune, tblPgPropietari.Provincia, 
		  tblPgPropietari.telefono_1, tblPgPropietari.telefono_2, tblPgPropietari.fax_1, tblPgPropietari.fax_2, tblPgPropietari.email_1, tblPgPropietari.email_2, 
		  tblPgPropietari.CodiceFiscale, tblPgPropietari.Cap, TipoRedemtion.Nome AS Redemtion,tblPgPropietari.PartitaIva, tblPgPropietariGruppi.Nome AS Gruppo
	FROM        
		Utenti INNER JOIN
		UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente INNER JOIN
		ElencoEdifici ON UtentiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND UtentiEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
		tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
		LEFT OUTER JOIN
		TipoRedemtion  ON ElencoEdifici.IdCommessa = TipoRedemtion.IdCommessa AND tblPgPropietari.IdRedemtion = TipoRedemtion.ID
		LEFT OUTER JOIN
		tblPgPropietariGruppi ON tblPgPropietari.IdGruppo = tblPgPropietariGruppi.IdGruppo					
		  
	WHERE     (Utenti.Nome = $Utente) AND (Utenti.Password = $Password) AND (ElencoEdifici.IdCommessa = $IdCommessa)
sql;

 
if ( isset($_POST['Nome'])  &&  strlen($_POST['Nome'])>0) 
{
	$str = stripslashes($_POST['Nome']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.Nome LIKE '%".$str."%' ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.Indirizzo LIKE '%".$str."%' ";
}

if ( isset($_POST['Comune'])  &&  strlen($_POST['Comune'])>0) 
{
	$str = stripslashes($_POST['Comune']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.Comune LIKE '%".$str."%' ";
}

if ( isset($_POST['Provincia'])  &&  strlen($_POST['Provincia'])>0) 
{
	$str = stripslashes($_POST['Provincia']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.Provincia = '".$str."' ";
}

if ( isset($_POST['Cap'])  &&  strlen($_POST['Cap'])>0) 
{
	$str = stripslashes($_POST['Cap']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.Cap = '".$str."' ";
}

if ( isset($_POST['CodiceFiscale'])  &&  strlen($_POST['CodiceFiscale'])>0) 
{
	$str = stripslashes($_POST['CodiceFiscale']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgPropietari.CodiceFiscale = '".$str."' ";
}

if ( is_numeric($_POST['IdGruppo']) ) 
{
	$value = (int)$_POST['IdGruppo']; 
	$sql .= " AND tblPgPropietari.IdGruppo = $value ";
}

/* $sql .= " ORDER BY tblPgPropietari.Nome;";

$query = ntxQuery($sql); */
	
	
	
if( isset($executePagedQuery) && $executePagedQuery==true) 
{
	$query = ntxPagedQuery($sql, "Nome");
}
else
{
	$sql .= " ORDER BY Nome ";
 
	$query = ntxQuery($sql);
} 	
?>
