<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$Localizzazione = ntxip('Localizzazione');

if ( is_numeric($IdCommessa)  &&  is_numeric($NumOrdine)  &&  is_numeric($AnnoOrdine)  &&  is_numeric($Localizzazione)  &&  strlen($_POST[txt_INVIA_MSG]."")>0 )
{
	$NumOrdine = (int)$NumOrdine;
	
	$txt_INVIA_MSG = $_POST[txt_INVIA_MSG]."";

	$sql = <<< SQL
		SELECT     Richieste.NumOrdineFonte, Richieste.AnnoOrdineFonte
		FROM         Richieste INNER JOIN
					  Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
					  Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

	$query = ntxQuery($sql);
	
	$rs = ntxIRecord($query);

	if ( isset($rs[0]) )
	{	
		$rs[0] = (int)$rs[0];
		$subMessaggio = "(emesso per autorizzazione extra dell'ordine precedente $rs[0]/$rs[1])";
	}
	
	$sql = <<< SQL
		SELECT    
			ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
			Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Descrizione, Ordini.DataScadenza,
			
			PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
			Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
			ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente,
			tblPgPropietari.Nome AS Proprietario,
			tblPgAffidatari.Nome AS Affidatario,
			(
					SELECT DISTINCT tblPgContratti.Sigla
					FROM         tblPgContratti INNER JOIN
										  tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto INNER JOIN
										  tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
										  tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
										  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
										  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
					WHERE     (Ordini.DataOrdine >= tblPgContratti.DataInizio) AND (Ordini.DataOrdine <= tblPgContratti.DataFine) AND (Ordini.IDCommessa = tblPgContratti.IdCommessa)
										   AND (Ordini.CodEdificio = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio) AND 
										  (Ordini.IDCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa) AND (Ordini.IDCommessa = tblComponetiMestiere.IdCommessa) AND 
										  (Ordini.IdMestiere = tblComponetiMestiere.IdMestiere)
			) sigla
			
		FROM         
			Ordini INNER JOIN
			ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
			tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
							  
			LEFT OUTER JOIN
			Ambiente ON Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
			Ordini.IDCommessa = Ambiente.IdCommessa 
			LEFT OUTER JOIN
			ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
			Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa 
			LEFT OUTER JOIN
			PianoLivello ON Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
			Ordini.IDCommessa = PianoLivello.IdCommessa 
			LEFT OUTER JOIN
			DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
			PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
			LEFT OUTER JOIN
			DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
			Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
			LEFT OUTER JOIN
			TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
			ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  									  					  
			LEFT OUTER JOIN
				  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario	
			LEFT OUTER JOIN
				  tblPgAffidatari ON Ordini.IdAffidatario = tblPgAffidatari.IdAffidatario
				  
		WHERE     
			(Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

	$query = ntxQuery($sql);
	
	$rs = ntxRecord($query);
	
	$NomeProprietario = $rs[Proprietario];
	$sigla = $rs[sigla];
	$NomeAffidatario = $rs[Affidatario];
	
	$objExt = "";
	if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
		$objExt .= " Piano: ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
	
	if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
		$objExt .= " Ambiente: ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	

	if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
		$objExt .= " Componente: ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";		

	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);
	
	$prefissoOggetto = strlen($NomeProprietario)>0 ? "$NomeProprietario - " : "";
	$prefissoOggetto .= strlen($sigla)>0 ? "$sigla - " : "";
	
	$oggetto = "Avvio Ordine $NumOrdine/$AnnoOrdine";
	$messaggio = "Ordine $NumOrdine/$AnnoOrdine $subMessaggio \"{$rs[Codice]}-{$rs[EdificioBreve]}\" \"{$rs[Indirizzo]}\" \"{$rs[CITTA]}\" \"{$rs[Descrizione]}\" \"{$rs[DataScadenza]}\" . $objExt.";
	
	$coordinate = "ordine $NumOrdine/$AnnoOrdine";
	
	$oggettoEmailDitta = "ODL: {$prefissoOggetto}($NomeAffidatario) $AnnoOrdine/$NumOrdine";
	
	ntxFireNetInit($_SESSION['Utente'].'',				
					"avvio ordine",				
					$coordinate,			
					"email",		
					$txt_INVIA_MSG,		
					$oggettoEmailDitta,				
					$messaggio,
					true,
					2, $IdCommessa, $NumOrdine, $AnnoOrdine);	// genera e allega pdf ordine a email
}
else
	ntxmsgerr('Manca qualcosa!');

ntxMsgResult( '' );	

?>
