<?php  
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>

<head>
	<title>Manpro.Net - un prodotto Natisoft</title>
 
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	
	<style>
	body 
	{
		font-family: Verdana, Arial, Helvetica, sans-serif;
		font-size:10px;
		margin:0px;
		padding:10px;
	}
	

	
	table
	{
		width: 99%;
		
		border:1px solid #8E8E8E;
		background-color:#D2D9E7; 
		
		padding: 10px;
	}
	
	th
	{
		width: 10%;
		font-family: georgia,times,serif; 
		color: #555;	
		font-weight: bold;
 
		text-align:left;
	}

	td
	{
		width: 90%;
		text-align:left;
	}
	
	textarea
	{
		width: 99%;
		height:50px;
	}
	
	.txtDitta
	{
		width: 200px;
		height: 25px;
		
		display:inline;
	}	
	
	.bntDitta
	{
		height: 35px;
		
		cursor:  pointer;
		
		display:inline;
	}
	
	#title 
	{
		color: #DD4B39;
	 
		text-transform:uppercase;
		width: 100%;
		text-align:center;
		font-weight:bold;
		
		width:100%;
		
		font-size: 150%;
		
		margin-bottom: 15px;
	}	
	
	#divBottoni
	{
		width:100%;
		padding:0;
		margin:20px;
		margin-left:auto;
		margin-right:auto;
		
		text-align:center;
	}
	
	.tasti
	{
		font-family: georgia,times,serif; 
		height:60px;
		width:150px;
		
		display:inline;
	}	

	button
	{
		vertical-align:middle; 
		text-align:center;
		user-select: none;
		cursor:pointer;
		
		margin:0;
		padding:0;
	}	
	
	.frameDitte
	{
		display:none;
		position:absolute;
		width:400px;
		height:300px;  
		border:solid 1px black;

		-moz-box-shadow:    3px 3px 5px 6px #ccc;
		-webkit-box-shadow: 3px 3px 5px 6px #ccc;
		box-shadow:         3px 3px 5px 6px #ccc;
	}
	</style>
	
	<script type="text/javascript">
	  $(document).ready(function() {
		
		$("#accordion").accordion();

		
		$("#frm1521130312").hover(
		  function () {
			 
		  }, 
		  function () {
			$("#frm1521130312").hide('slow');
		  }
		);
		
		
	  })	
	</script>
</head>

<body>


<?php
$IdCommessa = ntxise('IdCommessa');
$AnnoRichiesta = $_GET[AnnoRichiesta];
$NumRichiesta = $_GET[NumRichiesta];

if(!is_numeric($AnnoRichiesta)||!is_numeric($NumRichiesta))
	die("Impossibile continuare! Richiesta non caricata.");
	

$sql = <<<_SQL
SELECT IdAttivitàMestiere
FROM  Richieste
WHERE (IDCommessa = $IdCommessa) AND (NumRichiesta = $NumRichiesta) AND (AnnoRichiesta = $AnnoRichiesta)	
_SQL;

$IdAttivitàMestiere = ntxScalar($sql);

if( !is_numeric($IdAttivitàMestiere))
	die("Impossibile continuare! Attivita non numero intero.");
?>


<?php
$sql = <<<_SQL
SELECT COUNT(IdAttivita_generata)
FROM  tblAttivitaGeneratrici_OrdiniMultipli
WHERE (IdCommessa = $IdCommessa) AND (IdAttivita_generatrice = $IdAttivitàMestiere)	
_SQL;

$title = (int)ntxScalar($sql);
?>
<div id="title">L'attività selezionata permette di generare <?php echo $title?> ordini</div>

	

<?php	
$sql = <<<_SQL
SELECT 
tblAttivitaGeneratrici_OrdiniMultipli.IdAttivita_generata, tblAttivitàMestiere.Descrizione AS DesAttivita,
tblComponetiMestiere.IdComponenteMestiere,  tblComponetiMestiere.Descrizione AS DesComponente,
tblComponetiMestiere.IdMestiere,  tblComponetiMestiere.Descrizione AS DesMestiere

FROM  
	tblAttivitaGeneratrici_OrdiniMultipli 
	LEFT OUTER JOIN
	tblAttivitàMestiere ON tblAttivitaGeneratrici_OrdiniMultipli.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
	tblAttivitaGeneratrici_OrdiniMultipli.IdAttivita_generata = tblAttivitàMestiere.IdAttivitàMestiere
	LEFT OUTER JOIN
	tblComponetiMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND  tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere
	LEFT OUTER JOIN
	tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere	
			   
WHERE (tblAttivitaGeneratrici_OrdiniMultipli.IdCommessa = $IdCommessa) AND (tblAttivitaGeneratrici_OrdiniMultipli.IdAttivita_generatrice = $IdAttivitàMestiere)	
_SQL;


$query = ntxQuery($sql);
?>

<div id="accordion">

<?php
	$i = 1;
	while( $rs = ntxRecord($query) )
	{
?>
		<h3> <a href="#"> <strong>Ordine <?php echo $i ?></strong> <br /><?php echo htmlentities($rs['DesMestiere'])?> <span style="font-size:130%;font-weight:bold;">&#8658;</span> <?php echo htmlentities($rs['DesComponente'])?> <span style="font-size:130%;font-weight:bold;">&#8658;</span> <?php echo htmlentities($rs['DesAttivita'])?></a></h3>
			<div>
				<form method="post" onsubmit="return false;">
				
					<input type="hidden" name="NumRichiesta" value="<?php echo $NumRichiesta ?>" />
					<input type="hidden" name="AnnoRichiesta" value="<?php echo $AnnoRichiesta ?>" />
					
					<input type="hidden" name="IdMestiere" value="<?php echo $rs['IdMestiere'] ?>" />
					<input type="hidden" name="IdComponenteMestiere" value="<?php echo $rs['IdComponenteMestiere'] ?>" />
					<input type="hidden" name="IdAttivitàMestiere" value="<?php echo $rs['IdAttivita_generata'] ?>" />
					
					
					<input type="hidden" name="DataRichiesta" />
					<input type="hidden" name="GradoUrgenza" />
					<input type="hidden" name="Classificazione" />
					<input type="hidden" name="DataInizioP" />
					<input type="hidden" name="Localizzazione" />
					<input type="hidden" name="IdLivello" />
					<input type="hidden" name="IdAmbiente" />
					<input type="hidden" name="IdComponente" />
					<input type="hidden" name="IdSubComponente" />
					<input type="hidden" name="Tecnico" />
					<input type="hidden" name="IdAffidatario" />
					<input type="hidden" name="IdUtilizzatore" />	

					
					<input type="hidden" name="DataOrdine" />			
					<input type="hidden" name="Contabiliz" value="Canone" />			
					<input type="hidden" name="DataInizioProg" />			
					<input type="hidden" name="DataFineProg" />			
					<input type="hidden" name="DataInizio" />			
					<input type="hidden" name="DataFine" />			
					<input type="hidden" name="DataScadenza" />			
					
				
					<table>					
						<tr>
							<th>Descr.
							<td><textarea name="Descrizione"></textarea>				
						<tr>
							<th>Note
							<td><textarea name="NoteX"></textarea>
						<tr>
							<th>Ditta
							<td>
								<input type="text" name="DesAssegnazione"    class="txtDitta" readonly="readonly"/>		
								<input type="button" value="Seleziona" onclick="DitteAffidatario(this.parentNode.parentNode.parentNode.parentNode.parentNode);"  class="bntDitta" />		
								<input type="hidden" name="Assegnazione"/>
								<input type="hidden" name="DittaManuale"/>
								<input type="hidden" name="Filtro" value="1"/>		
					</table>	
				</form>
			</div>
<?php
		$i++;
	}
?>	
</div>

<div id="divBottoni">
	<button onclick="registra();return false;"	id="modifica" 	class="tasti"> 
		<img src="../../_img/penna.png" style="width:25px;"/> 
		<br> <strong>Registra</strong> tutti gli ordini
	</button>
</div>


 
<div id="dialog" title="" style="display:none;padding:0px;margin:0px;">
	<p id="addingText" style="width:100%;text-align:center;"></p>
	<div id="conteggio" style="font-size:200%;width:100%;text-align:center; margin-top:40px;"></div>
</div>		
 
 
 
<form id=form2 name=form2 method=post target=frm1521130312 action="ditte_affidatario.php">
	<input type=hidden name=Localizzazione>
	<input type=hidden name=Filtro value=1>
	<input type=hidden name=DataRichiesta>
	<input type=hidden name=IdAffidatario>
	<input type=hidden name=IdMestiere>
	<input type=hidden name=IdComponenteMestiere>
	<input type=hidden name=IdAttivitàMestiere>
</form>


<iframe src="ditte_affidatario.php" name="frm1521130312" id="frm1521130312" frameborder="0" class="frameDitte"></iframe>	
 
<script>
var objForm = null;

var ordiniGenerati = "";
 
function salvaNumAnnoOrdine(text)
{
	var rows=ntxRecord(text);

	ordiniGenerati+="<br>"+rows['NumOrdine']+" / "+rows['AnnoOrdine'];
}
	 
 
function registra()
{
  	var esiti = "<br>Le singole operazioni hanno avuto i seguenti esisti:<br>";
	var error = false;
	
 	var obj = $('#accordion').find('form');	
	
	$.each(obj, function(index, value) 
	{ 
		var form = $(value);
	
		if ( ntxSendForm(value, salvaNumAnnoOrdine, 'edit_ordine/aggiungi_ordine') )
		{
			esiti += "<br>Aggiunta ordine in scheda "+index+" avvenuto con successo!";
		}
		else
		{
			esiti += "<br>Aggiunta ordine in scheda "+index+" fallita!";
			error = true;
		}
	});	 
	
	
	
	if(error)
	{
		esiti = "Operazione terminata con errori.<br>"+esiti;
		//alert("Operazione terminata con errori.");
	}
	else	
	{
		esiti = "Operazione terminata senza errori!<br>"+esiti;
		//alert("Operazione terminata con errori.");
	}
	
	window.opener.AggiornaRichiesta();
	
	$('#addingText').html(esiti);
	$('#conteggio').html("Aggiunti gli ordini:<br>"+ordiniGenerati);
	
	$('button').attr("disabled", "disabled");

	
	
	$("#dialog").dialog(
	{ 
		title: "Risultato",
		modal: true,
		width: $(document).width()-50,
		height: $(document).height()-50,
		buttons: 
		{			
			"Chiudi": function() 
			{
				$(this).dialog("close");
				self.close();					
			}
		}
	} );  
}






function SelezionaRiga(Assegnazione, DesAssegnazione)
{
	if(objForm != null)
	{
		$(objForm).find("input[name=Assegnazione]").val( '' );
		$(objForm).find("input[name=DesAssegnazione]").val( '' );
		$(objForm).find("input[name=DittaManuale]").val( '' );
	
		if ( Assegnazione=='' )
		{
			$(objForm).find("input[name=Assegnazione]").val( '' );
			$(objForm).find("input[name=DesAssegnazione]").val( '' );
			$(objForm).find("input[name=DittaManuale]").val( 0 );
		}
		else
		{
			$(objForm).find("input[name=Assegnazione]").val( Assegnazione );
			$(objForm).find("input[name=DesAssegnazione]").val( DesAssegnazione );
			$(objForm).find("input[name=DittaManuale]").val( 1 );
		}
	}
	else
		alert("Object nullo!!");

		
	$('#frm1521130312').hide('slow');
	
	objForm = null;
}

function MostraFornitori()
{
	document.form2.DataRichiesta.value 			= $(objForm).find("input[name=DataRichiesta]").val(); 
	document.form2.Localizzazione.value			= $(objForm).find("input[name=Localizzazione]").val(); 
	document.form2.IdAffidatario.value 			= $(objForm).find("input[name=IdAffidatario]").val(); 
	document.form2.IdMestiere.value				= $(objForm).find("input[name=IdMestiere]").val(); 
	document.form2.IdComponenteMestiere.value 	= $(objForm).find("input[name=IdComponenteMestiere]").val(); 
	document.form2.IdAttivitàMestiere.value 		= $(objForm).find("input[name=IdAttivitàMestiere]").val(); 
	
	document.form2.submit();
}

	
function DitteAffidatario(obj)
{
	objForm = obj;

	var position =  $(objForm).find("input[name=DesAssegnazione]").offset();
	
	var top = position.top  + "px";
	var right = position.left  + "px";

	$('#frm1521130312').css( {
		'position': 'absolute',
		'right': right,
		'top': top
	});		
	

	$('#frm1521130312').show('slow');
	
	MostraFornitori();	
}





function compilaOrdine(
				NumRichiesta , 
				AnnoRichiesta ,
				DataRichiesta , 
				GradoUrgenza , 
				Classificazione , 
				DataInizioP , 
				Localizzazione , 
				IdLivello , 
				IdAmbiente , 
				IdComponente , 
				IdSubComponente , 
				Descrizione , 
				NoteX ,
				Tecnico , 
				IdAffidatario , 
				IdUtilizzatore 
				)
{ 
 	var obj = $('#accordion').find('form');	

	
	$.each(obj, function(index, value) 
	{ 
		var form = $(value);
	
		form.find("input[name=NumRichiesta]").val( NumRichiesta );
		form.find("input[name=AnnoRichiesta]").val( AnnoRichiesta );
		form.find("input[name=DataRichiesta]").val( DataRichiesta );
		form.find("input[name=GradoUrgenza]").val( GradoUrgenza );
		form.find("input[name=Classificazione]").val( Classificazione );
		form.find("input[name=DataInizioP]").val( DataInizioP );
		form.find("input[name=Localizzazione]").val( Localizzazione );
		form.find("input[name=IdLivello]").val( IdLivello );
		form.find("input[name=IdAmbiente]").val( IdAmbiente );
		form.find("input[name=IdComponente]").val( IdComponente );
		form.find("input[name=IdSubComponente]").val( IdSubComponente );
		form.find("textarea[name=Descrizione]").val( Descrizione );
		form.find("textarea[name=NoteX]").val( NoteX );
		form.find("input[name=Tecnico]").val( Tecnico );
		form.find("input[name=IdAffidatario]").val( IdAffidatario );
		form.find("input[name=IdUtilizzatore]").val( IdUtilizzatore );
	});	 
}				
</script>



</body>
</html>
