<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>ManPro.Net WebPortal</title>
	
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	
	<style>
	html, body
	{
		margin:0px;
		padding:0px;
	}
	</style>
</head>

<body>
<?php
$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');


$sql = <<< SQL
SELECT DISTINCT Richiedenti.*
FROM  RichiedentiEdifici INNER JOIN
               Richiedenti ON RichiedentiEdifici.IdCommessa = Richiedenti.IdCommessa AND RichiedentiEdifici.IdRichiedente = Richiedenti.IdRichiedente
WHERE (RichiedentiEdifici.IdCommessa = $IdCommessa) AND (RichiedentiEdifici.IdEdificio = $IdEdificio)
ORDER BY IdRichiedente DESC
SQL;
 
$query = ntxQuery($sql);
?>

<div align="center">

<table> 
	<tr>
		<th>&nbsp;</th>
		<th>Nome</th>
		<th>Descrizione</th>
		<th>cell</th>
		<th>email</th>
	</tr>   
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> > <input type="button" value="dissocia" onclick="dissocia('<?php echo htmlentities($rs['IdRichiedente']) ?>')" /> </td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['cellulare']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['email']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>	

</div>		


<form name="formAssociazione" id="formAssociazione" method="post" >  
	<input type="hidden" name="IdRichiedente" id="IdRichiedente" /> 
	<input type="hidden" name="IdEdificio" id="IdEdificio" value="<?php echo $IdEdificio ?>" /> 
	<input type="hidden" name="isChecked" id="isChecked" /> 
</form>



<script type="text/javascript">
function dissocia(ID)
{
	if( !confirm("Si desidera procedere con l'eliminazione della riga selezionata?") ) return;
	
	document.formAssociazione.IdRichiedente.value = ID;
	document.formAssociazione.isChecked.value = 0;

	if (ntxSendForm(document.formAssociazione, function(){}, 'edifici/associa_richiedente') )
	{
		alert("Dissociazione avvenuta con successo!\n\nIl richiedente non e' stato eliminato ed e' possibile eseguire di nuovo l'associazione.");
		
		document.formAssociazione.submit();
	}
	
	document.formAssociazione.IdRichiedente.value = '';
}
</script>

</body>
</html>
