<?php 
session_start();

/**
Per poter funzionare è necessario definire la funzione "gestisciRisultatoCaptcha" nella pagina chiamante.

- definire la funzione "gestisciRisultatoCaptcha" nel file chiamante
- quando si verifica il captcha il modulo ritorna questi valori:
	* 1 : verifica eseguita con successo
	* 0 : verifica fallita 
**/ 

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_194", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_194", "IT", __FILE__);

/*if( strlen($_GET['lingua'])>0 )
	@$_POST['lingua'] = $_GET['lingua'];

if( strlen($_POST['lingua'])<1 )
	$_POST['lingua'] = 'it';
	
$lingua =  trim($_POST['lingua']);   

if($lingua=='it'||$lingua=='en' ) ;
else die('opzione non consentita!'); */



function random_string($len)
{
   $string = "";
   $chars = array("a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k",
               "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v",
               "w", "x", "y", "z", "A", "B", "C", "D", "E", "F", "G",
               "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R",
               "S", "T", "U", "V", "W", "X", "Y", "Z", "0", "1", "2",
               "3", "4", "5", "6", "7", "8", "9");
   for($i = 0; $i < $len; ++$i)
   {
      shuffle($chars);
      $string .= $chars[0];
   }
   
   return $string;
}

//if($lingua=='it')
	$message = $traduttore->traduci('Digita la stringa per effettuare la validazione:');
/*else if($lingua=='en')	
	$message = 'Type the string to validate:';*/
		
$verifica = '';
if(isset($_POST['validate_token']))
{ 
	// Eseguo la validazione	
	$url_key = ntxs($_POST['token']);

	$sql = <<<_SQL
	SELECT * 
	FROM Validation 
	WHERE 
		url_key LIKE $url_key 
		AND expire_date > getdate() 
_SQL;
	$row = ntxRecord(ntxQuery($sql)); 
   
	if($row  &&  ($row['captcha'] == $_POST['validate_token']))
	{
		//if($lingua=='it')
			$message = $traduttore->traduci('codice').' <strong> '.$traduttore->traduci('corretto').'</strong>';
		/*else if($lingua=='en')	
			$message = '<strong>correct</strong> code';*/
		
		$verifica = 1;
	}
	else
	{
		//if($lingua=='it')
			$message = $traduttore->traduci('codice').' <strong> '.$traduttore->traduci('NON').' </strong> '.$traduttore->traduci('corretto');
		/*else if($lingua=='en')		
			$message = '<strong>WRONG</strong> code';*/
			
		$verifica = 0;
	}
   
	$sql = <<<_SQL
	DELETE FROM Validation 
	WHERE 
		url_key LIKE $url_key  
_SQL;
	ntxQuery($sql);
}

// Elimino tutti i record scaduti 
$sql = <<<_SQL
DELETE FROM Validation 
WHERE 
	expire_date <= getdate()
_SQL;
ntxQuery($sql);


// Genero casualmente un record per la tabella Validation 
$url_key = sha1(uniqid(rand(), true)); // algoritmo per il calcolo - si può migliorare!
$captcha = random_string(6);
 
$Validation= new NtxTable("Validation");
$Insert= $Validation->insert(); 
$Insert->set("url_key", $url_key);    
$Insert->set("captcha", $captcha);    
$Insert->set("expire_date", "DATEADD(minute,10,getdate())"  , true);    
$Insert->execute(); 
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	
	<style>
	input[type=button]
	,input[type=submit]
	{
		width:80px;
	}
	</style>
</head>

<body>

<script>
$(function() 
{  
	var verifica = '<?php echo htmlentities($verifica) ?>';
	
	if($.isNumeric(verifica))
	{
		try
		{
			parent.gestisciRisultatoCaptcha(verifica);
		}
		catch(ex)
		{
			alert("<?php $traduttore->js('Attenzione: non hai definito la funzione gestisciRisultatoCaptcha!') ?>");
		}
	}
}); 
</script>

<?php
/*if($lingua=='it')
{*/
	$labelVerifica = $traduttore->traduci('verifica e continua');
	$labelReload = $traduttore->traduci('ricarica');
/*}
else if($lingua=='en')	
{
	$labelVerifica = 'test';
	$labelReload = 'reload';
}*/
?>


<form method="POST" action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" >
		<input type="hidden" name="token" value="<?php echo $url_key; ?>" />
		<!--<input type="hidden" name="lingua" value="<?php //echo htmlentities($lingua); ?>" >	-->
		
		<?php echo $message; ?>
		<br>
	 
		<img src="captcha.php?token=<?php echo htmlentities($url_key); ?>" width="200" height="50" /><br/>
		<input type="text" name="validate_token" />
		
		<input type="submit" name="action" value="<?php echo htmlentities($labelVerifica); ?>" style="width:125px;" />
		
		<input type="button" value="<?php echo htmlentities($labelReload); ?>" onclick="document.frmReload.submit();" />
</form>  

<form method="POST" target="" action="" id="frmReload" name="frmReload" > 
	<!--<input type="hidden" name="lingua" value="<?php //echo htmlentities($lingua); ?>" >-->
</form> 
<?php $traduttore->Salva(); ?>
</body> 
</html>