<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

?>
<html>
<head>
<link href="../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php
	
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdComponente = ntxip('IdComponente');

$sql = "SELECT ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa,  "
	."DestinazioniDusoLivello.Destinazione AS Piano, DestinazioniDuso.Destinazione AS Ambiente, "
	." Ambiente.CodiceAssAmbiente AS CodAmb, tblMestieri.Descrizione,  "
	." tblComponetiMestiere.Descrizione, TipoComponente.DesComponente,  "
	." ComponentiAmbiente.CodiceAssComponente, dizStatiComp.Stato,   "
	." ComponentiAmbiente.Origine, ComponentiAmbiente.DataInstallazione,   "
	." ComponentiAmbiente.CodiceComponenteOrigine, "
	." ComponentiAmbiente.MotivoRimozione, ComponentiAmbiente.DataRimozione,   "
	." ComponentiAmbiente.IdEdificio, ComponentiAmbiente.IDComponente "
	."FROM (((tblMestieri RIGHT JOIN (Ambiente INNER JOIN  "
	."(((((ComponentiAmbiente INNER JOIN TipoComponente ON  "
	."(ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa) AND  "
	."(ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente))  "
	."LEFT JOIN tblComponetiMestiere ON (TipoComponente.IdComponenteMestiere =  "
	."tblComponetiMestiere.IdComponenteMestiere) AND (TipoComponente.IdCommessa =  "
	."tblComponetiMestiere.IdCommessa)) INNER JOIN ElencoEdifici ON  "
	."(ComponentiAmbiente.IdEdificio = ElencoEdifici.ID) AND  "
	."(ComponentiAmbiente.IdCommessa = ElencoEdifici.IdCommessa))  "
	."LEFT JOIN TipiMateriali ON (ComponentiAmbiente.IDMatComp = TipiMateriali.idMateriale)  "
	."AND (ComponentiAmbiente.IdCommessa = TipiMateriali.IdCommessa))  "
	."LEFT JOIN dizStatiComp ON (ComponentiAmbiente.IdStato = dizStatiComp.IdStato)  "
	."AND (ComponentiAmbiente.IdCommessa = dizStatiComp.IdCommessa))  "
	."ON (Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente)  "
	."AND (Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio)  "
	."AND (Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa))  "
	."ON (tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere)  "
	."AND (tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa))  "
	."INNER JOIN PianoLivello ON (PianoLivello.idPiano = Ambiente.IdLivello)  "
	."AND (PianoLivello.IdEdificio = Ambiente.IdEdificio) AND  "
	."(PianoLivello.IdCommessa = Ambiente.IdCommessa) AND  "
	."(ElencoEdifici.ID = PianoLivello.IdEdificio) AND  "
	."(ElencoEdifici.IdCommessa = PianoLivello.IdCommessa)) LEFT JOIN DestinazioniDuso  "
	."ON (Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso)  "
	."AND (Ambiente.IdCommessa = DestinazioniDuso.IdCommessa))  "
	."LEFT JOIN DestinazioniDusoLivello ON (PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL)  "
	."AND (PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa) "
	." WHERE ComponentiAmbiente.IdCommessa = $IdCommessa "
	." AND ComponentiAmbiente.IdEdificio = $IdEdificio "
	." AND ComponentiAmbiente.IDComponente = $IdComponente";

$query = ntxQuery($sql);

?>

<table align=center>
<?php
	if( $rs = ntxIRecord($query) )
	{
			$i=0;			
?>
		<tr><caption>Dettaglio Componente Censito
		<tr><th>Localizzazione</th>		<td>&nbsp;<?php echo htmlentities($rs[$i++]." ".$rs[$i++]) ?></td>
		<tr><th>Piano</th>		<td>&nbsp;<?php echo htmlentities($rs[$i++]) ?></td>
		<tr><th>Ambiente</th>		<td>&nbsp;<?php echo htmlentities($rs[$i++]) ?></td>
		<tr><th>Cod Amb</th>		<td>&nbsp;<?php echo htmlentities($rs[$i++]) ?></td>
		<tr><th>Mestiere</th>		<td>&nbsp;<?php echo htmlentities($rs[$i++]) ?></td>
		<tr><th>Comp. Mest.</th>	<td>&nbsp;<?php echo htmlentities($rs[$i++]) ?></td>
		<tr><th>Tipo Comp.</th>		<td>&nbsp;<?php echo htmlentities($rs[$i++]) ?></td>
		<tr><th>Codice Comp.</th>	<td>&nbsp;<?php echo htmlentities($rs[$i++]) ?></td>
		<tr><th>Stato</th>			<td>&nbsp;<?php echo htmlentities($rs[$i++]) ?></td>
		<tr><th>Origine</th>					<td>&nbsp;<?php echo $rs[$i]==1 ? "sostituito" : $rs[$i]==2 ? "spostato" : ""; $i++ ?></td>
		<tr><th>Data Installazione</th>			<td>&nbsp;<?php echo ntxDateTime($rs[$i++]) ?></td>
		<tr><th>CodiceComponenteOrigine</th>	<td>&nbsp;<?php echo htmlentities($rs[$i++]) ?></td>
		<tr><th>Motivo Rimozione</th>			<td>&nbsp;<?php echo $rs[$i]==1 ? "sostituito" : $rs[$i]==2 ? "spostato" : ""; $i++ ?></td>
		<tr><th>DataRimozione</th>				<td>&nbsp;<?php echo ntxDateTime($rs[$i++]) ?></td>
		</tr>   
<?php
		
	}

	$sql = "SELECT tblPropTipiComp.Propietà, tblValoriComponenti.Valore "
			." FROM tblPropTipiComp INNER JOIN tblValoriComponenti  "
			." ON (tblPropTipiComp.IdPropComp = tblValoriComponenti.IdPropComp)  "
			." AND (tblPropTipiComp.IdCommessa = tblValoriComponenti.IdCommessa) "
			." WHERE (((tblValoriComponenti.IdCommessa)=$IdCommessa)  "
			." AND ((tblValoriComponenti.IdEdificio)=$IdEdificio)  "
			." AND ((tblValoriComponenti.IdComponente)=$IdComponente)) "
			." ORDER BY tblPropTipiComp.Propietà;";
			
	$query = ntxQuery($sql);

	$alternate = true;

	echo "<tr><td colspan=2>...</td></tr>\n";
	
	while( $rs = ntxIRecord($query) )
	{
			$i=0;			
?>
		<tr>
			<th>&nbsp;<?php echo htmlentities($rs[0]) ?></th>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[1]) ?></td>
		</tr>   
<?php
		$alternate = !$alternate;
	}
	
	$sql = "SELECT c1.IdEdificio, c1.IdComponente FROM ComponentiAmbiente c1 INNER JOIN ComponentiAmbiente c2 ON c1.CodiceComponente=c2.CodiceComponenteOrigine "
			." WHERE c2.IdCommessa = $IdCommessa "
			." AND c2.IdEdificio = $IdEdificio "
			." AND c2.IDComponente = $IdComponente";
	
	$query = ntxQuery($sql);

	if( $rs = ntxIRecord($query) )
	{
		$IdEdificioPrec = $rs[0];
		$IdComponentePrec = $rs[1];
	}
	
	$sql = "SELECT c2.IdEdificio, c2.IdComponente FROM ComponentiAmbiente c1 INNER JOIN ComponentiAmbiente c2 ON c1.CodiceComponente=c2.CodiceComponenteOrigine "
			." WHERE c1.IdCommessa = $IdCommessa "
			." AND c1.IdEdificio = $IdEdificio "
			." AND c1.IDComponente = $IdComponente";
	
	$query = ntxQuery($sql);

	if( $rs = ntxIRecord($query) )
	{
		$IdEdificioNext = $rs[0];
		$IdComponenteNext = $rs[1];
	}
?>

<tr><td>
	<form method=post>
		<input type=hidden name=IdEdificio value="<?php echo htmlentities($IdEdificioPrec) ?>">
		<input type=hidden name=IdComponente value="<?php echo htmlentities($IdComponentePrec) ?>">
		<input type=submit value="Vai al predecessore" <?php if ( !is_numeric($IdComponentePrec) ) echo "DISABLED" ?>>
	</form>
<td>
	<form method=post>
		<input type=hidden name=IdEdificio value="<?php echo htmlentities($IdEdificioNext) ?>">
		<input type=hidden name=IdComponente value="<?php echo htmlentities($IdComponenteNext) ?>">
		<input type=submit value="Vai al successore" <?php if ( !is_numeric($IdComponenteNext) ) echo "DISABLED" ?>>
	</form>

</table>
<br>
<table align=center>
<tr><td>
	<form action=comp_foto.php target=_blank method=post>
		<input type=hidden name=IdEdificio value="<?php echo htmlentities($IdEdificio) ?>">
		<input type=hidden name=IdComponente value="<?php echo htmlentities($IdComponente) ?>">
		<input type=submit value="Foto">
	</form>
<td>
	<form action=comp_ric.php target=_blank method=post>
		<input type=hidden name=IdEdificio value="<?php echo htmlentities($IdEdificio) ?>">
		<input type=hidden name=IdComponente value="<?php echo htmlentities($IdComponente) ?>">
		<input type=submit value="Richieste">
	</form>
<td>
	<form action=comp_ord.php target=_blank method=post>
		<input type=hidden name=IdEdificio value="<?php echo htmlentities($IdEdificio) ?>">
		<input type=hidden name=IdComponente value="<?php echo htmlentities($IdComponente) ?>">
		<input type=submit value="Ordini">
	</form>
<td>
	<form action=comp_docs.php target=_blank method=post>
		<input type=hidden name=IdEdificio value="<?php echo htmlentities($IdEdificio) ?>">
		<input type=hidden name=IdComponente value="<?php echo htmlentities($IdComponente) ?>">
		<input type=submit value="Docs">
	</form>
<td>
	<form name=frmRefresh method=post>
		<input type=hidden name=IdEdificio value="<?php echo htmlentities($IdEdificio) ?>">
		<input type=hidden name=IdComponente value="<?php echo htmlentities($IdComponente) ?>">
		<input type=submit value="Aggiorna">
	</form>
<tr>
<td colspan=5>
<form name=frmUpload action="upload_doc.php" method="post" enctype="multipart/form-data" target="win_upd_comp_doc_msg">
	<input name=IdEdificio type=hidden value=<?php echo $IdEdificio?>>
	<input name=IdComponente type=hidden value=<?php echo $IdComponente?>>
	Descrizione:<input type=text name=Nota value="descrizione file" size="50"  maxlength="100" />
	<br>File:<input type="file" name="upfile" size="50" />
	<input type=submit value="Allega file" />
</form> 

</table>
<br>

<?php require_once('comp_censi_docs.inc') ?>

</body>
</html>
