<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

$gUtente     = $_SESSION['Utente'];
$gDesCommessa = $_SESSION['DesCommessa'];
?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdEdificio = ntxip('IdEdificio');
$IdComponente = ntxip('IdComponente');

if ( isset($_POST['Ricerca']) )
{
	$user=ntxsse('Utente');
	$pwd=ntxsse('Password');
	$gIdCommessa = ntxise('IdCommessa');

	$sql = "SELECT DISTINCT Richieste.*, Stati.DesStato AS DesStatoR, ElencoEdifici.*, Richieste.Note AS NoteRichieste,  "
			." TabellaGradoUrgenza.Descrizione AS DesGrUrg, "
			." ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente, "
			." StatiOrdini.DesStato, Ordini.DataScadenza, Ordini.DataInizio, Ordini.DataFine, Ordini.DataInizioProg  "
			." FROM ((Utenti INNER JOIN ((ElencoEdifici INNER JOIN ("
			." (Stati INNER JOIN "
			." (Richieste LEFT JOIN TabellaGradoUrgenza "
			." 		ON (Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU) "
			." 			AND (Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa))"
			." ON Stati.IDStato = Richieste.Stato) "
			." INNER JOIN UtentiEdifici  "
			." ON (Richieste.Localizzazione = UtentiEdifici.IdEdificio)  "
			." AND (Richieste.IDCommessa = UtentiEdifici.IdCommessa))  "
			." ON (ElencoEdifici.ID = Richieste.Localizzazione) AND (ElencoEdifici.IdCommessa = Richieste.IDCommessa)) "
			."  LEFT JOIN (Ordini LEFT JOIN StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato) "
			."  ON (Richieste.AnnoRichiesta = Ordini.AnnoRichiesta) AND (Richieste.NumRichiesta = Ordini.NumRichiesta)  "
			." AND (Richieste.IDCommessa = Ordini.IDCommessaRichiesta)) ON Utenti.Id = UtentiEdifici.IdUtente) "
			."  LEFT JOIN ComponentiAmbiente ON (Richieste.IdComponente = ComponentiAmbiente.IDComponente) "
			."  AND (Richieste.Localizzazione = ComponentiAmbiente.IdEdificio)  "
			." AND (Richieste.IDCommessa = ComponentiAmbiente.IdCommessa))  "
			." LEFT JOIN TipoComponente ON (ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente) "
			."  AND (ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa) "
			." WHERE (((Utenti.Nome)=$user) AND ((Utenti.Password)=$pwd)) "
			." AND Richieste.IdCommessa=$gIdCommessa  "
			." AND Richieste.Localizzazione=$IdEdificio  "
			." AND Richieste.IdComponente=$IdComponente  ";

	if ( is_numeric($_POST['Mese']) ) $sql .= " AND Month(Richieste.DataRichiesta) = ".ntxip('Mese');
	if ( is_numeric($_POST['Anno']) ) $sql .= " AND Richieste.AnnoRichiesta = ".ntxip('Anno');
	if ( is_numeric($_POST['StatoOrd']) ) $sql .= " AND Ordini.StatoOrd = ".ntxip('StatoOrd');
	if ( is_numeric($_POST['StatoRic']) ) $sql .= " AND Richieste.Stato = ".ntxip('StatoRic');
	if ( isset($_POST['Data1'])  &&  $_POST['Data1']!="" ) $sql .= " AND Richieste.DataRichiesta >= dbo.cdate(".ntxtp('Data1').")";
	if ( isset($_POST['Data2'])   &&  $_POST['Data2']!="" ) $sql .= " AND Richieste.DataRichiesta <= dbo.cdate(".ntxtp('Data2').")";
	if ( isset($_POST['Descrizione'])   &&  $_POST['Descrizione']!="" ) $sql .= " AND Richieste.Descrizione LIKE '%".$_POST['Descrizione']."%'";

	$sql .= " ORDER BY Richieste.AnnoRichiesta, Richieste.NumRichiesta;";

	$query = ntxQuery($sql);
	
	require_once(NTX_WEBPORTAL_PATH.'censimento/_elenco_richieste.inc');
}
else
{
	?>
<form method=post>
		<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>">
		<input type=hidden name=IdComponente value="<?php echo $IdComponente ?>">
	    <table align=center>
			<caption>Ricerca Richieste</caption>

	        <tr><th>Mese<td><input type=text name=Mese >
            <tr><th>Anno<td><input type=text name=Anno >
            <tr><th>Data richiesta >= di<td><input type=text name=Data1  >
            <tr><th>Data richiesta <= di<td><input type=text name=Data2 >
            <tr><th>Stato Richieste<td><select name=StatoRic >
						<option value='x' SELECTED>Non Importa
						<option value=-1>Segnalazione Web	
						<option value=1 >Registrata	
						<option value=10>Annullata	
						<option value=13>Preventivazione	
						<option value=15>In Attesa Aut.	
						<option value=20>Non di competenza	
						<option value=30>Assegnata Tecnico	
						<option value=35>Assegnata	
						<option value=40>in corso	
						<option value=50>Sospesa	
						<option value=60>Evasa	
					</select>                   
            <tr><th>Stato Ordine<td><select name=StatoOrd >
						<option value='x' SELECTED>Non Importa
						<option value=35>Assegnato
						<option value=40>in corso
						<option value=50>Finito
						<option value=60>Sospeso
						<option value=70>Annullato
						<option value=80>Ritorno Info
						<option value=100>Ritorno C
						<option value=120>Documentato
						<option value=140>Visto Costi
						<option value=150>Visto Canone
						<option value=200>Contabilizzato
						<option value=300>Consegnato
						<option value=400>InSAL
					</select>                   
            <tr><th>Descrizione<td><input type=text name=Descrizione >
			
            <tr><th colspan=2><input name=Ricerca type=submit style="width:100%;height:100%" value=Ricerca>
        </table>
</form>
	  <?php
}
?>
</body>
</html>
