<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>
	
<Table>

<?php
	
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$sql = "SELECT ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa,  "
	."DestinazioniDusoLivello.Destinazione AS Piano, DestinazioniDuso.Destinazione AS Ambiente, "
	." Ambiente.CodiceAssAmbiente AS CodAmb, tblMestieri.Descrizione,  "
	." tblComponetiMestiere.Descrizione, TipoComponente.DesComponente,  "
	." TipiMateriali.DesMateriale, ComponentiAmbiente.DesComponente,  "
	." ComponentiAmbiente.CodiceAssComponente, dizStatiComp.Stato,  "
	." ComponentiAmbiente.MQ, ComponentiAmbiente.marca, ComponentiAmbiente.modello,  "
	." ComponentiAmbiente.num_serie, ComponentiAmbiente.IdEdificio, ComponentiAmbiente.IDComponente "
	."FROM (((tblMestieri RIGHT JOIN (Ambiente INNER JOIN  "
	."(((((ComponentiAmbiente INNER JOIN TipoComponente ON  "
	."(ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa) AND  "
	."(ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente))  "
	."LEFT JOIN tblComponetiMestiere ON (TipoComponente.IdComponenteMestiere =  "
	."tblComponetiMestiere.IdComponenteMestiere) AND (TipoComponente.IdCommessa =  "
	."tblComponetiMestiere.IdCommessa)) INNER JOIN ElencoEdifici ON  "
	."(ComponentiAmbiente.IdEdificio = ElencoEdifici.ID) AND  "
	."(ComponentiAmbiente.IdCommessa = ElencoEdifici.IdCommessa))  "
	."LEFT JOIN TipiMateriali ON (ComponentiAmbiente.IDMatComp = TipiMateriali.idMateriale)  "
	."AND (ComponentiAmbiente.IdCommessa = TipiMateriali.IdCommessa))  "
	."LEFT JOIN dizStatiComp ON (ComponentiAmbiente.IdStato = dizStatiComp.IdStato)  "
	."AND (ComponentiAmbiente.IdCommessa = dizStatiComp.IdCommessa))  "
	."ON (Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente)  "
	."AND (Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio)  "
	."AND (Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa))  "
	."ON (tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere)  "
	."AND (tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa))  "
	."INNER JOIN PianoLivello ON (PianoLivello.idPiano = Ambiente.IdLivello)  "
	."AND (PianoLivello.IdEdificio = Ambiente.IdEdificio) AND  "
	."(PianoLivello.IdCommessa = Ambiente.IdCommessa) AND  "
	."(ElencoEdifici.ID = PianoLivello.IdEdificio) AND  "
	."(ElencoEdifici.IdCommessa = PianoLivello.IdCommessa)) LEFT JOIN DestinazioniDuso  "
	."ON (Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso)  "
	."AND (Ambiente.IdCommessa = DestinazioniDuso.IdCommessa))  "
	."LEFT JOIN DestinazioniDusoLivello ON (PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL)  "
	."AND (PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa) "
	."WHERE ComponentiAmbiente.IdCommessa=$IdCommessa";
	
if ( isset($_POST['CodiceAmbiente'])  &&  $_POST['CodiceAmbiente']!="" ) $sql .= " AND Ambiente.CodiceAmbiente = ".ntxsp('CodiceAmbiente');
if ( is_numeric($_POST['Edificio']) ) $sql .= " AND ElencoEdifici.ID = ".ntxip('Edificio');
if ( is_numeric($_POST['IdTipoComponente']) ) $sql .= " AND TipoComponente.IDTipoComponente = ".ntxip('IdTipoComponente');
if ( is_numeric($_POST['IdMestiere']) ) $sql .= " AND tblMestieri.IdMestiere = ".ntxip('IdMestiere');
if ( is_numeric($_POST['IdComponenteMestiere']) ) $sql .= " AND tblComponetiMestiere.IdComponenteMestiere = ".ntxip('IdComponenteMestiere');
if ( isset($_POST['CodiceComponente'])   &&  $_POST['CodiceComponente']!="" ) $sql .= " AND ComponentiAmbiente.CodiceAssComponente=".ntxsp('CodiceComponente');
	
$sql .= " ORDER BY ElencoEdifici.EdificioBreve,  "
	."tblMestieri.Descrizione, tblComponetiMestiere.Descrizione, TipoComponente.DesComponente;";

$query = ntxQuery($sql);

?>

   <tr>
	<th>Localizzazione</th>
	<th>Piano</th>
	<th>Ambiente</th>
	<th>cod Amb</th>
	<th>Mestiere</th>
	<th>Comp. Mest.</th>
	<th>Tipo Comp.</th>
	<th>Materiale</th>
	<th>Descrizione</th>
	<th>Codice Comp.</th>
	<th>Stato</th>
	<th>MQ</th>
	<th>Marca</th>
	<th>Modello</th>
	<th>N.Serie</th>
   </tr>                      
 <?php
	while( $rs = ntxIRecord($query) )
	{
		$i=0;
?>
	<tr>
		<td><?php echo htmlentities($rs[$i++]." ".$rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities(ntxRound($rs[$i++],2)) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
		<td><?php echo htmlentities($rs[$i++]) ?></td>
	</tr>
<?php
	}
?>
  
</Table>

</body>
</html>
