<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
	<style type="text/css"> 
	<?php require_once("css/base.css"); ?>
	</style>
</head>
<body>


<?php
	
$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdProprietario = ntxip('IdProprietario');

$where = "WHERE ElencoEdifici.IdCommessa=$IdCommessa AND ElencoEdifici.IdProprietario=$IdProprietario AND (ElencoEdifici.Rimosso IS NULL OR ElencoEdifici.Rimosso=0)";


if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";
if ( strlen("$_POST[EdificioBreve]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";
if ( strlen("$_POST[EdificioEstesa]")>0 ) $where .= " AND ElencoEdifici.EdificioEstesa LIKE '%".str_replace("'","''",$_POST[EdificioEstesa])."%'";
if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";
if ( strlen("$_POST[CITTA]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";
if ( strlen("$_POST[PROVINCIA]")>0 ) $where .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[PROVINCIA])."%'";
if ( strlen("$_POST[Note]")>0 ) $where .= " AND ElencoEdifici.Note LIKE '%".str_replace("'","''",$_POST[Note])."%'";

if ( strlen("$_POST[CAP]")>0 ) $where .= " AND ElencoEdifici.CAP LIKE '%".str_replace("'","''",$_POST[CAP])."%'";
if ( strlen("$_POST[Località]")>0 ) $where .= " AND ElencoEdifici.Località LIKE '%".str_replace("'","''",$_POST[Località])."%'";

if ( is_numeric("$_POST[ZonaClimatica]") ) $where .= " AND ElencoEdifici.ZonaClimatica = ".(int)$_POST[ZonaClimatica];
if ( is_numeric("$_POST[SedeDiSeggio]")  &&  $_POST[SedeDiSeggio]==1 ) $where .= " AND ElencoEdifici.SedeDiSeggio = ".(int)$_POST[SedeDiSeggio];

 

switch($_POST[filtra])
{
	case 1:
		$sql = <<< sql
			SELECT     ID, Codice, EdificioBreve, 
					EdificioEstesa, Indirizzo, CITTA, 
					PROVINCIA, Note, ElencoEdifici.CAP,  ElencoEdifici.Località, ElencoEdifici.SedeDiSeggio, 
						  ElencoEdifici.DataDismissione,
						  (SELECT Fascia FROM ZoneClimatiche WHERE ZoneClimatiche.Id=ElencoEdifici.ZonaClimatica) ZonaClimatica
						  
			FROM         ElencoEdifici
			$where
			ORDER BY Codice, EdificioBreve
sql;
		break;
	case 2:
		$sql = <<< sql
			SELECT  DISTINCT   ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, ElencoEdifici.Note, ElencoEdifici.Località, ElencoEdifici.SedeDiSeggio,
						 ElencoEdifici.DataDismissione, 
						  (SELECT Fascia FROM ZoneClimatiche WHERE ZoneClimatiche.Id=ElencoEdifici.ZonaClimatica) ZonaClimatica
						  
			FROM         ElencoEdifici INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
			$where
			AND UtentiEdifici.IdUtente=$IdUtente
			ORDER BY Codice, EdificioBreve
sql;
		break;
}
	
$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>Codice<br>Parlante
			<th>ID
			<th>Codice
			<th>EdificioBreve
			<th>EdificioEstesa
			<th>Indirizzo
			<th>Comune
			<th>PROVINCIA
			<th>Località
			<th>CAP
			<th>Zona Climatica
			<th>Note
			<th>Seggio
			<th>DataDismissione
		</tr>
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[SedeDiSeggio] = $rs[SedeDiSeggio]==1 ? 'SI' : 'NO';
	$rs[DataDismissione] = ntxDate($rs[DataDismissione]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr>
			<td>C{$IdCommessa}E{$html[ID]}
			<td>$html[ID]
			<td>$html[Codice]
			<td>$html[EdificioBreve]
			<td>$html[EdificioEstesa]
			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[Località]
			<td>$html[CAP]
			<td>$html[ZonaClimatica]
			<td>$html[Note]
			<td>$html[SedeDiSeggio]
			<td>$html[DataDismissione]
		</tr>
table;
}

$table .= "</table>";

echo $table;
?>

</body>
</html>