<?php  
session_start(); 
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IdAmbiente = ntxip('IdAmbiente');
$IdComponenteAmbiente = ntxip('IdComponenteAmbiente');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js?v=<?php echo time() ?>" type="text/javascript"></script>
	
	<link href="css/base.css" rel="stylesheet" type="text/css">
	<script src="js/index.js?v4" type="text/javascript"></script>
	
	<script>	
	</script>
</head>
<body>

<input type=button value="report" onclick="SelComponente()" />

<?php include('testata.inc') ?>

<form name="frmRicerca" method="post">
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
	<input type=hidden name=IdPiano value="<?php echo $IdPiano ?>" />
	<input type=hidden name=IdAmbiente value="<?php echo $IdAmbiente ?>" />
	<input type=hidden name=IdComponenteAmbiente value="<?php echo $IdComponenteAmbiente ?>" />
</form>
<br>
<?php

$sql = <<< sql
	SELECT     a.IdCommessa, a.IdEdificio, a.IDComponente, a.IdPropComp, a.Propietà, a.soloInLista, tblValoriComponenti.Valore
	FROM         (SELECT     TOP (100) PERCENT tblPropTipiComp.IdPropComp, tblPropTipiComp.Propietà, tblPropTipiComp.ValoreDefault, tblPropTipiComp.soloInLista, 
                                              ComponentiAmbiente.IdCommessa, ComponentiAmbiente.IdEdificio, ComponentiAmbiente.IDComponente,
											  tblPropTipiComp.richiesto
                       FROM          tblPropTipiComp INNER JOIN
                                              ComponentiAmbiente ON tblPropTipiComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                                              tblPropTipiComp.IdTipoComp = ComponentiAmbiente.IdTipoComponente
                       WHERE      (ComponentiAmbiente.IdCommessa = $IdCommessa) 
						AND (ComponentiAmbiente.IdEdificio = $IdEdificio) 
						AND (ComponentiAmbiente.IDComponente = $IdComponenteAmbiente)
                       ) AS a LEFT OUTER JOIN
                      tblValoriComponenti ON a.IdCommessa = tblValoriComponenti.IdCommessa AND a.IdEdificio = tblValoriComponenti.IdEdificio AND 
                      a.IDComponente = tblValoriComponenti.IdComponente AND a.IdPropComp = tblValoriComponenti.IdPropComp
	ORDER BY a.Propietà
sql;

$query = ntxQuery($sql);

$table = "";

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
	{
		$js[$k] = ntxJs($v);
		$html[$k] = htmlentities($v);
	}

	$disabled = $rs[soloInLista] ? "DISABLED" : "";
	
	$richiesto = $rs[richiesto] ? " *" : "";
	
	$table .= <<< table
		<tr><th>$html[Propietà]{$richiesto}<td>
			<input type=text IdProprietà=$rs[IdPropComp] value="$js[Valore]" size=50 $disabled onblur="Modifica(this)" />
			<input type=button value="..." onclick="ValoriPerProp($rs[IdPropComp], this)" />
table;
}

echo <<< table
		<table class=grid2>
			$table
			<tr><td colspan=2 style="text-align:right;font-style:italic">* campo obbligatorio
		</table>
table;

require_once('index-foto.inc');

require_once('index-allegati.inc');

?>

<div class=TendinaSelezione id=TendinaSelezione>TendinaSelezione</div>

</body>
</html>
