<?php

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio'); 
$IdComponente = ntxip('IdComponente'); 
$Descrizione = ntxsp('Descrizione');

if ( !is_numeric($IdCommessa) )
	die("Selezionare Commessa!");

if ( !is_numeric($IdEdificio) )
	die("Selezionare Edificio!");

if ( !is_numeric($IdComponente) )
	die("Selezionare Componente!");  
	
if(!strlen($_POST[Descrizione])>0) ntxmsgerr('obbligatorio descrizione!');	
	
$sql = <<< sql
	INSERT INTO DocsComponenti
						  (IdCommessa, IdEdificio, IdComponente, Descrizione, Path)
	VALUES     ($IdCommessa, $IdEdificio, $IdComponente, $Descrizione, NULL)
sql;

ntxQuery($sql);
	
$IdDoc = ntxId();

if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;


$sql = <<< sql
	SELECT Commesse.path, YEAR(GETDATE()), MONTH(GETDATE())
	FROM  Commesse 
	WHERE IdCommessa = $IdCommessa
sql;

	
$query = ntxQuery($sql);

if (!$query)
	die("Commessa non trovata!");
	
if (!($rs = ntxIRecord($query)))
	die("Commessa non trovata 2!");
	
$upload_dir = $rs[0];//$_SERVER["DOCUMENT_ROOT"] . "/upload";
$Anno = $rs[1];
$Mese = $rs[2];

if ( $Mese < 10 ) $Mese = "0$Mese";

$upload_dir .= "\\$Anno";

if (!is_dir($upload_dir)) mkdir($upload_dir);

$upload_dir .= "\\$Mese";

if (!is_dir($upload_dir)) mkdir($upload_dir);

$new_name = "";

// Se $new_name è vuota, il nome sarà lo stesso del file uploadato
$file_name = ($new_name) ? $new_name : $_FILES["upfile"]["name"];

if(trim($_FILES["upfile"]["name"]) == "")
	die("Non hai indicato il file da uploadare !");

if($_FILES["upfile"]["size"]==0)
	die("Upload fallito controllare dimensione del file max 2 MegaByte!");

$allowed_types = array
(
	"audio/3gpp"
	,"audio/amr"
	,"audio/midi"
	,"text/html"
	,"image/bmp"
	,"image/x-bmp"
	,"image/png"
	,"image/tiff" 	
	,"image/vnd.wap.wbmp"
	,"video/3gpp"
	,"video/mp4"
	,"audio/mpeg"
	,"audio/vorbis"
	,"video/theora"
	,"application/x-rar-compressed"
	,"application/x-zip-compressed"
	,"multipart/x-zip"
	,"application/zip"
	,"application/x-compressed"
	,"application/x-compress"
	,"video/x-msvideo"
	,"application/acad"
	,"application/x-acad"
	,"application/autocad_dwg "
	,"image/x-dwg"
	,"application/dwg"
	,"application/x-dwg"
	,"application/x-autocad"
	,"image/vnd.dwg"
	,"drawing/dwg"
	,"image/gif"
	,"image/x-png"
	,"image/pjpeg"
	,"image/jpeg"
	,"image/jpg"
	,"application/pdf"
	,"text/plain"
	, "application/msword"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.document"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.template" 
	, "application/vnd.ms-excel"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.template" 
	, "application/vnd.ms-powerpoint"
	, "application/vnd.openxmlformats-officedocument.presentationml.presentation"
	, "application/vnd.openxmlformats-officedocument.presentationml.template"
	, "application/vnd.openxmlformats-officedocument.presentationml.slideshow" 
);

if(!in_array($_FILES["upfile"]["type"],$allowed_types))
	die("Il file non è di un tipo consentito, sono ammessi solo i seguenti: " . implode(",", $allowed_types) . ".");
		
$dest_path = "$upload_dir\\de_{$IdCommessa}_{$IdDoc}_$file_name";

if(@is_uploaded_file($_FILES["upfile"]["tmp_name"])) 
	@move_uploaded_file($_FILES["upfile"]["tmp_name"], $dest_path) 
		or die("Impossibile spostare il file, controlla l'esistenza o i permessi della directory dove fare l'upload.<br>");
else
	die("Problemi nell'upload del file " . $_FILES["upfile"]["name"]);

echo "L'upload del file " . $_FILES["upfile"]["name"] . " è avvenuto correttamente con nome $dest_path";

$gPath = "'".str_replace("'", "''", $dest_path)."'";

$sql = <<< sql
	UPDATE  DocsComponenti
	SET Path = $gPath 
	WHERE (IdCommessa = $IdCommessa ) AND (Id = $IdDoc)
sql;

ntxQuery($sql);  

?>  