<?php  
session_start();
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201702161642 = new NtxTraduttore("000_000_455", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201702161642 = new NtxCreaTraduzione("000_000_455", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdDoc = ntxip('IdDoc', false);


$sql = <<< sql
	SELECT Id
	FROM  DocsEdifici
	WHERE (IdCommessa = $IdCommessa ) AND (Id = $IdDoc)
sql;

$IdDocEdifici = ntxScalar($sql);

if (!is_numeric($IdDocEdifici))
	die ($traduttore201702161642->traduci('Nel database non esiste il record a cui associare il documento esistente!'));
	

$sql = <<< sql
	SELECT Path
	FROM  DocsEdifici
	WHERE (IdCommessa = $IdCommessa ) AND (Id = $IdDoc)
sql;

$PathDocEdifici = ntxScalar($sql);

if ( strlen($PathDocEdifici."") > 1 )
	die ($traduttore201702161642->traduci('Un documento risulta gia\' associato al record! Prima di procedere cancellare tale documento.'));	
	

	
// QUESTE RIGHE RENDONO LO SCRIPT COMPATIBILE CON LE VERSIONI
// DI PHP PRECEDENTI ALLA 4.1.0
if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;

/********************* VARIABILI DA SETTARE ********************/
// Directory dove salvare i files Uploadati ( chmod 777, percorso assoluto)
	
$sql = <<< sql
	SELECT Commesse.path, YEAR(DocsEdifici.DataInserimento), MONTH(DocsEdifici.DataInserimento)
	FROM  DocsEdifici INNER JOIN
				   Commesse ON DocsEdifici.IdCommessa = Commesse.IDCommessa
	WHERE (DocsEdifici.IdCommessa = $IdCommessa) AND (DocsEdifici.Id = $IdDoc)
sql;

	
$query = ntxQuery($sql);

if (!$query)
	die($traduttore201702161642->traduci('Commessa non trovata')."!");
	
if (!($rs = ntxIRecord($query)))
	die($traduttore201702161642->traduci('Commessa non trovata')." 2!");
	
$upload_dir = $rs[0];//$_SERVER["DOCUMENT_ROOT"] . "/upload";
$Anno = $rs[1];
$Mese = $rs[2];

if ( $Mese < 10 ) $Mese = "0$Mese";

$upload_dir .= "\\$Anno";

if (!is_dir($upload_dir)) mkdir($upload_dir);

$upload_dir .= "\\$Mese";

if (!is_dir($upload_dir)) mkdir($upload_dir);

$new_name = "";

// Se $new_name è vuota, il nome sarà lo stesso del file uploadato
$file_name = ($new_name) ? $new_name : $_FILES["upfile"]["name"];

if(trim($_FILES["upfile"]["name"]) == "")
	die($traduttore201702161642->traduci('Non hai indicato il file da uploadare!'));

if($_FILES["upfile"]["size"]==0)
	die($traduttore201702161642->traduci('Upload fallito!'));
	
	
$allowed_types = array
(
	"audio/3gpp"
	,"audio/amr"
	,"audio/midi"
	,"text/html"
	,"image/bmp"
	,"image/x-bmp"
	,"image/png"
	,"image/tiff" 	
	,"image/vnd.wap.wbmp"
	,"video/3gpp"
	,"video/mp4"
	,"audio/mpeg"
	,"audio/vorbis"
	,"video/theora"
	,"application/x-rar-compressed"
	,"application/x-zip-compressed"
	,"multipart/x-zip"
	,"application/zip"
	,"application/x-compressed"
	,"application/x-compress"
	,"video/x-msvideo"
	,"application/acad"
	,"application/x-acad"
	,"application/autocad_dwg "
	,"image/x-dwg"
	,"application/dwg"
	,"application/x-dwg"
	,"application/x-autocad"
	,"image/vnd.dwg"
	,"drawing/dwg"
	,"image/gif"
	,"image/x-png"
	,"image/pjpeg"
	,"image/jpeg"
	,"image/jpg"
	,"application/pdf"
	,"text/plain"
	,"application/msword"
	,"application/vnd.openxmlformats-officedocument.wordprocessingml.document"
	,"application/vnd.openxmlformats-officedocument.wordprocessingml.template" 
	,"application/vnd.ms-excel"
	,"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
	,"application/vnd.openxmlformats-officedocument.spreadsheetml.template" 
	,"application/vnd.ms-powerpoint"
	,"application/vnd.openxmlformats-officedocument.presentationml.presentation"
	,"application/vnd.openxmlformats-officedocument.presentationml.template"
	,"application/vnd.openxmlformats-officedocument.presentationml.slideshow"
	
	, "application/octet-stream"
);

if(!in_array($_FILES["upfile"]["type"],$allowed_types))
	die($traduttore201702161642->traduci('Il file non è di un tipo consentito, sono ammessi solo i seguenti').": " . implode(",", $allowed_types) . ".");
		
$dest_path = "$upload_dir\\{$IdCommessa}_{$IdDoc}_$file_name";

if(@is_uploaded_file($_FILES["upfile"]["tmp_name"])) 
	@move_uploaded_file($_FILES["upfile"]["tmp_name"], $dest_path) 
		or die($traduttore201702161642->traduci('Impossibile spostare il file, controlla l\'esistenza o i permessi della directory dove fare l\'upload.')."<br>");
else
	die($traduttore201702161642->traduci('Problemi nell\'upload del file')." " . $_FILES["upfile"]["name"]);

echo $traduttore201702161642->traduci('L\'upload del file')." ".$_FILES["upfile"]["name"]." ".$traduttore201702161642->traduci('è avvenuto correttamente con nome')." $dest_path";

$gPath = "'".str_replace("'", "''", $dest_path)."'";


$sql = <<< sql
	UPDATE  DocsEdifici
	SET Path = $gPath 
	WHERE (IdCommessa = $IdCommessa ) AND (Id = $IdDoc)
sql;


ntxQuery($sql);

$traduttore201702161642->Salva();
?> 
