<?php	
$IdCommessa = ntxise('IdCommessa');

//inseriamo il tipo F.F. se non è presente
$sql = <<< sql
SELECT DISTINCT GruppiDocsEdifici_Tipi.ID

FROM  
	GruppiDocsEdifici_Tipi
	
WHERE
  GruppiDocsEdifici_Tipi.IdCommessa = $IdCommessa
  AND LTRIM(RTRIM(GruppiDocsEdifici_Tipi.Codice)) LIKE 'F.F.' 
sql;
$IDff = ntxScalar($sql);
if(is_numeric($IDff) && $IDff>0)
{
}
else
{
	$GruppiDocsEdifici_Tipi= new NtxTable("GruppiDocsEdifici_Tipi");
	$Insert= $GruppiDocsEdifici_Tipi->insert();
	
	$Insert->set("Codice", "F.F.");	
	$Insert->set("Nome", "Fascicolo di Fabbricato");	
	$Insert->set("IdCommessa", $IdCommessa);	

	$Insert->execute();
	
	$IDff = ntxScalar("SELECT MAX(ID) FROM GruppiDocsEdifici_Tipi ");
} 


$count = ntxScalar("SELECT COUNT(ID) FROM GruppiDocsEdifici WHERE IdCommessa=$IdCommessa");

if($count==0)
{ 
	$array = array();
	$array[]=array(0=>'Sezione 1', 1=>'Anagrafica');
	$array[]=array(0=>'Sezione 2', 1=>'Dati urbanistici e dimensionali');
	$array[]=array(0=>'Sezione 3', 1=>'Titoli abilitativi');
	$array[]=array(0=>'Sezione 4', 1=>'Abbattimento barriere architettoniche');
	$array[]=array(0=>'Sezione 5', 1=>'Impianti');
	$array[]=array(0=>'Sezione 6', 1=>'Protezione antincendio');
	$array[]=array(0=>'Sezione 7', 1=>'Sicurezza - Ambiti peculiari');
	$array[]=array(0=>'Sezione 8', 1=>'Verbali affidatario');

	foreach ($array as $key => $value)
	{
		$codice = ntxs($value[0]);
		$nome = ntxs($value[1]);
		
		$sql = <<< sql
		SELECT ID
		FROM GruppiDocsEdifici 
		WHERE
			IdCommessa = $IdCommessa
			AND IdGruppoDocsEdifici_Tipi=$IDff
			AND Codice = $codice
			AND Nome = $nome
sql;
		$IdRel = ntxScalar($sql);
		
		if(!is_numeric($IdRel))
		{
			$sql = <<< sql
			INSERT INTO GruppiDocsEdifici
						   (IdCommessa, Codice, Nome, IdGruppoDocsEdifici_Tipi)
			VALUES ($IdCommessa, $codice, $nome, $IDff)	
sql;
			ntxQuery($sql);
			
			$IdRel = ntxScalar("SELECT MAX(ID) FROM GruppiDocsEdifici");
		}  
	} 
}


$count = ntxScalar("SELECT COUNT(ID) FROM TipiDocsEdifici WHERE IdCommessa=$IdCommessa");

if($count==0)
{  
	$array = array();
	$array[]=array(0=>"Licenza Agibilita' / Abilita'"												);										
	$array[]=array(0=>"CPI Certificato Prevenzione Incendi"                                         );
	$array[]=array(0=>"Libretto di centrale / impianto"                                             );
	$array[]=array(0=>"Certificato di omologazione ISPESL"                                          );
	$array[]=array(0=>"Libretto di impianto"                                                        );
	$array[]=array(0=>"Libretto di impianto (elevatori)"                                            );
	$array[]=array(0=>"Certificazione CE impianti elevatori"                                        );
	$array[]=array(0=>"Verbali di verifica periodica elevatori"                                     );
	$array[]=array(0=>"NOP"                                                                         );
	$array[]=array(0=>"Licenza UTIF"                                                                );
	$array[]=array(0=>"Verbali di verifica periodica impianti di Terra/Scariche Atmosferiche"       );
	$array[]=array(0=>"Autorizzazione allo scarico"                                                 );
	$array[]=array(0=>"Verbali"                                                                     );
	$array[]=array(0=>"Verbali di verifica periodica Centrali Termiche"                             );
	$array[]=array(0=>"Atti notarili"                                                               );
	$array[]=array(0=>"V - IMPIANTI - Elettrico"                                                    );
	$array[]=array(0=>"Autocertificazioni"                                                          );
	$array[]=array(0=>"Autorizzazioni sanitarie"                                                    );
	$array[]=array(0=>"Dichiarazioni di conformità"                                                 );
	$array[]=array(0=>"Registro antincendio"                                                        );
	$array[]=array(0=>"Impianti centrali termiche"                                                  );
	$array[]=array(0=>"Contratti"                                                                   );
	$array[]=array(0=>"Impianti trattamenti acque meteoriche"                                       );
	$array[]=array(0=>"102 Dati catastali"                                                          );
	$array[]=array(0=>"Comunicazioni e corrispondenze interna/esterna"                              );
	$array[]=array(0=>"Schede tecniche ed elaborati progettuali"                                    );
	$array[]=array(0=>"Certificazioni"                                                              );
	$array[]=array(0=>"Analisi"                                                                     );
	$array[]=array(0=>"101 Dati generali"                                                           );
	$array[]=array(0=>"103 Servitù"                                                                 );
	$array[]=array(0=>"104 Proprietà immobiliari e contratti"                                       );
	$array[]=array(0=>"201 Destinazione urbanistica"                                                );
	$array[]=array(0=>"202 Classificazione sismica"                                                 );
	$array[]=array(0=>"203 Classificazione acustica"                                                );
	$array[]=array(0=>"204 Vincoli"                                                                 );
	$array[]=array(0=>"205 Consistenza"                                                             );
	$array[]=array(0=>"301 Agibilità - Abitabilità"                                                 );
	$array[]=array(0=>"302 Licenza o concessione edilizia"                                          );
	$array[]=array(0=>"303 ASL-ARPAM Licenze sanitarie"                                             );
	$array[]=array(0=>"304 Strutture"                                                               );
	$array[]=array(0=>"305 Prevenzione incendi"                                                     );
	$array[]=array(0=>"306 Autorizzazione allo scarico"                                             );
	$array[]=array(0=>"307 Sanatorie"                                                               );
	$array[]=array(0=>"308 DIA/SCIA"                                                                );
	$array[]=array(0=>"309 Permesso a costruire"                                                    );
	$array[]=array(0=>"310 Accreditamenti"                                                          );
	$array[]=array(0=>"401 Requisito L13/89"                                                        );
	$array[]=array(0=>"502 Riscaldamento"                                                           );
	$array[]=array(0=>"503 Condizionamento"                                                         );
	$array[]=array(0=>"504 Idrico"                                                                  );
	$array[]=array(0=>"505 Distribuzione Gas"                                                       );
	$array[]=array(0=>"506 Elettrico"                                                               );
	$array[]=array(0=>"507 Sollevamento"                                                            );
	$array[]=array(0=>"508 Solare"                                                                  );
	$array[]=array(0=>"509 Gruppi elettrogeni e di cogenerazione"                                   );
	$array[]=array(0=>"601 Compartimentazioni"                                                      );
	$array[]=array(0=>"602 Rivelazione incendio"                                                    );
	$array[]=array(0=>"603 Allarme incendio"                                                        );
	$array[]=array(0=>"604 Idrico antincendio"                                                      );
	$array[]=array(0=>"605 Materiali per reazione al fuoco"                                         );
	$array[]=array(0=>"606 Estintori"                                                               );
	$array[]=array(0=>"607 Registro antincendio"                                                    );
	$array[]=array(0=>"701 Parapetti e corrimani"                                                   );
	$array[]=array(0=>"702 Davanzali"                                                               );
	$array[]=array(0=>"703 Vetri"                                                                   );
	$array[]=array(0=>"704 Pavimentazioni interne"                                                  );
	$array[]=array(0=>"705 Amianto"                                                                 );
	$array[]=array(0=>"706 Derattizzazione"                                                         );
	$array[]=array(0=>"707 Rifiuti"                                                                 );
	$array[]=array(0=>"708 Grondaie"                                                                );
	$array[]=array(0=>"709 Coperture, serramenti, infissi"                                          );
	$array[]=array(0=>"710 Aree verdi"                                                              );
	$array[]=array(0=>"801 Verbali visite ispettive"                                                );
	$array[]=array(0=>"501 Consistenza impiantistica"                                               );
	$array[]=array(0=>"Permesso a costruire"                                                        );
	$array[]=array(0=>"Autorizzazione allo scarico"                                                 );
	$array[]=array(0=>"Prevenzione incendi"                                                         );
	$array[]=array(0=>"Deposito strutture"                                                          );
	$array[]=array(0=>"Comunicazione inizio lavori"                                                 );
	$array[]=array(0=>"Verbali consegna lavori"                                                     );
	$array[]=array(0=>"Ordini di servizio"                                                          );
	$array[]=array(0=>"Verbali di accertamento danni"                                               );
	$array[]=array(0=>"Verbali infortunio"                                                          );
	$array[]=array(0=>"Verbali sospensione lavori"                                                  );
	$array[]=array(0=>"Verbali di ripresa lavori"                                                   );
	$array[]=array(0=>"Certificato di fine lavori"                                                  );
	$array[]=array(0=>"Collaudo statico"                                                            );
	$array[]=array(0=>"Collaudo finale"                                                             );
	$array[]=array(0=>"Certificato di agibilità"                                                    );
	$array[]=array(0=>"Verbali prove di carico"                                                     );
	$array[]=array(0=>"Verbali controlli tecnici"                                                   );
	$array[]=array(0=>"Giornale dei lavori"                                                         );
	$array[]=array(0=>"Libretto delle misure"                                                       );
	$array[]=array(0=>"Registro di contabilità"                                                     );
	$array[]=array(0=>"SAL"                                                                         );
	$array[]=array(0=>"Certificati di pagamento"                                                    );
	$array[]=array(0=>"Riserve"                                                                     );
	$array[]=array(0=>"Varianti"                                                                    );
	$array[]=array(0=>"Conto finale"                                                                );
	$array[]=array(0=>"221 Certificato di regolare esecuzione"                                      );
	$array[]=array(0=>"Proprietà terreno"                                                           );
	$array[]=array(0=>"Dati catastali"                                                              );
	$array[]=array(0=>"Servitù"                                                                     );
	$array[]=array(0=>"Progettazione"                                                               );
	$array[]=array(0=>"Direzione lavori"                                                            );
	$array[]=array(0=>"Sicurezza"                                                                   );
	$array[]=array(0=>"Construction Management"                                                     );
	$array[]=array(0=>"Collaudi"                                                                    );
	$array[]=array(0=>"Regolarità contributiva"                                                     );
	$array[]=array(0=>"Idoneità tecnico professionale imprese"                                      );
	$array[]=array(0=>"Contratti"                                                                   );
	$array[]=array(0=>"Rapporti di sopralluogo"                                                     );
	$array[]=array(0=>"Notifica preliminare"                                                        );
	$array[]=array(0=>"Piano sicurezza e coordinamento"                                             );
	$array[]=array(0=>"Verbali CM"                                                                  );
	$array[]=array(0=>"Presentazioni"                                                               );
	$array[]=array(0=>"Polizze assicurative"                                                        );
	$array[]=array(0=>"Foto 1° stralcio"                                                            );
	$array[]=array(0=>"Autorizzazione subappalto"                                                   );
	$array[]=array(0=>"105 Coperture assicurative"                                                  );
	$array[]=array(0=>"Comunicazioni dalla/all'impresa"                                             );
	$array[]=array(0=>"311 Valutazioni energetiche"	                                                ); 
	
	foreach ($array as $key => $value)
	{
		$Descrizione = ntxs($value[0]); 
		
		$sql = <<< sql
		SELECT ID
		FROM TipiDocsEdifici 
		WHERE
			IdCommessa = $IdCommessa 
			AND Descrizione = $Descrizione 
sql;
		$IdRel = ntxScalar($sql);
		
		if(!is_numeric($IdRel))
		{
			$sql = <<< sql
			INSERT INTO TipiDocsEdifici
						   (IdCommessa, Descrizione)
			VALUES ($IdCommessa, $Descrizione)	
sql;
			ntxQuery($sql);
			
			$IdRel = ntxScalar("SELECT MAX(ID) FROM TipiDocsEdifici");
		}  
	} 
}





//inseriamo il tipo F.C. se non è presente
$sql = <<< sql
SELECT DISTINCT GruppiDocsEdifici_Tipi.ID

FROM  
	GruppiDocsEdifici_Tipi
	
WHERE
  GruppiDocsEdifici_Tipi.IdCommessa = $IdCommessa
  AND LTRIM(RTRIM(GruppiDocsEdifici_Tipi.Codice)) LIKE 'F.C.' 
sql;
$IDff = ntxScalar($sql);
if(is_numeric($IDff) && $IDff>0)
{
}
else
{
	$GruppiDocsEdifici_Tipi= new NtxTable("GruppiDocsEdifici_Tipi");
	$Insert= $GruppiDocsEdifici_Tipi->insert();
	
	$Insert->set("Codice", "F.C.");	
	$Insert->set("Nome", "Fascicolo di Cantiere");	
	$Insert->set("IdCommessa", $IdCommessa);	

	$Insert->execute();
}


//inseriamo il tipo F.Comm. se non è presente
$sql = <<< sql
SELECT DISTINCT GruppiDocsEdifici_Tipi.ID

FROM  
	GruppiDocsEdifici_Tipi
	
WHERE
  GruppiDocsEdifici_Tipi.IdCommessa = $IdCommessa
  AND LTRIM(RTRIM(GruppiDocsEdifici_Tipi.Codice)) LIKE 'F.Comm.' 
sql;
$IDff = ntxScalar($sql);
if(is_numeric($IDff) && $IDff>0)
{
}
else
{
	$GruppiDocsEdifici_Tipi= new NtxTable("GruppiDocsEdifici_Tipi");
	$Insert= $GruppiDocsEdifici_Tipi->insert();
	
	$Insert->set("Codice", "F.Comm.");	
	$Insert->set("Nome", "Fascicolo di Commessa");	
	$Insert->set("IdCommessa", $IdCommessa);	

	$Insert->execute();
}
?>