<?php

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');

$where = "WHERE (ElencoEdifici.IDCommessa = $IdCommessa) ";

if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( strlen("$_POST[EdificioBreve]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";

if ( strlen("$_POST[EdificioEstesa]")>0 ) $where .= " AND ElencoEdifici.EdificioEstesa LIKE '%".str_replace("'","''",$_POST[EdificioEstesa])."%'";

if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[CITTA]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";

if ( strlen("$_POST[PROVINCIA]")>0 ) $where .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[PROVINCIA])."%'";

if ( strlen("$_POST[Regione]")>0 ) $where .= " AND ElencoEdifici.Regione LIKE '%".str_replace("'","''",$_POST[Regione])."%'";

if ( strlen("$_POST[CAP]")>0 ) $where .= " AND ElencoEdifici.CAP = '".str_replace("'","''",$_POST[CAP])."'";

if ( strlen("$_POST[Proprietario]")>0 ) $where .= " AND tblPgPropietari.Nome LIKE '%".str_replace("'","''",$_POST[Proprietario])."%'";

if ( strlen("$_POST[NoteSpazioDaCensire]")>0 ) $where .= " AND ElencoEdifici.NoteSpazioDaCensire LIKE '%".str_replace("'","''",$_POST[NoteSpazioDaCensire])."%'";

if ( strlen("$_POST[NotePlanimetrie]")>0 ) $where .= " AND ElencoEdifici.NotePlanimetrie LIKE '%".str_replace("'","''",$_POST[NotePlanimetrie])."%'";

if ( is_numeric($_POST[ID2]) ) $where .= " AND ElencoEdifici.ID=".((int)$_POST[ID2]);

if ( is_numeric($_POST[TipoPlanimetrie]) ) $where .= " AND ElencoEdifici.TipoPlanimetrie=".((int)$_POST[TipoPlanimetrie]);

if ( is_numeric($_POST[StatoPlanimetrie]) ) $where .= " AND ElencoEdifici.StatoPlanimetrie=".((int)$_POST[StatoPlanimetrie]);

if ( is_numeric($_POST[NumeroPiani]) ) $where .= " AND ElencoEdifici.NumeroPiani=".((int)$_POST[NumeroPiani]);

if ( is_numeric($_POST[IndividuatoSpazioDaCensire]) ) $where .= " AND ElencoEdifici.IndividuatoSpazioDaCensire=".((int)$_POST[IndividuatoSpazioDaCensire]);

if ( is_numeric($_POST[TipoAttività2]) ) $where .= " AND CENSI_TipiAttività.IdTipoAttività=".((int)$_POST[TipoAttività2]);

if ( is_numeric($_POST[Tipo]) )
{
	if ( $_POST[Tipo]>0 )
		$where .= " AND ElencoEdifici.Tipo=".((int)$_POST[Tipo]);
	else
		$where .= " AND (ElencoEdifici.Tipo=0 OR ElencoEdifici.Tipo IS NULL)";
}

$sql = <<< sql
	SELECT     ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioEstesa, ElencoEdifici.AreaMQ, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, 
                      ElencoEdifici.CAP, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.Regione, ElencoEdifici.Tipo, tblPgPropietari.Nome AS Proprietario, 
                      ElencoEdifici.NumeroPiani, ElencoEdifici.NotePlanimetrie, ElencoEdifici.IndividuatoSpazioDaCensire, ElencoEdifici.NoteSpazioDaCensire, 
                      CENSI_TipiPlanimetrie.Tipo AS TipoPlanimetrie, CENSI_StatiPlanimetrie.Stato AS StatoPlanimetrie, CENSI_TipiAttività.Tipo TipoAttività,
					  CENSI_TipiAttività.IdTipoAttività,
					  
					  (
						SELECT     MIN(DataInizioP)
						FROM         CENSI_Programmate
						WHERE     (IdCommessa = ElencoEdifici.IdCommessa) 
							AND (IdEdificio = ElencoEdifici.ID) 
								AND (TipoAttività = CENSI_TipiAttività.IdTipoAttività) 
							AND (Stato = 1 OR Stato = 2)
					  ) MinDataInizioP,
					  
					  (
						SELECT     MAX(DataFineP)
						FROM         CENSI_Programmate
						WHERE     (IdCommessa = ElencoEdifici.IdCommessa) 
							AND (IdEdificio = ElencoEdifici.ID) 
								AND (TipoAttività = CENSI_TipiAttività.IdTipoAttività) 
							AND (Stato = 1 OR Stato = 2)
					  ) MaxDataFineP,
					  
					  (
						SELECT     MIN(DataInizioE)
						FROM         CENSI_Programmate
						WHERE     (IdCommessa = ElencoEdifici.IdCommessa) 
							AND (IdEdificio = ElencoEdifici.ID) 
								AND (TipoAttività = CENSI_TipiAttività.IdTipoAttività) 
							AND (Stato = 2)
					  ) MinDataInizioE,
					  
					  (
						SELECT     MAX(DataFineE)
						FROM         CENSI_Programmate
						WHERE     (IdCommessa = ElencoEdifici.IdCommessa) 
							AND (IdEdificio = ElencoEdifici.ID) 
								AND (TipoAttività = CENSI_TipiAttività.IdTipoAttività) 
							AND (Stato = 2)
					  ) MaxDataFineE
					  
	FROM         ElencoEdifici INNER JOIN
                      DitteEdifici ON ElencoEdifici.IdCommessa = DitteEdifici.IdCommessa AND ElencoEdifici.ID = DitteEdifici.IdEdificio LEFT OUTER JOIN
                      CENSI_TipiPlanimetrie ON ElencoEdifici.IdCommessa = CENSI_TipiPlanimetrie.IdCommessa AND 
                      ElencoEdifici.TipoPlanimetrie = CENSI_TipiPlanimetrie.IdTipo LEFT OUTER JOIN
                      CENSI_StatiPlanimetrie ON ElencoEdifici.IdCommessa = CENSI_StatiPlanimetrie.IdCommessa AND 
                      ElencoEdifici.StatoPlanimetrie = CENSI_StatiPlanimetrie.IdStato LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
					  , CENSI_TipiAttività
	$where AND (DitteEdifici.IdDitta=$IdDitta)
sql;

if ($_POST[chkOrdinaPerMinDataInizioP])
	$sql .= " ORDER BY MinDataInizioP, ID, IdTipoAttività";
else
	$sql .= " ORDER BY ID, IdTipoAttività";

$query = ntxQuery($sql);

if ( $_POST[chkGantt] )
{
	$sql = <<< sql
		SELECT     
				CENSI_Programmate.IdProgrammata, 
				CENSI_Programmate.IdEdificio,
				CENSI_Programmate.TipoAttività, 
				CENSI_Programmate.Stato, 

				CONVERT(VARCHAR(10), CENSI_Programmate.DataInizioP, 112) DataInizioP, 
				CONVERT(VARCHAR(10), CENSI_Programmate.DataFineP, 112) DataFineP, 
				CONVERT(VARCHAR(10), CENSI_Programmate.DataInizioE, 112) DataInizioE, 
				CONVERT(VARCHAR(10), CENSI_Programmate.DataFineE, 112) DataFineE
				
		FROM         ElencoEdifici INNER JOIN
                      DitteEdifici ON ElencoEdifici.IdCommessa = DitteEdifici.IdCommessa AND ElencoEdifici.ID = DitteEdifici.IdEdificio INNER JOIN
                      CENSI_Programmate ON DitteEdifici.IdCommessa = CENSI_Programmate.IdCommessa AND DitteEdifici.IdDitta = CENSI_Programmate.IdDitta AND 
                      DitteEdifici.IdEdificio = CENSI_Programmate.IdEdificio INNER JOIN
                      CENSI_TipiAttività ON CENSI_Programmate.IdCommessa = CENSI_TipiAttività.IdCommessa AND 
                      CENSI_Programmate.TipoAttività = CENSI_TipiAttività.IdTipoAttività LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
		$where
sql;

	$query2 = ntxQuery($sql);
	
	while( $query2  &&  $rs2 = ntxRecord($query2) )
	{
		$attivitàProgrammate["$rs2[IdEdificio] $rs2[TipoAttività]"][] = $rs2;
	}
}

?>
