<?php  

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio', false);

$sql = <<< sql
SELECT   DISTINCT  Ambiente.IDAmbiente AS Id, Ambiente.CodiceAssAmbiente AS Codice, DestinazioniDusoLivello.Destinazione AS Piano, 
                      DestinazioniDuso.Destinazione AS DesUso, Ambiente.CodiceAmbiente, Ambiente.IdLivello,
					  DestinazioniDusoLivello.ordinamento, DestinazioniDuso.ordinamento
FROM         Ambiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano LEFT OUTER JOIN
                      tblUtAmbienti ON Ambiente.IdCommessa = tblUtAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtAmbienti.IdEdificio AND 
                      Ambiente.IDAmbiente = tblUtAmbienti.IdAmbiente LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	
	WHERE (Ambiente.IdCommessa = $IdCommessa) AND (Ambiente.IdEdificio = $IdEdificio)
sql;

if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sql .= " AND (tblUtAmbienti.IdUtilizzatore = $IdUtilizzatore) ";
}

if ( is_numeric($_POST['IdPiano'])) 
{
	$IdPiano = (int)$_POST['IdPiano'];
	$sql .= " AND (Ambiente.IdLivello = $IdPiano) ";
}

if ( is_numeric($_POST['IdAmbiente'])) 
{
	$IdAmbiente = (int)$_POST['IdAmbiente'];
	$sql .= " AND (Ambiente.IDAmbiente = $IdAmbiente) ";
}

if ( is_numeric($_POST['IdUso'])) 
{
	$IdUso = (int)$_POST['IdUso'];
	$sql .= " AND (Ambiente.IdDestinazioneduso = $IdUso) ";
}

if ( isset($_POST['CodiceAssAmbiente'])  &&  strlen($_POST['CodiceAssAmbiente'])>0) 
{
	$str = stripslashes($_POST['CodiceAssAmbiente']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ambiente.CodiceAssAmbiente = '$str' ";
}

$sql .= <<< sql
		ORDER BY DestinazioniDusoLivello.ordinamento, DestinazioniDusoLivello.Destinazione, 
			DestinazioniDuso.ordinamento, DestinazioniDuso.Destinazione, 
			Ambiente.CodiceAssAmbiente;
sql;

$query = ntxQuery($sql);
	
?>
