<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_PATH.'richieste\ins_non_specifiche.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumRichiesta = ntxip('NumRichiesta'); // usata anche in _carica_richiesta
$AnnoRichiesta = ntxip('AnnoRichiesta'); // usata anche in _carica_richiesta
	
$mDataRichiesta = ntxtp('DataRichiesta');

if ( $mDataRichiesta === 'NULL' )
	$mDataRichiesta = 'getdate()';
	
require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari\check_affidatario_cliente.inc");

$Descrizione = $_POST['Descrizione'];

$des1 = $Descrizione;

$des2 = $des3 = "";

if ( strlen($Descrizione) > 255 )
{
	$des1 = substr($Descrizione, 0, 255); // prende i primi 255 caratteri
	$des2 = substr($Descrizione, 255); // prende i caratteri dal 256° in poi
}

if ( strlen($des2) > 255 )
{
	$des3 = substr($des2, 255); // prende i caratteri dal 256° in poi
	$des2 = substr($des2, 0, 255); // prende i primi 255 caratteri
	$des3 = substr($des3, 0, 255); // prende i primi 255 caratteri
}

$sql = " SELECT Stato FROM Richieste  "
		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta;";

$Stato = ntxScalar($sql);

if ( $Stato != 1  ) 
	ntxMsgErr('Non si possono modificare richieste non in stato registrato');


$Localizzazione = ntxip("Localizzazione");
if( ntxScalar("SELECT Rimosso FROM ElencoEdifici WHERE IdCommessa=$IdCommessa AND ID=$Localizzazione ")==1 )
	ntxmsgerr("Non e' possibile eseguire l'operazione richiesta.\nEdificio non utilizzabile!");
	
	
$sql = "UPDATE Richieste SET "

		."Richiedente = ".				ntxsp('Richiedente')
		.", Utente = ".					ntxs($_SESSION['Utente'])
		.", Operatore = ".				ntxs($_SESSION['Utente'])
		.", TelefonoRif = ".			ntxsp('TelefonoRif')

		.", DataRichiesta=$mDataRichiesta"
		
		.", Localizzazione = ".			ntxip('Localizzazione',false)
		.", IdRichiedente = ".			ntxip('IdRichiedente',false)

		.", DataModifica = getdate()"

		.", IdMestiere = ".				ntxip('IdMestiere',false)
		.", IdComponenteMestiere = ".	ntxip('IdComponenteMestiere')
		.", IdAttivitàMestiere = ".		ntxip('IdAttivitàMestiere')
		
		.", IdEnteTerzo = ".			ntxip('IdEnteTerzo')

		.", IdLivello = ".				ntxip('IdLivello')
		.", IdAmbiente = ".				ntxip('IdAmbiente')
		.", IdComponente = ".			ntxip('IdComponente')
		.", IdSubComponente = ".		ntxip('IdSubComponente')

		.", Descrizione = ".			ntxs($des1, 'Descrizione', false, false)
		.", Descrizione1 = ".			ntxs($des2)
		.", Descrizione2 = ".			ntxs($des3)

		.", [Note] = ".					ntxsp('NoteX')
		
		.", IdChiamataCallCenter = ".	ntxsp('IdChiamataCallCenter')

		.", GradoUrgenza = ".			ntxsp('GradoUrgenza')

		.", TecnicoC = ".				ntxsp('TecnicoC')

		.", Tecnico = ".				ntxsp('Tecnico')

		.", DataSopralluogo = ".		ntxtp('DataSopralluogo')

		.", NumRifCli = ".				ntxsp('NumRIE')
		.", AnnoRifCli = ".				ntxsp('AnnoRIE')
		
		.", Tipo = ".					ntxsp('Tipo')
		
		.", DataFineP = ".			ntxtp('DataFineP')
		.", DataInizioP = ".			ntxtp('DataInizioP')

		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta;";

ntxQuery($sql);

require_once(NTX_WEBPORTAL_PATH.'preventivi/_dispatch_richiesta_preventivo.inc');

//require_once('_carica_richiesta.inc');
require_once('anno_numero_richiesta.inc');

?>
