<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
	
require_once('ordini_sql.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>


<table>
	<tr>
		<th>Num. Ordine</th>
		<th>Anno Ordine</th>
		<th>Data Ordine</th>
		<th>Stato Ordine</th>
		<th>Stato Contabilita'</th>		
		<th>Num. Richiesta</th>
		<th>Anno Richiesta</th>
		<th>Richiedente</th>
		<th>Data Richiesta</th>
		<th>TipoC</th>
		
		<th>Data Inizio</th>
		<th>Data Fine</th>
		<th>Data Scadenza</th>
		<th>Mestiere</th>
		<th>Piano/Ambiente</th>
		<th>Componente</th>
		<th>Gr.Urgenza</th>
		
		<th>Des</th>
		<th>Ente</th>
		<th>Fornitore</th>
		<th>Codice Localizzazione</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>Utilizzatore</th>
	</tr>   

<?php

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td>&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesstatoC']) ?></td>		
		<td>&nbsp;<?php echo htmlentities($rs['NumRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['AnnoRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Contabiliz']) ?></td>
	
			<?php
				$style = "";
				
				if ( ! $rs['Finito'] )
				{
					if ($rs['InizioMaggioreScadenza']>0)
						$style = " style='background: red;color:white' ";
				}
			?>
		<td <?php echo $style ?> >&nbsp;<?php echo htmlentities(ntxDateTime($rs['DataInizio'])) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataFine']) ?></td>
			<?php
				$style = "";
				
				if ( !$rs['Finito'] )
				{
					if ($rs['InizioMaggioreScadenza']<=0  &&  $rs['Scaduto']<0)
						$style = " style='background: red;color:white' ";
				}
			?>
		<td <?php echo  $style ?> >&nbsp;<?php echo ntxDateTime($rs['DataScadenza']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Mestiere']) ?></td>

<?php
		$edificio = '';
		
		if ( $rs['DesPiano']."" != "" )
			$edificio .= ' - '.$rs['DesPiano'];
		
		if ( $rs['CodAmb']."" != "" )
			$edificio .= ' - ('.$rs['CodAmb'].') '.$rs['DesAmb'];
		elseif ( $rs['DesAmb']."" != "" )
			$edificio .= ' - ('.$rs['DesAmb'].')';
?>
		<td>&nbsp;<?php echo htmlentities($edificio) ?></td>

		<td>&nbsp;
					Codice: <?php echo htmlentities($rs['CodiceAssComponente']) ?><br>
					Tipo: <?php echo htmlentities($rs['DesComponente']) ?></td>

		<td>&nbsp;<?php echo htmlentities($rs['GrUrgenza']) ?></td>
	
		<td>&nbsp;<?php echo htmlentities($rs['Des']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td>
	</tr>
<?php
	}
?>
</table>

</body>
</html>

