<?php  

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sql = <<< sql
SELECT  DISTINCT   Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta,  Richieste.IdChiamataCallCenter, Stati.DesStato, 
                      Richieste.Descrizione + Richieste.Descrizione1 + Richieste.Descrizione2 AS Des, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, 
                      ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, 
                      tblPgPropietari.Nome AS Ente, Richieste.Classificazione, tblUtUtilizzatori.Nome AS Utilizzatore
					  , Richieste.NumOrdineFonte, Richieste.AnnoOrdineFonte,
					  Ordini.NumOrdine, Ordini.AnnoOrdine,
					  Richieste.ImpS, Richieste.NoteImpS, Richieste.Richiedente
FROM         Richieste INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id LEFT OUTER JOIN
                      Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
                      Richieste.AnnoRichiesta = Ordini.AnnoRichiesta LEFT OUTER JOIN
                      tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND 
                      Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
								LEFT OUTER JOIN
				RichiesteLatLon ON Richieste.IDCommessa = RichiesteLatLon.IDCommessa AND Richieste.NumRichiesta = RichiesteLatLon.NumRichiesta AND 
				Richieste.AnnoRichiesta = RichiesteLatLon.AnnoRichiesta 		
WHERE     (Utenti.Nome = $mUtente)
			AND (Utenti.Password = $mPassword)
			AND (Richieste.IdCommessa = $IdCommessa)
sql;
	
if ( isset($_POST['Classificazione'])  &&  strlen($_POST['Classificazione'])>0) 
{
	$str = stripslashes($_POST['Classificazione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Classificazione = '".$str."' ";
}

if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sql .= " AND (Richieste.IdUtilizzatore = $IdUtilizzatore) ";
}

if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sql .= " AND (Richieste.IdMestiere = $IdMestiere) ";
}
		
if ( is_numeric($_POST['Stato'])) 
{
	$Stato = (int)$_POST['Stato'];
	$sql .= " AND (Richieste.Stato = $Stato) ";
}

if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sql .= " AND (Richieste.IdComponenteMestiere = $IdComponente) ";
}
	
if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (Richieste.Localizzazione = $IdEdificio) ";
}

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sql .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sql .= " AND Richieste.DataRichiesta <= ".$str." ";
}

if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sql .= " AND Richieste.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sql .= " AND Richieste.AnnoRichiesta = $val ";
}


//aggiunta 5.08.2010
if ( isset($_POST['Richiedente'])  &&  strlen($_POST['Richiedente'])>0) 
{
	$str = stripslashes($_POST['Richiedente']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Richiedente LIKE '%".$str."%' ";
}


if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Descrizione+Richieste.Descrizione1+Richieste.Descrizione2 LIKE '%".$str."%' ";
}


if ( isset($_POST['Operatore'])  &&  strlen($_POST['Operatore'])>0) 
{
	$str = stripslashes($_POST['Operatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Operatore LIKE '%".$str."%' ";
}

if ( isset($_POST['GradoUrgenza2'])  &&  strlen($_POST['GradoUrgenza2'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.GradoUrgenza = '".$str."' ";
}
/* else
{
	$sqlGradoU = <<< sql
			SELECT     GradoU
			FROM         TabellaGradoUrgenza
			WHERE     (IdCommessa = $IdCommessa) AND (Specifici=1)
sql;

	$query = ntxQuery($sqlGradoU);
	
	while ( $rs = ntxIRecord($query) )
	{
		$value = ntxs($rs[0]);
		
		$sql .= " AND Richieste.GradoUrgenza <> $value ";
	}
} */

if ( isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza1']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.GradoUrgenza = '".$str."' ";
}

//fine aggiunta

if ( isset($_POST['Civico'])  &&  strlen($_POST['Civico'])>0) 
{
	$str = stripslashes($_POST['Civico']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND RichiesteLatLon.Civico = '".$str."' ";
}

if ( isset($_POST['SubCivico'])  &&  strlen($_POST['SubCivico'])>0) 
{
	$str = stripslashes($_POST['SubCivico']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND RichiesteLatLon.SubCivico = '".$str."' ";
}

if ( isset($_POST['DescrizionePI'])  &&  strlen($_POST['DescrizionePI'])>0) 
{
	$str = stripslashes($_POST['DescrizionePI']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND RichiesteLatLon.Descrizione LIKE '%".$str."%' ";
}

if ( isset($_POST['NotaPI'])  &&  strlen($_POST['NotaPI'])>0) 
{
	$str = stripslashes($_POST['NotaPI']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND RichiesteLatLon.Nota	LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Latitudine'])  &&  is_numeric($_POST['Longitudine']) ) 
{
	$lat = (float)$_POST['Latitudine'];
	$lng = (float)$_POST['Longitudine'];
	
	$haversineTmp .= " AND (dbo.haversine('km', RichiesteLatLon.Latitudine, RichiesteLatLon.Longitudine, $lat, $lng) <= "; 	
	
	if ( is_numeric($_POST['RaggioRicercaPI']) ) 
	{
		$distanza = (int)$_POST['RaggioRicercaPI'];

		$haversineTmp .= " $distanza) ";
		
		$sql .= $haversineTmp;
	}
}


 
if(isset($eseguiQueryPaginazione) && $eseguiQueryPaginazione==true)
{
	$query = ntxPagedQuery($sql, " DataRichiesta DESC ");
}
else
{
	$sql .= " ORDER BY DataRichiesta DESC ";
	$query = ntxQuery($sql);	
}	
?>
