<?php

session_start();

require_once('../../../_ntx/ntxconst.inc');

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_239", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_239", "IT", __FILE__);

$IdCommessa = ntxise("IdCommessa");
$IdDoc = ntxip("IdDoc");
$NumRichiesta = ntxip("NumRichiesta");
$AnnoRichiesta = ntxip("AnnoRichiesta");

$sql = <<< SQL
	UPDATE Richieste SET Stato=15
		WHERE IdCommessa=$IdCommessa
		AND NumRichiesta=$NumRichiesta
		AND AnnoRichiesta=$AnnoRichiesta
		AND Stato=5
SQL;

ntxQuery($sql);

$sql = <<< SQL
		SELECT     Utenti.Email
		FROM         UtentiTecnici INNER JOIN
		                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
		                      Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
		                      Richieste ON Tecnici.Tecnico = Richieste.TecnicoC
		WHERE     (Tecnici.Tipo = 'PROV') AND (Tecnici.Autorizzatore = 1)
			AND IdCommessa=$IdCommessa
			AND NumRichiesta=$NumRichiesta
			AND AnnoRichiesta=$AnnoRichiesta
			AND Stato=15
SQL;

if ( $email_destinatario = ntxScalar($sql) ) 
{
	$oggetto = $messaggio = $traduttore->traduci('Pronto preventivo per richiesta')." $NumRichiesta/$AnnoRichiesta";
	
	ntxFireNetInit($_SESSION['Utente'].'',				
					$traduttore->traduci('Ca-preventivo Richiesta'),				
					$traduttore->traduci('Richiesta')." $NumRichiesta/$AnnoRichiesta",			
					"Email",		
					$email_destinatario,		
					$oggetto,				
					$messaggio,
					true);	
					
	$sql = <<< SQL
		SELECT     Tecnici.Tecnico
		FROM         UtentiTecnici INNER JOIN
		                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
		                      Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
		                      Richieste ON Tecnici.Tecnico = Richieste.TecnicoC
		WHERE     (Tecnici.Tipo = 'PROV') AND (Tecnici.Autorizzatore = 1)
			AND IdCommessa=$IdCommessa
			AND NumRichiesta=$NumRichiesta
			AND AnnoRichiesta=$AnnoRichiesta
			AND Stato=15
SQL;
	$Tecnico = ntxScalar($sql);
	
	echo htmlentities($traduttore->traduci('Email Richiesta')." $NumRichiesta/$AnnoRichiesta ".$traduttore->traduci('inviata a')." <{$Tecnico}> Email <{$email_destinatario}>");
}
else
	echo $traduttore->traduci('Nessun Email a TecnicoC su Richiesta')." $NumRichiesta/$AnnoRichiesta ".$traduttore->traduci('a cui mandare email!');
?>

<script language=javascript>
window.close();
</script>
<?php $traduttore->Salva(); ?>
