<?php
if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_241", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_241", "IT", __FILE__);

$vista_cliente = $_POST[vista_cliente]==1 ? 1 : 0;

$ListaNumContabilità = ntxlnp('lista_id');

$ListaNumContabilità = explode(",", $_POST[lista_id]);

$IdCommessa = ntxise('IdCommessa'); 
$mUtente = ntxsse('Utente');

$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

$SchemaCommessa = ntxScalar($sql);

function GeneraSubQuery($TipoPrezzo)
{
	global $IdCommessa, $NumContabilità;
	
	$TipoPrezzo2 = "ElencoPrezziInCommessa.TipoPrezzo=$TipoPrezzo";

	$sql = <<< SQL
		SELECT  SUM(ISNULL( RiheContabilità.QTA * RiheContabilità.PzUnitario, 0))
		FROM         RiheContabilità INNER JOIN
                      Contabilità ON RiheContabilità.IdCommessa = Contabilità.IDCommessa AND RiheContabilità.NumContabilità = Contabilità.NumContabilità INNER JOIN
                      ElencoPrezziInCommessa ON RiheContabilità.IdCommessa = ElencoPrezziInCommessa.IdCommessa AND 
                      RiheContabilità.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo
		WHERE     $TipoPrezzo2 
				AND Contabilità.IDCommessa = $IdCommessa
				AND Contabilità.NumContabilità = $NumContabilità
SQL;

	return $sql;
}

foreach($ListaNumContabilità as $NumContabilità)
{
	if ( $SchemaCommessa=='isi' )
	{
		$sql1 = <<< sql
			SELECT CASE dbo.VersContiContabilità($IdCommessa, $NumContabilità)
				WHEN '2' THEN
					F2*(1+E3*(1-E4))+F6*(1-E7)+F9*(1-E10)+F12*(1-E13)+F15+F12b+F9b
				ELSE
					F2*(1+E3*(1-E4))+F6*(1-E7)+(F9+F9b)*(1-E10)+(F12+F12b)*(1-E13)+F15+(F2*(1+E3*(1-E4))+F6+F9+F9b+F12+F12b+F15)*E16
				END
			
			FROM (	SELECT 0.25 AS E3,
					0.15  AS E4,  
					0.15  AS E7,  
					0.15  AS E10, 
					0.15  AS E13, 
					0.025 AS E16, 
sql;

		$sql1 .= "ISNULL((".GeneraSubQuery(2)."),0) AS F2, 		";
		$sql1 .= "ISNULL((".GeneraSubQuery(5)."),0) AS F6, 		";
		$sql1 .= "ISNULL((".GeneraSubQuery(1)."),0) AS F9, 		";
		$sql1 .= "ISNULL((".GeneraSubQuery(6)."),0) AS F12, 	";
		$sql1 .= "ISNULL((".GeneraSubQuery(7)."),0) AS F9b, 	";
		$sql1 .= "ISNULL((".GeneraSubQuery(3)."),0) AS F12b, 	";
		$sql1 .= "ISNULL((".GeneraSubQuery(1001)."),0) AS F15 ";
				
		$sql1 .= ") a ";
	}
	elseif ( $SchemaCommessa=='san_lazzaro' )
	{
		$sql1 = "SELECT dbo.ImportoContabilitàSanLazzaro($IdCommessa, $NumContabilità)";
	}
	elseif( $vista_cliente )
	{
		$sql1 = <<< sql
			SELECT SUM(Netto)
			FROM (
					SELECT     sum( isnull(RiheContabilità.QTA * RiheContabilità.PzUnitario, 0)
										* (1 - isnull(RiheContabilità.Sconto, 0)/100)
								) Netto
					FROM         RiheContabilità
					WHERE     (RiheContabilità.IdCommessa = $IdCommessa) 
							AND (RiheContabilità.NumContabilità = $NumContabilità)
							AND (RiheContabilità.OneriSicurezza = 0 OR RiheContabilità.OneriSicurezza IS NULL) AND (RiheContabilità.TipoPrezzo <> 2)
					UNION
					SELECT     sum( isnull(RiheContabilità.QTA * RiheContabilità.PzUnitario * 0.951126, 0) ) Netto
					FROM         RiheContabilità 
					WHERE     (RiheContabilità.IdCommessa = $IdCommessa) 
							AND (RiheContabilità.NumContabilità = $NumContabilità)
							AND (RiheContabilità.OneriSicurezza = 0 OR RiheContabilità.OneriSicurezza IS NULL) AND (RiheContabilità.TipoPrezzo = 2)
					UNION
					SELECT     sum( isnull(RiheContabilità.QTA * RiheContabilità.PzUnitario, 0) ) Netto
					FROM         RiheContabilità
					WHERE     (RiheContabilità.IdCommessa = $IdCommessa) 
							AND (RiheContabilità.NumContabilità = $NumContabilità)
							AND (RiheContabilità.OneriSicurezza = 1)
				) a			
sql;
	}
	else
	{
		$sql1 = <<< sql
					SELECT     sum( isnull(RiheContabilità.QTA * RiheContabilità.PzUnitario, 0)
										* (1 - isnull(RiheContabilità.Sconto, 0)/100))
					FROM         RiheContabilità
					WHERE     (RiheContabilità.IdCommessa = $IdCommessa) 
							AND (RiheContabilità.NumContabilità = $NumContabilità)
sql;
	}

	$ImportoStimatoC = ntxf(ntxScalar($sql1));

	$sql = <<< SQL
		UPDATE    Contabilità
		SET              idStatoc = 60
							, Approvato = 1
							, DataModifica = getdate()
							, DataApprovazione = getdate()
							, ImportoStimatoC = $ImportoStimatoC
							, UtenteApprovazione = $mUtente
				WHERE Contabilità.IDCommessa = $IdCommessa
					AND Contabilità.NumContabilità = $NumContabilità
					AND idstatoc < 60
SQL;

	ntxQuery($sql);

	$sql = <<< SQL
		SELECT     Richieste.Localizzazione, Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, Ordini.IdMestiere, Ordini.Assegnazione, 
							  Richieste.IdAffidatario, Contabilità.NumOrdine, Contabilità.AnnoOrdine
		FROM         Ordini INNER JOIN
							  Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
							  Ordini.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
							  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
							  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
		WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumContabilità = $NumContabilità)
SQL;

	$query = ntxQuery($sql);

	if ( $rs = ntxIRecord($query) ) 
	{
		$Localizzazione = $rs[0];
		$NumRichiesta = $rs[1];
		$AnnoRichiesta = $rs[2];
		$DataRichiesta = ntxt(ntxDate($rs[3]));
		$IdMestiere = $rs[4];
		$IdDitta = $rs[5];
		$IdAffidatario = $rs[6];
		$NumOrdine = (int)$rs[7];
		$AnnoOrdine = $rs[8];
		
		$emailRifFuori = null;
			
		if ( is_numeric($IdAffidatario) )
		{
			$sqlEmailRifFuori = <<< sql
				SELECT DISTINCT email_1
				FROM         tblPgRifAffidatari
				WHERE     (VistaFuoriContratto = 1) 
					AND (IdAffidatario = $IdAffidatario)			
					AND (email_1 IS NOT NULL)
					AND (email_1 <> '')
sql;
			$query = ntxQuery($sqlEmailRifFuori);
			
			while( $rs = ntxIRecord($query) )
			{
				$emailRifFuori[] = $rs[email_1];
			}
		}

		$sql = <<< SQL
			SELECT DISTINCT tblPgRifAffidatari.email_1
			FROM tblComponetiMestiere INNER JOIN
				tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
				tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
				tblPgContrattiRifAffidatari INNER JOIN
				tblPgContrattiRifAffidatariAttivitàEdifici ON 
				tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
				tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
				tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
				tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
				tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
			WHERE (tblComponetiMestiere.IdMestiere = $IdMestiere) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa)
				AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) 
				AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)
				AND (tblPgRifAffidatari.email_1 IS NOT NULL)
				AND (tblPgRifAffidatari.email_1 <> '')
SQL;

		if ( is_numeric($IdAffidatario) )
			$sql .= " AND tblPgRifAffidatari.IdAffidatario = $IdAffidatario ";

		$queryEmailRif1 = ntxQuery($sql);
		
		$NonTrovataEmailRif1 = true;
		
		$oggetto = $messaggio = $traduttore->traduci('Approvazione Contabilita\'')." $NumContabilità ".$traduttore->traduci('Ordine')." $NumOrdine/$AnnoOrdine";
		
		while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					$traduttore->traduci('Ca-approvata Contabilita')."",				
					$traduttore->traduci('Contabilita')." $NumContabilità",			
					"Email",		
					$rsEmailRif1[0],		
					$oggetto,				
					$messaggio,
					true);	
		
			$NonTrovataEmailRif1 = false;
		}
		
		if ( $NonTrovataEmailRif1  &&  isset($emailRifFuori) )
		{
			foreach ( $emailRifFuori as $email )
			{
				ntxFireNetInit($_SESSION['Utente'].'',				
						$traduttore->traduci('Ca-approvata Contabilita')."",				
						$traduttore->traduci('Contabilita')." $NumContabilità",			
						"Email",		
						$email,		
						$oggetto,				
						$messaggio,
						true);	
			
				$NonTrovataEmailRif1 = false;
			}
		}
		
		if ( $NonTrovataEmailRif1 )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					$traduttore->traduci('Ca-approvata Contabilita')."",				
					$traduttore->traduci('Contabilita')." $NumContabilità",			
					"Email",		
					EMAIL_DEBUG,		
					$oggetto,				
					$messaggio,
					true);	
		}
					
	}	
}
$traduttore->Salva();

jhp_ok();

?>
