<?php  

session_start();
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_242", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_242", "IT", __FILE__);
?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0_sfondo_bianco.css" rel="stylesheet" type="text/css">
	<style>
		<?php include("css/style.css") ?>
	</style>

</head>
<body>
<input type=button value="<?php $traduttore->html('Stampa') ?>" onclick="print()" />

<?php  

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

if (!is_numeric($NumOrdine) ||!is_numeric($AnnoOrdine) )
	die("Manca associazione ad ordine!");

$sql = <<< sql
	SELECT     TOP (1) Richieste.NumRifCli, Richieste.AnnoRifCli, Richieste.CommRifCli
	FROM         Richieste INNER JOIN
						  Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
						  Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine)
sql;

$rs = ntxRecord(ntxQuery($sql));

$NumRifCli = $rs[NumRifCli];
$AnnoRifCli = $rs[AnnoRifCli];
$CommRifCli = ntxs("$rs[CommRifCli]");

if (!is_numeric($NumRifCli) ||!is_numeric($AnnoRifCli) )
	die($traduttore->traduci('NumRifCli e AnnoRifCli non assegnati!'));

$NumRifCli = (int)$rs[NumRifCli];
$AnnoRifCli = (int)$rs[AnnoRifCli];

require_once("richiesta.inc");
require_once("ordini.inc");

$TotTotLordoPerLavori = $TotTotNettoPerLavori = $TotTotNettoPerOneriSicurezza = 0;

$titolo = $traduttore->traduci('Opere su Misura');
$AND_WHERE = " AND (RiheContabilità.OneriSicurezza = 0 OR RiheContabilità.OneriSicurezza IS NULL) AND (RiheContabilità.TipoPrezzo <> 2) AND (RiheContabilità.TipoPrezzo <> 5) ";
require("rihe_cont.inc");

$TotTotLordoPerLavori += $TotaleLordo;
$TotTotNettoPerLavori += $TotaleNetto;

echo "&nbsp;<br>";

$titolo = $traduttore->traduci('Manodopera');
$AND_WHERE = " AND (RiheContabilità.OneriSicurezza = 0 OR RiheContabilità.OneriSicurezza IS NULL) AND (RiheContabilità.TipoPrezzo = 2) ";
require_once("rihe_cont_manodopera.inc");

$TotTotLordoPerLavori += $TotaleLordo;
$TotTotNettoPerLavori += $TotaleNetto;

echo "&nbsp;<br>";

$titolo = $traduttore->traduci('Forniture e Noli');
$AND_WHERE = " AND (RiheContabilità.OneriSicurezza = 0 OR RiheContabilità.OneriSicurezza IS NULL) AND (RiheContabilità.TipoPrezzo = 5) ";
require("rihe_cont.inc");

$TotTotLordoPerLavori += $TotaleLordo;
$TotTotNettoPerLavori += $TotaleNetto;

echo "&nbsp;<br>";

$titolo = $traduttore->traduci('Oneri Sicurezza');
$AND_WHERE = " AND (RiheContabilità.OneriSicurezza = 1) ";
require_once("rihe_cont_oneri_sicur.inc");

$TotTotNettoPerOneriSicurezza += $TotaleLordo;

$TotTotLordo = $TotTotLordoPerLavori;
$TotTotNetto = $TotTotNettoPerLavori + $TotTotNettoPerOneriSicurezza;

echo "&nbsp;<br><p class=Title>".$traduttore->traduci('Riepilogo Ordine Cliente').": $html[NumRifCli]-$html[AnnoRifCli]-$html[CommRifCli]</p>";

?>


<table class=TableRiepilogo>
	<tr>
		<th>
		<th style="text-align:right"><?php $traduttore->html('Lordo') ?>
		<th style="text-align:right"><?php $traduttore->html('Netto') ?>
	<tr>
		<th style="text-align:right"><?php $traduttore->html('Per Lavori') ?>:
		<td style="text-align:right"><?php echo ntxRound($TotTotLordoPerLavori,2) ?>
		<td style="text-align:right"><?php echo ntxRound($TotTotNettoPerLavori,2) ?>
	<tr>
		<th style="text-align:right"><?php $traduttore->html('Oneri Sicurezza') ?>:
		<td>
		<td style="text-align:right"><?php echo ntxRound($TotTotNettoPerOneriSicurezza,2) ?>
	<tr>
		<th style="text-align:right"><?php $traduttore->html('Totale') ?>:
		<td style="text-align:right"><?php echo ntxRound($TotTotLordo,2) ?>
		<td style="text-align:right"><?php echo ntxRound($TotTotNetto,2) ?>
		

</body>
<?php $traduttore->Salva(); ?>

</html>
