<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require('contatori_sql.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>

	
<table>
	<tr>	
		<th>CDC</th>	
		<th>Punto Vendita</th>
		<th>Canale</th>		
		<th>Tipo Utenza</th>
		<th>Descrizione Contatore</th>		
		<th>Matricola</th>
		<th>Anno</th>		
		<th></th>		
		<th>Gen</th>
		<th>Feb</th>
		<th>Mar</th>
		<th>Apr</th>
		<th>Mag</th>
		<th>Giu</th>
		<th>Lug</th>
		<th>Ago</th>
		<th>Set</th>
		<th>Ott</th>
		<th>Nov</th>
		<th>Dic</th>
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['CdcCliente']) ?></td>			
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['EdificioBreve']) ?></td>			
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['CodiceFiscale']) ?></td>			
		
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Tipo']) ?></td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Descrizione']) ?></td>			
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Codice']) ?></td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Anno']) ?></td>		
		
		<td></td>	
		
		<?php
		$IdContatore = (int)$rs['Id'];
		$Anno = (int)$rs['Anno'];
		
		require('consumo_per_mese.inc');
		?>
		
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[1], 0) ) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[2], 0) ) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[3], 0) ) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[4], 0) ) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[5], 0) ) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[6], 0) ) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[7], 0) ) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[8], 0) ) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[9], 0) ) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[10],0) ) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[11],0) ) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities( ntxRoundThousand($array[12],0) ) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>


</body>
</html>
