<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('libs_supporto.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
	
	<style type="text/css"> 
		table, td {	border: 1px solid black; }	
	</style>
</head>
<body>
	

<?php
	require('contatori_sql.inc');
	
	$rs = ntxRecord($query);
?>

<table>
	<caption>Controllo Consumi</caption>
	<tr>
		<th>Matricola</th>	
		<td><?php echo htmlentities($rs['Codice']) ?></td>
	</tr>	
	<tr>	
		<th>Tipo Utenza</th>
		<td><?php echo htmlentities($rs['Tipo']) ?></td>	
	</tr>	
	
	<tr>	
		<th>Descrizione Contatore</th>
		<td><?php echo htmlentities($rs['Descrizione']) ?></td>	
	</tr>		
	
	<tr>	
		<th>Punto Vendita</th>	
		<td><?php echo htmlentities($rs['EdificioBreve']) ?></td>
	</tr>	
	<tr>	
		<th>K</th>	
		<td><?php echo htmlentities($rs['K']) ?></td>			
	</tr>
</table>

<br>


<table>
<tr>
<td>


<table>
	<caption>Rilevazioni Letture</caption>
	<tr>
		<th>Mese/Anno</th>	
		<th>Data</th>
		<th></th>		
		<th>A1</th>
		<th>A2</th>
		<th>A3</th>
		<th></th>				
		<th>A0</th>		
	</tr>   
<?php	
	$IdContatore=(int)$_POST[IdContatore];
	$IdCommessa=(int)$_SESSION[IdCommessa];
	
	$Where = " IdContatore=$IdContatore AND IdCommessa=$IdCommessa ";
	
	if( is_numeric($_POST[Anno]) )
	{
		$anno=(int)$_POST[Anno];
		$Where.= " AND Anno=$anno ";
		
		//anno minimo e anno massimo
		$sql = <<< sql
			SELECT MIN(lettureContatori.Anno), MAX(lettureContatori.Anno)
			FROM  lettureContatori INNER JOIN Contatori ON lettureContatori.IdContatore = Contatori.Id 
			WHERE $Where
sql;
		$query = ntxQuery($sql);	
		if( $rs = ntxIRecord($query) )
		{
			$annoMin=$rs[0];
			$annoMax=$rs[1];		
		}	
		
		if(is_numeric($annoMin))//mese minimo per l'anno minimo
		{
			$sql = <<< sql
				SELECT MIN(lettureContatori.Mese)
				FROM  lettureContatori INNER JOIN Contatori ON lettureContatori.IdContatore = Contatori.Id 
				WHERE IdContatore=$IdContatore AND IdCommessa=$IdCommessa AND Anno=$annoMin
sql;
			$meseMin = ntxScalar($sql);
		}
		else
			$meseMin=1;

		if(is_numeric($annoMax))//mese massimo per l'anno massimo
		{	
			$sql = <<< sql
				SELECT MAX(lettureContatori.Mese)
				FROM  lettureContatori INNER JOIN Contatori ON lettureContatori.IdContatore = Contatori.Id 
				WHERE IdContatore=$IdContatore AND IdCommessa=$IdCommessa AND Anno=$annoMax
sql;
			$meseMax = ntxScalar($sql);	
		}
		else
			$meseMax=12;		
	}
	
	$contatori=Array();
		
	//troviamo le letture
	$sql = <<< sql
		SELECT lettureContatori.Anno, lettureContatori.Mese, lettureContatori.dataOra, lettureContatori.Lettura1, lettureContatori.Lettura2, lettureContatori.Lettura3, lettureContatori.Lettura4
		FROM  lettureContatori INNER JOIN Contatori ON lettureContatori.IdContatore = Contatori.Id 
		WHERE $Where
		ORDER BY Anno, Mese, dataOra
sql;
	$query = ntxQuery($sql);	
	while( $rs = ntxRecord($query) )
		$contatori[(int)$rs['Anno']][(int)$rs['Mese']]= array( "dataOra" => $rs['dataOra'], "A0" => $rs['Lettura1'], "A1" => $rs['Lettura2'], "A2" => $rs['Lettura3'], "A3" => $rs['Lettura4'] );

	if( is_numeric($_POST[Anno]) )	
		$contatori=CreaTabella(1, $anno, 12, $anno, $contatori);
	else
		$contatori=CreaTabella($meseMin, $annoMin, $meseMax, $annoMax, $contatori);
		
	$alternate = true;

		
	foreach ($contatori as $Anno=>$Anni)
	{
		if(!is_numeric($Anno)) continue;
		
		foreach ($Anni as $Mese=>$Mesi)
		{		
			$A0=$contatori[$Anno][$Mese]['A0'];
			$A1=$contatori[$Anno][$Mese]['A1'];
			$A2=$contatori[$Anno][$Mese]['A2'];
			$A3=$contatori[$Anno][$Mese]['A3'];		
			
			$meseTxt=nomeMese($Mese-1);
?>			
			<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities("  ".$meseTxt." ".$Anno) ?></td>
				
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities(ntxDateTime($contatori[$Anno][$Mese]['dataOra'])) ?></td>	

			<td <?php echo  $alternate ? "" : "class=td2" ?> ></td>

			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($A1,0) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($A2,0) ?></td>			
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($A3,0) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ></td>					
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($A0,0) ?></td>	
			</tr>
<?php
			$alternate = !$alternate;	
		}
	}	
?>	
</table>		
</td>
	
<td></td>		

<td>	
<table>
	<caption>Calcolo Consumi</caption>
	<tr>			
		<th>Calcolo Consumi</th>
		<th>A1</th>
		<th>A2</th>
		<th>A3</th>
		<th></th>				
		<th>A0</th>		
		<th></th>				
		<th>Tot Mese</th>				
	</tr>   
<?php	
	$sql = <<< sql
		SELECT K
		FROM Contatori
		WHERE Id=$IdContatore AND IdCommessa=$IdCommessa
sql;
	
	$K = ntxScalar($sql);
		
	if(!is_numeric($K))	
		$K=1;
	
	
	foreach ($contatori as $Anno=>$Anni)
	{
		if(!is_numeric($Anno)) continue;
			
		foreach ($Anni as $Mese=>$Mesi)
		{	
			$A0=$contatori[$Anno][$Mese]['A0'];
			$A1=$contatori[$Anno][$Mese]['A1'];
			$A2=$contatori[$Anno][$Mese]['A2'];
			$A3=$contatori[$Anno][$Mese]['A3'];		

			if($Mese==1)
			{
				$MesePrec = 12;
				$AnnoPrec = (int)$Anno-1;
				
				$sql = <<< sql
					SELECT lettureContatori.Lettura1, lettureContatori.Lettura2, lettureContatori.Lettura3, lettureContatori.Lettura4
					FROM  lettureContatori INNER JOIN
								Contatori ON lettureContatori.IdContatore = Contatori.Id
					WHERE (Contatori.IdCommessa=$IdCommessa) AND (lettureContatori.IdContatore = $IdContatore)	AND (lettureContatori.Anno = $AnnoPrec)	AND (lettureContatori.Mese = $MesePrec)	
sql;
				$query = ntxQuery($sql);	
				$rs = ntxIRecord($query);
				
				$A0Precedente=$rs[0]  ;
				$A1Precedente=$rs[1]  ;
				$A2Precedente=$rs[2]  ;
				$A3Precedente=$rs[3]  ;				
			}
			
			$A0consumo=applicaFormulaConsumo($A0, $A0Precedente, $K);
			$A1consumo=applicaFormulaConsumo($A1, $A1Precedente, $K);
			$A2consumo=applicaFormulaConsumo($A2, $A2Precedente, $K);
			$A3consumo=applicaFormulaConsumo($A3, $A3Precedente, $K);
		
			$meseTxt=nomeMese($Mese-1);
			$mesePrecedente= htmlentities ($meseTxt." ".$Anno) ;
			
			$A0Precedente=$A0;
			$A1Precedente=$A1;
			$A2Precedente=$A2;
			$A3Precedente=$A3;
?>			
			<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo $mesePrecedente ?></td>

			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($A1consumo, 0) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($A2consumo,0) ?></td>			
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($A3consumo, 0) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ></td>					
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($A0consumo, 0) ?></td>	
			<td <?php echo  $alternate ? "" : "class=td2" ?> ></td>			
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand(sommaConsumi($A0consumo, $A1consumo, $A2consumo, $A3consumo), 0)	 ?></td>	


			</tr>
<?php
		$alternate = !$alternate;	
		}	
	}	
?>		
</table>	
</td>
</tr>
</table>

</body>
</html>
