<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('libs_supporto.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head> 
	<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../../_css/_addictionCompact.css" rel="stylesheet" type="text/css">

	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
	
	<style>
	td
	{
		height:25px;
	}
	
	.esiste
	{
		background: #A4D3EE;
	} 
	
	.verde
	{
		background: #A2CD5A;
	} 
	
	tr
	{
		height: 30px !important;
	}
	</style>
</head>
<body  >


<form method="post" action="excel.php" target="frameExcel" style="margin:0;padding:0;display:inline;">
	<input type="hidden" id="IdContatore" 	name="IdContatore" 	value="<?php echo $_POST[IdContatore];?>"/>
	<input type="hidden" id="Anno" 			name="Anno" 		value="<?php echo $_POST[Anno];?>"/>	

	<input type="submit" value="scarica in formato EXCEL" />
</form>


<script language="javascript">
function caricaConsumi(IdContatore, Anno)
{
	form1.IdContatore.value=IdContatore;
	form1.Anno.value=Anno;
	
	form1.submit();
}
</script>

<form id="form1" name="form1" method="post">
	<input type="hidden" id="IdContatore" 	name="IdContatore" />
	<input type="hidden" id="Anno" 			name="Anno" />
</form>

<form name="formUpdate" id="formUpdate" method="post" >  
	<input type="hidden" name="ID" id="ID" /> 
	<input type="hidden" name="Element" id="Element" /> 
	<input type="hidden" name="valueElement" id="valueElement" /> 
</form>

<form id="formReload" name="formReload" method="post">
	<?php ntxCreateHiddens() ?>
</form>


<?php
	require('contatori_sql.inc');
	
	$rs = ntxRecord($query);
?>

<form id="formContatore" name="formContatore" method="post" >
	<input type="hidden" name="Id" value="<?php echo $rs[Id] ?>" />
	
<table>
	<caption>Controllo Consumi</caption>
	<tr>
		<th>Matricola	
		<td> <?php echo htmlentities($rs['Codice']) ?>
		
	<tr>	
		<th>Tipo Utenza
		<td>&nbsp;<?php echo htmlentities($rs['Tipo']) ?>	
		
	
	<tr>	
		<th>Descrizione Contatore
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?>	
			
	
	<tr>	
		<th>Punto Vendita	
		<td>&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?>
		
	<tr>	
		<th>K	
		<td>&nbsp;<?php echo htmlentities($rs['K']) ?>			
	
	
	<tr>
		<td colspan="2" > 										  
			<div align="center" >
				<button onclick="elimina('<?php echo $rs[Id] ?>');return false;" 	id="cancella" 	class="tasti"> 
					<img src="../../../_img/reset.png" /> 
					Cancella
				</button> 
			</div>		
</table>
</form>
<script> 
function elimina(IdContatore)
{
	document.form1.IdContatore.value=IdContatore;
	
	if(!confirm("Cancellare il contatore?\nAttenzione: cancellando il contatore verranno cancellate tutte le letture ad esso collegate!")) return;
	
 	if( ntxSendForm(document.form1, function(){}, 'edit_contatori/elimina'))
	{ 
		alert("Cancellazione avvenuta con successo!");
		document.formReload.submit();
	}
}

function cancella_lettura(form)
{
	if(!confirm("Cancellare la lettura?")) return;
	
 	if( ntxSendForm(form, function(){}, 'edit_letture/elimina'))
	{ 
		alert("Cancellazione avvenuta con successo!");
		document.formReload.submit();
	}
}
 
function update(obj , strElement, ID)
{
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID;

	
	if ( ntxSendForm(document.formUpdate, function(){}, 'edit_letture/update') )
	{}
	else
		alert("L'operazione ha dato esisto negativo.\n\nL'erorre si può essere verificato perchè esiste già un altro record per quel contatore/mese/anno, questa terna deve essere univoca ovvero ce ne può essere solo 1.");
		
	document.formUpdate.Element.value = '';
	document.formUpdate.valueElement.value = '';		
}

function aggiungi(form)
{
	if (ntxSendForm(form, function(){}, 'edit_letture/aggiungi') )
	{
		alert("Operazione terminata con successo!"); 
		document.formReload.submit();
	}
}

</script>

<br>

<table>
<tr>
<td>

<table style="width:600px !important;" >
	<caption>Rilevazioni Letture</caption>
	<tr>
		<th>&nbsp;	
		<th style="width:80px !important;">Mese
		<th>Anno	
		<th style="width:120px !important;">Data
		<th>&nbsp;		
		<th>A1
		<th>A2
		<th>A3
		<th>&nbsp;				
		<th>A0		
	   
<?php	
	$arrMesi[1] = "Gennaio";
	$arrMesi[2] = "Febbraio";
	$arrMesi[3] = "Marzo";
	$arrMesi[4] = "Aprile";
	$arrMesi[5] = "Maggio";
	$arrMesi[6] = "Giugno";		
	$arrMesi[7] = "Luglio";	
	$arrMesi[8] = "Agosto";	
	$arrMesi[9] = "Settembre";	
	$arrMesi[10] = "Ottobre";	
	$arrMesi[11] = "Novembre";	
	$arrMesi[12] = "Dicembre";	

	$IdContatore=(int)$_POST[IdContatore];
	$IdCommessa=(int)$_SESSION[IdCommessa];
	
	$Where = " IdContatore=$IdContatore AND IdCommessa=$IdCommessa ";
	
	if( is_numeric($_POST[Anno]) )
	{
		$anno=(int)$_POST[Anno];
		$Where.= " AND Anno=$anno ";
		
		//anno minimo e anno massimo
		$sql = <<< sql
			SELECT MIN(lettureContatori.Anno), MAX(lettureContatori.Anno)
			FROM  lettureContatori INNER JOIN Contatori ON lettureContatori.IdContatore = Contatori.Id 
			WHERE $Where
sql;
		$query = ntxQuery($sql);	
		if( $rs = ntxIRecord($query) )
		{
			$annoMin=$rs[0];
			$annoMax=$rs[1];		
		}	
		
		if(is_numeric($annoMin))//mese minimo per l'anno minimo
		{
			$sql = <<< sql
				SELECT MIN(lettureContatori.Mese)
				FROM  lettureContatori INNER JOIN Contatori ON lettureContatori.IdContatore = Contatori.Id 
				WHERE IdContatore=$IdContatore AND IdCommessa=$IdCommessa AND Anno=$annoMin
sql;
			$meseMin = ntxScalar($sql);
		}
		else
			$meseMin=1;

		if(is_numeric($annoMax))//mese massimo per l'anno massimo
		{	
			$sql = <<< sql
				SELECT MAX(lettureContatori.Mese)
				FROM  lettureContatori INNER JOIN Contatori ON lettureContatori.IdContatore = Contatori.Id 
				WHERE IdContatore=$IdContatore AND IdCommessa=$IdCommessa AND Anno=$annoMax
sql;
			$meseMax = ntxScalar($sql);	
		}
		else
			$meseMax=12;		
	}
	
	$contatori=Array();
		
	//troviamo le letture
	$sql = <<< sql
		SELECT lettureContatori.Id, lettureContatori.Anno, lettureContatori.Mese, lettureContatori.dataOra, lettureContatori.Lettura1, lettureContatori.Lettura2, lettureContatori.Lettura3, lettureContatori.Lettura4
		FROM  lettureContatori INNER JOIN Contatori ON lettureContatori.IdContatore = Contatori.Id 
		WHERE $Where
		ORDER BY Anno, Mese, dataOra
sql;
	$query = ntxQuery($sql);	
	while( $rs = ntxRecord($query) )
		$contatori[(int)$rs['Anno']][(int)$rs['Mese']]= array( "dataOra" => $rs['dataOra'], "A0" => $rs['Lettura1'], "A1" => $rs['Lettura2'], "A2" => $rs['Lettura3'], "A3" => $rs['Lettura4'], "Id" => $rs['Id'] );

	if( is_numeric($_POST[Anno]) )	
		$contatori=CreaTabella(1, $anno, 12, $anno, $contatori);
	else
		$contatori=CreaTabella($meseMin, $annoMin, $meseMax, $annoMax, $contatori);
		
	$alternate = true;

		
	foreach ($contatori as $Anno=>$Anni)
	{
		if(!is_numeric($Anno)) continue;
		
		foreach ($Anni as $Mese=>$Mesi)
		{		
			$Id=$contatori[$Anno][$Mese]['Id'];
			
			$A0=$contatori[$Anno][$Mese]['A0'];
			$A1=$contatori[$Anno][$Mese]['A1'];
			$A2=$contatori[$Anno][$Mese]['A2'];
			$A3=$contatori[$Anno][$Mese]['A3'];		
			
			$meseTxt=nomeMese($Mese-1);
			
			
			$disabled = ' disabled="disabled" ';
			if(is_numeric($Id))
				$disabled = ' ';
?>		 
		<?php
		if(is_numeric($Id)  &&  $Id>0)
		{
		?>
			<form  name="frm_lettura_<?php echo $Id ?>" method="post" >
				<input type="hidden" name="Id" value="<?php echo $Id ?>" >
			
				<tr>
					<td class="esiste" >  <input type="button" value="cancella" style="margin:0;" onclick="cancella_lettura(document.frm_lettura_<?php echo $Id ?>)" <?php echo $disabled ?> />
				
 
					<td class="esiste" >
					<select onchange="update(this , 'Mese', '<?php echo $Id ?>');"   disabled="disabled" >
					<?php 
					foreach ($arrMesi as $key => $value)
					{
						$sel = "";
						if( $key==$Mese )
							$sel = " selected=\"selected\" ";
							
						echo "<option value=\"$key\" $sel>$value</option> "	;
					}
					?> 
					</select>		
					
					<td class="esiste" >
						<input type="text"  onchange="update(this , 'Anno', '<?php echo  $Id ?>')" value="<?php echo $Anno  ?>" readonly="readonly" /> 
					
						
					<td class="esiste" >&nbsp;<?php echo htmlentities(ntxDateTime($contatori[$Anno][$Mese]['dataOra'])) ?>	

					<td class="esiste" >&nbsp;

					<td class="esiste" ><input type="text"  onchange="update(this , 'Lettura2', '<?php echo  $Id ?>')" value="<?php echo $A1  ?>" /> 
					<td class="esiste" ><input type="text"  onchange="update(this , 'Lettura3', '<?php echo  $Id ?>')" value="<?php echo $A2  ?>" /> 
					<td class="esiste" ><input type="text"  onchange="update(this , 'Lettura4', '<?php echo  $Id ?>')" value="<?php echo $A3  ?>" /> 
					<td class="esiste" >&nbsp;					
					<td class="esiste" ><input type="text"  onchange="update(this , 'Lettura1', '<?php echo  $Id ?>')" value="<?php echo $A0  ?>" /> 	
			</form>					
		<?php
		}  
		else
		{ 
			$nowtime = time();
			$rand1 = rand();
			$rand2 = rand();
		?>
			<form  name="frm_lettura_<?php echo $nowtime ?>_<?php echo $rand1 ?>_<?php echo $rand2 ?>" method="post" >
			<tr>	
				<td class="verde" > 
					<input type="hidden" id="IdContatore" 	name="IdContatore" 	value="<?php echo $_POST[IdContatore];?>"/> 
					<input type="button" onclick="aggiungi( document.frm_lettura_<?php echo $nowtime ?>_<?php echo $rand1 ?>_<?php echo $rand2 ?> )" value="aggiungi" style="width:100%;" /> 	

				<td class="verde" >
					<select name="Mese"  disabled="disabled" >
					<?php 
					foreach ($arrMesi as $key => $value)
					{
						$sel = "";
						if( $key==$Mese )
							$sel = " selected=\"selected\" ";
							
						echo "<option value=\"$key\" $sel>$value</option> "	;
					}
					?> 
					</select>	 

				<td class="verde" >
					<input type="text" name="Anno" value="<?php echo $_POST[Anno] ?>" readonly="readonly" />  

				<td class="verde" >
				<td class="verde" >
				
				<td class="verde" >
					<input type="text" name="Lettura2" />  
				
				<td class="verde" >
					<input type="text" name="Lettura3" />  
				
				<td class="verde" >
					<input type="text" name="Lettura4" />  
				
				<td class="verde" >
				
				<td class="verde" >
					<input type="text" name="Lettura1" />  		
			</form>			
			<?php
			}
			?>	 
<?php
			$alternate = !$alternate;	
		}
	}	
?>	 
</table>		
	

	
<td>		

<td>			
	
<table style="width:500px !important;" >
	<caption>Calcolo Consumi</caption>
	<tr>			
		<th>Calcolo Consumi
		<th>A1
		<th>A2
		<th>A3
		<th>&nbsp;				
		<th>A0		
		<th>&nbsp;				
		<th>Tot Mese				
	   
<?php	
	$sql = <<< sql
		SELECT K
		FROM Contatori
		WHERE Id=$IdContatore AND IdCommessa=$IdCommessa
sql;
	
	$K = ntxScalar($sql);
		
	if(!is_numeric($K))	
		$K=1;
	
	
	foreach ($contatori as $Anno=>$Anni)
	{
		if(!is_numeric($Anno)) continue;
			
		foreach ($Anni as $Mese=>$Mesi)
		{	
			$A0=$contatori[$Anno][$Mese]['A0'];
			$A1=$contatori[$Anno][$Mese]['A1'];
			$A2=$contatori[$Anno][$Mese]['A2'];
			$A3=$contatori[$Anno][$Mese]['A3'];		

			if($Mese==1)
			{
				$MesePrec = 12;
				$AnnoPrec = (int)$Anno-1;
				
				$sql = <<< sql
					SELECT lettureContatori.Lettura1, lettureContatori.Lettura2, lettureContatori.Lettura3, lettureContatori.Lettura4
					FROM  lettureContatori INNER JOIN
								Contatori ON lettureContatori.IdContatore = Contatori.Id
					WHERE (Contatori.IdCommessa=$IdCommessa) AND (lettureContatori.IdContatore = $IdContatore)	AND (lettureContatori.Anno = $AnnoPrec)	AND (lettureContatori.Mese = $MesePrec)	
sql;
				$query = ntxQuery($sql);	
				$rs = ntxIRecord($query);
				
				$A0Precedente=$rs[0]  ;
				$A1Precedente=$rs[1]  ;
				$A2Precedente=$rs[2]  ;
				$A3Precedente=$rs[3]  ;				
			}
			
			$A0consumo=applicaFormulaConsumo($A0, $A0Precedente, $K);
			$A1consumo=applicaFormulaConsumo($A1, $A1Precedente, $K);
			$A2consumo=applicaFormulaConsumo($A2, $A2Precedente, $K);
			$A3consumo=applicaFormulaConsumo($A3, $A3Precedente, $K);
		
			$meseTxt=nomeMese($Mese-1);
			$mesePrecedente= htmlentities ($meseTxt." ".$Anno) ;
			
			$A0Precedente=$A0;
			$A1Precedente=$A1;
			$A2Precedente=$A2;
			$A3Precedente=$A3;
?>			
			<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $mesePrecedente ?>
                                                                      
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($A1consumo,0) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($A2consumo,0) ?>			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($A3consumo,0) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;					
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($A0consumo,0) ?>	
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand(sommaConsumi($A0consumo, $A1consumo, $A2consumo, $A3consumo),0)	 ?>


			
<?php
		$alternate = !$alternate;	
		}	
	}	
?>		 
</table>	



</table>

</body>
</html>
