<?php

$where = "";
$where2 = "";

if ( $_POST[chkAperto] )
	$where .= " AND tblOrdiniProgrammati.Aperto=1 ";

if ( $_POST[chkEseguito] )
	$where .= " AND tblOrdiniProgrammati.Eseguito=1 ";

if ( $_POST[chkAnomalia] )
	$where .= " AND tblOrdiniProgrammati.Anomalia=1 ";

if ( $_POST[chkAnnullato] )
	$where .= " AND tblOrdiniProgrammati.Annullato=1 ";

if ( is_numeric($_POST[cboVerifica]) )
	$where .= " AND tblOrdiniProgrammati.IdVerifica=".(int)$_POST[cboVerifica];


if ( $_POST[chkAllegatoObbligatorio]==1 ) $where2 .= " AND tblAttivitàMestiere.Obbligo_Docs=1";

if ( $_POST[chkAttivitàDiLettura]==1 ) $where2 .= " AND tblAttivitàMestiere.AttivitàDiLettura=1";

$sql = <<< sql
SELECT DISTINCT 
                      tblMestieri.Ordine AS ord1, tblMestieri.codice AS cod1, tblMestieri.Descrizione AS des1, tblMestieri.IdMestiere AS id1, tblComponetiMestiere.Ordine AS ord2, 
                      tblComponetiMestiere.codice AS cod2, tblComponetiMestiere.Descrizione AS des2, tblComponetiMestiere.IdComponenteMestiere AS id2, 
                      tblAttivitàMestiere.Ordine AS ord3, tblAttivitàMestiere.codice AS cod3, tblAttivitàMestiere.Descrizione AS des3, tblAttivitàMestiere.IdAttivitàMestiere AS id3
					  
FROM    (SELECT DISTINCT tblOrdiniProgrammati.IdCommessa, tblOrdiniProgrammati.IdEdificio, tblOrdiniProgrammati.IdAttivitàMestiere
			FROM         tblOrdiniProgrammati INNER JOIN
								  UtentiEdifici ON tblOrdiniProgrammati.IdCommessa = UtentiEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = UtentiEdifici.IdEdificio     
			WHERE     (UtentiEdifici.IdUtente = $IdUtente) AND (UtentiEdifici.IdCommessa = $IdCommessa)
			AND dbo.DusGiorno(tblOrdiniProgrammati.dataInizioProg) <= dbo.DusGiorno($DataFine)
			AND dbo.DusGiorno(tblOrdiniProgrammati.dataFineProg) >= dbo.DusGiorno($DataInizio)
			$where
		)	tblOrdiniProgrammati INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere  LEFT OUTER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
	 
	 WHERE 1=1 $where2
sql;

if ( is_numeric($_POST[txtTipo]) )
{
	if ( $_POST[txtTipo]==0 )
		$sql .= " AND (ElencoEdifici.Tipo = 0 OR ElencoEdifici.Tipo IS NULL) ";
	else
	{
		$txtTipo = (int)$_POST[txtTipo];
		$sql .= " AND ElencoEdifici.Tipo = $txtTipo ";
	}
}

if ( is_numeric($_POST[txtId]) )
{
	$txtId = (int)$_POST[txtId];
	$sql .= " AND ElencoEdifici.ID = $txtId ";
}

if ( strlen($_POST[txtCodice])>0 )
{
	$str = ntxsp('txtCodice');
	$sql .= " AND ElencoEdifici.Codice = $str ";
}

if ( strlen($_POST[txtProv])>0 )
{
	$str = ntxsp('txtProv');
	$sql .= " AND ElencoEdifici.PROVINCIA = $str ";
}

if ( strlen($_POST[txtCap])>0 )
{
	$str = ntxsp('txtCap');
	$sql .= " AND ElencoEdifici.CAP = $str ";
}

if ( strlen($_POST[txtDes1])>0 )
{
	$str = str_replace("'","''",$_POST[txtDes1]);
	$sql .= " AND ElencoEdifici.EdificioBreve like '%$str%' ";
}

if ( strlen($_POST[txtDes2])>0 )
{
	$str = str_replace("'","''",$_POST[txtDes2]);
	$sql .= " AND ElencoEdifici.EdificioEstesa like '%$str%' ";
}

if ( strlen($_POST[txtIndirizzo])>0 )
{
	$str = str_replace("'","''",$_POST[txtIndirizzo]);
	$sql .= " AND ElencoEdifici.Indirizzo like '%$str%' ";
}

if ( strlen($_POST[txtComune])>0 )
{
	$str = str_replace("'","''",$_POST[txtComune]);
	$sql .= " AND ElencoEdifici.CITTA like '%$str%' ";
}

$sql .= " ORDER BY ord1, cod1, des1, id1, ord2, cod2, des2, id2, ord3, cod3, des3, id3";

$query = ntxQuery($sql);

?>