<?php

$sql = <<< sql
	select month($DataInizio) month1, month($DataFine) month2,
			year($DataInizio) year1, year($DataFine) year2
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$month1 = $rs[month1];
$month2 = $rs[month2];
$year1 = $rs[year1];
$year2 = $rs[year2];


$sqlOrdiniPrg = <<< sql
	(
		SELECT DISTINCT tblOrdiniProgrammati.IdCommessa, tblOrdiniProgrammati.IdEdificio, AttivitàMestTipiComp.IdTipoComp
		FROM         tblOrdiniProgrammati 
		
			inner join dbo.splitid($IdElementi) edifici on edifici.id=tblOrdiniProgrammati.IdEdificio

			INNER JOIN
                      AttivitàMestTipiComp ON tblOrdiniProgrammati.IdCommessa = AttivitàMestTipiComp.IdCommessaAttività AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = AttivitàMestTipiComp.IdAttivitàMestiere
		WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
			AND (tblOrdiniProgrammati.dataInizioProg <= $DataFine) 
			AND (tblOrdiniProgrammati.dataFineProg >= $DataInizio) 
			AND (tblOrdiniProgrammati.TipoMP = 1)
sql;

if ( $_POST[chkAperto] )
	$sqlOrdiniPrg .= " AND tblOrdiniProgrammati.Aperto=1 ";

if ( $_POST[chkEseguito] )
	$sqlOrdiniPrg .= " AND tblOrdiniProgrammati.Eseguito=1 ";

if ( $_POST[chkAnomalia] )
	$sqlOrdiniPrg .= " AND tblOrdiniProgrammati.Anomalia=1 ";

if ( $_POST[chkAnnullato] )
	$sqlOrdiniPrg .= " AND tblOrdiniProgrammati.Annullato=1 ";

if ( is_numeric($_POST[cboVerifica]) )
	$sqlOrdiniPrg .= " AND tblOrdiniProgrammati.IdVerifica=".(int)$_POST[cboVerifica];
	
$sqlOrdiniPrg .= ") programate";

//include("ricerca-sql-conteggi.inc");

$sqlOrdiniPrgComp = <<< sql
		SELECT DISTINCT ComponentiAmbiente.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, PianoLivello.idPiano, Ambiente.IDAmbiente, 
                      ComponentiAmbiente.IdComponente, ElencoEdifici.Codice AS CodEdificio, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA, GruppiImpianti.Descrizione AS Gruppo, DestinazioniDusoLivello.Destinazione AS DesUsoPiano, DestinazioniDusoLivello.ordinamento OrdinePiani,
                      Ambiente.CodiceAssAmbiente AS CodVano, DestinazioniDuso.Destinazione AS DesUsoVano, 
                      ComponentiAmbiente.CodiceAssComponente AS CodComp, TipoComponente.DesComponente AS TipoComp
		FROM         $sqlOrdiniPrg 
				INNER JOIN
                      ComponentiAmbiente ON programate.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      programate.IdEdificio = ComponentiAmbiente.IdEdificio AND programate.IdTipoComp = ComponentiAmbiente.IdTipoComponente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      GruppiImpTipiComp ON TipoComponente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND 
                      TipoComponente.IDTipoComponente = GruppiImpTipiComp.IdTipoComponente INNER JOIN
                      GruppiImpianti ON GruppiImpTipiComp.IdGruppoImpianto = GruppiImpianti.Id
						and GruppiImpTipiComp.IdCommessaTipo = GruppiImpianti.IdCommessa
		ORDER BY IdEdificio, Gruppo, TipoComp, OrdinePiani, DesUsoPiano, CodVano, CodComp
sql;
$result[table] = $sqlOrdiniPrgComp;

$result[PosizionePagina] = 1;
$result[NumeroPagine] = 1;
$result[RighePerPagina] = 1;

//jhp($result);
$query = ntxQuery($sqlOrdiniPrgComp);

?>