<?php

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdComunicazione = ntxip('IdComunicazione');
$risposta = $_POST[risposta];
$txtRisposta = ntxsp('txtRisposta');
$Utente = ntxsse('Utente');
$Password = ntxsse('Password');

$sql = <<< sql
SELECT Utenti.Id
FROM Utenti
WHERE (Nome = $Utente) AND (Utenti.Password = $Password)
sql;

$IdUtenteTecProprietario = ntxScalar($sql);

$sql = <<< sql
SELECT DISTINCT tblPgRifAffidatari.email_1, ComunicazioniPreplanning.Id
FROM         UtentiRifAffidatari INNER JOIN
                      tblPgRifAffidatari ON UtentiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario INNER JOIN
                      ComunicazioniPreplanning ON UtentiRifAffidatari.IdUtente = ComunicazioniPreplanning.IdUtenteRefAffidatario
WHERE     (ComunicazioniPreplanning.Id = $IdComunicazione) AND (NOT (tblPgRifAffidatari.email_1 IS NULL)) AND (tblPgRifAffidatari.email_1 <> N'')
sql;

$query = ntxQuery($sql);

$emails = array();

while ( $rs = ntxIRecord($query) )
	$emails[] = $rs[0];
	
if ( count($emails)==0 )
	jhp_error("Il referente affidatario non ha una email valida!");

if ( $risposta=='si' ) 
	$Stato=3; 
else 
	$Stato=4;

$sql = <<< sql
UPDATE    ComunicazioniPreplanning
SET              DataRisposta = GETDATE(), IdUtenteTecProprietario = $IdUtenteTecProprietario, Stato = $Stato, Risposta = $txtRisposta 
WHERE     (Id = $IdComunicazione)
sql;

ntxQuery($sql);

$sql = <<< sql
SELECT     ComunicazioniPreplanning.DataComunicazione, ComunicazioniPreplanning.DataRisposta, ComunicazioniPreplanning.DataRisposta, ComunicazioniPreplanning.DataInizio, 
                      ComunicazioniPreplanning.DataFine, ComunicazioniPreplanning.Descrizione, ComunicazioniPreplanning.Stato, ComunicazioniPreplanning.Risposta, 
                      Utenti.Nome AS UtenteRifAffidatario, tblPgRifAffidatari.Nome AS NomeRifAffidatario, tblPgAffidatari.Nome AS NomeSocAffidataria, 
                      Utenti_1.Nome AS UtenteTecnicoCliente, Tecnici.Tecnico AS NomeTecnicoCliente,
					  ComunicazioniPreplanning.Note,
					  ComunicazioniPreplanning.Risposta
FROM         tblPgRifAffidatari INNER JOIN
                      UtentiRifAffidatari INNER JOIN
                      Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblPgAffidatari ON tblPgRifAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario INNER JOIN
                      ComunicazioniPreplanning ON Utenti.Id = ComunicazioniPreplanning.IdUtenteRefAffidatario LEFT OUTER JOIN
                      UtentiTecnici LEFT OUTER JOIN
                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec RIGHT OUTER JOIN
                      Utenti AS Utenti_1 ON UtentiTecnici.IdUtente = Utenti_1.Id ON ComunicazioniPreplanning.IdUtenteTecProprietario = Utenti_1.Id
WHERE 			ComunicazioniPreplanning.Id = $IdComunicazione		 
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$DataComunicazione = ntxDateTime($rs[DataComunicazione]);
$DataRisposta = ntxDateTime($rs[DataRisposta]);

$DataInizioX = ntxDate($rs[DataInizio]);
$DataFineX = ntxDate($rs[DataFine]);

$Stato = $rs[Stato];

$desStato = "";

if ( $Stato==3 )
	$desStato = "APPROVATA";
else
	$desStato = "NON APPROVATA";

$oggetto = <<< oggetto
[$desStato] Proposta di Pianificazione del $DataComunicazione presentata da $rs[NomeRifAffidatario] [$rs[UtenteRifAffidatario]] ($rs[NomeSocAffidataria])
oggetto;

$messaggio = <<< messaggio
[$desStato] COMUNICAZIONE PREPLANNING: $IdComunicazione

Pianificazione attività programmata del $DataAttuale relativa al periodo da $DataInizioX a $DataFineX presentata da $rs[NomeRifAffidatario] [$rs[UtenteRifAffidatario]] ($rs[NomeSocAffidataria]).

Per visualizzare la pianificazione andare sul portale ed usare l'id comunicazione preplanning: $IdComunicazione

messaggio iniziale:
$rs[Descrizione]

note interne:
$rs[Note]

risposta da: $rs[NomeTecnicoCliente] [$rs[UtenteTecnicoCliente]] in data: $DataRisposta

STATO: $desStato

messaggio risposta:
$rs[Risposta]
messaggio;

foreach($emails as $email)
{
	ntxFireNetInit($_SESSION['Utente'].'',				
					"RISPOSTA COMUNICAZIONE PREPLANNING",				
					"RISP_COM_PREPLAN_$IdComunicazione",			
					"email",		
					$email,		
					$oggetto,				
					$messaggio,
					true);	
}

jhp_ok();

?>
