<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdOrdineMateriale = $_POST['IdOrdineMateriale'];

if (is_numeric($IdOrdineMateriale) )
{
	$IdOrdineMateriale = (int)$IdOrdineMateriale;
	
	$sql = <<< sql
		SELECT     
			ElencoEdifici.Codice AS CodEdificio, 
			ElencoEdifici.EdificioBreve AS Edificio, 
			ElencoEdifici.Indirizzo, 
			ElencoEdifici.CITTA AS Comune, 
			ElencoEdifici.PROVINCIA AS Prov, 
			ElencoEdifici.CAP, 
			tblPgPropietari.Nome AS Ente, 
			Ditte.Ditta Fornitore, 
			
			OrdiniMateriali.Id, 
			OrdiniMateriali.Marca, 
			OrdiniMateriali.Modello, 
			OrdiniMateriali.Note, 
			OrdiniMateriali.Richiedente, 
			OrdiniMateriali.Autorizzatore, 
			OrdiniMateriali.Codice, 
			OrdiniMateriali.Descrizione, 
			OrdiniMateriali.n_serie, 
			OrdiniMateriali.UtenteAnnullo,
			
			OrdiniMateriali.Stato, 
			
			OrdiniMateriali.QuantitàRichiesta, 
			OrdiniMateriali.QuantitàAutorizzata, 
			OrdiniMateriali.QuantitàConsegnata,
			
			OrdiniMateriali.DataRichiesta, 
			OrdiniMateriali.DataAutorizzazione, 
			OrdiniMateriali.DataConsegna, 
			OrdiniMateriali.DataAnnullo 
			
		FROM         ElencoEdifici INNER JOIN
                      OrdiniMateriali ON ElencoEdifici.IdCommessa = OrdiniMateriali.IdCommessa AND ElencoEdifici.ID = OrdiniMateriali.IdEdificio INNER JOIN
                      Ditte ON OrdiniMateriali.IdFornitore = Ditte.IDDitta LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
		WHERE     (OrdiniMateriali.Id = $IdOrdineMateriale) 
sql;

	$record = ntxRecord(ntxQuery($sql));
	
	$Stato = array("",
					"In Attesa Autorizzazione",
					"Autorizzato",
					"Annullato",
					"Evaso");

	$record[IdOrdineMateriale] = $record[Id];
	
	$record[DesStato] = $Stato[$record[Stato]];
	
	$record[QuantitàRichiesta] = ntxRound($record[QuantitàRichiesta],2);
	$record[QuantitàAutorizzata] = ntxRound($record[QuantitàAutorizzata],2);
	$record[QuantitàConsegnata] = ntxRound($record[QuantitàConsegnata],2);

	$record[DataRichiesta] = ntxDateTime($record[DataRichiesta]);
	$record[DataAutorizzazione] = ntxDateTime($record[DataAutorizzazione]);
	$record[DataConsegna] = ntxDateTime($record[DataConsegna]);
	$record[DataAnnullo] = ntxDateTime($record[DataAnnullo]);

	$record = ntxRecordTranslate($record);

	ntxMsgResult( $record );	
}
else
	ntxMsgResult( '' );	

?>
