<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
<body  >

<?php

require_once('../budget_gruppo_voci_anno.inc');
require_once('pivot_preventivi_sql.inc');

$nomiMesi = array(
		 "Gen","Feb","Mar","Apr"
		,"Mag","Giu","Lug","Ago"
		,"Set","Ott","Nov","Dic");
?>
<form name=frmExcel method=post action="pivot_preventivi_excel.php" target=_blank>
	<input type=hidden name=IdGruppo value="<?php  echo ntxJS($_POST[IdGruppo]) ?>">
	<input type=hidden name=Gruppo value="<?php  echo ntxJS($_POST[Gruppo]) ?>">
	<input type=hidden name=Anno value="<?php  echo ntxJS($_POST[Anno]) ?>">
	<input type=hidden name=ThereIsIVA value="<?php  echo $_POST[ThereIsIVA] ? 1 : 0 ?>">
	<input type=hidden name=IVA value="<?php  echo ntxJS($_POST[IVA]) ?>">
	<input type=hidden name=Stato2 value="<?php  echo ntxJS($_POST[Stato2]) ?>">
	<input type=hidden name=DataRichiesta1 value="<?php  echo ntxJS($_POST[DataRichiesta1]) ?>">
	<input type=hidden name=DataRichiesta2 value="<?php  echo ntxJS($_POST[DataRichiesta2]) ?>">
</form>


<table>
	<tr>
		<th colspan=10>Preventivi
		<td rowspan=2><input type=button value="Excel" onclick="document.frmExcel.submit()">
	</tr>
	<tr>
		<th>Gruppi Loc.:<td>&nbsp;<?php echo htmlentities($_POST[Gruppo]) ?>
		<th>&nbsp;<td>&nbsp;<?php echo htmlentities($_POST[DataRichiesta1]) ?>
		<th><= Data Richiesta <=<td>&nbsp;<?php echo htmlentities($_POST[DataRichiesta2]) ?>
		<th>usa iva:<td>&nbsp;<?php echo $_POST[ThereIsIVA] ? "SI" : "NO" ?> 
		<th>iva:<td>&nbsp;<?php echo ntxRound(ntxfp(IVA),2) ?> 
	</tr>
</table>
<br>

<table>
	<tr>
		<th>CodEd</th>
		<th>Localizzazione</th>
		<th>Indirizzo</th>	
		<th>Voce</th>	
<?php

	if ( $_POST[ThereIsIVA] )
		$iva = ntxfp(IVA);
	else
		$iva = 0;
		
	if ( is_numeric($iva) )
		$iva = $iva / 100.0 + 1.0;
	else
		$iva = 1;
		
	$col = 1;
	
	for($mese=$minMese, $anno=$minAnno; $anno<$maxAnno || ($anno==$maxAnno  &&  $mese<=$maxMese); $mese++)
	{
		if ( $mese == 13 ) { $mese = 1; $anno++; }
		
		$meseh = $nomiMesi[$mese-1];
		
		echo "<th>$anno<br>$meseh</th>\n";
		
		if ( $col >= $numCols ) break;
		
		$col++;
	}

	echo <<< echo
		<th>Totale</th>	
		<th>Budget<br>$_POST[Anno]</th>	
		<th>Residuo</th>	
	</tr>   
echo;

	$alternate = true;

	for ( $col = 0; $col<=$numCols; $col++ )
		$totCols[$col] = 0;
		
	$col = 1;

	$totRow = 0;
		
	while( $rs = ntxRecord($query) )
	{
		$class = ($alternate ? "" : "class=td2");
		
		if ( $col == 1 )
		{
			$totRow = 0;
?>
	<tr>
		<td <?php echo  $class ?> style="text-align:left">&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td <?php echo  $class ?> style="text-align:left">&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?></td>
		<td <?php echo  $class ?> style="text-align:left">&nbsp;<?php echo htmlentities("$rs[Indirizzo] $rs[CITTA]") ?></td>
		<td <?php echo  $class ?> style="text-align:left">&nbsp;<?php echo htmlentities($rs['Voce']) ?></td>
<?php
		}
		
		$val = $rs[Valore]*$iva;
		
		$valh = ntxRoundThousand($val,2);
		
		if ( is_numeric($val) ) 
		{
			$totRow += $val;
			$totCols[$col] += $val;
			$vociBudgetEdifici[$rs[IdVoce]][TotVoce][$col] += $val;	
		}
		
		echo "<td $class  style=\"text-align:right\">&nbsp;$valh</td>\n";
		
		$col++;
		
		if ( $col > $numCols )
		{
			$totCols[0] += $totRow;
			$col = 1;
			$vociBudgetEdifici[$rs[IdVoce]][TotVoce][0] += $totRow;	
?>
		<td <?php echo  $class ?>  style="font-weight: bold;text-align:right">&nbsp;<?php echo ntxRoundThousand($totRow,2) ?></td>

		<td <?php echo  $class ?> style="font-weight: bold;text-align:right">&nbsp;</td>
		<td <?php echo  $class ?> style="font-weight: bold;text-align:right">&nbsp;</td>
	</tr>
<?php
			$alternate = !$alternate;
		}
	}
	
	$totBudget = 0;
	
	foreach($vociBudgetEdifici as $voce)
	{
		$html = htmlentities($voce[Voce]);
		
		echo <<< echo
	<tr>
		<th colspan=4 style="text-align:right">TOTALE $html</th>
echo;

		for ( $col = 1; $col<=$numCols; $col++ )
		{
			$val = $voce[TotVoce][$col];
			
			$valh = ntxRoundThousand($val,2);
		
			echo "<td $class  style=\"font-weight: bold;text-align:right\">&nbsp;$valh</td>\n";
		}
		
		$val = $voce[TotVoce][0];
		
		$valh = ntxRoundThousand($val,2);

		echo "<td $class  style=\"font-weight: bold;text-align:right\">&nbsp;$valh</td>\n";
		
		$totBudget += $budgetVoci[$voce[IdVoce]];
		
		$valh = ntxRoundThousand($budgetVoci[$voce[IdVoce]],2);

		echo "<td $class  style=\"font-weight: bold;text-align:right\">&nbsp;$valh</td>\n";
		
		$val = $budgetVoci[$voce[IdVoce]] - $voce[TotVoce][0];
		
		$valh = ntxRoundThousand($val,2);

		if ( $val>=0 )
			$style = ";color: blue";
		else
			$style = ";color: red";
				
		echo "<td $class  style=\"font-weight: bold;text-align:right$style\">&nbsp;$valh</td>\n</tr>\n";
	}
?>
	<tr>
		<th colspan=4 style="text-align:right">TOTALI</th>

<?php
	
	for ( $col = 1; $col<=$numCols; $col++ )
	{
		$val = $totCols[$col];
		
		$valh = ntxRoundThousand($val,2);
	
		echo "<td $class  style=\"font-weight: bold;text-align:right\">&nbsp;$valh</td>\n";
	}
	
	$val = $totCols[0];
	
	$valh = ntxRoundThousand($val,2);

	echo "<td $class  style=\"font-weight: bold;text-align:right\">&nbsp;$valh</td>\n";

	
	$valh = ntxRoundThousand($totBudget,2);

	echo "<td $class  style=\"font-weight: bold;text-align:right\">&nbsp;$valh</td>\n";
	
	$val = $totBudget - $totCols[0];
	
	$valh = ntxRoundThousand($val,2);

	if ( $val>=0 )
		$style = ";color: blue";
	else
		$style = ";color: red";
			
	echo "<td $class  style=\"font-weight: bold;text-align:right$style\">	$valh</td>\n";
?>
	</tr>
	
</table>
</body>
</html>
