<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$user=ntxsse('Utente');
$pwd=ntxsse('Password');
$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

$SchemaCommessa = ntxScalar($sql);

function GeneraSubQuery($TipoPrezzo)
{
	$TipoPrezzo2 = "RihePreventivi.TipoPrezzo=$TipoPrezzo";

	$sql = <<< SQL
		SELECT  SUM(ISNULL( RihePreventivi.QTA * RihePreventivi.PzUnitario, 0))
		FROM         Preventivi INNER JOIN
							  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo 
		WHERE     (Preventivi.IDCommessa = Richieste.IDCommessa)
		AND (Preventivi.NumRichiesta = Richieste.NumRichiesta) 
		AND (Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta) 
		AND $TipoPrezzo2
SQL;

	return $sql;
}

if ( $SchemaCommessa=='isi' )
{
	$sql1 = <<< sql
		SELECT CASE VerConti
			WHEN '2' THEN
				F2*(1+E3*(1-E4))+F6*(1-E7)+F9*(1-E10)+F12*(1-E13)+F15+F12b+F9b
			ELSE
				F2*(1+E3*(1-E4))+F6*(1-E7)+(F9+F9b)*(1-E10)+(F12+F12b)*(1-E13)+F15+(F2*(1+E3*(1-E4))+F6+F9+F9b+F12+F12b+F15)*E16
			END
			
		FROM (	SELECT 0.25 AS E3,
				0.15  AS E4,  
				0.15  AS E7,  
				0.15  AS E10, 
				0.15  AS E13, 
				0.025 AS E16, 
				dbo.VersConti(Richieste.IDCommessa, Richieste.Localizzazione, Richieste.DataRichiesta) AS VerConti, 
sql;

	$sql1 .= "ISNULL((".GeneraSubQuery(2)."),0) AS F2, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(5)."),0) AS F6, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(1)."),0) AS F9, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(6)."),0) AS F12, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(7)."),0) AS F9b, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(3)."),0) AS F12b, ";
	$sql1 .= "ISNULL((".GeneraSubQuery(1001)."),0) AS F15 ";
			
	$sql1 .= ") a ";
}
elseif ( $SchemaCommessa=='san_lazzaro' )
{
	$sql1 = <<< sql
				SELECT dbo.ImportoPreventivoSanLazzaro(Richieste.IdCommessa, Richieste.NumRichiesta, Richieste.AnnoRichiesta)
sql;
}
else
{
	$sql1 = <<< sql
		SELECT     sum( isnull(RihePreventivi.QTA * RihePreventivi.PzUnitario, 0)
							* (1 - isnull(RihePreventivi.Sconto, 0)/100))
		FROM         RihePreventivi 
		WHERE     Preventivi.IDCommessa = RihePreventivi.IdCommessa 
		AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo 
sql;
}

$sql = <<< SQL
			SELECT DISTINCT Richieste.*, ElencoEdifici.*, TabellaGradoUrgenza.Descrizione AS DesGrUrg,
					Richieste.Richiedente, 
					Preventivi.Descrizione AS DesCliente, Preventivi.Path AS PathCliente, Preventivi.NumPreventivo, Preventivi.IdVoce, 
					Preventivi.Importo AS ImportoCliente, Stati.DesStato, Preventivi.DataCompetenza,
					($sql1) AS ImportoNetto, VociBudgetClienti.Voce,
					
					cast(Ordini.NumOrdine as int) NumOrdine, 
			   Ordini.AnnoOrdine,
			   StatiOrdini.DesStato AS StatoOrdine, 
			   Contabilità.NumContabilità, 
			  Contabilità.ImportoStimatoC, 
			  Contabilità.ImportoPropostoCliente,
			   StatiContabilità.DesstatoC AS StatoContabilità, 
			   Contabilità.NumSal, 
			  Contabilità.DataSal
			  
			FROM         ElencoEdifici INNER JOIN
                      Richieste ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND ElencoEdifici.ID = Richieste.Localizzazione INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id INNER JOIN
                      Preventivi ON Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND 
                      Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta LEFT OUTER JOIN
                      VociBudgetClienti ON Preventivi.IdVoce = VociBudgetClienti.Id LEFT OUTER JOIN
                      TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU
					  LEFT OUTER JOIN
                      Ordini LEFT OUTER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
                      Contabilità LEFT OUTER JOIN
                      StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc ON Ordini.IDCommessa = Contabilità.IDCommessa AND 
                      Ordini.NumOrdine = Contabilità.NumOrdine AND Ordini.AnnoOrdine = Contabilità.AnnoOrdine ON 
                      Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
                      Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
			  WHERE     (Utenti.Nome = $user)
						AND (Utenti.Password = $pwd)
						AND (Richieste.IdCommessa = $IdCommessa)
						AND (Richieste.stato >= 35 or Richieste.stato=15 or Richieste.stato=18)
SQL;

if ( $_POST['Stato2'] == 2 )
{
	$sql .= " AND (Richieste.stato = 15) ";
	$DesStato = "Ricerca preventivi da approvare";
}
elseif ( $_POST['Stato2'] == 3 )
{
	$sql .= " AND (Richieste.stato >= 35 or Richieste.stato=18) ";
	$DesStato = "Ricerca preventivi approvati";
}

if ( is_numeric($_POST['NumRichiesta'])) 
{
	$NumRichiesta = (int)$_POST['NumRichiesta'];
	$sql .= " AND (Richieste.NumRichiesta = $NumRichiesta) ";
}

if ( is_numeric($_POST['AnnoRichiesta'])) 
{
	$AnnoRichiesta = (int)$_POST['AnnoRichiesta'];
	$sql .= " AND (Richieste.AnnoRichiesta = $AnnoRichiesta) ";
}

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sql .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sql .= " AND Richieste.DataRichiesta <= ".$str." ";
}

$sql .= " ORDER BY Richieste.AnnoRichiesta, Richieste.NumRichiesta;";

$query = ntxQuery($sql);

?>
