<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_683", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_683", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumRichiesta = ntxip('NumRichiesta'); // usata anche in _carica_richiesta
$AnnoRichiesta = ntxip('AnnoRichiesta'); // usata anche in _carica_richiesta

$sql = " SELECT Stato FROM Richieste  "
		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta;";

$Stato = ntxScalar($sql);

if ( $Stato != 1  &&  $Stato != 2  &&  $Stato != 15  &&  $Stato != 35  ) 
	ntxMsgErr($traduttore->traduci('Lo stato non permette la modifica della richiesta!'));

if ( $_POST[NoteX]==null ) 
	ntxMsgErr($traduttore->traduci('Obbligatorio inserire note!'));
	
if(strlen($_POST[NoteX])>=254) ntxMsgErr($traduttore->traduci('Note troppo lunghe!'));		
	
$sql = "UPDATE Richieste SET "

		."Stato = 10 "
		
		.", Utente = ".					ntxs($_SESSION['Utente'])
		.", [Note] = ".					ntxsp('NoteX')
		.", DataModifica = getdate()"

		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta;";

ntxQuery($sql);



//******* INIZIO ******* cancelliamo l'ordine collegato se questo è presente 
$ModalitàAgg = ntxs($_SESSION['Utente']);
$Note = ntxsp('NoteX', false, false);

$sql =  <<<_SQL
UPDATE Ordini 
SET
	StatoOrd = 70
	,DataModifica = getdate()
	,ModalitàAgg = $ModalitàAgg
	,Note = $Note
WHERE 
	IdCommessa = $IdCommessa
	AND NumRichiesta = $NumRichiesta
	AND AnnoRichiesta = $AnnoRichiesta
	AND (StatoOrd=35 OR StatoOrd=40 OR StatoOrd=60) 
_SQL;
ntxQuery($sql);


$sql =  <<<_SQL
SELECT NumOrdine, AnnoOrdine
FROM Ordini
WHERE 
	IdCommessa = $IdCommessa
	AND NumRichiesta = $NumRichiesta
	AND AnnoRichiesta = $AnnoRichiesta
	AND StatoOrd = 70
_SQL;
$query = ntxQuery($sql);

if( $rs = ntxRecord($query) )
{
	$NumOrdine = $rs[NumOrdine];
	$AnnoOrdine = $rs[AnnoOrdine];
	
	require_once(NTX_WEBPORTAL_PATH.'messaggi/cancella_ordine/start.php');		
}
else
{
	require_once(NTX_WEBPORTAL_PATH.'messaggi/cancella_richiesta/start.php');		
}
//******* FINE ******* 	


$msg_for_cliente = $traduttore->traduci('Annullata richiesta');

$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

$SchemaCommessa = ntxScalar($sql);

if ( $SchemaCommessa == "team"  &&  $Stato==2 )
	require_once(NTX_WEBPORTAL_PATH.'messaggi/clienti_schema_team/start.php');
	
ntxMsgResult( '' );	

$traduttore->Salva();
?>
