<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_PATH.'richieste/_funzioni_RichiesteStoricoStati.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_684", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_684", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa'); 
$Utente = ntxsse('Utente'); 
$Password = ntxsse('Password'); 
$NumRichiesta = ntxip('NumRichiesta'); 
$AnnoRichiesta = ntxip('AnnoRichiesta'); 
$IdVoce = ntxip('IdVoce'); 
$DataCompetenza = ntxtp('DataCompetenza');
 
if ( $DataCompetenza=="NULL" )
	$DataCompetenza = "dbo.cdate(ltrim('31/12/')+ltrim(YEAR(getdate()))+' 23.59.59')";
	
if(strlen($_POST[NoteX])>=254) ntxMsgErr($traduttore->traduci('Note troppo lunghe!'));			
	
$mDataRichiesta = 'getdate()';
	
$sql = <<< _SQL
	SELECT Stato 
	FROM Richieste  
	WHERE Richieste.IdCommessa = $IdCommessa AND Richieste.NumRichiesta = $NumRichiesta AND Richieste.AnnoRichiesta = $AnnoRichiesta
_SQL;

$OldStato = $Stato = ntxScalar($sql);

if ( $Stato != 15 ) 
	ntxMsgErr($traduttore->traduci('Non puoi autorizzare una richiesta che non sia in stato In Attesa di Autorizzazione'));
	
$sql = <<< sql
	SELECT TOP 1 Tecnici.Tecnico
	FROM         Utenti INNER JOIN
						  UtentiTecnici ON Utenti.Id = UtentiTecnici.IdUtente INNER JOIN
						  Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec
	WHERE     (Utenti.Nome = $Utente) AND (Utenti.Password = $Password)
sql;

$TecnicoC = ntxScalar($sql);

if ( $TecnicoC."" == "" )
	ntxMsgErr($traduttore->traduci('L\'utente loggato non è associato ad un tecnico C!'));
	
//if ( $_POST[NoteX]==null ) 
//	ntxMsgErr('Obbligatorio inserire note!');	
	
$sql = "UPDATE Richieste SET "

		."DataModifica = getdate()"

		.", TecnicoC = ".				ntxs($TecnicoC)
		.", Utente = ".					ntxs($_SESSION['Utente'])
		.", Stato = 18"
		.", [Note] = ".					ntxsp('NoteX')
		.", DataAutorizzazione = getdate()"	

		.", VAutorizzazione = 1"

		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta;";
	
ntxQuery($sql);
	
$sql = "UPDATE Preventivi SET "

		."IdVoce = $IdVoce"
		.", DataCompetenza = $DataCompetenza"	

		." WHERE IdCommessa = $IdCommessa "
		." AND NumRichiesta = $NumRichiesta "
		." AND AnnoRichiesta = $AnnoRichiesta;";

ntxQuery($sql);



$Stato = 18;

salvaStoricoRichieste
(
	$IdCommessa
	,$NumRichiesta
	,$AnnoRichiesta
	,$OldStato
	,$Stato
	,$traduttore->traduci('richiesta passata in Autorizzata. Parametri in \$_POST').": ".print_r($_POST, true)
	,$traduttore->traduci('modifica della richiesta')
	,'' 
); 



/**
	mod cobo
	*/
if(is_numeric($_POST[cobo]) && $_POST[cobo]==1)
{
	$IdCommessa = ntxise('IdCommessa');  
	
	$sql = <<< _SQL
	SELECT * 
	FROM Richieste  
	WHERE Richieste.IdCommessa = $IdCommessa AND Richieste.NumRichiesta = $NumRichiesta AND Richieste.AnnoRichiesta = $AnnoRichiesta
_SQL;

	$rs = ntxRecord(ntxQuery($sql));	
	
	
	if(strlen($rs[NumRifCli])>0||strlen($rs[AnnoRifCli])>0||strlen($rs[CommRifCli])>0) ;
	else
	{
		$IdUtilizzatore = $rs[IdUtilizzatore]; 
		
		if(is_numeric($IdUtilizzatore))
		{  
			$sql = <<<_SQL
			SELECT DISTINCT  tblUtUtilizzatori.ClasseUtilizzatore 
			FROM      
				tblUtUtilizzatori  
			WHERE     
				tblUtUtilizzatori.IdCommessa=$IdCommessa 
				AND tblUtUtilizzatori.IdUtilizzatore=$IdUtilizzatore 
_SQL;
			$ClasseUtilizzatore = ntxScalar($sql);

			$ClasseUtilizzatore_s = $ClasseUtilizzatore;
			$ClasseUtilizzatore_s = stripslashes($ClasseUtilizzatore_s."");
			$ClasseUtilizzatore_s = str_replace("'", "''", $ClasseUtilizzatore_s);
			$ClasseUtilizzatore_s = "'".$ClasseUtilizzatore_s."'";	
 
			$sql = <<<_SQL
			SELECT YEAR(getdate()) AS A1 
_SQL;
			$AnnoCorrente = ntxScalar($sql);	
			
			$sql = <<<_SQL
			SELECT MAX(Richieste.NumRifCli) AS Max
			FROM 
				Richieste 
				INNER JOIN
				tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore			
			WHERE 
				Richieste.IDCommessa = $IdCommessa
				AND Richieste.AnnoRifCli = $AnnoCorrente		 
_SQL;
			//prima la query aveva come ulteriore condizione: --AND tblUtUtilizzatori.ClasseUtilizzatore = $ClasseUtilizzatore_s 
			$query1 = ntxQuery($sql);
			$rs1 = ntxRecord($query1);
			$NumRifCli = $rs1[Max];	
			++$NumRifCli; 
			
			$AnnoRifCli = $AnnoCorrente;	 
	  
			$CommRifCli = $ClasseUtilizzatore;
			
			
			$sql = "UPDATE Richieste SET "

				." NumRifCli = ".				ntxs($NumRifCli)
				.", AnnoRifCli = ".				ntxs($AnnoRifCli)
				.", CommRifCli = ".				ntxs($CommRifCli)

				." WHERE Richieste.IdCommessa = $IdCommessa "
				." AND Richieste.NumRichiesta = $NumRichiesta "
				." AND Richieste.AnnoRichiesta = $AnnoRichiesta ";

			ntxQuery($sql);			
		} 	 
	}	  
} 



require_once(NTX_WEBPORTAL_PATH.'preventivi/_dispatch_richiesta_preventivo.inc');

ntxMsgResult( '' );

$traduttore->Salva();

?>
