<?php
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201706141626 = new NtxTraduttore("000_000_688", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201706141626 = new NtxCreaTraduzione("000_000_688", "IT", __FILE__);

$TotaleCosti = 0;

if ( is_numeric($TipoPrezzo2) )
{
	$TipoPrezzo = "(RihePreventivi.TipoPrezzo=$TipoPrezzo OR RihePreventivi.TipoPrezzo=$TipoPrezzo2)";
}
else
{
	$TipoPrezzo = "RihePreventivi.TipoPrezzo=$TipoPrezzo";
}

$sql = <<< SQL
	SELECT     COUNT(*)
	FROM         Preventivi INNER JOIN
                      RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo 
	WHERE     (Preventivi.IDCommessa = $IdCommessa) AND (Preventivi.NumRichiesta = $NumRichiesta) AND (Preventivi.AnnoRichiesta = $AnnoRichiesta) AND $TipoPrezzo
SQL;

$conteggio = ntxScalar($sql);

if ( $conteggio > 0 )
{
	$sql = <<< SQL
		SELECT     RihePreventivi.Cod, RihePreventivi.Descrizione, RihePreventivi.UM, RihePreventivi.QTA, RihePreventivi.PzUnitario, RihePreventivi.Sconto, 
						  RihePreventivi.Titolo, RihePreventivi.DescrEstesa, RihePreventivi.Prezziario
		FROM         Preventivi INNER JOIN
						  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo 
		WHERE     (Preventivi.IDCommessa = $IdCommessa) AND (Preventivi.NumRichiesta = $NumRichiesta) AND (Preventivi.AnnoRichiesta = $AnnoRichiesta) AND $TipoPrezzo
		ORDER BY RihePreventivi.Cod
SQL;

	$query = ntxQuery($sql);

?>
	<table>
		<caption><?php echo $Titolo ?></caption>
		<tr>
		<th><?php traduttore201706141626->html('Preziario') ?></th>
		<th><?php traduttore201706141626->html('Codice') ?></th>
		<th><?php traduttore201706141626->html('Titolo') ?></th>
		<th><?php traduttore201706141626->html('Descrizione') ?></th>
		<th><?php traduttore201706141626->html('Descrizione Estesa') ?></th>
		<th><?php traduttore201706141626->html('UM') ?></th>
		<th><?php traduttore201706141626->html('QTA') ?></th>
		<th><?php traduttore201706141626->html('Prezzo Unitario') ?></th>
		<th><?php traduttore201706141626->html('Totale Lordo') ?></th>
		</tr>   

<?php
		while( $rs = ntxRecord($query) )
		{
			$CostoTotale = $rs['QTA'] * $rs['PzUnitario'];
?>
		<tr>
				<td>&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['QTA'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['PzUnitario'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($CostoTotale,2) ?></td>
		</tr>
<?php
			if ( is_numeric($CostoTotale) ) 
			{
				$TotaleCosti += (float)($CostoTotale);
			}
		}
	
?>
		<tr><th colspan=8 class=number><?php $traduttore201706141626->html('TOTALE') ?> <?php echo $Titolo ?>:</th>
		<th class=number><?php echo ntxRoundThousand($TotaleCosti,2) ?></th>
	</table>
	<br>
<?php
}
$traduttore201706141626->Salva();
?>
