<?php	

$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

$SchemaCommessa = ntxScalar($sql);

if ( $SchemaCommessa=='san_lazzaro' )
{
	$sql = <<< SQL
			SELECT dbo.ImportoPreventivoSanLazzaro($IdCommessa, $NumRichiesta, $AnnoRichiesta)
SQL;
	
	$TotPerVerdeSanLazzaro = ntxScalar($sql);
}

//otteniamo i dettagli sul preventivo
$sql = <<< SQL
		SELECT   Preventivi.NoteContestazione, Preventivi.DataCompetenza, Preventivi.DataUltimaContestazione, Preventivi.UtenteContestazione, Preventivi.IdVoce, 
					RihePreventivi.RigaP, RihePreventivi.Prezziario, RihePreventivi.Cod, RihePreventivi.Descrizione, RihePreventivi.UM, RihePreventivi.QTA, 
				  RihePreventivi.PzUnitario, isnull(RihePreventivi.Sconto,0) AS Sconto, RihePreventivi.IdPrezzo, RihePreventivi.Titolo, RihePreventivi.DescrEstesa, 
				  RihePreventivi.TipoPrezzo, RihePreventivi.Lun, RihePreventivi.Alt, RihePreventivi.Lar, RihePreventivi.Formula, 
				  RihePreventivi.NotaRiga,  Allegato, RihePreventivi.Path
		FROM         RihePreventivi INNER JOIN
				  Preventivi ON RihePreventivi.IdCommessa = Preventivi.IDCommessa AND RihePreventivi.NumPreventivo = Preventivi.NumPreventivo 
			WHERE     (Preventivi.IDCommessa = $IdCommessa) AND (Preventivi.NumRichiesta = $NumRichiesta) AND (Preventivi.AnnoRichiesta = $AnnoRichiesta)
SQL;

$query_Preventivi = ntxQuery($sql);
	
?>