<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_670", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_670", "IT", __FILE__);

$vista_cliente = $_POST[vista_cliente]==1 ? 1 : 0;

require_once('richieste_sql.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">

</head>
<body  >

<table>
	<tr>
		<th><?php $traduttore->html('Numero') ?>
		<th><?php $traduttore->html('Anno') ?>
		<th><?php $traduttore->html('Data') ?>
		<th><?php $traduttore->html('Classificazione') ?>
		<th><?php $traduttore->html('Autorizzato') ?>
		<th><?php $traduttore->html('Data Autorizzazione') ?>
		<th><?php $traduttore->html('Stato') ?>
		<th><?php $traduttore->html('Archiviata') ?>
		<th><?php $traduttore->html('Descrizione') ?>
		<th><?php $traduttore->html('Ente') ?>
		<th><?php $traduttore->html('Codice Localizzazione') ?>
		<th><?php $traduttore->html('Nome') ?>
		<th><?php $traduttore->html('Indirizzo') ?>
		<th><?php $traduttore->html('Comune') ?>
		<th><?php $traduttore->html('Provincia') ?>
		<th><?php $traduttore->html('CAP') ?>
		<th><?php $traduttore->html('Ordine Assegnato') ?>
		<th><?php $traduttore->html('Originata da ordine') ?>
		<th><?php $traduttore->html('Utilizzatore') ?>
		<th><?php $traduttore->html('Importo Netto') ?>
		<th><?php $traduttore->html('Num/Anno Ordine') ?>
		<th><?php $traduttore->html('Stato Ordine') ?>
		<th><?php $traduttore->html('Numero Contabilit') ?>
		<th><?php $traduttore->html('Importo Accettato') ?>
		<th><?php $traduttore->html('Stato Contabilit') ?>
		<th><?php $traduttore->html('Numero SAL') ?>
		<th><?php $traduttore->html('Data SAL') ?>
	</tr>   

<?php
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td>&nbsp;<?php echo htmlentities($rs['NumRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['AnnoRichiesta']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Classificazione']) ?></td>
		<td>&nbsp;<?php echo $rs['VAutorizzazione']==1 ? "x" : "" ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataAutorizzazione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
		<td>&nbsp;<?php echo $rs['Archiviata']==1 ? "SI" : "no" ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Des']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ( is_numeric($rs[NumOrdine]) ) echo htmlentities((int)$rs[NumOrdine]."/$rs[AnnoOrdine]") ?></td>
		<td>&nbsp;<?php if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities($rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td>
		<td><?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?></td>
		<td>&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']."/".$rs['AnnoOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['StatoOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NumContabilit']) ?></td>
		<td><?php echo ntxRoundThousand($rs['ImportoStimatoC'],2) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['StatoContabilit']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NumSal']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataSal'],2) ?></td>
	</tr>
<?php
	}
?>
</table>
<?php $traduttore->Salva() ?>
</body>
</html>
