<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>

<body  >

<?php
	$IdCommessa = ntxise('IdCommessa');
	$NumRichiesta = ntxip('NumRichiesta');
	$AnnoRichiesta = ntxip('AnnoRichiesta');
	
?>

<?php

	$sql = <<< SQL
			SELECT     RihePreventivi.RigaP, RihePreventivi.Prezziario, RihePreventivi.Cod, RihePreventivi.Descrizione, RihePreventivi.UM, RihePreventivi.QTA, 
                      RihePreventivi.PzUnitario, isnull(RihePreventivi.Sconto,0) AS Sconto, RihePreventivi.IdPrezzo, RihePreventivi.Titolo, RihePreventivi.DescrEstesa, 
                      RihePreventivi.TipoPrezzo, RihePreventivi.Lun, RihePreventivi.Alt, RihePreventivi.Lar, RihePreventivi.Formula, RihePreventivi.NotaRiga,  Allegato,RihePreventivi.Path
			FROM         RihePreventivi INNER JOIN
                      Preventivi ON RihePreventivi.IdCommessa = Preventivi.IDCommessa AND RihePreventivi.NumPreventivo = Preventivi.NumPreventivo 
				WHERE     (Preventivi.IDCommessa = $IdCommessa) AND (Preventivi.NumRichiesta = $NumRichiesta) AND (Preventivi.AnnoRichiesta = $AnnoRichiesta)
SQL;

	$query = ntxQuery($sql);
	
?>
<table align=left>
	<caption>Dettagli Preventivo</caption>
	<tr>
		<th>Prezziario</th>
		<th>Cod.Prezzo</th>
		<th>Titolo</th>
		<th>Descrizione</th>
		<th>Descr.Estesa</th>
		<th>UM</th>
		<th>QTA</th>
		<th>Costo Unitario</th>
		<th>Sconto</th>
		<th>Costo</th>
		<th>Allegato</th>
		<th>&nbsp;</th>
<?php
	$alternate = true;

	$TotaleCosti = 0;
	$countRows = 0;
	$RigheP = "";
	
	while( $rs = ntxRecord($query) )
	{
		$CostoTotale = $rs['QTA'] * $rs['PzUnitario'] * (1 - $rs['Sconto']/100);
		
		if ( $countRows > 0 )
			$RigheP .= ",";
			
		$RigheP .= '"'.$rs['RigaP'].'"';
		
?>
	<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['QTA'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['PzUnitario'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['Sconto'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($CostoTotale,2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs['Allegato']==1 ? "SI" : "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<input type=button value=Allegato onclick="Allegato(<?php echo $rs['RigaP'] ?>)">
			</td>
	</tr>
<?php
		if ( is_numeric($CostoTotale) ) 
		{
			$TotaleCosti += (float)($CostoTotale);
		}
		
		$alternate = !$alternate;
	}
?>
	<tr><th colspan=9 style="text-align:right">TOTALE COSTI:</th>
	<th <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($TotaleCosti,2) ?></th>
		<th colspan=2>&nbsp;</th>
</table>

<form name=frmAllegato method=post action=download_doc.php target=_blank>
	<input type=hidden name=RigaP value="">
	<input type=hidden name=IdCommessa value="<?php echo ntxise('IdCommessa') ?>">
</form>

<script language=javascript>
			
	function Allegato(RigaP)
	{
		frmAllegato.RigaP.value = RigaP;
		frmAllegato.submit();
	}


</script>
</body>
</html>
