<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link rel="stylesheet" href="/repository/libs/jquery.mobile-1.3.0/jquery.mobile-1.3.0.min.css" />
	<script src="/repository/libs/jquery.mobile-1.3.0/jquery-1.9.1.min.js"></script>
	<script src="/repository/libs/jquery.mobile-1.3.0/jquery.mobile-1.3.0.min.js"></script>
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
</head>
<body>

<?php

$sql = <<< sql
	SELECT     'Vani' Tipo, MonVani.IdMon, MonVani.NumOrdine, MonVani.AnnoOrdine, MonVani.DataMon, VociMonVani.Voce, MonVani.Valore Valore1, NULL Valore2,
						MonVani.Note, DocsMonVani.Descrizione DescrDoc, DocsMonVani.Note AS NoteDoc, DocsMonVani.PathFile, DocsMonVani.IdDoc
	FROM         MonVani INNER JOIN
						  DocsMonVani ON MonVani.IdMon = DocsMonVani.IdMon INNER JOIN
						  VociMonVani ON MonVani.IdVoce = VociMonVani.IdVoce
	WHERE MonVani.IdCommessa=$IdCommessa and MonVani.NumRichiesta=$NumRichiesta and MonVani.AnnoRichiesta=$AnnoRichiesta
	UNION
	SELECT     'Componenti' Tipo, MonComp.IdMon, MonComp.NumOrdine, MonComp.AnnoOrdine, MonComp.DataMon, VociMonComp.Voce, MonComp.Valore1, MonComp.Valore2, 
						  MonComp.Note, DocsMonComp.Descrizione DescrDoc, DocsMonComp.Note AS NoteDoc, DocsMonComp.PathFile, DocsMonComp.IdDoc
	FROM         MonComp INNER JOIN
						  DocsMonComp ON MonComp.IdMon = DocsMonComp.IdMon INNER JOIN
						  VociMonComp ON MonComp.IdVoce = VociMonComp.IdVoce
	WHERE MonComp.IdCommessa=$IdCommessa and MonComp.NumRichiesta=$NumRichiesta and MonComp.AnnoRichiesta=$AnnoRichiesta
sql;

$query = ntxQuery($sql);

$result = "";

$Tipo = "";
$IdMon = "";

while( $rs = ntxRecord($query) )
{
	$rs[DataMon] = ntxDate($rs[DataMon]);
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( $Tipo!=$rs[Tipo] || $IdMon!=$rs[IdMon] )
	{
		$Tipo=$rs[Tipo];
		$IdMon=$rs[IdMon];
		
		$result .= <<< result
			<li data-role="list-divider" data-theme="b">
				<p>Monitoraggio $html[IdMon] fatto in  data $html[DataMon] da Ordine $html[NumOrdine]/$html[AnnoOrdine]</p>
				<p>Voce $html[Voce] $html[Valore1], $html[Valore2]</p>
				<p>Note $html[Note]</p>
			</li>
result;
	}
	
	$result .= <<< result
			<li>
				<a href="download_doc_monitor.php?Tipo=$rs[Tipo]&IdDoc=$rs[IdDoc]" target=_blank>
					<img src="thumbnail_doc_monitor.php?IdDoc=$rs[IdDoc]">
					<p>Descr.Doc. $html[DescrDoc]</p>
					<p>Note Doc. $html[NoteDoc]</p>
					<p>PathFile $html[PathFile]</p>
				</a>
			</li>
result;
}

?>

<div data-role="page" id="main">
	<div data-role="content">
		<ul data-role="listview" data-inset="true" data-theme="c">
			<?php echo $result ?>
		</ul>
	</div>
</div>

</body>
</html>
