<?php

$TipoUpdate = ntxip('TipoUpdate'); 

if ( $TipoUpdate == 1 ) // richiesta preventivo
{
	$_POST['Classificazione']='Extracanone';
	$_POST['TipoIntervento']='Preventivo';
}
elseif ( $TipoUpdate == 2 ) // autorizza consuntivo
{
	$_POST['Classificazione']='Extracanone';
	$_POST['TipoIntervento']='Consuntivo';
	$_POST['VAutorizzazione']=1;
}
elseif ( $TipoUpdate == 3 ) // autorizza consuntivo
{
	$_POST['Classificazione']='Canone';
	$_POST['TipoIntervento']='';
}


//se l'utente ha cliccato su "richiesta preventivo" o "autorizza consuntivo" è obbligatorio inserire note tecniche cliente 
if($TipoUpdate==1||$TipoUpdate==2)	
{
	$IdCommessa = ntxise('IdCommessa'); 
	$NumRichiesta = ntxip('NumRichiesta'); 
	$AnnoRichiesta = ntxip('AnnoRichiesta'); 

	//verifico che ci siano tutti i presupposti per applicare la nuova procedura	
	$sql = <<< _SQL
	SELECT Stato, NumOrdineFonte, AnnoOrdineFonte
	FROM  Richieste
	WHERE Richieste.IdCommessa = $IdCommessa
	AND Richieste.NumRichiesta = $NumRichiesta
	AND Richieste.AnnoRichiesta = $AnnoRichiesta
_SQL;
	$rs = ntxIRecord(ntxQuery($sql));

	//la richiesta deve essere nello stato in attesa di valutazione e ci deve essere un ordine fonte
	if( ($rs[0]==2)  &&  ($rs[1]!=null)  &&  ($rs[2]!=null) )
	{
		$AnnoOrdine = $rs[2];
		$NumOrdine = (int)$rs[1];

		$sql = <<< _SQL
		SELECT ForseFuoriCanone, StatoOrd
		FROM  Ordini
		WHERE Ordini.IdCommessa = $IdCommessa
		AND Ordini.NumOrdine = $NumOrdine
		AND Ordini.AnnoOrdine = '$AnnoOrdine'
_SQL;
		$rs = ntxIRecord(ntxQuery($sql));

		//nell'ordine deve essere settato il fuori canone e deve essere sospeso
		if( ($rs[0]==1)  &&  ($rs[1]==60) ) 
		{		
			if( strlen($_POST[NoteTecnicheCliente])<=0 )
				ntxMsgErr('Obbligatorio inserire le Note Tecniche Cliente!');
				
			$sql = "UPDATE Ordini SET "
			."SicuramenteCanone = 0"
			.", StatoOrd = 70"		
			.", [NoteTecnicheCliente] = ".	ntxsp('NoteTecnicheCliente')		
			.", DataModifica = getdate()"
			." WHERE IdCommessa = $IdCommessa "
			." AND NumOrdine = $NumOrdine "
			." AND AnnoOrdine = '$AnnoOrdine' ";			
			
			ntxQuery($sql);			

			require_once(NTX_WEBPORTAL_PATH.'messaggi/cancella_ordine/start.php');			
		}
	}
}

?>