<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once(NTX_WEBPORTAL_PATH.'richieste\ins_non_specifiche.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta

require_once('_check_update_type.inc');

$mDataRichiesta = ntxtp('DataRichiesta');

if ( $mDataRichiesta === 'NULL' )
	$mDataRichiesta = 'getdate()';

require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari\check_affidatario.inc");

$AnnoRichiesta = ntxScalar("select year(getdate())");

$sql = "SELECT MAX(NumRichiesta) As NewNumRichiesta "
		." FROM Richieste "
		." WHERE IdCommessa=$IdCommessa "
		." AND AnnoRichiesta=$AnnoRichiesta;";

$NumRichiesta = ntxScalar($sql);

if (is_numeric($NumRichiesta))
	$NumRichiesta++;
else
	$NumRichiesta = 1;

$Descrizione = $_POST['Descrizione'];

$des1 = $Descrizione;

$des2 = $des3 = "";

if ( strlen($Descrizione) > 255 )
{
	$des1 = substr($Descrizione, 0, 255); // prende i primi 255 caratteri
	$des2 = substr($Descrizione, 255); // prende i caratteri dal 256° in poi
}

if ( strlen($des2) > 255 )
{
	$des3 = substr($des2, 255); // prende i caratteri dal 256° in poi
	$des2 = substr($des2, 0, 255); // prende i primi 255 caratteri
	$des3 = substr($des3, 0, 255); // prende i primi 255 caratteri
}

$Stato = 1;

	
if ( $_POST['Classificazione']=='Extracanone'  &&  $_POST['TecnicoC']=='' )
{
	$sql = <<< sql
	SELECT DISTINCT Tecnici.Tecnico
	FROM  
		Tecnici 
		INNER JOIN
		CommesseTecnici ON Tecnici.IDTec = CommesseTecnici.IDTec
	WHERE 
		CommesseTecnici.IdCommessa = $IdCommessa
		AND TecnDefault = 1
sql;

	$_POST[TecnicoC] = ntxScalar($sql);

	if($_POST[TecnicoC]=="")
		ntxMsgErr('Per le extracanone è obbligatorio il Tecnico C');
}	

if ( $_POST['Classificazione']=='Extracanone'  &&  ntxbp('VAutorizzazione')==1 ) 
{
	$Stato = 18; // Autorizzata
	
	if ( $_POST['DataAutorizzazione'].''=='' )
		$DataAutorizzazione = "getdate()";
	else
		$DataAutorizzazione = ntxtp('DataAutorizzazione');
}
else
{
	$DataAutorizzazione = ntxtp('DataAutorizzazione');
}

if ( $_POST['Classificazione']=='Extracanone'  &&  $_POST['TipoIntervento']=='Preventivo' ) 
{
	$Stato = 4; // Richiesta Preventivo
}



$Localizzazione = ntxip("Localizzazione");
if( ntxScalar("SELECT Rimosso FROM ElencoEdifici WHERE IdCommessa=$IdCommessa AND ID=$Localizzazione ")==1 )
	ntxmsgerr("Non e' possibile eseguire l'operazione richiesta.\nEdificio non utilizzabile!");
	
	
	
$sql1 = "INSERT INTO Richieste (";	$sql2 = " VALUES (";

$sql1 .= "Richiedente";				$sql2 .= ntxsp('Richiedente').", ";
$sql1 .= ", IdUtenteInserimento";	$sql2 .= ntxise('IdUtente').", "; //aggiunta per riferimento a utente che ha inserito la richiesta
$sql1 .= ", Utente";				$sql2 .= ntxs($_SESSION['Utente']).", ";
$sql1 .= ", Operatore";				$sql2 .= ntxs($_SESSION['Utente']).", ";
$sql1 .= ", TelefonoRif";			$sql2 .= ntxsp('TelefonoRif').", ";

$sql1 .= ", Localizzazione";		$sql2 .= ntxip('Localizzazione',false).", ";
$sql1 .= ", IdRichiedente";			$sql2 .= ntxip('IdRichiedente',false).", ";

$sql1 .= ", DataRichiesta";			$sql2 .= "$mDataRichiesta, ";
$sql1 .= ", DataModifica";			$sql2 .= "getdate(), ";
$sql1 .= ", DataInserimento";		$sql2 .= "getdate(), ";

$sql1 .= ", IdMestiere";			$sql2 .= ntxip('IdMestiere',false).", ";
$sql1 .= ", IdComponenteMestiere";	$sql2 .= ntxip('IdComponenteMestiere').", ";
$sql1 .= ", IdAttivitàMestiere";	$sql2 .= ntxip('IdAttivitàMestiere').", ";

$sql1 .= ", IdLivello";				$sql2 .= ntxip('IdLivello').", ";
$sql1 .= ", IdAmbiente";			$sql2 .= ntxip('IdAmbiente').", ";
$sql1 .= ", IdComponente";			$sql2 .= ntxip('IdComponente').", ";
$sql1 .= ", IdSubComponente";		$sql2 .= ntxip('IdSubComponente').", ";
$sql1 .= ", IdEnteTerzo";			$sql2 .= ntxip('IdEnteTerzo').", ";

$sql1 .= ", IdAffidatario";			$sql2 .= ntxi($IdAffidatario).", ";
$sql1 .= ", IdVoceBudget";			$sql2 .= ntxip('IdVoceBudget').", ";

$sql1 .= ", IdUtilizzatore";		$sql2 .= ntxip('IdUtilizzatore').", ";

$sql1 .= ", Descrizione";			$sql2 .= ntxs($des1, 'Descrizione', false, false).", ";
$sql1 .= ", Descrizione1";			$sql2 .= ntxs($des2).", ";
$sql1 .= ", Descrizione2";			$sql2 .= ntxs($des3).", ";

$sql1 .= ", [Note]";				$sql2 .= ntxsp('NoteX').", ";
$sql1 .= ", IdChiamataCallCenter";	$sql2 .= ntxsp('IdChiamataCallCenter').", ";

$sql1 .= ", GradoUrgenza";			$sql2 .= ntxsp('GradoUrgenza',false,false).", ";

$sql1 .= ", TecnicoC";				$sql2 .= ntxsp('TecnicoC').", ";

$sql1 .= ", Tecnico";				$sql2 .= ntxsp('Tecnico').", ";

$sql1 .= ", TipoValutazione";		$sql2 .= ntxsp('TipoValutazione').", ";

$sql1 .= ", TipoIntervento";		$sql2 .= ntxsp('TipoIntervento').", ";

$sql1 .= ", Classificazione";		$sql2 .= ntxsp('Classificazione').", ";

$sql1 .= ", Tipo";					$sql2 .= ntxsp('Tipo').", ";
$sql1 .= ", Stato";					$sql2 .= "$Stato, ";

$sql1 .= ", DataInizioP";			$sql2 .= ntxtp('DataInizioP').", ";
$sql1 .= ", DataFineP";			$sql2 .= ntxtp('DataFineP').", ";
$sql1 .= ", DataSopralluogo";		$sql2 .= ntxtp('DataSopralluogo').", ";
$sql1 .= ", DataAutorizzazione";	$sql2 .= $DataAutorizzazione.", ";
$sql1 .= ", VAutorizzazione";		$sql2 .= ntxbp('VAutorizzazione').", ";
$sql1 .= ", NumRifCli";				$sql2 .= ntxip('NumRIE').", ";
$sql1 .= ", AnnoRifCli";			$sql2 .= ntxip('AnnoRIE').", ";

$sql1 .= ", IdCommessa";			$sql2 .= $IdCommessa.", ";
$sql1 .= ", NumRichiesta";			$sql2 .= $NumRichiesta.", ";
$sql1 .= ", AnnoRichiesta)";		$sql2 .= $AnnoRichiesta.");";

ntxQuery($sql1.$sql2);

require_once(NTX_WEBPORTAL_PATH.'preventivi/_dispatch_richiesta_preventivo.inc');
require_once(NTX_WEBPORTAL_PATH.'messaggi/nuova_richiesta/start.php');
require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/nuova_richiesta/start.php');

//require_once('_carica_richiesta.inc');
require_once('anno_numero_richiesta.inc');

?>
