<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumRichiesta = ntxip('NumRichiesta'); // usata anche in _carica_richiesta
$AnnoRichiesta = ntxip('AnnoRichiesta'); // usata anche in _carica_richiesta

$mDataRichiesta = ntxtp('DataRichiesta');

if ( $mDataRichiesta === 'NULL' )
	$mDataRichiesta = 'getdate()';

require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari\check_affidatario.inc");


$sql = " SELECT Stato FROM Richieste  "
		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta;";

$Stato = ntxScalar($sql);


if ( $Stato != 1  &&  $Stato != 2  &&  $Stato != -1  ) 
	ntxMsgErr('Si possono modificare solo le richieste in stato registrato / pre-registrato / in attesa di valutazione');

	
if ( $_POST['Classificazione']!='Extracanone' || (ntxbp('VAutorizzazione')==0 || ntxbp('VAutorizzazione').''=='') )
	ntxMsgErr("La richiesta non e' stata settata come extracanone o non settato il check 'Autorizzazione'.");	
	
if ( $_POST['Classificazione']=='Extracanone'  &&  $_POST['TecnicoC']=='' )
	ntxMsgErr('Per le extracanone è obbligatorio il Tecnico C');

	
if ( $_POST['Classificazione']=='Extracanone'  &&  ntxbp('VAutorizzazione')==1 ) 
{
	$Stato = 16; // IMPORTANTE: Approvata Extracanone
	
	if ( $_POST['DataAutorizzazione'].''=='' )
		$DataAutorizzazione = "getdate()";
	else
		$DataAutorizzazione = ntxtp('DataAutorizzazione');
}
else
{
	$DataAutorizzazione = ntxtp('DataAutorizzazione');
}


$sql = "UPDATE Richieste SET "

		."Utente = ".					ntxs($_SESSION['Utente'])
		.", Operatore = ".				ntxs($_SESSION['Utente'])

		.", DataModifica = getdate()"

		.", TecnicoC = ".				ntxsp('TecnicoC')

		.", Stato = ".					$Stato

		.", TipoIntervento = ".			ntxsp('TipoIntervento')

		.", TipoValutazione = ".		ntxsp('TipoValutazione')

		.", IdAffidatario = ".			ntxi($IdAffidatario)
		
		.", Classificazione = ".		ntxsp('Classificazione')

		.", DataAutorizzazione = ".		$DataAutorizzazione

		.", VAutorizzazione = ".		ntxbp('VAutorizzazione')
		
		.", Autorizzatore = ".			ntxs($_SESSION['Utente'])
		
		.", NoteTecnicheCliente = ".	ntxsp('NoteTecnicheCliente')//aggiunto il 23/11/2010

		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta;";

ntxQuery($sql);


$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

$SchemaCommessa = ntxScalar($sql);

if ( $SchemaCommessa == "sky" )
	require_once(NTX_WEBPORTAL_PATH.'messaggi/schema_sky/approvata_extra_autorizzatore/start.php');


require_once('anno_numero_richiesta.inc');
?>
