<?php  

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');


$Stati = explode(",",$_POST[Stati]);

$where_stati = "";

foreach($Stati as $stato)
{
	if (is_numeric($stato))
	{
		if ($where_stati != "")
			$where_stati .= " OR ";
		else
			$where_stati = " AND (";
		
		$where_stati .= "Ordini.StatoOrd = $stato";
	}
}

if ($where_stati != "")
	$where_stati .= ")";

$subSql = <<< sql
	SELECT TOP 1 LTRIM(r2.NumRichiesta) +'/'+ LTRIM(r2.AnnoRichiesta) 
	FROM Richieste r2
	WHERE Ordini.IDCommessa = r2.IDCommessa AND Ordini.NumOrdine  = r2.NumOrdineFonte AND 
	                      Ordini.AnnoOrdine = r2.AnnoOrdineFonte
sql;

$subsql2 = "SELECT Sum(RiheContabilità.Importo) AS SommaDiImporto "
		."FROM RiheContabilità "
		."WHERE Contabilità.NumContabilità = RiheContabilità.NumContabilità  "
		."AND Contabilità.IDCommessa = RiheContabilità.IdCommessa "
		."AND Ordini.StatoOrd>=200";

$subsql3 = "SELECT COUNT(*) "
		."FROM StoricoComunicazioni  "
		."WHERE StoricoComunicazioni.IDCommessa=Ordini.IDCommessa  "
		."AND StoricoComunicazioni.NumRichiesta=Ordini.NumRichiesta "
		."AND StoricoComunicazioni.AnnoRichiesta=Ordini.AnnoRichiesta ";

$subsql4 = "SELECT COUNT(*) "
		."FROM DocsOrdini  "
		."WHERE DocsOrdini.IDCommessa=Ordini.IDCommessa  "
		."AND DocsOrdini.IdOrdine=Ordini.IdOrd ";

$sql = <<< sql
SELECT DISTINCT
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, Richieste.NumRichiesta, Richieste.AnnoRichiesta,
	Richieste.DataRichiesta, Richieste.ImpS, Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Des,
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune,
	ElencoEdifici.Provincia, ElencoEdifici.CAP, tblPgPropietari.Nome AS Ente, tblMestieri.Descrizione AS Mestiere,
	TabellaGradoUrgenza.Descrizione AS GrUrgenza, Ordini.DataInizio, Ordini.DataFine, Ordini.DataScadenza,
	DestinazioniDuso.Destinazione AS DesAmb, Ambiente.CodiceAssAmbiente AS CodAmb,
	DestinazioniDusoLivello.Destinazione AS DesPiano, Richieste.Classificazione,
	convert(float,[ordini].[DataInizio]-[ordini].[DataScadenza]) AS InizioMaggioreScadenza,
	convert(float,[ordini].[DataScadenza]-GETDATE()) AS Scaduto,
	IsDate([ordini].[DataFine]) AS Finito,
	ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente, Ordini.Contabiliz,
	($subSql) AS RicGenerata, 
	tblUtUtilizzatori.Nome AS Utilizzatore,
	Richieste.Richiedente, Ordini.DataInizioProg, Ordini.DataFineProg, Richieste.TipoValutazione

	, Ditte.Ditta

	, tblMestieri.codice AS CodMest, tblComponetiMestiere.codice AS CodComp, tblAttivitàMestiere.codice AS CodAtt
	, tblMestieri.Descrizione AS DesMest, tblComponetiMestiere.Descrizione AS DesComp, tblAttivitàMestiere.Descrizione AS DesAtt
	, Richieste.Riferimento, Ordini.ImportoStimato
	,			($subsql2) AS ImpCont, 
	case when Ordini.StatoOrd>=200 then Contabilità.ImportoStimatoC else NULL end ImpCont2,
	($subsql3) AS ConteggioComunicazioni,
	($subsql4) AS ConteggioDocumenti,

	Contabilità.NumSal

	, CASE WHEN  Ordini.ForseFuoriCanone = 1 THEN 'SI' ELSE 'NO' END AS FFC, CASE WHEN  Ordini.SicuramenteCanone = 1 THEN 'SI' ELSE 'NO' END AS SC ,
	
	StatiContabilità.DesstatoC		

		

	, Richieste.NumRifCli 
	
	, Richieste.AnnoRifCli
FROM        
	Ambiente FULL OUTER JOIN
	DestinazioniDuso ON Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso AND 
	Ambiente.IdCommessa = DestinazioniDuso.IdCommessa FULL OUTER JOIN
	tblPgPropietari RIGHT OUTER JOIN
	tblAttivitàMestiere RIGHT OUTER JOIN
	ElencoEdifici INNER JOIN
	Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio INNER JOIN
	StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
	Richieste ON Ordini.IDCommessa = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
	Ordini.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
	UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
	Utenti ON UtentiEdifici.IdUtente = Utenti.Id INNER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
	TabellaGradoUrgenza ON Ordini.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
	Ordini.GradoUrgenza = TabellaGradoUrgenza.GradoU INNER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta ON tblAttivitàMestiere.IdCommessa = Ordini.IDCommessa AND 
	tblAttivitàMestiere.IdAttivitàMestiere = Ordini.IdAttivitàMestiere LEFT OUTER JOIN
	tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND 
	Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere LEFT OUTER JOIN
	tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
	ComponentiAmbiente LEFT OUTER JOIN
	TipoComponente ON ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente AND 
	ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
	Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa LEFT OUTER JOIN
	DestinazioniDusoLivello RIGHT OUTER JOIN
	PianoLivello ON DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso AND DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa ON 
	Ordini.CodEdificio = PianoLivello.IdEdificio AND Ordini.AnnoOrdine = PianoLivello.idPiano AND Ordini.IDCommessa = PianoLivello.IdCommessa ON 
	tblPgPropietari.IdPropietario = ElencoEdifici.IdProprietario LEFT OUTER JOIN
	OrdiniLatLon ON Ordini.IDCommessa = OrdiniLatLon.IDCommessa AND Ordini.NumOrdine = OrdiniLatLon.NumOrdine AND 
	Ordini.AnnoOrdine = OrdiniLatLon.AnnoOrdine LEFT OUTER JOIN
	Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
	Ordini.AnnoOrdine = Contabilità.AnnoOrdine ON Ambiente.IDAmbiente = Ordini.IdAmbiente AND Ambiente.IdEdificio = Ordini.CodEdificio AND 
	Ambiente.IdCommessa = Ordini.IDCommessa

	LEFT OUTER JOIN
	StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc						  
					  
WHERE     (Utenti.Nome = $mUtente)
			AND (Utenti.Password = $mPassword)
			AND (Richieste.IdCommessa = $IdCommessa)			
sql;
	
	
if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sql .= " AND (Ordini.IdUtilizzatore = $IdUtilizzatore) ";
}
		
if ( is_numeric($_POST['TipoRichiedente'])) 
{
	$TipoRichiedente = (int)$_POST['TipoRichiedente'];
	$sql .= " AND (Richieste.IdRichiedente = $TipoRichiedente) ";
}

if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sql .= " AND (Ordini.IdMestiere = $IdMestiere) ";
}
		

if ( is_numeric($_POST['EscludiOrdiniAnnullati'])  &&  $_POST['EscludiOrdiniAnnullati']==1) 
{
	$sql .= " AND (Ordini.StatoOrd <> 70) ";
}

if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sql .= " AND (Ordini.IdComponenteMestiere = $IdComponente) ";
}
	
if ( is_numeric($_POST['NumSal']) ) $sql .= " AND Contabilità.NumSal = ".ntxip('NumSal');

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sql .= " AND (tblPgPropietari.IdPropietario = $IdPropietario) ";
}
	
if ( is_numeric($_POST['MeseOrdine'])) 
{
	$MeseOrdine = (int)$_POST['MeseOrdine'];
	$sql .= " AND (Month(Ordini.DataOrdine) = $MeseOrdine) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (Ordini.CodEdificio = $IdEdificio) ";
}

if ( isset($_POST['Classificazione'])  &&  strlen($_POST['Classificazione'])>0) 
{
	$str = stripslashes($_POST['Classificazione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.Contabiliz = '".$str."' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.DescrizioneIntervento LIKE '%".$str."%' ";
}

if ( isset($_POST['NomeLocaliz'])  &&  strlen($_POST['NomeLocaliz'])>0) 
{
	$str = stripslashes($_POST['NomeLocaliz']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.EdificioBreve LIKE '%".$str."%' ";
}

if ( isset($_POST['DescrizionePI'])  &&  strlen($_POST['DescrizionePI'])>0) 
{
	$str = stripslashes($_POST['DescrizionePI']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND OrdiniLatLon.Descrizione LIKE '%".$str."%' ";
}

if ( isset($_POST['NotaPI'])  &&  strlen($_POST['NotaPI'])>0) 
{
	$str = stripslashes($_POST['NotaPI']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND OrdiniLatLon.Nota	LIKE '%".$str."%' ";
}

if ( isset($_POST['Civico'])  &&  strlen($_POST['Civico'])>0) 
{
	$str = stripslashes($_POST['Civico']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND OrdiniLatLon.Civico = '".$str."' ";
}

if ( isset($_POST['SubCivico'])  &&  strlen($_POST['SubCivico'])>0) 
{
	$str = stripslashes($_POST['SubCivico']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND OrdiniLatLon.SubCivico = '".$str."' ";
}

if ( is_numeric($_POST['Ditta']) ) $sql .= " AND Ordini.Assegnazione = ".ntxip('Ditta');

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sql .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sql .= " AND Richieste.DataRichiesta <= ".$str." ";
}

if ( isset($_POST['DataOrdine1'])  &&  strlen($_POST['DataOrdine1'])>0) 
{
	$str = ntxtp("DataOrdine1");
	$sql .= " AND Ordini.DataOrdine >= ".$str." ";
}

if ( isset($_POST['DataOrdine2'])  &&  strlen($_POST['DataOrdine2'])>0) 
{
	$str = ntxtp("DataOrdine2");
	$sql .= " AND Ordini.DataOrdine <= ".$str." ";
}

if ( isset($_POST['Data1p'])  &&  strlen($_POST['Data1p'])>0) 
{
	$str = ntxtp("Data1p");
	$sql .= " AND Ordini.DataInizioProg >= ".$str." ";
}

if ( isset($_POST['Data2p'])  &&  strlen($_POST['Data2p'])>0) 
{
	$str = ntxtp("Data2p");
	$sql .= " AND Ordini.DataInizioProg <= ".$str." ";
}

if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sql .= " AND Richieste.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sql .= " AND Richieste.AnnoRichiesta = $val ";
}

if ( is_numeric($_POST['NumOrdine']) ) 
{
	$val = (int)$_POST['NumOrdine'];
	$sql .= " AND Ordini.NumOrdine = $val ";
}

if ( is_numeric($_POST['IdAttivitàMestiere']) ) 
{
	$val = (int)$_POST['IdAttivitàMestiere'];
	$sql .= " AND Ordini.IdAttivitàMestiere = $val ";
}

if ( is_numeric($_POST['AnnoOrdine']) ) 
{
	$val = (int)$_POST['AnnoOrdine'];
	$sql .= " AND Ordini.AnnoOrdine = $val ";
}



if ( is_numeric($_POST['RicercaOrdiniScaduti']) )
{
	$val = (int)$_POST['RicercaOrdiniScaduti'];
	if($val)
		$sql.= " AND (Ordini.DataScadenza <= GETDATE() AND Ordini.DataInizio IS NULL) ";
}

if ( isset($_POST['GradoUrgenza2'])  &&  strlen($_POST['GradoUrgenza2'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.GradoUrgenza = '".$str."' ";
}

if ( isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza1']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.GradoUrgenza = '".$str."' ";
}

if ( isset($_POST['Tecnico'])   &&  $_POST['Tecnico']!="" ) $sql .= " AND Ordini.Tecnico LIKE '%".$_POST['Tecnico']."%'";

if ( is_numeric($_POST['OrdinePianificato']) )
{
	if ( $_POST['OrdinePianificato']==1 )
		$sql .= " AND Ordini.OrdinePianificato = 1";
	else
		$sql .= " AND (Ordini.OrdinePianificato = 0 OR Ordini.OrdinePianificato IS NULL)";
}

if ( isset($_POST['MPeMON']) )
{
	$valore = "".$_POST['MPeMON'];

	if ( is_numeric($valore) )//se è un numero escludiamo MP e MON
	{
			$sql.= " AND (Ordini.GradoUrgenza <> 'MP')  AND (Ordini.GradoUrgenza <> 'MON') ";
	}
	else if( $valore=='MP' )
	{
		$sql.= " AND (Ordini.GradoUrgenza = 'MP') ";
	}
	else if( $valore=='MON' )
	{
		$sql.= " AND (Ordini.GradoUrgenza = 'MON') ";
	}	
}


	
if ( is_numeric($_POST['Latitudine'])  &&  is_numeric($_POST['Longitudine']) ) 
{
	$lat = (float)$_POST['Latitudine'];
	$lng = (float)$_POST['Longitudine'];
	
	$haversineTmp .= " AND (dbo.haversine('km', OrdiniLatLon.Latitudine, OrdiniLatLon.Longitudine, $lat, $lng) <= "; 	
	
	if ( is_numeric($_POST['RaggioRicercaPI']) ) 
	{
		$distanza = (int)$_POST['RaggioRicercaPI'];

		$haversineTmp .= " $distanza) ";
		
		$sql .= $haversineTmp;
	}
}


if ( is_numeric($_POST['Tipo']) ) 
{
	$tipo = (int)$_POST['Tipo'];
	if($tipo==1)
		$sql .= " AND (ElencoEdifici.Tipo = $tipo) ";
	else
		$sql .= " AND ( (ElencoEdifici.Tipo=$tipo) OR (ElencoEdifici.Tipo IS NULL) ) ";	
}



if( is_numeric($_POST['controlloAttivita']) )
{
	$value = (int)$_POST['controlloAttivita'];
	
	if($value==1)
	{
		$sql .= "  AND (RichiestaVerif IS NULL) AND (Ordini.StatoOrd>=50 AND Ordini.StatoOrd<>60 AND Ordini.StatoOrd<>70 AND Ordini.StatoOrd<>400) ";
	}
	else if($value==2)
	{
		$sql .= "  AND (RichiestaVerif=1)  ";
	}
	else if($value==3)
	{
		$sql .= "  AND (RichiestaVerif=1) AND (VistoCliente=1)  ";
	}
}
else
	$sql .= " $where_stati ";


if ( isset($_POST['Richiedente'])  &&  strlen($_POST['Richiedente'])>0) 
{
	$str = stripslashes($_POST['Richiedente']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.Richiedente LIKE '%".$str."%' ";
}
 

if(isset($eseguiQueryPaginazione) && $eseguiQueryPaginazione==true)
{
	$query = ntxPagedQuery($sql, " DataOrdine DESC ");
}
else
{
	$sql .= " ORDER BY DataOrdine DESC ";
	$query = ntxQuery($sql);	
}	
?>
