<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="report/preventivo.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php

$IdCommessa = ntxise('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');

$sql = <<< SQL
	SELECT     ElencoEdifici.Tipo
	FROM         Richieste INNER JOIN
						  ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta) 
SQL;

$TipoLocalizzazione = ntxScalar($sql);

$sql = <<< SQL
	SELECT     ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Richieste.Descrizione, Richieste.Descrizione1, 
						  Richieste.Descrizione2,
						  Richieste.DataRichiesta,
						  Richieste.DataAutorizzazione,
						  Richieste.DataInoltroPreventivo
						  
	FROM         Richieste INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta) 
SQL;

$query = ntxQuery($sql);

$rs = ntxIRecord($query);

$DataRichieta = ntxDateTime($rs[7]);
$DataAutorizzazione = ntxDateTime($rs[8]);
$DataInoltroPreventivo = ntxDateTime($rs[9]);

echo $path
?>

<p class=title><?php echo htmlentities("Rif. Richiesta \"$NumRichiesta/$AnnoRichiesta\" Edificio \"{$rs[0]}-{$rs[1]}\" - Indirizzio \"{$rs[2]}\" - Comune \"{$rs[3]}\" - Descrizione \"{$rs[4]}{$rs[5]}{$rs[6]}\"") ?></p>

<?php

$sql = <<< SQL
	SELECT     Nota
	FROM         Preventivi
	WHERE     (IDCommessa = $IdCommessa) AND (NumRichiesta = $NumRichiesta) AND (AnnoRichiesta = $AnnoRichiesta) 
SQL;

$nota = ntxScalar($sql);

if ( $nota.'' != '' )
{
?>

<p class=title style="text-align: left;font-size: 10pt"><?php echo htmlentities("Nota d'accompagnamento: $nota") ?></p>

<?php
}

if ( $TipoLocalizzazione==1 )
{
	$FattoreSconto = 0.11;
	$EtichettaSconto = "11,00%";
	$vai_a = "san_lazzaro-step-2.inc";
}
elseif ( $TipoLocalizzazione==2 )
{
	$FattoreSconto = 0.07;
	$EtichettaSconto = "7,00%";
	$vai_a = "san_lazzaro-step-2-verde.inc";
}
else
{
	$FattoreSconto = 0.25;
	$EtichettaSconto = "25,00%";
	$vai_a = "san_lazzaro-step-2.inc";
}

require($vai_a);
	
?>

<p>Data/Ora Richiesta Preventivo: "<?php echo $DataRichieta ?>" - Data/Ora Inoltro: "<?php echo $DataInoltroPreventivo ?>" - Data/Ora Autorizzazione: "<?php echo $DataAutorizzazione ?>"</p>

</body>
</html>
