<?php  


$IdCommessa = ntxise('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0_sfondo_bianco.css" rel="stylesheet" type="text/css">
	<style>
		<?php include("css/style.css") ?>
	</style>

</head>
<body>
<input type=button value="Stampa" onclick="print()" />

<?php  

$sql = <<< sql
	SELECT     TOP (1) Richieste.NumRifCli, Richieste.AnnoRifCli, Richieste.CommRifCli
	FROM         Richieste 
	WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;

$rs = ntxRecord(ntxQuery($sql));

$NumRifCli = $rs[NumRifCli];
$AnnoRifCli = $rs[AnnoRifCli];
$CommRifCli = ntxs("$rs[CommRifCli]");

$NumRifCli = (int)$rs[NumRifCli];
$AnnoRifCli = (int)$rs[AnnoRifCli];

require_once("richiesta.inc");

$TotTotLordoPerLavori = $TotTotNettoPerLavori = $TotTotNettoPerOneriSicurezza = 0;

$titolo = "Opere su Misura";
$AND_WHERE = " AND (RihePreventivi.OneriSicurezza = 0 OR RihePreventivi.OneriSicurezza IS NULL) AND (RihePreventivi.TipoPrezzo <> 2) AND (RihePreventivi.TipoPrezzo <> 5) ";
require("rihe_cont.inc");

$TotTotLordoPerLavori += $TotaleLordo;
$TotTotNettoPerLavori += $TotaleNetto;

echo "&nbsp;<br>";

$titolo = "Manodopera";
$AND_WHERE = " AND (RihePreventivi.OneriSicurezza = 0 OR RihePreventivi.OneriSicurezza IS NULL) AND (RihePreventivi.TipoPrezzo = 2) ";
require_once("rihe_cont_manodopera.inc");

$TotTotLordoPerLavori += $TotaleLordo;
$TotTotNettoPerLavori += $TotaleNetto;

echo "&nbsp;<br>";

$titolo = "Forniture e Noli";
$AND_WHERE = " AND (RihePreventivi.OneriSicurezza = 0 OR RihePreventivi.OneriSicurezza IS NULL) AND (RihePreventivi.TipoPrezzo = 5) ";
require("rihe_cont.inc");

$TotTotLordoPerLavori += $TotaleLordo;
$TotTotNettoPerLavori += $TotaleNetto;

echo "&nbsp;<br>";

$titolo = "Oneri Sicurezza";
$AND_WHERE = " AND (RihePreventivi.OneriSicurezza = 1) ";
require_once("rihe_cont_oneri_sicur.inc");

$TotTotNettoPerOneriSicurezza += $TotaleLordo;

$TotTotLordo = $TotTotLordoPerLavori;
$TotTotNetto = $TotTotNettoPerLavori + $TotTotNettoPerOneriSicurezza;

echo "&nbsp;<br><p class=Title>Riepilogo Ordine Cliente: $html[NumRifCli]-$html[AnnoRifCli]-$html[CommRifCli]</p>";

?>


<table class=TableRiepilogo>
	<tr>
		<th>
		<th style="text-align:right">Lordo
		<th style="text-align:right">Netto
	<tr>
		<th style="text-align:right">Per Lavori:
		<td style="text-align:right"><?php echo ntxRound($TotTotLordoPerLavori,2) ?>
		<td style="text-align:right"><?php echo ntxRound($TotTotNettoPerLavori,2) ?>
	<tr>
		<th style="text-align:right">Oneri Sicurezza:
		<td>
		<td style="text-align:right"><?php echo ntxRound($TotTotNettoPerOneriSicurezza,2) ?>
	<tr>
		<th style="text-align:right">Totale:
		<td style="text-align:right"><?php echo ntxRound($TotTotLordo,2) ?>
		<td style="text-align:right"><?php echo ntxRound($TotTotNetto,2) ?>
</body>
</html>
