<?php

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta'); 
$AnnoRichiesta = ntxip('AnnoRichiesta');
$Nota = ntxsp('Nota');

$sql = <<< sql
	SELECT IdRich FROM Richieste
	WHERE IdCommessa=$IdCommessa
	AND NumRichiesta=$NumRichiesta
	AND AnnoRichiesta=$AnnoRichiesta
sql;

$IdRich = ntxScalar($sql);

if (!is_numeric($IdRich))
	die ("Non esiste ancora una richiesta a cui associare il documento!");
	
// QUESTE RIGHE RENDONO LO SCRIPT COMPATIBILE CON LE VERSIONI
// DI PHP PRECEDENTI ALLA 4.1.0
if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;

/********************* VARIABILI DA SETTARE ********************/
// Directory dove salvare i files Uploadati ( chmod 777, percorso assoluto)

$sql = "SELECT Commesse.pathPublicShapeWeb, Richieste.AnnoRichiesta, month(dataRichiesta) "
		." FROM Commesse INNER JOIN Richieste ON Commesse.IDCommessa = Richieste.IDCommessa "
		." WHERE (((Richieste.IDCommessa)=$IdCommessa)) AND Richieste.IdRich=$IdRich;";

$query = ntxQuery($sql);

if (!$query)
	die("Commessa non trovata!");
	
if (!($rs = ntxIRecord($query)))
	die("Commessa non trovata 2!");
	
$upload_dir = $rs[0];//$_SERVER["DOCUMENT_ROOT"] . "/upload";
$AnnoRichiesta = $rs[1];
$MeseRichiesta = $rs[2];

if ( $MeseRichiesta < 10 ) $MeseRichiesta = "0$MeseRichiesta";

$upload_dir .= "\\$AnnoRichiesta";

if (!is_dir($upload_dir)) mkdir($upload_dir);

$upload_dir .= "\\$MeseRichiesta";

if (!is_dir($upload_dir)) mkdir($upload_dir);

$new_name = "";

// Se $new_name è vuota, il nome sarà lo stesso del file uploadato
$file_name = ($new_name) ? $new_name : $_FILES["upfile"]["name"];

if(trim($_FILES["upfile"]["name"]) == "")
	die("Non hai indicato il file da uploadare !");

if($_FILES["upfile"]["size"]==0)
	die("Upload fallito controllare dimensione del file max 2 MegaByte!");

$allowed_types = array
(
	"audio/3gpp"
	,"audio/amr"
	,"audio/midi"
	,"text/html"
	,"image/bmp"
	,"image/x-bmp"
	,"image/png"
	,"image/tiff" 	
	,"image/vnd.wap.wbmp"
	,"video/3gpp"
	,"video/mp4"
	,"audio/mpeg"
	,"audio/vorbis"
	,"video/theora"
	,"application/x-rar-compressed"
	,"application/x-zip-compressed"
	,"multipart/x-zip"
	,"application/zip"
	,"application/x-compressed"
	,"application/x-compress"
	,"video/x-msvideo"
	,"application/acad"
	,"application/x-acad"
	,"application/autocad_dwg "
	,"image/x-dwg"
	,"application/dwg"
	,"application/x-dwg"
	,"application/x-autocad"
	,"image/vnd.dwg"
	,"drawing/dwg"
	,"image/gif"
	,"image/x-png"
	,"image/pjpeg"
	,"image/jpeg"
	,"image/jpg"
	,"application/pdf"
	,"text/plain"
	, "application/msword"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.document"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.template" 
	, "application/vnd.ms-excel"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.template" 
	, "application/vnd.ms-powerpoint"
	, "application/vnd.openxmlformats-officedocument.presentationml.presentation"
	, "application/vnd.openxmlformats-officedocument.presentationml.template"
	, "application/vnd.openxmlformats-officedocument.presentationml.slideshow" 
);


if(!in_array($_FILES["upfile"]["type"],$allowed_types))
	die("Il file non è di un tipo consentito, sono ammessi solo i seguenti: " . implode(",", $allowed_types) . ".");

$sql = "INSERT INTO DocsRichieste (IdCommessa, IdRichiesta, Nota, Path) VALUES($IdCommessa, $IdRich, $Nota, NULL);";

ntxQuery($sql);

$query = ntxQuery("SELECT @@IDENTITY;");

if ( !query || !($rs=ntxIRecord($query)) || !is_numeric($rs[0]) )
	die("Inerimento nel db fallita! Ritentare!");

$IdDoc = $rs[0];
		
$dest_path = "$upload_dir\\dr_{$IdCommessa}_{$IdDoc}_$file_name";

if(@is_uploaded_file($_FILES["upfile"]["tmp_name"])) 
	@move_uploaded_file($_FILES["upfile"]["tmp_name"], $dest_path) 
		or die("Impossibile spostare il file, controlla l'esistenza o i permessi della directory dove fare l'upload.<br>");
else
	die("Problemi nell'upload del file " . $_FILES["upfile"]["name"]);

echo "L'upload del file " . $_FILES["upfile"]["name"] . " è avvenuto correttamente con nome $dest_path";

$gPath = "'".str_replace("'", "''", $dest_path)."'";

$sql = "UPDATE DocsRichieste SET Path=$gPath WHERE IdCommessa=$IdCommessa AND IdDoc=$IdDoc;";

ntxQuery($sql);

?> 
