<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_335", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_336", "IT", __FILE__);

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>

<?php
	
if ( !is_numeric($_POST[IdSal]) )
	die($traduttore->traduci('Selezionare prima SAL!'));
	
$IdCommessa = ntxise('IdCommessa');
$IdSal = ntxip('IdSal');

if ( isset($_POST[importoNetto1]) ) 
	$importoNetto1 = ntxfp('importoNetto1');
else
		$importoNetto1 = "NULL";
	
if ( isset($_POST[importoNetto2]) ) 
	$importoNetto2 = ntxfp('importoNetto2');
else
		$importoNetto2 = "NULL";


$sql = <<< sql
SELECT     SalContrattiGestione.NumeroSal, SalContrattiGestione.IdContrattoGestione, tblPgContratti.IdPropietario, tblPgContratti.TipoLocalizzazione
FROM         SalContrattiGestione INNER JOIN
                      tblPgContratti ON SalContrattiGestione.IdContrattoGestione = tblPgContratti.IdPgContratto
WHERE     (SalContrattiGestione.IdCommessa = $IdCommessa) AND (SalContrattiGestione.IdSal = $IdSal)
sql;

$query = ntxQuery($sql);

$rs = ntxIRecord($query);

if ( !is_numeric($rs[0]) )
	die($traduttore->traduci('Il numero SAL dev\'essere assegnato!'));
	
$IdContrattoGestione = $rs[1];
$IdProprietario = $rs[2];
$TipoLocalizzazione = $rs[3];

$addWhere = "";

if ( strlen("$_POST[Codice]")>0 ) $addWhere .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( strlen("$_POST[EdificioBreve]")>0 ) $addWhere .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";

if ( strlen("$_POST[EdificioEstesa]")>0 ) $addWhere .= " AND ElencoEdifici.EdificioEstesa LIKE '%".str_replace("'","''",$_POST[EdificioEstesa])."%'";

if ( strlen("$_POST[Indirizzo]")>0 ) $addWhere .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[CITTA]")>0 ) $addWhere .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";

if ( strlen("$_POST[PROVINCIA]")>0 ) $addWhere .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[PROVINCIA])."%'";

if ( strlen("$_POST[Regione]")>0 ) $addWhere .= " AND ElencoEdifici.Regione LIKE '%".str_replace("'","''",$_POST[Regione])."%'";

if ( strlen("$_POST[CAP]")>0 ) $addWhere .= " AND ElencoEdifici.CAP = '".str_replace("'","''",$_POST[CAP])."'";

if ( is_numeric($_POST[ID2]) ) $addWhere .= " AND ElencoEdifici.ID=".((int)$_POST[ID2]);

if ( is_numeric($_POST[IdVoce]) ) $addWhere .= " AND Contabilità.IdVoce=".((int)$_POST[IdVoce]);

if ( $importoNetto1!="NULL" ) $addWhere .= <<< addWhere
		AND(
			SELECT     sum(isnull(QTA*PzUnitario-QTA*PzUnitario*isnull(Sconto,0)/100,0))
			FROM         RiheContabilità
			WHERE     (RiheContabilità.IdCommessa = Contabilità.IdCommessa) 
			AND (RiheContabilità.NumContabilità = Contabilità.NumContabilità)
		)>=$importoNetto1
addWhere;

if ( $importoNetto2!="NULL" ) $addWhere .= <<< addWhere
		AND(
			SELECT     sum(isnull(QTA*PzUnitario-QTA*PzUnitario*isnull(Sconto,0)/100,0))
			FROM         RiheContabilità
			WHERE     (RiheContabilità.IdCommessa = Contabilità.IdCommessa) 
			AND (RiheContabilità.NumContabilità = Contabilità.NumContabilità)
		)<=$importoNetto2
addWhere;

if ( is_numeric($_POST[Tipo]) )
{
	if ( $_POST[Tipo]>0 )
		$addWhere .= " AND ElencoEdifici.Tipo=".((int)$_POST[Tipo]);
	else
		$addWhere .= " AND (ElencoEdifici.Tipo=0 OR ElencoEdifici.Tipo IS NULL)";
}

if ( is_numeric($_POST[IdMestiere]) ) $addWhere .= " AND Ordini.IdMestiere=".((int)$_POST[IdMestiere]);

if ( is_numeric($_POST[IdComponenteMestiere]) ) $addWhere .= " AND Ordini.IdComponenteMestiere=".((int)$_POST[IdComponenteMestiere]);

if ( is_numeric($_POST[IdAttivitàMestiere]) ) $addWhere .= " AND Ordini.IdAttivitàMestiere=".((int)$_POST[IdAttivitàMestiere]);

$sql = <<< sql
SELECT  
		Contabilità.NumContabilità, 
		Contabilità.NumOrdine, 
		Contabilità.AnnoOrdine, 
		Ordini.DataInizio, 
		Ordini.DataFine, 
		Contabilità.DataContabilità, 
		Contabilità.DataApprovazione,
		Contabilità.IdSalContrattoGestione,
		Contabilità.IdSalDefContrattoGestione,
		
		(
			SELECT     sum(isnull(QTA*PzUnitario-QTA*PzUnitario*isnull(Sconto,0)/100,0))
			FROM         RiheContabilità
			WHERE     (RiheContabilità.IdCommessa = Contabilità.IdCommessa) 
			AND (RiheContabilità.NumContabilità = Contabilità.NumContabilità)
		) AS ImportoNetto,

		(
			SELECT     sum(isnull(QTA*PzUnitario-QTA*PzUnitario*isnull(Sconto,0)/100,0))
			FROM         RiheContabilità
			WHERE     (RiheContabilità.IdCommessa = Contabilità.IdCommessa) 
			AND (RiheContabilità.NumContabilità = Contabilità.NumContabilità)
			AND (TipoPrezzo <> 2)
		) AS ImportoNettoMateriali,
		
		(
			SELECT     sum(isnull(QTA*PzUnitario-QTA*PzUnitario*isnull(Sconto,0)/100,0))
			FROM         RiheContabilità
			WHERE     (RiheContabilità.IdCommessa = Contabilità.IdCommessa) 
			AND (RiheContabilità.NumContabilità = Contabilità.NumContabilità)
			AND (TipoPrezzo = 2)
		) AS ImportoNettoManoDopera,
		
		ltrim(ElencoEdifici.Codice) + ' - [' + ltrim(ElencoEdifici.ID) + '] - ' + ltrim(ElencoEdifici.EdificioBreve) + ' - ' + 
		ltrim(ElencoEdifici.Indirizzo) + ' - ' + ltrim(ElencoEdifici.CITTA) + ' (' + ltrim(ElencoEdifici.PROVINCIA) + ') - ' + 
		 + ltrim(ElencoEdifici.CAP)  AS Edificio,
		 
		VociBudgetClienti.Voce VoceBudget
		
		
FROM         Contabilità INNER JOIN
                      Ordini ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
                      Contabilità.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta LEFT OUTER JOIN
                      VociBudgetClienti ON Contabilità.IdVoce = VociBudgetClienti.Id
				LEFT JOIN
                      tblComponetiMestiere ON Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere AND 
                      Ordini.IDCommessa = tblComponetiMestiere.IdCommessa LEFT OUTER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
                      tblAttivitàMestiere ON Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa
					  
WHERE (Contabilità.IDCommessa = $IdCommessa) 
	AND (
		(Contabilità.IdSalContrattoGestione = $IdSal)
		OR (Contabilità.IdSalDefContrattoGestione = $IdSal)
		OR (Contabilità.IDCommessa = $IdCommessa)
		AND (Contabilità.idStatoc = 60)
		AND Contabilità.IdSalContrattoGestione IS NULL
		AND Contabilità.IdSalDefContrattoGestione IS NULL
		$addWhere
sql;
	
switch($TipoLocalizzazione)
{
	case null:
		break;
	case 0:
		$sql .= " AND (ElencoEdifici.Tipo IS NULL OR ElencoEdifici.Tipo=0) ";
		break;
	case 1:
		$sql .= " AND (ElencoEdifici.Tipo=1) ";
		break;
	case 2:
		$sql .= " AND (ElencoEdifici.Tipo=2) ";
		break;
}

if ( $_POST[chkContratto] )
	$sql .= " AND Ordini.IdContrattoGestore=$IdContrattoGestione ";

if ( $_POST[chkProprietari] )
	$sql .= " AND ElencoEdifici.IdProprietario=$IdProprietario ";
	
$nome_campo_data = "";

if ( $_POST[data_confronto] == 'Ordini.DataInizio' )
	$nome_campo_data = "Ordini.DataInizio";
elseif ( $_POST[data_confronto] == 'Ordini.DataFine' )
	$nome_campo_data = "Ordini.DataFine";
elseif ( $_POST[data_confronto] == 'Contabilità.DataContabilità' )
	$nome_campo_data = "Contabilità.DataContabilità";
elseif ( $_POST[data_confronto] == 'Contabilità.DataApprovazione' )
	$nome_campo_data = "Contabilità.DataApprovazione";
elseif ( $_POST[data_confronto] == 'Contabilità.DataConsegna' )
	$nome_campo_data = "Contabilità.DataConsegna";
elseif ( $_POST[data_confronto] == 'Richieste.DataRichiesta' )
	$nome_campo_data = "Richieste.DataRichiesta";

if ( strlen($nome_campo_data)>0 )
{
	if ( strlen($_POST[data1])>0 )
	{
		$data1 = ntxtp('data1');
		$sql .= " AND $nome_campo_data>=$data1 ";
	}
	
	if ( strlen($_POST[data2])>0 )
	{
		$data2 = ntxtp('data2');
		$sql .= " AND $nome_campo_data<=$data2 ";
	}
}

$sql .= ")";

if ( is_numeric($_POST[IdDitta]) )
	$sql .= " AND Ordini.Assegnazione=".ntxip('IdDitta');

if ( $_POST[chkSoloInQuesotSal] )
	$sql .= " AND (Contabilità.IdSalDefContrattoGestione = $IdSal) ";

$sql .= " ORDER BY NumContabilità";

$query = ntxQuery($sql);

$table = "";

$alternate = false;

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key => $value)
		$rs[$key] = htmlentities($value);
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];

	$ProvChecked = "";
	$DefChecked = "";
	
	if ( is_numeric($rs['IdSalContrattoGestione']) )
		if ( $rs['IdSalContrattoGestione']==$IdSal )
			$ProvChecked = "x";
		else
			$ProvChecked = $traduttore->traduci('altro');
	
	if ( is_numeric($rs['IdSalDefContrattoGestione']) )
		if ( $rs['IdSalDefContrattoGestione']==$IdSal )
			$DefChecked = "x";
		else
			$DefChecked = $traduttore->traduci('altro');
	
	$rs['DataInizio'] = ntxDate($rs['DataInizio']);
	$rs['DataFine'] = ntxDate($rs['DataFine']);
	$rs['DataContabilità'] = ntxDate($rs['DataContabilità']);
	$rs['DataApprovazione'] = ntxDate($rs['DataApprovazione']);
	$rs['ImportoNetto'] = ntxRoundThousand($rs['ImportoNetto'],2);
	$rs['ImportoNettoMateriali'] = ntxRoundThousand($rs['ImportoNettoMateriali'],2);
	$rs['ImportoNettoManoDopera'] = ntxRoundThousand($rs['ImportoNettoManoDopera'],2);
	
	$table .= <<< table
		<tr>
			<td>$ProvChecked</td>
			<td>$DefChecked</td>
			<td>$rs[NumContabilità]</td>
			<td>$rs[NumOrdine]</td>
			<td>$rs[AnnoOrdine]</td>
			<td>$rs[DataInizio]</td>
			<td>$rs[DataFine]</td>
			<td>$rs[DataContabilità]</td>
			<td>$rs[DataApprovazione]</td>
			<td>$rs[Edificio]</td>
			<td>$rs[ImportoNetto]</td>
			<td>$rs[ImportoNettoMateriali]</td>
			<td>$rs[ImportoNettoManoDopera]</td>
			<td>$rs[VoceBudget]</td>
		</tr>
table;
}

/*$table = <<< table
	<table class=grid>
		<caption>Contratto Gestione Sal Selezionato
		<tr>
			<th>Prov</th>
			<th>Def</th>
			<th>Num Contabilità</th>
			<th>Num Ordine</th>
			<th>Anno Ordine</th>
			<th>Data Inizio</th>
			<th>Data Fine</th>
			<th>Data Contabilità</th>
			<th>Data Approvazione</th>
			<th>Edificio</th>
			<th>Importo Netto</th>
			<th>Importo Netto Materiali</th>
			<th>Importo Netto Mano d'opera</th>
			<th colspan=2>VoceBudget</th>
		</tr>   
		$table
	</table>
table;*/
	$table =
	"<table class=grid>
		<caption>".$traduttore->traduci('Contratto Gestione SAL Selezionato')
		."<tr>"
			."<th>".$traduttore->traduci('Provincia')."</th>"
			."<th>".$traduttore->traduci('Def')."</th>"
			."<th>".$traduttore->traduci('Num. Contabilità')."</th>"
			."<th>".$traduttore->traduci('Num. Ordine')."</th>"
			."<th>".$traduttore->traduci('Anno Ordine')."</th>"
			."<th>".$traduttore->traduci('Data Inizio')."</th>"
			."<th>".$traduttore->traduci('Data Fine')."</th>"
			."<th>".$traduttore->traduci('Data Contabilità')."</th>"
			."<th>".$traduttore->traduci('Data Approvazione')."</th>"
			."<th>".$traduttore->traduci('Edificio')."</th>"
			."<th>".$traduttore->traduci('Importo Netto')."</th>"
			."<th>".$traduttore->traduci('Importo Netto Materiali')."</th>"
			."<th>".$traduttore->traduci('Importo Netto Mano d\'opera')."</th>"
			."<th colspan=2>".$traduttore->traduci('Voce Budget')."</th>
		</tr>   
		$table
	</table>"
;
	
echo $table;

?>

</body>
<?php $traduttore->Salva(); ?>

</html>
