$(function(){
	$('input[type=button]').button().css('font-size','9px');
	$('input[type=reset]').button();
	$('input[type=button][value=\'...\']').css('font-size','8px');
	$('input[type=button][value=\'x\']').css('font-size','8px');
	$('#data1, #data2').datepicker();
	$('tr[LocHideXXX]').toggle();
	CaricaMestieri();
});

var campi = new Array("data_confronto",
						"data1", "data2", 
						"chkContratto", 
						"chkProprietari");

function CaricaEdifici()
{
	var result = jhp("jhp/carica_edifici.php", jhp_frm(form1));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(form1.IdEdificio).html(result.value);
	}
}

function CaricaFornitori()
{
	var result = jhp("jhp/carica_fornitori.php", jhp_frm(form1));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(form1.IdFornitore).html(result.value);
	}
}

function CaricaMestieri()
{
	$(form1.IdMestiere).html('');
	$(form1.IdComponenteMestiere).html('');
	$(form1.IdAttivitàMestiere).html('');
	
	var result = jhp("jhp/carica_mestieri.php", {});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(form1.IdMestiere).html(result.value);
	}
}

function CaricaComponentiMestiere()
{
	$(form1.IdComponenteMestiere).html('');
	$(form1.IdAttivitàMestiere).html('');
	
	var result = jhp("jhp/carica_componenti_mestiere.php", {IdMestiere : form1.IdMestiere.value});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(form1.IdComponenteMestiere).html(result.value);
	}
}

function CaricaAttivitàMestiere()
{
	$(form1.IdAttivitàMestiere).html('');
	
	if (  form1.Database.value=="mpnet_build_brixia" || form1.Database.value=="test_brixia" )
	{
		if ( form1.IdCommessa.value=="25" )
		{
			$('#btnFattureOreExtra').prop('disabled', form1.IdComponenteMestiere.value==1128);
			$('#btnFattureRisanamento').prop('disabled', form1.IdComponenteMestiere.value==1281);
		}
	}
	
	var result = jhp("jhp/carica_attivita_mestiere.php", {IdComponenteMestiere : form1.IdComponenteMestiere.value});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(form1.IdAttivitàMestiere).html(result.value);
	}
}

function AggiornaTotaleImporto()
{
	var spunte = $('input[type="checkbox"][SpuntaSelect]:checked');
	var i;
	
	var TotaleImportoNetto = 0;

	for (i=0;i<spunte.length;++i)
	{
		var val = parseFloat($(spunte[i]).attr('ImportoNetto'));
		
		if(!isNaN(val))
			TotaleImportoNetto += val;
	}
	
	$('#tdTotImpNetto').text(TotaleImportoNetto.toFixed(2));
}

function CaricaSal(IdSal)
{
	form1.IdSal.value = IdSal;
	
	var result = jhp("jhp/carica_sal.php", {IdSal: form1.IdSal.value});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#dettagio_sal').html(result.value);
	}
	
	
	CaricaEdifici();
	CaricaFornitori();
	
	Cerca();
}

function Azzera()
{
	var len = campi.length;
	var IdSal = form1.IdSal.value;
	var i;
	
	for ( i=0; i<len; i++ )
	{
		var key = campi[i];
		
		jei(key).value = '';
	}
	
	form1.chkContratto.checked = false;
	
	form1.chkProprietari.checked = true;
	
	form1.IdSal.value = IdSal;
}

function Cerca()
{
	var dati_input = jhp_frm(form1);
	
	var spunte = $('input[type="checkbox"][SpuntaSelect]:checked');
	var i=0;
	var len = spunte.length;
	var buff = new Array();
	
	for(i=0;i<len;++i)
		buff[i] = $(spunte[i]).attr('NumContabilità');

	var result = jhp("jhp/cerca.php", dati_input);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#rihe_contabilita').html(result.value);
	
		for(i=0;i<len;++i)
			$('input[type="checkbox"][SpuntaSelect][NumContabilità="'+buff[i]+'"]').attr('checked', true);
	}
	
	$('#TendinaSelezioneVociBudgetContabilità').hide();
}

function SelTuttiProv(value)
{
	$('input[tipo=spunta_prov]').attr('checked',value);
}

function SelTuttiDef(value)
{
	$('input[tipo=spunta_def]').attr('checked',value);
}

function ValidazioneSAL()
{
	if ( !confirm(messaggi.Validazione) ) return;
	
	var result = jhp("jhp/validazione_sal.php", {
		IdSal: form1.IdSal.value
	});
	
	if(result.state)
	{
		alert(result.message);
	}
	
	Cerca();
}

function EditGruppoF()
{
	if ( !confirm(messaggi.Registra_ordine) ) return;
	
	var spunte = $('input[type="checkbox"][SpuntaSelect]:checked');
	var i;
	
	var NumContabilità = "";

	for (i=0;i<spunte.length;++i)
	{
		if ( NumContabilità != "" )
			NumContabilità += ",";
			
		NumContabilità += $(spunte[i]).attr('NumContabilità');
	}

	var result = jhp("jhp/edit_gruppo.php", {
		NumContabilità: NumContabilità,
		GruppoF: $('#GruppoF').val()
	});
	
	if(result.state)
	{
		alert(result.message);
	}
	
	Cerca();
}

function Azione(azione, oggetto)
{
	if ( !confirm(azione+" "+oggetto+"?") ) return;
	
	var spunte = $('input[type="checkbox"][SpuntaSelect]:checked');
	var i;
	
	var NumContabilità = "";

	for (i=0;i<spunte.length;++i)
	{
		if ( NumContabilità != "" )
			NumContabilità += ",";
			
		NumContabilità += $(spunte[i]).attr('NumContabilità');
	}

	var result = jhp("jhp/"+azione+"_"+oggetto+".php", {
		NumContabilità: NumContabilità,
		IdSal: form1.IdSal.value
	});
	
	if(result.state)
	{
		alert(result.message);
	}
	
	Cerca();
}

function CaricaComboVociContabilità(NumContabilità, obj)
{
	var result = jhp("jhp/voci_budget.php", 
			{NumContabilità: NumContabilità});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var $button = $(obj);
		var $tendina = $('#TendinaSelezioneVociBudgetContabilità');

		var offset = $button.offset();
		
		$tendina.html(result.value)
		.css({
			left: offset.left-$tendina.width()+$button.width(),
			top:  offset.top+$button.height()})
		.show();
	}
}

function SelVoceBudgetContabilità(NumContabilità, IdVoce)
{
	var result = jhp("jhp/set_voce_budget_contabilita.php", 
			{NumContabilità: NumContabilità, IdVoce: IdVoce});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('td[tdElencoVoceBudgetContabilita='+NumContabilità+']').text(result.value);
		$('#TendinaSelezioneVociBudgetContabilità').hide();
	}
}
