<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_248", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_248", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$Database = $_SESSION[name_odbc];

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	<link href="css/base.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="index.js?v9"></script>
</head>
<body>

<div id=dettagio_sal></div>

<?php

$sql = "SELECT IdDitta, Ditta FROM Ditte ORDER BY Ditta";

$query = ntxQuery($sql);

$optionsDitte = "<option value=''></option>";

while ( $rs=ntxIRecord($query) )
{
	$html = htmlentities($rs[1]);
	
	$optionsDitte .= "<option value=$rs[0]>$html</option>";
}

$Utente = ntxsse('Utente');

$sql = <<< sql
		SELECT     VociBudgetClienti.Id, VociBudgetClienti.Voce
		FROM         Utenti INNER JOIN
							  UtentiProprietari ON Utenti.Id = UtentiProprietari.IdUtente INNER JOIN
							  VociBudgetClienti ON UtentiProprietari.IdProprietario = VociBudgetClienti.IdCliente
		WHERE     (Utenti.Nome = $Utente)
		ORDER BY VociBudgetClienti.Voce
sql;


$query = ntxQuery($sql);

$optionsVoci = "<option value=''></option>";

while ( $rs=ntxIRecord($query) )
{
	$html = htmlentities($rs[1]);
	
	$optionsVoci .= "<option value=$rs[0]>$html</option>";
}

?>

<form id="form1" method=post name=form1 action="excel.php" target=_blank >
	<input type=hidden id=IdSal name=IdSal value="" >
	<input type=hidden name=Database value="<?php echo $Database ?>" >
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" >

	<table class=grid style="width:1px">
		<caption><?php $traduttore->html('Filtro Contabilità per SAL Contratto Gestione') ?></caption>
		<tr><th><?php $traduttore->html('Data Confronto') ?><td><select name=data_confronto>
				<option value="">
				<option value="Ordini.DataInizio"><?php $traduttore->html('Inizio Lavori') ?>
				<option value="Ordini.DataFine"><?php $traduttore->html('Fine Lavori') ?>
				<option value="Contabilità.DataContabilità"><?php $traduttore->html('Contabilità') ?>
				<option value="Contabilità.DataApprovazione"><?php $traduttore->html('Approvazione') ?>
				<option value="Contabilità.DataConsegna"><?php $traduttore->html('Consegna') ?>
				<option value="Richieste.DataRichiesta"><?php $traduttore->html('Richiesta') ?>
			</select>
			<td>&gt;=<input type=text id=data1 name=data1 size=15 />
			<td>&lt;=<input type=text id=data2 name=data2 size=15 />
		<tr><th><?php $traduttore->html('Importo Netto') ?>
			<td>&gt;=<input type=text id=importoNetto1 name=importoNetto1 size=15 />
			<td colspan=2>&lt;=<input type=text id=importoNetto2 name=importoNetto2 size=15 />
		<tr><th colspan=1><input type=checkbox name=chkContratto id=chkContratto><label for=chkContratto><br><?php $traduttore->html('Contabilità su Ordini Associati a Contratto') ?></label>
			<th colspan=2><input type=checkbox name=chkProprietari id=chkProprietari checked><label for=chkProprietari><br><?php $traduttore->html('Contabilità su Edifici Associati a Proprietari Contratto') ?></label>
			<th colspan=1><input type=checkbox name=chkSoloInQuesotSal id=chkSoloInQuesotSal ><label for=chkProprietari><br><?php $traduttore->html('Contabilità def. in questo SAL') ?></label>

		<tr><th colspan=4><?php $traduttore->html('Localizzazione') ?>
		<tr><th><?php $traduttore->html('Localizzazione') ?><td colspan=3><select name=IdEdificio style="width:100%"></select>
		<tr><th><?php $traduttore->html('Fornitore') ?><td colspan=3><select name=IdFornitore style="width:100%"></select>
		<tr><th><?php $traduttore->html('Nome Breve') ?><td><input type=text name=EdificioBreve size=25 />
			<th><?php $traduttore->html('Nome Esteso') ?><td><input type=text name=EdificioEstesa size=25 />
		<tr LocHideXXX><th><?php $traduttore->html('ID') ?><td><input type=text name=ID2 size=25 />
			<th><?php $traduttore->html('Codice') ?><td><input type=text name=Codice size=25 />
		<tr LocHideXXX><th><?php $traduttore->html('Indirizzo') ?><td><input type=text name=Indirizzo size=25 />
			<th><?php $traduttore->html('Comune') ?><td><input type=text name=CITTA size=25 />
		<tr LocHideXXX><th><?php $traduttore->html('Provincia') ?><td><input type=text name=PROVINCIA size=25 />
			<th><?php $traduttore->html('Regione') ?><td><input type=text name=Regione size=25 />
		<tr LocHideXXX><th><?php $traduttore->html('CAP') ?><td><input type=text name=CAP size=25 />
			<th><?php $traduttore->html('Tipo') ?><td><select name=Tipo style="width:100%">
				<option value=''></option>
				<option value=0 SELECTED><?php $traduttore->html('Edificio') ?></option>
				<option value=1><?php $traduttore->html('Strada') ?></option>
				<option value=2><?php $traduttore->html('Verde') ?></option>
			</select>
		<tr LocHideXXX><th><?php $traduttore->html('Voce Budget') ?><td colspan=3><select name=IdVoce style="width:100%">
				<?php echo $optionsVoci ?>
			</select>
		<tr LocHideXXX><th><?php $traduttore->html('Mestiere') ?><td colspan=3><select name=IdMestiere style="width:100%" onchange="CaricaComponentiMestiere()"></select>
		<tr LocHideXXX><th><?php $traduttore->html('Componente Mestiere') ?><td colspan=3><select name=IdComponenteMestiere style="width:100%" onchange="CaricaAttivitàMestiere()"></select>
		<tr LocHideXXX><th><?php $traduttore->html('Attività Mestiere') ?><td colspan=3><select name=IdAttivitàMestiere style="width:100%"></select>
		<tr><th colspan=4>
			<input type=button   	value="<?php $traduttore->html('Cerca') ?>"  onclick="Cerca()">
			<input type=button    	value="<?php $traduttore->html('Azzera') ?>" onclick="Azzera()">
			<input type=button  	value="<?php $traduttore->html('Altri Campi') ?>" onclick="$('tr[LocHideXXX]').toggle()" />
			<input type=button  value="<?php $traduttore->html('Excel 1') ?>" onclick="Excel1()" />
			<input type=button  value="<?php $traduttore->html('Excel 2') ?> " onclick="Excel2()" />
<?php
		if ( $_SESSION[name_odbc]=='test_brixia' || $_SESSION[name_odbc]=='test_nagest' || $_SESSION[name_odbc]=='mpnet_build_brixia' )
		{
?>
			<input type=button id=btnFattureOreExtra value="<?php $traduttore->html('Fattura ore extra') ?>" onclick="FattureOreExtra()" />
			<input type=button id=btnFattureRisanamento value="<?php $traduttore->html('Fattura risanamento') ?>" onclick="FattureRisanamento()" />
<?php
		}
?>
	</table>
</form>

<div id=rihe_contabilita></div>
<br>
<input type=button value="<?php $traduttore->html('Seleziona Tutto') ?>" onclick="$('input[type=checkbox][SpuntaSelect]').attr('checked',true)" />
<input type=button value="<?php $traduttore->html('Seleziona Niente') ?>" onclick="$('input[type=checkbox][SpuntaSelect]').attr('checked',false)" />
<br>
<br>
<table class=grid>
	<tr>
		<th><?php $traduttore->html('Totale Importo Netto') ?>
		<th><?php $traduttore->html('Edit Ordine Cliente (NEL)') ?></th>
		<td rowspan=2><input type=button value="<?php $traduttore->html('Edit') ?>" onclick="EditGruppoF()" />
	<tr>
		<td id=tdTotImpNetto>
		<td><input type=text id=GruppoF size=25 />
</table>
<br>
<input type=button value="<?php $traduttore->html('ASSOCIAZIONE PROVVISORIA') ?>" onclick="Azione('associa', 'prov')">
<input type=button value="<?php $traduttore->html('DISSOCIAZIONE PROVVISORIA') ?>" onclick="Azione('dissocia', 'prov')">
-
<input type=button value="<?php $traduttore->html('ASSOCIA DEF') ?>" onclick="Azione('associa', 'def')">
<input type=button value="<?php $traduttore->html('DISSOCIA DEF') ?>" onclick="Azione('dissocia', 'def')">
<br>
<br>
<div style="background-color: rgb(255,50, 50);text-align:center;color:white;font-size:12pt;font-weight:bold">
<?php $traduttore->html('ATTENZIONE!!! Questa operazione può essere effettuata solo una volta.') ?> <br>
<input type=button value="<?php $traduttore->html('VALIDAZIONE SAL') ?>" onclick="ValidazioneSAL()"> <br>
<?php $traduttore->html('ATTENZIONE!!!') ?>
</div>

<div class=TendinaSelezione id=TendinaSelezioneVociBudgetContabilità style="width:200px"><?php $traduttore->html('Tendina Selezione Voci Budget Contabilità') ?></div>

<script>
var messaggi = {
	Validazione: "<?php $traduttore->js('Validazione SAL. Sicuro di voler continuare?') ?>",
	Registra_ordine: "<?php $traduttore->js('Registra Ordine Cliente (NEL) per tutte le contabilità selezionate?') ?>"
	
};


function FattureOreExtra()
{
	form1.action="fatture_ore_extra.php";
	form1.submit();
}

function FattureRisanamento()
{
	form1.action="fatture_risanamento.php";
	form1.submit();
}

function Excel1()
{
	form1.action="excel.php";
	form1.submit();
}

function Excel2()
{
	form1.action="excel2.php";
	form1.submit();
}

</script>
<?php $traduttore->Salva(); ?>

</body>
</html>
