<?php
session_start();

require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_334", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_334", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdSal = ntxip('IdSal');

$sql = <<< sql
	SELECT     BloccaModificaSal
	FROM         SalContrattiGestione
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
sql;

$BloccaModificaSal = ntxScalar($sql);

if ( BloccaModificaSal==1 )
	jhp_error($traduttore->traduci('Blocco Modifica SAL!!!!'));

$NumContabilitàDef = explode(",", $_POST[NumContabilità]);

$sql = <<< sql
		SELECT     CheckNelBeforeAssignSal 
		FROM         Commesse 
		WHERE     (Commesse.IdCommessa = $IdCommessa) 
sql;

$CheckNelBeforeAssignSal = ntxScalar($sql);

if ( $CheckNelBeforeAssignSal )
{
	foreach($NumContabilitàDef as $NumContabilità)
	{
		if ( is_numeric($NumContabilità) )
		{
			$sql = <<< sql
					SELECT     COUNT(*)
					FROM         Contabilità 
			WHERE     (Contabilità.IdCommessa = $IdCommessa) AND (Contabilità.NumContabilità = $NumContabilità) AND GruppoF IS NULL
sql;

			$countNelMancanti = ntxScalar($sql);

			if ( $countNelMancanti>0 )
				jhp_error($traduttore->traduci('Operazione BLOCCATA perchè mancano assegnazioni NEL!!!!'));
		}
	}
}

$sql = <<< sql
	SELECT     IdContrattoGestione
	FROM         SalContrattiGestione
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
sql;

$IdContrattoGestione = ntxScalar($sql);


foreach($NumContabilitàDef as $NumContabilità)
{
	if ( is_numeric($NumContabilità) )
	{
		$sql = <<< sql
			UPDATE    Ordini
			SET              
				StatoOrd=400, 
				IdContrattoGestore=$IdContrattoGestione
				
			FROM         Ordini INNER JOIN
								  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
								  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumContabilità = $NumContabilità)
sql;

		ntxQuery($sql);
		
		$sql = <<< sql
			UPDATE    Contabilità
			SET              
				IdSalDefContrattoGestione = $IdSal,
				idstatoc=70, 
				Fatturato=1 
			WHERE     (IDCommessa = $IdCommessa) AND (NumContabilità = $NumContabilità)
sql;

		ntxQuery($sql);
		
		$sql = <<< sql
			UPDATE    Contabilità
			SET              NumSal = SalContrattiGestione.NumeroSal, DataSal = SalContrattiGestione.DataSal
			FROM         SalContrattiGestione INNER JOIN
								  Contabilità ON SalContrattiGestione.IdCommessa = Contabilità.IDCommessa AND 
								  SalContrattiGestione.IdSal = Contabilità.IdSalDefContrattoGestione
			WHERE     (SalContrattiGestione.IdCommessa = $IdCommessa) AND (SalContrattiGestione.IdSal = $IdSal)
sql;

		ntxQuery($sql);
	}
}

require_once("conteggi.inc");
require_once("messaggi.inc");

$traduttore->Salva();

jhp_ok();

?>
