<?php  
session_start();

require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdSal = ntxip('IdSal');

$sql = <<< sql
SELECT  DISTINCT
		Ditte.IDDitta,
		Ditte.Ditta
		
FROM         Contabilità INNER JOIN
                      Ordini ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
                      Contabilità.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta LEFT OUTER JOIN
                      VociBudgetClienti ON Contabilità.IdVoce = VociBudgetClienti.Id
				LEFT JOIN
                      tblComponetiMestiere ON Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere AND 
                      Ordini.IDCommessa = tblComponetiMestiere.IdCommessa LEFT OUTER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
                      tblAttivitàMestiere ON Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa
					  
WHERE (Contabilità.IDCommessa = $IdCommessa) 
	AND (
		(Contabilità.IdSalContrattoGestione = $IdSal)
		OR (Contabilità.IdSalDefContrattoGestione = $IdSal)
		OR (Contabilità.IDCommessa = $IdCommessa)
		AND (Contabilità.idStatoc = 60)
		AND Contabilità.IdSalContrattoGestione IS NULL
		AND Contabilità.IdSalDefContrattoGestione IS NULL)
ORDER BY Ditta
sql;

$query = ntxQuery($sql);

$options = "<option value=''>";

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key => $value)
		$html[$key] = htmlentities($value);
	
	$options .= "<option value='$rs[IDDitta]'>$html[Ditta]";
}
	
jhp($options);

?>
