<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_341", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_341", "IT", __FILE__);

$IdSal = ntxip('IdSal');

$email = ntxScalar("SELECT email FROM Utenti WHERE id=$_SESSION[IdUtente]");

if (strlen($email)>0) 
	$label = htmlentities($traduttore->traduci('Invio Modulo a')." $email");
else
	$label = htmlentities($traduttore->traduci('Invio Modulo non possibile perchè l\'utente è senza email settata!'));

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
</head>
<body>

<?php

require_once('elenco_sal_contratto_sql.inc');

$sql = <<< sql
	SELECT     IdSal, NumeroSal, DataSal, DataCompetenza, NumeroFattura, DataFattura, Importo, Progressivo, NoteSal, ImportoProvvisorio
	FROM         SalContrattiGestione
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
	ORDER BY NumeroSal
sql;

$query = ntxQuery($sql);
?>
<br>
<table class=grid>
	<caption><?php $traduttore->html('SAL Contratto Gestione') ?>
	<tr>
		<th><?php $traduttore->html('Numero SAL') ?></th>
		<th><?php $traduttore->html('Data SAL') ?></th>
		<th><?php $traduttore->html('Data Competenza') ?></th>
		<th><?php $traduttore->html('Numero Fattura') ?></th>
		<th><?php $traduttore->html('Data Fattura') ?></th>
		<th><?php $traduttore->html('Importo') ?></th>
		<th><?php $traduttore->html('Progressivo') ?></th>
		<th><?php $traduttore->html('Note SAL') ?></th>
		<th><?php $traduttore->html('Importo Provvisorio') ?></th>
	</tr>   

<?php

$alternate = true;

while ( $rs = ntxRecord($query) )
{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?>>
		<td>&nbsp;<?php echo htmlentities($rs['NumeroSal']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataSal']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataCompetenza']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NumeroFattura']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataFattura']) ?></td>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['Importo'],2) ?></td>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['Progressivo'],2) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NoteSal']) ?></td>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['ImportoProvvisorio'],2) ?></td>
<?php
	$alternate = !$alternate;
}
?>
</table>
<br>
<table class=grid>
	<tr><th><?php $traduttore->html('Anteprima') ?><th><?php echo $label ?>
	<tr>
		<td><input style="width:100%" type=button value="<?php $traduttore->html('Libretto Misure') ?>" onclick="Report('rep-libretto_misure')" disabled /><br>
		<td><input style="width:100%" type=button value="<?php $traduttore->html('Libretto Misure') ?>" onclick="InvioModulo('rep-libretto_misure')" disabled /><br>
	<tr>                         
		<td><input style="width:100%" type=button value="<?php $traduttore->html('Stato Avanzamento Lavori') ?>" onclick="Report('rep-stato_avanz_lavori')"  disabled /><br>
		<td><input style="width:100%" type=button value="<?php $traduttore->html('Stato Avanzamento Lavori') ?>" onclick="InvioModulo('rep-stato_avanz_lavori')"  disabled /><br>
	<tr>                         
		<td><input style="width:100%" type=button value="<?php $traduttore->html('Registro Contabilità') ?>" onclick="Report('rep-registro_contabilita')" /><br>
		<td><input style="width:100%" type=button value="<?php $traduttore->html('Registro Contabilità') ?>" onclick="InvioModulo('rep-registro_contabilita')"   /><br>
	<tr>                         
		<td><input style="width:100%" type=button value="<?php $traduttore->html('Certificato di Pagamento') ?>" onclick="Report('rep-certificato_di_pagamento')" disabled  /><br>
		<td><input style="width:100%" type=button value="<?php $traduttore->html('Certificato di Pagamento') ?>" onclick="InvioModulo('rep-certificato_di_pagamento')" disabled  /><br>
	<tr>                         
		<td><input style="width:100%" type=button value="<?php $traduttore->html('Report SAL') ?>" onclick="Report('rep-sal')" /><br>
		<td>
</table>

<script language=javascript>

function Report(report)
{
	form1.action = report+"/index.php";
	form1.target = "";
	form1.submit();
}

function InvioModulo(report)
{
	form1.action = report+"_invio.php";
	form1.target = "frame_report";
	form1.submit();
}

$(function(){
	$('input[type=button]').button().css('font-size','8pt');
	$('input[type=reset]').button().css('font-size','8pt');
});
</script>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdContratto value="<?php echo $IdContratto ?>" />
	<input type=hidden name=IdSal value="<?php echo $IdSal ?>" />
	<input type=hidden name=email value="<?php echo ntxJS($email) ?>" />
</form>

<iframe name=frame_report style="width:800px;heigth:500px"></iframe>
</body>
<?php $traduttore->Salva(); ?>

</html>
