<table style="width:100%">
<tr>
	<td class=title><?php $traduttore->html('Registro Contabilità') ?>
<tr>
	<td style="text-align:center"><img src="<?php echo "logo_dx.php?id=$IdCommessa" ?>"></img>
</table>	

<?php
$sql = <<< sql
	SELECT TOP 1 GruppoF
	FROM         Contabilità
	WHERE     (Contabilità.IdSalDefContrattoGestione = $IdSal) AND (Contabilità.IDCommessa = $IdCommessa)
sql;

$GruppoF = htmlentities(ntxScalar($sql));

$sql = <<< sql
	SELECT     
			SalContrattiGestione.NumeroSal, 
			SalContrattiGestione.DataSal, 
			tblPgContratti.Descrizione AS DesContratto, 
			tblPgContratti.DataInizio, 
			tblPgContratti.DataFine, 
			tblPgContratti.Note, 
			LTRIM(tblPgGestori.Nome) + ' ' + LTRIM(tblPgGestori.Indirizzo) + ', ' + LTRIM(tblPgGestori.Cap) + ' ' + LTRIM(tblPgGestori.Comune) AS DatiGestore, 
			LTRIM(tblPgGestori.Nome) AS DatiGestoreBreve,
			tblPgContratti.Protocollo, 
			tblPgContratti.DataContratto, 
			tblPgGestori.Nome AS NomeGestore
			
	FROM         tblPgGestori INNER JOIN
                      tblPgContratti ON tblPgGestori.IdGestore = tblPgContratti.IdGestore INNER JOIN
                      SalContrattiGestione ON tblPgContratti.IdPgContratto = SalContrattiGestione.IdContrattoGestione
	WHERE     (SalContrattiGestione.IdCommessa = $IdCommessa) AND (SalContrattiGestione.IdSal = $IdSal)
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$rs[DataInizio] = ntxDate($rs[DataInizio]);
$rs[DataFine] = ntxDate($rs[DataFine]);
$rs[DataSal] = ntxDate($rs[DataSal]);
$rs[DataContratto] = ntxDate($rs[DataContratto]);

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);
	
?>

<div style="text-align:center">****</div>
<?php

/*echo <<< echo
<p style="text-align:center">
	APPALTO "$html[DesContratto]"
</p>
<!--
<p style="text-align:center">
	- PERIODO $html[DataInizio] - $html[DataFine]
</p>
-->
<p style="text-align:center">
	$html[Note]
</p>

<p style="text-align:center">
	REGISTRO DI CONTABILITA’
</p>

<p style="text-align:center">
	Relativo allo STATO DEI LAVORI
</p>

<p style="text-align:center">
	SAL numero $html[NumeroSal] del $html[DataSal]
</p>

<table>
	<tr>
		<td style="width:1px">Impresa Appaltatrice:
		<td>$html[DatiGestore]
</table>
<hr>
<table>
	<tr>
		<td style="text-align:center">
			L'Impresa<br>($html[DatiGestoreBreve])
		<td style="text-align:center">
			Il Direttore dei Lavori
		<td style="text-align:center">
			Il Responsabile Unico del Procedimento
	<tr>
		<td style="text-align:center"><br>___________________________
		<td style="text-align:center"><br>___________________________
		<td style="text-align:center"><br>___________________________
</table>
<hr>
echo;*/

echo
"<p style=\"text-align:center\">".
	$traduttore->traduci('APPALTO')." $html[DesContratto]
</p>
<!--
<p style=\"text-align:center\"> - ".
	$traduttore->traduci('PERIODO')." $html[DataInizio] - $html[DataFine]
</p>
-->
<p style=\"text-align:center\">
	$html[Note]
</p>

<p style=\"text-align:center\">".
	$traduttore->traduci('REGISTRO DI CONTABILITA\'')."
</p>

<p style=\"text-align:center\">".
	$traduttore->traduci('Relativo allo STATO DEI LAVORI')."
</p>

<p style=\"text-align:center\">".
	$traduttore->traduci('SAL numero')." $html[NumeroSal] ".$traduttore->traduci('del')." $html[DataSal]
</p>

<table>
	<tr>
		<td style=\"width:1px\">".$traduttore->traduci('Impresa Appaltatrice:')."
		<td>$html[DatiGestore]
</table>
<hr>
<table>
	<tr>
		<td style=\"text-align:center\">".
			$traduttore->traduci('L\'Impresa')."<br>($html[DatiGestoreBreve])
		<td style=\"text-align:center\">".
			$traduttore->traduci('Il Direttore dei Lavori')."
		<td style=\"text-align:center\">".
			$traduttore->traduci('Il Responsabile Unico del Procedimento')."
	<tr>
		<td style=\"text-align:center\"><br>___________________________
		<td style=\"text-align:center\"><br>___________________________
		<td style=\"text-align:center\"><br>___________________________
</table>
<hr>"
;

?>