<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');

$ElencoEdificiUtilizzatori = explode(",", $_POST[ElencoEdificiUtilizzatori]);

$ListaEdificiUtilizzatori = "";

foreach($ElencoEdificiUtilizzatori as $IdUtEdificio)
{
	if ( is_numeric($IdUtEdificio) )
	{
		if ( $ListaEdificiUtilizzatori!="" ) $ListaEdificiUtilizzatori .= ",";
		
		$ListaEdificiUtilizzatori .= (int)$IdUtEdificio;
	}
}

$where = "WHERE      (tblUtUtilizzatori.IdCommessa = $IdCommessa)";

if ( $ListaEdificiUtilizzatori!="" ) 
	$where .= " AND tblUtEdifici.IdUtEdificio NOT IN ($ListaEdificiUtilizzatori)";

if ( is_numeric($_POST[CDE]) ) $where .= " AND tblUtEdifici.IdEdificio=".(int)$_POST[CDE];
if ( is_numeric($_POST[Tipo]) ) $where .= " AND TipiUtilizzatore3.Id=".(int)$_POST[Tipo];

if ( strlen("$_POST[CDC]")>0 ) $where .= " AND tblUtUtilizzatori.cdc = ".ntxsp('CDC');
if ( strlen("$_POST[CODICE]")>0 ) $where .= " AND tblUtUtilizzatori.CodiceUtilizzatore = ".ntxsp('CODICE');

if ( strlen("$_POST[ClasseUtilizzatore]")>0 ) $where .= " AND tblUtUtilizzatori.ClasseUtilizzatore = ".ntxsp('ClasseUtilizzatore');

if ( strlen("$_POST[Utilizzatore]")>0 ) $where .= " AND tblUtUtilizzatori.Nome LIKE '%".str_replace("'","''",$_POST[Utilizzatore])."%'";
if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND tblUtUtilizzatori.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[DataInizio]")>0 ) $where .= " AND tblUtEdifici.DataFine >= ".ntxtp('DataInizio');
if ( strlen("$_POST[DataFine]")>0 ) $where .= " AND tblUtEdifici.DataInizio < ".ntxtp('DataFine')."+1";

if ( is_numeric($_POST[Dismesso]) )
	if ( $_POST[Dismesso]==1 )
		$where .= " AND tblUtUtilizzatori.IdStatoUtilizzatore = 1";
	else
		$where .= " AND ((tblUtUtilizzatori.IdStatoUtilizzatore = 0) OR (tblUtUtilizzatori.IdStatoUtilizzatore IS NULL)) ";

if ( is_numeric($_POST[Canone]) ) $where .= " AND tblUtEdifici.Tipologia =".(int)$_POST[Canone];

if ( is_numeric($_POST[IVA]) )
	if ( $_POST[IVA]==1 )
		$where .= " AND (tblUtUtilizzatori.EsenteIVA = 1)";
	else
		$where .= " AND ((tblUtUtilizzatori.EsenteIVA = 0) OR (tblUtUtilizzatori.EsenteIVA IS NULL)) ";

if ( is_numeric($_POST[Quartiere]) )
	$where .= "  AND ((CASE 
	WHEN tblUtUtilizzatori.Descrizione = 'BORGO PANIGALE' THEN 1
	WHEN tblUtUtilizzatori.Descrizione = 'NAVILE' THEN 2
	WHEN tblUtUtilizzatori.Descrizione = 'PORTO' THEN 3
	WHEN tblUtUtilizzatori.Descrizione = 'RENO' THEN 4
	WHEN tblUtUtilizzatori.Descrizione = 'SAN DONATO' THEN 5
	WHEN tblUtUtilizzatori.Descrizione = 'SAN VITALE' THEN 6
	WHEN tblUtUtilizzatori.Descrizione = 'SANTO STEFANO' THEN 7
	WHEN tblUtUtilizzatori.Descrizione = 'SARAGOZZA' THEN 8
	WHEN tblUtUtilizzatori.Descrizione = 'SAVENA' THEN 9
	END) = ".(int)$_POST[Quartiere];

$sql = <<< sql
	SELECT     tblUtUtilizzatori.ClasseUtilizzatore, tblUtEdifici.IdUtEdificio, tblUtEdifici.IdEdificio, tblUtUtilizzatori.cdc, tblUtUtilizzatori.CodiceUtilizzatore, TipiUtilizzatore3.Descrizione AS Tipo, tblUtUtilizzatori.Nome AS Utilizzatore, 
                      tblUtUtilizzatori.Indirizzo, tblUtEdifici.MQ, tblUtUtilizzatori.Descrizione AS Quartiere, tblUtEdifici.DataInizio, tblUtEdifici.DataFine, 
                      (CASE WHEN (tblUtUtilizzatori.IdStatoUtilizzatore = 0 OR
                      tblUtUtilizzatori.IdStatoUtilizzatore IS NULL) THEN 'NO' ELSE 'SI' END) AS DISMMESSO,
						(CASE WHEN tblUtUtilizzatori.EsenteIVA = 1 THEN 'ISTITUZIONI NON RILEVANTI I.V.A' ELSE 'ISTITUZIONI RILEVANTI I.V.A' END) AS EsenteIVA,
						
						TipiUtilizzatori.Tipo Tipo2
						
	FROM         TipiUtilizzatore3 INNER JOIN
                      tblUtUtilizzatori ON TipiUtilizzatore3.IdCommessa = tblUtUtilizzatori.IdCommessa AND TipiUtilizzatore3.Id = tblUtUtilizzatori.Tipo3 INNER JOIN
                      tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore INNER JOIN
                      TipiUtilizzatori ON tblUtEdifici.IdCommessa = TipiUtilizzatori.IdCommessa AND tblUtEdifici.Tipologia = TipiUtilizzatori.Id
	
	$where
sql;

$paginazione = ntxPaginazione($sql, "EsenteIVA, Tipo, Utilizzatore");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>DISMMESSO
			<th>IVA
			<th>Tipo
			<th>Classe
			<th>CDE
			<th>CDC
			<th>CODICE
			<th>Utilizzatore
			<th>Indirizzo
			<th>Quartiere
			<th>Data Inizio
			<th>Data Fine
			<th>Canone/Extra
			<th>MQ
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs['DataInizio'] = ntxDate($rs['DataInizio']);
	$rs['DataFine'] = ntxDate($rs['DataFine']);
	
	$rs['MQ'] = ntxRoundThousand($rs['MQ'],2);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr>
			<td><input type=button value=sel onclick="SelezionaEdificioUtilizzatore($rs[IdUtEdificio])" btnSelezionaEdificioUtilizzatore=$rs[IdUtEdificio] />
			<td>$html[DISMMESSO]
			<td>$html[EsenteIVA]
			<td>$html[Tipo]
			<td>$html[ClasseUtilizzatore]
			<td>$html[IdEdificio]
			<td>$html[cdc]
			<td>$html[CodiceUtilizzatore]
			<td>$html[Utilizzatore]
			<td>$html[Indirizzo]
			<td>$html[Quartiere]
			<td>$html[DataInizio]
			<td>$html[DataFine]
			<td>$html[Tipo2]
			<td>$html[MQ]
table;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
