<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');

$ElencoEdificiUtilizzatori = explode(",", $_POST[ElencoEdificiUtilizzatori]);

$ListaEdificiUtilizzatori = "";

foreach($ElencoEdificiUtilizzatori as $IdUtEdificio)
{
	if ( is_numeric($IdUtEdificio) )
	{
		if ( $ListaEdificiUtilizzatori!="" ) $ListaEdificiUtilizzatori .= ",";
		
		$ListaEdificiUtilizzatori .= (int)$IdUtEdificio;
	}
}

$where = "WHERE (tblUtUtilizzatori.IdCommessa = $IdCommessa)";

if ( $ListaEdificiUtilizzatori=="" ) 
	$where .= " AND 1=0";
else
	$where .= " AND tblUtEdifici.IdUtEdificio IN ($ListaEdificiUtilizzatori)";

$sql = <<< sql
	SELECT     tblUtEdifici.IdUtEdificio, tblUtEdifici.IdEdificio, tblUtUtilizzatori.cdc, tblUtUtilizzatori.CodiceUtilizzatore, TipiUtilizzatore3.Descrizione AS Tipo, tblUtUtilizzatori.Nome AS Utilizzatore, 
                      tblUtUtilizzatori.Indirizzo, tblUtEdifici.MQ, tblUtUtilizzatori.Descrizione AS Quartiere, tblUtEdifici.DataInizio, tblUtEdifici.DataFine, 
                      (CASE WHEN (tblUtUtilizzatori.IdStatoUtilizzatore = 0 OR
                      tblUtUtilizzatori.IdStatoUtilizzatore IS NULL) THEN 'NO' ELSE 'SI' END) AS DISMMESSO,
						(CASE WHEN tblUtUtilizzatori.EsenteIVA = 1 THEN 'ISTITUZIONI NON RILEVANTI I.V.A' ELSE 'ISTITUZIONI RILEVANTI I.V.A' END) AS EsenteIVA
						
	FROM         TipiUtilizzatore3 INNER JOIN
                      tblUtUtilizzatori ON TipiUtilizzatore3.IdCommessa = tblUtUtilizzatori.IdCommessa AND TipiUtilizzatore3.Id = tblUtUtilizzatori.Tipo3 INNER JOIN
                      tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore INNER JOIN
                      TipiUtilizzatori ON tblUtEdifici.IdCommessa = TipiUtilizzatori.IdCommessa AND tblUtEdifici.Tipologia = TipiUtilizzatori.Id
	
	$where
	
	ORDER BY EsenteIVA, Tipo, Utilizzatore
sql;

$query = ntxQuery($sql);

$table = "";

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs['DataInizio'] = ntxDate($rs['DataInizio']);
	$rs['DataFine'] = ntxDate($rs['DataFine']);
	
	$rs['MQ'] = ntxRoundThousand($rs['MQ'],2);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr>
			<td><input type=button value=desel onclick="DeselezionaEdificioUtilizzatore($rs[IdUtEdificio])" btnDeselezionaEdificioUtilizzatore=$rs[IdUtEdificio] />
			<td>$html[DISMMESSO]
			<td>$html[EsenteIVA]
			<td>$html[Tipo]
			<td>$html[IdEdificio]
			<td>$html[cdc]
			<td>$html[CodiceUtilizzatore]
			<td>$html[Utilizzatore]
			<td>$html[Indirizzo]
			<td>$html[Quartiere]
			<td>$html[DataInizio]
			<td>$html[DataFine]
			<td>$html[MQ]
table;
}

if ( $table!="" )
	$table = <<< table
		<p style="weight:bold;font-size:2em">Elenco Selezionati</p>
		<input type=button value="Deseleziona Tutto" onclick="DeselezionaTutto()" />
		<table class=grid>
			<tr>
				<th>
				<th>DISMMESSO
				<th>IVA
				<th>Tipo
				<th>CDE
				<th>CDC
				<th>CODICE
				<th>Utilizzatore
				<th>Indirizzo
				<th>Quartiere
				<th>Data Inizio
				<th>Data Fine
				<th>MQ
			$table
		</table>
table;

jhp($table);

?>
