<?php

function ConvDate($date)
{ 
	if ( strlen($date.="")>=19 ) 
		return ntxYear($date).ntxMonth($date).ntxDay($date); 
}

function TranslateText($text)
{
	$replace = array(
		"à", "a'",
		"è", "e'",
		"é", "e'",
		"ì", "i'",
		"ò", "o'",
		"ù", "u'",
		"À", "A'",
		"È", "E'",
		"É", "E'",
		"Ì", "I'",
		"Ò", "O'",
		"Ù", "U'",
		"n°", "n.",
		"N°", "N."
	);
	
	$len = count($replace)-1;
	
	for ( $i=0; $i<$len; $i=$i+2 )
		$text = str_replace($replace[$i], $replace[$i+1], $text);
		
	return trim($text);
}

if ( "".$_POST[Data1]!="" )
{
	$Data1 = ntxtp('Data1');
	$andWhere = " AND (Offerte.DataRicPreliminare <= $Data1)";
}

//Offerte.Lotto
$sql = <<< sql
	SELECT     tblPgPropietari.ID_UTENTE, tblPgPropietari.CodiceFiscale AS CODI_FISC_ENTE, Offerte.CodFiscaleReferente AS CODI_FISC_REF, Offerte.NRPF AS CODI_RIC, 
						  (SELECT SEQ_LOTTO FROM Commesse WHERE IDCommessa=$IdCommessa) AS SEQ_LOTTO, Offerte.Protocollo AS CODI_PROT, Offerte.DataProtocolloCliente AS DTTM_PROT, 
						  Offerte.DataRicPreliminare AS DTTM_RIC, Offerte.TipoEmissioneOrdine AS TIPO_EM, 
	dateadd(day,(
		SELECT case when somma<=5000 then 
					40 
				else 
					case when somma>5000 and somma<=30000 then
						60
					else
						90
					end
				end
		FROM (		
			SELECT     SUM(ElencoEdifici.AreaMQ) somma
			FROM         OfferteEdifici INNER JOIN
								  ElencoEdifici ON OfferteEdifici.IdCommessaEdificio = ElencoEdifici.IdCommessa AND OfferteEdifici.IdEdificio = ElencoEdifici.ID
			WHERE     (OfferteEdifici.IdCommessaOfferta = Offerte.IdCommessa) AND (OfferteEdifici.IdOfferta = Offerte.IdOfferta)) a
	), Offerte.DataRicPreliminare) AS DTTM_LIM
	FROM         Offerte INNER JOIN
						  tblPgPropietari ON Offerte.IdPropietario = tblPgPropietari.IdPropietario

	WHERE     (Offerte.IdCommessa = $IdCommessa) 
		$andWhere
		
	ORDER BY Offerte.IdOfferta
sql;

$query = ntxQuery($sql);

$text_body = "";

while ( $rs=ntxRecord($query) )
{
	$CODI_FISC_ENTE = substr(TranslateText($rs[CODI_FISC_ENTE]), 0, 16);
	$CODI_FISC_REF = substr(TranslateText($rs[CODI_FISC_REF]), 0, 16);
	$CODI_RIC = "RPF".str_pad((int) $rs[CODI_RIC],3,"0",STR_PAD_LEFT);
	$CODI_RIC = substr(TranslateText($CODI_RIC), 0, 20);
	$SEQ_LOTTO = substr(TranslateText($rs[SEQ_LOTTO]), 0, 4);
	$CODI_PROT = substr(TranslateText($rs[CODI_PROT]), 0, 25);
	
	$DTTM_PROT = ConvDate($rs[DTTM_PROT]);
	$DTTM_RIC = ConvDate($rs[DTTM_RIC]);
	
	$TIPO_EM = substr(TranslateText($rs[TIPO_EM]), 0, 1);
	
	$DTTM_LIM = ConvDate($rs[DTTM_LIM]);
	
	$ID_UTENTE = substr(TranslateText($rs[ID_UTENTE]), 0, 10);
	
	if ( $text_body!="" ) $text_body .= "\n";
	
	//$text_body .= "$CODI_FISC_ENTE|$CODI_FISC_REF|$CODI_RIC|$SEQ_LOTTO|$CODI_PROT|$DTTM_PROT|$DTTM_RIC|F|$DTTM_LIM|$ID_UTENTE";
	$text_body .= "$CODI_FISC_ENTE|$CODI_FISC_REF|$CODI_RIC|$SEQ_LOTTO|$CODI_PROT|$DTTM_PROT|$DTTM_RIC|F|$DTTM_LIM";
}

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

$countFiles = 0;

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

$textFile = tempnam($dir, "RPF4").".txt";

$mapfile_handle = fopen($textFile, 'w');
fwrite($mapfile_handle, $text_body);
fclose($mapfile_handle);

?>