<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdCliente = ntxip('IdCliente');

$sql = <<< sql
	SELECT     Id, IdCommessa, IdCliente, Des, DataOraInserimento, Path, NomeFileOriginale, TipoDocumento, Visibile, DataCliente
	FROM         DocsClienti
	WHERE     (IdCommessa = $IdCommessa) AND (IdCliente = $IdCliente)
sql;

if ( is_numeric($_POST['TipoDocumento'])) 
	$sql .= " AND TipoDocumento=".ntxip('TipoDocumento');

if ( $_POST['Visibile']==1) 
	$sql .= " AND Visibile=1 ";

if ( $_POST['Visibile']==2) 
	$sql .= " AND (Visibile=0 or Visibile is null) ";

if ( isset($_POST['Des'])  &&  strlen($_POST['Des'])>0) 
{
	$str = stripslashes($_POST['Des']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Des LIKE '%".$str."%' ";
}

if ( isset($_POST['NomeFileOriginale'])  &&  strlen($_POST['NomeFileOriginale'])>0) 
{
	$str = stripslashes($_POST['NomeFileOriginale']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND NomeFileOriginale LIKE '%".$str."%' ";
}

if ( isset($_POST['Data1'])  &&  strlen($_POST['Data1'])>0) 
	$sql .= " AND DataOraInserimento >= ".ntxtp('Data1');

if ( isset($_POST['Data2'])  &&  strlen($_POST['Data2'])>0) 
	$sql .= " AND DataOraInserimento <= ".ntxtp('Data2');

if ( isset($_POST['DataCliente1'])  &&  strlen($_POST['DataCliente1'])>0) 
	$sql .= " AND DataCliente >= ".ntxtp('DataCliente1');

if ( isset($_POST['DataCliente2'])  &&  strlen($_POST['DataCliente2'])>0) 
	$sql .= " AND DataCliente <= ".ntxtp('DataCliente2');

$paginazione = ntxPaginazione($sql, "DataOraInserimento DESC");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th></th>
			<th></th>
			<th></th>
			<th>Id
			<th>Des</th>
			<th>DataOraInserimento</th>
			<th>DataCliente</th>
			<th>NomeFileOriginale</th>
			<th>TipoDocumento</th>
			<th>Visibile</th>
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[DataOraInserimento] = ntxDateTime($rs[DataOraInserimento]);
	$rs[DataCliente] = ntxDateTime($rs[DataCliente]);
	
	$rs[Visibile] = $rs[Visibile] ? "SI" : "no";
	
	switch($rs[TipoDocumento])
	{
		case 1:
			$rs[TipoDocumento] = "Documentazione Contrattuale";
			break;
		case 2:
			$rs[TipoDocumento] = "Documentazione Amministrativa";
			break;
		case 3:
			$rs[TipoDocumento] = "Verbali di Controllo";
			break;
		case 4:
			$rs[TipoDocumento] = "Programma Operativo";
			break;
		case 5:
			$rs[TipoDocumento] = "Documento di Sintesi";
			break;
		case 6:
			$rs[TipoDocumento] = "Lettera di Consegna";
			break;
		case 7:
			$rs[TipoDocumento] = "Ordine di Intervento";
			break;
		case 8:
			$rs[TipoDocumento] = "Livelli di Servizio Mensili";
			break;
		case 9:
			$rs[TipoDocumento] = "Piano di Costituzione Anagrafica";
			break;
		case 10:
			$rs[TipoDocumento] = "Check-List - Servizio di Pulizia";
			break;
		case 11:
			$rs[TipoDocumento] = "Documentazione Varia";
			break;
		default:
			$rs[TipoDocumento] = "Tipo documento non previsto";
	}
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr IdRigaDoc=$rs[Id]>
			<td><input type=checkbox IdRigaDoc=$rs[Id] />
			<td><input type=button value=edit onclick="SelDoc($rs[Id])" />
			<td><input type=button value=download onclick="DownloadDoc($rs[Id])" />
			<td>$html[Id]
			<td>$html[Des]
			<td>$html[DataOraInserimento]
			<td>$html[DataCliente]
			<td>$html[NomeFileOriginale]
			<td>$html[TipoDocumento]
			<td>$html[Visibile]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
