<?php

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine'); 
$AnnoOrdine = ntxip('AnnoOrdine');
$Nota = ntxsp('Nota');

$sql = <<< sql
	SELECT IdOrd FROM Ordini
	WHERE IdCommessa=$IdCommessa
	AND NumOrdine=$NumOrdine
	AND AnnoOrdine=$AnnoOrdine
sql;

$IdOrd = ntxScalar($sql);

if (!is_numeric($IdOrd))
	die ("Non esiste ancora un ordine a cui associare il documento!");
	
// QUESTE RIGHE RENDONO LO SCRIPT COMPATIBILE CON LE VERSIONI
// DI PHP PRECEDENTI ALLA 4.1.0
if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;

/********************* VARIABILI DA SETTARE ********************/
// Directory dove salvare i files Uploadati ( chmod 777, percorso assoluto)

$sql = "SELECT Commesse.pathPublicShapeWeb, Ordini.AnnoOrdine, month(dataOrdine) "
		." FROM Commesse INNER JOIN Ordini ON Commesse.IDCommessa = Ordini.IDCommessa "
		." WHERE (((Ordini.IDCommessa)=$IdCommessa)) AND Ordini.IdOrd=$IdOrd;";

$query = ntxQuery($sql);

if (!$query)
	die("Commessa non trovata!");
	
if (!($rs = ntxIRecord($query)))
	die("Commessa non trovata 2!");
	
$upload_dir = $rs[0];//$_SERVER["DOCUMENT_ROOT"] . "/upload";
$AnnoOrdine = $rs[1];
$MeseOrdine = $rs[2];

if ( $MeseOrdine < 10 ) $MeseOrdine = "0$MeseOrdine";

$upload_dir .= "\\$AnnoOrdine";

if (!is_dir($upload_dir)) mkdir($upload_dir);

$upload_dir .= "\\$MeseOrdine";

if (!is_dir($upload_dir)) mkdir($upload_dir);

$new_name = "";

// Se $new_name è vuota, il nome sarà lo stesso del file uploadato
$file_name = ($new_name) ? $new_name : $_FILES["upfile"]["name"];

if(trim($_FILES["upfile"]["name"]) == "")
	die("Non hai indicato il file da uploadare !");

if($_FILES["upfile"]["size"]==0)
	die("Upload fallito controllare dimensione del file max 2 MegaByte!");

$sql = "INSERT INTO DocsOrdini (IdCommessa, IdOrdine, Nota, Path) VALUES($IdCommessa, $IdOrd, $Nota, NULL);";

ntxQuery($sql);

$query = ntxQuery("SELECT @@IDENTITY;");

if ( !query || !($rs=ntxIRecord($query)) || !is_numeric($rs[0]) )
	die("Inerimento nel db fallita! Ritentare!");

$IdDoc = $rs[0];
		
$dest_path = "$upload_dir\\dr_{$IdCommessa}_{$IdDoc}_$file_name";

if(@is_uploaded_file($_FILES["upfile"]["tmp_name"])) 
	@move_uploaded_file($_FILES["upfile"]["tmp_name"], $dest_path) 
		or die("Impossibile spostare il file, controlla l'esistenza o i permessi della directory dove fare l'upload.<br>");
else
	die("Problemi nell'upload del file " . $_FILES["upfile"]["name"]);

echo "L'upload del file " . $_FILES["upfile"]["name"] . " è avvenuto correttamente con nome $dest_path";

$gPath = "'".str_replace("'", "''", $dest_path)."'";

$sql = "UPDATE DocsOrdini SET Path=$gPath WHERE IdCommessa=$IdCommessa AND IdDoc=$IdDoc;";

ntxQuery($sql);

?> 
