<?php

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdAttivitàMestiere = ntxip('IdAttivitàMestiere');

$sqlTail = <<< sqlTail
WHERE 
	ComponentiAmbiente.IdCommessa=$IdCommessa
	AND ComponentiAmbiente.IdEdificio=$IdEdificio
	AND AttivitàMestTipiComp.IdAttivitàMestiere=$IdAttivitàMestiere
sqlTail;
	
$sql = <<< sql
SELECT DISTINCT ComponentiAmbiente.CodiceComponente, tblPropTipiComp.Propietà, tblValoriComponenti.Valore
FROM         ComponentiAmbiente INNER JOIN
                      tblValoriComponenti ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente AND 
                      ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio AND 
                      ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa INNER JOIN
                      tblPropTipiComp ON tblValoriComponenti.IdCommessa = tblPropTipiComp.IdCommessa AND 
                      tblValoriComponenti.IdPropComp = tblPropTipiComp.IdPropComp INNER JOIN
                      ElencoEdifici ON ComponentiAmbiente.IdCommessa = ElencoEdifici.IdCommessa AND ComponentiAmbiente.IdEdificio = ElencoEdifici.ID INNER JOIN
                      AttivitàMestTipiComp ON tblPropTipiComp.IdCommessa = AttivitàMestTipiComp.IdCommessaTipoComp AND 
                      tblPropTipiComp.IdTipoComp = AttivitàMestTipiComp.IdTipoComp
	
	$sqlTail
ORDER BY tblPropTipiComp.Propietà
sql;

$query = ntxQuery($sql);

$props = array();

while ( $rs = ntxIRecord($query) )
{
	$props[$rs[0]][CodiceComponente] = $rs[0];
	$props[$rs[0]][Propietà] = $rs[1];
	$props[$rs[0]][Valore] = $rs[2];
}

$sql = <<< sql
SELECT  DISTINCT   
	ElencoEdifici.ID IdEdificio, 
	ElencoEdifici.Codice, 
	ElencoEdifici.EdificioBreve, 
	ElencoEdifici.Indirizzo, 
	ElencoEdifici.citta Comune, 
	ElencoEdifici.Provincia, 
	PianoLivello.IdPiano,
	DestinazioniDusoLivello.Destinazione AS DesPiano, 
	Ambiente.IdAmbiente, 
	Ambiente.CodiceAmbiente, 
	Ambiente.CodiceAssAmbiente AS CodAmb, 
	DestinazioniDuso.Destinazione DesAmb,
	ComponentiAmbiente.IdComponente,
	ComponentiAmbiente.CodiceComponente, 
	ComponentiAmbiente.CodiceAssComponente AS CodComp, 
	TipoComponente.DesComponente AS Componente,
	'k'+ltrim(ElencoEdifici.ID) keyEdificio,
	PianoLivello.CodPiano keyPiano,
	Ambiente.CodiceAmbiente keyAmbiente
	
FROM         PianoLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND 
                      PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa INNER JOIN
                      Ambiente ON PianoLivello.idPiano = Ambiente.IdLivello AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.IdCommessa = Ambiente.IdCommessa INNER JOIN
                      ComponentiAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      ElencoEdifici ON ComponentiAmbiente.IdEdificio = ElencoEdifici.ID AND ComponentiAmbiente.IdCommessa = ElencoEdifici.IdCommessa ON 
                      Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa INNER JOIN
                      tblValoriComponenti ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente AND 
                      ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio AND 
                      ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso INNER JOIN
                      AttivitàMestTipiComp ON TipoComponente.IdCommessa = AttivitàMestTipiComp.IdCommessaTipoComp AND 
                      TipoComponente.IDTipoComponente = AttivitàMestTipiComp.IdTipoComp
	
	$sqlTail
sql;

$sql .= <<< sql
ORDER BY Codice, EdificioBreve, IdEdificio, DesPiano, IdPiano, CodAmb, DesAmb, IdAmbiente, CodComp, Componente, IdComponente
sql;

$query = ntxQuery($sql);

$records = array();

$i=0;

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $fieldName => $fieldValue)
	{
		$records[$i][$fieldName] = $fieldValue;
	}
	
	$i++;
}
	
?>
