<?php

require_once('jhp/gantt_diritto_sql.php');

$id0 = $id1 = $id2 = "abc";

$tdVuote = "";

$colspan = 0;


$ultimoDelMese = ntxLastDayMonth($month1, $year1);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno )
{
	++$colspan;

	if ( $iGiorno==$ultimoDelMese || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno==$day2) ) 
	{
		$iGiorno = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

if ( $colspan>0 ) $tdVuote = "<td colspan=$colspan></td>";

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[cod1]!="" ) $rs[cod1] = "[$rs[cod1]] - ";
	if ( $rs[cod2]!="" ) $rs[cod2] = "[$rs[cod2]] - ";
	if ( $rs[cod3]!="" ) $rs[cod3] = "[$rs[cod3]] - ";
	
	if ( $id0<>$rs[ID] )
	{
		$id1 = $id2 = "abc";
		$id0 = $rs[ID];
	}
	
	if ( $id1<>$rs[id1] )
	{
		$righe_attivita[$rs[ID]][] = <<< righe_attivita
			<tr class="attivita" tr_edificio=$rs[ID]><td colspan=10 class="ElementiCompattabili2">
				<span style="margin-left:10px;font-weight:bold">
				{$rs[cod1]}{$rs[des1]}</span>
			</td>$tdVuote</tr>
righe_attivita;

		$id1=$rs[id1];
	}
	
	if ( $id2<>$rs[id2] )
	{
		$righe_attivita[$rs[ID]][] = <<< righe_attivita
			<tr class=attivita tr_edificio=$rs[ID] tr_mestiere=$rs[id1]><td class="ElementiCompattabili2">
				<td colspan=9 class="ElementiCompattabili2">
				<span style="margin-left:20px;:10px;font-weight:bold;font-style:italic">
				{$rs[cod2]}{$rs[des2]}</span>
			</td>$tdVuote</tr>
righe_attivita;

		$id2=$rs[id2];
	}
	
	if ( strlen($rs[Frequenza])>0 )
		$Frequenza = "<span style=\"font-weight:bold\"> [{$rs[Frequenza]}]</span>";
	else
		$Frequenza = "";
		
	$tr = <<< tr
			<tr class=attivita tr_edificio=$rs[ID] tr_mestiere=$rs[id1] tr_componenti=$rs[id2]><td class="ElementiCompattabili2">
				<td colspan=9 class="ElementiCompattabili2">
				<span style="margin-left:30px">{$rs[cod3]}{$rs[des3]}</span>
				$Frequenza
				</td></td>
tr;

	$ultimoDelMese = ntxLastDayMonth($month1, $year1);

	for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
			$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
			++$iGiorno )
	{
		$title = "title=\"".$lblMesi[$iMese]." $iAnno\"";
		
		$conteggio = 0;
		
		$dus = $iAnno.($iMese<10 ? "0" : "").$iMese.($iGiorno<10 ? "0" : "").$iGiorno;
		
		foreach($ranges[$rs[ID]."_".$rs[id3]] as $range)
			if ( $dus>= $range[0]  &&  $dus<=$range[1] )
				$conteggio += $range[2];
				
		$Aperto = 0;
		$Eseguito = 0;
		$Annullato = 0;
		$Anomalia = 0;

		foreach($ranges2[$rs[ID]."_".$rs[id3]] as $range)
		{
			if ( $dus>= $range[dus1]  &&  $dus<=$range[dus2] )
			{
				if ( $range[Aperto] ) 		$Aperto += $range[conteggio];
				if ( $range[Eseguito] ) 	$Eseguito += $range[conteggio];
				if ( $range[Annullato] )	$Annullato += $range[conteggio];
				if ( $range[Anomalia] ) 	$Anomalia += $range[conteggio];
			}
		}
		
		if ( $conteggio==0 ) 
		{
			$tr .= "<td $title>";
		}
		else 
		{
			$percentuale = (float)$Eseguito*100/$conteggio;
			$s_percentuale = ntxRound($percentuale,0);
			
			if ( $Anomalia ) // viola
				$bgcolor = "#FF00FF";
			elseif ( $Annullato ) // giallo
				$bgcolor = "#FFFF00";
			elseif ( $percentuale>50 ) // verde
				$bgcolor = "#33FF33";
			elseif ( $percentuale>0 ) // arancio
				$bgcolor = "#FF9900";
			else // rosso
				$bgcolor = "#FF0000";
			
			$dat1 = $dat2 = "$iGiorno/$iMese/$iAnno";

			$style = "style=\"background-color:$bgcolor;cursor:pointer\"";
			
			//$tr .= "<td $title $style>$conteggio<br>{$s_percentuale}%";
			$tr .= "<td $title $style>$conteggio";
		}
		
		if ( $iGiorno == $ultimoDelMese )
		{
			$iGiorno = 0;
			++$iMese;
			
			if ( $iMese==13 )
			{
				$iMese = 1;
				++$iAnno;
			}

			$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
		}
	}
		
	$righe_attivita[$rs[ID]][] = $tr;
}

?>
