<?php

$sql = <<< sql
SELECT DISTINCT 
                      ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, ElencoEdifici.Tipo,
                          (SELECT     Nome
                            FROM          tblPgPropietari
                            WHERE      (ElencoEdifici.IdProprietario = IdPropietario)) AS Ente
FROM         tblOrdiniProgrammati INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
                      tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore ON 
                      tblOrdiniProgrammati.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                      tblOrdiniProgrammati.IdEdificio = tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere AND 
                      tblOrdiniProgrammati.dataInizioProg >= tblContrattiFornitori.DataInizio AND tblOrdiniProgrammati.dataInizioProg <= tblContrattiFornitori.DataFine
					  $innerElementi
$filtri_comuni
ORDER BY Ente, Codice, EdificioBreve, ElencoEdifici.ID
sql;

$query = ntxQuery($sql);

?>

