<?php

require_once('elementi_matrice.php');
require_once('elementi_sql.php');

$table = "";

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[Tipo]==1 ) $EtichettaTipo = "strada";
	elseif ( $rs[Tipo]==2 ) $EtichettaTipo = "verde";
	else $EtichettaTipo = "edificio";
	
	$c = "class=\"ElementiCompattabili\"";
	
	$table .= <<< table
		<tr class=alternate tr_id_elem=$rs[ID]>
		<td>
		<input type=button value=+ onclick="GanttDiritto(this, $rs[ID])" btnIdElemento=$rs[ID] />
		<td>$rs[ID]<td>$rs[Codice]<td>$rs[EdificioBreve]<td $c>$rs[EdificioEstesa]<td $c>$rs[Indirizzo]
		<td $c>$rs[CITTA]<td $c>$rs[PROVINCIA]<td $c>$rs[CAP]<td $c>$EtichettaTipo<td $c>$rs[Ente]
table;

	for ( $iAnno=$year1, $iMese=$month1; $iAnno<$year2 || ($iAnno==$year2  &&  $iMese<=$month2); ++$iMese )
	{
		$title = "title=\"".$lblMesi[$iMese]." $iAnno\"";
		
		$conteggio = 0;
		
		$dus = $iAnno.($iMese<10 ? "0" : "").$iMese;
		
		foreach($ranges[$rs[ID]] as $range)
			if ( $dus>= $range[0]  &&  $dus<=$range[1] )
				$conteggio += $range[2];
				
		$style = "";
		
		if ( $conteggio==0 ) $conteggio = "";
		else 
		{
			$dat1 = "1/$iMese/$iAnno";
			
			$dat2 = ntxDate(ntxScalar("SELECT dateadd(day,-1,dateadd(month,1,dbo.cdate('$dat1')))"));
			
			$style = "style=\"background-color:red;cursor:pointer\" onclick=\"VociPreplanning('$rs[ID]','$dat1','$dat2')\"";
		}
		
		$table .= "<td $title $style>$conteggio";
		
		if ( $iMese==12 )
		{
			$iMese = 0;
			++$iAnno;
		}
	}
}

?>

<input type=button value="Compatta Colonne" onclick="CompattaElementi(true)" />
<input type=button value="Scompatta Colonne" onclick="CompattaElementi(false)" />
-
<input type=button value="Mostra Attivita' per ogni Elemento" onclick="MostraNascondiAttivita(true)" />
<input type=button value="Nascondi Attivita' per ogni Elemento" onclick="MostraNascondiAttivita(false)" />

<table class=grid>
	<tr><th rowspan=2><th rowspan=2>ID<th rowspan=2 >Codice<th rowspan=2>Des1<th rowspan=2 class="ElementiCompattabili">Des2<th rowspan=2 class="ElementiCompattabili">Indirizzo
		<th rowspan=2 class="ElementiCompattabili">Comune<th rowspan=2 class="ElementiCompattabili">Prov<th rowspan=2 class="ElementiCompattabili">Cap
		<th rowspan=2 class="ElementiCompattabili">Tipo<th rowspan=2 class="ElementiCompattabili">Ente
<?php

for ( $iAnno=$year1, $iMese=$month1, $colspan=1; $iAnno<$year2 || ($iAnno==$year2  &&  $iMese<=$month2); ++$iMese, ++$colspan )
{
	if ( $iMese==12 || ($iAnno==$year2  &&  $iMese==$month2) ) 
	{
		echo "<th colspan=$colspan>$iAnno";
		$iMese = 0;
		++$iAnno;
		$colspan = 0;
	}
}

echo "<tr>";

for ( $iAnno=$year1, $iMese=$month1; $iAnno<$year2 || ($iAnno==$year2  &&  $iMese<=$month2); ++$iMese )
{
	$dat1 = "1/$iMese/$iAnno";
	
	$dat2 = ntxDate(ntxScalar("SELECT dateadd(day,-1,dateadd(month,1,dbo.cdate('$dat1')))"));
	
	$onclick = "onclick=\"GanttGiornaliero('$dat1','$dat2')\"";

	$style = "style=\"cursor:pointer\"";
	
	echo "<th $onclick $style>".$lblMesi[$iMese];
	
	if ( $iMese==12 )
	{
		$iMese = 0;
		++$iAnno;
	}
}

?>
	<?php echo $table ?>
</table>
