<?php

$sql = <<< sql
SELECT DISTINCT 
                      ElencoEdifici.ID id0, ElencoEdifici.Codice cod0, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, ElencoEdifici.Tipo,
                          (SELECT     Nome
                            FROM          tblPgPropietari
                            WHERE      (ElencoEdifici.IdProprietario = IdPropietario)) AS Ente,
					  tblMestieri.Ordine AS ord1, tblMestieri.codice AS cod1, tblMestieri.Descrizione AS des1, tblMestieri.IdMestiere AS id1, tblComponetiMestiere.Ordine AS ord2, 
                      tblComponetiMestiere.codice AS cod2, tblComponetiMestiere.Descrizione AS des2, tblComponetiMestiere.IdComponenteMestiere AS id2, 
                      tblAttivitàMestiere.Ordine AS ord3, tblAttivitàMestiere.codice AS cod3, tblAttivitàMestiere.Descrizione AS des3, tblAttivitàMestiere.IdAttivitàMestiere AS id3, 
                      tblAttivitàProgrammata.inizio, tblAttivitàProgrammata.fine
FROM         tblAttivitàMestiere INNER JOIN
                      tblAttivitàEdifici INNER JOIN
                      tblAttivitàProgrammata ON tblAttivitàEdifici.IdCommessa = tblAttivitàProgrammata.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàEdificio = tblAttivitàProgrammata.IdAttivitàEdificio ON tblAttivitàMestiere.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblAttivitàEdifici.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      ElencoEdifici ON tblAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblAttivitàEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblContrattiFornitoriAttivitàMestiereEdifici ON tblAttivitàEdifici.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàMestiere = tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere AND 
                      tblAttivitàEdifici.IdEdificio = tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio INNER JOIN
                      tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore AND 
                      tblAttivitàProgrammata.inizio >= tblContrattiFornitori.DataInizio AND tblAttivitàProgrammata.inizio <= tblContrattiFornitori.DataFine
					  $innerElementi
					  $innerAttivita
$filtri_comuni
ORDER BY Ente, cod0, EdificioBreve, id0, ord1, cod1, des1, id1, ord2, cod2, des2, id2, ord3, cod3, des3, id3, tblAttivitàProgrammata.inizio
sql;

$query = ntxQuery($sql);

?>