<?php
////////////////////////////////////////////////////////
//
//  Carica elenco piani
//
////////////////////////////////////////////////////////
$sql = <<< sql
	SELECT     ordini.IdLivello, PianoLivello.idPiano, DestinazioniDusoLivello.Destinazione, PianoLivello.CodiceAssLivello
	FROM         Ordini INNER JOIN
						  PianoLivello ON Ordini.IDCommessa = PianoLivello.IdCommessa AND Ordini.CodEdificio = PianoLivello.IdEdificio INNER JOIN
						  DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
						  PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $gNumOrdine) AND (Ordini.AnnoOrdine = $gAnnoOrdine)
	ORDER BY DestinazioniDusoLivello.ordinamento, CodiceAssLivello, DestinazioniDusoLivello.Destinazione
sql;

$option = "<option value=''>";

$query = ntxQuery($sql);

while($rsCCRIC=ntxRecord($query))
{
	foreach($rsCCRIC as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$option .= <<< option
		<option value='$rsCCRIC[idPiano]'>$html[CodiceAssLivello] - $html[Destinazione]
option;
}

/*echo <<< echo
		<tr><th>Piano<td><select id=IdLivelloEdit name=IdLivelloEdit onchange="CaricaAmbientiEdit()">
			$option
		</select>
echo;*/
echo
		"<tr><th>".$traduttore->traduci('Piano')."<td><select id=IdLivelloEdit name=IdLivelloEdit onchange=\"CaricaAmbientiEdit()\">
			$option
		</select>"
;

////////////////////////////////////////////////////////
//
//  Carica elenco ambienti
//
////////////////////////////////////////////////////////
$sql = <<< sql
	SELECT     Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione
	FROM         Ordini INNER JOIN
                      Ambiente ON Ordini.IDCommessa = Ambiente.IdCommessa AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
                      Ordini.IdLivello = Ambiente.IdLivello LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $gNumOrdine) AND (Ordini.AnnoOrdine = $gAnnoOrdine)
	ORDER BY Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione	
sql;

$option = "<option value=''>";

$query = ntxQuery($sql);

while($rsCCRIC=ntxRecord($query))
{
	foreach($rsCCRIC as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$option .= <<< option
		<option value='$rsCCRIC[IDAmbiente]'>$html[CodiceAssAmbiente] - $html[Destinazione] ($html[IDAmbiente])
option;
}

/*echo <<< echo
		<tr><th>Ambiente<td><select id=IdAmbienteEdit name=IdAmbienteEdit onchange="CaricaComponentiEdit()">
			$option
		</select>
echo;*/
echo
		"<tr><th>".$traduttore->traduci('Ambiente')."<td><select id=IdAmbienteEdit name=IdAmbienteEdit onchange=\"CaricaComponentiEdit()\">
			$option
		</select>"
;

////////////////////////////////////////////////////////
//
//  Carica elenco componenti
//
////////////////////////////////////////////////////////
$sql = <<< sql
	SELECT     ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente
	FROM         Ordini INNER JOIN
						  ComponentiAmbiente ON Ordini.IDCommessa = ComponentiAmbiente.IdCommessa AND Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND 
						  Ordini.IdAmbiente = ComponentiAmbiente.IDAmbiente LEFT OUTER JOIN
						  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $gNumOrdine) AND (Ordini.AnnoOrdine = $gAnnoOrdine)
	ORDER BY ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente
sql;

$option = "<option value=''>";

$query = ntxQuery($sql);

while($rsCCRIC=ntxRecord($query))
{
	foreach($rsCCRIC as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$option .= <<< option
		<option value='$rsCCRIC[IDComponente]'>$html[CodiceAssComponente] - $html[DesComponente] ($html[IDComponente])
option;
}

/*echo <<< echo
		<tr><th>Componente<td><select id=IdComponenteEdit name=IdComponenteEdit>
			$option
		</select>
echo;*/
echo
	"<tr><th>".$traduttore->traduci('Componente')."<td><select id=IdComponenteEdit name=IdComponenteEdit>
			$option
	</select>"
;

?>
<tr><th><?php $traduttore->html('Ricerca per Codice') ?><td>
	<input type=text name=CodiceRicercaVano /><input type=button value="<?php $traduttore->html('ricerca ambiente') ?> " onclick="RicercaVanoPerCodice()" />
	<input type=text name=CodiceRicercaComp /><input type=button value="<?php $traduttore->html('ricerca componente') ?> " onclick="RicercaComponentePerCodice()" />
	