<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_650", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_650", "IT", __FILE__);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>

<body  >

<?php
	$IdCommessa = ntxise('IdCommessa');
	$NumOrdine = ntxip('NumOrdine');
	$AnnoOrdine = ntxip('AnnoOrdine');
	
	$sql = <<< SQL
				SELECT     DocsPreventiviRichieste.Id
				FROM         Ordini INNER JOIN
									  Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
									  Ordini.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
									  DocsPreventiviRichieste ON Richieste.IDCommessa = DocsPreventiviRichieste.IdCommessa AND 
									  Richieste.NumRichiesta = DocsPreventiviRichieste.NumRichiesta AND Richieste.AnnoRichiesta = DocsPreventiviRichieste.AnnoRichiesta
				WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$IdDoc = ntxScalar($sql);

if ( !is_numeric($IdDoc) ) die($traduttore->traduci('Nessun preventivo associato!'));
?>

<form name=form1 method=post>
	<input type=hidden name=IdDoc value="<?php echo $IdDoc ?>">
	<input type=hidden name=NumOrdine value="<?php echo $NumOrdine ?>">
	<input type=hidden name=AnnoOrdine value="<?php echo $AnnoOrdine ?>">
	<input type=hidden name=RigheP value="">
</form>

<?php

	$sqlSostituito = <<< sqlSostituito
					SELECT isnull(ElencoPrezziInCommessa.Sostituito, 0)
					FROM ElencoPrezziInCommessa
					WHERE ElencoPrezziInCommessa.IdCommessa = RiheDocPrevRichieste.IdCommessa
						AND ElencoPrezziInCommessa.IdPrezzo = RiheDocPrevRichieste.IdPrezzo
sqlSostituito;

	$sql = <<< SQL
			SELECT IdCommessa, IdDocPrevRichiesta, RigaP, Prezziario, QTA, Importo, IDrif, DataModifica, UtenteModifica, IdPrezzo, Cod, Descrizione, UM, PzUnitario, 
				Titolo, DescrEstesa, isnull(Sconto,0) AS Sconto, TabellaOrigine, TipoPrezzo, Lun, Alt, Lar, Formula, NotaRiga,  Allegato,
					  ($sqlSostituito) AS Sostituito, OneriSicurezza
			FROM RiheDocPrevRichieste
			WHERE (IdCommessa = $IdCommessa) AND (IdDocPrevRichiesta = $IdDoc)
SQL;

	$query = ntxQuery($sql);
	
	while( $rs = ntxRecord($query) )
	{
		if ($rs[Sostituito]==1)
		{
			echo "<p><img src=\"../../../_img/warning.bmp\">Attenzione una o più voci prese dell'elenco prezzi sono ora obsolete</p>";
			break;
		}
	}
	
	$query = ntxQuery($sql);

?>
<input type=button value="<?php $traduttore->html('Seleziona Tutto') ?>" onclick="Setta(true)">
<input type=button value="<?php $traduttore->html('Deseleziona Tutto') ?>" onclick="Setta(false)">
<input type=button value="<?php $traduttore->html('Importa') ?>" onclick="ImportaRigheP()">
<br>
<br>
<table align=left>
	<caption><?php $traduttore->html('Costi Preventivo da Fornitore') ?></caption>
	<tr>
		<th>&nbsp;</th>
		<th><?php $traduttore->html('Prezziario') ?></th>
		<th><?php $traduttore->html('Codice Prezzo') ?></th>
		<th><?php $traduttore->html('Titolo') ?></th>
		<th><?php $traduttore->html('Descrizione') ?></th>
		<th><?php $traduttore->html('Descrizione Estesa') ?></th>
		<th><?php $traduttore->html('UM') ?></th>
		<th><?php $traduttore->html('QTA') ?></th>
		<th><?php $traduttore->html('Costo Unitario') ?></th>
		<th><?php $traduttore->html('Sconto') ?></th>
		<th><?php $traduttore->html('Costo') ?></th>
		<th><?php $traduttore->html('Oneri Sicurezza') ?></th>
		<th><?php $traduttore->html('Allegato') ?></th>
		<th>&nbsp;</th>
<?php
	$alternate = true;

	$TotaleCosti = 0;
	$countRows = 0;
	$RigheP = "";
	
	while( $rs = ntxRecord($query) )
	{
		$CostoTotale = $rs['QTA'] * $rs['PzUnitario'] * (1 - $rs['Sconto']/100);
		
		if ( $countRows > 0 )
			$RigheP .= ",";
			
		$RigheP .= '"'.$rs['RigaP'].'"';
			
		$warning = "";
		
		if ($rs[Sostituito]==1) $warning = "<img src=\"../../../_img/warning.bmp\">";
	
?>
	<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10><?php echo $warning ?>
				<input id="<?php echo "chk".$countRows++ ?>" type=checkbox value="<?php $traduttore->html('Elimina') ?>" onclick="SelezionaRiga(this, <?php echo $rs['RigaP'] ?>)">
			</td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['QTA'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['PzUnitario'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['Sconto'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($CostoTotale,2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs['OneriSicurezza']==1 ? "SI" : "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs['Allegato']==1 ? "SI" : "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<input type=button value="<?php $traduttore->html('Allegato') ?>" onclick="Allegato(<?php echo $rs['RigaP'] ?>)">
			</td>
	</tr>
<?php
		if ( is_numeric($CostoTotale) ) 
		{
			$TotaleCosti += (float)($CostoTotale);
		}
		
		$alternate = !$alternate;
	}
?>
	<tr><th colspan=10 style="text-align:right"><?php $traduttore->html('TOTALE COSTI') ?>:</th>
	<th <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($TotaleCosti,2) ?></th>
		<th colspan=2>&nbsp;</th>
</table>

<form name=frmAllegato method=post action=download_doc.php target=_blank>
	<input type=hidden name=RigaP value="">
	<input type=hidden name=IdCommessa value="<?php echo ntxise('IdCommessa') ?>">
</form>



<script language=javascript>
	var countRows = <?php echo $countRows ?>;
	var RighePP = new Array(<?php echo $RigheP;"'23','44','65'"; ?>);
	var RigheP = new Array();
	var tempRigheP = new Array();
		
	function Allegato(RigaP)
	{
		frmAllegato.RigaP.value = RigaP;
		frmAllegato.submit();
	}

	function Setta(value)
	{
		var i = 0;
		var j = 0;
		var k = 0;
		
		for ( i=0; i < countRows; i++)
			gei("chk" + i).checked = value;
			
		if (value)
			RigheP = RighePP;
		else
			RigheP = new Array();
	}
	
	function SelezionaRiga(obj, RigaP)
	{
		var i = 0;
		
		if (obj.checked)
		{
			for (i=0; i < RigheP.length; i++)
				if ( RigheP[i] == RigaP ) return;
				
			RigheP[RigheP.length] = RigaP;			
		}
		else
		{
			for (i=0; i < RigheP.length; i++)
				if ( RigheP[i] == RigaP ) 
				{
					tempRigheP = new Array();
					
					for (j=0, k=0; j < RigheP.length; j++)
						if ( RigheP[j] != RigaP ) 
							tempRigheP[k++] = RigheP[j];

					RigheP = tempRigheP;
					
					return;
				}
		}
	}

	function ImportaRigheP()
	{
		if ( !confirm("<?php $traduttore->js('Sicuro di volere importare le righe selezionate?') ?>") ) return;

		form1.RigheP.value = RigheP;

		ntxSendForm(form1, funcImportaRigheP, 'importa_righe_fornitore');
	}

	function funcImportaRigheP(text){ alert("<?php $traduttore->html('Importato') ?>"); parent.ElencoCosti(); }
	
</script>
<?php $traduttore->Salva() ?>
</body>
</html>
