<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise("IdCommessa");
$IdEdificio = $_POST['IdEdificio'];
$IDSubComponente = $_POST['IDSubComponente'];

if (is_numeric($IdEdificio)  &&  is_numeric($IDSubComponente) )
{
	$IdEdificio = (int)$IdEdificio;
	$IDSubComponente = (int)$IDSubComponente;
	
	$sql = <<< sql
	SELECT DISTINCT 
                      SubComponentiAmbiente.CodiceAssSubComponente Codice, 
					  SubComponentiAmbiente.marca Marca, 
					  SubComponentiAmbiente.modello Modello, 
					  SubComponentiAmbiente.num_serie n_serie, 
					  TipoSubComponente.DesSubComponente Descrizione
	FROM          SubComponentiAmbiente LEFT JOIN TipoSubComponente
                       ON SubComponentiAmbiente.IdCommessa = TipoSubComponente.IdCommessa AND 
                      SubComponentiAmbiente.IdTipoSubComponente = TipoSubComponente.IdTipoSubComponente
	WHERE     (SubComponentiAmbiente.IdCommessa = $IdCommessa) 
		AND (SubComponentiAmbiente.IdEdificio = $IdEdificio) 
		AND (SubComponentiAmbiente.IDSubComponente = $IDSubComponente)
sql;

	$record = ntxRecord(ntxQuery($sql));

	$record = ntxRecordTranslate($record);

	ntxMsgResult( $record );	
}
else
	ntxMsgResult( '' );	

?>
