<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report_sintesi.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
 
require_once('sql.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8"> 
	<style type="text/css"> 
	table, th, td 
	{
		border: solid 1px;
		border-color:#5B5B5B;
	}
	</style>
</head>

<?php if ( $_POST[AttoreInUso]=="strade" ) { ?>
<table>
	<tr>
		<th>Num.
		<th>Anno
		<th>Richiesta
		<th>Richiedente
		<th>Data
		<th>Riferimento
		<th>Classificazione
		<th>GradoUrgenza
		<th>Tipo Valutazione
		<th>Fornitore
		<th>Mestiere
		<th>Componete
		<th>Attività
		<th>Localizzazione
		<th>Descrizione
		<th>Note Tecniche Cliente
		<th>Data Scadenza
		<th>Data Inizio P
		<th>Data Fine P
		<th>Data Inizio Sopralluogo</th>
		<th>Data Fine Sopralluogo</th>
		<th>Data Inizio
		<th>Data Fine
		<th>Superamento Franchigia
		<th>Originato da Ordine
		<th>Conferma Canone		
		<th>Importo Stimato
		<th>Importo Contabilità
		<th>Stato Contabilità
		<th>Numero Sal
		<th>N.Documenti
		<th>N.Comunicazioni
		<th>Ente
		<th>Ore Extra Risorse
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		if(is_numeric($rs[NumOrdineOrigine])  &&  is_numeric($rs[AnnoOrdineOrigine]) )
		{
			$rs[NumOrdineOrigine] = (int)$rs[NumOrdineOrigine];
			$rs[AnnoOrdineOrigine] = (int)$rs[AnnoOrdineOrigine];
			
			$rs[OrdineOrigine] = "$rs[NumOrdineOrigine] / $rs[AnnoOrdineOrigine]";
		}	
?>
	<tr>					
		<td >&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['NumRichiesta']."/".$rs['AnnoRichiesta']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['Richiedente']) ?>
		<td  >&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']."<br>".$rs['DataOrdine']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['Riferimento']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['Contabiliz']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['GrUrgenza']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['TipoValutazione']) ?>
	
		<td  >&nbsp;<?php echo htmlentities($rs['Ditta']) ?>
	
		<td  >&nbsp;<?php echo htmlentities("$rs[CodMest] - $rs[DesMest]") ?>
		<td  >&nbsp;<?php echo htmlentities("$rs[CodComp] - $rs[DesComp]") ?>
		<td  >&nbsp;<?php echo htmlentities("$rs[CodAtt] - $rs[DesAtt]") ?>

		<td  >&nbsp;<?php echo htmlentities("($rs[Codice]) - $rs[Nome] - $rs[Comune] ($rs[Provincia])") ?>
		
		<td  >&nbsp;<?php echo htmlentities($rs['Des']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['NoteTecnicheCliente']) ?>

		<td  >&nbsp;<?php echo ntxDateTime($rs['DataScadenza']) ?>

		<td  >&nbsp;<?php echo ntxDateTime($rs['DataInizioProg']) ?>
		<td  >&nbsp;<?php echo ntxDateTime($rs['DataFineProg']) ?>

		<td  >&nbsp;<?php echo ntxDateTime($rs['DataInizioSopralluogo']) ?></td>
		<td  >&nbsp;<?php echo ntxDateTime($rs['DataFineSopralluogo']) ?></td>

		<td  >&nbsp;<?php echo ntxDateTime($rs['DataInizio']) ?>
		<td  >&nbsp;<?php echo ntxDateTime($rs['DataFine']) ?>

		<td  >&nbsp;<?php echo htmlentities($rs['FFC']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs[OrdineOrigine]) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['SC']) ?>		
		
		<td  >&nbsp;<?php echo ntxDateTime($rs['ImportoStimato']) ?>
		<td  >&nbsp;<?php echo ntxDateTime($rs['ImpCont']) ?>
		<td  >&nbsp;<?php echo ntxDateTime($rs['DesstatoC']) ?>
		<td  >&nbsp;<?php echo ntxDateTime($rs['NumSal']) ?>
		<td  >&nbsp;<?php echo ntxDateTime($rs['ConteggioDocumenti']) ?>
		<td  >&nbsp;<?php echo ntxDateTime($rs['ConteggioComunicazioni']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['Ente']) ?>
		<td  align=right ><?php echo ntxRoundThousand($rs['OreExtraRisorse'],2) ?>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<?php } else { ?>

<table>
	<tr>
		<th>Num. Ordine
		<th>Anno Ordine
		<th>Richiedente
		<th>Data Ordine
		<th>Mestiere
		<th>Ore Extra Risorse
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		if(is_numeric($rs[NumOrdineOrigine])  &&  is_numeric($rs[AnnoOrdineOrigine]) )
		{
			$rs[NumOrdineOrigine] = (int)$rs[NumOrdineOrigine];
			$rs[AnnoOrdineOrigine] = (int)$rs[AnnoOrdineOrigine];
			
			$rs[OrdineOrigine] = "$rs[NumOrdineOrigine] / $rs[AnnoOrdineOrigine]";
		}	
?>
	<tr>
		<td  >&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['Richiedente']) ?>		
		<td  >&nbsp;<?php echo ntxDateTime($rs['DataOrdine']) ?>
		<td  >&nbsp;<?php echo htmlentities($rs['Mestiere']) ?>
		<td  align=right ><?php echo ntxRoundThousand($rs['OreExtraRisorse'],2) ?>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<?php } ?>

</body>
</html>