<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once(NTX_WEBPORTAL_PATH."prop_utenti\\modo_nest.inc"); // restituisce $ModoNest bit

?>
<html>
<head>
	<link href="../../_css/navstylelittle.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>

	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">		
	
	<script type="text/javascript" src="../../_libs/abs.js"></script>
	<script type="text/javascript" src="../../_libs/tabs/ntx_tabs.js"></script>
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<link href="../../_libs/tabs/ntx_tabs_edit_ric.css" rel="stylesheet" type="text/css">
</head>
<body   onload="caricaOrdine()">

<?php
require_once("inizio_fine_ordine_sql.inc");
require_once("inizio_fine_ordine_forms.inc");
require_once("inizio_fine_ordine_func.inc");

require_once("inizio_fine_ordine_main.inc");
?>

	<form id=frmMappaAmbienti name=frmMappaAmbienti method=post target=_blank action="../../maps/mappa_edile_ricordi/mappa.php">
		<input name=NumOrdine type=hidden value=<?php echo $gNumOrdine?>>
		<input name=AnnoOrdine type=hidden value=<?php echo $gAnnoOrdine?>>
	</form>
			
	<form id=frmReportMqAmbienti name=frmReportMqAmbienti method=post target=_blank action="../../reports/mq_ambienti_richieste/index.php">
		<input name=NumRichiesta type=hidden value=<?php echo $rs[NumRichiesta]?>>
		<input name=AnnoRichiesta type=hidden value=<?php echo $rs[AnnoRichiesta]?>>
	</form>

<form name="form1" id="form1" action="upload_ordini.php" method="post" enctype="multipart/form-data" target="frame1055_14092009_1">
	<input type=hidden name=IsCanone value=0>
	<input type=hidden name=IdRisorsa value="">
<?php
if ( $ModoNest == 1 )
{
?>
	<input type=button name=btnSegnalaFuoriCanone style='display:none'>
	<select name=ForseFuoriCanone style='display:none'></select>
	<select name=SicuramenteCanone style='display:none'></select>	
<?php
}
?>
	<input name=IdCommessa type=hidden value=<?php echo $gIdCommessa?>>
	<input name=NumOrdine type=hidden value=<?php echo $gNumOrdine?>>
	<input name=AnnoOrdine type=hidden value=<?php echo $gAnnoOrdine?>>
	
	<input name=Assegnazione type=hidden value=<?php echo $rs[Assegnazione]?>>
	<input name=Localizzazione type=hidden value=<?php echo $rs[Localizzazione]?>>
	
	<input name=IdOrdine type=hidden>
	
	<input name=StatoOrd type=hidden>
	
	
	<table  >
		<caption>Inizio/Fine Ordini</caption>
		<tr><th style="text-align:left">
			<input type=button onclick="frmPresenze.submit()" value="Presenze">
			<input type=button id="btnCosti" name="btnCosti" onclick="GoCosti()" value="Costi" disabled>
			<input type=button onclick="frmReport.submit()" value="Report">
			<input type=button onclick="FineContabilità()" value="Fine Contabilità">

			<input type=button value="Report Mq Ambienti" onclick="ReportMqAmbienti()" />
			<input type=button value="Mappa Ambienti" onclick="MappaAmbienti()" />
		</th><tr>
		<tr><th style="text-align:left">
			<input type=button onclick="SelDiv(1)" value="Localizzazione">
			<input type=button onclick="SelDiv(2)" value="Stato">
			<input type=button onclick="SelDiv(7)" value="Ambienti" id="bntMultiAmbientePuntiIntervento">				
			<input type=button onclick="SelDiv(3)" value="Attività Eseguite">
			<input type=button onclick="SelDiv(4)" value="Note Aggiornamento">
			<input type=button onclick="SelDiv(5)" value="Documenti Allegati">
			<input type=button onclick="SelDiv(6)" value="Superamento Franchigia"> <!-- AZ aggiunta 11/11/10 -->
			<input type=button onclick="SelDiv(8)" value="Nuova Attività" id="bntNuovaAttivita" >  
		</th><tr>
		<tr><td>
			<div id=div1 style="width:100%">
				<table style="width:100%">
					<tr><th colspan=2>Localizzazione</th></tr>
<?php			
					rowStart("Num", htmlentities((int)$rs[NumOrdine]));
					rowSucc("Anno", htmlentities($rs[AnnoOrdine]));
					rowSucc("Contabilizzazione", htmlentities($rs[Contabiliz]));
					rowSucc("Data", ntxDateTime($rs['DataOrdine']));
					rowSucc("Ente", htmlentities($rs[Ente]));
					rowSucc("Localizzazione", htmlentities("$rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] ($rs[PROVINCIA])"));
					rowSucc("Dettaglio Localizzazione", htmlentities("$rs[CodPiano] - $rs[DesPiano] - $rs[CodVano] - $rs[DesVano] - $rs[CodComp] - $rs[DesComp]"));
					rowSucc("Mestiere", "<select name=\"IdMestiere\" onchange=\"CaricaComponenti()\" style=\"width:100%\" disabled></select>");
					rowSucc("Componente Mestiere", "<select name=\"IdComponenteMestiere\" onchange=\"CaricaAttività()\" style=\"width:100%\" disabled></select>");
					rowSucc("Attività Mestiere", "<select name=\"IdAttivitàMestiere\" style=\"width:100%\" disabled></select>");
					rowSucc("Descrizione", "<textarea name=Descrizione rows=5 cols=60 disabled></textarea>");
					rowSucc("Note", "<textarea name=Note rows=5 cols=60 disabled></textarea>");

if ( $ModoNest != 1 )
{
					rowSucc("Superamento Franchigia", "<select name=ForseFuoriCanone disabled></select>");
					rowSucc("Conferma Canone", "<select name=SicuramenteCanone disabled></select>");
}
?>					
				</table>
			</div>
			<div id=div2 style="display:none;width:100%">
				<table style="width:100%">
					<tr><th colspan=6>Stato
					<tr>
						<th>Gr.Urg.<br>Originale
						<td <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><?php echo htmlentities("$rs[CodGradoUrgenzaRichiesta] - $rs[GradoUrgenzaRichiesta]") ?>
						<th>Data SPC<br>Originale
						<td <?php echo $alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataSPCO size="20" disabled >
						<th>Data SI<br>Originale
						<td <?php echo $alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataSO size="20" disabled >
						
					<tr>
						<th>Gr.Urg.
						<td <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left">
							<select name=GradoUrgenza onchange="RicalcolaDateSPCeSI(this)" <?php echo !$RiassegnaGradoUrgenzaOrdine ? "disabled" : "" ?> style="width:100%"><?php echo $optGrUrg ?></select>
						<th>Data SPC
						<td <?php echo $alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataSPC size="20" >
						<th>Data SI
						<td <?php echo $alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataScadenza size="20" >
						
					<tr><th>Stato						<td colspan=5 <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DesStato size="50" disabled>

					<tr>
						<th>Risorsa<input type=button value=sel onclick="$('#rigaRisorse').toggle()">
						<td <?php echo $alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=Risorsa  style="width:90%" disabled >
						<th>Data PC
						<td colspan=3 <?php echo $alternaI % 2 ? "class=td2" : "" ?> style="text-align:left">
							<input type=text name=DataPC size="20" >
					
					<tr	id=rigaRisorse style="display:none">
						<td colspan=6>
						
						<?php echo $tableRisorse ?>
						
					<tr><th>Data Inizio P				<td colspan=5 <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataInizioProg size="50" disabled>
					<tr><th>Data Fine P					<td colspan=5 <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataFineProg size="50" disabled>
					<tr><th>Data Inizio Sopralluogo		<td colspan=5 <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataInizioSopralluogo id=DataInizioSopralluogo size="50" disabled> <input type="button" value="data corrente" onclick="impostaConDataCorrente(document.form1.DataInizioSopralluogo)"/> 
					<tr><th>Data Fine Sopralluogo		<td colspan=5 <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataFineSopralluogo id=DataFineSopralluogo size="50" disabled> <input type="button" value="data corrente" onclick="impostaConDataCorrente(document.form1.DataFineSopralluogo)"/> 
					<tr><th>Data Inizio					<td colspan=5 <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataInizio id=DataInizio size="50" disabled> <input type="button" value="data corrente" onclick="impostaConDataCorrente(document.form1.DataInizio)"/> 
					<tr><th>Data Fine					<td colspan=5 <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataFine id=DataFine size="50" disabled> <input type="button" value="data corrente" onclick="impostaConDataCorrente(document.form1.DataFine)"/> 
					<tr><th>Data Ultima Sospensione		<td colspan=5 <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataSospensione size="50" disabled>
					<tr><th>Data Ultima Ripresa Prog	<td colspan=5 <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataRipresaProg size="50" disabled>
					<tr><th>Data Ultima Ripresa			<td colspan=5 <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><input type=text name=DataRipresa size="50" disabled>
					<tr><th>Note Sospensione			<td colspan=5 <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"><textarea name=NoteSospensione rows=5 cols=60 disabled></textarea>

					<tr><td <?php echo ++$alternaI % 2 ? "class=td2" : "" ?> style="text-align:left"  colspan=6>
						<input type=button name="btnSospendi" onclick="Sospendi()" value="Sospensione" disabled />
						<input type=button name="btnRiprendi" onclick="Riprendi()" value="Ripresa Lavori" disabled />
					</td><tr>
				</table>
			</div>
			<div id=div3 style="display:none;width:100%">
				<table style="width:100%">
					<tr><th colspan=2>Attività Eseguite</th></tr>
<?php							
					rowStart("Descrizione Intervento Eseguito", "<textarea name=Intervento rows=5 cols=60 disabled></textarea>");
					rowSucc("Codice Anomalia Riscontrata", "<select name=AnomaliaRiscontrata style=\"width:100%\" disabled></select>");
					rowSucc("Prestazione Effettuata", "<select name=PrestazioneEffettuata style=\"width:100%\" disabled></select>");
					rowSucc("Anomalia Bloccante", "<select name=AnomaliaBloccante disabled></select>");
					rowSucc("Intervento Risolutivo", "<select name=InterventoRisolutivo disabled></select>");
					rowSucc("Intervento Idoneo", "<select name=InterventoIdoneo disabled></select>");
					
					rowSucc("Num. Risorse", "<input type=text name=NumRisorse />");
					rowSucc("Ore Risorse", "<input type=text name=OreRisorse />");					
					rowSucc("Ore Extra Risorse", "<input type=text name=OreExtraRisorse />");
					rowSucc("Trasferta", "<select name=Trasferta disabled></select>");
?>					
				</table>
			</div>
			<div id=div4 style="display:none;width:100%">
				<table style="width:100%">
					<tr><th colspan=2>Note Aggiornamento</th></tr>
<?php							
					rowStart("Richiesto Aggiornamento Censimento", "<select name=RAC disabled></select>");
?>					
					<tr>
						<th>Data Aggiornamento Censimento</th>
						<td style="text-align:left">
							<input type=text name=DataAggiornamentoCensimento size="50" disabled>
							<input type=button name=ModificaDataAggiornamentoCensimento 
								value="Modifica" onclick="modificaDataAggiornamentoCensimento()" disabled>
						</td>
					<tr>
			</table>
			</div>
			<div id=div5 style="display:none;width:100%">
				<table style="width:100%">
<?php 
						rowStart("Nota", "<input type=text name=\"Nota\" value=\"descrizione file\" size=\"50\"  maxlength=\"100\" />");
						rowSucc("File", "<input type=\"file\" name=\"upfile\" size=\"50\" />");
?>
					<tr><td style="text-align:left" class=td2 colspan=2>
						<input type=button onclick="form1.submit()" value="Allega file" />
						<input type=button onclick="formDocAllegati.submit()" value="Visualizza Allegati">
					</td><tr>
					<tr><td style="text-align:left" class=td2 colspan=2>
						<iframe src="blank.php" name=frame1055_14092009_1 style="display:block;position:static;width:600px;height:200px"></iframe>
					</td><tr>
				</table>
			</div>
			<div id=div6 style="display:none;width:100%">
			<table style="width:100%">
					<tr><th colspan=2>Scheda superamento franchigia</th></tr>
<?php				
					$importo= isset($rs[ImportoStimatoEsecutore]) ? "value=\"".htmlentities((float)$rs[ImportoStimatoEsecutore])."\"" : "";
					
					rowStart("Note tecniche esecutore (*)", "<textarea name=\"NoteTecnicheEsecutore\" rows=\"5\" cols=\"60\" maxlenght=\"255\">".htmlentities($rs[NoteTecnicheEsecutore])."</textarea>");
					rowSucc("Importo stimato esecutore", "<input type=\"text\" $importo name=\"ImportoStimatoEsecutore\" size=\"85\" maxlength=\"100\">");
?>					
					<tr><td style="text-align:left" class=td2 colspan=2>
					<input type=button name="btnSegnalaFuoriCanone" onclick="SegnalaFuoriCanone()" style="width:150px;height:40px;" value="Genera EXTRA" disabled>					
					
					</td><tr>
				</table>
			</div>	
			
			<div id=div8 style="display:none;width:100%">
			<table style="width:100%"> 
					<tr>
						<td style="text-align:center;" > <input  type="button"  id="LinkCOMPILA_ORDINE" value="COMPILA ORDINE"  onclick="compilaOrdine()"  style="width:200px; height:30px; font-size:110%; background:#CD5555; font-weight:bold; " />			
					<tr> 
						<th> ordini sulla Richiesta <?php echo $rs[NumRichiesta]?>/<?php echo $rs[AnnoRichiesta]?>:	
					<tr> 
						<td> <iframe src="" name=frm1352112450 id=frm1352112450 frameborder=1 style="width:100%;height:150px;display:block; position:relative; top:0px;left;0px;"></iframe>				 
				</table>
			</div>	

			<div id=div7 style="display:none;width:100%">
			<div id=divMultiAmbienti style="width:900px;height:300px;">
				<iframe name=frameMultiAmbienti id=frameMultiAmbienti style="top:auto;left:auto;right:auto;botton:auto;display:block;position:relative;overflow-y:hide;overflow-x:hide;border:none;width:900px;height:300px" src="../../_libs/ambienti/index.php"></iframe>
			</div>
			<div id=divPuntiIntervento style="display:none;width:950px;height:400px;">					
				<iframe name=framePuntiIntervento id=framePuntiIntervento style="top:auto;left:auto;right:auto;botton:auto;display:block;position:relative;overflow-y:hide;overflow-x:hide;border:none;width:950px;height:400px" src="../../_libs/punti_intervento/index.php"></iframe>
			</div>
		</div>	
			
		</td><tr>
		<tr><td  class=td2 colspan=2>
		
			<div>
				<input type="button" name="Modifica" onclick="ModificaOrdine()" value="MODIFICA" disabled style="width:160px; height:40px;"/> 
				<input type="button" onclick="reinviaMsgReperibile()"  id="LinkREINVIA_MSG_REP" value="Re-invia Messaggio" style="width:160px; height:40px;"/> 
				<input type="button" onclick="printReport()" id="LinkREPORT" value="Stampa ODL"   style="width:160px; height:40px;" />		
			</div>
			
		</td><tr>
	</table>
</form>


<div id="dialog" style="display:none;padding:0px;margin:0px;">
	<iframe id="frameDialog"  src="" scrolling="yes" marginWidth="0" marginHeight="0" frameBorder="0" border="0" allowTransparency="true"  style="border: none; box-shadow:none; width:99%; height:100%; background:transparent; display:block !important; overflow:scroll;"></iframe>
</div>	

<script>
	
	function MappaAmbienti()
	{
		parent.frame0926_140909_4.AppendFrame(frmMappaAmbienti);
		
		parent.ShowTab(4);
	}


	function ReportMqAmbienti()
	{
		parent.frame0926_140909_4.AppendFrame(frmReportMqAmbienti);
		
		parent.ShowTab(4);
	}

</script>	


</body>
</html>
