<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('check_ore_update.inc');

$IdCommessa = ntxise('matrcosti_IdCommessa'); // usata anche in _carica_richiesta
$IDCosti = ntxip('IDCosti'); // usata anche in _carica_richiesta
	
$qta = $_POST['QTA'];

$qta = str_replace(",", ".", $qta."");

if ( is_numeric($qta) )
{
	$qta = ntxf($qta);
}

if ( strlen($_POST['Formula']."") > 0 )
{
	require_once(NTX_PATH."expr.inc");

	$Formula = $_POST['Formula'];

	$scan = new Scanner($Formula);

	$pars = new Parser($scan);

	$exp = $pars->parse();

	$qta = $exp->evaluate();
}

$unit = $_SESSION['matrcosti_CostoUnit'];
$sconto = $_SESSION['matrcosti_sconto'];

$unit = ntxf($unit);
$sconto = ntxf($sconto);

if ( isset($qta)  &&  isset($qta)  &&  is_numeric($qta)  &&  is_numeric($qta) )
{
	if ( !isset($sconto) || !is_numeric($sconto) ) $sconto = 0;
	
	$sql = "SELECT $qta * $unit * (1- $sconto/100) AS CostoTotale;";

	$msg_error = "Errore nel calcolo!";

	$record = ntxRecordArray($sql, $msg_error);

	$CostoTotale = $record['CostoTotale'];
}
else
	ntxMsgErr("Manca valore per calcolo Importo!");

$sql = "UPDATE Costi SET "

		."NotaRiga = ".			ntxsp('NotaRiga')
		.", Formula = ".			ntxsp('Formula')

		.", QTA = ".				$qta

		.", CostoTotale = ".		$CostoTotale
		
		.", DataLavorazione = ".	ntxtp('DataLavorazione',false,false)

		.", DataModifica = GETDATE()"
		.", UtenteModifica = ".		ntxsse("Utente")

		." WHERE IdCommessa = $IdCommessa "
		." AND IDCosti = $IDCosti;";

ntxQuery($sql);

$_SESSION['store_data_lavorazione']=$_POST['DataLavorazione'];

ntxMsgResult( '' );	

?>
