<?php

$TotaleCosti = 0;

$sql = <<< SQL
		SELECT     COUNT(*)
		FROM         Costi   
		WHERE     (Costi.IDCommessa = $IdCommessa) AND (Costi.NumOrdine = $NumOrdine) AND (Costi.AnnoOrdine = $AnnoOrdine) AND Costi.TipoPrezzo=$TipoPrezzo
SQL;

$conteggio = ntxScalar($sql);

if ( $conteggio > 0 )
{
	$sql = <<< SQL
		SELECT     Costi.Cod, Costi.Descrizione, Costi.UM, Costi.QTA, Costi.CostoUnit AS PzUnitario, Costi.Sconto, 
						  Costi.Titolo, Costi.DescrEstesa, Costi.Prezziario, Costi.NotaRiga
		FROM         Costi   
		WHERE     (Costi.IDCommessa = $IdCommessa) AND (Costi.NumOrdine = $NumOrdine) AND (Costi.AnnoOrdine = $AnnoOrdine) AND Costi.TipoPrezzo=$TipoPrezzo
		ORDER BY Costi.Cod
SQL;


	$query = ntxQuery($sql);

?>
	<table>
		<caption><?php echo $Titolo ?></caption>
		<tr>
		<th>Preziario</th>
		<th>Codice</th>
		<th>Titolo</th>
		<th>Descrizione</th>
		<th>Descr.Estesa</th>
		<th>NotaRiga</th>
		<th>UM</th>
		<th>QTA</th>
		<th>Prezzo Unitario</th>
		<th>Totale Lordo</th>
		</tr>   

<?php
		while( $rs = ntxRecord($query) )
		{
			$CostoTotale = $rs['QTA'] * $rs['PzUnitario'];
?>
		<tr>
				<td>&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['NotaRiga']) ?></td>					
				<td>&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['QTA'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['PzUnitario'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($CostoTotale,2) ?></td>
		</tr>
<?php
			if ( is_numeric($CostoTotale) ) 
			{
				$TotaleCosti += (float)($CostoTotale);
			}
		}
	
?>
		<tr><th colspan=8 class=number>TOTALE <?php echo $Titolo ?>:</th>
		<th class=number><?php echo ntxRoundThousand($TotaleCosti,2) ?></th>
	</table>
	<br>
<?php
}
?>
