<?php  

$IdCommessa = ntxise('IdCommessa');

$NumOrdine = ntxip('NumOrdine', false);
$AnnoOrdine = ntxip('AnnoOrdine', false);
	
$sql = <<< sql
		SELECT DISTINCT 
                      Ordini.NumOrdine, Ordini.AnnoOrdine, tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, 
                      ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, 
                      Ordini.DescrizioneIntervento2, Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine, StatiOrdini.DesStato, 
                      OrdiniDateOrariVisita.Id, OrdiniDateOrariVisita.Data1, OrdiniDateOrariVisita.Ora1, OrdiniDateOrariVisita.Data2, OrdiniDateOrariVisita.Ora2
		FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
                      OrdiniDateOrariVisita ON Ordini.IDCommessa = OrdiniDateOrariVisita.IdCommessa AND Ordini.NumOrdine = OrdiniDateOrariVisita.NumOrdine AND 
                      Ordini.AnnoOrdine = OrdiniDateOrariVisita.AnnoOrdine LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
	WHERE Ordini.IdCommessa=$IdCommessa
		AND Ordini.NumOrdine=$NumOrdine
		AND Ordini.AnnoOrdine=$AnnoOrdine
	ORDER BY OrdiniDateOrariVisita.Data1, OrdiniDateOrariVisita.Ora1,
			OrdiniDateOrariVisita.Data2, OrdiniDateOrariVisita.Ora2
sql;

$query = ntxQuery($sql);
	
?>
