<?php

$sql = <<< sql
SELECT  
		  tblPgPropietari.Nome AS Ente, 
		  tblPgContratti.Descrizione AS Des1, 
		  tblContrattiFornitori.Descrizione AS Des2, 
		  tblContrattiFornitori.DataInizio, 
		  tblContrattiFornitori.DataFine, 
		  tblContrattiFornitori.DataContratto,
		  YEAR(tblContrattiFornitori.DataInizio) AS Anno1,
		  YEAR(tblContrattiFornitori.DataFine) AS Anno2
FROM         tblPgPropietari RIGHT OUTER JOIN
                      tblPgContratti ON tblPgPropietari.IdPropietario = tblPgContratti.IdPropietario RIGHT OUTER JOIN
                      tblContrattiFornitori ON tblPgContratti.IdCommessa = tblContrattiFornitori.IdCommessa AND 
                      tblPgContratti.IdPgContratto = tblContrattiFornitori.IdContrattoGestione
WHERE     tblContrattiFornitori.IdContrattoFornitore = $IdContrattoFornitore
sql;
	
$query = ntxQuery($sql);

$rs = ntxRecord($query);

$rs[DataInizio] = ntxDate($rs[DataInizio]);
$rs[DataFine] = ntxDate($rs[DataFine]);
$rs[DataContratto] = ntxDate($rs[DataContratto]);

$Anno1 = $rs[Anno1];
$Anno2 = $rs[Anno2];

$date = getdate();

$AnnoX = $date[year];

foreach($rs as $key=>$value)
	$rs[$key] = htmlentities($value);
	
?>
