<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>
<body  >

<?php

require_once('filtro_edifici_sql.inc');
require_once('budget_voci_edifici_sql.inc');

$Utente = ntxsse('Utente');

$sql2 = <<< sql
	SELECT DISTINCT    VociBudgetClienti.Id, VociBudgetClienti.Voce
	FROM         Utenti INNER JOIN
						  UtentiProprietari ON Utenti.Id = UtentiProprietari.IdUtente INNER JOIN
						  VociBudgetClienti ON UtentiProprietari.IdProprietario = VociBudgetClienti.IdCliente
	WHERE     (Utenti.Nome = $Utente)
	ORDER BY VociBudgetClienti.Voce
sql;

$query2 = ntxQuery($sql2);

?>

<table>
	<tr>
		<th>Anno Budget<td>&nbsp;<?php echo $Anno ?>
</table>
<br>
<table>
	<tr>

<?php

$vociBudget = array();

while ( $rs2 = ntxIRecord($query2) )
{
	$vociBudget[] = $rs2[0];
	$value = htmlentities($rs2[1]);
	
	echo "<th>$value</th>\n";
}

?>
		<th>Totale</th>
		<th>Codice Localizzazione</th>
		<th>Nome</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>Ente</th>
	</tr>   

<?php
	$alternate = true;
	
	while( $rs = ntxRecord($query) )
	{
		$tot = null;
?>
	<tr>
<?php
		foreach($vociBudget as $voceBudget)
		{
			$value = ntxRound($budgetEdifici["id$rs[IdEdificio]_$voceBudget"], 2);
			$tot += $budgetEdifici["id$rs[IdEdificio]_$voceBudget"];
			
			$onBlur = "id=txt{$rs[IdEdificio]}_{$voceBudget} onblur=\"Registra(this,$rs[IdEdificio],$voceBudget)\" value=\"$value\" size=10 style='text-align:right'";
?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> ><input type=text  <?php echo $onBlur ?> /></td>
<?php
		}
		
		$tot = ntxRound($tot, 2);
		$onBlur = "id=txttot{$rs[IdEdificio]} value=\"$tot\" size=10 style='text-align:right'";
?>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><input type=text  <?php echo $onBlur ?> disabled /></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post>
	<input type=hidden name=Anno value="<?php echo $Anno ?>">
	<input type=hidden name=IdEdificio>
	<input type=hidden name=VoceBudget>
	<input type=hidden name=Budget>
</form>

<script language=javascript>

function Registra(txt,IdEdificio,VoceBudget)
{
	form1.IdEdificio.value = IdEdificio;
	form1.VoceBudget.value = VoceBudget;
	form1.Budget.value = txt.value;
	ntxSendForm(form1, Carica, 'budget_voci_edifici/edit');
}

function Carica(txt)
{
	var rows=ntxRecord(txt);
	gei("txt"+form1.IdEdificio.value+"_"+form1.VoceBudget.value).value = rows['Budget'];
	gei("txttot"+form1.IdEdificio.value).value = rows['Tot'];
}

</script>

</body>
</html>
