<?php  

$minMese = $minAnno = $maxMese = $maxAnno = 0;

$sql = <<< SQL
SELECT DISTINCT 
	MONTH(MIN(DataOrdine)) AS minMese,
	YEAR(MIN(DataOrdine)) AS minAnno,
	MONTH(MAX(DataOrdine)) AS maxMese,
	YEAR(MAX(DataOrdine)) AS maxAnno
FROM         Costi INNER JOIN
                      Ordini ON Costi.IdCommessa = Ordini.IDCommessa AND Costi.NumOrdine = Ordini.NumOrdine AND Costi.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
                      Ordini.AnnoOrdine = Contabilità.AnnoOrdine
WHERE  Ordini.IDCommessa = $IdCommessa
			AND  (Ordini.Assegnazione = $IdDitta)
	AND $sqlQueue
SQL;

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (ElencoEdifici.ID = $IdEdificio) ";
}

$query = ntxQuery($sql);
	
if ( $rs = ntxIRecord($query) )
{
	$minMese = $rs[0];
	$minAnno = $rs[1];
	$maxMese = $rs[2]; 
	$maxAnno = $rs[3];
}

if ( !is_numeric($minAnno) )
{
	$minAnno = 0;
	$maxAnno = -1;
}

?>
