<?php  

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sql = <<< sql
	SELECT DISTINCT IdDitta
	FROM         Utenti
	WHERE     (Nome = $mUtente) AND (Password = $mPassword)
sql;

$IdDitta = ntxScalar($sql);

require_once("pivot_preventivi_sql_coda.inc"); // setta $sqlQueue
require_once("pivot_preventivi_sql_min_max.inc"); // setta $minMese, $minAnno, $maxMese e $maxAnno
require_once("pivot_preventivi_sql_funcs.inc"); // GeneraSubQuery($mese, $anno) e GeneraSubQuery2($TipoPrezzo)

// GENERA TABELLA TEMPORANEA #my123 con i valori dei mesi ed anni da scandagliare
$sqlTemp = <<< sqlTemp
		SELECT     Mese, Anno
		INTO            [#my123]
		FROM         (SELECT 0 AS Mese, 0 AS Anno) AS a;
		
		DELETE FROM [#my123];
sqlTemp;

for($mese=$minMese, $anno=$minAnno; $anno<$maxAnno || ($anno==$maxAnno  &&  $mese<=$maxMese); $mese++)
{
	if ( $mese == 13 ) { $mese = 1; $anno++; }
	
	$sqlTemp .= " insert into #my123 (Mese, Anno) values($mese, $anno);";
}

ntxQuery($sqlTemp);

$numCols = ntxScalar("SELECT COUNT(*) FROM #my123");

$sql1 = <<< SQL
	SELECT     SUM(ISNULL(RiheDocPrevRichieste.QTA * RiheDocPrevRichieste.PzUnitario, 0)
					*(1-ISNULL(RiheDocPrevRichieste.Sconto,0)/100))
	FROM         DocsPreventiviRichieste INNER JOIN
						  RiheDocPrevRichieste ON DocsPreventiviRichieste.IdCommessa = RiheDocPrevRichieste.IdCommessa AND 
						  DocsPreventiviRichieste.Id = RiheDocPrevRichieste.IdDocPrevRichiesta INNER JOIN
						  Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
						  DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta
	WHERE      Richieste.IDCommessa = b.IdCommessa
		AND Richieste.Localizzazione = b.ID	
		AND MONTH(Richieste.DataRichiesta) = #my123.Mese 	
		AND YEAR(Richieste.DataRichiesta) = #my123.Anno	
		AND (DocsPreventiviRichieste.IdCommessa = $IdCommessa) 
		AND (DocsPreventiviRichieste.IdDitta = $IdDitta)
		AND $sqlQueue
SQL;

$sql2 = <<< sql
	SELECT DISTINCT 
				ElencoEdifici.IdCommessa, 
				ElencoEdifici.ID, 
				ElencoEdifici.Codice, 
				ElencoEdifici.EdificioBreve, 
				ElencoEdifici.Indirizzo, 
				ElencoEdifici.CITTA
	FROM         DocsPreventiviRichieste INNER JOIN
						  RiheDocPrevRichieste ON DocsPreventiviRichieste.IdCommessa = RiheDocPrevRichieste.IdCommessa AND 
						  DocsPreventiviRichieste.Id = RiheDocPrevRichieste.IdDocPrevRichiesta INNER JOIN
						  Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
						  DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
						  ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	WHERE (DocsPreventiviRichieste.IdCommessa = $IdCommessa) 
		AND (DocsPreventiviRichieste.IdDitta = $IdDitta)
		AND $sqlQueue
sql;

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql2 .= " AND (Richieste.Localizzazione = $IdEdificio) ";
}
	
$sql3 = <<< sql
	SELECT 
		b.*,
		#my123.Mese, 
		#my123.Anno, 
		($sql1) AS Valore
	FROM ($sql2) b, #my123
	ORDER BY Codice, EdificioBreve, ID, Anno, Mese
sql;

$query = ntxQuery($sql3);
	
?>
