<?php

$sql = "SELECT *, Richieste.DataModifica as DataModificaX, Richieste.Note as NoteX, " 
		."Richieste.Tipo AS TipoX "
		." FROM Richieste INNER JOIN ElencoEdifici "
		." ON Richieste.IdCommessa = ElencoEdifici.IdCommessa "
		." AND Richieste.Localizzazione = ElencoEdifici.ID "
		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta "
		." ORDER BY Richieste.AnnoRichiesta, Richieste.NumRichiesta;";

$msg_error = "Richiesta num. $NumRichiesta anno. $AnnoRichiesta commessa $IdCommessa non trovata!";

$record = ntxRecordArray($sql, $msg_error);

$record['IdEdificio'] = $record['Localizzazione'];
$record['ImpS'] = ntxRound($record['ImpS'], 2);

$record['DataRichiesta'] = ntxDateTime($record['DataRichiesta']);
$record['DataModifica'] = ntxDateTime($record['DataModificaX']);
$record['DataAutorizzazione'] = ntxDateTime($record['DataAutorizzazione']);
$record['DataInserimento'] = ntxDateTime($record['DataInserimento']);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
