<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdComponenteMestiere = $_POST['IdComponenteMestiere'];

if(isset($IdComponenteMestiere) and is_numeric($IdComponenteMestiere))
{
	$IdComponenteMestiere = (int)$IdComponenteMestiere;

	$IdEdificio = ntxip('IdEdificio');
	$IdDitta = ntxise('IdDitta');
	$DataRichiesta = ntxtp('DataRichiesta');

	if ( $DataRichiesta == 'NULL' )
		$DataRichiesta = "getdate()";

	$sql = <<< sql
		SELECT DISTINCT tblAttivitàMestiere.IdAttivitàMestiere, tblAttivitàMestiere.Descrizione, 
						tblAttivitàMestiere.Ordine, tblAttivitàMestiere.Descrizione
		FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
                      tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
                      tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
		WHERE     (tblAttivitàMestiere.IdCommessa = $IdCommessa) 
		AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $IdEdificio) 
		AND (tblContrattiFornitori.IdFornitore = $IdDitta) 
		AND (tblContrattiFornitori.DataInizio <= $DataRichiesta) 
		AND (tblContrattiFornitori.DataFine >= $DataRichiesta)
		AND (tblAttivitàMestiere.IdComponenteMestiere = $IdComponenteMestiere)
		ORDER BY tblAttivitàMestiere.Ordine, tblAttivitàMestiere.Descrizione
sql;
	
	$result = ntxSelectArray($sql);

	$result = ntxSelectTranslate($result);

	ntxMsgResult( $result );	
}
else ntxMsgResult("");

?>
