<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdDitta = ntxise('IdDitta');
$DataRichiesta = ntxtp('DataRichiesta');

if ( $DataRichiesta == 'NULL' )
	$DataRichiesta = "getdate()";
	
$sql = <<< sql
SELECT DISTINCT tblMestieri.IdMestiere, tblMestieri.Descrizione, tblMestieri.Ordine, tblMestieri.Descrizione
FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
                      tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
                      tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
WHERE     (tblMestieri.IdCommessa = $IdCommessa) 
AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $IdEdificio) 
AND (tblContrattiFornitori.IdFornitore = $IdDitta) 
AND (tblContrattiFornitori.DataInizio <= $DataRichiesta) 
AND (tblContrattiFornitori.DataFine >= $DataRichiesta)
ORDER BY tblMestieri.Ordine, tblMestieri.Descrizione
sql;

$result = ntxSelectArray($sql);

$result = ntxSelectTranslate($result);

ntxMsgResult( $result );	

?>
