<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

$gUtente     = $_SESSION['Utente'];
?>
<html>
<head>
<link href="../_css/gantt.css" rel="stylesheet" type="text/css">
</head>
<body>

<form name=form1 method=post action="ordini_prg.php" target=_blank>
	<input type=hidden name=IdCommessa>
	<input type=hidden name=IdEdificio>
	<input type=hidden name=locIdAttivitàMestiere>
	<input type=hidden name=mese>
	<input type=hidden name=anno>
</form>

<script>

function VaiAdOrdini(IdCommessa, IdEdificio, locIdAttivitàMestiere, mese, anno)
{
	form1.IdCommessa.value = IdCommessa;
	form1.IdEdificio.value = IdEdificio;
	form1.locIdAttivitàMestiere.value = locIdAttivitàMestiere;
	form1.mese.value = mese;
	form1.anno.value = anno;
	
	form1.submit();
}

</script>

<?php  
	require_once(NTX_WEBPORTAL_PATH.'_database.inc');
	
	$user=ntxsse('Utente');
	$pwd=ntxsse('Password');
	
	$IdCommessa = ntxise('IdCommessa');
	
	$DataInizioP = ntxtp('DataInizioP',false,false);
	$DataFineP = ntxtp('DataFineP',false,false);
	$DataFineP = str_replace("'","''",$_POST['DataFineP'].' 23.59.59');
	$IdEdificio = ntxip('IdEdificio',false);
	$IdMestiere = ntxip('IdMestiere');
	$IdComponenteMestiere = ntxip('IdComponenteMestiere');
	if (isset($_POST['IdAttivitàMestiere'])) 
		$IdAttivitàMestiere = ntxip('IdAttivitàMestiere');
	else
		$IdAttivitàMestiere = "x";
	
	$sql="SELECT dbo.format(dbo.cdate($DataInizioP),'yyyymm'),dbo.format(dbo.cdate('$DataFineP'),'yyyymm'),"
				."dbo.format(dbo.cdate($DataInizioP),'mmmm yyyy'),dbo.format(dbo.cdate('$DataFineP'),'mmmm yyyy'),"
				."dbo.format(dbo.cdate($DataInizioP),'m'),dbo.format(dbo.cdate('$DataFineP'),'m'),"
				."dbo.format(dbo.cdate($DataInizioP),'yyyy'),dbo.format(dbo.cdate('$DataFineP'),'yyyy');";

	$query = ntxQuery($sql);
	
	if ( $rs = ntxIRecord($query) )
	{
		$DDataInizioP = $rs[0]."01";
		$DDataFineP = $rs[1]."32";
		$DataInizioP = $rs[2];
		$DataFineP = $rs[3];
		$MeseInizioP = (int)$rs[4];
		$MeseFineP = (int)$rs[5];
		$AnnoInizioP = (int)$rs[6];
		$AnnoFineP = (int)$rs[7];
	}
	
	echo "<h1>Gantt mensile [$DataInizioP / $DataFineP]</h1>";

	require_once('gantt_qry_mestieri.inc');
	require_once('gantt_qry_componenti.inc');
	require_once('gantt_qry_attività.inc');
	require_once('gantt_month_qry_ordini.inc');

	$sql = "SELECT ElencoEdifici.ID, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, "
		." ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA "
		." FROM (Utenti INNER JOIN UtentiEdifici  "
		." ON Utenti.Id = UtentiEdifici.IdUtente)  "
		." INNER JOIN ElencoEdifici  "
		." ON (UtentiEdifici.IdEdificio = ElencoEdifici.ID)  "
		." AND (UtentiEdifici.IdCommessa = ElencoEdifici.IdCommessa) "
		." WHERE Utenti.Nome=$user AND Utenti.Password=$pwd "
		." AND ElencoEdifici.IdCommessa=$IdCommessa ";
		
	if ( is_numeric($IdEdificio) ) $sql .= " AND ElencoEdifici.ID=$IdEdificio ";
	
	$sql .= " ORDER BY ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa;";

	$query = ntxQuery($sql);
	
	$gcolspan=1;
	
	while ( $rs = ntxIRecord($query) )
	{
		$IdEdificio=$rs[0];
		$des=htmlentities($rs[1].' '.$rs[2].' - '.$rs[3].' - '.$rs[4].' ('.$rs[5].')');
		
		echo "<table>\n";
		echo "<caption>&nbsp;$des</caption>\n";
		generaRigheAnniMesi();
		generaRigheMestieri($IdEdificio);
		echo "</table><br>\n";
	}
	
function generaRigheAnniMesi()
{
	global $AnnoInizioP, $MeseInizioP, $AnnoFineP, $MeseFineP, $gcolspan;
	
	$nomi_mesi = array('gen','feb','mar','apr','mag','giu',
						'lug','ago','set','ott','nov','dic');
						
	echo "<tr><th rowspan=2>&nbsp;\n";
	
	for($anno=$AnnoInizioP, $mese=$MeseInizioP, $colspan=1; 
			$anno<$AnnoFineP || ($anno==$AnnoFineP  &&  $mese<=$MeseFineP); 
			$mese++, $colspan++)
	{
		if ( $mese==12 )
		{
			echo "\t<th colspan=$colspan>$anno\n";
			
			$mese = 1;
			$colspan = 1;
			$anno++;
		}
	}
			
	if ( $mese>1  &&  $anno==$AnnoFineP )
	{
		$colspan--;
		echo "\t<th colspan=$colspan>$anno\n";
	}
	echo "<tr>\n";
	
	for($anno=$AnnoInizioP, $mese=$MeseInizioP; 
			$anno<$AnnoFineP || ($anno==$AnnoFineP  &&  $mese<=$MeseFineP); 
			$gcolspan++)
	{
		$nome_mese = $nomi_mesi[$mese-1];
		
		echo "\t<th>$nome_mese\n";
		
		$mese++;
		
		if ( $mese==13 )
		{
			$mese = 1;
			$anno++;
		}
	}
}

function generaRigheMestieri($IdEdificio)
{
	global $gcolspan, $arrayMestieri, $arrayComponenti, $arrayAttività;

	$iMestieri = 0;
	
	while ( $iMestieri < count($arrayMestieri) )
	{
		$rs = $arrayMestieri[$iMestieri++];
		
		$des=htmlentities($rs[1].' - '.$rs[2]);
		
		echo "<tr><th colspan=$gcolspan>&nbsp;$des\n";

		$trovato = false;
		
		$iComponenti = 0;
	
		while ( $iComponenti < count($arrayComponenti)  )
		{
			$rs2 = $arrayComponenti[$iComponenti++];
		
			if ( $rs[0] == $rs2[0] )
			{
				$des=htmlentities($rs2[2].' - '.$rs2[3]);
				
				echo "<tr><th colspan=$gcolspan class=th2>&nbsp;$des\n";

				$alternate = false;
				
				$trovato2 = false;
		
				$iAttività = 0;
			
				while ( $iAttività < count($arrayAttività)  )
				{
					$rs3 = $arrayAttività[$iAttività++];
		
					if ( $rs2[1] == $rs3[0] )
					{
						$locIdAttivitàMestiere=$rs3[1];
						$des=htmlentities($rs3[2].' - '.$rs3[3]);
						
						$class = ($alternate ? " class=td2 " : "");
						
						echo "\t<tr><td $class>&nbsp;$des\n";
						
						$alternate = !$alternate;
						
						generaCellaPerRighe($locIdAttivitàMestiere, $class);
				
						$trovato2 = true;
					}
					elseif ($trovato2)
						break;
				}
				
				$trovato = true;
			}
			elseif ($trovato)
				break;
		}
	}
}
	
function generaCellaPerRighe($locIdAttivitàMestiere, $class)
{
	global $IdCommessa, $IdEdificio, $AnnoInizioP, $MeseInizioP, $AnnoFineP, $MeseFineP;
	global $arrayOrdini;
	
	for($anno=$AnnoInizioP, $mese=$MeseInizioP; 
			$anno<$AnnoFineP || ($anno==$AnnoFineP  &&  $mese<=$MeseFineP);)
	{
		$conteggiati = $annullati = $anomali = $eseguiti = $aperti = 0;
		
		$iOrdini = 0;
		
		$trovato = false;

		while ( $iOrdini < count($arrayOrdini['k_'.$locIdAttivitàMestiere]) )
		{
			$arr = $arrayOrdini['k_'.$locIdAttivitàMestiere];
			$rs = $arr[$iOrdini++];
			
			if ( $rs[1] == $mese and $rs[2] == $anno )
			{
				$trovato = true;

				$conteggiati++;
				
				if ( $rs[3] ) $aperti++;
				if ( $rs[4] ) $eseguiti++;
				if ( $rs[5] ) $annullati++;
				if ( $rs[6] ) $anomali++;
			}
			elseif ($trovato )
				break;
		}
		
		if ($anomali)
			$class2 = " class=classViola ";
			
		elseif ($aperti  &&  $eseguiti+$annullati>=$aperti)
			$class2 = " class=classVerde ";
			
		elseif ($aperti  &&  !$eseguiti  &&  !$annullati)
			$class2 = " class=classRosso ";
			
		elseif ($aperti  &&  ($eseguiti || $annullati))
			$class2 = " class=classGiallo ";
			
		elseif ($conteggiati)
			$class2 = " class=classArancio ";
		else
			$class2 = $class;
			
		echo "\t\t<td $class2 onclick=\"VaiAdOrdini($IdCommessa, $IdEdificio, $locIdAttivitàMestiere, $mese, $anno)\">&nbsp;\n";
		
		$mese++;
		
		if ( $mese==13 )
		{
			$mese = 1;
			$anno++;
		}
	}
}
?>

<table>
<tr><th colspan=2>legenda
<tr><td class=classArancio>&nbsp;<td>Ci sono diversi ordini senza nessuno stato
<tr><td class=classViola>&nbsp;<td>Almeno un ordine presenta un'anomalia
<tr><td class=classRosso>&nbsp;<td>Uno o più ordini aperti, ma nessuno ancora eseguito od annullato
<tr><td class=classGiallo>&nbsp;<td>Uno o più ordini aperti di cui solo qualcuno eseguito od annullato
<tr><td class=classVerde>&nbsp;<td>Uno o più ordini aperti tutti eseguiti od annullato
</table>
</body>
</html>
