<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$DataInizioP = ntxtp('DataInizioP');
$DataFineP = ntxtp('DataFineP');

$IdFornitore=ntxise('IdDitta');

if ( is_numeric($IdEdificio) )
{
	$sql = <<< sql
		SELECT DISTINCT tblMestieri.IdMestiere, tblMestieri.codice + ' - ' + tblMestieri.Descrizione AS Expr1, tblMestieri.Ordine, tblMestieri.Descrizione
		FROM (
				SELECT     distinct tblOrdiniProgrammati.IdCommessa, tblOrdiniProgrammati.IdAttivitàMestiere
				FROM         tblOrdiniProgrammati
				WHERE     
					(tblOrdiniProgrammati.IdFornitore = $IdFornitore)		
				AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
				AND (tblOrdiniProgrammati.DataInizioProg <= $DataFineP) 
				AND (tblOrdiniProgrammati.DataFineProg >= $DataInizioP)) a
			INNER JOIN
                      tblAttivitàMestiere ON a.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      a.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere 
		 ORDER BY tblMestieri.ordine, tblMestieri.descrizione
sql;

	$result = ntxSelectArray($sql);

	$result = ntxSelectTranslate($result);

	ntxMsgResult( $result );	
}
else
	ntxMsgResult( '' );	

?>
