<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
	require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$gUtente     = $_SESSION['Utente'];
?>
<html>
<head>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
<body  >

<input type=button value="excel" onclick="formExcel.submit()">

<form name=formExcel method=post action="ordini_prg_excel.php">
	<?php ntxCreateHiddens(); ?>
</form>

<?php require_once('ordini_prg_sql.inc'); ?>

<table>
<tr>
<th>&nbsp;
<th>&nbsp;
<th>Num
<th>Mestiere
<th>Componente
<th>Attività
<th>Data Inizio Prog
<th>Data Fine Prog
<th>Data Inizio
<th>Data Fine
<th>Aperto
<th>Anomalia
<th>Eseguito
<th>Annullato
<th>Ditta Esecutrice
<th>Note
<th>NumOrdine
<th>AnnoOrdine

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		$rs[NumOrdine] = (int)$rs[NumOrdine];
		
		if ( !is_numeric($rs[NumOrdine]) )
			$attributi = "DISABLED";
		else
			$attributi = "onclick=\"Documenti('$rs[IdCommessa]','$rs[NumOrdine]','$rs[AnnoOrdine]')\"";
		
		if ( !is_numeric($rs[IdAnomalia]) )
			$attributi2 = "DISABLED";
		else
			$attributi2 = "onclick=\"Anomalia('$rs[IdCommessa]','$rs[IdAnomalia]')\"";
			
		$attributi3 = "onclick=\"CompXCompMestiere('$rs[IdCommessa]','$rs[IdEdificio]','$rs[IdComponenteMestiere]')\"";
		$attributi4 = "onclick=\"CompXAttMestiere('$rs[IdCommessa]','$rs[IdEdificio]','$rs[IdAttivitàMestiere]')\"";
		
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=button value=docs <?php echo $attributi ?>>
				<input type=button value=anomalie <?php echo $attributi2 ?>>
			</td>
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=button value="comp cens.Xcomp.mest." <?php echo $attributi3 ?>>
				<input type=button value="comp cens.Xatt.mest." <?php echo $attributi4 ?>>
			</td>

			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[IdOrdineProgrammato]) ?></td>
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Mestiere]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Componente]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Attivita]) ?></td>

			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs[dataInizioProg]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs[dataFineProg]) ?></td>

			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs[dataInizio]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs[datafine]) ?></td>
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[Aperto] ? "SI" : "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[Anomalia] ? "SI" : "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[Eseguito] ? "SI" : "no" ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $rs[Annullato] ? "SI" : "no" ?></td>
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Ditta]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Note]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities((int)$rs[NumOrdine]) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[AnnoOrdine]) ?></td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post action="../censimento/per_comp_mestiere.php">
	<input type=hidden name=IdCommessa>
	<input type=hidden name=NumOrdine>
	<input type=hidden name=AnnoOrdine>
	<input type=hidden name=IdAnomalia>
	<input type=hidden name=IdEdificio>
	<input type=hidden name=IdComponenteMestiere>
	<input type=hidden name=IdAttivitàMestiere>
	<input type=hidden name=TipoReport>
</form>

<script language=javascript>

	function CompXAttMestiere(IdCommessa,IdEdificio,IdAttivitàMestiere)
	{
		form1.action = "../censimento/tree.php";
		form1.TipoReport.value = "attività";
		form1.IdCommessa.value = IdCommessa;
		form1.IdEdificio.value = IdEdificio;
		form1.IdAttivitàMestiere.value = IdAttivitàMestiere;
		parent.parent.frame_frames.AppendFrame(form1);
		parent.parent.drcShowKeyTab("frames");
	}

	function CompXCompMestiere(IdCommessa,IdEdificio,IdComponenteMestiere)
	{
		form1.action = "../censimento/tree.php";
		form1.TipoReport.value = "componente";
		form1.IdCommessa.value = IdCommessa;
		form1.IdEdificio.value = IdEdificio;
		form1.IdComponenteMestiere.value = IdComponenteMestiere;
		parent.parent.frame_frames.AppendFrame(form1);
		parent.parent.drcShowKeyTab("frames");
	}
	
	function Documenti(IdCommessa,NumOrdine,AnnoOrdine)
	{
		form1.action = "../docs_ordine.php";
		form1.IdCommessa.value = IdCommessa;
		form1.NumOrdine.value = NumOrdine;
		form1.AnnoOrdine.value = AnnoOrdine;
		parent.parent.frame_frames.AppendFrame(form1);
		parent.parent.drcShowKeyTab("frames");
	}
	
	function Anomalia(IdCommessa,IdAnomalia)
	{
		form1.action = "../anomalia.php";
		form1.IdCommessa.value = IdCommessa;
		form1.IdAnomalia.value = IdAnomalia;
		parent.parent.frame_frames.AppendFrame(form1);
		parent.parent.drcShowKeyTab("frames");
	}

	</script>
</body>
</html>
