<?php  
session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="css/principale.css" rel="stylesheet" type="text/css">
<link href="css/indice.css" rel="stylesheet" type="text/css">
<link href="css/copertina.css" rel="stylesheet" type="text/css">
<link href="css/tbl1.css" rel="stylesheet" type="text/css">
<link href="css/tbl2.css" rel="stylesheet" type="text/css">
<link href="css/tbl3.css" rel="stylesheet" type="text/css">
<link href="css/tbl4.css" rel="stylesheet" type="text/css">
<link href="css/tbl5.css" rel="stylesheet" type="text/css">
<link href="css/tbl6.css" rel="stylesheet" type="text/css">
<link href="css/tbl7.css" rel="stylesheet" type="text/css">
<link href="css/tbl7b.css" rel="stylesheet" type="text/css">
<link href="css/tbl_a1.css" rel="stylesheet" type="text/css">
<link href="css/tbl_txt_5.css" rel="stylesheet" type="text/css">
<link href="css/tbl_txt_6.css" rel="stylesheet" type="text/css">

</head>
<body>

<script languange=javascript>
	function MandaStampa()
	{
		focus();
		print();
	}
</script>

<?php
	
$IdCommessa = ntxise('IdCommessa');
$IdOfferta = ntxip('IdOfferta');

?>

<?php

require_once('pagine/copertina.inc');

?>

	
<p class=sommario style="page-break-before: always">Sommario</p>

<?php

require_once('pagine/pagina_index.inc');

?>

<p class=sezione style="page-break-before: always">Sezione 1: Configurazione dei servizi e dati di consistenza</p>
<p class=capitolo>Capitolo 1: Riferimenti alla Convenzione</p>

<?php

require_once('pagine/pagina_1_txt_sql.inc');
require_once('pagine/pagina_1_txt_txt.inc');

require_once('pagine/pagina_1_sql.inc');
require_once('pagine/pagina_1_tbl.inc');

?>

<p class=capitolo style="page-break-before: always">Capitolo 2: Servizi richiesti, data inizio di erogazione e durata</p>

<?php

require_once('pagine/pagina_2_sql.inc');
require_once('pagine/pagina_2_tbl.inc');

require_once('pagine/pagina_3_sql.inc');
require_once('pagine/pagina_3_tbl.inc');

?>
	
<p class=capitolo style="page-break-before: always">Capitolo 3: Dati di consistenza</p>

<?php

require_once('pagine/pagina_3_txt_txt.inc');

require_once('pagine/pagina_4_sql.inc');
require_once('pagine/pagina_4_tbl.inc');

?>

<p class=sezione style="page-break-before: always">Sezione 2: Dettaglio dei servizi a canone</p>
<p>In questa sezione saranno elencate le prestazioni a canone comprese nei servizi, dalla data di inizio di erogazione.</p>
<p class=capitolo>Capitolo 1: Informazioni generali sui servizi richiesti</p>

<?php

require_once('pagine/pagina_4_txt_txt.inc');

require_once('pagine/pagina_5_sql.inc');
require_once('pagine/pagina_5_tbl.inc');

?>

<p class=capitolo style="page-break-before: always">Capitolo 2: Standard prestazionali richiesti</p>

<?php

require_once('pagine/pagina_5_txt_txt.inc');

?>

<p class=sezione style="page-break-before: always">Sezione 3: Interventi extra canone proposti dal fornitore</p>
<p>Questa sezione contiene le informazioni necessari.</p>

<p class=capitolo>Capitolo 1: Elenco delle criticità e degli interventi proposti</p>

<?php

require_once('pagine/pagina_6_sql.inc');
require_once('pagine/pagina_6_tbl.inc');

?>

<p class=capitolo>Capitolo 2: Tabella riassuniva delle proposte di intervento a fronte delle criticità riscontrate durante il sopralluogo tecnico</p>

<?php

require_once('pagine/pagina_6tot_sql.inc');
require_once('pagine/pagina_6tot_tbl.inc');

?>

<p class=sezione style="page-break-before: always">Sezione 4: Calendario Lavorativo</p>
<p class=capitolo>Capitolo 1: Calendario Lavorativo</p>
<p>Di seguito viene riportato il calendario lavorativo degli immobili oggetto dei servizi di manutenzione,
 fornito dall'Amministrazione Contraente, per programmare l'orario di svolgimento dei servizi in modo tale da non recare intralcio alle attività che si  svolgono.</p>

<?php

require_once('pagine/pagina_9_sql.inc');
require_once('pagine/pagina_9_tbl.inc');

?>

<p class=sezione style="page-break-before: always">Sezione 5: Canone e prezzi applicati e ammontare totale</p>
<p class=capitolo>Capitolo 1: Canone e prezzi applicati</p>
<p>Sulla base della consistenza impiantistica, dei valori unitari dei singoli servizi o componenti e della personalizzazione dei servizi stessi, viene sotto riportata la tabella di calcolo dei canoni a carico dell'Amministrazione: questa sezione contiene  il prospetto dei prezzi offerti dall'ATI e la definizione dei canoni di ogni singolo servizio per il quale è stata inoltrata la Richiesta Preliminare di Fornitura</p>

<?php

require_once('pagine/pagina_7_sql.inc');
require_once('pagine/pagina_7_tbl.inc');

require_once('pagine/pagina_7b_tbl.inc');

?>

<p class=sezione style="page-break-before: always">Sezione 6: Fatturazione e Pagamenti</p>
<p class=capitolo>Capitolo 1: Modalità di Fatturazione e Pagamenti</p>
<p>Il pagamento dei corrispettivi è effettuato dalla Pubblica Amministrazione in favore del Fornitore, sulla base delle fatture emesse da quest'ultimo conformemente alle modalità previste dalla normativa, anche secondaria, vigente in materia, nonchè dalla Convenzione (Art. 14). 
Ciascuna fattura dovrà contenere il riferimento alla Convenzione ed al singolo Ordinativo di Fornitura cui si riferisce e dovrà essere intestata e spedita alla Amministrazione nel rispetto delle condizioni e dei termini indicati nel Capitolato Tecnico. 
Ai sensi di quanto previsto in Convenzione, si intendono ricevute il 15 del mese, tutte le fatture registrate tra il 1Â° e il 15 Â° giorno del mese stesso. Il 30 del mese tutte le fatture registrate tra il 16Â° e l'ultimo giorno del mese stesso.</p>
<p>L'importo delle predette fatture è corrisposto entro 90 giorni dall'avvenuto riscontro regolare della fattura, sul conto corrente bancario intestato al Fornitore</p>
<p>La fatturazione delle prestazioni previste bel presente PDI avverrà con scadenze trimestrali, nel caso di Attività il cui corrispettivo è definito secondo un canone annuale, la fatturazione avviene mediante quote trimestrali commisurate al patrimonio gestito, nel caso di Prestazioni Extracanone (ovvero quantificate â€˜a misura/economia'), la fatturazione avviene sulla base delle prestazioni regolarmente e definitivamente contabilizzate.</p>

<p class=sezione style="page-break-before: always">Sezione 7: Subappalti</p>
<p class=capitolo>Capitolo 1: Elenco Subappaltatori previsti</p>
<p>Ai sensi della Convenzione (Art. 9, comma 6) e nel rispetto dei limiti di cui all'art. 18 della legge 55/1990, il Fornitore intende affidare a terzi i seguenti servizi:</p>

<?php

require_once('pagine/pagina_a1_sql.inc');
require_once('pagine/pagina_a1_tbl.inc');

?>

<p class=sezione style="page-break-before: always">Sezione 8: Note</p>
<p class=capitolo>Capitolo 1: Note</p>

<?php

require_once('pagine/pagina_8_sql.inc');

?>

<br style="page-break-before: always">
<br>
<p>Bologna li,____________________________</p>
<br>
<table width=100%>
<tr>
	<td align=center width=20%>Per&nbsp;L'ATI
	<td width=60%>&nbsp;
	<td align=center width=20%>&nbsp;<?php echo htmlentities($NomeEnte) ?>
<tr>
	<td align=center width=20%>Responsabile&nbsp;della&nbsp;fornitura
	<td width=60%>&nbsp;
	<td align=center width=20%><br>.................................................
<tr>
	<td align=center width=20%>Ing.&nbsp;A.&nbsp;Perocco
	<td width=60%>&nbsp;
	<td align=center width=20%>&nbsp;
<tr>
	<td align=center width=20%><br>.................................................
	<td width=60%>&nbsp;
	<td align=center width=20%>&nbsp;
	
</table>
<br>
<br>
<br>
<p class=capitolo>Clausola ai sensi della Legge 136/2010 e successive modifiche</p>
<p>Il CCC Consorzio Cooperative Costruzioni Soc. Coop, capogruppo dell'A.T.I., assume tutti gli obblighi di tracciabilità dei flussi finanziari di cui all'art. 3 della Legge 136/2010 e successive modifiche.
<br>Il CCC Consorzio Cooperative Costruzioni Soc. Coop, capogruppo dell'A.T.I. si impegna a dare immediata comunicazione alla stazione appaltante ed alla prefettura-ufficio territoriale del Governo della provincia di Bologna della notizia dell'inadempimento della propria controparte (subappaltatore/subcontraente) agli obblighi di tracciabilità finanziaria.</p>
<br>
<p>Bologna li,____________________________</p>
<br>
<br>
<table width=100%>
<tr>
	<td align=center width=20%>Per&nbsp;L'ATI
	<td width=80%>&nbsp;
<tr>
	<td align=center width=20%>Responsabile&nbsp;della&nbsp;fornitura
	<td width=80%>&nbsp;
<tr>
	<td align=center width=20%>Ing.&nbsp;A.&nbsp;Perocco
	<td width=80%>&nbsp;
<tr>
	<td align=center width=20%><br>.................................................
	<td width=80%>&nbsp;
	
</table>

</body>
</html>
