<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa',false);
$IdOfferta = ntxip('IdOfferta',false);
$IdRevisione = ntxip('IdRevisione',false);
	
$sql = <<< sql
	SELECT Data FROM OfferteRevisioneConsistenza
	WHERE IdCommessa=$IdCommessa AND Id=$IdRevisione
sql;

$dataRevisione = ntxt(ntxDate(ntxScalar($sql)));

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<link href="report.css" rel="stylesheet" type="text/css">
</head>
<body>
<?php

function head() {
	echo <<< echo
		<div class="SoloScreen"> </div>
		<!--<img class="" src="img/image001.gif" />-->
echo;
}

function foot() {
	global $NumPagina;
	
	echo <<< echo
		<div class="PieDiPagina">
			<hr>
			Convenzione per l’affidamento dei servizi di Facility Management per immobili, adibiti prevalentemente ad uso ufficio, in uso a qualsiasi titolo alle Pubbliche Amministrazioni
			<br>Appendice 5 al Capitolato  Tecnico – Modello di Atto Aggiuntivo all’Ordinativo principale di Fornitura – Lotto 6
			<div class="right fontFoot">Pagina $NumPagina di <span TotalePagine class="fontFoot"></span></div>
		</div>
echo;
}

require_once("importi-edifici.inc");
require_once("importi-edifici-rev.inc");

require_once("pagina-2-sql.inc");
require_once("pagina-3-sql.inc");
require_once("pagina-5-sql.inc");

$NumPagina = 0;
?>

<br class="SoloScreen" />

<?php head() ?>

<div class="UnQuartoPagina"></div>

<p class="h1">APPENDICE 5 AL CAPITOLATO TECNICO<br>MODELLO DI ATTO AGGIUNTIVO ALL’ORDINATIVO PRINCIPALE DI FORNITURA</p>

<div class="UnQuartoPagina BreakPage"></div>

<?php $NumPagina++; foot() ?>


<?php 

head();
require_once("pagina-2.inc");
$NumPagina++;
foot();

head();
require_once("pagina-3.inc");
$NumPagina++;
foot();

head();
require_once("pagina-4-head.inc");
$NumPagina++;
foot();

$indexEdificio = 30;

while ( $indexEdificio<$numEdifici )
{
	head();
	require("pagina-4.inc");
	$NumPagina++;
	foot();
}

head();
require_once("pagina-3-2.inc");
$NumPagina++;
foot();

for ( $indexEdificio=0; $indexEdificio<$numEdifici; ++$indexEdificio )
{
	$edificio = $edifici[$indexEdificio];
	
	$IdEdificio = $edificio[ID];

	head();
	include("pagina-5.inc");
	$NumPagina++;
	foot();
	
	head();
	include("pagina-5-2.inc");
	$NumPagina++;
	foot();
	
	head();
	include("pagina-5-3.inc");
	$NumPagina++;
	foot();
}

/*
$htmlCanImpAnnoRev = ntxRoundThousand($CanImpAnnoRev, 2);
$htmlCanImpTotRev = ntxRoundThousand($CanImpTotRev, 2);
$htmlExtraImpTotRev = ntxRoundThousand($ExtraImpTotRev, 2);

*/

$htmlCanExtraImpTotRev = ntxRoundThousand($CanImpTotRev+$ExtraImpTotRev, 2);

$htmlCanExtraImpTot = ntxRoundThousand($CanImpTot+$ExtraImpTot, 2);

?>

<br class="SoloScreen" />

<script>

	function MandaStampa()
	{
		focus();
		print();
	}

	$('span[TotalePagine]').text('<?php echo $NumPagina ?>');
	
	$('#res1').text('<?php echo $htmlCanImpAnnoRev ?>');
	$('#res2').text('<?php echo $htmlCanImpTotRev ?>');
	$('#res3').text('<?php echo $htmlExtraImpTotRev ?>');
	$('#res4').text('<?php echo $htmlCanExtraImpTotRev ?>');
	$('#res5').text('<?php echo $htmlCanExtraImpTot ?>');

</script>
</body>
</html>
