<?php

$manutenzioni = array(14,1,2,3,4,10,5,6,7,8);

$pulizie = array(11,15,13,16);

$altro = array(17, 24);

$facchinaggio_interno = 19;
$facchinaggio_esterno = 20;

$manTotAnno = 0;
$manTotTot = 0;

$pulTotAnno = 0;
$pulTotTot = 0;

$altTotAnno = 0;
$altTotTot = 0;

$TotAnno = 0;
$TotTot = 0;

$ImportoAnnualeMestiere = array();
$ImportoTotaleMestiere = array();


$voci = array(
	14=>"Servizi di Governo", 
	1=>"Impianti Elettrici", 
	2=>"Impianti Idrico/sanitari", 
	3=>"Impianti di Riscaldamento",
	4=>"Impianto di Raffrescamento",
	10=>"Impianti Elevatori",
	5=>"Impianti Antincendio",
	6=>"Impianti Sicurezza e controllo accessi",
	7=>"Reti",
	8=>"Minuto Mantenimento Edile",
	11=>"Pulizia",
	15=>"Disinfestazione",
	13=>"Raccolta e smaltimento rifiuti speciali",
	16=>"Giardinaggio",
	17=>"Reception",
	24=>"PRESIDIO"
);

while($rs=ntxRecord($query))
{
	$ImportoAnnualeMestiere[$rs[IdMestiere]] = $rs[ImportoAnnulale];
	$ImportoTotaleMestiere[$rs[IdMestiere]] = $rs[ImportoTotale];
	
	if ( in_array($rs[IdMestiere], $manutenzioni) )
	{
		$manTotAnno += $rs[ImportoAnnulale];
		$manTotTot  += $rs[ImportoTotale];
		
		$TotAnno += $rs[ImportoAnnulale];
		$TotTot  += $rs[ImportoTotale];
	}
	elseif ( in_array($rs[IdMestiere], $pulizie) )
	{
		$pulTotAnno += $rs[ImportoAnnulale];
		$pulTotTot  += $rs[ImportoTotale];
		
		$TotAnno += $rs[ImportoAnnulale];
		$TotTot  += $rs[ImportoTotale];
	}
	elseif ( in_array($rs[IdMestiere], $altro) )
	{
		$altTotAnno += $rs[ImportoAnnulale];
		$altTotTot  += $rs[ImportoTotale];
		
		$TotAnno += $rs[ImportoAnnulale];
		$TotTot  += $rs[ImportoTotale];
	}
}

if ( $TotTot>0 )
{
	$TotAnno = ntxRoundThousand($TotAnno,2);
	$TotTot = ntxRoundThousand( $TotTot  ,2);

		$table = <<< table
			<tr><td colspan=3 class=tbl7_top>TABELLA ECONOMICA RIASSUNTIVA PER SERVIZI A CANONE</td>
			<tr>
				<td class=SottotitoloNeroSuGrigio>SERVIZI
				<td class=SottotitoloNeroSuGrigio>IMPORTO ANNUALE (€)
				<td class=SottotitoloNeroSuGrigio>IMPORTO TOTALE (€)
table;

	if ( $manTotTot>0 )
	{
		$manTotAnno = ntxRoundThousand($manTotAnno,2);
		$manTotTot = ntxRoundThousand( $manTotTot  ,2);

		$table2 = "";
		
		foreach($manutenzioni as $ndx)
		{
			if ($ImportoTotaleMestiere[$ndx]==0)continue;
			
			$voce = $voci[$ndx];
			$anno = ntxRoundThousand( $ImportoAnnualeMestiere[$ndx],2);
			$tot = ntxRoundThousand( $ImportoTotaleMestiere[$ndx],2);
			
			$table2 .= <<< table
				<tr>
					<td class=CelleSx>$voce
					<td class=CelleDx>$anno
					<td class=CelleDx>$tot
table;
		}

		$table .= <<< table
			<tr>
				<th class=CelleSx style="font-size:12pt">Manutenzioni<th class=CelleDx><th class=CelleDx>
				$table2
			<tr>
				<th class=CelleSx style="background-color:#DDFFbb">TOTALE IMPORTO MANUTENZIONI A CANONE
				<th class=CelleDx style="background-color:#DDFFbb">$manTotAnno
				<th class=CelleDx style="background-color:#DDFFbb">$manTotTot
table;
	}

	if ( $pulTotTot>0 )
	{
		$pulTotAnno = ntxRoundThousand($pulTotAnno,2);
		$pulTotTot = ntxRoundThousand( $pulTotTot  ,2);
		
		$table2 = "";
		
		foreach($pulizie as $ndx)
		{
			if ($ImportoTotaleMestiere[$ndx]==0)continue;
			
			$voce = $voci[$ndx];
			$anno = ntxRoundThousand( $ImportoAnnualeMestiere[$ndx],2);
			$tot = ntxRoundThousand( $ImportoTotaleMestiere[$ndx],2);
			
			$table2 .= <<< table
				<tr>
					<td class=CelleSx>$voce
					<td class=CelleDx>$anno
					<td class=CelleDx>$tot
table;
		}
		
		$table .= <<< table
			<tr>
				<th class=CelleSx style="font-size:12pt">Servizi di pulizia ed igiene ambientale<th class=CelleDx><th class=CelleDx>
				$table2
			<tr>
				<th class=CelleSx style="background-color:#DDFFbb">TOTALE IMPORTO SERVIZI DI PULIZIA ED IGIENE AMBIENTALE A CANONE
				<th class=CelleDx style="background-color:#DDFFbb">$pulTotAnno
				<th class=CelleDx style="background-color:#DDFFbb">$pulTotTot
table;
	}

	
	if ( $altTotTot>0 )
	{
		$altTotAnno = ntxRoundThousand($altTotAnno,2);
		$altTotTot = ntxRoundThousand( $altTotTot  ,2);
		
		$table2 = "";
		
		foreach($altro as $ndx)
		{
			if ($ImportoTotaleMestiere[$ndx]==0)continue;
			
			$voce = $voci[$ndx];
			$anno = ntxRoundThousand( $ImportoAnnualeMestiere[$ndx],2);
			$tot = ntxRoundThousand( $ImportoTotaleMestiere[$ndx],2);
			
			$table2 .= <<< table
				<tr>
					<td class=CelleSx>$voce
					<td class=CelleDx>$anno
					<td class=CelleDx>$tot
table;
		}
		
		$table .= <<< table
			<tr>
				<th class=CelleSx style="font-size:12pt">Altri servizi<th class=CelleDx><th class=CelleDx>
				$table2
			<tr>
				<th class=CelleSx style="background-color:#DDFFbb">TOTALE IMPORTO ALTRI SERVIZI A CANONE
				<th class=CelleDx style="background-color:#DDFFbb">$altTotAnno
				<th class=CelleDx style="background-color:#DDFFbb">$altTotTot
table;
	}

	echo <<< table
		<table  class=tab100>
			
			$table
			
			<tr>
				<td class=SottotitoloNeroSuGrigio style="text-align:right">TOTALE GLOBALE CANONE
				<td class=SottotitoloNeroSuGrigio style="text-align:right">$TotAnno
				<td class=SottotitoloNeroSuGrigio style="text-align:right">$TotTot
		</table><br>
table;
}

?>