<?php
$subSqlFattoreLightNoLight = <<< subSqlFattoreLightNoLight
	case when OfferteEdifici.FacilityManagementLight=1 then
		case when TipiComponentiMestieri.FattoreLight IS NOT NULL then
			TipiComponentiMestieri.FattoreLight
		else
			TipiComponentiMestieri.Fattore
		end
	else
		TipiComponentiMestieri.Fattore
	end 
	/ case when TipiComponentiMestieri.DivisoreFattore IS NOT NULL and TipiComponentiMestieri.DivisoreFattore>0 then
		TipiComponentiMestieri.DivisoreFattore
	else
		case when TipiComponentiMestieri.DivisoreFattore=-1 then
			case when OfferteEdifici.FacilityManagementLight=1 then
				48
			else
				84
			end
		else
			1
		end
	end
subSqlFattoreLightNoLight;

$subSqlFattoreLightNoLight3 = <<< sql
	case when TipiComponentiMestieri.ScontoPerStatoEdificio=1 then
		$subSqlFattoreLightNoLight * (1-ISNULL(LivelliDocCensimenti.Sconto,0)/100.0)
	else
		$subSqlFattoreLightNoLight
		
	end 
sql;

$subScontoPerCompR = <<< sql
	case when tblComponetiMestiere.PosizioneInPdi=3 then
		SopralluogoPDI.QtaFreqPdi*0.5787
	else
		case when tblComponetiMestiere.PosizioneInPdi=4 then
			SopralluogoPDI.QtaFreqPdi
		else
			1
		end
	end 
sql;

$sqlSwitchDurata = <<< sql
	case when TipiComponentiMestieri.UnaTantum=1 then 
		1
	else
		case when SopralluogoPDI.IdRevConsistenza is null and SopralluogoPDI.Durata is null then 
			off2.Durata 
		else 
			SopralluogoPDI.Durata 
		end
	end
sql;

$sqlSwitchDurata2 = <<< sql
	case when TipiComponentiMestieri.UnaTantum=1 then 
		case when SopralluogoPDI.IdRevConsistenza is null and SopralluogoPDI.Durata is null then 
			off2.Durata 
		else 
			SopralluogoPDI.Durata 
		end
	else
		1
	end
sql;
	
$subSqlMese = "SUM(SopralluogoPDI.QTA * $subSqlFattoreLightNoLight3 * $subScontoPerCompR / $sqlSwitchDurata2)";

$subSqlTotale = "SUM($sqlSwitchDurata * SopralluogoPDI.QTA * $subSqlFattoreLightNoLight3 * $subScontoPerCompR)";

$sql = <<< sql
SELECT 1 esiste, IdEdificio, IdSetVoce, case when MAX(cast(Reperibilità as int))=1 then 'si' else 'no' end Reperibilità, 
		MAX(DataInizio) DataInizio, SUM(ImportoAnno) ImportoAnno, SUM(ImportoTotale) ImportoTotale

FROM ( 
	SELECT
			SetVociTipiComp.IdSetVoce,
			
			off2.Reperibilità,
			
			off2.DataInizio,
			
			SopralluogoPDI.IdEdificio,
			
			12 * $subSqlMese
			* CASE WHEN off2.Reperibilità=1 and (AttivitàDiGoverno=0 or AttivitàDiGoverno is null) THEN
				1.05
			ELSE
				1
			END ImportoAnno,
			
			$subSqlTotale
			* CASE WHEN off2.Reperibilità=1 and (AttivitàDiGoverno=0 or AttivitàDiGoverno is null) THEN
				1.05
			ELSE
				1
			END ImportoTotale
			
	FROM         SopralluogoPDI INNER JOIN
                      TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
                      SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN
                      tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      OfferteEdificiMestieri AS off2 ON SopralluogoPDI.IdCommessaOfferta = off2.IdCommessaOfferta AND SopralluogoPDI.IdOfferta = off2.IdOfferta AND 
                      SopralluogoPDI.IdEdificio = off2.IdEdificio AND tblComponetiMestiere.IdMestiere = off2.IdMestiere AND 
                      tblComponetiMestiere.IdCommessa = off2.IdCommessaEdificio
					   INNER JOIN
                      OfferteEdifici ON off2.IdCommessaOfferta = OfferteEdifici.IdCommessaOfferta AND 
                      off2.IdOfferta = OfferteEdifici.IdOfferta AND off2.IdCommessaEdificio = OfferteEdifici.IdCommessaEdificio AND 
                      off2.IdEdificio = OfferteEdifici.IdEdificio
							
					INNER JOIN SetVociTipiComp
                       ON SetVociTipiComp.IdCommessa = TipiComponentiMestieri.IdCommessa AND 
                      SetVociTipiComp.IdTipoComponente = TipiComponentiMestieri.IdTipoComponenteMestiere
					  
					  LEFT JOIN
					  LivelliDocCensimenti 
							ON LivelliDocCensimenti.IdCommessa=SopralluogoPDI.IdCommessaEdificio 
							AND LivelliDocCensimenti.Id=SopralluogoPDI.LivelloDocCensimento
							
	WHERE     (SopralluogoPDI.IdCommessaOfferta = $IdCommessa)
	AND (SopralluogoPDI.IdOfferta = $IdOfferta)
	
	GROUP BY 			SetVociTipiComp.IdSetVoce, AttivitàDiGoverno,
			
			off2.Reperibilità,
			
			off2.DataInizio,
			
		IdSetVoce, PosizioneInPdi, SopralluogoPDI.IdEdificio
) a
GROUP BY IdEdificio, IdSetVoce
ORDER BY IdEdificio, IdSetVoce
sql;
/*	
$sql2 = str_replace("\n","<br>",$sql);
echo "<br>$sql2<br>";
--	AND (SopralluogoPDI.IdEdificio = ElencoEdifici.ID)
*/

$query = ntxQuery($sql);


$impTotEdifici = array();

while($rs=ntxRecord($query))
{
	$impTotEdifici[$rs[IdEdificio]."_".$rs[IdSetVoce]] = $rs;
}
?>	