<?php 

$sql = <<< sql
SELECT     ElencoEdifici.ID, 
			ElencoEdifici.CITTA, 
			ElencoEdifici.Indirizzo, 
			ElencoEdifici.AreaMQ, 
			ElencoEdifici.CAP, 
			ElencoEdifici.PROVINCIA, 
			ElencoEdifici.fax, 
			ElencoEdifici.Referente, 
			ElencoEdifici.NumEdifici, 
			ElencoEdifici.Telefono,
			OfferteEdifici.FacilityManagementLight Light 
			
FROM         OfferteEdifici INNER JOIN
                      ElencoEdifici ON OfferteEdifici.IdCommessaEdificio = ElencoEdifici.IdCommessa AND OfferteEdifici.IdEdificio = ElencoEdifici.ID
WHERE     (OfferteEdifici.IdCommessaOfferta = $IdCommessa) AND (OfferteEdifici.IdOfferta = $IdOfferta)	
 AND (
		SELECT     TOP (1) 2 
		FROM         OfferteEdificiMestieri
		WHERE     (IdCommessaOfferta = OfferteEdifici.IdCommessaOfferta) 
		AND (IdOfferta = OfferteEdifici.IdOfferta) 
		AND (IdEdificio = OfferteEdifici.IdEdificio)
	)=2
sql;

$query = ntxQuery($sql);

$edifici = array();

while ( $rs = ntxRecord($query) )
{
	$rs[AreaMQ] = ntxRoundThousand($rs[AreaMQ], 2);
	
	foreach( $rs as $k => $v )
		$rs[$k] = htmlentities($v);

	$edifici[] = $rs;
}

$numEdifici = count($edifici);

?>
