<?php

$subSqlFattoreLightNoLight3 = <<< sql
	case when TipiComponentiMestieri.ScontoPerStatoEdificio=1 then
		$subSqlFattoreLightNoLightSopra * (1-ISNULL(LivelliDocCensimenti.Sconto,0)/100.0)
	else
		$subSqlFattoreLightNoLightSopra
		
	end 
sql;

$FattoreTag3 = <<< sql
	case when TipiComponentiMestieri.ScontoPerStatoEdificio=1 then
		$FattoreTag * (1-ISNULL(LivelliDocCensimenti.Sconto,0)/100.0)
	else
		$FattoreTag
		
	end 
sql;

$subScontoPerCompR = <<< sql
	case when tblComponetiMestiere.PosizioneInPdi=3 then
		SopralluogoPDI.QtaFreqPdi*0.5787
	else
		case when tblComponetiMestiere.PosizioneInPdi=4 then
			SopralluogoPDI.QtaFreqPdi
		else
			1
		end
	end 
sql;

$sqlSwitchDurata = <<< sql
	case when TipiComponentiMestieri.UnaTantum=1 then 
		1
	else
		case when SopralluogoPDI.IdRevConsistenza is null and SopralluogoPDI.Durata is null then 
			off2.Durata 
		else 
			SopralluogoPDI.Durata 
		end
	end
sql;

$sqlSwitchDurata2 = <<< sql
	case when TipiComponentiMestieri.UnaTantum=1 then 
		case when SopralluogoPDI.IdRevConsistenza is null and SopralluogoPDI.Durata is null then 
			off2.Durata 
		else 
			SopralluogoPDI.Durata 
		end
	else
		1
	end
sql;

$subSqlX1_e_11 = <<< sql
	FROM         SopralluogoPDI INNER JOIN
                      TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
                      SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN
                      tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      OfferteEdificiMestieri AS off2 ON SopralluogoPDI.IdCommessaOfferta = off2.IdCommessaOfferta AND SopralluogoPDI.IdOfferta = off2.IdOfferta AND 
                      SopralluogoPDI.IdEdificio = off2.IdEdificio AND tblComponetiMestiere.IdMestiere = off2.IdMestiere AND 
                      tblComponetiMestiere.IdCommessa = off2.IdCommessaEdificio
					   INNER JOIN
                      OfferteEdifici ON off2.IdCommessaOfferta = OfferteEdifici.IdCommessaOfferta AND 
                      off2.IdOfferta = OfferteEdifici.IdOfferta AND off2.IdCommessaEdificio = OfferteEdifici.IdCommessaEdificio AND 
                      off2.IdEdificio = OfferteEdifici.IdEdificio
					  LEFT JOIN
					  LivelliDocCensimenti 
							ON LivelliDocCensimenti.IdCommessa=SopralluogoPDI.IdCommessaEdificio 
							AND LivelliDocCensimenti.Id=SopralluogoPDI.LivelloDocCensimento
	WHERE     (SopralluogoPDI.IdCommessaOfferta = ElencoEdifici.IdCommessa)
	AND (SopralluogoPDI.IdOfferta = OfferteEdificiMestieri.IdOfferta)
	AND (tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere)
	AND (SopralluogoPDI.IdEdificio = ElencoEdifici.ID)
	AND (tblComponetiMestiere.PosizioneInPdi IS NULL OR tblComponetiMestiere.PosizioneInPdi=0 OR tblComponetiMestiere.PosizioneInPdi=3 OR tblComponetiMestiere.PosizioneInPdi=4)
sql;

$subSqlX2_e_22 = <<< sql
	FROM         SopralluogoPDI INNER JOIN
                      TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
                      SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN
                      tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      OfferteEdificiMestieri AS off2 ON SopralluogoPDI.IdCommessaOfferta = off2.IdCommessaOfferta AND SopralluogoPDI.IdOfferta = off2.IdOfferta AND 
                      SopralluogoPDI.IdEdificio = off2.IdEdificio AND tblComponetiMestiere.IdMestiere = off2.IdMestiere AND 
                      tblComponetiMestiere.IdCommessa = off2.IdCommessaEdificio
					   INNER JOIN
                      OfferteEdifici ON off2.IdCommessaOfferta = OfferteEdifici.IdCommessaOfferta AND 
                      off2.IdOfferta = OfferteEdifici.IdOfferta AND off2.IdCommessaEdificio = OfferteEdifici.IdCommessaEdificio AND 
                      off2.IdEdificio = OfferteEdifici.IdEdificio
					  LEFT JOIN
					  LivelliDocCensimenti 
							ON LivelliDocCensimenti.IdCommessa=SopralluogoPDI.IdCommessaEdificio 
							AND LivelliDocCensimenti.Id=SopralluogoPDI.LivelloDocCensimento
	WHERE     (SopralluogoPDI.IdCommessaOfferta = ElencoEdifici.IdCommessa)
	AND (SopralluogoPDI.IdOfferta = OfferteEdificiMestieri.IdOfferta)
	AND (tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere)
	AND (SopralluogoPDI.IdEdificio = ElencoEdifici.ID)
	AND (tblComponetiMestiere.PosizioneInPdi=1 OR tblComponetiMestiere.PosizioneInPdi=2)
sql;
	
$subSqlFattUnaTantumExtracanone = "case when SopralluogoPDI.UnaTantumExtraCanone=1 then $FattoreTag3  else $subSqlFattoreLightNoLight3 end";

$Sconto3per100 = "dbo.TipoCompMestInListaSconto3per100($IdCommessa, $IdOfferta,  SopralluogoPDI.IdTipoComp)";

$subSql1 = "SELECT     SUM($Sconto3per100 * SopralluogoPDI.QTA * $subSqlFattUnaTantumExtracanone * $subScontoPerCompR / $sqlSwitchDurata2) $subSqlX1_e_11";
$subSql1333 = "SELECT     max($Sconto3per100) $subSqlX1_e_11 and $Sconto3per100<1";

$subSql11 = "SELECT     SUM($Sconto3per100 * $sqlSwitchDurata * SopralluogoPDI.QTA * $subSqlFattUnaTantumExtracanone * $subScontoPerCompR) $subSqlX1_e_11";
	
$subSql2 = "SELECT     SUM($Sconto3per100 * SopralluogoPDI.QTA * $subSqlFattUnaTantumExtracanone * $subScontoPerCompR / $sqlSwitchDurata2) $subSqlX2_e_22";
$subSql2333 = "SELECT     max($Sconto3per100) $subSqlX2_e_22 and $Sconto3per100<1";

$subSql22 = "SELECT     SUM($Sconto3per100 * $sqlSwitchDurata * SopralluogoPDI.QTA * $subSqlFattUnaTantumExtracanone * $subScontoPerCompR) $subSqlX2_e_22";

$sql = <<< sql
	SELECT     1 GRUPPO, ElencoEdifici.EdificioBreve, ElencoEdifici.Codice, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.[Tipologia abitativa] AS DesUso,
						  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, ElencoEdifici.ID,
					OfferteEdificiMestieri.Reperibilità, 
					tblMestieri.IdMestiere, tblMestieri.Descrizione AS Mestiere, 
					NULL AS TipoComp, OfferteEdificiMestieri.Durata, OfferteEdificiMestieri.DataInizio,
					
					($subSql1) ImportoMensile,
					($subSql11) ImportoTotale,
					
					0.05 * ($subSql1 and (AttivitàDiGoverno=0 or AttivitàDiGoverno is null)) ImportoMensileReperibilità,
					0.05 * ($subSql11 and (AttivitàDiGoverno=0 or AttivitàDiGoverno is null)) ImportoTotaleReperibilità,
					
				  tblMestieri.Ordine AS Ord2, NULL AS AnniSucc,
				  tblPgPropietari.Nome Cliente,
				  tblPgPropietari.Indirizzo IndirizzoCliente,
				  tblPgPropietari.Comune ComuneCliente,
				  tblPgPropietari.Provincia ProvinciaCliente,
				  tblPgPropietari.Cap CapCliente,
					  ElencoEdifici.Ordine, Offerte.NRPF,
					  ($subSql1333) fSconto3xcento
				  
	FROM         ElencoEdifici INNER JOIN
                      OfferteEdificiMestieri ON ElencoEdifici.IdCommessa = OfferteEdificiMestieri.IdCommessaEdificio AND 
                      ElencoEdifici.ID = OfferteEdificiMestieri.IdEdificio INNER JOIN
                      tblMestieri ON OfferteEdificiMestieri.IdCommessaEdificio = tblMestieri.IdCommessa AND 
                      OfferteEdificiMestieri.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario INNER JOIN
                      Offerte ON OfferteEdificiMestieri.IdOfferta = Offerte.IdOfferta AND OfferteEdificiMestieri.IdCommessaOfferta = Offerte.IdCommessa
					  
	WHERE     (OfferteEdificiMestieri.IdCommessaOfferta = $IdCommessa)
				AND (OfferteEdificiMestieri.IdOfferta = $IdOfferta)
				AND ($subSql1) IS NOT NULL
	UNION			
	SELECT     2 GRUPPO, ElencoEdifici.EdificioBreve, ElencoEdifici.Codice, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.[Tipologia abitativa] AS DesUso,
						  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, ElencoEdifici.ID,
					OfferteEdificiMestieri.Reperibilità, 
					tblMestieri.IdMestiere, tblMestieri.Descrizione AS Mestiere,
					NULL AS TipoComp, OfferteEdificiMestieri.Durata, OfferteEdificiMestieri.DataInizio,
					
					($subSql2) ImportoMensile,
					($subSql22) ImportoTotale,
					
					0.05 * ($subSql2 and (AttivitàDiGoverno=0 or AttivitàDiGoverno is null)) ImportoMensileReperibilità,
					0.05 * ($subSql22 and (AttivitàDiGoverno=0 or AttivitàDiGoverno is null)) ImportoTotaleReperibilità,
				  
				  tblMestieri.Ordine AS Ord2, NULL AS AnniSucc,
				  tblPgPropietari.Nome Cliente,
				  tblPgPropietari.Indirizzo IndirizzoCliente,
				  tblPgPropietari.Comune ComuneCliente,
				  tblPgPropietari.Provincia ProvinciaCliente,
				  tblPgPropietari.Cap CapCliente,
					  ElencoEdifici.Ordine, Offerte.NRPF,
					  ($subSql2333) fSconto3xcento
				  
	FROM         ElencoEdifici INNER JOIN
                      OfferteEdificiMestieri ON ElencoEdifici.IdCommessa = OfferteEdificiMestieri.IdCommessaEdificio AND 
                      ElencoEdifici.ID = OfferteEdificiMestieri.IdEdificio INNER JOIN
                      tblMestieri ON OfferteEdificiMestieri.IdCommessaEdificio = tblMestieri.IdCommessa AND 
                      OfferteEdificiMestieri.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario INNER JOIN
                      Offerte ON OfferteEdificiMestieri.IdOfferta = Offerte.IdOfferta AND OfferteEdificiMestieri.IdCommessaOfferta = Offerte.IdCommessa
					  
	WHERE     (OfferteEdificiMestieri.IdCommessaOfferta = $IdCommessa)
				AND (OfferteEdificiMestieri.IdOfferta = $IdOfferta)
				AND ($subSql2) IS NOT NULL
				
	ORDER BY GRUPPO, Ordine, Codice, ID, Ord2, Mestiere
sql;
/*	
$sql2 = str_replace("\n","<br>",$sql);
echo "<br>$sql2<br>";
*/
$query = ntxQuery($sql);

?>	