<?php  
session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

$IdCommessa = ntxise('IdCommessa');
$IdOfferta = ntxip('IdOfferta');

if ( is_numeric($_POST[IdRevisione]) )
{
	$IdRevisioneConsistenza = (int)$_POST[IdRevisione];
}
else
{
	$sql = <<< sql
		SELECT  TOP 1   Id
		FROM         OfferteRevisioneConsistenza
		WHERE     (IdCommessa = $IdCommessa) AND (IdOfferta = $IdOfferta) AND (DaPresentareNelPDI = 1)
		ORDER BY Id DESC
sql;

	$IdRevisioneConsistenza = ntxScalar($sql);
}

if ( is_numeric($IdRevisioneConsistenza) )
{
	$sql = <<< sql
		SELECT  Numero
		FROM         OfferteRevisioneConsistenza
		WHERE     (Id = $IdRevisioneConsistenza)
sql;

	$NumeroRevisioneConsistenza = ntxScalar($sql);
}
else
{
	$IdRevisioneConsistenza = "NULL";
	$NumeroRevisioneConsistenza = "";
}

$andSoprallugoPerPdi = " AND (dbo.isSopralluogoForPDI($IdRevisioneConsistenza, SopralluogoPDI.IdRevConsistenza)=1) ";

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
<style>
<?php //require_once("style.css") ?>
</style>
</head>
<body>

<?php
	
//require_once('query.inc');
require_once('table.inc');

?>


</body>
</html>
