<?php
/*
ltrim(tblFrequenzeMestieri.FrequenzaMensile)+
						  case when tblFrequenzeMestieri.FrequenzaMensile IS NOT NULL then ' mesi' end AS Frequenza
*/

$sql = <<< sql
	SELECT *
	FROM (
		SELECT DISTINCT 
							  tblMestieri.IdMestiere, tblComponetiMestiere.IdComponenteMestiere AS IdComponente, tblMestieri.Descrizione AS DesMest, 
							  tblComponetiMestiere.Descrizione AS DesComp, tblAttivitàMestiere.Descrizione AS DesAttiv, tblMestieri.Ordine, 
							  tblComponetiMestiere.Ordine AS Expr1, tblAttivitàMestiere.Ordine AS Expr2, tblFrequenzeMestieri.Descrizione Frequenza
		FROM         tblMestieri INNER JOIN
							  tblComponetiMestiere ON tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
							  tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
							  tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
							  tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
							  OfferteEdificiMestieri ON tblMestieri.IdMestiere = OfferteEdificiMestieri.IdMestiere AND 
							  tblMestieri.IdCommessa = OfferteEdificiMestieri.IdCommessaOfferta LEFT OUTER JOIN
							  tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
							  tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
		WHERE     (tblMestieri.IdCommessa = $IdCommessa) AND (OfferteEdificiMestieri.IdOfferta = $IdOfferta)
		AND tblMestieri.IdMestiere<>11 
		AND tblMestieri.IdMestiere<>16 
		UNION
		SELECT DISTINCT 
							  tblMestieri.IdMestiere, null AS IdComponente, tblMestieri.Descrizione AS DesMest, 
							  null AS DesComp, null AS DesAttiv, tblMestieri.Ordine, 
							  null AS Expr1, null AS Expr2, null Frequenza
		FROM         tblMestieri INNER JOIN
                      OfferteEdificiMestieri ON tblMestieri.IdMestiere = OfferteEdificiMestieri.IdMestiere AND 
                      tblMestieri.IdCommessa = OfferteEdificiMestieri.IdCommessaOfferta
		  WHERE     (tblMestieri.IdCommessa = $IdCommessa) AND (OfferteEdificiMestieri.IdOfferta = $IdOfferta)
		AND tblMestieri.IdMestiere=11 
		UNION
		SELECT DISTINCT 
							  tblMestieri.IdMestiere, null AS IdComponente, tblMestieri.Descrizione AS DesMest, 
							  null AS DesComp, null AS DesAttiv, tblMestieri.Ordine, 
							  null AS Expr1, null AS Expr2, null Frequenza
		FROM         tblMestieri INNER JOIN
                      OfferteEdificiMestieri ON tblMestieri.IdMestiere = OfferteEdificiMestieri.IdMestiere AND 
                      tblMestieri.IdCommessa = OfferteEdificiMestieri.IdCommessaOfferta
		WHERE     (tblMestieri.IdCommessa = $IdCommessa) AND (OfferteEdificiMestieri.IdOfferta = $IdOfferta) 
		AND tblMestieri.IdMestiere=16 
	) a
	ORDER BY Ordine, DesMest, Expr1, DesComp, Expr2, DesAttiv
sql;

$query = ntxQuery($sql);

?>	