<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<link href="<?php echo $indent ?>_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<link href="info_ambienti.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="<?php echo $indent ?>_ntx/jhp.php"></script>
</head>
<body >

<?php  

if ( !is_numeric($_POST[NumAmbienti]) || $_POST[NumAmbienti]<1 )
	die("Nessun Ambiente Selezionato");
	
$IdCommessa=ntxise('IdCommessa');

$codici = explode(",",$_POST[CodiciAmbienti]);

$codice = $codici[0];
$codice2 = ntxs($codice);

$sql = <<< sql
	SELECT     Ambiente.CodiceAmbiente, Ambiente.IdLivello, Ambiente.CdC, Ambiente.CodiceAssAmbiente AS codAmb, Ambiente.IdEdificio, Ambiente.IdAmbiente, 
                      DestinazioniDuso.Destinazione AS desAmb, PianoLivello.CodiceAssLivello AS codLiv, DestinazioniDusoLivello.Destinazione AS desLiv, 
                      ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, CaratteristicheAmbienti.Descrizione Caratteristiche,
					  Ambiente.mq, Ambiente.mc, Ambiente.h, Ambiente.IdCommessa, Ambiente.Note,
					  Ambiente.IdDestinazioneduso,
					  Ambiente.Caratteristiche IdCar
	FROM         Ambiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      CaratteristicheAmbienti ON Ambiente.Caratteristiche = CaratteristicheAmbienti.Id LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	WHERE Ambiente.CodiceAmbiente=$codice2
	order by Ambiente.CodiceAmbiente
sql;

$query = ntxQuery($sql);

?>

<?php

if( $query  &&  $rs = ntxRecord($query) )
{
	$sql = <<< sql
		SELECT     Id, Descrizione
		FROM         CaratteristicheAmbienti
		WHERE     (IdCommessa = $IdCommessa)
		ORDER BY Descrizione
sql;

	$carStr = "";

	$query = ntxQuery($sql);

	while($rs2=ntxIRecord($query))
	{
		$val = $rs2[0];
		$des = htmlentities($rs2[1]."");
			
		$selected = $rs2[0] == $rs[IdCar] ? "selected" : "";
		$carStr .= "<option value=\"$val\" $selected>$des</option>";
	}

	$sql = <<< sql
		SELECT     DestinazioniDuso.IdDestinazioneuso, DestinazioniDuso.Destinazione
		FROM         [TipiAmb/DestUsuAmb] INNER JOIN
                      DestinazioniDuso ON [TipiAmb/DestUsuAmb].IdCommessa2 = DestinazioniDuso.IdCommessa AND 
                      [TipiAmb/DestUsuAmb].IddesUsoAmb = DestinazioniDuso.IdDestinazioneuso INNER JOIN
                      TipoAmbiente ON [TipiAmb/DestUsuAmb].IdCommessa1 = TipoAmbiente.IdCommessa AND 
                      [TipiAmb/DestUsuAmb].IdTipoAmb = TipoAmbiente.IDTipoAmbiente
		WHERE     (DestinazioniDuso.IdCommessa = $IdCommessa)
		ORDER BY DestinazioniDuso.ordinamento, DestinazioniDuso.Destinazione
sql;

	$desUsoStr = "";

	$query = ntxQuery($sql);

	while($rs2=ntxIRecord($query))
	{
		$val = $rs2[0];
		$des = htmlentities($rs2[1]."");
			
		$selected = $rs2[0] == $rs[IdDestinazioneduso] ? "selected" : "";
		$desUsoStr .= "<option value=\"$val\" $selected>$des</option>";
	}
?>
	<table>
		<caption>Ambiente</caption>   
		<tr><th>Edificio</th><td class=td2 >&nbsp;
			<?php echo htmlentities("$rs[Codice] - $rs[Nome] - $rs[Indirizzo] - $rs[Comune] ($rs[PROVINCIA]) - $rs[CAP]") ?>
		<tr><th>Piano</th><td >&nbsp;<?php echo htmlentities($rs['codLiv']." - ".$rs['desLiv']) ?></td>
		<tr><th>Ambiente</th><td class=td2 ><input type=text size=10 id=codAmb value="<?php echo ntxJs($rs[codAmb]) ?>"><?php echo " (".$rs['IdAmbiente'].")" ?></td>
		<tr><th>Dest.uso</th><td><select id=des_uso><?php echo $desUsoStr ?></select></td>
		<tr><th>Caratteristiche</th><td><select id=caratteristiche><?php echo $carStr ?></select></td>
		<tr><th>CdC&nbsp;1</th><td><input type=text id=cdc value="<?php echo ntxJs($rs[CdC]) ?>"></td>
		<tr><th>mq</th><td class=td2 >&nbsp;<?php echo ntxRound($rs['mq'], 2) ?></td>
		<tr><th>h</th><td>&nbsp;<?php echo ntxRound($rs['h'], 2) ?></td>
		<tr><th>mc</th><td class=td2 >&nbsp;<?php echo ntxRound($rs['mc'], 2) ?></td>
		<tr><th>Note</th><td><textarea id=Note cols=40 rows=5><?php echo htmlentities($rs[Note]) ?></textarea></td>
		<tr><th colspan=2><input type=button value=Modifica onclick="Modifica('<?php echo ntxJs($codice) ?>')"></td>
	</table>
	<br>
<?php
}
	
$sql = <<< sql
	SELECT     tblUtUtilizzatori.Nome, tblUtAmbienti.DataInizio, tblUtAmbienti.DataFine, tblUtAmbienti.PercentualeUtilizzo,
		tblUtUtilizzatori.IdCommessa, tblUtUtilizzatori.IdUtilizzatore, Ambiente.IdEdificio, tblUtAmbienti.IdUtAmbiente
	FROM         Ambiente INNER JOIN
						  tblUtAmbienti ON Ambiente.IdCommessa = tblUtAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtAmbienti.IdEdificio AND 
						  Ambiente.IDAmbiente = tblUtAmbienti.IdAmbiente INNER JOIN
						  tblUtUtilizzatori ON tblUtAmbienti.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtAmbienti.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	WHERE Ambiente.CodiceAmbiente=$codice2
	ORDER BY tblUtAmbienti.DataInizio, tblUtUtilizzatori.Nome
sql;

$query = ntxQuery($sql);

?>
	<table>
		<caption>Utilizzatore</caption> 
		<tr><th>&nbsp;</th><th>Nome</th><th>Data Inizio</th><th>Data Fine</th><th>% Utilizzo</th>
<?php
while( $query  &&  $rs = ntxRecord($query) )
{
?>
		<tr>
			<td><input type=button value="elimina" onclick="EliminaUtilizzatore('<?php echo $rs[IdUtAmbiente] ?>')">
			<td>&nbsp;<?php echo htmlentities($rs[Nome]) ?>
			<td>&nbsp;<?php echo ntxDateTime($rs[DataInizio]) ?>
			<td>&nbsp;<?php echo ntxDateTime($rs[DataFine]) ?>
			<td>&nbsp;<?php echo ntxRound($rs[PercentualeUtilizzo], 2) ?>
<?php
}
?>
	</table>
	<br>
<?php
	
$sql = <<< sql
SELECT     tblUtUtilizzatori.Nome Utilizzatore, tblUtPersonale.Nome AS Personale, tblUtPersAmbienti.DataInizio, tblUtPersAmbienti.DataFine
			, tblUtPersAmbienti.IdUtPersAmbiente
FROM         Ambiente INNER JOIN
                      tblUtPersAmbienti ON Ambiente.IdCommessa = tblUtPersAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtPersAmbienti.IdEdificio AND 
                      Ambiente.IDAmbiente = tblUtPersAmbienti.IdAmbiente INNER JOIN
                      tblUtPersonale ON tblUtPersAmbienti.IdCommessa = tblUtPersonale.IdCommessa AND 
                      tblUtPersAmbienti.IdPersona = tblUtPersonale.IdPersona INNER JOIN
                      tblUtUtilizzatori ON tblUtPersonale.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtPersonale.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore	WHERE Ambiente.CodiceAmbiente=$codice2
	ORDER BY tblUtPersAmbienti.DataInizio, tblUtPersonale.Nome
sql;

$query = ntxQuery($sql);

?>
	<table>
		<caption>Personale</caption> 
		<tr><th>&nbsp;</th><th>Nome</th><th>Utilizzatore</th><th>Data Inizio</th><th>Data Fine</th>
<?php
while( $query  &&  $rs = ntxRecord($query) )
{
?>
		<tr>
			<td><input type=button value="elimina" onclick="EliminaPersonale('<?php echo $rs[IdUtPersAmbiente] ?>')">
			<td>&nbsp;<?php echo htmlentities($rs[Personale]) ?>
			<td>&nbsp;<?php echo htmlentities($rs[Utilizzatore]) ?>
			<td>&nbsp;<?php echo ntxDateTime($rs[DataInizio]) ?>
			<td>&nbsp;<?php echo ntxDateTime($rs[DataFine]) ?>
<?php
}
?>
	</table>
	<br>
<?php
	
$sql = <<< sql
SELECT     CdC.CdC, CdC.Descrizione, CdCAmbienti.DataInizio, CdCAmbienti.DataFine, CdCAmbienti.IdCdC
FROM         CdCAmbienti INNER JOIN
                      Ambiente ON CdCAmbienti.IdCommessa = Ambiente.IdCommessa AND CdCAmbienti.IdEdificio = Ambiente.IdEdificio AND 
                      CdCAmbienti.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      CdC ON CdCAmbienti.IdCdC = CdC.IdCdC
WHERE     (Ambiente.CodiceAmbiente = $codice2)
ORDER BY CdCAmbienti.DataInizio, CdC.CdC
sql;

$query = ntxQuery($sql);

?>
	<table>
		<caption>CdC&nbsp;2</caption> 
		<tr><th>&nbsp;</th><th>CdC&nbsp;2</th><th>Descrizione</th><th>Data Inizio</th><th>Data Fine</th>
<?php
while( $query  &&  $rs = ntxRecord($query) )
{
?>
		<tr>
			<td><input type=button value="elimina" onclick="EliminaCdc2('<?php echo $rs[IdCdC] ?>')">
			<td>&nbsp;<?php echo htmlentities($rs[CdC]) ?>
			<td>&nbsp;<?php echo htmlentities($rs[Descrizione]) ?>
			<td>&nbsp;<?php echo ntxDateTime($rs[DataInizio]) ?>
			<td>&nbsp;<?php echo ntxDateTime($rs[DataFine]) ?>
<?php
}
?>
	</table>
	<br>
<?php
	
$sql = <<< sql
	SELECT     Commesse.path + '\' + ArchivioFoto.path
	FROM         Commesse INNER JOIN
						  ArchivioFoto ON Commesse.IDCommessa = ArchivioFoto.IdCommessa
	WHERE ArchivioFoto.CodiceOggetto=$codice2
sql;

$query = ntxQuery($sql);

$count = 1;

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";
$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

while( $query  &&  $rs = ntxIRecord($query) )
{
	$pathOrigine = $rs[0];
	
	$path_info = pathinfo($filename);
    $extension = $path_info['extension'];
	
	$pathDestinazione = tempnam($dir, "TN").".$extension";
	$urlDestinazione = $url.substr($pathDestinazione, strlen($dir));
	
	copy($pathOrigine, $pathDestinazione);
	
	echo "<a href=\"$urlDestinazione\" target=_blank style=\"border:none;margin:5px\"><img width=40 height=40 src=\"$urlDestinazione\"/></a>";
	
	$count++;
}
?>


<script>

function Modifica(CodiceAmbiente)
{
	if (!confirm("Sicuror di voler modificare dati?")) return;

	var dati = {CodiceAmbiente: CodiceAmbiente, 
				des_uso: jei('des_uso').value, 
				caratteristiche: jei('caratteristiche').value, 
				cdc: jei('cdc').value,
				codAmb: jei('codAmb').value,
				Note: jei('Note').value};
	
	var result = jhp("jhp/modifica_ambiente.php", dati);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		parent.form2.submit();
	}
}

function EliminaPersonale(IdUtPersAmbiente)
{
	if (!confirm("Sicuror di voler eliminare la riga?")) return;
	
	var result = jhp("jhp/elimina_personale.php", {IdUtPersAmbiente: IdUtPersAmbiente});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		parent.form2.submit();
	}
}

function EliminaCdc2(IdCdC)
{
	if (!confirm("Sicuror di voler eliminare la riga?")) return;
	
	var result = jhp("jhp/elimina_cdc2.php", {IdCdC: IdCdC});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		parent.form2.submit();
	}
}

function EliminaUtilizzatore(IdUtAmbiente)
{
	if (!confirm("Sicuror di voler eliminare la riga?")) return;
	
	var result = jhp("jhp/elimina_utilizzatore.php", {IdUtAmbiente: IdUtAmbiente});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		parent.form2.submit();
	}
}

</script>
</body>
</html>
