var tblUtilizzatori = null;
var tblPersonale = null;
var tblCdC1 = null;
var tblCdC2 = null;
var tblDesUso = null;
var tblTipiDesUso = null;
var tblCar = null;
var tblEdifici = null;

$(function(){
	tblEdifici = new NtxGrid("tblEdifici");

	tblEdifici.setColSizes(	[0, 				20, 	50,			300, 		300]);
	tblEdifici.setTitles(	['', 				'', 	'Codice', 	'Nome', 	'Indirizzo']);
	tblEdifici.setColNames(	['IdEdificio', 		'Sel', 	'Codice', 	'Nome', 	'Indirizzo']);

	tblUtilizzatori = new NtxGrid("tblUtilizzatori");

	tblUtilizzatori.setColSizes(	[0, 				20, 	100, 		200]);
	tblUtilizzatori.setTitles(		['', 				'', 	'Codice', 	'Nome']);
	tblUtilizzatori.setColNames(	['IdUtilizzatore', 	'Sel', 	'Codice', 	'Nome']);

	tblPersonale = new NtxGrid("tblPersonale");

	tblPersonale.setColSizes(	[0, 			20, 	200, 		200]);
	tblPersonale.setTitles(		['', 			'', 	'Nome', 	'Utilizzatore']);
	tblPersonale.setColNames(	['IdPersona', 	'Sel', 	'Nome', 	'Utilizzatore']);

	tblCdC1 = new NtxGrid("tblCdC1");

	tblCdC1.setColSizes(	[0, 		20, 	100, 	200]);
	tblCdC1.setTitles(		['', 		'', 	'CdC', 	'Descrizione']);
	tblCdC1.setColNames(	['IdCdC', 	'Sel', 	'CdC', 	'Descrizione']);

	tblCdC2 = new NtxGrid("tblCdC2");

	tblCdC2.setColSizes(	[0, 		20, 	100, 	200]);
	tblCdC2.setTitles(		['', 		'', 	'CdC', 	'Descrizione']);
	tblCdC2.setColNames(	['IdCdC', 	'Sel', 	'CdC', 	'Descrizione']);

	tblDesUso = new NtxGrid("tblDesUso");

	tblDesUso.setColSizes(	[0, 		20, 	200]);
	tblDesUso.setTitles(	['', 		'', 	'Descrizione']);
	tblDesUso.setColNames(	['Id', 		'Sel', 	'Descrizione']);

	tblTipiDesUso = new NtxGrid("tblTipiDesUso");

	tblTipiDesUso.setColSizes(	[20, 	200]);
	tblTipiDesUso.setTitles(	['', 	'Tipo']);
	tblTipiDesUso.setColNames(	['Sel', 	'Tipo']);
	
	tblCar = new NtxGrid("tblCar");

	tblCar.setColSizes(	[0, 		20, 	200]);
	tblCar.setTitles(	['', 		'', 	'Descrizione']);
	tblCar.setColNames(	['Id', 		'Sel', 	'Descrizione']);

	CaricaGrid(tblDesUso, "jhp/carica_des_uso.php");
	CaricaGrid2(tblTipiDesUso, "jhp/carica_tipi_des_uso.php");
	CaricaGrid(tblCar, "jhp/carica_caratteristiche.php");
	
	var calendar = new Date();
	var day = calendar.getDate();
	var month = calendar.getMonth()+1;
	var year = calendar.getFullYear();
	var data = day+"/"+month+"/"+year;
	
	jei("Data1").value=(data);
	jei("Data2").value=(data);
	
	$("#Data1").datepicker();
	$("#Data2").datepicker();
});

function CaricaGrid(tbl, path)
{
	var result = jhp(path, {});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var rs = result.value;
		var len = rs.length;
		var i;
		
		for(i=0;i<len;i++)
		{
			var rec = rs[i];

			tbl.appendRow();
			
			var iRow = tbl.getRowCount()-1;

			tbl.setCellByName(iRow, 'Id', CreaHidden());
			tbl.getCellByName(iRow, 'Id').value = rec[0];
			tbl.setCellByName(iRow, 'Sel', CreaCheckbox());
			tbl.setCellByName(iRow, 'Descrizione', rec[1]);
		}	
	}	
}

function CaricaGrid2(tbl, path)
{
	var result = jhp(path, {});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var rs = result.value;
		var len = rs.length;
		var i;
		
		for(i=0;i<len;i++)
		{
			var rec = rs[i];

			tbl.appendRow();
			
			var iRow = tbl.getRowCount()-1;

			tbl.setCellByName(iRow, 'Sel', CreaCheckbox());
			tbl.setCellByName(iRow, 'Tipo', rec[0]);
		}	
	}	
}

function selectAll(tbl, value)
{
	var iRow, iCount = tbl.getRowCount();

	for ( iRow = 0; iRow < iCount; iRow++ )
		tbl.getCellByName(iRow, 'Sel').checked = value;
}

function deleteChecked(tbl)
{
	var iRow, iCount = tbl.getRowCount();

	for ( iRow = iCount-1; iRow >= 0; iRow-- )
		if ( tbl.getCellByName(iRow, 'Sel').checked )
			tbl.deleteRow(iRow);
}

function appendPersona(IdPersona)
{
	var result = jhp("jhp/carica_personale2.php", {IdPersona:IdPersona});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var rec = result.value;

		tblPersonale.appendRow();
		
		var iRow = tblPersonale.getRowCount()-1;

		tblPersonale.setCellByName(iRow, 'IdPersona', CreaHidden());
		tblPersonale.getCellByName(iRow, 'IdPersona').value = IdPersona;
		tblPersonale.setCellByName(iRow, 'Sel', CreaCheckbox());
		tblPersonale.setCellByName(iRow, 'Nome', rec['Nome']);
		tblPersonale.setCellByName(iRow, 'Utilizzatore', rec['Utilizzatore']);
	}	
}

function appendCdC1(IdCdC)
{
	var result = jhp("jhp/carica_cdc1.php", {IdCdC:IdCdC});

	if(result.state==1)
	{
		alert(result.message);
	}
	else
	{
		var rec = result.value;

		tblCdC1.appendRow();
		
		var iRow = tblCdC1.getRowCount()-1;

		tblCdC1.setCellByName(iRow, 'IdCdC', CreaHidden());
		tblCdC1.getCellByName(iRow, 'IdCdC').value = IdCdC;
		tblCdC1.setCellByName(iRow, 'Sel', CreaCheckbox());
		tblCdC1.setCellByName(iRow, 'CdC', rec['CdC']);
		tblCdC1.setCellByName(iRow, 'Descrizione', rec['Descrizione']);
	}	
}

function appendCdC2(IdCdC)
{
	var result = jhp("jhp/carica_cdc2.php", {IdCdC:IdCdC});

	if(result.state==1)
	{
		alert(result.message);
	}
	else
	{
		var rec = result.value;

		tblCdC2.appendRow();
		
		var iRow = tblCdC2.getRowCount()-1;

		tblCdC2.setCellByName(iRow, 'IdCdC', CreaHidden());
		tblCdC2.getCellByName(iRow, 'IdCdC').value = IdCdC;
		tblCdC2.setCellByName(iRow, 'Sel', CreaCheckbox());
		tblCdC2.setCellByName(iRow, 'CdC', rec['CdC']);
		tblCdC2.setCellByName(iRow, 'Descrizione', rec['Descrizione']);
	}	
}

function appendEdificio(IdEdificio)
{
	var result = jhp("jhp/carica_edificio2.php", {IdEdificio:IdEdificio});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var rec = result.value;

		tblEdifici.appendRow();
		
		var iRow = tblEdifici.getRowCount()-1;

		tblEdifici.setCellByName(iRow, 'IdEdificio', CreaHidden());
		tblEdifici.getCellByName(iRow, 'IdEdificio').value = IdEdificio;
		tblEdifici.setCellByName(iRow, 'Sel', CreaCheckbox());
		tblEdifici.setCellByName(iRow, 'Codice', rec['Codice']);
		tblEdifici.setCellByName(iRow, 'Nome', rec['Nome']);
		tblEdifici.setCellByName(iRow, 'Indirizzo', rec['Indirizzo']);
	}	
}

function appendUtilizzatore(IdUtilizzatore)
{
	var result = jhp("jhp/carica_utilizzatore2.php", {IdUtilizzatore:IdUtilizzatore});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var rec = result.value;

		tblUtilizzatori.appendRow();
		
		var iRow = tblUtilizzatori.getRowCount()-1;

		tblUtilizzatori.setCellByName(iRow, 'IdUtilizzatore', CreaHidden());
		tblUtilizzatori.getCellByName(iRow, 'IdUtilizzatore').value = IdUtilizzatore;
		tblUtilizzatori.setCellByName(iRow, 'Sel', CreaCheckbox());
		tblUtilizzatori.setCellByName(iRow, 'Codice', rec['Codice']);
		tblUtilizzatori.setCellByName(iRow, 'Nome', rec['Nome']);
	}	
}

function CreaCheckbox()
{
	var component = document.createElement('input');
	component.type = 'checkbox';
	
	return component;
}

function CreaTextbox()
{
	var component = document.createElement('input');
	
	component.type = 'text';
	
	return component;
}

function CreaHidden()
{
	var component = document.createElement('input');
	
	component.type = 'hidden';
	
	return component;
}

function RecuperaDati()
{
	var len = tblEdifici.getRowCount();
	var i;
	
	var edifici = "";
	
	for (i=0; i<len; ++i)
	{
		if ( tblEdifici.getCellByName(i, "Sel").checked )
		{
			if ( edifici != "" ) edifici += "|";
			
			edifici += tblEdifici.getCellByName(i, "IdEdificio").value;
		}
	}

	var len = tblPersonale.getRowCount();
	var i;
	
	var personale = "";
	
	for (i=0; i<len; ++i)
	{
		if ( tblPersonale.getCellByName(i, "Sel").checked )
		{
			if ( personale != "" ) personale += "|";
			
			personale += tblPersonale.getCellByName(i, "IdPersona").value;
		}
	}

	var utilizzatori = "";
	len = tblUtilizzatori.getRowCount();
	
	for (i=0; i<len; ++i)
	{
		if ( tblUtilizzatori.getCellByName(i, "Sel").checked )
		{
			if ( utilizzatori != "" ) utilizzatori += "|";
			
			utilizzatori += tblUtilizzatori.getCellByName(i, "IdUtilizzatore").value;
		}
	}
	
	var cdc1 = "";
	len = tblCdC1.getRowCount();
	
	for (i=0; i<len; ++i)
	{
		if ( tblCdC1.getCellByName(i, "Sel").checked )
		{
			if ( cdc1 != "" ) cdc1 += "|";
			
			cdc1 += tblCdC1.getCellByName(i, "IdCdC").value;
		}
	}
	
	var cdc2 = "";
	len = tblCdC2.getRowCount();
	
	for (i=0; i<len; ++i)
	{
		if ( tblCdC2.getCellByName(i, "Sel").checked )
		{
			if ( cdc2 != "" ) cdc2 += "|";
			
			cdc2 += tblCdC2.getCellByName(i, "IdCdC").value;
		}
	}
	
	var des_uso = "";
	len = tblDesUso.getRowCount();
	
	for (i=0; i<len; ++i)
	{
		if ( tblDesUso.getCellByName(i, "Sel").checked )
		{
			if ( des_uso != "" ) des_uso += "|";
			
			des_uso += tblDesUso.getCellByName(i, "Id").value;
		}
	}
	
	var tipi_des_uso = "";
	len = tblTipiDesUso.getRowCount();
	
	for (i=0; i<len; ++i)
	{
		if ( tblTipiDesUso.getCellByName(i, "Sel").checked )
		{
			if ( tipi_des_uso != "" ) tipi_des_uso += "|";
			
			tipi_des_uso += tblTipiDesUso.getCellByName(i, "Tipo").value;
		}
	}
	
	var caratteristiche = "";
	len = tblCar.getRowCount();
	
	for (i=0; i<len; ++i)
	{
		if ( tblCar.getCellByName(i, "Sel").checked )
		{
			if ( caratteristiche != "" ) caratteristiche += "|";
			
			caratteristiche += tblCar.getCellByName(i, "Id").value;
		}
	}
		
	return {	ok: 2, 
				Data1: jei('Data1').value, 
				Data2: jei('Data2').value, 
				cdc1: cdc1, 
				cdc2: cdc2, 
				des_uso: des_uso, 
				tipi_des_uso: tipi_des_uso, 
				caratteristiche: caratteristiche, 
				utilizzatori: utilizzatori, 
				personale: personale,
				edifici: edifici };
}

function AnalisiSup(tipo)
{
	frmAnalisiPrezzi.tipo.value = tipo;

	var res = RecuperaDati();
	
	frmAnalisiPrezzi.ok.value = res.ok;
	frmAnalisiPrezzi.Data1.value = res.Data1;
	frmAnalisiPrezzi.Data2.value = res.Data2;
	frmAnalisiPrezzi.cdc1.value = res.cdc1;
	frmAnalisiPrezzi.cdc2.value = res.cdc2;
	frmAnalisiPrezzi.des_uso.value = res.des_uso;
	frmAnalisiPrezzi.tipi_des_uso.value = res.tipi_des_uso;
	frmAnalisiPrezzi.caratteristiche.value = res.caratteristiche;
	frmAnalisiPrezzi.utilizzatori.value = res.utilizzatori;
	frmAnalisiPrezzi.personale.value = res.personale;
	frmAnalisiPrezzi.edifici.value = res.edifici;
	
	parent.drcUpdateFrame(frmAnalisiPrezzi, "report_analisi");
	parent.drcShowKeyTab("report_analisi");
}
