<?php

$mq_util = array();
$mq_car = array();

$sql = <<< sql
	SELECT  DISTINCT   tblUtUtilizzatori.IdUtilizzatore, tblUtUtilizzatori.Nome
	FROM         Ambiente INNER JOIN
						  tblUtAmbienti ON Ambiente.IdCommessa = tblUtAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtAmbienti.IdEdificio AND 
						  Ambiente.IDAmbiente = tblUtAmbienti.IdAmbiente INNER JOIN
						  tblUtUtilizzatori ON tblUtAmbienti.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtAmbienti.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
	AND (Ambiente.IdEdificio = $IdEdificio) 
	AND (tblUtAmbienti.DataInizio <= $Data1) 
	AND (tblUtAmbienti.DataFine >= $Data1) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
	ORDER BY tblUtUtilizzatori.Nome
sql;

$query = ntxQuery($sql);

$ElencoUtiliz = array();

while($rs=ntxRecord($query))
{
	$ElencoUtiliz[] = array($rs[IdUtilizzatore], htmlentities($rs[Nome]));
}

///////////////////////////////////////////////////////////////////

$sql = <<< sql
	SELECT     tblUtUtilizzatori.IdUtilizzatore, SUM(Ambiente.MQ) Area
	FROM         Ambiente INNER JOIN
						  tblUtAmbienti ON Ambiente.IdCommessa = tblUtAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtAmbienti.IdEdificio AND 
						  Ambiente.IDAmbiente = tblUtAmbienti.IdAmbiente INNER JOIN
						  tblUtUtilizzatori ON tblUtAmbienti.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtAmbienti.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
	AND (Ambiente.IdEdificio = $IdEdificio) 
	AND (tblUtAmbienti.DataInizio <= $Data1) 
	AND (tblUtAmbienti.DataFine >= $Data1) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
	AND (SELECT COUNT(*)
			FROM CaratteristicheAmbientiMN 
				WHERE Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa 
					AND Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio 
					AND Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente
					AND (CaratteristicheAmbientiMN.DataInizio <= $Data1) 
					AND (CaratteristicheAmbientiMN.DataFine >= $Data1)
		)=0
	GROUP BY tblUtUtilizzatori.IdUtilizzatore					  
sql;

$query = ntxQuery($sql);

$ElencoUtilizSenzaCar = array();
$MqElencoUtilizSenzaCar = 0;

while($rs=ntxRecord($query))
{
	$ElencoUtilizSenzaCar[$rs[IdUtilizzatore]] = ntxRoundThousand($rs[Area], 2);
	$MqElencoUtilizSenzaCar += $rs[Area];
	$mq_util[$rs[IdUtilizzatore]] += $rs[Area];
}

///////////////////////////////////////////////////////////////////

$sql = <<< sql
	SELECT     CaratteristicheAmbienti.Id, SUM(Ambiente.MQ) Area
	FROM         Ambiente INNER JOIN
                      CaratteristicheAmbientiMN ON Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND 
                      Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio AND Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente INNER JOIN
                      CaratteristicheAmbienti ON CaratteristicheAmbientiMN.IdCaratteristicaAmbiente = CaratteristicheAmbienti.Id
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
	AND (Ambiente.IdEdificio = $IdEdificio) 
	AND (CaratteristicheAmbientiMN.DataInizio <= $Data1) 
	AND (CaratteristicheAmbientiMN.DataFine >= $Data1) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
	AND (SELECT COUNT(*)
			FROM tblUtAmbienti 
				WHERE Ambiente.IdCommessa = tblUtAmbienti.IdCommessa 
					AND Ambiente.IdEdificio = tblUtAmbienti.IdEdificio 
					AND Ambiente.IDAmbiente = tblUtAmbienti.IdAmbiente
					AND (tblUtAmbienti.DataInizio <= $Data1) 
					AND (tblUtAmbienti.DataFine >= $Data1)
		)=0
	GROUP BY CaratteristicheAmbienti.Id					  
sql;

$query = ntxQuery($sql);

$ElencoCarSenzaUtiliz = array();
$MqElencoCarSenzaUtiliz = 0;

while($rs=ntxRecord($query))
{
	$ElencoCarSenzaUtiliz[$rs[Id]] = ntxRoundThousand($rs[Area], 2);
	$MqElencoCarSenzaUtiliz += $rs[Area];
	$mq_car[$rs[Id]] += $rs[Area];
}


///////////////////////////////////////////////////////////////////

$sql = <<< sql
	SELECT     SUM(Ambiente.MQ) Area
	FROM         Ambiente 
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
	AND (Ambiente.IdEdificio = $IdEdificio) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
	AND (SELECT COUNT(*)
			FROM CaratteristicheAmbientiMN 
				WHERE Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa 
					AND Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio 
					AND Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente
					AND (CaratteristicheAmbientiMN.DataInizio <= $Data1) 
					AND (CaratteristicheAmbientiMN.DataFine >= $Data1)
		)=0
	AND (SELECT COUNT(*)
			FROM tblUtAmbienti 
				WHERE Ambiente.IdCommessa = tblUtAmbienti.IdCommessa 
					AND Ambiente.IdEdificio = tblUtAmbienti.IdEdificio 
					AND Ambiente.IDAmbiente = tblUtAmbienti.IdAmbiente
					AND (tblUtAmbienti.DataInizio <= $Data1) 
					AND (tblUtAmbienti.DataFine >= $Data1)
		)=0
sql;

$query = ntxQuery($sql);

$MqSenzaCarSenzaUtiliz = "";

if($rs=ntxRecord($query))
{
	$MqElencoCarSenzaUtiliz += $rs[Area];
	$MqElencoUtilizSenzaCar += $rs[Area];

	$MqSenzaCarSenzaUtiliz = ntxRoundThousand($rs[Area], 2);
}

$MqTot = $MqElencoUtilizSenzaCar;

$MqElencoCarSenzaUtilizStampa = ntxRoundThousand($MqElencoCarSenzaUtiliz, 2);

$MqElencoUtilizSenzaCarStampa = ntxRoundThousand($MqElencoUtilizSenzaCar, 2);

///////////////////////////////////////////////////////////////////

$sql = <<< sql
	SELECT  DISTINCT   CaratteristicheAmbienti.Id, CaratteristicheAmbienti.Descrizione
	FROM         Ambiente INNER JOIN
                      CaratteristicheAmbientiMN ON Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND 
                      Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio AND Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente INNER JOIN
                      CaratteristicheAmbienti ON CaratteristicheAmbientiMN.IdCaratteristicaAmbiente = CaratteristicheAmbienti.Id
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
	AND (Ambiente.IdEdificio = $IdEdificio) 
	AND (CaratteristicheAmbientiMN.DataInizio <= $Data1) 
	AND (CaratteristicheAmbientiMN.DataFine >= $Data1) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
	ORDER BY CaratteristicheAmbienti.Descrizione
sql;

$query = ntxQuery($sql);

$ElencoCar = array();

while($rs=ntxRecord($query))
{
	$ElencoCar[] = array($rs[Id], htmlentities($rs[Descrizione]));
}

///////////////////////////////////////////////////////////////////

$sql = <<< sql
	select tblUtAmbienti.IdUtilizzatore, CaratteristicheAmbientiMN.IdCaratteristicaAmbiente, SUM(Ambiente.MQ) Area
	FROM         Ambiente INNER JOIN
						  tblUtAmbienti ON Ambiente.IdCommessa = tblUtAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtAmbienti.IdEdificio AND 
						  Ambiente.IDAmbiente = tblUtAmbienti.IdAmbiente INNER JOIN
						  CaratteristicheAmbientiMN ON Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND 
						  Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio AND Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
	AND (Ambiente.IdEdificio = $IdEdificio) 
	AND (tblUtAmbienti.DataInizio <= $Data1) 
	AND (tblUtAmbienti.DataFine >= $Data1) 
	AND (CaratteristicheAmbientiMN.DataInizio <= $Data1) 
	AND (CaratteristicheAmbientiMN.DataFine >= $Data1) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
	GROUP BY tblUtAmbienti.IdUtilizzatore, CaratteristicheAmbientiMN.IdCaratteristicaAmbiente					  
sql;

$query = ntxQuery($sql);

$mq_util_car = array();

while($rs=ntxRecord($query))
{
	$mq_util_car[$rs[IdUtilizzatore]][$rs[IdCaratteristicaAmbiente]] = ntxRoundThousand($rs[Area], 2);
	$mq_util[$rs[IdUtilizzatore]] += $rs[Area];
	$mq_car[$rs[IdCaratteristicaAmbiente]] += $rs[Area];
}

foreach($mq_util as $k=>$v)
	$mq_util[$k] = ntxRoundThousand($v, 2);
	
foreach($mq_car as $k=>$v)
{
	$MqTot += $v;
	$mq_car[$k] = ntxRoundThousand($v, 2);
}

$MqTotStampa = ntxRoundThousand($MqTot, 2);

///////////////////////////////////////////////////////////////////



?>

