var tblUtilizzatori = null;
var tblPersonale = null;
var tblCdC2 = null;
var tblCaratteristiche = null;

$(function(){
	tblUtilizzatori = new NtxGrid("tblUtilizzatori");

	tblUtilizzatori.setColSizes(	[0, 				20, 	100, 		200, 	150, 			150, 			30]);
	tblUtilizzatori.setTitles(		['', 				'', 	'Codice', 	'Nome',	'Data Inizio',	'Data Fine',	'%']);
	tblUtilizzatori.setColNames(	['IdUtilizzatore', 	'Sel', 	'Codice', 	'Nome',	'DataInizio',	'DataFine',		'%']);

	tblPersonale = new NtxGrid("tblPersonale");

	tblPersonale.setColSizes(	[0, 			20, 	200, 		200, 			150, 			150, 			50, 				150]);
	tblPersonale.setTitles(		['', 			'', 	'Nome', 	'Utilizzatore',	'Data Inizio',	'Data Fine', 	'Propr.', 			'Note']);
	tblPersonale.setColNames(	['IdPersona', 	'Sel', 	'Nome', 	'Utilizzatore',	'DataInizio',	'DataFine', 	'Proprietario', 	'Note']);

	tblCdC2 = new NtxGrid("tblCdC2");

	tblCdC2.setColSizes(	[0, 		20, 	100, 	200, 			150, 			150]);
	tblCdC2.setTitles(		['', 		'', 	'CdC', 	'Descrizione',	'Data Inizio',	'Data Fine']);
	tblCdC2.setColNames(	['IdCdC', 	'Sel', 	'CdC', 	'Descrizione',	'DataInizio',	'DataFine']);

	tblCaratteristiche = new NtxGrid("tblCaratteristiche");

	tblCaratteristiche.setColSizes(	[0, 	20, 	200, 			150, 			150]);
	tblCaratteristiche.setTitles(	['', 	'', 	'Descrizione',	'Data Inizio',	'Data Fine']);
	tblCaratteristiche.setColNames(	['Id', 	'Sel', 	'Descrizione',	'DataInizio',	'DataFine']);

	jhp_select(jei('des_uso'), "jhp/carica_des_uso.php", true, {});
	jhp_select(jei('Caratteristiche'), "jhp/carica_caratteristiche.php", true, {});
});

function selectAll(tbl, value)
{
	var iRow, iCount = tbl.getRowCount();

	for ( iRow = 0; iRow < iCount; iRow++ )
		tbl.getCellByName(iRow, 'Sel').checked = value;
}

function deleteChecked(tbl)
{
	var iRow, iCount = tbl.getRowCount();

	for ( iRow = iCount-1; iRow >= 0; iRow-- )
		if ( tbl.getCellByName(iRow, 'Sel').checked )
			tbl.deleteRow(iRow);
}

function appendPersona(IdPersona)
{
	var result = jhp("jhp/carica_personale2.php", {IdPersona:IdPersona});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var rec = result.value;

		tblPersonale.appendRow();
		
		var iRow = tblPersonale.getRowCount()-1;

		tblPersonale.setCellByName(iRow, 'IdPersona', CreaHidden());
		tblPersonale.getCellByName(iRow, 'IdPersona').value = IdPersona;
		tblPersonale.setCellByName(iRow, 'Sel', CreaCheckbox());
		tblPersonale.setCellByName(iRow, 'Nome', rec['Nome']);
		tblPersonale.setCellByName(iRow, 'Utilizzatore', rec['Utilizzatore']);
		tblPersonale.setCellByName(iRow, 'DataInizio', CreaTextbox());
		tblPersonale.setCellByName(iRow, 'DataFine', CreaTextbox());
		tblPersonale.setCellByName(iRow, 'Proprietario', CreaCheckbox());
		tblPersonale.setCellByName(iRow, 'Note', CreaTextbox());
	
		$(tblPersonale.getCellByName(iRow, 'DataInizio')).datepicker();
		$(tblPersonale.getCellByName(iRow, 'DataFine')).datepicker();
	}	
}

function appendCdC2(IdCdC)
{
	var result = jhp("jhp/carica_cdc2.php", {IdCdC:IdCdC});

	if(result.state==1)
	{
		alert(result.message);
	}
	else
	{
		var rec = result.value;

		tblCdC2.appendRow();
		
		var iRow = tblCdC2.getRowCount()-1;

		tblCdC2.setCellByName(iRow, 'IdCdC', CreaHidden());
		tblCdC2.getCellByName(iRow, 'IdCdC').value = IdCdC;
		tblCdC2.setCellByName(iRow, 'Sel', CreaCheckbox());
		tblCdC2.setCellByName(iRow, 'CdC', rec['CdC']);
		tblCdC2.setCellByName(iRow, 'Descrizione', rec['Descrizione']);
		tblCdC2.setCellByName(iRow, 'DataInizio', CreaTextbox());
		tblCdC2.setCellByName(iRow, 'DataFine', CreaTextbox());
		
		$(tblCdC2.getCellByName(iRow, 'DataInizio')).datepicker();
		$(tblCdC2.getCellByName(iRow, 'DataFine')).datepicker();
	}	
}

function appendCaratteristiche2()
{
	var Id = jei("Caratteristiche").value;

	if ( Id+""=="" )
	{
		alert("Prima Seleziona Caratteristica!");
		return;
	}
	
	appendCar2(Id);	
}

function appendCar2(Id)
{
	var result = jhp("jhp/carica_caratteristiche2.php", {Id:Id});

	if(result.state==1)
	{
		alert(result.message);
	}
	else
	{
		var rec = result.value;

		tblCaratteristiche.appendRow();
		
		var iRow = tblCaratteristiche.getRowCount()-1;

		tblCaratteristiche.setCellByName(iRow, 'Id', CreaHidden());
		tblCaratteristiche.getCellByName(iRow, 'Id').value = Id;
		tblCaratteristiche.setCellByName(iRow, 'Sel', CreaCheckbox());
		tblCaratteristiche.setCellByName(iRow, 'Descrizione', rec['Descrizione']);
		tblCaratteristiche.setCellByName(iRow, 'DataInizio', CreaTextbox());
		tblCaratteristiche.setCellByName(iRow, 'DataFine', CreaTextbox());
		
		$(tblCaratteristiche.getCellByName(iRow, 'DataInizio')).datepicker();
		$(tblCaratteristiche.getCellByName(iRow, 'DataFine')).datepicker();
	}	
}

function appendUtilizzatore(IdUtilizzatore)
{
	var result = jhp("jhp/carica_utilizzatore2.php", {IdUtilizzatore:IdUtilizzatore});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var rec = result.value;

		tblUtilizzatori.appendRow();
		
		var iRow = tblUtilizzatori.getRowCount()-1;

		tblUtilizzatori.setCellByName(iRow, 'IdUtilizzatore', CreaHidden());
		tblUtilizzatori.getCellByName(iRow, 'IdUtilizzatore').value = IdUtilizzatore;
		tblUtilizzatori.setCellByName(iRow, 'Sel', CreaCheckbox());
		tblUtilizzatori.setCellByName(iRow, 'Codice', rec['Codice']);
		tblUtilizzatori.setCellByName(iRow, 'Nome', rec['Nome']);
		tblUtilizzatori.setCellByName(iRow, 'DataInizio', CreaTextbox());
		tblUtilizzatori.setCellByName(iRow, 'DataFine', CreaTextbox());
		tblUtilizzatori.setCellByName(iRow, '%', CreaTextbox());
		
		$(tblUtilizzatori.getCellByName(iRow, 'DataInizio')).datepicker();
		$(tblUtilizzatori.getCellByName(iRow, 'DataFine')).datepicker();
	}	
}

function CreaCheckbox()
{
	var component = document.createElement('input');
	component.type = 'checkbox';
	
	return component;
}

function CreaTextbox()
{
	var component = document.createElement('input');
	
	component.type = 'text';
	
	return component;
}

function CreaHidden()
{
	var component = document.createElement('input');
	
	component.type = 'hidden';
	
	return component;
}

function RecuperaDati()
{
	var len = tblPersonale.getRowCount();
	var i;
	
	var personale = "";
	
	for (i=0; i<len; ++i)
	{
		if ( tblPersonale.getCellByName(i, "Sel").checked )
		{
			if ( personale != "" ) personale += "|";
			
			var note = tblPersonale.getCellByName(i, "Note").value + "";
			
			note = note.replace("!", ".");
			note = note.replace("|", " ");
			
			personale += tblPersonale.getCellByName(i, "IdPersona").value + "!" +
							tblPersonale.getCellByName(i, "DataInizio").value + "!" +
							tblPersonale.getCellByName(i, "DataFine").value + "!" +
							(tblPersonale.getCellByName(i, "Proprietario").checked ? 1:0) + "!" +
							note;
		}
	}

	var utilizzatori = "";
	len = tblUtilizzatori.getRowCount();
	
	for (i=0; i<len; ++i)
	{
		if ( tblUtilizzatori.getCellByName(i, "Sel").checked )
		{
			if ( utilizzatori != "" ) utilizzatori += "|";
			
			utilizzatori += tblUtilizzatori.getCellByName(i, "IdUtilizzatore").value + "!" +
							tblUtilizzatori.getCellByName(i, "DataInizio").value + "!" +
							tblUtilizzatori.getCellByName(i, "DataFine").value + "!" +
							tblUtilizzatori.getCellByName(i, "%").value;
		}
	}
	
	var cdc2 = "";
	len = tblCdC2.getRowCount();
	
	for (i=0; i<len; ++i)
	{
		if ( tblCdC2.getCellByName(i, "Sel").checked )
		{
			if ( cdc2 != "" ) cdc2 += "|";
			
			cdc2 += tblCdC2.getCellByName(i, "IdCdC").value + "!" +
					tblCdC2.getCellByName(i, "DataInizio").value + "!" +
					tblCdC2.getCellByName(i, "DataFine").value;
		}
	}
	
	var caratteristiche2 = "";
	len = tblCaratteristiche.getRowCount();
	
	for (i=0; i<len; ++i)
	{
		if ( tblCaratteristiche.getCellByName(i, "Sel").checked )
		{
			if ( caratteristiche2 != "" ) caratteristiche2 += "|";
			
			caratteristiche2 += tblCaratteristiche.getCellByName(i, "Id").value + "!" +
					tblCaratteristiche.getCellByName(i, "DataInizio").value + "!" +
					tblCaratteristiche.getCellByName(i, "DataFine").value;
		}
	}
	
	var des_uso = "";
	
	if ( jei('chk_des_uso').checked )
		des_uso = jei('des_uso').value;
	
	var caratteristiche = "";
	
	if ( jei('chk_Caratteristiche').checked )
		caratteristiche = jei('Caratteristiche').value;
	
	var cdc1 = "";
	
	if ( jei('chk_CdC1').checked )
		cdc1 = jei('CdC1').value;
		
	return { ok: 2, cdc1: cdc1, cdc2: cdc2, des_uso: des_uso, caratteristiche: caratteristiche, caratteristiche2: caratteristiche2, utilizzatori: utilizzatori, personale: personale };
}
