<?php

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$pathSimboliWeb = "$pathCommessa\\simboliWeb";

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\simboliWeb";

if ( !isset($_SESSION) ) session_start();

$IdSetup = $_SESSION[ID_SETUP_ODBC_DATABASE];

if ( !is_dir($dir) ) mkdir($dir);

$dir = "$dir\\setup_{$IdSetup}_commessa_$IdCommessa";

if ( !is_dir($dir) ) mkdir($dir);

$url = "$_SERVER[DOCUMENT_HOST]/".NTX_SUBPATH_PORTALE."/simboliWeb/setup_{$IdSetup}_commessa_$IdCommessa";

$sql = <<< sql
	SELECT * FROM (
		SELECT     'i'+ltrim(Id) Id, VisibileWeb, Nome, Simbolo, UploadGestioneSpazi, 
					IdCommessa, tblCopertureInCommessa.Id IdVero, OrdineWeb, Geometria, Associazione
		FROM         tblCopertureInCommessa
		WHERE     (PubblicaWeb = 1) AND IdCommessa=$IdCommessa AND Associazione <> 2
		UNION
		SELECT     's'+ltrim(Id) Id, VisibileWeb, Nome, Simbolo, UploadGestioneSpazi, 
					NULL IdCommessa, tblCoperture.Id IdVero, OrdineWeb, Geometria, Associazione
		FROM         tblCoperture
		WHERE     (PubblicaWeb = 1) AND Associazione <> 2
	) a ORDER BY OrdineWeb, Nome
sql;

$query = ntxQuery($sql);

if ($UtenteGestoreSpaziAvanzato) 
	$tabellaLayers = "<table class=grid><tr><th>Visibile</th><th>Snap</th><th>Nome</th><th></th><th></th></tr>";
else
	$tabellaLayers = "<table class=grid><tr><th>Visibile</th><th>Nome</th></tr>";

while ( $rs = ntxRecord($query) )
{
	$idChk = "Visibile_$rs[Id]";
	
	if ( is_file("$pathSimboliWeb\\$rs[Simbolo].png")  &&  !is_file("$dir\\$rs[Simbolo].png") )
		copy("$pathSimboliWeb\\$rs[Simbolo].png", "$dir\\$rs[Simbolo].png");
	
	foreach ( $rs as $key=>$value )
		$rs[$key] = htmlentities($value);
		
	$checked = $rs[VisibileWeb] ? "checked" : "";
	
	$disabledUploadGestioneSpazi = !$rs[UploadGestioneSpazi] ? "disabled" : "";
	
	$disabledSnapArea = ($rs[Geometria]==2  &&  ($rs[Associazione]==1 || $rs[Associazione]==4)) ? "" : "disabled";
	
	$checkedSnapArea = ($rs[Associazione]!=1) ? "" : "checked";
	
	if ($UtenteGestoreSpaziAvanzato) 
		$tabellaLayers .= <<< tabellaLayers
			<tr>
				<td>
					<input type=checkbox value=$rs[Id] myGroup=layerChecks onclick="RefreshMap()" $checked />
					<img src="$url/$rs[Simbolo].png"/>
				</td>
				<td><input type=radio name=radioSnapArea $checkedSnapArea $disabledSnapArea onclick="SelectSnapArea('$rs[Associazione]','$rs[IdCommessa]','$rs[IdVero]')" /></td>
				<td>$rs[Nome]</td>
				<td><input type=button value=upload $disabledUploadGestioneSpazi onclick="UploadShapeCoperture('$rs[IdCommessa]','$rs[IdVero]')" /></td>
				<td><input type=button value=remove $disabledUploadGestioneSpazi onclick="RemoveShapeCoperture('$rs[IdCommessa]','$rs[IdVero]')" /></td>
			</tr>
tabellaLayers;
	else
		$tabellaLayers .= <<< tabellaLayers
			<tr>
				<td>
					<input type=checkbox value=$rs[Id] myGroup=layerChecks onclick="RefreshMap()" $checked />
					<img src="$url/$rs[Simbolo].png"/>
				</td>
				<td>$rs[Nome]</td>
			</tr>
tabellaLayers;
}
	
if ($UtenteGestoreSpaziAvanzato) 
	$tabellaLayers .= <<< tabellaLayers
		<tr>
			<td>
				<input type=checkbox value="personale" myGroup=layerChecks onclick="RefreshMap()" $checked />
				<img src="/repository/img/generic/personale.png"/>
			</td>
			<td><input type=radio disabled /></td>
			<td>Personale</td>
			<td><input type=button value=upload disabled /></td>
			<td><input type=button value=remove disabled /></td>
		</tr>
		<tr>
			<td>
				<input type=checkbox value="postazioni" myGroup=layerChecks onclick="RefreshMap()" $checked />
				<img src="/repository/img/generic/postazione.png"/>
			</td>
			<td><input type=radio disabled /></td>
			<td>Postazioni</td>
			<td><input type=button value=upload disabled /></td>
			<td><input type=button value=remove disabled /></td>
		</tr>
tabellaLayers;
else
	$tabellaLayers .= <<< tabellaLayers
		<tr>
			<td>
				<input type=checkbox value="personale" myGroup=layerChecks onclick="RefreshMap()" $checked />
				<img src="/repository/img/generic/personale.png"/>
			</td>
			<td>Personale</td>
		</tr>
		<tr>
			<td>
				<input type=checkbox value="postazioni" myGroup=layerChecks onclick="RefreshMap()" $checked />
				<img src="/repository/img/generic/postazione.png"/>
			</td>
			<td>Postazioni</td>
		</tr>
tabellaLayers;

$tabellaLayers .= "</table>";

?>
