<?php

session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');

$Utente = ntxsse('Utente');

$sql = <<< sql
	SELECT     GruppiUtentiWeb.Tipo
	FROM         Utenti INNER JOIN
						  GruppiUtentiWeb ON Utenti.IdGruppoWeb = GruppiUtentiWeb.id
	WHERE     (Utenti.Nome = $Utente)
sql;

$UtenteGestoreSpaziAvanzato = ( ntxScalar($sql)==8 );

require("carica_dati_piano.inc");
require("carica_layers.inc");
require("carica_combos.inc");

$dx = 1000;
$dy = 800;

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html dir="ltr">
<head>
<link rel="stylesheet" type="text/css" href="/repository/css/grid-2.0.0.css" /> 
<link rel="stylesheet" type="text/css" href="/repository/libs/dojo-release-1.7.1/dijit/themes/claro/claro.css" /> 
<link rel="stylesheet" type="text/css" href="mappa.css" /> 
<script type="text/javascript" src="/repository/libs/dojo-release-1.7.1/dojo/dojo.js" djConfig="parseOnLoad: true, locale:'it'"></script>
<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
<script type="text/javascript" src="/repository/libs/jhp/jhp-1.4.1.min.js"></script>
<script type="text/javascript" src="mappa_v2/combo.js?v3"></script>
<script type="text/javascript" src="mappa_v2/map.js?v2"></script>
<script type="text/javascript" src="mappa_v2/generics.js"></script>
<script type="text/javascript">
	dojo.require("dojo.i18n");
	dojo.require("dijit.layout.BorderContainer");
	dojo.require("dijit.layout.AccordionContainer");
	dojo.require("dijit.layout.ContentPane");
	dojo.require("dijit.Toolbar");
	dojo.require("dijit.Menu");
	dojo.require("dijit.form.Button");
	dojo.require("dijit.form.DateTextBox");
	dojo.require("dijit.form.NumberTextBox");
	dojo.require("dijit.MenuBar");
	dojo.require("dijit.PopupMenuBarItem");
	dojo.require("dijit.DropDownMenu");
	dojo.require("dijit.CheckedMenuItem");
	dojo.require("dijit.MenuItem");
	dojo.require("dijit.Dialog");
</script>
</head>
<body class="claro" onmousemove="MoveDragElemento()" onmouseup="UpDragElemento()">
<div id="rootElement" data-dojo-type="dijit.layout.BorderContainer">
	<div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'top', splitter: false" style="background:#F1F1F1;padding:0px">
		<div data-dojo-type="dijit.MenuBar" id="navMenu">
			<div data-dojo-type="dijit.PopupMenuBarItem">
				<span>Cerca</span>
				<div data-dojo-type="dijit.DropDownMenu" id="fileMenu">
					<div data-dojo-type="dijit.MenuItem" data-dojo-props="onClick:CercaPersonale">Personale</div>
					<div data-dojo-type="dijit.MenuItem" data-dojo-props="onClick:CercaPostazioniLavoro">Postazioni Lavoro</div>
				</div>
			</div>
			<div data-dojo-type="dijit.PopupMenuBarItem">
				<span>Azioni su Ambienti Selezionati</span>
				<div data-dojo-type="dijit.DropDownMenu" id="actionMenu">
					<div data-dojo-type="dijit.MenuItem" data-dojo-props="onClick:DeselAll">Deseleziona</div>
					<div data-dojo-type="dijit.MenuSeparator"></div>
					<div data-dojo-type="dijit.MenuItem" data-dojo-props="onClick:Setta2">Setta</div>
					<div data-dojo-type="dijit.MenuItem" data-dojo-props="onClick:Desetta2">Desetta</div>
					<div data-dojo-type="dijit.MenuSeparator"></div>
					<div data-dojo-type="dijit.MenuItem" data-dojo-props="onClick:Dismetti">Dismetti</div>
<?php if ($UtenteGestoreSpaziAvanzato) { ?>
					<div data-dojo-type="dijit.MenuSeparator"></div>
					<div data-dojo-type="dijit.MenuItem" data-dojo-props="onClick:GeneraNuoviAmbienti">Genera Nuovi Ambienti</div>
<?php } ?>
				</div>
			</div>
			<div data-dojo-type="dijit.PopupMenuBarItem">
				<span>Visualizza</span>
				<div data-dojo-type="dijit.DropDownMenu" id="editMenu">
					<div data-dojo-type="dijit.CheckedMenuItem" data-dojo-props="onClick:function(){ShowHide1('toolbar1',this)}" checked>Toolbar</div>
					<div data-dojo-type="dijit.CheckedMenuItem" data-dojo-props="onClick:function(){ShowHide1('Legende',this)}" checked>Legende</div>
					<div data-dojo-type="dijit.CheckedMenuItem" data-dojo-props="onClick:function(){ShowHide1('Info',this)}" checked>Info</div>
				</div>
			</div>
		</div>
		
		<div id="toolbar1" dojoType="dijit.Toolbar">
			<div dojoType="dijit.form.ComboButton" id=cboCmd>
				<span>Info</span>
				<div dojoType="dijit.Menu"></div>
			</div>
			
            <span dojoType="dijit.ToolbarSeparator"></span>
			
			<input type=button dojoType="dijit.form.Button" label=Fit onclick="Fit()" />
            <span dojoType="dijit.ToolbarSeparator"></span>
			
			Tematizza per:
			<div dojoType="dijit.form.ComboButton" id=cboTema>
				<span></span>
				<div dojoType="dijit.Menu"></div>
			</div>
			
			Data1<input type=text dojoType="dijit.form.DateTextBox" style="width:90px" id=Data1 />
			
			<input type=button dojoType="dijit.form.Button" myKey=refresh label=Aggiorna onclick="RefreshMap()" />
			
            <span dojoType="dijit.ToolbarSeparator"></span>
			
			<input type=text dojoType="dijit.form.NumberTextBox" size=3
				value="<?php echo $dx ?>" 
				constraints="{min:200,max:1200,places:0}" required="true"
				invalidMessage="Larghezza mappa non valida."
				style="width:40px"
				id=txt_dx />
				
			x<input type=text dojoType="dijit.form.NumberTextBox" size=3
				value="<?php echo $dy ?>" 
				constraints="{min:200,max:1200,places:0}" required="true"
				invalidMessage="Altezza mappa non valida."
				style="width:40px"
				id=txt_dy />
				
			<input type=button dojoType="dijit.form.Button" label=Ridimensiona onclick="Ridimensiona()" />
        </div>

		<?php echo $datiPiano ?>
	</div>
	<div id="Legende"
		data-dojo-type="dijit.layout.ContentPane" 
		data-dojo-props="region: 'left', splitter: true" 
		style="padding:0px;margin:0px;width:150px">
		<div data-dojo-type="dijit.layout.AccordionContainer" id=divLegends>
			<div dojoType="dijit.layout.ContentPane" title="Legend Mappa" id=divLegendMap>
				<?php echo $tabellaLayers ?>
			</div>
			<div dojoType="dijit.layout.ContentPane" title="Evidenzia Vani" id=divEvidenzia>
				<FORM name=formEvi id=formEvi method=post>
					<table style="width:100%" class=grid>
						<tr>
							<th style="width:1px">Tipo Des.Uso:
							<td><select name=cboEviTipoDesUso style="width:100%"><?php echo $optionTipiDesUso ?></select>
						<tr>
							<th style="width:1px">Des.Uso:
							<td><select name=cboEviDesUso style="width:100%"><?php echo $optionDesUso ?></select>
						<tr>
							<th style="width:1px">Car.2:
							<td><select name=cboEviCar2 style="width:100%"><?php echo $optionCar2 ?></select>
					</table>
					<input type=reset value="Reset" />
					<input type=button value="Refresh" onclick="RefreshMap()" />
				</FORM>
			</div>
			<div dojoType="dijit.layout.ContentPane" title="Legend Tematizzazione" style="padding:0px" id=divLegendTema></div>
		</div>
	</div>
	<div id="Info"
		data-dojo-type="dijit.layout.ContentPane" 
		data-dojo-props="region: 'right', splitter: true" 
		style="padding:0px;margin:0px;overflow:visible;width:140px">
		<iframe name=frameInfo id=frameInfo></iframe>
	</div>
	<div id="Mappa"
		data-dojo-type="dijit.layout.ContentPane" 
		data-dojo-props="region: 'center'" 
		style="overflow:auto;padding:0px;background-color:#F1F1F1">
		<INPUT id=imgMappa
			TYPE=IMAGE  
			NAME="imgMappa" 
			SRC="blank.bmp" />
		<img id=ImgPersona 
			src="/repository/img/generic/personale2.png" 
			style="z-index:1110;position:absolute;display:none"  />
		<img id=ImgPostazione 
			src="/repository/img/generic/postazione2.png" 
			style="z-index:1110;position:absolute;display:none"  />
	</div>
</div>

<div id=rectZoomArea></div>

<FORM name=form1 id=form1 style="display:none" method=post>
	<input type=hidden name=IdCommessaCoperturaSnap value="">
	<input type=hidden name=IdCoperturaSnap value="">
	<input type=hidden name=DragIdElemento value="">
	<input type=hidden name=DateQuery value="">
	<input type=hidden name=DragElemento value="none">
	<input type=hidden name=IdCommessa value=<?php echo $IdCommessa ?>>
	<input type=hidden name=IdEdificio value=<?php echo $IdEdificio ?>>
	<input type=hidden name=IdLivello value=<?php echo $IdLivello ?>>
	<input type=hidden name=CodiceAmbiente id=CodiceAmbiente value="<?php echo ntxJs($_POST[CodiceAmbiente]) ?>">
	<input type=hidden name=CodiceComponente id=CodiceComponente value="<?php echo ntxJs($_POST[CodiceComponente]) ?>">
	<input type=hidden name=CodiciAmbientix id=CodiciAmbientix value="<?php echo ntxJs($_POST[CodiciAmbientix]) ?>">
	<input type=hidden name=CodiciComponentix id=CodiciComponentix value="<?php echo ntxJs($_POST[CodiciComponentix]) ?>">
	<input type=hidden name=ElencoAmbientiSelezionati id=ElencoAmbientiSelezionati value="">
	<input type=hidden name=ElencoPoligoniSelezionati id=ElencoPoligoniSelezionati value="">
	<input type=hidden name=Valori id=Valori value="<?php echo ntxJs($_POST[Valori]) ?>">
	<input type=hidden name=AzioneMappa value="<?php echo ntxJs($_POST[AzioneMappa]) ?>">
	<input type=hidden name=map_dx id=map_dx value="<?php echo $dx ?>">
	<input type=hidden name=map_dy id=map_dy value="<?php echo $dy ?>">
	<input type=hidden name=map_x>
	<input type=hidden name=map_y>
	<input type=hidden name=zoom_x1>
	<input type=hidden name=zoom_y1>
	<input type=hidden name=zoom_x2>
	<input type=hidden name=zoom_y2>
	<input type=hidden name=mouse_button>
	<INPUT TYPE=HIDDEN NAME=extent id=extent>
	<INPUT TYPE=HIDDEN NAME=doAction value="info">
	<INPUT TYPE=HIDDEN NAME=Tematizza value="">
	<INPUT TYPE=HIDDEN NAME=visi value="">
	<INPUT TYPE=HIDDEN NAME=DragDataInizio value="">
	<INPUT TYPE=HIDDEN NAME=DragDataFine value="">
</FORM>

<form name=form2 method=post style="display:none">
	<input type=hidden name=ElencoAmbientiSelezionati value="">
	<input type=hidden name=IndiceComponente value="0">
	<input type=hidden name=NumAmbienti id=NumAmbienti>
	<input type=hidden name=NumComponenti id=NumComponenti>
	<input type=hidden name=CodiciAmbienti id=CodiciAmbienti>
	<input type=hidden name=CodiciComponenti id=CodiciComponenti>
	<input type=hidden name=ListaIdPersAmbienti id=ListaIdPersAmbienti>
	<input type=hidden name=TipoOggettoInfo id=TipoOggettoInfo>
</form> 

<div id="divUploadShapeCoperture" data-dojo-type="dijit.Dialog" title="Upload Shape Files Coperture">
	<form name=frmUploadShapeCoperture method=post enctype="multipart/form-data" action="upload_shp.php" target=frameUploadShapeCoperture>
		<input type=hidden name=IdCommessa id=IdCommessa value="<?php echo $IdCommessa ?>">
		<input type=hidden name=IdEdificio id=IdEdificio value="<?php echo $IdEdificio ?>">
		<input type=hidden name=IdLivello id=IdCommessa value="<?php echo $IdLivello ?>">
		<input type=hidden name=IdCommessaCopertura id=IdCommessaCopertura>
		<input type=hidden name=IdCopertura id=IdCopertura>
		shape files:<input type=file multiple name="fils[]" id=fils />
		<input type="button" value="Upload" onclick="UploadShpGo()" />
	</form> 
	
	<iframe style="width:400px;height:300px" name=frameUploadShapeCoperture></iframe>
</div>

<div id="divRemoveShapeCoperture" data-dojo-type="dijit.Dialog" title="Remove Shape Files Coperture">
	<form name=frmRemoveShapeCoperture method=post action="remove_shp.php" target=frameRemoveShapeCoperture>
		<input type=hidden name=IdCommessa id=IdCommessa value="<?php echo $IdCommessa ?>">
		<input type=hidden name=IdEdificio id=IdEdificio value="<?php echo $IdEdificio ?>">
		<input type=hidden name=IdLivello id=IdCommessa value="<?php echo $IdLivello ?>">
		<input type=hidden name=IdCommessaCopertura id=IdCommessaCopertura>
		<input type=hidden name=IdCopertura id=IdCopertura>
		La rimozione degli shape file della copertura è un operazione irreversibile.<br>
		Prima di effettuarla si consiglia di verificare di averne una copia di backup<br>
		nel caso si desiderasse ripristinare la situazione precedente.
		<br>
		<input type="button" value="Remove" onclick="RemoveShpGo()" />
	</form> 
	
	<iframe style="width:400px;height:250px" name=frameRemoveShapeCoperture></iframe>
</div>

</body>
</html>