<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdCommessaCopertura = ntxip('IdCommessaCopertura');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');
$IdCopertura = ntxip('IdCopertura');

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$edificio = "C{$IdCommessa}E{$IdEdificio}";
$livello = "C{$IdCommessa}E{$IdEdificio}L{$IdLivello}";

$pathShapes = "$pathCommessa\\EDIFICIO_{$edificio}\\LIVELLO_{$livello}\\SHAPE_{$livello}\\";

if ( is_numeric($IdCommessaCopertura) )
{
	$sql = <<< sql
		SELECT     [FileName]
		FROM         tblCopertureInCommessa
		WHERE     Id = $IdCopertura AND IdCommessa=$IdCommessa
		AND UploadGestioneSpazi=1
sql;
}
else
{
	$sql = <<< sql
		SELECT     [FileName]
		FROM         tblCoperture
		WHERE     Id = $IdCopertura
		AND UploadGestioneSpazi=1
sql;
}

$FileName = ntxScalar($sql);

if ( strlen($FileName)==0 )
	die("Copertura seleziona per la modifica shape file non abilitata!");

$pathShapes = "{$pathShapes}{$FileName}";

if ( is_file("{$pathShapes}.shp") ) unlink("{$pathShapes}.shp");
if ( is_file("{$pathShapes}.shx") ) unlink("{$pathShapes}.shx");
if ( is_file("{$pathShapes}.dbf") ) unlink("{$pathShapes}.dbf");
	
echo "Rimozione avvenuta con successo!";
?>

<script>
	parent.RefreshMap();
	alert("Rimozione avvenuta con successo!");
</script>