<?php
	
$sql = <<< sql
	SELECT     IdGestore
	FROM         tblPgContratti
	WHERE     (IdPgContratto = $IdPgContratto)
sql;

$IdGestore = ntxScalar($sql);

if ( is_numeric($IdGestore) )
{
	$sql = <<< sql
		SELECT     IdAffidatario, Nome
		FROM         tblPgAffidatari
		WHERE     (IdGestore = $IdGestore)
		ORDER BY Nome
sql;
}
else
{
	$sql = <<< sql
		SELECT     IdAffidatario, Nome
		FROM         tblPgAffidatari
		ORDER BY Nome
sql;
}

$query = ntxQuery($sql);

$options = "<option value=\"\"></option>";

while($rs=ntxIRecord($query))
{
	$html = htmlentities($rs[1]);
	
	$options .= "<option value=\"$rs[0]\">$html</option>";
}

?>
<a name="sezione-edit"></a>
<form name=frmEdit method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdPgContratto value="<?php echo $IdPgContratto ?>" />
	
	<table class=grid>
		<caption><?php $traduttore->html('Modifica Contratto Affidatario') ?>
		<tr><th>ID<td>
		<input type=text name=IdPgContrattoAffidatario size=10 disabled value=""/>
		<input type="button" value="copia da Contratto di Gestione" onclick="copiaDaContrattoGestione();" style="margin-left:5px;" />
		
		<tr><th><?php $traduttore->html('Affidatario') ?><td><select name=IdAffidatario>
									<?php echo $options ?>
								</select>
		<tr><th><?php $traduttore->html('Tipo Contratto') ?><td><select name=TipoContratto>
									<option value="">
									<option value="canone"><?php $traduttore->html('Canone') ?>
									<option value="extracanone"><?php $traduttore->html('Extracanone') ?>
									<option value="cantiere"><?php $traduttore->html('Cantiere') ?>
								</select>
		<tr><th><?php $traduttore->html('Descrizione') ?><td><input type=text name=Descrizione size=50 value=""/>
		<tr><th><?php $traduttore->html('Protocollo') ?><td><input type=text name=Protocollo size=50 value=""/>
		<tr><th><?php $traduttore->html('Centro di Costo') ?><td><input type=text name=CentroDiCosto size=50 value=""/>
		<tr><th><?php $traduttore->html('Data Contratto') ?><td><input type=text name=txtEditDataContratto id=txtEditDataContratto size=50 value=""/>
		<tr><th><?php $traduttore->html('Data Inizio') ?><td><input type=text name=txtEditDataInizio id=txtEditDataInizio size=50 value=""/>
		<tr><th><?php $traduttore->html('Data Fine') ?><td><input type=text name=txtEditDataFine id=txtEditDataFine size=50 value=""/>
		<tr><th><?php $traduttore->html('Aperto') ?><td><input type=checkbox name=Aperto />
		<tr><th><?php $traduttore->html('Usa In Mod Strade') ?><td><input type=checkbox name=UsaInModStrade />
		<tr><th><?php $traduttore->html('Affido Extracanone') ?><td><input type=checkbox name=AffidoExtracanone />
		<tr><th><?php $traduttore->html('Blocca Msg Ric. CallCenter') ?><td><input type=checkbox name=BloccaMsgRicCallCenter />
		<tr><th><?php $traduttore->html('Abilita Edit Elenco Prezzi') ?><td><input type=checkbox name=AbilitaEditElencoPrezzi />
		<tr><th><?php $traduttore->html('Preventivo da affidare a fornitore in contratto') ?><td><input type=checkbox name=PreventivoAutomaticoFornitore />
		<tr><th colspan=2>
			<input type=button value="<?php $traduttore->js('Nuovo') ?>" onclick="Nuovo()" />
			<input type=button value="<?php $traduttore->js('Aggiungi') ?>" onclick="Aggiungi(); ricaricaRisultati();" />
			<input type=button value="<?php $traduttore->js('Modifica') ?>" onclick="Modifica(); ricaricaRisultati();" />
			<input type=button value="<?php $traduttore->js('Elimina') ?>" onclick="Elimina(); ricaricaRisultati();" />
	</table>
</form>

