<?php
	
require_once('gestione_sql.inc');

ntxPagedPrintNavigation();

?>

<table class=grid>
	<tr>
		<th> 
		<th>ID
		<th><?php $traduttore->html('Proprietario') ?>
		<th><?php $traduttore->html('Tipo Contratto') ?>
		<th><?php $traduttore->html('Tipo Localizzazione') ?>
		<th><?php $traduttore->html('Descrizione') ?>
		<th><?php $traduttore->html('Data Contratto') ?>
		<th><?php $traduttore->html('Data Inizio') ?>
		<th><?php $traduttore->html('Data Fine') ?>
		<th><?php $traduttore->html('Aperto') ?>
		<th><?php $traduttore->html('Classe') ?>
		<th><?php $traduttore->html('Usa In Mod Strade') ?>
		<th><?php $traduttore->html('Copia Sconti Fornitore In Contabilità') ?>
		<th><?php $traduttore->html('Usa Logica Contratti Tecnici Clienti') ?>
		<th><?php $traduttore->html('Abilita Edit Elenco Prezzi') ?>
		<th><?php $traduttore->html('RPF') ?>
		<th><?php $traduttore->html('Abilita Ricarico') ?>
		<th><?php $traduttore->html('Fattore Ricarico') ?>
		<th><?php $traduttore->html('Tolleranza Negativa Temperatura') ?>
		<th><?php $traduttore->html('Tolleranza Positiva Temperatura') ?>
		<th><?php $traduttore->html('Messaggio se Scaduto') ?>
		<th><?php $traduttore->html('Numero di Commessa') ?>
		<th><?php $traduttore->html('Numero di Contratto') ?>
	</tr>   

<?php
	$alternate = true;

	while( $query  &&   $rs = ntxRecord($query) )
	{
		$TipoLocalizzazione = "";
		
		switch($rs[TipoLocalizzazione])
		{
			case null:
				$TipoLocalizzazione = "";
				break;
			case 0:
				$TipoLocalizzazione = "edile";
				break;
			case 1:
				$TipoLocalizzazione = "strade";
				break;
			case 2:
				$TipoLocalizzazione = "verde";
				break;
		}
		
		$style = $rs[Scaduto] ? "style='background-color:orange'" : "";
		
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?>>
		<td <?php echo $style ?> >
		<input type=button value="<?php $traduttore->js('Consistenza') ?>" onclick="Filtro('consistenza', <?php echo $rs['IdPgContratto'] ?>)" style="width:100%;" />
		<input type=button value="<?php $traduttore->js('Importa') ?>" onclick="Filtro('importa', <?php echo $rs['IdPgContratto'] ?>)" style="width:100%;" />
		<input type=button value="<?php $traduttore->js('Contratti Affidatari') ?>" onclick="Filtro('affidatari', <?php echo $rs['IdPgContratto'] ?>)" style="width:100%;" />  
		<input type=button value="<?php $traduttore->js('Pulizie') ?>" onclick="Filtro('pulizie', <?php echo $rs['IdPgContratto'] ?>)" style="width:100%;" />
		<input type=button value="<?php $traduttore->js('Modifica') ?>" onclick="Edit(<?php echo $rs['IdPgContratto'] ?>)" style="width:100%;" />
		
		<td <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['IdPgContratto']) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['Ente']) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['TipoContratto']) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo htmlentities($TipoLocalizzazione) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['Des1']) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo ntxDate($rs['DataContratto']) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo ntxDate($rs['DataInizio']) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo ntxDate($rs['DataFine']) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo $rs['Aperto'] ? "x" : "" ?>
		<td <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['Classe']) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo $rs['UsaInModStrade'] ? "x" : "" ?>
		<td <?php echo $style ?>>&nbsp;<?php echo $rs['CopiaSconti'] ? "x" : "" ?>
		<td <?php echo $style ?>>&nbsp;<?php echo $rs['UsaLogica'] ? "x" : "" ?>
		<td <?php echo $style ?>>&nbsp;<?php echo $rs['AbilitaEditElencoPrezzi'] ? "x" : "" ?>
		<td <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['RPF']) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo $rs['AbilitaRicarico']==1 ? "x" : "" ?>
		<td <?php echo $style ?>>&nbsp;<?php echo ntxRoundThousand($rs['FattoreRicarico'], 3) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo ntxRoundThousand($rs['MinDeltaTemperatura'], 1) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo ntxRoundThousand($rs['MaxDeltaTemperatura'], 1) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['MessaggioSeScaduto']) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['NumeroCommessa']) ?>
		<td <?php echo $style ?>>&nbsp;<?php echo htmlentities($rs['NumeroContratto']) ?>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<?php

ntxPagedPrintNavigation();
ntxPagedPrintBody();

?>
