<?php

session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdPgContratto = ntxip('IdPgContratto');
$IdEdifici = explode(",", $_POST[IdEdifici]);
$IdMestieri = explode(",", $_POST[IdMestieri]);

$count = count($IdEdifici);

for ( $i=0; $i<$count; ++$i )
{
	$IdEdificio = $IdEdifici[$i];
	$IdMestiere = $IdMestieri[$i];
	
	$sql = <<< sql
		INSERT INTO tblPgContrattiPropietariGestoriAttivitàEdifici
							  (IdEdificio, IdAttivitàMestiere, IdPgContratto, IdCommessa)
							  
	SELECT     $IdEdificio, tblAttivitàMestiere.IdAttivitàMestiere, $IdPgContratto, $IdCommessa

	FROM         tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE     (tblComponetiMestiere.IdMestiere = $IdMestiere) AND (tblComponetiMestiere.IdCommessa = $IdCommessa)

		AND NOT EXISTS (SELECT 1 FROM tblPgContrattiPropietariGestoriAttivitàEdifici
				WHERE IdEdificio=$IdEdificio
				AND IdAttivitàMestiere=tblAttivitàMestiere.IdAttivitàMestiere
				AND IdPgContratto=$IdPgContratto 
				AND IdCommessa=$IdCommessa)
sql;

	ntxQuery($sql);
}

jhp_ok();

?>
