<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdPgContrattoRifAffidatario = ntxip('IdPgContrattoRifAffidatario', false);
$NascondiAttivitàDiAltri = ntxip('NascondiAttivitàDiAltri');
$FiltroPerAttMesTipoComp = ntxip('FiltroPerAttMesTipoComp');
$FiltroPerContrattoPadre = ntxip('FiltroPerContrattoPadre');

if ( "".$_POST['IdEdifici']=="" )
{
	$record = "";

	jhp( $record );	
}

$IdEdifici = explode(",", "".$_POST[IdEdifici]);
$strIdEdifici = ntxsp('IdEdifici');

$ElencoIdEdifici = "";

if (is_array($IdEdifici) || is_object($IdEdifici))	
 foreach($IdEdifici as $IdEdificio)
{
	if ( $ElencoIdEdifici!="" ) $ElencoIdEdifici .= ",";
	
	$ElencoIdEdifici .= (int)$IdEdificio;
}

$sql = <<< sql
	SELECT     IdAttivitàMestiere, Count(IdEdificio)
	FROM         tblPgContrattiRifAffidatariAttivitàEdifici INNER JOIN dbo.splitid($strIdEdifici) a
	ON tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio=a.id
	WHERE     (IdCommessa = $IdCommessa) 
	AND     (IdPgContrattoRifAffidatario = $IdPgContrattoRifAffidatario) 
	GROUP BY IdAttivitàMestiere
sql;

$query = ntxQuery($sql);

$IdAttivitaUsate = array();

$num = count($IdEdifici);

while($rs=ntxIRecord($query))
{
	if ( $num == $rs[1] )
		$IdAttivitaUsate[] = $rs[0];
}

$IdAttivitaAssociate = array();

if ( $FiltroPerAttMesTipoComp )
{
	$sql = <<< sql
		SELECT DISTINCT tblAttivitàMestiere.IdAttivitàMestiere
		FROM         tblAttivitàMestiere INNER JOIN
							  AttivitàMestTipiComp ON tblAttivitàMestiere.IdCommessa = AttivitàMestTipiComp.IdCommessaAttività AND 
							  tblAttivitàMestiere.IdAttivitàMestiere = AttivitàMestTipiComp.IdAttivitàMestiere INNER JOIN
							  TipoComponente ON AttivitàMestTipiComp.IdCommessaTipoComp = TipoComponente.IdCommessa AND 
							  AttivitàMestTipiComp.IdTipoComp = TipoComponente.IDTipoComponente INNER JOIN
							  ComponentiAmbiente ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
							  TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente 
							  INNER JOIN dbo.splitid($strIdEdifici) a ON ComponentiAmbiente.IdEdificio=a.id
		WHERE     (ComponentiAmbiente.IdCommessa = $IdCommessa)
		ORDER BY tblAttivitàMestiere.IdAttivitàMestiere
sql;
		
	$query = ntxQuery($sql);

	while($rs=ntxIRecord($query))
		$IdAttivitaAssociate[] = $rs[0];
}


$IdAttAssegnateAltroRifAff = array();
$IdPgContrattoRifAffidatario = ntxip('IdPgContrattoRifAffidatario', false);

if ( $NascondiAttivitàDiAltri )
{
	$sql = <<< sql
		SELECT DISTINCT consist2.IdAttivitàMestiere
		FROM         tblPgContrattiRifAffidatariAttivitàEdifici AS consist2 INNER JOIN
                      tblPgContrattiRifAffidatari AS contr2 ON consist2.IdPgContrattoRifAffidatario = contr2.IdPgContrattoRifAffidatario INNER JOIN
                      tblPgContrattiRifAffidatari AS contr1 ON contr2.IdPgContrattoAffidatario = contr1.IdPgContrattoAffidatario
		WHERE     (contr1.IdPgContrattoRifAffidatario = $IdPgContrattoRifAffidatario) 
			AND (contr2.IdPgContrattoRifAffidatario <> $IdPgContrattoRifAffidatario) 
			AND (consist2.IdEdificio IN ($ElencoIdEdifici))
sql;
		
	$query = ntxQuery($sql);

	while($rs=ntxIRecord($query))
		$IdAttAssegnateAltroRifAff[] = $rs[0];
}


if ( $FiltroPerContrattoPadre )
	$sql = <<< sql
		SELECT    a.IdAttivitàMestiere
		FROM         tblPgContrattiAffidatariAttivitàEdifici a INNER JOIN
							  tblPgContrattiRifAffidatari b ON a.IdPgContrattoAffidatario = b.IdPgContrattoAffidatario
							  INNER JOIN dbo.splitid($strIdEdifici) c ON a.IdEdificio=c.id
		WHERE     (b.IdPgContrattoRifAffidatario = $IdPgContrattoRifAffidatario)
		GROUP BY IdAttivitàMestiere
		HAVING count(*)=$num
sql;
else
	$sql = <<< sql
		SELECT  DISTINCT   a.IdAttivitàMestiere
		FROM         tblPgContrattiAffidatariAttivitàEdifici a INNER JOIN
							  tblPgContrattiRifAffidatari b ON a.IdPgContrattoAffidatario = b.IdPgContrattoAffidatario
		WHERE     (b.IdPgContrattoRifAffidatario = $IdPgContrattoRifAffidatario)
sql;

$query = ntxQuery($sql);

$result = "";

while($rs=ntxIRecord($query))
{
	if ( $NascondiAttivitàDiAltri  &&  in_array($rs[0], $IdAttAssegnateAltroRifAff) )
		continue;
	
	if ( !in_array($rs[0], $IdAttivitaUsate)  &&  (!$FiltroPerAttMesTipoComp || ($FiltroPerAttMesTipoComp  &&  in_array($rs[0], $IdAttivitaAssociate))) )
	{
		if ( $result == "" )
			$result = $rs[0];
		else
			$result .= ",".$rs[0];
	}
}

$record = $result;

jhp( $record );	

?>
