<?php  

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT DISTINCT 
					Ditte.IDDitta, 
					Ditte.Ditta, 
					DocsFornitori2.Id, 
					DocsFornitori2.Descrizione, 
					DocsFornitori2.DataRilascio, 
					DocsFornitori2.Note, 
					DocsFornitori2.DataInserimento, 
					DocsFornitori2.UtenteInserimento,
					CASE WHEN DocsFornitori2.Path IS NOT NULL AND DocsFornitori2.Path<>'' then 'x' else '' end ThereIsPath
	FROM         Ditte INNER JOIN
                      DocsFornitori2 ON Ditte.IDDitta = DocsFornitori2.IdFornitore LEFT OUTER JOIN
                      tblContrattiFornitori ON Ditte.IDDitta = tblContrattiFornitori.IdFornitore
		WHERE Ditte.Docente=1
sql;

if ( is_numeric($_POST['IdContratto'])) 
{
	$IdContratto = (int)$_POST['IdContratto'];
	$sql .= " AND (tblContrattiFornitori.IdCommessa = $IdCommessa) ";
	$sql .= " AND (tblContrattiFornitori.IdContrattoFornitore = $IdContratto) ";
}
	
if ( is_numeric($_POST['IdDitta'])) 
{
	$IdDitta = (int)$_POST['IdDitta'];
	$sql .= " AND (Ditte.IDDitta = $IdDitta) ";
}
	
if ( is_numeric($_POST['IdDocumento'])) 
{
	$IdDocumento = (int)$_POST['IdDocumento'];
	$sql .= " AND (DocsFornitori2.Id = $IdDocumento) ";
}

if ( isset($_POST['Ditta'])  &&  strlen($_POST['Ditta'])>0) 
{
	$str = stripslashes($_POST['Ditta']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ditte.Ditta LIKE '%".$str."%' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND DocsFornitori2.Descrizione LIKE '%".$str."%' ";
}

if ( isset($_POST['Nota'])  &&  strlen($_POST['Nota'])>0) 
{
	$str = stripslashes($_POST['Nota']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND DocsFornitori2.Note LIKE '%".$str."%' ";
}

$sql .= " ORDER BY Ditte.Ditta, DocsFornitori2.Descrizione, DocsFornitori2.DataRilascio;";

$query = ntxQuery($sql);
	
?>
