<?php

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x = $_POST[map_x];
$y = $_POST[map_y];
$dx = $_POST[dx];
$dy = $_POST[dy];

$y = $dy - $y;

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

$x2 = $x * $dx2 / $dx + $minx;
$y2 = $y * $dy2 / $dy + $miny;

$point = ntxs("$x2;$y2");

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
	SELECT     TOP (1) Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente, Ambiente.MQ, DestinazioniDuso.Destinazione, OrdiniAmbienti.Eseguito, 
						  OrdiniAmbienti.DataEseguito, Utenti.Nome AS Utente
	FROM         Ambiente INNER JOIN
                      OrdiniAmbienti ON Ambiente.IdCommessa = OrdiniAmbienti.IdCommessaAmbiente AND Ambiente.IdEdificio = OrdiniAmbienti.IdEdificioAmbiente AND 
                      Ambiente.IDAmbiente = OrdiniAmbienti.IDAmbiente LEFT OUTER JOIN
                      Utenti ON OrdiniAmbienti.IdUtenteEseguito = Utenti.Id LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	WHERE     (OrdiniAmbienti.NumOrdine =  $NumOrdine) AND (OrdiniAmbienti.AnnoOrdine =  $AnnoOrdine)
	AND     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 

	AND dbo.WindingNumberVani($point, Ambiente.IdCommessa, Ambiente.IdEdificio, Ambiente.IdAmbiente)=1
sql;

$query = ntxQuery($sql);

$tableDyn = "";

while ( $rs = ntxRecord($query) )
{
	if ( $rs[Eseguito] ) 
		$style = "style='background-color:#BBFFBB;text-align:center'";
	else
		$style = "style='background-color:#FFBBBB;text-align:center'";

	$rs[Eseguito] = $rs[Eseguito] ? "SI" : "no";
	$rs[MQ] = ntxRoundThousand($rs[MQ], 2);
	$rs[DataEseguito] = ntxDateTime($rs[DataEseguito]);
	
	$IDAmbiente = $rs[IDAmbiente];
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$tableFix .= <<< tableFix
		<tr>
			<td>$html[IDAmbiente]
			<td>$html[CodiceAssAmbiente]
			<td>$html[Destinazione]
			<td>$html[MQ]
			<td $style>$html[Eseguito]
			<td>$html[DataEseguito]
			<td>$html[Utente]
tableFix;
}

$result[IDAmbiente] = $IDAmbiente;

$result[text] = <<< result
	<table class=grid>
		<tr>
			<th>Id
			<th>Codice
			<th>Des.Uso
			<th>MQ
			<th>Eseguito
			<th>Data Modifica Vano
			<th>Utente Modifica Vano
			$tableFix
	</table>
result;

jhp($result);

?>
