<?php

if ( !$_SESSION ) session_start();

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$addWhere = "";

if ( is_numeric($_POST[NumOrdine])  &&  is_numeric($_POST[AnnoOrdine]) ) 
{
	$addWhere .= " AND Ordini.NumOrdine=".(int)$_POST[NumOrdine];
	$addWhere .= " AND Ordini.AnnoOrdine=".(int)$_POST[AnnoOrdine];
}
else
{
	if ( is_numeric($_POST[Piano]) ) 
		$addWhere .= " AND PianoLivello.idPiano=".(int)$_POST[Piano];

	if ( strlen("$_POST[CodiceStanza]")>0 ) 
		$addWhere .= " AND Ambiente.CodiceAssAmbiente=".ntxsp('CodiceStanza');
	
	if ( strlen("$_POST[dataOrdierna]")>0 ) 
	{
		$dataOrdierna = ntxtp('dataOrdierna');
		$addWhere .= " AND Ordini.DataInizioProg<=$dataOrdierna";
		$addWhere .= " AND Ordini.DataFineProg>=$dataOrdierna";
	}
}

$sql = <<< sql
	SELECT     DestinazioniDusoLivello.Destinazione AS Piano, StatiOrdini.IDStato, StatiOrdini.DesStato, Ordini.NumOrdine, Ordini.AnnoOrdine, 
                      Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2, Ordini.GradoUrgenza, Ordini.DataOrdine, Ordini.DataInizio, 
                      Ordini.DataFine, Ordini.DataInizioProg, Ordini.DataFineProg, tblMestieri.Descrizione AS Mestiere, tblComponetiMestiere.Descrizione AS CompMest, 
                      tblAttivitàMestiere.Descrizione AS AttMest,
					  (
						SELECT     count(*)
						FROM         OrdiniAmbienti 
						WHERE     (OrdiniAmbienti.Eseguito = 1)
							AND OrdiniAmbienti.IDCommessaOrdine = Ordini.IDCommessa 
							AND OrdiniAmbienti.NumOrdine = Ordini.NumOrdine 
							AND OrdiniAmbienti.AnnoOrdine = Ordini.AnnoOrdine
					  
					  ) numEseguiti,
					  (
						SELECT     count(*)
						FROM         OrdiniAmbienti 
						WHERE     OrdiniAmbienti.IDCommessaOrdine = Ordini.IDCommessa 
							AND OrdiniAmbienti.NumOrdine = Ordini.NumOrdine 
							AND OrdiniAmbienti.AnnoOrdine = Ordini.AnnoOrdine

					) numVani
					  
	FROM         DestinazioniDusoLivello RIGHT OUTER JOIN
                      PianoLivello ON DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa AND 
                      DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso RIGHT OUTER JOIN
                      tblMestieri RIGHT OUTER JOIN
                      Ordini INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato ON tblMestieri.IdMestiere = Ordini.IdMestiere AND 
                      tblMestieri.IdCommessa = Ordini.IDCommessa LEFT OUTER JOIN
                      tblComponetiMestiere ON Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere AND 
                      Ordini.IDCommessa = tblComponetiMestiere.IdCommessa LEFT OUTER JOIN
                      tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere ON 
                      PianoLivello.IdCommessa = Ordini.IDCommessa AND PianoLivello.IdEdificio = Ordini.CodEdificio AND PianoLivello.idPiano = Ordini.IdLivello
	WHERE     (Ordini.Contabiliz = N'extracanone')
		AND     (Ordini.IDCommessa = $IdCommessa) 
		AND (Ordini.CodEdificio = $IdEdificio) 
		$addWhere
sql;

$paginazione = ntxPaginazione($sql, "AnnoOrdine desc, NumOrdine desc");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Ordine
			<th>Data Ordine
			<th>Des.Stato
			<th>Vani Fatti
			<th>Grado Urgenza
			<th>Piano
			<th>Data Inizio Prog
			<th>Data Fine Prog
			<th>Data Inizio
			<th>Data Fine
			<th>Attività Capitolato
			<th>Descrizione Intervento
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	
	$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
	$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);
/*	
	if ( $rs[IDStato]>=50 ) 
		$disabled = "disabled";
	else
		$disabled = "";
*/
	if ( $rs[IDStato]<50 ) 
		$style = "style='background-color:#FFBBBB;text-align:center'";
	else
		$style = "style='background-color:#BBFFBB;text-align:center'";
	
	if ( $rs[numEseguiti]<$rs[numVani] ) 
		$style2 = "style='background-color:#FFBBBB;text-align:center'";
	elseif ( $rs[numVani]==0 ) 
		$style2 = "style='background-color:white;text-align:center'";
	else
		$style2 = "style='background-color:#BBFFBB;text-align:center'";

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$table .= <<< table
		<tr $classTr>
			<td><input type=button value="sel" onclick="DettaglioOrdine($html[NumOrdine], $html[AnnoOrdine])" $disabled />
			<td>$html[NumOrdine]/$html[AnnoOrdine]
			<td>$html[DataOrdine]
			<td $style>$html[DesStato]
			<td $style2>$rs[numEseguiti]/$rs[numVani]
			<td>$html[GradoUrgenza]
			<td>$html[Piano]
			<td>$html[DataInizioProg]
			<td>$html[DataFineProg]
			<td>$html[DataInizio]
			<td>$html[DataFine]
			<td>{$html[Mestiere]} - {$html[CompMest]} - {$html[AttMest]}
			<td>{$html[DescrizioneIntervento]}{$html[DescrizioneIntervento1]}{$html[DescrizioneIntervento2]}
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
