var engineMap = null;

$(function(){
	// settaggi
	$('input[type=text][DatePicker]').datepicker();
	
	CaricaComboPiani();
		
	frmRicerca.btnRicerca.click();

	engineMap = new CanvasEngine('CanvasMappa', funcCallBackMap);
	
	engineMap.Image.src = "white.bmp";

	CaricaMappa('fit');
	
	funcToolbar1('info_vano');
});

function SettaVani(stato)
{
	frmMappa.VaniFatti.value = stato;
	
	var result = jhp("jhp/ordini/mappa/setta_vani.php", jhp_frm(frmMappa));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		frmMappa.VaniSelezionati.value = "";
		CaricaMappa('');
	}
}

function DettaglioOrdine(NumOrdine, AnnoOrdine)
{
	frmMappa.NumOrdine.value  = frmEditOrdine.NumOrdine.value  = frmRicerca.NumOrdine.value  = NumOrdine;
	frmMappa.AnnoOrdine.value = frmEditOrdine.AnnoOrdine.value = frmRicerca.AnnoOrdine.value = AnnoOrdine;

	frmEditOrdine.NumAnnoOrdine.value = frmEditOrdine.NumOrdine.value+"/"+frmEditOrdine.AnnoOrdine.value;

	CaricaFormEdit();
	
	frmRicerca.btnRicerca.click();
	
	frmRicerca.NumOrdine.value = "";
	frmRicerca.AnnoOrdine.value = "";
	
	CaricaComboPianiMappa();
	CambiaPiano();
}

function CaricaFormEdit()
{
	var result = jhp("jhp/ordini/ordini/carica_form.php", jhp_frm(frmEditOrdine));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var CampiEditOrdine = ['StatoOrdine',
					'DataInizio',
					'DataFine',
					'StatoOrd'];
		
		var rs = result.value;
		var i, len=CampiEditOrdine.length;

		for(i=0;i<len;++i)
			$(frmEditOrdine[CampiEditOrdine[i]]).val(rs[CampiEditOrdine[i]]);
		
		$(frmEditOrdine.btnModifica).toggle(frmEditOrdine.StatoOrd.value == 35 || frmEditOrdine.StatoOrd.value == 40);
		$(frmEditOrdine.btnContabilizza).toggle(frmEditOrdine.StatoOrd.value == 50 || (frmEditOrdine.StatoOrd.value > 70 && frmEditOrdine.StatoOrd.value < 200));
		$('#trPrezziario').hide();
	}
}

function ModificaOrdine()
{
	if ( !$.isNumeric(frmEditOrdine.NumOrdine.value) ) 
	{
		alert("Nessuna ordine selezionato!");
		return;
	}
	
	var result = jhp("jhp/ordini/ordini/modifica.php", jhp_frm(frmEditOrdine));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		CaricaFormEdit()

		alert("modifica avvenuta correttamente!");
	}
}

function ContabilizzaOrdineStep1()
{
	var result = jhp("jhp/ordini/ordini/prezziari.php", jhp_frm(frmEditOrdine));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(frmEditOrdine.Prezziario).html(result.value);
		$('#trPrezziario').show();
	}
}

function ContabilizzaOrdine()
{
	if ( !$.isNumeric(frmEditOrdine.NumOrdine.value) ) 
	{
		alert("Nessuna ordine selezionato!");
		return;
	}
	
	if ( frmEditOrdine.Prezziario.selectedIndex==-1 ) 
	{
		alert("Nessun prezziario selezionato!");
		return;
	}
	
	if ( !confirm("Contabilizza?") ) return;
	
	var result = jhp("jhp/ordini/ordini/contabilizza.php", jhp_frm(frmEditOrdine));

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		CaricaFormEdit()

		alert("Contabilizzazione avvenuta correttamente!");
	}
}

function CaricaComboPiani()
{
	var result = jhp("jhp/ordini/carica_piani.php", {
				IdEdificio:frmMappa.IdEdificio.value
			});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(frmRicerca.Piano).html("<option value=''>"+result.value);
	}
}

function CaricaComboPianiMappa()
{
	var result = jhp("jhp/ordini/carica_piani_ordine.php", {
				IdEdificio:frmMappa.IdEdificio.value,
				NumOrdine:frmMappa.NumOrdine.value,
				AnnoOrdine:frmMappa.AnnoOrdine.value
			});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#cboPiano').html(result.value);
	}
}


function AddSelezioneVani(IdVano)
{
	if ( $.isNumeric(IdVano)=="" )
	{
		frmMappa.VaniSelezionati.value = "";
		return;
	}
	
	var PrecedentiVaniSelezionati = frmMappa.VaniSelezionati.value.split(",");
	var result = "";
	
	var i, k;
	var trovato;
	
	trovato = false;
		
	for(i=0, k=0; i<PrecedentiVaniSelezionati.length; ++i)
	{
		if ( PrecedentiVaniSelezionati[i]==IdVano )
		{
			trovato = true;
		}
		else
		{
			if ( result!="" ) result += ",";
			result += PrecedentiVaniSelezionati[i];
		}
	}
		
	if ( !trovato )
	{
		if ( result!="" ) result+=",";
		result += IdVano
	}
	
	frmMappa.VaniSelezionati.value = result;
}