<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$sql = <<< sql
	SELECT  DISTINCT   
			DestinazioniDusoLivello.Destinazione AS DesUso, 
			PianoLivello.CodiceAssLivello AS CodicePiano, 
			ElencoEdifici.ID AS IdEdificio, 
			ElencoEdifici.Codice, 
			ElencoEdifici.EdificioBreve AS Nome, 
			ElencoEdifici.Indirizzo, 
			ElencoEdifici.CITTA AS Comune,
			ElencoEdifici.Provincia, 
			ElencoEdifici.Cap, 
			tblPgPropietari.Nome AS Ente
FROM         PianoLivello INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
                      TipiLivello ON PianoLivello.IdCommessa = TipiLivello.IdCommessa AND PianoLivello.IdTipoPiano = TipiLivello.IDTipoLivello LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
			WHERE     (PianoLivello.IdCommessa = $IdCommessa)
			AND (PianoLivello.IdEdificio = $IdEdificio)
			AND (PianoLivello.idPiano = $IdPiano)
sql;

$query = ntxQuery($sql);

?>

<table>
	<tr>
		<th>Codice Piano</th>
		<th>Piano</th>
		<th>Codice Localizzazione</th>
		<th>Localizzazione</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
		<th>Ente</th>
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CodicePiano']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesUso']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Nome']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Provincia']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cap']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>