<?php  

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$sql = <<< sql
	SELECT     
			tblPgContratti.IdPgContratto, 
			tblPgContratti.Descrizione AS Contratto, 
			PraticheDismissioneAmbienti.Id, 
			PraticheDismissioneAmbienti.Descrizione, 
            PraticheDismissioneAmbienti.DataInizio, 
			PraticheDismissioneAmbienti.DataFine, 
			PraticheDismissioneAmbienti.Percentuale
FROM         PraticheDismissioneAmbienti INNER JOIN
                      tblPgContratti ON PraticheDismissioneAmbienti.IdContrattoGestione = tblPgContratti.IdPgContratto
	  WHERE     (PraticheDismissioneAmbienti.IdCommessa = $IdCommessa)
	  AND     (PraticheDismissioneAmbienti.IdEdificio = $IdEdificio)
	  AND     (PraticheDismissioneAmbienti.IdPiano = $IdPiano)
sql;
	
if ( is_numeric($_POST['IdContratto'])) 
{
	$IdContratto = (int)$_POST['IdContratto'];
	$sql .= " AND (PraticheDismissioneAmbienti.IdContrattoGestione = $IdContratto) ";
}

if ( is_numeric($_POST['IdPratica'])) 
{
	$IdPratica = (int)$_POST['IdPratica'];
	$sql .= " AND (PraticheDismissioneAmbienti.Id = $IdPratica) ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND PraticheDismissioneAmbienti.Descrizione LIKE '%".$str."%' ";
}

if ( isset($_POST['DataInzio'])  &&  strlen($_POST['DataInzio'])>0) 
{
	$str = stripslashes($_POST['DataInzio']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND (PraticheDismissioneAmbienti.DataFine >= dbo.cdate('".$str."') OR PraticheDismissioneAmbienti.DataFine IS NULL) ";
}

if ( isset($_POST['DataFine'])  &&  strlen($_POST['DataFine'])>0) 
{
	$str = stripslashes($_POST['DataFine']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND (PraticheDismissioneAmbienti.DataInizio <= dbo.cdate('".$str."') OR PraticheDismissioneAmbienti.DataInizio IS NULL) ";
}

$sql .= " ORDER BY PraticheDismissioneAmbienti.DataInizio DESC, PraticheDismissioneAmbienti.DataFine DESC;";

$query = ntxQuery($sql);
	
?>
