<?php  

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sql = <<< sql
SELECT     DISTINCT
	tblPgContratti.IdPgContratto, 
	tblPgContratti.Descrizione AS Contratto, 
	PraticheDismissioneAmbienti.Id, 
	PraticheDismissioneAmbienti.IdEdificio, 
	PraticheDismissioneAmbienti.IdPiano, 
	PraticheDismissioneAmbienti.Descrizione, 
	PraticheDismissioneAmbienti.DataInizio, 
	PraticheDismissioneAmbienti.DataFine, 
	PraticheDismissioneAmbienti.Percentuale, 
	tblPgPropietari.Nome AS Cliente, 
	ElencoEdifici.EdificioBreve AS Locazione, 
	ElencoEdifici.Indirizzo, 
	ElencoEdifici.CITTA AS Comune, 
	ElencoEdifici.PROVINCIA AS Prov,
	ElencoEdifici.Cap,
	ElencoEdifici.Rimosso, 
	DestinazioniDusoLivello.Destinazione AS DesPiano, 
	PianoLivello.CodiceAssLivello AS CodPiano,
	PianoLivello.Rimosso AS RimossoPiano
FROM         PraticheDismissioneAmbienti INNER JOIN
                      tblPgContratti ON PraticheDismissioneAmbienti.IdContrattoGestione = tblPgContratti.IdPgContratto INNER JOIN
                      ElencoEdifici ON PraticheDismissioneAmbienti.IdCommessa = ElencoEdifici.IdCommessa AND 
                      PraticheDismissioneAmbienti.IdEdificio = ElencoEdifici.ID INNER JOIN
                      PianoLivello ON PraticheDismissioneAmbienti.IdCommessa = PianoLivello.IdCommessa AND 
                      PraticheDismissioneAmbienti.IdEdificio = PianoLivello.IdEdificio AND PraticheDismissioneAmbienti.IdPiano = PianoLivello.idPiano LEFT OUTER JOIN
                      tblUtEdifici ON ElencoEdifici.IdCommessa = tblUtEdifici.IdCommessa AND ElencoEdifici.ID = tblUtEdifici.IdEdificio LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	  WHERE     (PraticheDismissioneAmbienti.IdCommessa = $IdCommessa)
sql;

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (PraticheDismissioneAmbienti.IdEdificio = $IdEdificio) ";
}

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sql .= " AND (tblPgPropietari.IdPropietario = $IdPropietario) ";
}
	
if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sql .= " AND (tblUtEdifici.IdUtilizzatore = $IdUtilizzatore) ";
}
	
if ( is_numeric($_POST['IdContratto'])) 
{
	$IdContratto = (int)$_POST['IdContratto'];
	$sql .= " AND (PraticheDismissioneAmbienti.IdContrattoGestione = $IdContratto) ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND PraticheDismissioneAmbienti.Descrizione LIKE '%".$str."%' ";
}

if ( isset($_POST['DataInzio'])  &&  strlen($_POST['DataInzio'])>0) 
{
	$str = stripslashes($_POST['DataInzio']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND (PraticheDismissioneAmbienti.DataFine >= dbo.cdate('".$str."') OR PraticheDismissioneAmbienti.DataFine IS NULL) ";
}

if ( isset($_POST['DataFine'])  &&  strlen($_POST['DataFine'])>0) 
{
	$str = stripslashes($_POST['DataFine']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND (PraticheDismissioneAmbienti.DataInizio <= dbo.cdate('".$str."') OR PraticheDismissioneAmbienti.DataInizio IS NULL) ";
}

$sql .= " ORDER BY PraticheDismissioneAmbienti.DataInizio DESC, PraticheDismissioneAmbienti.DataFine DESC;";

$query = ntxQuery($sql);
	
?>
