<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment");
	
require_once('sql.inc');

	$mesi = array ( "", 
				"Gennaio","Febbraio","Marzo","Aprile",
				"Maggio","Giugno","Luglio","Agosto",
				"Settembre","Ottobre","Novembre","Dicembre" );
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>


<table>
	<tr>
		<th>Contratto</th><td>&nbsp;<?php echo htmlentities($Contratto) ?>
		<th>Mese</th><td>&nbsp;<?php echo htmlentities($mesi[$Mese]) ?>
		<th>Anno</th><td>&nbsp;<?php echo htmlentities($Anno) ?>
</table>
<br>
<table>
	<tr>
		<th>TIPO AREA</th>
		<th>CANONE A MQ MENSILE</th>
		<th>DATA INIZIO</th>
		<th>DATA FINE</th>
	</tr>   
<?php
	$alternate = true;

	while( $rs = ntxRecord($query2) )
	{
?>
	<tr>
		<td>&nbsp;<?php echo htmlentities($rs['TipoArea']) ?></td>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['CanoneMQ'],2) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataFine']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<br>
<table>
	<tr>
		<th>Localizzazione</th>
		<th>TIPO AREA</th>
		<th>CARATTERISTICA</th>
		<th>MQ TOTALI</th>
		<th>CANONE CONTRATTO</th>
		<th>CANONE MENSILE NETTO</th>
	</tr>   
<?php
	$alternate = true;

	$tot1 = 0;
	$tot2 = 0;
	$tot3 = 0;
	
	while( $rs = ntxRecord($query) )
	{
		$tot1 += $rs['TotMQ'];
		$tot2 += $rs['CanoneContratto'];
		$tot3 += $rs['CanoneMensileNetto'];
?>
	<tr>
		<td>&nbsp;<?php echo htmlentities($rs['Edificio']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['TipoArea']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Caratteristica']) ?></td>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['TotMQ'],2) ?></td>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['CanoneContratto'],2) ?></td>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['CanoneMensileNetto'],2) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
	
	$tot1 = ntxRoundThousand($tot1,2);
	$tot2 = ntxRoundThousand($tot2,2);
	$tot3 = ntxRoundThousand($tot3,2);
	
	echo <<< echo
		<td colspan=3>&nbsp;
		<td><b>$tot1</b>
		<td><b>$tot2</b>
		<td><b>$tot3</b>
echo;
?>

</table>

</body>
</html>


