<?php  

$IdCommessa = ntxise('IdCommessa');

if ( !is_numeric($_POST['IdPgContratto'])) 
	die("Selezionare contratto!");
	
$sql = <<< sql
	SELECT   DISTINCT  
			tblPgContratti.IdPgContratto, 
			tblPgPropietari.Nome AS Cliente, 
			tblPgGestori.Nome AS Gestore, 
			tblPgContratti.Descrizione, 
			tblPgContratti.Note, 
            tblPgContratti.DataContratto, 
			tblPgContratti.DataInizio, 
			tblPgContratti.DataFine, 
			tblPgContratti.Aperto, 
			tblPgContratti.CentroDiCosto,
			tblPgContratti.TipoContratto
	FROM         tblPgContratti LEFT OUTER JOIN
	  tblPgContrattiPropietariGestoriAttivitàEdifici 
	  ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto LEFT OUTER JOIN
	  tblPgGestori ON tblPgContratti.IdGestore = tblPgGestori.IdGestore LEFT OUTER JOIN
	  tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
	WHERE     (tblPgContratti.IdCommessa = $IdCommessa)  
sql;

$IdContrattoGestione = (int)$_POST['IdPgContratto'];
$sql .= " AND tblPgContratti.IdPgContratto = $IdContrattoGestione ";

$query = ntxQuery($sql);
	
$sql = <<< sql
	SELECT DISTINCT    ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
						  tblPgPropietari.Nome AS Ente
	FROM         ElencoEdifici INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON ElencoEdifici.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      ElencoEdifici.ID = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = $IdCommessa)  
	AND     (tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = $IdContrattoGestione)  
sql;
                   
if ( isset($_POST['Nome'])  &&  strlen($_POST['Nome'])>0) 
{
	$str = stripslashes($_POST['Nome']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.EdificioBreve  LIKE '%$str%' ";
}
                   
if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.Indirizzo  LIKE '%$str%' ";
}
                   
if ( isset($_POST['Comumne'])  &&  strlen($_POST['Comumne'])>0) 
{
	$str = stripslashes($_POST['Comumne']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.CITTA  LIKE '%$str%' ";
}
                   
if ( isset($_POST['Prov'])  &&  strlen($_POST['Prov'])>0) 
{
	$str = stripslashes($_POST['Prov']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.PROVINCIA  = '$str' ";
}

$query2 = ntxPagedQuery($sql, "Codice, EdificioBreve, Indirizzo");
	
?>
