<?php

session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$table = new NtxTable('PraticheDismissioneAmbienti');

$IdCommessa = ntxise('IdCommessa');

if ( !is_numeric($_POST[IdPgContratto]) )
	jhp_error("Prima selezionare contratto gestione!");

if ( !is_numeric($_POST[IdEdificio]) || !is_numeric($_POST[IdPiano]) )
	jhp_error("Prima selezionare edificio/piano!");
	
$insert = $table->insert();

$insert->init();

$insert->setse('IdCommessa');
$insert->setp('Descrizione');
$insert->setp('DataInizio');
$insert->setp('DataFine');
$insert->setp('Percentuale');
$insert->set('IdContrattoGestione', $_POST[IdPgContratto]);
$insert->set('UtenteModifica', $_SESSION[IdUtente]);
$insert->set('DataOraModifica', 'getdate()', true);
$insert->setp('IdEdificio');
$insert->setp('IdPiano');

$insert->execute();

$result = ntxId();

jhp($result);

?>
