<?php  

$IdCommessa = ntxise('IdCommessa');

if ( !is_numeric($_POST['IdPgContratto'])) 
	die("Selezionare contratto!");
	
if ( !is_numeric($_POST['IdEdificio'])) 
	die("Selezionare edificio!");
	
$sql = <<< sql
	SELECT   DISTINCT  
			tblPgContratti.IdPgContratto, 
			tblPgPropietari.Nome AS Cliente, 
			tblPgGestori.Nome AS Gestore, 
			tblPgContratti.Descrizione, 
			tblPgContratti.Note, 
            tblPgContratti.DataContratto, 
			tblPgContratti.DataInizio, 
			tblPgContratti.DataFine, 
			tblPgContratti.Aperto, 
			tblPgContratti.CentroDiCosto,
			tblPgContratti.TipoContratto
	FROM         tblPgContratti LEFT OUTER JOIN
	  tblPgContrattiPropietariGestoriAttivitàEdifici 
	  ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto LEFT OUTER JOIN
	  tblPgGestori ON tblPgContratti.IdGestore = tblPgGestori.IdGestore LEFT OUTER JOIN
	  tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
	WHERE     (tblPgContratti.IdCommessa = $IdCommessa)  
sql;

$IdContrattoGestione = (int)$_POST['IdPgContratto'];
$IdEdificio = (int)$_POST['IdEdificio'];
$sql .= " AND tblPgContratti.IdPgContratto = $IdContrattoGestione ";

$query = ntxQuery($sql);
	
$sql = <<< sql
	SELECT DISTINCT    ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
						  tblPgPropietari.Nome AS Ente
	FROM         ElencoEdifici LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (ElencoEdifici.IdCommessa = $IdCommessa)  
	AND     (ElencoEdifici.ID = $IdEdificio)  
sql;
                   

$query2 = ntxQuery($sql);
	
$sql = <<< sql
	SELECT     PianoLivello.IdEdificio, PianoLivello.idPiano, DestinazioniDusoLivello.Destinazione
	FROM         PianoLivello INNER JOIN
						  DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
						  PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (PianoLivello.IdCommessa = $IdCommessa)  
	AND     (PianoLivello.IdEdificio = $IdEdificio)  
	ORDER BY DestinazioniDusoLivello.ordinamento, DestinazioniDusoLivello.Destinazione
sql;
                   

$query3 = ntxQuery($sql);
	
?>
