<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
</head>
<body  >

<?php
	
require_once('pratiche_table_sql.inc');

?>

<table class=grid>
	<caption>Contratto Selezionato
	<tr>
		<th>DataContratto</th>
		<th>Id Contratto</th>
		<th>Cliente</th>
		<th>Gestore</th>
		<th>Descrizione</th>
		<th>Note</th>
		<th>DataInizio</th>
		<th>DataFine</th>
		<th>Aperto</th>
		<th>TipoContratto</th>
	</tr>   

<?php
	$alternate = true;

	while( $query  &&  $rs = ntxRecord($query) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?> >
		<td>&nbsp;<?php echo ntxDate($rs['DataContratto']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['IdPgContratto']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Cliente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Gestore']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataFine']) ?></td>
		<td>&nbsp;<?php echo $rs['Aperto']==1 ? "SI" : "no" ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['TipoContratto']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<?php ntxPagedPrintNavigation() ?>

<table class=grid>
	<tr>
		<th></th>
		<th></th>
		<th></th>
		<th>Id</th>
		<th>Descrizione</th>
		<th>DataInizio</th>
		<th>DataFine</th>
		<th>%</th>
		<th>Localizzazione</th>
		<th>Piano</th>
	</tr>   

<?php
	$alternate = true;

	$indexRow = 0;
	
	while( $query2  &&  $rs = ntxRecord($query2) )
	{
?>
	<tr <?php echo  "id=tr_$indexRow ".($alternate ? "" : "class=alternate") ?> >
		<td><input type=button value="edit" onclick="Edit('<?php echo $rs['Id'] ?>')" /></td>
		<td><input type=button value="elimina" onclick="Elimina(<?php echo "'tr_$indexRow', '$rs[Id]'" ?>)" /></td>
		<td><input type=button value="ambienti" onclick="Ambienti(<?php echo "'$rs[Id]'" ?>)" /></td>
		<td>&nbsp;<?php echo htmlentities($rs['Id']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataFine']) ?></td>
		<td>&nbsp;<?php echo ntxRound($rs['Percentuale'],2) ?></td>
		<td>&nbsp;<?php echo htmlentities("$rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] ($rs[PROVINCIA])") ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Piano']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
		$indexRow++;
	}
?>
</table>
<?php ntxPagedPrintBody() ?>
<?php ntxPagedPrintNavigation() ?>

<script language=javascript>

function Ambienti(IdPratica)
{ 
	parent.ambienti_filtri.Carica(IdPratica);
	parent.Sel('ambienti');
}

function Edit(IdPratica)
{ 
	parent.pratiche_edit.Carica(IdPratica);
	parent.Sel('pratiche_edit');
}

function Elimina(idRow, IdPratica)
{ 
	if (!confirm('Sicuro di voler eliminare la pratica?')) return;
	
	var result = jhp("jhp/elimina_pratica.php", {Id: IdPratica});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#'+idRow).remove();
	}
}

</script>

</body>
</html>
