<?php  

$IdCommessa = ntxise('IdCommessa');

if ( !is_numeric($_POST['IdPgContratto'])) 
	die("Selezionare contratto!");
	
$sql = <<< sql
	SELECT   DISTINCT  
			tblPgContratti.IdPgContratto, 
			tblPgPropietari.Nome AS Cliente, 
			tblPgGestori.Nome AS Gestore, 
			tblPgContratti.Descrizione, 
			tblPgContratti.Note, 
            tblPgContratti.DataContratto, 
			tblPgContratti.DataInizio, 
			tblPgContratti.DataFine, 
			tblPgContratti.Aperto, 
			tblPgContratti.CentroDiCosto,
			tblPgContratti.TipoContratto
	FROM         tblPgContratti LEFT OUTER JOIN
	  tblPgContrattiPropietariGestoriAttivitàEdifici 
	  ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto LEFT OUTER JOIN
	  tblPgGestori ON tblPgContratti.IdGestore = tblPgGestori.IdGestore LEFT OUTER JOIN
	  tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
	WHERE     (tblPgContratti.IdCommessa = $IdCommessa)  
sql;

$IdContrattoGestione = (int)$_POST['IdPgContratto'];
$sql .= " AND tblPgContratti.IdPgContratto = $IdContrattoGestione ";

$query = ntxQuery($sql);
	
$sql = <<< sql
	SELECT     PraticheDismissioneAmbienti.Id, PraticheDismissioneAmbienti.Descrizione, PraticheDismissioneAmbienti.DataInizio, 
                      PraticheDismissioneAmbienti.DataFine, PraticheDismissioneAmbienti.Percentuale, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, 
                      ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, DestinazioniDusoLivello.Destinazione AS Piano
	FROM         PraticheDismissioneAmbienti INNER JOIN
                      ElencoEdifici ON PraticheDismissioneAmbienti.IdCommessa = ElencoEdifici.IdCommessa AND 
                      PraticheDismissioneAmbienti.IdEdificio = ElencoEdifici.ID INNER JOIN
                      PianoLivello ON PraticheDismissioneAmbienti.IdCommessa = PianoLivello.IdCommessa AND 
                      PraticheDismissioneAmbienti.IdEdificio = PianoLivello.IdEdificio AND PraticheDismissioneAmbienti.IdPiano = PianoLivello.idPiano INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (PraticheDismissioneAmbienti.IdCommessa = $IdCommessa)  
	AND     (PraticheDismissioneAmbienti.IdContrattoGestione = $IdContrattoGestione)  
sql;
                   
if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND PraticheDismissioneAmbienti.Descrizione  LIKE '%$str%' ";
}

if ( isset($_POST['Data1'])  &&  strlen($_POST['Data1'])>0) 
{
	$str = ntxtp('Data1');
	$sql .= " AND PraticheDismissioneAmbienti.DataFine >= $str ";
}

if ( isset($_POST['Data2'])  &&  strlen($_POST['Data2'])>0) 
{
	$str = ntxtp('Data2');
	$sql .= " AND PraticheDismissioneAmbienti.DataInizio <= $str ";
}

$query2 = ntxPagedQuery($sql, "DataInizio DESC");
	
?>
