<?php  

$IdContratto = ntxip('IdContratto',false);
$Mese = ntxip('Mese',false);
$Anno = ntxip('Anno',false);
$d1 = ntxt("1/$Mese/$Anno");

$sql = <<< sql
	SELECT     Descrizione
	FROM         tblPgContratti
	WHERE     (IdPgContratto = $IdContratto)
sql;

$Contratto = ntxScalar($sql);
					  
$sub = <<< sub
	SELECT     SUM(
					cta.CanoneMQ / day(dateadd(day,-1,dateadd(month,1,$d1))) 
					* a.MQ * isnull(pda.Percentuale, 100)/100
					* case when (pda.DataInizio is null or pda.DataInizio<=dateadd(day,-1,dateadd(month,1,$d1)))
								and (pda.DataFine is null or pda.DataFine>=$d1) 
								and (cdca.DataInizio is null or cdca.DataInizio<=dateadd(day,-1,dateadd(month,1,$d1)))
								and (cdca.DataFine is null or cdca.DataFine>=$d1) then
							DATEDIFF(day,
									case when (pda.DataInizio is null or pda.DataInizio<=$d1) and (cdca.DataInizio is null or cdca.DataInizio<=$d1) then
										$d1
									else
										case when pda.DataInizio<=cdca.DataInizio then
											cdca.DataInizio
										else
											pda.DataInizio
										end
									end
									
									, case when (pda.DataFine is null or pda.DataFine>=dateadd(day,-1,dateadd(month,1,$d1)))
												and (cdca.DataFine is null or cdca.DataFine>=dateadd(day,-1,dateadd(month,1,$d1))) then
										dateadd(day,-1,dateadd(month,1,$d1))
									else
										case when pda.DataFine>=cdca.DataFine then
											cdca.DataInizio
										else
											pda.DataFine
										end
									end
									
									)+1
						else
							0
						end
			) 
	FROM         PianoLivello AS pl INNER JOIN
                      ElencoEdifici AS e ON pl.IdCommessa = e.IdCommessa AND pl.IdEdificio = e.ID INNER JOIN
                      Ambiente AS a ON pl.IdCommessa = a.IdCommessa AND pl.IdEdificio = a.IdEdificio AND pl.idPiano = a.IdLivello INNER JOIN
                      PraticheDismissioneAmbienti AS pda ON pl.IdCommessa = pda.IdCommessa AND pl.IdEdificio = pda.IdEdificio AND pl.idPiano = pda.IdPiano INNER JOIN
                      TipiAree AS t INNER JOIN
                      CanoniTipiAree AS cta ON t.IdCommessa = cta.IdCommessa AND t.IdTipoArea = cta.IdTipoArea ON pda.IdContrattoGestione = t.IdContrattoGestione INNER JOIN
                      AmbientiPraticheDismissioni AS apd ON a.IdCommessa = apd.IdCommessa AND a.IdEdificio = apd.IdEdificio AND a.IDAmbiente = apd.IdAmbiente AND 
                      pda.Id = apd.IdPraticaDismissione INNER JOIN
                      CdCAmbienti AS cdca ON a.IdCommessa = cdca.IdCommessa AND a.IdEdificio = cdca.IdEdificio AND a.IDAmbiente = cdca.IdAmbiente INNER JOIN
                      CdC AS cdccc ON cdca.IdCdC = cdccc.IdCdC INNER JOIN
                      CdcTipiAree AS cdcta ON t.IdCommessa = cdcta.IdCommessa AND t.IdTipoArea = cdcta.IdTipoArea AND cdccc.IdCdC = cdcta.IdCdC
	WHERE     (cdccc.IdCdC = CdC.IdCdC)
			AND (e.IdCommessa = ElencoEdifici.IdCommessa) 
			AND (t.IdTipoArea = TipiAree.IdTipoArea) 
			AND (e.ID = ElencoEdifici.ID)  
			AND (a.Rimosso IS NULL OR a.Rimosso = 0)
sub;
					  
$sql = <<< sql
	SELECT     ElencoEdifici.IdCommessa, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, TipiAree.IdTipoArea, ElencoEdifici.EdificioBreve AS Edificio, TipiAree.Descrizione AS TipoArea, 
						  SUM(Ambiente.MQ * CanoniTipiAree.CanoneMQ) AS CanoneContratto, SUM(Ambiente.MQ) AS TotMQ, SUM(Ambiente.MQ * ElencoEdifici.RapportoMqLordiNetti) 
						  AS TotMqLordi, 
						  
						  SUM(Ambiente.MQ * CanoniTipiAree.CanoneMQ) - ISNULL(($sub), 0) AS CanoneMensileNetto, 
						  
						  CdC.CdC, CdC.IdCdC,
						  ElencoEdifici.RapportoMqLordiNetti
	FROM         CdCAmbienti INNER JOIN
						  PianoLivello INNER JOIN
						  ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND PianoLivello.idPiano = Ambiente.IdLivello ON 
						  CdCAmbienti.IdCommessa = Ambiente.IdCommessa AND CdCAmbienti.IdEdificio = Ambiente.IdEdificio AND CdCAmbienti.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
						  CdC ON CdCAmbienti.IdCdC = CdC.IdCdC INNER JOIN
						  CdcTipiAree ON CdC.IdCdC = CdcTipiAree.IdCdC INNER JOIN
						  TipiAree INNER JOIN
						  CanoniTipiAree ON TipiAree.IdCommessa = CanoniTipiAree.IdCommessa AND TipiAree.IdTipoArea = CanoniTipiAree.IdTipoArea ON 
						  CdcTipiAree.IdCommessa = TipiAree.IdCommessa AND CdcTipiAree.IdTipoArea = TipiAree.IdTipoArea

	WHERE     (TipiAree.IdContrattoGestione = $IdContratto) 
	AND (CanoniTipiAree.DataInizio <= $d1) 
	AND (CanoniTipiAree.DataFine >= $d1)
	AND (CdCAmbienti.DataInizio <= $d1) 
	AND (CdCAmbienti.DataFine >= $d1)
	AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0)
sql;

if ( is_numeric($_POST[IdTipoArea]) )
	$sql .= " AND TipiAree.IdTipoArea=".ntxip('IdTipoArea')." ";
	
$sql .= <<< sql
	GROUP BY ElencoEdifici.IdCommessa, ElencoEdifici.ID, ElencoEdifici.Codice, TipiAree.IdTipoArea, ElencoEdifici.EdificioBreve, TipiAree.Descrizione, CdC.CdC, CdC.IdCdC, 
						  ElencoEdifici.RapportoMqLordiNetti
	ORDER BY Edificio, CdC.CdC, TipoArea
sql;

$query = ntxQuery($sql);

$sql = <<< sql
SELECT     TipiAree.Descrizione AS TipoArea, CanoniTipiAree.CanoneMQ, CanoniTipiAree.DataInizio, CanoniTipiAree.DataFine
FROM         TipiAree INNER JOIN
                      CanoniTipiAree ON TipiAree.IdCommessa = CanoniTipiAree.IdCommessa AND TipiAree.IdTipoArea = CanoniTipiAree.IdTipoArea
WHERE     (TipiAree.IdContrattoGestione = $IdContratto) 
	AND (CanoniTipiAree.DataInizio <= $d1) 
	AND (CanoniTipiAree.DataFine >= $d1)
sql;

$query2 = ntxQuery($sql);
?>
