<?php  

$IdContratto = ntxip('IdContratto',false);
$Mese = ntxip('Mese',false);
$Anno = ntxip('Anno',false);
$d1 = ntxt("1/$Mese/$Anno");

$sql = <<< sql
	SELECT     Descrizione
	FROM         tblPgContratti
	WHERE     (IdPgContratto = $IdContratto)
sql;

$Contratto = ntxScalar($sql);
					  
$sub = <<< sub
SELECT     SUM(
					cta.CanoneMQ / day(dateadd(day,-1,dateadd(month,1,$d1))) 
					* a.MQ * isnull(pda.Percentuale, 100)/100
					* case when (pda.DataInizio is null or pda.DataInizio<=dateadd(day,-1,dateadd(month,1,$d1)))
								and (pda.DataFine is null or pda.DataFine>=$d1) 
								and (CAMN.DataInizio is null or CAMN.DataInizio<=dateadd(day,-1,dateadd(month,1,$d1)))
								and (CAMN.DataFine is null or CAMN.DataFine>=$d1) then
							DATEDIFF(day,
									case when (pda.DataInizio is null or pda.DataInizio<=$d1) and (CAMN.DataInizio is null or CAMN.DataInizio<=$d1) then
										$d1
									else
										case when pda.DataInizio<=CAMN.DataInizio then
											CAMN.DataInizio
										else
											pda.DataInizio
										end
									end
									
									, case when (pda.DataFine is null or pda.DataFine>=dateadd(day,-1,dateadd(month,1,$d1)))
												and (CAMN.DataFine is null or CAMN.DataFine>=dateadd(day,-1,dateadd(month,1,$d1))) then
										dateadd(day,-1,dateadd(month,1,$d1))
									else
										case when pda.DataFine>=CAMN.DataFine then
											CAMN.DataInizio
										else
											pda.DataFine
										end
									end
									
									)+1
						else
							0
						end
			) 
FROM         TipiAree AS t INNER JOIN
                      EdificiTipiAree AS eta ON t.IdTipoArea = eta.IdTipoArea AND t.IdCommessa = eta.IdCommessa2 INNER JOIN
                      ElencoEdifici AS e ON eta.IdCommessa1 = e.IdCommessa AND eta.IdEdificio = e.ID INNER JOIN
                      CanoniTipiAree AS cta ON t.IdCommessa = cta.IdCommessa AND t.IdTipoArea = cta.IdTipoArea INNER JOIN
                      CarattereAmbTipiAree AS c ON t.IdCommessa = c.IdCommessa2 AND t.IdTipoArea = c.IdTipoArea INNER JOIN
                      PianoLivello AS pl ON e.IdCommessa = pl.IdCommessa AND e.ID = pl.IdEdificio INNER JOIN
                      Ambiente AS a ON pl.IdCommessa = a.IdCommessa AND pl.IdEdificio = a.IdEdificio AND pl.idPiano = a.IdLivello INNER JOIN
                      PraticheDismissioneAmbienti AS pda ON pl.IdCommessa = pda.IdCommessa AND pl.IdEdificio = pda.IdEdificio AND pl.idPiano = pda.IdPiano AND 
                      t.IdContrattoGestione = pda.IdContrattoGestione INNER JOIN
                      AmbientiPraticheDismissioni AS apd ON a.IdCommessa = apd.IdCommessa AND a.IdEdificio = apd.IdEdificio AND a.IDAmbiente = apd.IdAmbiente AND 
                      pda.Id = apd.IdPraticaDismissione INNER JOIN
                      CaratteristicheAmbientiMN AS CAMN ON a.IdCommessa = CAMN.IdCommessa AND a.IdEdificio = CAMN.IdEdificio AND a.IDAmbiente = CAMN.IdAmbiente AND 
                      c.IdCaratteristicaAmbiente = CAMN.IdCaratteristicaAmbiente
WHERE     (c.IdCaratteristicaAmbiente = CaratteristicheAmbienti.Id) 
			AND (e.IdCommessa = ElencoEdifici.IdCommessa) 
			AND (t.IdTipoArea = TipiAree.IdTipoArea) 
			AND (e.ID = ElencoEdifici.ID)  
			AND (a.Rimosso IS NULL OR a.Rimosso = 0)
sub;
					  
$sql = <<< sql
SELECT     ElencoEdifici.IdCommessa, ElencoEdifici.ID AS IdEdificio, TipiAree.IdTipoArea, CaratteristicheAmbienti.Id AS IdCarratteristiche, 
                      ElencoEdifici.EdificioBreve AS Edificio, TipiAree.Descrizione AS TipoArea, CaratteristicheAmbienti.Descrizione AS Caratteristica, 
                      SUM(Ambiente.MQ * CanoniTipiAree.CanoneMQ) AS CanoneContratto, SUM(Ambiente.MQ) AS TotMQ,
					  SUM(Ambiente.MQ * CanoniTipiAree.CanoneMQ)-isnull(($sub),0) AS CanoneMensileNetto,
					  ElencoEdifici.RapportoMqLordiNetti, SUM(Ambiente.MQ)*ElencoEdifici.RapportoMqLordiNetti AS TotMqLordi
					  
FROM         TipiAree INNER JOIN
                      EdificiTipiAree ON TipiAree.IdTipoArea = EdificiTipiAree.IdTipoArea AND TipiAree.IdCommessa = EdificiTipiAree.IdCommessa2 INNER JOIN
                      ElencoEdifici ON EdificiTipiAree.IdCommessa1 = ElencoEdifici.IdCommessa AND EdificiTipiAree.IdEdificio = ElencoEdifici.ID INNER JOIN
                      CanoniTipiAree ON TipiAree.IdCommessa = CanoniTipiAree.IdCommessa AND TipiAree.IdTipoArea = CanoniTipiAree.IdTipoArea INNER JOIN
                      CarattereAmbTipiAree ON TipiAree.IdCommessa = CarattereAmbTipiAree.IdCommessa2 AND TipiAree.IdTipoArea = CarattereAmbTipiAree.IdTipoArea INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      CaratteristicheAmbienti ON CarattereAmbTipiAree.IdCaratteristicaAmbiente = CaratteristicheAmbienti.Id INNER JOIN
                      CaratteristicheAmbientiMN ON Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio AND 
                      Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente AND CaratteristicheAmbienti.Id = CaratteristicheAmbientiMN.IdCaratteristicaAmbiente
WHERE     (TipiAree.IdContrattoGestione = $IdContratto) 
	AND (CanoniTipiAree.DataInizio <= $d1) 
	AND (CanoniTipiAree.DataFine >= $d1)
	AND (CaratteristicheAmbientiMN.DataInizio <= $d1) 
	AND (CaratteristicheAmbientiMN.DataFine >= $d1)
	AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0)
sql;

if ( is_numeric($_POST[IdTipoArea]) )
	$sql .= " AND TipiAree.IdTipoArea=".ntxip('IdTipoArea')." ";
	
$sql .= <<< sql
GROUP BY ElencoEdifici.IdCommessa, ElencoEdifici.ID, TipiAree.IdTipoArea, ElencoEdifici.EdificioBreve, TipiAree.Descrizione, CaratteristicheAmbienti.Id, 
                      CaratteristicheAmbienti.Descrizione,ElencoEdifici.RapportoMqLordiNetti
ORDER BY Edificio, TipoArea, Caratteristica
sql;

$query = ntxQuery($sql);

$sql = <<< sql
SELECT     TipiAree.Descrizione AS TipoArea, CanoniTipiAree.CanoneMQ, CanoniTipiAree.DataInizio, CanoniTipiAree.DataFine
FROM         TipiAree INNER JOIN
                      CanoniTipiAree ON TipiAree.IdCommessa = CanoniTipiAree.IdCommessa AND TipiAree.IdTipoArea = CanoniTipiAree.IdTipoArea
WHERE     (TipiAree.IdContrattoGestione = $IdContratto) 
	AND (CanoniTipiAree.DataInizio <= $d1) 
	AND (CanoniTipiAree.DataFine >= $d1)
sql;

$query2 = ntxQuery($sql);
?>
