$(function(){
	$('input[type=button]').button().css('font-size','9px');
	$('input[type=reset]').button();
	$('input[type=button][value=\'...\']').css('font-size','8px');
	$('input[type=button][value=\'x\']').css('font-size','8px');
	$('#data1, #data2').datepicker();
});

var campi = new Array("data_confronto",
						"data1", "data2", 
						"ID2",
						"Codice",
						"EdificioBreve",
						"EdificioEstesa",
						"Indirizzo",
						"CITTA",
						"PROVINCIA",
						"Regione",
						"CAP",
						"Tipo");

function CaricaSal(IdSal)
{
	form1.IdSal.value = IdSal;
	
	var result = jhp("jhp/carica_sal.php", {IdSal: form1.IdSal.value});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#dettagio_sal').html(result.value);
	}
	
	Cerca();
}

function Azzera()
{
	var len = campi.length;
	var IdSal = form1.IdSal.value;
	var i;
	
	for ( i=0; i<len; i++ )
	{
		var key = campi[i];
		
		form1[key].value = '';
	}
	
	form1.IdSal.value = IdSal;
}

function Cerca()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/cerca.php", dati_input);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#rihe_costi').html(result.value);
	}
	
	ReportTotali();
}

function ReportTotali()
{
	var spunte = $('input[type="checkbox"][SpuntaSelect]:checked');
	var i;
	
	var IdOrdini = "";

	for (i=0;i<spunte.length;++i)
	{
		if ( IdOrdini != "" )
			IdOrdini += ",";
			
		IdOrdini += $(spunte[i]).attr('IdOrd');
	}
	
	var result = jhp("jhp/totali.php", {IdOrdini:IdOrdini});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#totali').html(result.value);
	}
}

function SelTuttiDef(value)
{
	$('input[tipo=spunta_def]').attr('checked',value);
}

function Azione(azione)
{
	if ( !confirm(azione+"?") ) return;
	
	var spunte = $('input[type="checkbox"][SpuntaSelect]:checked');
	var i;
	
	var IdOrdini = "";

	for (i=0;i<spunte.length;++i)
	{
		if ( IdOrdini != "" )
			IdOrdini += ",";
			
		IdOrdini += $(spunte[i]).attr('IdOrd');
	}

	var result = jhp("jhp/"+azione+".php", {
		IdOrdini: IdOrdini,
		IdSal: form1.IdSal.value
	});
	
	if(result.state)
	{
		alert(result.message);
	}
	
	CaricaSal(form1.IdSal.value);
}
