<?php  
session_start();

require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

// jhp_error("$_POST[IdSal] - $_POST[data_confronto] - $_POST[data1] - $_POST[data2] - $_POST[chkContratto] - $_POST[chkProprietari]");

if ( !is_numeric($_POST[IdSal]) )
	jhp_error('Selezionare prima sal!');
	
$IdCommessa = ntxise('IdCommessa');
$IdSal = ntxip('IdSal');

$sql = <<< sql
	SELECT     tblContrattiFornitori.IdFornitore
	FROM         tblContrattiFornitori INNER JOIN
						  SalContrattiFornitori ON tblContrattiFornitori.IdCommessa = SalContrattiFornitori.IdCommessa AND 
						  tblContrattiFornitori.IdContrattoFornitore = SalContrattiFornitori.IdContrattoFornitore
	WHERE     (SalContrattiFornitori.IdCommessa = $IdCommessa) 
	AND (SalContrattiFornitori.IdSal = $IdSal)
sql;

$IdFornitore = ntxScalar($sql);

$where = <<< where
	 WHERE (Ordini.IdCommessa=$IdCommessa
	 AND Ordini.IdSalContrattoFornitore=$IdSal)
where;
	
if ( !$_POST[chkAssegnateSAL] )
{
	$where .= <<< where
		 OR (Ordini.IdCommessa=$IdCommessa
			 AND Ordini.Assegnazione=$IdFornitore
			 AND Ordini.IdSalContrattoFornitore IS NULL
where;
	
	$nome_campo_data = "";

	if ( $_POST[data_confronto] == 'Ordini.DataInizio' )
		$nome_campo_data = "Ordini.DataInizio";
	elseif ( $_POST[data_confronto] == 'Ordini.DataFine' )
		$nome_campo_data = "Ordini.DataFine";
	elseif ( $_POST[data_confronto] == 'Contabilità.DataContabilità' )
		$nome_campo_data = "Contabilità.DataContabilità";
	elseif ( $_POST[data_confronto] == 'Contabilità.DataApprovazione' )
		$nome_campo_data = "Contabilità.DataApprovazione";
	elseif ( $_POST[data_confronto] == 'Contabilità.DataConsegna' )
		$nome_campo_data = "Contabilità.DataConsegna";

	if ( strlen($nome_campo_data)>0 )
	{
		if ( strlen($_POST[data1])>0 )
		{
			$data1 = ntxtp('data1');
			$where .= " AND $nome_campo_data>=$data1 ";
		}
		
		if ( strlen($_POST[data2])>0 )
		{
			$data2 = ntxtp('data2');
			$where .= " AND $nome_campo_data<=$data2 ";
		}
	}

	if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

	if ( $_POST[chkImportoAutorizzato] ) $where .= <<< where
		AND  (    SELECT SUM(isnull(r.QTA*r.CostoUnit-r.QTA*r.CostoUnit*isnull(r.Sconto,0)/100,0))
		 FROM Costi r
		 WHERE r.Autorizzato=1
			 AND r.IDCommessa=Ordini.IDCommessa
			 AND r.NumOrdine=Ordini.NumOrdine
			 AND r.AnnoOrdine=Ordini.AnnoOrdine
	  )>0
where;

	if ( strlen("$_POST[EdificioBreve]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";

	if ( strlen("$_POST[EdificioEstesa]")>0 ) $where .= " AND ElencoEdifici.EdificioEstesa LIKE '%".str_replace("'","''",$_POST[EdificioEstesa])."%'";

	if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

	if ( strlen("$_POST[CITTA]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";

	if ( strlen("$_POST[PROVINCIA]")>0 ) $where .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[PROVINCIA])."%'";

	if ( strlen("$_POST[Regione]")>0 ) $where .= " AND ElencoEdifici.Regione LIKE '%".str_replace("'","''",$_POST[Regione])."%'";

	if ( strlen("$_POST[CAP]")>0 ) $where .= " AND ElencoEdifici.CAP = '".str_replace("'","''",$_POST[CAP])."'";

	if ( is_numeric($_POST[ID2]) ) $where .= " AND ElencoEdifici.ID=".((int)$_POST[ID2]);

	if ( is_numeric($_POST[Tipo]) )
	{
		if ( $_POST[Tipo]>0 )
			$where .= " AND ElencoEdifici.Tipo=".((int)$_POST[Tipo]);
		else
			$where .= " AND (ElencoEdifici.Tipo=0 OR ElencoEdifici.Tipo IS NULL)";
	}

	$where .= ")";
}

$sql = <<< sql
	SELECT DISTINCT

		Ordini.IdSalContrattoFornitore,
	 (SELECT     SalContrattiFornitori.BloccaModificaSal
		 FROM         SalContrattiFornitori
		 WHERE SalContrattiFornitori.IdCommessa = Ordini.IDCommessa
		 AND SalContrattiFornitori.IdSal = Ordini.IdSalContrattoFornitore
	 ) AS BloccaModificaSal,
		Ordini.NumOrdine,
		Ordini.AnnoOrdine,

		Ordini.IdOrd,
		Ordini.NumRichiesta,
		Ordini.AnnoRichiesta,

		Ordini.IdUtilizzatore,
		Ordini.DataInizio,
		Ordini.DataFine,
		Ordini.DataOrdine,
		Ordini.DataSAL,
		Ordini.CodEdificio,
		Ordini.DescrizioneIntervento,
		Ordini.DescrizioneIntervento1,
		Ordini.DescrizioneIntervento2,

		Richieste.NumRifCli,
		Richieste.AnnoRifCli,
		Richieste.CommRifCli,

	 (    SELECT SUM(isnull(r.QTA*r.CostoUnit-r.QTA*r.CostoUnit*isnull(r.Sconto,0)/100,0))
		 FROM Costi r
		 WHERE r.IDCommessa=Ordini.IDCommessa
			 AND r.NumOrdine=Ordini.NumOrdine
			 AND r.AnnoOrdine=Ordini.AnnoOrdine
	  ) ImpAss,

	 (    SELECT SUM(isnull(r.QTA*r.CostoUnit-r.QTA*r.CostoUnit*isnull(r.Sconto,0)/100,0))
		 FROM Costi r
		 WHERE r.Autorizzato=1
			 AND r.IDCommessa=Ordini.IDCommessa
			 AND r.NumOrdine=Ordini.NumOrdine
			 AND r.AnnoOrdine=Ordini.AnnoOrdine
	  ) ImpAut,

		 StatiContabilità.DesstatoC AS StatoCont,
		 StatiOrdini.DesStato AS StatoOrd, 
		  tblUtUtilizzatori.Nome AS Utilizzatore,
		  
		  ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice AS CodEdificio, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA,
					  
		Ordini.IdSalContrattoFornitore,
		
		Ordini.CdC,
		
		ditte.Ditta
					  
FROM         Ordini inner join ditte on ordini.assegnazione=ditte.idditta LEFT OUTER JOIN
                      tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
                      Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
                      Ordini.AnnoOrdine = Contabilità.AnnoOrdine LEFT OUTER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta LEFT OUTER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
                      StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc INNER JOIN
                      Costi ON Costi.IdCommessa = Ordini.IDCommessa AND Costi.NumOrdine = Ordini.NumOrdine AND Costi.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
$where				
sql;

$sql .= " ORDER BY AnnoOrdine, NumOrdine";

$query = ntxQuery($sql);

$table = "";

$alternate = false;

while ( $rs = ntxRecord($query) )
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs['DataInizio'] = ntxDate($rs['DataInizio']);
	$rs['DataFine'] = ntxDate($rs['DataFine']);
	$rs['DataOrdine'] = ntxDate($rs['DataOrdine']);
	$rs['DataConsegna'] = ntxDate($rs['DataConsegna']);
	$rs['DataSAL'] = ntxDate($rs['DataSAL']);
	$rs['ImpAss'] = ntxRoundThousand($rs['ImpAss'],2);
	$rs['ImpAut'] = ntxRoundThousand($rs['ImpAut'],2);

	$DefChecked = "";
	
	if ( is_numeric($rs['IdSalContrattoFornitore']) )
		if ( $rs['IdSalContrattoFornitore']==$IdSal )
			$DefChecked = "x";
		else
			$DefChecked = "altro";
	
	foreach($rs as $key => $value)
		$html[$key] = htmlentities($value);
	
	$alt = $alternate ? "class=alternate" : "";
	
	$table .= <<< table
<tr $alt>
	<td><input type=checkbox SpuntaSelect IdOrd='$rs[IdOrd]' onclick="ReportTotali()" /></td>
	<td>$DefChecked</td>
	<td>$html[NumOrdine]/$html[AnnoOrdine]
	<td>$html[StatoOrd]
	<td>$html[StatoCont]
	<td>$html[NumRichiesta]/$html[AnnoRichiesta]
	<td>$html[NumRifCli]/$html[AnnoRifCli] - $html[CommRifCli]
	<td>$html[Utilizzatore]
	<td>$html[DataInizio]
	<td>$html[DataFine]
	<td>$html[DataOrdine]
	<td>$html[Ditta]
	<td>$html[IdSalContrattoFornitore]
	<td>$html[DataSAL]
	<td>{$html[IdEdificio]} - {$html[CodEdificio]} - {$html[EdificioBreve]} - {$html[Indirizzo]}  - {$html[CITTA]} ({$html[PROVINCIA]})
	<td>$html[CdC]
	<td>{$html[DescrizioneIntervento]}{$html[DescrizioneIntervento1]}{$html[DescrizioneIntervento2]}
	<td>$html[ImpAss]
	<td>$html[ImpAut]
</tr>
table;

	$alternate = !$alternate;
}

if ( strlen($table)>0 ) 		
	$table = <<< table
<table class=grid>
<caption>Contratto Gestione Sal Selezionato
<tr>
	<th>SEL</th>
	<th>Def</th>
	<th>Ordine
	<th>StatoOrd
	<th>StatoCont
	<th>Richiesta
	<th>Rif.Cliente
	<th>Utilizzatore
	<th>DataInizio
	<th>DataFine
	<th>DataOrdine
	<th>Ditta
	<th>IdSal
	<th>DataSAL
	<th>Localizzazione
	<th>CdC
	<th>Descrizione Intervento
	<th>ImpAss
	<th>ImpAut
</tr>   
$table
</table>
table;
	
jhp($table);

?>
