<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script> 
</head>
<body>

<form id="formReload" name="formReload" method="post"  target="" action="">
	<?php ntxCreateHiddens() ?> 
</form> 

<?php
require_once('elenco_sal_contratto_sql.inc');

$sql = <<< sql
	SELECT     IdSal, NumeroSal, DataSal, DataCompetenza, NumeroFattura, DataFattura, Importo, Progressivo, NoteSal, ImportoProvvisorio, IVA
	FROM         SalContrattiFornitori
	WHERE     (IdCommessa = $IdCommessa) AND (IdContrattoFornitore = $IdContratto)
	ORDER BY NumeroSal
sql;

$query = ntxQuery($sql);
?>
<br>
<table class=grid>
	<caption>Sal Contratto Fornitore
	<tr>
		<th></th>
		<th></th>
		<th></th>
		<th>IdSal
		<th>NumeroSal
		<th>DataSal
		<th>DataCompetenza
		<th>NumeroFattura
		<th>DataFattura
		<th>Importo
		<th>IVA
		<th>Importo + IVA
		<th>Progressivo
		<th>NoteSal
		<th>ImportoProvvisorio
	</tr>   

<?php

$alternate = true;

while ( $rs = ntxRecord($query) )
{
	$rs['Importo'] = $rs['Importo']+0.00;
	$rs['IVA'] = $rs['IVA']+0.00;
	
	$rs['ImportoConIVA'] =  ( ($rs['IVA']/100.00)*$rs['Importo'] ) + $rs['Importo'] ;
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?>>
		<td><input type=button value="edit" onclick="Edit(<?php echo $rs['IdSal'] ?>)" />
		<td><input type=button value="Conti" onclick="Conti(<?php echo $rs['IdSal'] ?>)" />
		<td><input type=button value="Stampe" onclick="Stampe(<?php echo $rs['IdSal'] ?>)" />
		<td>&nbsp;<?php echo htmlentities($rs['IdSal']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['NumeroSal']) ?>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataSal']) ?>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataCompetenza']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['NumeroFattura']) ?>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataFattura']) ?>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['Importo'],2) ?>
		<td><input type="text" style="width:60px;" value="<?php echo ntxRound($rs['IVA'],2) ?>" onchange="update(this , 'IVA', '<?php echo $rs[IdSal] ?>')" />
		<td>&nbsp;<?php echo ntxRoundThousand($rs['ImportoConIVA'], 2) ?>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['Progressivo'],2) ?>
		<td>&nbsp;<?php echo htmlentities($rs['NoteSal']) ?>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['ImportoProvvisorio'],2) ?>
<?php
	$alternate = !$alternate;
}
?>
</table>
<br>
<input type=button value="Aggiungi" onclick="Aggiungi()" />


<form name="formUpdate" id="formUpdate" method="post" >  
	<input type="hidden" name="ID" id="ID" /> 
	<input type="hidden" name="Element" id="Element" /> 
	<input type="hidden" name="valueElement" id="valueElement" /> 
</form>


<script language="javascript"> 
function update(obj , strElement, ID)
{
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID;

	
	if ( !ntxSendForm(document.formUpdate, function(){}, 'update') )
		alert("Errore nel salvataggio dei dati!"); 	
	else
		document.formReload.submit();
}

function Edit(IdSal)
{
	parent.frame_edit_sal.Carica(IdSal);
	parent.drcShowKeyTab("edit_sal");
}

function Conti(IdSal)
{
	parent.frame_edit_costi.CaricaSal(IdSal);
	parent.drcShowKeyTab("edit_costi");
}

function Stampe(IdSal)
{
	form1.IdSal.value = IdSal;
	parent.drcUpdateFrame(form1, "stampe_sal");
	parent.drcShowKeyTab("stampe_sal");
}

function Aggiungi()
{
	parent.frame_edit_sal.SetContratto('<?php echo $IdContratto ?>');
	parent.drcShowKeyTab("edit_sal");
}

$(function(){
	$('input[type=button]').button().css('font-size','8pt');
	$('input[type=reset]').button().css('font-size','8pt');
});
</script>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdContratto value="<?php echo $IdContratto ?>" />
	<input type=hidden name=IdSal value="<?php echo $IdSal ?>" />
</form>

</body>
</html>
