<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
</head>
<body>

<?php

require_once('filtro_contratti_sql.inc');

?>

<form method=post name=form1>
	<input type=hidden name=IdContratto>
</form>

<table class=grid>
	<tr>
		<th></th>
		<th>Aperto</th>
		<th>TipoContratto</th>
		<th>ID</th>
		<th>Fornitore</th>
		<th>Descrizione</th>
		<th>Data Contratto</th>
		<th>Data Inizio</th>
		<th>Data Fine</th>
		<th>Importo</th>
		<th>Note</th>
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?>>
		<td><input type=button value="sel" onclick="SelContratto(<?php echo $rs['IdContrattoFornitore'] ?>)" /></td>
		<td>&nbsp;<?php echo $rs['Aperto'] ? "X" : "" ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['TipoContratto']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['IdContrattoFornitore']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataContratto']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataInizio']) ?></td>
		<td>&nbsp;<?php echo ntxDate($rs['DataFine']) ?></td>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['Importo'],2) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<script language=javascript>

$(function(){
	$('input[type=button]').button().css('font-size','8pt');
});

function SelContratto(IdContratto)
{
	form1.IdContratto.value = IdContratto;
	parent.drcUpdateFrame(form1, "elenco_sal");
	parent.drcShowKeyTab("elenco_sal");
}

</script>

</body>
</html>
