<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdSal = ntxip('IdSal');

$email = ntxScalar("SELECT email FROM Utenti WHERE id=$_SESSION[IdUtente]");

if (strlen($email)>0) 
	$label = htmlentities("Invio Modulo a $email");
else
	$label = htmlentities("Invio Modulo non possibile perchè l'utente è senza email settata!");

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
</head>
<body>

<?php

require_once('elenco_sal_contratto_sql.inc');

$sql = <<< sql
	SELECT     IdSal, NumeroSal, DataSal, DataCompetenza, NumeroFattura, DataFattura, Importo, Progressivo, NoteSal, ImportoProvvisorio
	FROM         SalContrattiFornitori
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
	ORDER BY NumeroSal
sql;

$query = ntxQuery($sql);
?>
<br>
<table class=grid>
	<caption>Sal Contratto Gestione
	<tr>
		<th>NumeroSal</th>
		<th>DataSal</th>
		<th>DataCompetenza</th>
		<th>NumeroFattura</th>
		<th>DataFattura</th>
		<th>Importo</th>
		<th>Progressivo</th>
		<th>NoteSal</th>
		<th>ImportoProvvisorio</th>
	</tr>   

<?php

$alternate = true;

while ( $rs = ntxRecord($query) )
{
?>
	<tr <?php echo  $alternate ? "" : "class=alternate" ?>>
		<td>&nbsp;<?php echo htmlentities($rs['NumeroSal']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataSal']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataCompetenza']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NumeroFattura']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataFattura']) ?></td>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['Importo'],2) ?></td>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['Progressivo'],2) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NoteSal']) ?></td>
		<td>&nbsp;<?php echo ntxRoundThousand($rs['ImportoProvvisorio'],2) ?></td>
<?php
	$alternate = !$alternate;
}
?>
</table>
<br>
<table class=grid>
	<tr><th>Reports
	<tr>
		<td><input style="width:100%" type=button value="Registro Costi" onclick="Report('rep-registro_costi')"  /><br>
	<tr>
		<td><input style="width:100%" type=button value="Ordine d'acquisto" onclick="Report('rep-ordine_acquisto')"  /><br>
</table>

<script language=javascript>

function Report(report)
{
	form1.action = report+"/index.php";
	form1.target = "";
	form1.submit();
}

function InvioModulo(report)
{
	form1.action = report+"_invio.php";
	form1.target = "frame_report";
	form1.submit();
}

$(function(){
	$('input[type=button]').button().css('font-size','8pt');
	$('input[type=reset]').button().css('font-size','8pt');
});
</script>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdContratto value="<?php echo $IdContratto ?>" />
	<input type=hidden name=IdSal value="<?php echo $IdSal ?>" />
	<input type=hidden name=email value="<?php echo ntxJS($email) ?>" />
</form>

<iframe name=frame_report style="width:800px;heigth:500px"></iframe>
</body>
</html>
