<?php

$sql = <<< sql
	SELECT DISTINCT Offerte.GestoreServizio
	FROM         Ordini INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  OfferteEdifici ON ElencoEdifici.IdCommessa = OfferteEdifici.IdCommessaEdificio AND ElencoEdifici.ID = OfferteEdifici.IdEdificio INNER JOIN
						  Offerte ON OfferteEdifici.IdCommessaOfferta = Offerte.IdCommessa AND OfferteEdifici.IdOfferta = Offerte.IdOfferta
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.IdSalContrattoFornitore = $IdSal)
	ORDER BY Offerte.GestoreServizio
sql;

$query = ntxQuery($sql);

$GestoriServizi = "";

while($rs = ntxRecord($query))
{
	if ( $GestoriServizi!="" ) $GestoriServizi .= ", ";
	
	$GestoriServizi .= htmlentities($rs[GestoreServizio]);
}	

?>
<table style="width:100%">
	<tr>
		<td colspan=2 class=cell21>Note: <?php echo $NoteSal ?>
		<td style="text-align:right;font-weight:bold">Totale Ordine
		<td class=cell2 style="text-align:right">€ <?php echo $TotaleTxt ?>
	<tr>
		<td colspan=2 class=cell21>Pagamento: <?php echo $MetodoPagamento ?>
	<tr>
		<td style="font-weight:bold">Resp.Commessa:
		<td class=cell22 style="text-align:center;font-weight:bold"><?php echo $GestoriServizi ?>
</table>
<br>
<table style="width:100%">
	<tr>
		<td rowspan=2 style="width:50mm;font-weight:bold;font-style:italic">
			Autorizzato da:
			<br><span style="text-decoration: underline;">Intestazione Fattura:</span>
			<br><?php echo $IntestazioneFattura ?>
			<br>
			<br><span style="text-decoration: underline;">Spedizione Fattura:</span>
			<br><?php echo $SpedizioneFattura ?>
		<td colspan=2 ><hr style="border:1px solid black">
		<td style="width:50mm">
	<tr>
		<td>
		<td colspan=2 style="vertical-align:top;width:150mm;font-weight:bold">
			<br>Obblighi del fornitore
			<br><span style="text-decoration: underline;">Ordini per Materiali:</span>
			<br>La fornitura dei materiali deve essere sempre accompagnata da 
			eventuali certificazioni di conformità, schede tecniche e di sicurezza,
			libretto di uso e manutenzione, relativi al materiale in ordine.
			<br>
			<br><span style="text-decoration: underline;">Ordini per Servizio:</span>
			<br>I Lavori dovranno essere svolti nel rispetto della vigente normativa
			in materia di sicurezza nei luoghi di lavoro (d.lgs. 81/2008 e successive
			modifiche ed integrazioni), allegando relative documentazioni obbligatorie
			<br>
			<br><span style="text-decoration: underline;">N.B.:Allegare alla fattura il presente modulo d'ordine ed indicare all'interno
			della stessa il N. Ordine di riferimento</span>
</table>
