<?php
session_start();

require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdSal = ntxip('IdSal');

$sql = <<< sql
	SELECT     BloccaModificaSal
	FROM         SalContrattiGestione
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
sql;

$BloccaModificaSal = ntxScalar($sql);

if ( BloccaModificaSal==1 )
	jhp_error("Blocco Modifica SAL!!!!");

$NumContabilitàProv = explode(",", $_POST[NumContabilitàProv]);
$NumContabilitàDef = explode(",", $_POST[NumContabilitàDef]);

$sql = <<< sql
	SELECT     IdContrattoGestione
	FROM         SalContrattiGestione
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
sql;

$IdContrattoGestione = ntxScalar($sql);

foreach($NumContabilitàProv as $NumContabilità)
{
	if ( is_numeric($NumContabilità) )
	{
		$sql = <<< sql
			UPDATE    Ordini
			SET              
				StatoOrd=300, 
				IdContrattoGestore=$IdContrattoGestione
				
			FROM         Ordini INNER JOIN
								  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
								  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumContabilità = $NumContabilità)
sql;

		ntxQuery($sql);
		
		$sql = <<< sql
			UPDATE    Contabilità
			SET              
				IdSalContrattoGestione = $IdSal,
				idstatoc=40, 
				DataConsegna=getdate(), 
				Consegnato=1
			WHERE     (IDCommessa = $IdCommessa) AND (NumContabilità = $NumContabilità)
sql;

		ntxQuery($sql);
	}
}

foreach($NumContabilitàDef as $NumContabilità)
{
	if ( is_numeric($NumContabilità) )
	{
		$sql = <<< sql
			UPDATE    Ordini
			SET              
				StatoOrd=400, 
				IdContrattoGestore=$IdContrattoGestione
				
			FROM         Ordini INNER JOIN
								  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
								  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumContabilità = $NumContabilità)
sql;

		ntxQuery($sql);
		
		$sql = <<< sql
			UPDATE    Contabilità
			SET              
				IdSalDefContrattoGestione = $IdSal,
				idstatoc=70, 
				Fatturato=1 
			WHERE     (IDCommessa = $IdCommessa) AND (NumContabilità = $NumContabilità)
sql;

		ntxQuery($sql);
		
		$sql = <<< sql
			UPDATE    Contabilità
			SET              NumSal = SalContrattiGestione.NumeroSal, DataSal = SalContrattiGestione.DataSal
			FROM         SalContrattiGestione INNER JOIN
								  Contabilità ON SalContrattiGestione.IdCommessa = Contabilità.IDCommessa AND 
								  SalContrattiGestione.IdSal = Contabilità.IdSalDefContrattoGestione
			WHERE     (SalContrattiGestione.IdCommessa = $IdCommessa) AND (SalContrattiGestione.IdSal = $IdSal)
sql;

		ntxQuery($sql);
	}
}

require_once("conteggi.inc");

jhp_ok();

?>
