<?php  
session_start();

require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

// jhp_error("$_POST[IdSal] - $_POST[data_confronto] - $_POST[data1] - $_POST[data2] - $_POST[chkContratto] - $_POST[chkProprietari]");

if ( !is_numeric($_POST[IdSal]) )
	jhp_error('Selezionare prima sal!');
	
$IdCommessa = ntxise('IdCommessa');
$IdSal = ntxip('IdSal');

$sql = <<< sql
SELECT     SalContrattiGestione.NumeroSal, SalContrattiGestione.IdContrattoGestione, tblPgContratti.IdPropietario, tblPgContratti.TipoLocalizzazione
FROM         SalContrattiGestione INNER JOIN
                      tblPgContratti ON SalContrattiGestione.IdContrattoGestione = tblPgContratti.IdPgContratto
WHERE     (SalContrattiGestione.IdCommessa = $IdCommessa) AND (SalContrattiGestione.IdSal = $IdSal)
sql;

$query = ntxQuery($sql);

$rs = ntxIRecord($query);

if ( !is_numeric($rs[0]) )
	jhp_error('Il num.sal dev\'essere assegnato!');
	
$IdContrattoGestione = $rs[1];
$IdProprietario = $rs[2];
$TipoLocalizzazione = $rs[3];

$sql = <<< sql
SELECT  
		Contabilità.NumContabilità, 
		Contabilità.IdSalContrattoGestione, 
		Contabilità.IdSalDefContrattoGestione, 
		Contabilità.ValidazioneSAL, 
		Ordini.NumRichiesta, 
		Ordini.AnnoRichiesta, 
		Contabilità.NumOrdine, 
		Contabilità.AnnoOrdine, 
		Ordini.DataInizio, 
		Ordini.DataFine, 
		Contabilità.DataContabilità, 
		Contabilità.DataConsegna, 
		Contabilità.NumSal, 
		Contabilità.DataSal, 
		Contabilità.CodEdificio, 
		Contabilità.Consegnato, 
		Contabilità.Fatturato, 
		Contabilità.Descrizione, 
		Contabilità.DataApprovazione,
		Ditte.Ditta,
		
		(
			SELECT     sum(isnull(QTA*PzUnitario-QTA*PzUnitario*isnull(Sconto,0)/100,0))
			FROM         RiheContabilità
			WHERE     (RiheContabilità.IdCommessa = Contabilità.IdCommessa) 
			AND (RiheContabilità.NumContabilità = Contabilità.NumContabilità)
		) AS ImportoNetto,
		(
			SELECT     sum(isnull(QTA*PzUnitario,0))
			FROM         RiheContabilità
			WHERE     (RiheContabilità.IdCommessa = Contabilità.IdCommessa) 
			AND (RiheContabilità.NumContabilità = Contabilità.NumContabilità)
		) AS ImportoLordo,
		ltrim(ElencoEdifici.Codice) + ' - [' + ltrim(ElencoEdifici.ID) + '] - ' + ltrim(ElencoEdifici.EdificioBreve) + ' - ' + 
		ltrim(ElencoEdifici.Indirizzo) + ' - ' + ltrim(ElencoEdifici.CITTA) + ' (' + ltrim(ElencoEdifici.PROVINCIA) + ') - ' + 
		 + ltrim(ElencoEdifici.CAP)  AS Edificio
FROM         Contabilità INNER JOIN
                      Ordini ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
                      Contabilità.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
					  INNER JOIN Ditte ON Ordini.Assegnazione=Ditte.IdDitta
WHERE (Contabilità.IDCommessa = $IdCommessa) 
	AND (
		(Contabilità.IdSalContrattoGestione = $IdSal)
		OR (Contabilità.IdSalDefContrattoGestione = $IdSal)
		OR (Contabilità.IDCommessa = $IdCommessa)
		AND (Contabilità.idStatoc = 60)
		AND Contabilità.IdSalContrattoGestione IS NULL
		AND Contabilità.IdSalDefContrattoGestione IS NULL
sql;
	
switch($TipoLocalizzazione)
{
	case null:
		break;
	case 0:
		$sql .= " AND (ElencoEdifici.Tipo IS NULL OR ElencoEdifici.Tipo=0) ";
		break;
	case 1:
		$sql .= " AND (ElencoEdifici.Tipo=1) ";
		break;
	case 2:
		$sql .= " AND (ElencoEdifici.Tipo=2) ";
		break;
}

if ( $_POST[chkContratto] )
	$sql .= " AND Ordini.IdContrattoGestore=$IdContrattoGestione ";

if ( $_POST[chkProprietari] )
	$sql .= " AND ElencoEdifici.IdProprietario=$IdProprietario ";
	
$nome_campo_data = "";

if ( $_POST[data_confronto] == 'Ordini.DataInizio' )
	$nome_campo_data = "Ordini.DataInizio";
elseif ( $_POST[data_confronto] == 'Ordini.DataFine' )
	$nome_campo_data = "Ordini.DataFine";
elseif ( $_POST[data_confronto] == 'Contabilità.DataContabilità' )
	$nome_campo_data = "Contabilità.DataContabilità";
elseif ( $_POST[data_confronto] == 'Contabilità.DataApprovazione' )
	$nome_campo_data = "Contabilità.DataApprovazione";
elseif ( $_POST[data_confronto] == 'Contabilità.DataConsegna' )
	$nome_campo_data = "Contabilità.DataConsegna";

if ( strlen($nome_campo_data)>0 )
{
	if ( strlen($_POST[data1])>0 )
	{
		$data1 = ntxtp('data1');
		$sql .= " AND $nome_campo_data>=$data1 ";
	}
	
	if ( strlen($_POST[data2])>0 )
	{
		$data2 = ntxtp('data2');
		$sql .= " AND $nome_campo_data<=$data2 ";
	}
}

$sql .= ")";

if ( is_numeric($_POST[IdDitta]) )
	$sql .= " AND Ordini.Assegnazione=".ntxip('IdDitta');

$sql .= " ORDER BY NumContabilità";

$query = ntxQuery($sql);

$table = "";

$alternate = false;

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key => $value)
		$rs[$key] = htmlentities($value);
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];

	$ProvChecked = "";
	$DefChecked = "";
	
	if ( is_numeric($rs['IdSalContrattoGestione']) )
		if ( $rs['IdSalContrattoGestione']==$IdSal )
			$ProvChecked = "x";
		else
			$ProvChecked = "altro";
	
	if ( is_numeric($rs['IdSalDefContrattoGestione']) )
		if ( $rs['IdSalDefContrattoGestione']==$IdSal )
			$DefChecked = "x";
		else
			$DefChecked = "altro";
	
	$Consegnato = ($rs['Consegnato']) ? "X" : "";
	$Fatturato = ($rs['Fatturato']) ? "X" : "";
	$rs['DataInizio'] = ntxDate($rs['DataInizio']);
	$rs['DataInizio'] = ntxDate($rs['DataInizio']);
	$rs['DataFine'] = ntxDate($rs['DataFine']);
	$rs['DataContabilità'] = ntxDate($rs['DataContabilità']);
	$rs['DataConsegna'] = ntxDate($rs['DataConsegna']);
	$rs['DataSal'] = ntxDate($rs['DataSal']);
	$rs['DataApprovazione'] = ntxDate($rs['DataApprovazione']);
	$rs['ImportoNetto'] = ntxRoundThousand($rs['ImportoNetto'],2);
	$rs['ImportoLordo'] = ntxRoundThousand($rs['ImportoLordo'],2);

	$alt = $alternate ? "class=alternate" : "";
	
	$table .= <<< table
<tr $alt>
	<td><input type=checkbox SpuntaSelect NumContabilità='$rs[NumContabilità]' /></td>
	<td>$ProvChecked</td>
	<td>$DefChecked</td>
	<td>&nbsp;$rs[NumContabilità]</td>
	<td>&nbsp;$rs[NumOrdine]</td>
	<td>&nbsp;$rs[AnnoOrdine]</td>
	<td>&nbsp;$rs[Ditta]</td>
	<td>&nbsp;$rs[NumRichiesta]</td>
	<td>&nbsp;$rs[AnnoRichiesta]</td>
	<td>&nbsp;$rs[DataInizio]</td>
	<td>&nbsp;$rs[DataFine]</td>
	<td>&nbsp;$rs[DataContabilità]</td>
	<td class=Center>&nbsp;$Consegnato</td>
	<td>&nbsp;$rs[DataConsegna]</td>
	<td class=Center>&nbsp;$Fatturato</td>
	<td>&nbsp;$rs[DataApprovazione]</td>
	<td>&nbsp;$rs[NumSal]</td>
	<td>&nbsp;$rs[DataSal]</td>
	<td>&nbsp;$rs[Edificio]</td>
	<td>&nbsp;$rs[DescrizioneIntervento]</td>
	<td>&nbsp;$rs[ImportoNetto]</td>
	<td>&nbsp;$rs[ImportoLordo]</td>
	<td>&nbsp;$rs[ValidazioneSAL]</td>
</tr>
table;

	$alternate = !$alternate;
}

if ( strlen($table)>0 ) 		
	$table = <<< table
<table class=grid>
<caption>Contratto Gestione Sal Selezionato
<tr>
	<th>SEL</th>
	<th>Prov</th>
	<th>Def</th>
	<th>Num Contabilità</th>
	<th>Num Ordine</th>
	<th>Anno Ordine</th>
	<th>Fornitore</th>
	<th>Num Richiesta</th>
	<th>Anno Richiesta</th>
	<th>Data Inizio</th>
	<th>Data Fine</th>
	<th>Data Contabilità</th>
	<th>Consegnato</th>
	<th>Data Consegna</th>
	<th>Fatturato</th>
	<th>Data Approvazione</th>
	<th>Num Sal</th>
	<th>Data Sal</th>
	<th>Edificio</th>
	<th>Descrizione</th>
	<th>Importo Netto</th>
	<th>Importo Lordo</th>
	<th>ValidazioneSAL</th>
</tr>   
$table
</table>
table;
	
jhp($table);

?>
