<?php
session_start();

require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdSal = ntxip('IdSal');

$sql = <<< sql
	SELECT     BloccaModificaSal
	FROM         SalContrattiGestione
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
sql;

$BloccaModificaSal = ntxScalar($sql);

if ( BloccaModificaSal==1 )
	jhp_error("Blocco Modifica SAL!!!!");

$NumContabilitàProv = explode(",", $_POST[NumContabilitàProv]);
$NumContabilitàDef = explode(",", $_POST[NumContabilitàDef]);

$sql = <<< sql
	SELECT     IdContrattoGestione
	FROM         SalContrattiGestione
	WHERE     (IdCommessa = $IdCommessa) AND (IdSal = $IdSal)
sql;

$IdContrattoGestione = ntxScalar($sql);

foreach($NumContabilitàProv as $NumContabilità)
{
	if ( is_numeric($NumContabilità) )
	{
		$sql = <<< sql
			UPDATE    Ordini
			SET              
				StatoOrd=200
				
			FROM         Ordini INNER JOIN
								  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
								  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumContabilità = $NumContabilità)
sql;

		ntxQuery($sql);
		
		$sql = <<< sql
			UPDATE    Contabilità
			SET            
				idstatoc=30, DataConsegna=NULL, Consegnato=0, IdSalContrattoGestione=NULL

				WHERE     (IDCommessa = $IdCommessa) AND (NumContabilità = $NumContabilità)
sql;

		ntxQuery($sql);
	}
}

foreach($NumContabilitàDef as $NumContabilità)
{
	if ( is_numeric($NumContabilità) )
	{
		$sql = <<< sql
			UPDATE    Ordini
			SET              
				StatoOrd=300
				
			FROM         Ordini INNER JOIN
								  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
								  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumContabilità = $NumContabilità)
sql;

		ntxQuery($sql);
		
		$sql = <<< sql
			UPDATE    Contabilità
			SET         
				idstatoc=40, Fatturato=0, IdSalDefContrattoGestione=NULL, DataSal=NULL, NumSal=NULL

				WHERE     (IDCommessa = $IdCommessa) AND (NumContabilità = $NumContabilità)
sql;

		ntxQuery($sql);
	}
}

require_once("conteggi.inc");

jhp_ok();

?>
