<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/> 
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<title>Mappa</title>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>
	<script type="text/javascript" src="../_libs/number.js"></script>
	
	<style type="text/css">
	body, html 
	{
		font-family:Arial, Helvetica, sans-serif; 
		font-size:13px;	
		margin:0px;
		padding:0px;
	}

	#map 
	{
		width: 450px; 
		height: 350px;
		margin-bottom:0px;
		margin-top:0px;
	}

	#parametri
	{
		font-size:10px;	
		font-weight: bold;
		margin:0px;
		padding:2px;
		
		position:absolute; 
		z-index:1;
		background-color:#EBECE4;
		left:0px;
		bottom:0px;
	}
	</style>		
	
	<script type="text/javascript"> 
	var map = null;
	
	function createMap() 
	{
	   	var lat = document.getElementById("lat").value;
	   	var lng = document.getElementById("lng").value;
		
		if( lat==""||lng ==""||!isNumber(lat)||!isNumber(lng))
		{
			lat=44.4942191;
			lng=11.3464815;			
		}			
		
		var myLatlng = new google.maps.LatLng(lat, lng); 
		
		var options = {
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	

		map = new google.maps.Map(document.getElementById('map'), options);
		
		map.setCenter(myLatlng);

		var marker = new google.maps.Marker({
			position: myLatlng,
			map: this.map,
			draggable: true,			
			title: "Posizione strada/edificio"
		});	

		google.maps.event.addListener(marker, 'dragend', changePosition);		
	}		
		
	function changePosition(event) 
	{
		parent.salvaLatLng(event.latLng.lat(), event.latLng.lng());
	}	
		
	window.onload = createMap; 
	</script> 
</head>
  
<body>
	<div id="map"></div>
  
	<form id="mod_geo" >
		<input id="lat" type="hidden" value="<?php echo $_POST[lat] ?>" readonly="readonly"/>
		<input id="lng" type="hidden" value="<?php echo $_POST[lng] ?>" readonly="readonly"/>
	</form>
	
</body>
	
</html>