<?php
session_start();

foreach ($_GET as $key => $value)
{
	$_POST[$key] = $value;
}

require_once('../_ntx/ntxconst.inc'); 
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');

$where = "WHERE (ElencoEdifici.IDCommessa = $IdCommessa) ";

if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( strlen("$_POST[EdificioBreve]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";

if ( strlen("$_POST[EdificioEstesa]")>0 ) $where .= " AND ElencoEdifici.EdificioEstesa LIKE '%".str_replace("'","''",$_POST[EdificioEstesa])."%'";

if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";

if ( strlen("$_POST[CITTA]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";

if ( strlen("$_POST[PROVINCIA]")>0 ) $where .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[PROVINCIA])."%'";

if ( strlen("$_POST[Regione]")>0 ) $where .= " AND ElencoEdifici.Regione LIKE '%".str_replace("'","''",$_POST[Regione])."%'";

if ( strlen("$_POST[CAP]")>0 ) $where .= " AND ElencoEdifici.CAP = '".str_replace("'","''",$_POST[CAP])."'";

if ( strlen("$_POST[Proprietario]")>0 ) $where .= " AND tblPgPropietari.Nome LIKE '%".str_replace("'","''",$_POST[Proprietario])."%'";

if ( strlen("$_POST[NoteSpazioDaCensire]")>0 ) $where .= " AND ElencoEdifici.NoteSpazioDaCensire LIKE '%".str_replace("'","''",$_POST[NoteSpazioDaCensire])."%'";

if ( strlen("$_POST[NotePlanimetrie]")>0 ) $where .= " AND ElencoEdifici.NotePlanimetrie LIKE '%".str_replace("'","''",$_POST[NotePlanimetrie])."%'";

if ( is_numeric($_POST[ID2]) ) $where .= " AND ElencoEdifici.ID=".((int)$_POST[ID2]);

if ( is_numeric($_POST[TipoPlanimetrie]) ) $where .= " AND ElencoEdifici.TipoPlanimetrie=".((int)$_POST[TipoPlanimetrie]);

if ( is_numeric($_POST[StatoPlanimetrie]) ) $where .= " AND ElencoEdifici.StatoPlanimetrie=".((int)$_POST[StatoPlanimetrie]);

if ( is_numeric($_POST[NumeroPiani]) ) $where .= " AND ElencoEdifici.NumeroPiani=".((int)$_POST[NumeroPiani]);

if ( is_numeric($_POST[IndividuatoSpazioDaCensire]) ) $where .= " AND ElencoEdifici.IndividuatoSpazioDaCensire=".((int)$_POST[IndividuatoSpazioDaCensire]);

if ( is_numeric($_POST[TipoAttività2]) ) $where .= " AND CENSI_TipiAttività.IdTipoAttività=".((int)$_POST[TipoAttività2]);

if ( is_numeric($_POST[Tipo]) )
{
	if ( $_POST[Tipo]>0 )
		$where .= " AND ElencoEdifici.Tipo=".((int)$_POST[Tipo]);
	else
		$where .= " AND (ElencoEdifici.Tipo=0 OR ElencoEdifici.Tipo IS NULL)";
}  


if ( is_numeric($_POST[IdEdificioRicerca]) ) $where .= " AND ElencoEdifici.ID=".((int)$_POST[IdEdificioRicerca]);
 

$sql = <<< sql
SELECT     
	ElencoEdifici.ID, ElencoEdifici.Codice,  ElencoEdifici.EdificioBreve,  ElencoEdifici.Latitudine, ElencoEdifici.Longitudine, ElencoEdifici.Indirizzo,  ElencoEdifici.CAP, ElencoEdifici.CITTA,

	CENSI_TipiAttività.Tipo TipoAttività,
	CENSI_TipiAttività.IdTipoAttività,	

	CENSI_Programmate.IdProgrammata, 
	CENSI_Programmate.IdEdificio,  
	CENSI_StatiProgrammate.Stato,

	CONVERT(VARCHAR(10), CENSI_Programmate.DataInizioP, 112) DataInizioP, 
	CONVERT(VARCHAR(10), CENSI_Programmate.DataFineP, 112) DataFineP, 
	CONVERT(VARCHAR(10), CENSI_Programmate.DataInizioE, 112) DataInizioE, 
	CONVERT(VARCHAR(10), CENSI_Programmate.DataFineE, 112) DataFineE
		
FROM         
	ElencoEdifici INNER JOIN
	DitteEdifici ON ElencoEdifici.IdCommessa = DitteEdifici.IdCommessa AND ElencoEdifici.ID = DitteEdifici.IdEdificio INNER JOIN
	CENSI_Programmate ON DitteEdifici.IdCommessa = CENSI_Programmate.IdCommessa AND DitteEdifici.IdDitta = CENSI_Programmate.IdDitta AND 
	DitteEdifici.IdEdificio = CENSI_Programmate.IdEdificio INNER JOIN
	CENSI_TipiAttività ON CENSI_Programmate.IdCommessa = CENSI_TipiAttività.IdCommessa AND 
	CENSI_Programmate.TipoAttività = CENSI_TipiAttività.IdTipoAttività LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	LEFT OUTER JOIN
	CENSI_StatiProgrammate ON CENSI_Programmate.Stato = CENSI_StatiProgrammate.IdStato	
$where

ORDER BY TipoAttività, Stato
sql;

$record = array(); 

$query = ntxQuery($sql);  

$info = array();

while( $rs = ntxRecord($query) )
{		 
	$info[ $rs[TipoAttività] ][ $rs[Stato] ] += 1; 
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head> 
	</head>
	
	<style>
	*
	{
		font-family: Roboto,Arial,sans-serif;
	}
	
	table
	{
		border-collapse:collapse;
		margin:auto;
		min-width:200px;
	}
	
	table, td, th
	{
		border: solid 1px black;
	}
	
	.NULL			{ background: #FFFFFF; }
	.pianificato	{ background: #FF3333; }
	.eseguito       { background: #008800; }
	.annullato      { background: #999999; }
	.ripianificato  { background: #FFFF00; }	
	</style>

<body> 
 
	<table>
	<?php
	if (is_array($info) || is_object($info))	
	 foreach ($info as $tipoAttivita => $arrStato)
	{
		echo <<<_HTML
		<tr>
			<th> $tipoAttivita 
			<td>
				<table>
_HTML;
		foreach ($arrStato as $stato => $numero)
		{	 
			$classe = trim( strtolower($stato) );
			
			if($classe=='') $class = 'NULL';
		
		
			echo <<<_HTML
			<tr> 
				<td class="$classe" > $stato
				<td> $numero
_HTML;
		}
		echo <<<_HTML
				</table>
_HTML;
	}
	?>
	</table>
	
</body> 
</html> 
