<?php

$sql = <<< sql
	SELECT DISTINCT 
                      ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioEstesa, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CAP, 
                      ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.Tipo, tblPgPropietari.Nome AS Proprietario, tblUtUtilizzatori.Nome Utilizzatore,
					  CategorieLocalizzazioni.Categoria, ElencoEdifici.IdCategoria
	FROM         tblUtUtilizzatori RIGHT OUTER JOIN
                      tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa AND 
                      tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore RIGHT OUTER JOIN
                      ElencoEdifici ON tblUtEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblUtEdifici.IdEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
                      CategorieLocalizzazioni ON ElencoEdifici.IdCategoria = CategorieLocalizzazioni.Id
	WHERE ElencoEdifici.IdCommessa=$IdCommessa and ElencoEdifici.ID=$IdEdificio
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$IdCategoria = $rs[IdCategoria];

?>

<table class=grid>
	<tr>
		<th>ID
		<th>Codice
		<th>Nome Breve
		<th>Nome Esteso
	<tr> 
		<td>&nbsp;<?php echo htmlentities($rs[ID]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[Codice]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[EdificioBreve]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[EdificioEstesa]) ?>
	<tr>
		<th colspan=2>Indirizzo
		<th>Proprietario
		<th>Comune
	<tr> 
		<td colspan=2>&nbsp;<?php echo htmlentities($rs[Indirizzo]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[CITTA]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[Proprietario]) ?>
	<tr> 
		<th>Prov
		<th>Cap
		<th>Categoria
	<tr> 
		<td>&nbsp;<?php echo htmlentities($rs[PROVINCIA]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[CAP]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[Categoria]) ?>
</table> 
