<?php 
session_start();
require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
		"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="css/tree.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="js/tree.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
</head>
<body>
<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT     IdComponenteMestiere, IdAttivitàMestiere, codice, Descrizione
	FROM         tblAttivitàMestiere
	WHERE     (IdCommessa = $IdCommessa)
	ORDER BY Ordine, codice, Descrizione
sql;

$query = ntxQuery($sql);

$attività = array();

while ( $rs = ntxRecord($query) )
{
	$IdComponenteMestiere = $rs[IdComponenteMestiere];
	$IdAttivitàMestiere = $rs[IdAttivitàMestiere];

	foreach ( $rs as $key=>$value )
	{
		$attività[$IdComponenteMestiere][$IdAttivitàMestiere][$key] = $value;
	}
}

$sql = <<< sql
	SELECT     IdMestiere, IdComponenteMestiere, codice, Descrizione
	FROM         tblComponetiMestiere
	WHERE     (IdCommessa = $IdCommessa)
	ORDER BY Ordine, codice, Descrizione
sql;

$query = ntxQuery($sql);

$componenti = array();

while ( $rs = ntxRecord($query) )
{
	$IdMestiere = $rs[IdMestiere];
	$IdComponenteMestiere = $rs[IdComponenteMestiere];

	foreach ( $rs as $key=>$value )
	{
		$componenti[$IdMestiere][$IdComponenteMestiere][$key] = $value;
	}
}

$sql = <<< sql
	SELECT     IdMestiere, codice, Descrizione
	FROM         tblMestieri
	WHERE     (IdCommessa = $IdCommessa)
	ORDER BY Ordine, codice, Descrizione
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$IdMestiere = $rs[IdMestiere];
	$codice = htmlentities($rs[codice]);
	$Descrizione = htmlentities($rs[Descrizione]);
	
	echo <<< echo
		<div class=Livello1>
			<image class=PiùMeno più=1 onclick="ApriChiudi(this,'mes'+'$IdMestiere')" />
			<input  class="sx" type=checkbox onclick="SelCheckbox('Mestiere','$IdMestiere',this.checked)"/>
			<div class="sx">[$codice]&nbsp;</div>
			<div class="sx">$Descrizione</div>
		</div>
			<div id=mes{$IdMestiere} style="display:none">
echo;

	foreach ( $componenti[$IdMestiere] as $componente )
	{
		$IdComponenteMestiere = $componente[IdComponenteMestiere];
		$codice = htmlentities($componente[codice]);
		$Descrizione = htmlentities($componente[Descrizione]);
		
		echo <<< echo
			<div class=Livello2>
				<image class=PiùMeno più=1 onclick="ApriChiudi(this,'comp'+'$IdComponenteMestiere')" />
				<input  class="sx" type=checkbox onclick="SelCheckbox('ComponenteMes','$IdComponenteMestiere',this.checked)"/>
				<div class="sx">[$codice]&nbsp;</div>
				<div class="sx">$Descrizione</div>
			</div>
			<div id=comp{$IdComponenteMestiere} style="display:none">
echo;

		foreach ( $attività[$IdComponenteMestiere] as $xattività )
		{
			$IdAttivitàMestiere = $xattività[IdAttivitàMestiere];
			$codice = htmlentities($xattività[codice]);
			$Descrizione = htmlentities($xattività[Descrizione]);
			
			echo <<< echo
				<div class=Livello3>
					<input selattivita=212 value="$IdAttivitàMestiere" class="sx" type=checkbox onclick="SelCheckbox('AttivitaMes','$IdAttivitàMestiere',this.checked)">
					<div class="sx">[$codice]&nbsp;</div>
					<div class="sx">$Descrizione</div>
				</div>
echo;
		}

		echo "</div>";
	}

echo "</div>";
}

?>
<form method=post name=frmRefresh>
</form>

<form method=post name=frmNotAssigned target=not_assigned action="not_assigned.php">
	<input type=hidden name=IdAttivita>
</form>

<form method=post name=frmAssigned target=assigned action="assigned.php">
	<input type=hidden name=IdAttivita>
</form>

</body>
</html>