<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_083", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_083", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdAffidatario = ntxip('Id');
$no_edit = false;
	
$vers=5;		
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script>
	
	
	<link href="css/base.css?v=<?php echo $vers ?>" rel="stylesheet" type="text/css">
	<script src="js/index.js?v=<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/affidatari-referenti.js?v=<?php echo $vers ?>" type="text/javascript"></script>
	
	<script src="/repository/js/convalida_dati.js?v=<?php echo $vers ?>" type="text/javascript"></script>
</head>
<body>
<?php $traduttore->html('Affidatari-Referenti')?>

<input type=button value="<?php echo $no_edit ? "+" : "-" ?>" onclick="objCodice.MostraNascondi(this)" style="float:left" />

<form name="frmRicerca" method="post" Paginazione <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>
	<?php PaginazioneCampiPerForm(20, 'jhp/affidatari/referenti-ricerca.php', 'lista-risultati-ricerca') ?>

	<input type=hidden name=no_edit value="<?php echo $no_edit ? "1" : "0" ?>" />
	<input type=hidden name=IdAffidatario value="<?php echo $IdAffidatario ?>" />

	<table class=grid>
		<caption><?php $traduttore->html('Rif. Affidatari')?>
		<tr><th><?php $traduttore->html('ID Rif Affidatario')?><td><input type=text name=IdRifAffidatario  disabled />
		<tr><th><?php $traduttore->html('Nome')?><td><input type=text name=Nome  maxlength=255 />
		<tr><th><?php $traduttore->html('Indirizzo')?><td><input type=text name=Indirizzo  maxlength=255 />
		<tr><th><?php $traduttore->html('Comune')?><td><input type=text name=Comune  maxlength=255 />
		<tr><th><?php $traduttore->html('Provincia')?><td><input type=text name=Provincia size=2 maxlength=2 />
		<tr><th><?php $traduttore->html('Telefono 1')?><td><input type=text name=telefono_1  maxlength=20 convalida  tipo=telefono />
	<tr style="display:none;" ><th><?php $traduttore->html('Telefono 2')?><td><input type=text name=telefono_2  maxlength=20 /> 
		<tr><th><?php $traduttore->html('Fax 1')?><td><input type=text name=fax_1  maxlength=20 convalida  tipo=telefono />
	<tr style="display:none;" ><th><?php $traduttore->html('Fax 2')?><td><input type=text name=fax_2  maxlength=20 /> 
		<tr><th><?php $traduttore->html('Email 1')?><td><input type=text name=email_1  maxlength=255 convalida tipo=email />
	<tr style="display:none;" ><th><?php $traduttore->html('Email 2')?><td><input type=text name=email_2  maxlength=255 /> 
		<tr><th><?php $traduttore->html('Email Per Richiesta')?><td><input type=checkbox name=EmailPerRichiesta />
		<tr><th><?php $traduttore->html('Sms Per Richiesta')?><td><input type=checkbox name=SmsPerRichiesta />
		<tr><th><?php $traduttore->html('Email Per Ordine')?><td><input type=checkbox name=EmailPerOrdine />
		<tr><th><?php $traduttore->html('Sms Per Ordine')?><td><input type=checkbox name=SmsPerOrdine />
		<tr><th><?php $traduttore->html('Email Per Orari')?><td><input type=checkbox name=EmailPerOrari />
		<tr><th><?php $traduttore->html('Vista Fuori Contratto')?><td><input type=checkbox name=VistaFuoriContratto />
		<tr><th><?php $traduttore->html('Allegato Ordine')?><td><input type=checkbox name=AllegatoOrdine />
		<tr title="<?php $traduttore->html('blocca tutte le email su richieste tranne che per lo stato preregistrata (-1)')?>">
			<th><?php $traduttore->html('Email Solo Preregistrata')?><td><input type=checkbox name=EmailSoloPreregistrata />
		<tr><th><?php $traduttore->html('Email Per Sollecito')?><td><input type=checkbox name=EmailPerSollecito />	
		
		<tr><th><?php $traduttore->html('Invia Firma su MP')?><td><input type=checkbox name=InviaFirmaSuMP />	
		<tr><th><?php $traduttore->html('Invia Firma su Odl')?><td><input type=checkbox name=InviaFirmaSuOdl />	
		
		<tr><th colspan=2>
<?php if ( !$no_edit ) { ?>
			<input type=button name=btnAggiungi value="<?php $traduttore->js('Aggiungi')?>" onclick="objCodice.Aggiungi()" />
			<input type=button name=btnModifica value="<?php $traduttore->js('Modifica')?>" onclick="objCodice.Modifica()" />
<?php } ?>
			<input type=button value="Reset" onclick="this.form.reset()" />
			<input type=button name=btnRicerca value="<?php $traduttore->js('Ricerca')?>" onclick="PaginazioneRicerca(this, 'first')" />
	</table>
</form>

<br id=br1 <?php echo $no_edit ? "style=\"display:none\"" : "" ?>>
<span ButtonSet>
<input type=button value="<?php $traduttore->js('Seleziona Tutto')?>" onclick="objCodice.Seleziona(true)" />
<input type=button value="<?php $traduttore->js('Seleziona Niente')?>" onclick="objCodice.Seleziona(false)" />
<?php if ( !$no_edit ) { ?>
	<input type=button value="<?php $traduttore->js('Elimina')?>" onclick="objCodice.Elimina()" />
<?php } ?>
</span>

<span ButtonSet>
<?php PaginazioneNavigazione('frmRicerca') ?>
</span>
<br>
<br>

<div id="lista-risultati-ricerca"></div>
<br>

<span ButtonSet>
<input type=button value="<?php $traduttore->js('Seleziona Tutto')?>" onclick="objCodice.Seleziona(true)" />
<input type=button value="<?php $traduttore->js('Seleziona Niente')?>" onclick="objCodice.Seleziona(false)" />
<?php if ( !$no_edit ) { ?>
	<input type=button value="<?php $traduttore->js('Elimina')?>" onclick="objCodice.Elimina()" />
<?php } ?>
</span>

<span ButtonSet>
<?php PaginazioneNavigazione('frmRicerca') ?>
</span>

<?php
	$traduttore->Salva();
?>
<script>
var messaggi = {
	Seleziona: "<?php $traduttore->js('Prima seleziona riga da cancellare!') ?>",
	Elimina: "<?php $traduttore->js('Eliminare righe selezionate?') ?>",
	Dati_errati_verifica: "<?php $traduttore->js('Ci sono dei dati errati, verifica i campi in rosso!') ?>"
};
</script>
</body>
</html>
