<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_073", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_073", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');

$where = "WHERE 1=1";

if ( strlen("$_POST[Tecnico]")>0 ) $where .= " AND Tecnici.Tecnico LIKE '%".str_replace("'","''",$_POST[Tecnico])."%'";

if ( strlen("$_POST[Tipo]")>0 ) $where .= " AND Tecnici.Tipo = '".str_replace("'","''",$_POST[Tipo])."'";

if ( strlen("$_POST[Zona]")>0 ) $where .= " AND Tecnici.Zona LIKE '%".str_replace("'","''",$_POST[Zona])."%'";

$sql = <<< sql
	SELECT     IDTec, Tecnico, Tipo, Zona, Autorizzatore, EmailPerRichiesta, 
			SmsPerRichiesta, EmailPerOrdine, SmsPerOrdine, EmailSoloPreregistrata, EmailPerChiusuraOrdine, 
			TecnDefault,CambioTecnicoCrichiesta,RespTecnicoDefault,
			(
				SELECT TOP 1    1
				FROM         CommesseTecnici
				WHERE     (IDTec = Tecnici.IDTec) AND (IdCommessa = $IdCommessa)
			) InCommessa
			,InviaFirmaSuMP
			,InviaFirmaSuOdl
			
	FROM         Tecnici
	$where
sql;

$paginazione = ntxPaginazione($sql, "Tecnico");

$query = $paginazione->query;

if ( !$_POST[no_edit] ) $edit = "<th>"; else $edit = "";

/*$table = <<< table
	<table class=grid>
		<tr>
			$edit
			<th>
			<th>InCommessa
			<th>ID
			<th>Nome
			<th>Zona
			<th>Tipo
			<th>Autorizzatore
			<th>EmailPerRichiesta
			<th>SmsPerRichiesta
			<th>EmailPerOrdine
			<th>SmsPerOrdine
			<th>EmailSoloPreregistrata
			<th>TecnDefault
			<th>EmailPerChiusuraOrdine
			<th>CambioTecnicoCrichiesta
			<th>RespTecnicoDefault
		</tr>
table;*/
$table = 
	"<table class=grid>
		<tr>
			$edit
			<th>"
			."<th>".$traduttore->traduci('In Commessa')
			."<th>ID"
			."<th>".$traduttore->traduci('Nome')
			."<th>".$traduttore->traduci('Zona')
			."<th>".$traduttore->traduci('Tipo')
			."<th>".$traduttore->traduci('Autorizzatore')
			."<th>".$traduttore->traduci('Email Per Richiesta')
			."<th>".$traduttore->traduci('Sms Per Richiesta')
			."<th>".$traduttore->traduci('Email Per Ordine')
			."<th>".$traduttore->traduci('Sms Per Ordine')
			."<th>".$traduttore->traduci('Email Solo Preregistrata')
			."<th>".$traduttore->traduci('Tecnici Default')
			."<th>".$traduttore->traduci('Email Per Chiusura Ordine')
			."<th>".$traduttore->traduci('Cambio Tecnico C Richiesta')
			."<th>".$traduttore->traduci('Responsabilità Tecnico Default')
		."</tr>"
;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( !$_POST[no_edit] ) 
		$edit = "<td><input type=button value=\"".$traduttore->traduci('Modifica')."\" onclick=\"objCodice.CaricaForm($rs[IDTec])\" />"; 
	else 
		$edit = "";

	if ( $rs[InCommessa] )
		$checked = "checked";
	else
		$checked = "";
		
	$table .= <<< table
		<tr $classTr>
			$edit
			<td><input type=checkbox SelRiga IdRiga=$rs[IDTec] />
			<td><input type=checkbox AssociaInCommessaRiga IdRiga=$rs[IDTec] $checked 
					onclick="objCodice.AssociaTecnicoCommessa(this)" />
			<td>$rs[IDTec]
			<td>$html[Tecnico]
			<td>$html[Zona]
			<td>$html[Tipo]
			<td>$html[Autorizzatore]
			<td>$html[EmailPerRichiesta]
			<td>$html[SmsPerRichiesta]
			<td>$html[EmailPerOrdine]
			<td>$html[SmsPerOrdine]
			<td>$html[EmailSoloPreregistrata]
			<td>$html[TecnDefault]
			<td>$html[EmailPerChiusuraOrdine]
			<td>$html[CambioTecnicoCrichiesta]
			<td>$html[RespTecnicoDefault]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

$traduttore->Salva();

jhp($result);

?>
