<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_077", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_077", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$GradoU = ntxsp('GradoU');

$where = "WHERE IdCommessa=$IdCommessa and GradoU=$GradoU";

$sql = <<< sql
	SELECT     Id, GradoU, Tempo, OraInizioText, OraFineText, GiornoSettimana, OraInizio
	FROM         TempiFineIntervento
	$where
sql;

$paginazione = ntxPaginazione($sql, "GiornoSettimana, OraInizio");

$query = $paginazione->query;

if ( !$_POST[no_edit] ) $edit = "<th>"; else $edit = "";

/*$table = <<< table
	<table class=grid>
		<tr>
			$edit
			<th>
			<th>Id
			<th>Giorno<br>Settimana
			<th>Ora<br>Inizio
			<th>Ora<br>Fine
			<th>Tempo
		</tr>
table;*/
$table =
	"<table class=grid>
		<tr>
			$edit
			<th>
			<th>ID"
			."<th>".$traduttore->traduci('Giorno')
			."<th>".$traduttore->traduci('Ora Inizio')
			."<th>".$traduttore->traduci('Ora Fine')
			."<th>".$traduttore->traduci('Tempo')
		."</tr>"
;

$alternate = false;

$giorni = array('', 'Lunedì', 'Martedì', 'Mercoledì', 'Giovedì', 'Venerdì', 'Sabato', 'Domenica');

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[Tempo] = ntxRound($rs[Tempo],8);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( !$_POST[no_edit] ) 
		$edit = "<td><input type=button value=edit onclick=\"objCodiceFine.CaricaForm('$rs[Id]')\" />"; 
	else 
		$edit = "";

	$giorno = $giorni[$rs[GiornoSettimana]];
	
	$table .= <<< table
		<tr $classTr>
			$edit
			<td><input type=checkbox SelRigaFine IdRiga="$rs[Id]" />
			<td>$rs[Id]
			<td>$giorno
			<td>$html[OraInizioText]
			<td>$html[OraFineText]
			<td>$html[Tempo]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
