$(function(){
	// settaggi
	$( "#btnRicerca" ).trigger( "click" );
});

var objCodice = {
	jhpRoot: "jhp/utenti/",
	
	//msgNoSelected: "Prima seleziona utenti da cancellare!",
	//msgDelete: "Elimina utenti selezionati?",
	
	Campi: ['Id', 'Nome', 'IdGruppo', 'ResetPassword', 'IdGruppoWeb', 'email', 'IdDitta', 'IdRisorsa', 'RiapriOrdiniMP', 'GiorniDurataPassword', 'DataModificaPassword', 'BloccoAccesso', 'GestoreQualita'],

	CaricaRisorseCbo: function(cbo) {
			jhp_select(frmRicerca.IdRisorsa, 
					this.jhpRoot+"carica_risorse.php", true, 
					{IdFornitore:cbo.value});
		},

	Aggiungi: function() {
	
			if(!ConvalidaForm(frmRicerca)) {alert(messaggi.Dati_errati_verifica); return;}
	
			var result = jhp(this.jhpRoot+"aggiungi.php", 
					jhp_frm(frmRicerca));

			if(result.state)
			{
				alert(result.message);
			}
			else
			{ 
				var IdUtenteAggiunto = result.value[0];
				this.CaricaForm(IdUtenteAggiunto);
				
				$( "#btnRicerca" ).trigger( "click" );
			}
		},
		
	Modifica: function() { 
	
			if(!ConvalidaForm(frmRicerca)) {alert(messaggi.Dati_errati_verifica); return;}
	
			var result = jhp(this.jhpRoot+"modifica.php", 
					jhp_frm(frmRicerca));

			if(result.state)
			{
				alert(result.message);
			}
			else
			{
				this.CaricaForm(result.value);
				 
				$( "#btnRicerca" ).trigger( "click" );
				
				//alert(messaggi.Operazione_success);
			}
		},
		
	Elimina: function() {
			
			var lista_id = "";
			
			$('input[type=checkbox][SelRiga]:checked').each(function(){
				if ( lista_id!="" ) lista_id += ",";
				
				lista_id += $(this).attr('IdRiga');
			});
			
			if ( lista_id=="" )
			{
				//alert(this.msgNoSelected);
				alert(messaggi.Seleziona);
				return;
			}

			//if ( !confirm(this.msgDelete) ) return;
			if ( !confirm(messaggi.Elimina) ) return;
			
			var result = jhp(this.jhpRoot+"elimina.php", 
					{lista_id: lista_id});

			if(result.state)
			{
				alert(result.message);
			}
			else
			{
				alert(messaggi.Operazione_success);
				
				ConvalidaFormPulisciErrori(frmRicerca);
				
				$( "#btnRicerca" ).trigger( "click" );
			}
		},
		
	Seleziona: function(value) {
		$('input[type=checkbox][SelRiga]').attr('checked', value);
	},
	
	CaricaForm: function(IdRiga) {
	
			ConvalidaFormPulisciErrori(frmRicerca);
	
			var result = jhp(this.jhpRoot+"carica_form.php", 
					{IdRiga: IdRiga});

			if(result.state)
			{
				alert(result.message);
			}
			else
			{
				var rs = result.value;
				var i, len=this.Campi.length;

		 
				for(i=0;i<len;++i)
					if ( frmRicerca[this.Campi[i]].type=="checkbox" )
						frmRicerca[this.Campi[i]].checked = rs[this.Campi[i]]==1;
					else
						frmRicerca[this.Campi[i]].value = rs[this.Campi[i]];					
					
					
				this.CaricaRisorseCbo(frmRicerca.IdDitta);

				frmRicerca['IdRisorsa'].value = rs['IdRisorsa'];
					
				scroll(0,0);
			}
		},

	ElementiSelezionati: function() {
		var list = $('input[type=checkbox][SelRiga]:checked');
		var i, len = list.length;
		var result = "";
		
		for(i=0; i<len; ++i)
		{
			if ( result.length>0 ) result += ",";
			
			result += $(list[i]).attr('IdRiga');
		}
		
		return result;
	},
	
	MostraNascondi: function(btn) {
		if ( btn.value=="+" )
		{
			btn.value = "-";
			$(frmRicerca).show();
			$('#br1').show();
		}
		else
		{
			btn.value = "+";
			$(frmRicerca).hide();
			$('#br1').hide();
		}
	},
	
	GetExcel1: function() {
		 
		var  form = document.frmRicerca;
		 
		var method_old = form.method;
		var target_old = form.target;
		var action_old = form.action;
		
		form.method = 'post';
		form.target = 'iframeExcel1';
		form.action = 'utenti_excel1.php';
		form.submit();  
		 
		form.method = method_old;
		form.target = target_old;	
		form.action = action_old;
		
	}
};