<?php

session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdAttivitàMestiere = ntxip('IdAttivitàMestiere', false);

$Giorno1 = ntxip('Giorno1', false);
$Mese1 = ntxip('Mese1', false);
$Giorno2 = ntxip('Giorno2', false);
$Mese2 = ntxip('Mese2', false);

if ( $Mese1<1 || $Mese1>12 )
	jhp_error("Mese 1 '$Mese1' non corretto!");

if ( $Mese2<1 || $Mese2>12 )
	jhp_error("Mese 2 '$Mese2' non corretto!");

if ( $Giorno1<1 || $Giorno1>31 || ($Giorno1>29  &&  $Mese1==2) 
		|| ($Giorno1>30  &&  ($Mese1==2 || $Mese1==4 || $Mese1==6 || $Mese1==9 || $Mese1==11)) )
	jhp_error("Giorno 1 '$Giorno1' non corretto!");

if ( $Giorno2<1 || $Giorno2>31 || ($Giorno2>29  &&  $Mese2==2) 
		|| ($Giorno2>30  &&  ($Mese2==2 || $Mese2==4 || $Mese2==6 || $Mese2==9 || $Mese2==11)) )
	jhp_error("Giorno 2 '$Giorno2' non corretto!");

$table = new NtxTable('IntervalliAttivMest');

$insert = $table->insert();

$insert->init();

$insert->setse('IdCommessa');
$insert->setp('IdAttivitàMestiere');
$insert->setp('Giorno1');
$insert->setp('Mese1');
$insert->setp('Giorno2');
$insert->setp('Mese2');

$insert->execute();

$sqlIntervalliAttivMest = <<< sql
	SELECT     Id, IdAttivitàMestiere, Giorno1, Mese1, Giorno2, Mese2
	FROM         IntervalliAttivMest
	WHERE     (IntervalliAttivMest.IdCommessa = $IdCommessa) AND (IntervalliAttivMest.IdAttivitàMestiere = $IdAttivitàMestiere)
	ORDER BY IntervalliAttivMest.Mese1, IntervalliAttivMest.Giorno1, IntervalliAttivMest.Mese2, IntervalliAttivMest.Giorno2
sql;
	
$queryIntervalliAttivMest = ntxQuery($sqlIntervalliAttivMest);

while($rsIntervalliAttivMest=ntxRecord($queryIntervalliAttivMest))
	$IntervalliAttivMest[] = $rsIntervalliAttivMest;

$tableIntervalli = "<table IdAttivitàMestiere=$IdAttivitàMestiere Intervalli>";

if (is_array($IntervalliAttivMest) || is_object($IntervalliAttivMest))	
 foreach($IntervalliAttivMest as $rsi)
	$tableIntervalli .= <<< tableIntervalli
		<tr IdIntervallo=$rsi[Id] trIntervalli IdAttivitàMestiere=$IdAttivitàMestiere>
			<td style="text-align:right">$rsi[Giorno1]
			<td style="text-align:right">$rsi[Mese1]
			<td>-<td style="text-align:right">$rsi[Giorno2]
			<td style="text-align:right">$rsi[Mese2]
			<td><input type=button value="-" onclick="EliminaIntervallo($rsi[Id])" />
tableIntervalli;

$tableIntervalli .= <<< tableIntervalli
	<tr AddIdIntervallo>
		<td><input type=text size=2 maxlength=2 Giorno1 AddIdIntervallo IdAttivitàMestiere=$IdAttivitàMestiere style="text-align:right" />
		<td><input type=text size=2 maxlength=2 Mese1 AddIdIntervallo IdAttivitàMestiere=$IdAttivitàMestiere style="text-align:right" />
		<td>-<td><input type=text size=2 maxlength=2 Giorno2 AddIdIntervallo IdAttivitàMestiere=$IdAttivitàMestiere style="text-align:right" />
		<td><input type=text size=2 maxlength=2 Mese2 AddIdIntervallo IdAttivitàMestiere=$IdAttivitàMestiere style="text-align:right" />
		<td>
			<input type=button value="+" onclick="AggiungiIntervallo($IdAttivitàMestiere)" />
			<input type=button value="..." onclick="CompattaRigheIntervallo($IdAttivitàMestiere)" />
</table>
tableIntervalli;

jhp($tableIntervalli);

?>
