<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdTipoComponente = ntxip('IdTipoComponente');
$FiltroCapitolati = ntxip('FiltroCapitolati');

$ListaIdAtt = array();

$sql = <<< sql
	SELECT  DISTINCT IdAttivitàMestiere
	FROM         AttivitàMestTipiComp
	WHERE     (AttivitàMestTipiComp.IdCommessaAttività = $IdCommessa)
	AND     (AttivitàMestTipiComp.IdTipoComp = $IdTipoComponente)
sql;

$query = ntxQuery($sql);

while($rs=ntxiRecord($query))
	$ListaIdAtt[] = $rs[0];

$addInnerJoin = "";

if ( is_numeric($_POST['Contratto']) )	
{
	$IdPgContratto = ntxip('Contratto');
	
	$addInnerJoin = <<< addInnerJoin
		INNER JOIN
                      (SELECT     tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa, tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere
		FROM         tblPgContrattiPropietariGestoriAttivitàEdifici
		WHERE     (tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = $IdPgContratto)) a ON tblAttivitàMestiere.IdCommessa = a.IdCommessa AND 
							  tblAttivitàMestiere.IdAttivitàMestiere = a.IdAttivitàMestiere
addInnerJoin;

}

$sql = <<< sql
	SELECT   DISTINCT  tblMestieri.IdMestiere AS IdMest, tblMestieri.codice AS CodMest, tblMestieri.Descrizione AS DesMest, 
						  tblComponetiMestiere.IdComponenteMestiere AS IdComp, tblComponetiMestiere.codice AS CodComp, tblComponetiMestiere.Descrizione AS DesComp, 
						  tblAttivitàMestiere.IdAttivitàMestiere AS IdAtt, tblAttivitàMestiere.codice AS CodAtt, tblAttivitàMestiere.Descrizione AS DesAtt, 
						  ISNULL(tblAttivitàMestiere.TipoMP,0) TipoMP
	FROM         tblMestieri INNER JOIN
						  tblComponetiMestiere ON tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
						  tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
						  tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
						  tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere 
						  $addInnerJoin
	WHERE     (tblMestieri.IdCommessa = $IdCommessa) AND ISNULL(tblAttivitàMestiere.TipoMP,0)<>2
sql;

if ( is_numeric($_POST['TipoMP']) ) $sql .= " AND ISNULL(tblAttivitàMestiere.TipoMP,0) = ".ntxip('TipoMP'); 

if ( strlen($_POST['Mestiere']) ) $sql .= " AND tblMestieri.Descrizione like '%".str_replace("'","''",$_POST['Mestiere'])."%'"; 

if ( strlen($_POST['Componente']) ) $sql .= " AND tblComponetiMestiere.Descrizione like '%".str_replace("'","''",$_POST['Componente'])."%'"; 

if ( strlen($_POST['Attività']) ) $sql .= " AND tblAttivitàMestiere.Descrizione like '%".str_replace("'","''",$_POST['Attività'])."%'"; 

if ( $_POST['GeneraDettaglioProgrammate']=="SI" )
	$sql .= " AND TipoComponente.GeneraDettaglioOrdPrg =1 ";
elseif ( $_POST['GeneraDettaglioProgrammate']=="NO" )
	$sql .= " AND (tblAttivitàMestiere.GeneraDettaglioOrdPrg =0 OR TipoComponente.GeneraDettaglioOrdPrg IS NULL) ";
	
$sql .= <<< sql
	ORDER BY IdMest, IdComp, IdAtt
sql;

$query = ntxQuery($sql);

$table = "";

$IdMest = $IdComp = "";

while( $query  &&  $rs = ntxRecord($query) )
{
	$inArrayIdAtt = in_array($rs[IdAtt], $ListaIdAtt);
	
	if ( $FiltroCapitolati==1  &&  !$inArrayIdAtt ) continue;
	
	if ( $FiltroCapitolati==2  &&  $inArrayIdAtt ) continue;
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( $IdMest != $rs[IdMest] )
	{
		$IdMest = $rs[IdMest];
		
		$table .= <<< table
			<div style="background-color:#FF99FF;font-size:1.9em;padding:3px;border-bottom:1px dashed black">
				<span spanMest style="cursor:pointer;background-color:white;font-size:12pt;border:1px solid black;padding:2px;margin:2px" onclick="ExplodeMest(this, $rs[IdMest])">+</span>
				<input type=checkbox onclick="SelMest(this, $rs[IdMest])" />
				[$html[CodMest]] $html[DesMest]
				[<input type=checkbox onclick="SelMestDettComp(this, $rs[IdMest])">dettaglio componente]
			</div>
table;
	}

	if ( $IdComp != $rs[IdComp] )
	{
		$IdComp = $rs[IdComp];
		
		$table .= <<< table
			<div divComp IdMest=$rs[IdMest] style="display:none;text-indent:20px;background-color:#99FF99;font-size:1.5em;padding:3px;font-weight:bold;border-bottom:1px dashed black">
				<span spanComp IdMest=$rs[IdMest] IdComp=$rs[IdComp] style="cursor:pointer;background-color:white;font-size:12pt;border:1px solid black;padding:2px;margin:2px" onclick="ExplodeComp(this, $rs[IdComp])">+</span>
				<input type=checkbox IdMest=$rs[IdMest] onclick="SelComp(this, $rs[IdComp])" />
				[$html[CodComp]] $html[DesComp]
				[<input type=checkbox onclick="SelCompDettComp(this, $rs[IdComp])" IdMestDC=$rs[IdMest]>dettaglio componente]
			</div>
table;
	}
	
	if ( $inArrayIdAtt )
		$checked = "CHECKED";
	else
		$checked = "";
	
	if ($rs[TipoMP]==1)
		$checkedTipoMP = "CHECKED";
	else
		$checkedTipoMP = "";
		
	$comboTipoMP = <<< comboTipoMP
		<span style="font-weight:bold;font-size:1.2em">
			[<input type=checkbox $checkedTipoMP onclick="SetTipoMpAttività(this, $rs[IdAtt])" chkAttDC IdMestDC=$rs[IdMest] IdCompDC=$rs[IdComp] IdAttDC=$rs[IdAtt]>dettaglio componente]
		</span>
comboTipoMP;
	
	$table .= <<< table
		<div divAtt IdMest=$rs[IdMest] IdComp=$rs[IdComp] style="display:none;text-indent:50px;background-color:white;font-size:1.2em;border-bottom:1px dashed black;padding:3px">
			<input type=checkbox chkAtt $checked IdMest=$rs[IdMest] IdComp=$rs[IdComp] IdAtt=$rs[IdAtt] onclick="SelAtt(this, $rs[IdAtt])" />
			[$html[CodAtt]] $html[DesAtt] 
			$comboTipoMP
		</div>
table;
}

jhp($table);

?>
