<?php

session_start();

require_once('../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$table = new NtxTable('tblCopertureInCommessa');

$Id = $_POST[Id];

$Nome = ntxsp('Nome');

if ( $Nome=="NULL" || $Nome=="''" )
	jhp_error("Inserire per prima cosa il nome della copertura!");

	$sql = <<< sql
	SELECT     Id
	FROM         VistaCoperture
	WHERE     (Nome = $Nome) 
	AND (IdCommessa IS NULL) 
sql;

if ( is_numeric(ntxScalar($sql)) )
	jhp_error("Esiste già una copertura sovra-commessa con lo stesso nome!");

if ( !is_numeric($Id) )
{
	$sql = <<< sql
		SELECT     Id
		FROM         VistaCoperture
		WHERE     (Nome = $Nome) 
		AND (IdCommessa = $IdCommessa) 
sql;
}
else
{
	$sql = <<< sql
		SELECT     Id
		FROM         VistaCoperture
		WHERE     (Nome = $Nome) 
		AND (IdCommessa = $IdCommessa) 
		AND (Id <> $Id)
sql;
}

if ( is_numeric(ntxScalar($sql)) )
	jhp_error("Esiste già una copertura in-commessa con lo stesso nome!");

if ( !is_numeric($Id) )
{
	$sql = <<< sql
		SELECT     Nome, IdCommessa, Id
		FROM         VistaCoperture
		WHERE     (Nome = N'a') 
		AND (IdCommessa = 1 OR IdCommessa IS NULL) 
		AND (Id <> 2)
sql;

	$IdTrovato = ntxScalar($sql);

	$insert = $table->insert();

	$insert->init();

	$insert->setse("IdCommessa");
	
	$insert->setp('Nome');
	$insert->setp('FileName');
	$insert->setp('Simbolo');
	$insert->setp('Ordine');
	$insert->setp('Visibile');
	$insert->setp('Global');
	$insert->setp('Populate');
	
	$insert->set('Tipo', 0);
	$insert->set('Geometria', 0);
	$insert->set('Associazione', 2);

	$insert->execute();

	$Id = ntxId();
}
else
{
	$Id = (int)$Id;
	
	$update = $table->update();

	$update->init();

	$update->setp('Nome');
	$update->setp('FileName');
	$update->setp('Simbolo');
	$update->setp('Ordine');
	$update->setp('Visibile');
	$update->setp('Global');
	$update->setp('Populate');

	$update->wherese("IdCommessa");
	$update->wherep("Id");

	$update->execute();
}

jhp($Id);

?>
