<?php

session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$Nome = ntxsp('Nome',false,false);

$sql = "SELECT  TOP 1 1 FROM tblCoperture WHERE Nome=$Nome";

if ( is_numeric(ntxScalar($sql)) )
	jhp_error("Il nome \"$Nome\" è già usato da un'altra copertura sovra-commessa!");

$sql = "SELECT TOP 1 1 FROM tblCopertureInCommessa WHERE IdCommessa=$IdCommessa AND Nome=$Nome";

if ( is_numeric(ntxScalar($sql)) )
	jhp_error("Il nome \"$Nome\" è già usato da un'altra copertura in-commessa!");

$table = new NtxTable('tblCopertureInCommessa');

$insert = $table->insert();

$insert->init();

$insert->setse('IdCommessa');
$insert->setp('Nome');

$insert->set('Tipo', '0');
$insert->set('Geometria', '1');
$insert->set('Associazione', '4');
$insert->set('Colore', '0');
$insert->set('Spessore', '1');

$insert->set('Simbolo', 'arc');
$insert->set('Visibile', '0');
$insert->set('Ordine', '0');
$insert->set('Global', '0');
$insert->set('Populate', '0');

$insert->set('PubblicaWeb', '1');
$insert->set('OrdineWeb', '0');
$insert->set('VisibileWeb', '1');
$insert->set('UploadGestioneSpazi', '1');

$insert->execute();

$id = ntxId();

$update = $table->update();

$update->init();

$update->set('FileName', "cop_gs_$id");

$update->wherese('IdCommessa');
$update->where('id', $id);

$update->execute();
 
jhp_ok();

?>
