$(function(){
	$('input[type=button]').button();
	
	$('div[ButtonSet]').buttonset();
	$('span[ButtonSet]').buttonset();
});

var codice = {
	root_jhp: 'jhp/tipi-componenti/',
	
	Seleziona: function(value) {
		$('input[type=checkbox][SelRiga]').attr('checked', value);
	},
	
	ElementiSelezionati: function() {
		var list = $('input[type=checkbox][SelRiga]:checked');
		var i, len = list.length;
		var result = "";
		
		for(i=0; i<len; ++i)
		{
			if ( result.length>0 ) result += ",";
			
			result += $(list[i]).attr('IdRiga');
		}
		
		return result;
	},
	
	Aggiungi: function(IdComponenteMestiere) {
		var result = jhp(this.root_jhp+"aggiungi.php", {IdComponenteMestiere: IdComponenteMestiere});

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			frmRefresh.submit();
		}
	},
	
	Registra: function(obj) {
		var f = $(obj);
		var Campo = f.attr('Campo');
		var IdTipoComponenteMestiere = f.attr('IdRiga');
		var type = f.attr('type');
		var Valore = "";
		
		if (type=="checkbox")
			Valore = f.attr('checked') ? 1 : 0;
		else
			Valore = f.val();
			
		var result = jhp(this.root_jhp+"modifica.php", 
				{
					IdTipoComponenteMestiere: IdTipoComponenteMestiere,
					Campo: Campo,
					Valore: Valore
				});

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
		if (type=="checkbox")
			f.attr('checked', result.value==1);
		else
			f.val(result.value);
		}	
	},
	
	Elimina: function() {
		var lista_id = "";
		
		$('input[type=checkbox][SelRiga]:checked').each(function(){
			if ( lista_id!="" ) lista_id += ",";
			
			lista_id += $(this).attr('IdRiga');
		});
		
		if ( lista_id=="" )
		{
			alert("Prima seleziona elementi da cancellare!");
			return;
		}

		if ( !confirm("Elimina elementi selezionati?") ) return;
		
		var result = jhp(this.root_jhp+"elimina.php", 
				{lista_id: lista_id});

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			frmRefresh.submit();
		}	
	}
};