<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">

	<link href="css/index.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>

	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	
	<link href="/repository/libs/jquery_nameless/combobox.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery_nameless/combobox.js"></script>

	<script type="text/javascript" src="jhp/index.js"></script>
	<script type="text/javascript" src="jhp/prop_loc_singolo.js"></script>
</head>
<body>
<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_049", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_049", "IT", __FILE__);

$TipoLoc = ntxip('TipoLoc');

if ( $TipoLoc==0 )
	$DesTipoLoc = "Edificio";
elseif ( $TipoLoc==1 )
	$DesTipoLoc = "Strada";
elseif ( $TipoLoc==2 )
	$DesTipoLoc = "Verde";
else
	$DesTipoLoc = "Tipo Localizzazione Sconosciuta";

?>
	<input type=button value="<?php $traduttore->html('Gruppi Localizzazioni') ?>" onclick="VaiA('index.php')" />
	<input type=button value="<?php $traduttore->html('Edifici') ?>" onclick="VaiB('localizzazioni.php', 0)" />
	<input type=button value="<?php $traduttore->html('Strade') ?>" onclick="VaiB('localizzazioni.php', 1)" />
	<input type=button value="<?php $traduttore->html('Verde') ?>" onclick="VaiB('localizzazioni.php', 2)" />
	<br>
	<input type=button value="<?php $traduttore->html('Categorie Edifici') ?>" onclick="VaiB('categorie.php', 0)" />
	<input type=button value="<?php $traduttore->html('Categorie Strade') ?>" onclick="VaiB('categorie.php', 1)" />
	<input type=button value="<?php $traduttore->html('Categorie Verde') ?>" onclick="VaiB('categorie.php', 2)" />
	<br>
	<input type=button value="<?php $traduttore->html('Personalizza Proprietà Edifici') ?>" onclick="VaiB('customize_props.php', 0)" />
	<input type=button value="<?php $traduttore->html('Personalizza Proprietà Strade') ?>" onclick="VaiB('customize_props.php', 1)" />
	<input type=button value="<?php $traduttore->html('Personalizza Proprietà Verde') ?>" onclick="VaiB('customize_props.php', 2)" />
	<h1><?php echo $traduttore->html('Modifica Proprietà')." $DesTipoLoc" ?></h1>
	
	<input type=button value="<?php echo $traduttore->html('Aggiorna') ?>" onclick="VaiA('prop_localiz.php')" />

<?php

$sql = <<< sql
		SELECT     ID IdEdificio, Codice, EdificioEstesa, EdificioBreve, Indirizzo, CITTA, PROVINCIA, CAP, AreaMQ, MqLordiPDI, Note, 
				(SELECT     Nome
					FROM         tblPgPropietari
					WHERE     (IdPropietario = ElencoEdifici.IdProprietario)) Proprietario
		FROM         ElencoEdifici
		WHERE     (IdCommessa = $IdCommessa) AND (ID = $IdEdificio)
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$js = array();
$html = array();

foreach($rs as $key=>$value)
{
	$js[$key] = ntxJs($value);
	$html[$key] = htmlentities($value);
}
	
/*$table = <<< table
	<table class=grid>
		<tr>
			<th>Codice
			<th>Nome Breve
			<th>Nome Esteso
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>CAP
			<th>MQ
			<th>MQ Lordi
			<th>Note
			<th>Proprietario
			<th>Id
		<tr>
			<td>$html[Codice]
			<td>$html[EdificioBreve]
			<td>$html[EdificioEstesa]
			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[CAP]
			<td>$html[AreaMQ]
			<td>$html[MqLordiPDI]
			<td>$html[Note]
			<td>$html[Proprietario]
			<td>$rs[IdEdificio]
	</table>
<br>
table;*/
$table = 
	"<table class=grid>
		<tr>"
			."<th>".$traduttore->traduci('Codice')
			."<th>".$traduttore->traduci('Nome Breve')
			."<th>".$traduttore->traduci('Nome Esteso')
			."<th>".$traduttore->traduci('Indirizzo')
			."<th>".$traduttore->traduci('Comune')
			."<th>".$traduttore->traduci('Provincia')
			."<th>".$traduttore->traduci('CAP')
			."<th>".$traduttore->traduci('MQ')
			."<th>".$traduttore->traduci('MQ Lordi')
			."<th>".$traduttore->traduci('Note')
			."<th>".$traduttore->traduci('Proprietario')
			."<th>ID"
		."<tr>
			<td>$html[Codice]
			<td>$html[EdificioBreve]
			<td>$html[EdificioEstesa]
			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[CAP]
			<td>$html[AreaMQ]
			<td>$html[MqLordiPDI]
			<td>$html[Note]
			<td>$html[Proprietario]
			<td>$rs[IdEdificio]
	</table>
<br>"
;

echo $table;

require_once("prop_loc_carica_combobox.inc");

$sql = <<< sql
	SELECT     IdPropTipoEdificio, Valore
	FROM         tblValoriEdifici
	WHERE     (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio)
sql;

$query = ntxQuery($sql);

$valori = array();

while ( $rs = ntxIRecord($query) )
{
	$valori[$rs[0]] = $rs[1];
}


$sql = <<< sql
	SELECT     tblValPropTipiEdifici.IdPropTipoEdificio, tblValPropTipiEdifici.Valore
	FROM         tblValPropTipiEdifici INNER JOIN
						  tblPropTipiEdifici ON tblValPropTipiEdifici.IdCommessa = tblPropTipiEdifici.IdCommessa AND 
						  tblValPropTipiEdifici.IdPropTipoEdificio = tblPropTipiEdifici.IdPropTipoEdificio
	WHERE     (tblPropTipiEdifici.IdCommessa = $IdCommessa) AND (tblPropTipiEdifici.TipoEdificio = $TipoLoc)
sql;

$query = ntxQuery($sql);

$listeValoriDefault = array();

while ( $rs = ntxIRecord($query) )
{
	$listeValoriDefault[$rs[0]][] = $rs[1];
}

$sql = <<< sql
	SELECT     IdPropTipoEdificio, Propietà
	FROM         tblPropTipiEdifici
	WHERE     (IdCommessa = $IdCommessa) AND (TipoEdificio = $TipoLoc)
sql;

$query = ntxQuery($sql);

/*$table = <<< table
<table class=grid style="font-size:1.2em"><tr>
	<th>
	<th>Proprietà
	<th>Valore
	<th>Lista Valori Predefiniti
table;*/
$table =
"<table class=grid style=\"font-size:1.2em\"><tr>
	<th>"
	."<th>".$traduttore->traduci('Proprietà')
	."<th>".$traduttore->traduci('Valore')
	."<th>".$traduttore->traduci('Lista Valori Predefiniti')
;

while ( $rs=ntxRecord($query) )
{
	$htmlPropietà = htmlentities($rs[Propietà]);
	$jsValore = ntxJs($valori[$rs[IdPropTipoEdificio]]);

	$select = getSelectSelected($listeValoriDefault[$rs[IdPropTipoEdificio]]);
	
	/*$table .= <<< table
		<tr IdPropTipoEdificio=$rs[IdPropTipoEdificio]>
			<td><input type=button value=Cancella onclick="CancellaProp($rs[IdPropTipoEdificio])" />
			<td>$htmlPropietà
			<td><input type=text IdPropTipoEdificio=$rs[IdPropTipoEdificio] onblur="Modifica(this)" Campo=Valore value="$jsValore" size=50 maxlength=255 />
			<td><select IdPropTipoEdificio=$rs[IdPropTipoEdificio] Campo=IdProprietario onchange="SelValoreDaLista(this)">$select</select>
table;*/	
	$table .=
		"<tr IdPropTipoEdificio=$rs[IdPropTipoEdificio]>"
			."<td><input type=button value=\"".$traduttore->traduci('Elimina')."\" onclick=\"CancellaProp($rs[IdPropTipoEdificio])\" />"
			."<td>$htmlPropietà
			<td><input type=text IdPropTipoEdificio=$rs[IdPropTipoEdificio] onblur=\"Modifica(this)\" Campo=Valore value=\"$jsValore\" size=50 maxlength=255 />
			<td><select IdPropTipoEdificio=$rs[IdPropTipoEdificio] Campo=IdProprietario onchange=\"SelValoreDaLista(this)\">$select</select>"
;
}
$table .= "</table>";

echo $table;

?>
	
<form name=form1 method=post>
	<input type=hidden name=IdGruppo value="<?php echo $IdGruppo ?>" />
	<input type=hidden name=TipoLoc value="<?php echo $TipoLoc ?>" />
	<input type=hidden name=IdEdifici value="<?php echo $_POST[IdEdifici] ?>" />
	<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
</form>
<?php
	//$traduttore->Salva();
?>
</body>
</html>