<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');

$where = "WHERE (ILS_Dispositivi.IDCommessa = $IdCommessa) AND ILS_Dispositivi.Attivo=1";

if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ILS_Dispositivi.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";

if ( strlen("$_POST[UltimoUtenteWeb]")>0 ) $where .= " AND Utenti.Nome LIKE '%".str_replace("'","''",$_POST[UltimoUtenteWeb])."%'";

if ( strlen("$_POST[UltimoUtenteILS]")>0 ) $where .= " AND ILS_Utenti.Nome LIKE '%".str_replace("'","''",$_POST[UltimoUtenteILS])."%'";

if ( is_numeric($_POST[Tipo]) ) $where .= " AND ILS_Dispositivi.Tipo=".((int)$_POST[Tipo]);
if ( is_numeric($_POST[Id]) ) $where .= " AND ILS_Dispositivi.Id=".((int)$_POST[Id]);

$sql = <<< sql
SELECT     ILS_Dispositivi.Id, ILS_Dispositivi.Attivo, ILS_Dispositivi.DataPrimaAttivazione, ILS_Dispositivi.DataUltimaDisattivazione, 
                      ILS_Dispositivi.DataUltimaAttivazione, ILS_Dispositivi.Codice, ILS_Utenti.Nome AS UltimoUtenteILS, Utenti.Nome AS UltimoUtenteWeb, 
                      ILS_TipiDispositivi.Tipo, pac.x, pac.y, pac.DataOra, pac.ApplicataMetrica, PianoLivello.IdCommessa, PianoLivello.IdEdificio, PianoLivello.idPiano, 
                      ElencoEdifici.Codice AS CodEdificio, ElencoEdifici.EdificioBreve AS NomeEdificio, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Prov, ElencoEdifici.CAP, PianoLivello.CodiceAssLivello AS CodPiano, DestinazioniDusoLivello.Destinazione AS DesPiano, 
                      Ambiente.CodiceAssAmbiente AS CodVano, Ambiente.CodiceAmbiente, DestinazioniDuso.Destinazione AS DesVano
FROM         ILS_Dispositivi LEFT OUTER JOIN
                          (SELECT     TOP (1) Id, IdDispositivo, x, y, IdCommessa, IdEdificio, IdPiano, Idambiente, DataOra, ApplicataMetrica
                            FROM          ILS_Pacchetti
                            WHERE      (DataOra > DATEADD(minute, - 2, GETDATE()))  AND applicatametrica=1
                            ORDER BY Id DESC) AS pac ON ILS_Dispositivi.IdCommessa = pac.IdCommessa AND ILS_Dispositivi.Codice = pac.IdDispositivo LEFT OUTER JOIN
                      ILS_TipiDispositivi ON ILS_Dispositivi.IdCommessa = ILS_TipiDispositivi.IdCommessa AND 
                      ILS_Dispositivi.Tipo = ILS_TipiDispositivi.Id LEFT OUTER JOIN
                      Utenti ON ILS_Dispositivi.IdUltimoUtenteWeb = Utenti.Id LEFT OUTER JOIN
                      ILS_Utenti ON ILS_Dispositivi.IdCommessa = ILS_Utenti.IdCommessa AND ILS_Dispositivi.IdUltimoUtenteILS = ILS_Utenti.Id
					  left JOIN
                      Ambiente ON pac.IdCommessa = Ambiente.IdCommessa and pac.IdEdificio = Ambiente.IdEdificio and pac.Idambiente = Ambiente.Idambiente  left  JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano left  JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
$where
sql;

$paginazione = ntxPaginazione($sql, "Id");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>ID
			<th>Codice
			<th>Attivo
			<th>Tipo
			<th>Data Prima<br>Attivazione
			<th>Data Ultima<br>Disattivazione
			<th>Data Ultima<br>Attivazione
			<th>Ultimo<br>Utente-ILS
			<th>Ultimo<br>Utent-eWeb
			<th>Data<br>Ultima<br>Localizzazione
			<th>Localizzazione
			<th>x
			<th>y
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";

	$rs[DataPrimaAttivazione] = ntxDateTime($rs[DataPrimaAttivazione]);
	$rs[DataUltimaDisattivazione] = ntxDateTime($rs[DataUltimaDisattivazione]);
	$rs[DataUltimaAttivazione] = ntxDateTime($rs[DataUltimaAttivazione]);
	$rs[DataOra] = ntxDateTime($rs[DataOra]);
	$rs[x] = ntxRoundThousand($rs[x],2);
	$rs[y] = ntxRoundThousand($rs[y],2);
	
	if ( !is_numeric($rs[idPiano]) )
		$disabled = "DISABLED";
	else
		$disabled = "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td><input type=button value=mappa onclick="objCodice.VaiSuMappa('$rs[IdEdificio]', '$rs[idPiano]', '$rs[Id]')" $disabled />
			<td><input type=checkbox SelRiga IdRiga='$rs[Id]' />
			<td>$rs[Id]
			<td>$html[Codice]
			<td>$html[Attivo]
			<td>$html[Tipo]
			
			<td>$html[DataPrimaAttivazione]
			<td>$html[DataUltimaDisattivazione]
			<td>$html[DataUltimaAttivazione]

			<td>$html[UltimoUtenteILS]
			<td>$html[UltimoUtenteWeb]
			
			<td>$html[DataOra]
			
			<td>$html[CodiceAmbiente] - $html[CodEdificio] - $html[NomeEdificio]
				<br>$html[Indirizzo] - $html[Comune] ($html[Prov]) - $html[Comune]
				<br>$html[CodPiano] - $html[DesPiano] 
				<br>$html[CodVano] - $html[DesVano] 
			<td>$html[x]
			<td>$html[y]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
