<?php

function WritePolygon($layer, $punti)
{
	global $isExtent, $minx, $miny, $maxx, $maxy;
	
	$xy = explode(";", $punti);

	$countXY = count($xy);

	$shape =  ms_newShapeObj(MS_SHAPE_POLYGON);
	$line =  ms_newLineObj();

	for ( $i=0,$j=1; $j<$countXY; $i+=2,$j+=2 )
	{
		$x = (float)$xy[$i];
		$y = (float)$xy[$j];
		
		$line->addXY($x, $y);
	
		if ( !$isExtent )
		{
			if ( is_numeric($minx) )
			{
				if ( $x < $minx ) $minx = $x;
				if ( $y < $miny ) $miny = $y;
				
				if ( $x > $maxx ) $maxx = $x;
				if ( $y > $maxy ) $maxy = $y;
			}
			else
			{
				$minx = $x;
				$miny = $y;
				
				$maxx = $x;
				$maxy = $y;
			}
		}
	}

	$line->addXY((float)($xy[0]), (float)($xy[1]));

	$shape->add($line);
	
	$layer->addFeature($shape);
}

?>