<?php

$mapfile_text = <<< mapfile_text
MAP
	STATUS ON
	SIZE 400 300
	EXTENT -2200000 -712631 3072800 3840000
	UNITS METERS

	NAME MapFile
		SYMBOL
			NAME "circle"
			FILLED true
			TYPE vector
			  POINTS
				0 0
				0 30
				30 30
				30 0
			  END
		END
	END
mapfile_text;

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

$countFiles = 0;

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

$mapfile = tempnam($dir, "mapfile").".map";

$mapfile_handle = fopen($mapfile, 'w');
fwrite($mapfile_handle, $mapfile_text);
fclose($mapfile_handle);

?>