<?php

$setDate1 = ntxt($_POST[DataInizioRilievo]);
$setDate2 = ntxt($_POST[DataFineRilievo]);

$sql = <<< sql
SELECT     IdCommessa, IdEdificio, Codice, EdificioBreve, 
                      Indirizzo, CITTA, PROVINCIA, CAP,

		CodiceAmbiente,
		DesUsoAmbiente,
		
		MIN(dataMin) dataMin,
		MAX(dataMax) dataMax,
		
		sum(dif) secondiLavorati,
		sum(dif)/60 minutiLavorati,
		sum(dif)/3660 oreLavorati,
		count(*) giorniLavorati,

		MqVano, 

		MqVano / sum(dif) MqPerSecondiLavorati,
		MqVano*60 / sum(dif) MqPerMinutiLavorati,
		MqVano*3660 / sum(dif) MqPerOreLavorati,
		MqVano / count(*) MqPerGiorniLavorati,

		sum(NumComp) NumComp,

		SUM(NumComp)*1.0 / sum(dif) NumCompPerSecondiLavorati,
		SUM(NumComp)*60.0 / sum(dif) NumCompPerMinutiLavorati,
		SUM(NumComp)*3660.0 / sum(dif) NumCompPerOreLavorati,
		SUM(NumComp)*1.0 / count(*) NumCompPerGiorniLavorati

from (
SELECT     PianoLivello.IdCommessa, PianoLivello.IdEdificio,  PianoLivello.IdPiano, ElencoEdifici.Codice,  Ambiente.CodiceAmbiente, ElencoEdifici.EdificioBreve, 
                      ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, 
                      Ambiente.MQ MqVano, 
                      SUM(a.NumComp) NumComp, 
					  DestinazioniDuso.Destinazione DesUsoAmbiente,
		MIN(a.dataMin) dataMin,
		MAX(a.dataMax) dataMax,
day(a.dataMin) giorno,
month(a.dataMin) mese,
year(a.dataMin) anno,
		datediff(second, MIN(a.dataMin), MAX(a.dataMax)) dif

FROM         ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
INNER JOIN (
	select IdCommessa, IdEdificio, IdAmbiente, SecondiTotali, 
			dataMin,dataMax,NumComp

	from ResaOrariaPerEdificio($IdCommessa, $setDate1, $setDate2)
		where SecondiTotali>0
		and IdEdificio=$IdEdificio
) a on  (PianoLivello.IdCommessa = a.IdCommessa) AND (PianoLivello.IdEdificio = a.IdEdificio) AND (Ambiente.IDAmbiente = a.IDAmbiente)
		where PianoLivello.idPiano=$IdPiano
		AND (Ambiente.IDAmbiente = $IdAmbiente)
group BY PianoLivello.IdCommessa, PianoLivello.IdEdificio,  PianoLivello.IdPiano,ElencoEdifici.Codice,  Ambiente.CodiceAmbiente,DestinazioniDusoLivello.Destinazione, ElencoEdifici.EdificioBreve, 
                      ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP,
day(a.dataMin) ,
month(a.dataMin) ,
year(a.dataMin) ,
DestinazioniDuso.Destinazione,Ambiente.MQ
) bbb
group BY IdCommessa, IdEdificio, CodiceAmbiente,Codice,  DesUsoAmbiente, EdificioBreve, 
                      Indirizzo, CITTA, PROVINCIA, CAP,MqVano
sql;

$query = ntxQuery($sql);

$resa_oraria = <<< table
	<table class=grid>
table;

$changeColor = true;

if ($rs=ntxRecord($query))
{
	$classRow = $changeColor ? "class=alternate" : "";
	
	$rs[dataMin] = ntxDateTime($rs[dataMin]);
	$rs[dataMax] = ntxDateTime($rs[dataMax]);

	$rs[minutiLavorati] = ntxRoundThousand($rs[minutiLavorati], 2);
	$rs[oreLavorati] = ntxRoundThousand($rs[oreLavorati], 2);

	$rs[MqVano] = ntxRoundThousand($rs[MqVano], 2);

	$rs[MqPerSecondiLavorati] = ntxRoundThousand($rs[MqPerSecondiLavorati], 2);
	$rs[MqPerMinutiLavorati] = ntxRoundThousand($rs[MqPerMinutiLavorati], 2);
	$rs[MqPerOreLavorati] = ntxRoundThousand($rs[MqPerOreLavorati], 2);
	$rs[MqPerGiorniLavorati] = ntxRoundThousand($rs[MqPerGiorniLavorati], 2);

	$rs[NumCompPerSecondiLavorati] = ntxRoundThousand($rs[NumCompPerSecondiLavorati], 2);
	$rs[NumCompPerMinutiLavorati] = ntxRoundThousand($rs[NumCompPerMinutiLavorati], 2);
	$rs[NumCompPerOreLavorati] = ntxRoundThousand($rs[NumCompPerOreLavorati], 2);
	$rs[NumCompPerGiorniLavorati] = ntxRoundThousand($rs[NumCompPerGiorniLavorati], 2);
	
	foreach($rs as $key=>$val)
		$rs[$key] = htmlentities($val);

	$resa_oraria .= <<< table
		<tr><th>dataMin						<td>$rs[dataMin]
		<tr><th>dataMax						<td>$rs[dataMax]
		<tr><th>s							<td>$rs[secondiLavorati]
		<tr><th>min							<td>$rs[minutiLavorati]
		<tr><th>ore							<td>$rs[oreLavorati]
		<tr><th>giorni						<td>$rs[giorniLavorati]
		<tr><th>mq<br>vano 					<td>$rs[MqVano]
		<tr><th>mq/s						<td>$rs[MqPerSecondiLavorati]
		<tr><th>mq/min						<td>$rs[MqPerMinutiLavorati]
		<tr><th>mq/ore						<td>$rs[MqPerOreLavorati]
		<tr><th>mq/giorni					<td>$rs[MqPerGiorniLavorati]
		<tr><th>numero<br>componenti		<td>$rs[NumComp]
		<tr><th>componenti/s				<td>$rs[NumCompPerSecondiLavorati]
		<tr><th>componenti/min				<td>$rs[NumCompPerMinutiLavorati]
		<tr><th>componenti/ore				<td>$rs[NumCompPerOreLavorati]
		<tr><th>componenti/giorni			<td>$rs[NumCompPerGiorniLavorati]
table;

	$changeColor = !$changeColor;
}

$resa_oraria .= <<< table
	</table>
table;



?>