<?php

$sql = "SELECT     Offerte.IdOfferta, Offerte.Protocollo, Offerte.Sigla, Offerte.Accettata, Offerte.DataOfferta, Offerte.TipoOfferta, Offerte.Nota,  "
	."                      Offerte.CostoPresunto, Offerte.ImportoOfferta, Offerte.ImportoAccettato, Offerte.Referente, Offerte.Descrizione, tblPgGestori.Nome AS NomeGestore,  "
	."                      tblPgPropietari.Nome AS NomeEnte  "
	."FROM         Offerte LEFT JOIN "
	."                      tblPgPropietari ON Offerte.IdPropietario = tblPgPropietari.IdPropietario LEFT JOIN "
	."                      tblPgGestori ON Offerte.IdGestore = tblPgGestori.IdGestore "
	."WHERE Offerte.IdCommessa=$IdCommessa AND Offerte.IdOfferta=$IdOfferta";
	

$rs = ntxRecord(ntxQuery($sql));

$rs['DataOfferta'] = ntxDateTime($rs['DataOfferta']);

$rs['CostoPresunto'] = ntxRound($rs['CostoPresunto'],2);
$rs['ImportoOfferta'] = ntxRound($rs['ImportoOfferta'],2);
$rs['ImportoAccettato'] = ntxRound($rs['ImportoAccettato'],2);

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);

echo <<< table
	<table class=grid>
		<tr>
			<th>IdOfferta</th>
			<th>Protocollo</th>
			<th>Nome Ente</th>
			<th>Nome Gestore</th>
			<th>Accettata</th>
			<th>Data Offerta</th>
			<th>Tipo Offerta</th>
			<th>Nota</th>
			<th>Costo Presunto</th>
			<th>Importo Offerta</th>
			<th>Importo Accettato</th>
			<th>Referente</th>
			<th>Descrizione</th>
			<th>Sigla</th>
		<tr>
			<td>$rs[IdOfferta]
			<td>$html[Protocollo]
			<td>$html[NomeEnte]
			<td>$html[NomeGestore]
			<td>$html[Accettata]

			<td>$html[DataOfferta]
			
			<td>$html[TipoOfferta]
			<td>$html[Nota]

			<td>$html[CostoPresunto]
			<td>$html[ImportoOfferta]
			<td>$html[ImportoAccettato]

			<td>$html[Referente]
			<td>$html[Descrizione]
			<td>$html[Sigla]
		</tr>
	</table>
table;

?>