<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');

$addInnerJoin = "";

if ( is_numeric($_POST['Contratto']) )	
{
	$IdPgContratto = ntxip('Contratto');
	
	$addInnerJoin = <<< addInnerJoin
		INNER JOIN
                      (SELECT     tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa, tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere
		FROM         tblPgContrattiPropietariGestoriAttivitàEdifici
		WHERE     (tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = $IdPgContratto)) a ON tblAttivitàMestiere.IdCommessa = a.IdCommessa AND 
							  tblAttivitàMestiere.IdAttivitàMestiere = a.IdAttivitàMestiere
addInnerJoin;

}

$sql = <<< sql
	SELECT   DISTINCT  tblMestieri.IdMestiere AS IdMest, tblMestieri.codice AS CodMest, tblMestieri.Descrizione AS DesMest, 
						  tblComponetiMestiere.IdComponenteMestiere AS IdComp, tblComponetiMestiere.codice AS CodComp, tblComponetiMestiere.Descrizione AS DesComp, 
						  tblAttivitàMestiere.IdAttivitàMestiere AS IdAtt, tblAttivitàMestiere.codice AS CodAtt, tblAttivitàMestiere.Descrizione AS DesAtt, 
						  TipiMP.Tipo AS TipoMP, tblAttivitàMestiere.ListaControlloObbligatoria ListaContrObblig,
						  (SELECT COUNT(*) FROM ListeControlloAttivitàMestiere
							WHERE IdCommessa=tblAttivitàMestiere.IdCommessa 
							AND IdAttivitàMestiere=tblAttivitàMestiere.IdAttivitàMestiere) CountListaControllo
							
	FROM         tblMestieri INNER JOIN
						  tblComponetiMestiere ON tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
						  tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
						  tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
						  tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere 
						  $addInnerJoin
						  LEFT JOIN TipiMP ON ISNULL(tblAttivitàMestiere.TipoMP,0) = TipiMP.Id
	WHERE     (tblMestieri.IdCommessa = $IdCommessa) 
sql;

if ( $_POST[ConListaDiControllo] )
	$sql .= <<< sql
		AND (SELECT COUNT(*) FROM ListeControlloAttivitàMestiere
							WHERE IdCommessa=tblAttivitàMestiere.IdCommessa 
							AND IdAttivitàMestiere=tblAttivitàMestiere.IdAttivitàMestiere)>0 
sql;
	
if ( $_POST[ConListaDiControlloObbligatoria] )
	$sql .= " AND tblAttivitàMestiere.ListaControlloObbligatoria=1 "; 
	
if ( is_numeric($_POST['TipoMP']) ) $sql .= " AND ISNULL(tblAttivitàMestiere.TipoMP,0) = ".ntxip('TipoMP'); 

if ( strlen($_POST['Mestiere']) ) $sql .= " AND tblMestieri.Descrizione like '%".str_replace("'","''",$_POST['Mestiere'])."%'"; 

if ( strlen($_POST['Componente']) ) $sql .= " AND tblComponetiMestiere.Descrizione like '%".str_replace("'","''",$_POST['Componente'])."%'"; 

if ( strlen($_POST['Attività']) ) $sql .= " AND tblAttivitàMestiere.Descrizione like '%".str_replace("'","''",$_POST['Attività'])."%'"; 

if ( $_POST['GeneraDettaglioProgrammate']=="SI" )
	$sql .= " AND TipoComponente.GeneraDettaglioOrdPrg =1 ";
elseif ( $_POST['GeneraDettaglioProgrammate']=="NO" )
	$sql .= " AND (TipoComponente.GeneraDettaglioOrdPrg =0 OR TipoComponente.GeneraDettaglioOrdPrg IS NULL) ";
	
	
$sql .= <<< sql
	ORDER BY IdMest, IdComp, IdAtt
sql;

$query = ntxQuery($sql);

$table = "";

$IdMest = $IdComp = "";

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( $IdMest != $rs[IdMest] )
	{
		$IdMest = $rs[IdMest];
		
		$table .= <<< table
			<div style="background-color:#FF99FF;font-size:1.9em;padding:3px;border-bottom:1px dashed black">
				<span spanMest style="cursor:pointer;background-color:white;font-size:12pt;border:1px solid black;padding:2px;margin:2px" onclick="ExplodeMest(this, $rs[IdMest])">+</span>
				[$html[CodMest]] $html[DesMest]
			</div>
table;
	}

	if ( $IdComp != $rs[IdComp] )
	{
		$IdComp = $rs[IdComp];
		
		$table .= <<< table
			<div divComp IdMest=$rs[IdMest] style="display:none;text-indent:20px;background-color:#99FF99;font-size:1.5em;padding:3px;font-weight:bold;border-bottom:1px dashed black">
				<span spanComp IdMest=$rs[IdMest] IdComp=$rs[IdComp] style="cursor:pointer;background-color:white;font-size:12pt;border:1px solid black;padding:2px;margin:2px" onclick="ExplodeComp(this, $rs[IdComp])">+</span>
				[$html[CodComp]] $html[DesComp]
			</div>
table;
	}
	
	$checkedListaContrObblig = $rs[ListaContrObblig] ? "checked" : "";
	$ListaControllo = $rs[CountListaControllo]>0 ? "[Presente Lista Controllo]" : "";
	
	$table .= <<< table
		<div divAtt IdMest=$rs[IdMest] IdComp=$rs[IdComp] style="display:none;text-indent:50px;background-color:white;font-size:1.2em;border-bottom:1px dashed black;padding:3px">
			<input type=radio name=optSelAttivitàMestiere onclick="SelAttivitàMestiere($rs[IdAtt])" />
			[$html[CodAtt]] $html[DesAtt] 
			<span style="font-weight:bold;font-size:1.2em">[$html[TipoMP]]</span>
			<span style="font-weight:bold;font-size:1.2em">$ListaControllo</span>
			<span style='font-weight:italic;font-size:0.9em'>[Lettura Obbligatoria Lista di Controllo
				<input type=checkbox $checkedListaContrObblig onclick="SettaConListaContrObbligatoria(this, $rs[IdAtt])" />]</span>
		</div>
table;
}

jhp($table);

?>
