<?php  

$sql = <<< sql
SELECT DISTINCT 
                      ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, tblPgPropietari.Nome AS Ente
FROM         tblPgPropietari RIGHT OUTER JOIN
                      ElencoEdifici ON tblPgPropietari.IdPropietario = ElencoEdifici.IdProprietario
WHERE 	ElencoEdifici.ID=$IdEdificio	AND ElencoEdifici.IdCommessa=$IdCommessa			  
sql;

$query = ntxQuery($sql);

$rsEdificio = ntxRecord($query);

foreach($rsEdificio as $key=>$value)
	$rsEdificio[$key] = htmlentities($value);
	
$sql = <<< sql
SELECT     DestinazioniDusoLivello.Destinazione AS DesUso, PianoLivello.idPiano, PianoLivello.MQ, PianoLivello.MQ_LORDI, PianoLivello.RapportoMqLordiNetti
FROM         PianoLivello LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
WHERE 	PianoLivello.IdEdificio=$IdEdificio	AND PianoLivello.IdCommessa=$IdCommessa			  
ORDER BY DestinazioniDusoLivello.ordinamento, DesUso	
sql;

$query = ntxQuery($sql);

$alternate = false;

$table = "";

$row = 1;

while ( $rs = ntxRecord($query) )
{
	$rs[DesUso] = htmlentities($rs[DesUso]);
	$rs[MQ] = ntxRound($rs[MQ],3);
	$rs[MQ_LORDI] = ntxRound($rs[MQ_LORDI],3);
	$rs[RapportoMqLordiNetti] = ntxRound($rs[RapportoMqLordiNetti],4);

	$alt = $alternate ? "class=alternate" : "";

	$table .= <<< table
		<tr>
			<td>$rs[DesUso]
			<td><input type=button value=calc onclick="Calc($row, 'mq_netti','$IdEdificio','$rs[idPiano]')" />
			<td><input campo=mq_netti riga=$row type=text size=10 onblur="Edit(this, 'mq_netti','$IdEdificio','$rs[idPiano]')" value="$rs[MQ]" />
			<td><input type=button value=calc onclick="Calc($row, 'mq_lordi','$IdEdificio','$rs[idPiano]')" />
			<td><input campo=mq_lordi riga=$row type=text size=10 onblur="Edit(this, 'mq_lordi','$IdEdificio','$rs[idPiano]')" value="$rs[MQ_LORDI]" />
			<td><input type=button value=calc onclick="Calc($row, 'mq_prop','$IdEdificio','$rs[idPiano]')" />
			<td><input campo=mq_prop riga=$row type=text size=10 onblur="Edit(this, 'mq_prop','$IdEdificio','$rs[idPiano]')" value="$rs[RapportoMqLordiNetti]" />
table;

	$row += 1;
	$alternate = !$alternate;
}
?>
