$(function(){
	$.colorInput.defaults.cells = 30;
	$.colorInput.defaults.cellSize = 5;
	$.colorInput.defaults.hueWidth = 22;
	$.colorInput.defaults.hideInput = false;
	$.colorInput.defaults.hoverSelect = false;
	$.colorInput.defaults.cancelOnClick = [];
	$.colorInput.defaults.acceptCancelButtons = true;
	$.colorInput.defaults.showLeft = false;
	$.colorInput.defaults.noHash = true;
	
	$('input[Campo="Colore"], input[Campo="ColoreArea"]').colorInput().change(function(){
		$(this).focus();
	});
	
	$(document).click(function(e) {
		if ($.colorInput.current) {
			if ($.colorInput.current.isChanged) {
				$.colorInput.current.accept();
			} else {
				$.colorInput.current.cancel();
			}
		}
	});

	$('select').combobox();
});

function SelAll(value)
{
	$('input[type="checkbox"][name="SelCop"]').attr('checked', value);
}

function Aggiungi()
{
	var obj = { IdMappa: form1.IdMappa.value};
	
	var result = jhp('jhp/aggiungi_cop.php', obj);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		VaiA('coperture_mappa.php');
	}	
}

function Modifica(txt)
{
	var tx = $(txt);
	
	var value;
	
	switch(tx.attr('type'))
	{
		case "checkbox":
			value = tx.attr('checked') ? 1 : 0;
			break;
		default:
			value = tx.attr('value');
			break;
	}

	var obj = { IdCopertura: tx.attr('IdCopertura'),
				Campo: tx.attr('Campo'),
				value: value};
	
	var result = jhp('jhp/modifica_cop.php', obj);
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		tx.attr('value', result.value);
	}	
}

function Elimina()
{
	var checkboxs = $('input[type="checkbox"][name="SelCop"]:checked');
	
	if ( checkboxs.length==0 )
	{
		alert("Prima Seleziona Coperture Mappa!");
		return;
	}
	
	if ( !confirm("Cancella Coperture Mappa?") ) return;
	
	var i;
	
	for (i=0; i<checkboxs.length; ++i)
	{
		var IdCopertura = $(checkboxs[i]).attr('IdCopertura');
		
		var obj = { IdCopertura: IdCopertura};
		
		var result = jhp('jhp/elimina_cop.php', obj);
		
		if(result.state)
		{
			alert(result.message);
			return;
		}
		else
		{
			$('tr[IdCopertura="'+IdCopertura+'"]').remove();
		}	
	}
}

function Genera()
{
	if ( !confirm("Genera da Piano Classificazione Componenti?") ) return;

	var result = jhp('jhp/genera_cop_da_pc.php', {IdMappa: form1.IdMappa.value});
	
	if(result.state)
	{
		alert(result.message);
	}
	
	VaiA('coperture_mappa.php');
}

function Copia()
{
	var checkboxs = $('input[type="checkbox"][name="SelCop"]:checked');
	
	if ( checkboxs.length==0 )
	{
		alert("Prima Seleziona Coperture Mappa!");
		return;
	}
	
	if ( !confirm("Copia Coperture Mappa?") ) return;
	
	var i;
	
	var ListaIdCop = "";
	
	for (i=0; i<checkboxs.length; ++i)
	{
		var IdCopertura = $(checkboxs[i]).attr('IdCopertura');
		
		if ( ListaIdCop!="" ) ListaIdCop += ",";
		
		ListaIdCop += IdCopertura;
	}

	var obj = { ListaIdCop: ListaIdCop, IdMappaTarget: $('#IdMappaTarget').attr('value')};
	
	var result = jhp('jhp/copia_cop.php', obj);
	
	if(result.state)
	{
		alert(result.message);
	}
}