$(function(){
	Ricerca();
});
	
function MostraNascondiCampiLingue()
{
	$('tr[LINGUA]').hide();
	$('th[LINGUA]').hide();
	$('td[LINGUA]').hide();
		
	$('input[type=checkbox][chkLingua]:checked').each(function(){
		var codice = $(this).attr('chkLingua');
		
		$('tr[LINGUA='+codice+']').show();
		$('th[LINGUA='+codice+']').show();
		$('td[LINGUA='+codice+']').show();
	});
}

function Ricerca()
{
	var result = jhp("jhp/ricerca.php", {IDTipoAmbiente:gIDTipoAmbiente});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#result').html(result.value);
		MostraNascondiCampiLingue();
	}
}

function Aggiungi()
{
	var result = jhp("jhp/aggiungi.php", {IDTipoAmbiente:gIDTipoAmbiente});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#result').html(result.value);
		MostraNascondiCampiLingue();
	}
}

function Memorizza(txt)
{
	var $txt = $(txt);
	
	var obj = {};
	
	obj.IdDestinazioneuso = $txt.attr('IdDestinazioneuso');
	obj.campo = $txt.attr('campo');
	obj.value = $txt.val();
	
	var result = jhp("jhp/memorizza.php", obj);

	if(result.state)
	{
		alert(result.message);
	}
}
	
function Elimina(IdDestinazioneuso)
{
	if ( !confirm("elimina?") ) return;
	
	var result = jhp("jhp/elimina.php", {IdDestinazioneuso: IdDestinazioneuso});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('tr[IdDestinazioneuso='+IdDestinazioneuso+']').remove();
	}
}

function AssociaDissocia(chk, IDTipoAmbiente, IdDestinazioneuso)
{
	var result = jhp("jhp/associa_dissocia.php", {
		assegnato: chk.checked ? 1 : 0,
		IDTipoAmbiente: IDTipoAmbiente,
		IdDestinazioneuso: IdDestinazioneuso
	});

	if(result.state)
	{
		alert(result.message);
	}	
}