<?php

$IdAmbito = 3; // atteggiamento-energetico

$sql = <<< sql
	SELECT     Codice, Nome
	FROM         RIMM_Ambiti
	WHERE     (Id = $IdAmbito) 
sql;

$query = ntxQuery($sql);

if ( $rs = ntxRecord($query) )
{
	$CodiceAmbito = $rs[Codice];
	$Ambito = $rs[Nome];

	$titolo = htmlentities("$CodiceAmbito - $Ambito");
	
	$sql = <<< sql
		SELECT     Progressivo, TecCostrTipoRischio, LivelloValutazione, ElementoValutato, Gruppo
		FROM         RIMM_Elementi
		WHERE     (IdAmbito = $IdAmbito)
		ORDER BY Progressivo
sql;

	$query = ntxQuery($sql);

	$table = "";
	
	$alt = false;
	
	while ( $rs = ntxRecord($query) )
	{
		if ( $rs[Gruppo]==2 )
			$altClass = $alt ? "class='alternate bold'" : "class=bold";
		else
			$altClass = $alt ? "class=alternate" : "";
		
		foreach($rs as $k=>$v)
			$rs[$k] = htmlentities($v);
			
		$table .= <<< table
			<tr $altClass>
				<td ColonnaNascondibile>$rs[Progressivo]
				<td ColonnaNascondibile>$rs[TecCostrTipoRischio]
				<td ColonnaNascondibile>$rs[LivelloValutazione]
				<td>$rs[ElementoValutato]
table;
		
		if ( $rs[Gruppo]==1 )
		{
			$table .= <<< table
				<td><input class=center type=text IdAmbito=$IdAmbito Campo=Simbolo Progressivo=$rs[Progressivo] onblur="EditAmbito(this)" size=7>
				<td><input class=center type=text IdAmbito=$IdAmbito Campo=UM Progressivo=$rs[Progressivo] onblur="EditAmbito(this)" size=12>
				<td><input class=right type=text IdAmbito=$IdAmbito Campo=Valore Progressivo=$rs[Progressivo] onblur="EditAmbito(this)" size=7>
				
				<td><input class=right type=text IdAmbito=$IdAmbito Campo=R RangeMin=0 RangeMax=100 Progressivo=$rs[Progressivo] onblur="EditAmbito(this)" size=7>
				<td><input class=right type=text IdAmbito=$IdAmbito Campo=P RangeMin=0 RangeMax=100 Progressivo=$rs[Progressivo] onblur="EditAmbito(this)" size=7>
				<td class=right IdAmbito=$IdAmbito Campo=Totale Progressivo=$rs[Progressivo]>
table;
		}
		else
		{
			$table .= <<< table
				<td><td><td><td><td>
				<td class=right IdAmbito=$IdAmbito Campo=Totale Progressivo=$rs[Progressivo] Gruppo=$rs[Gruppo]>
table;
		}
		
		$alt = !$alt;
	}
}

?>

<h1><?php echo $titolo ?></h1>
<div EdificioSelezionato></div>

<input type=button value="Mostra/Nascondi Colonne" onclick="MostraNascondiColonne()" />

<table class=grid>
	<tr>
		<th ColonnaNascondibile>
		<th ColonnaNascondibile>Tecnologia Costruzione
		<th ColonnaNascondibile>Livello Valutazione
		<th>Elemento Valutato
		<th colspan=3>PROPRIETA' CALCOLATE				
		<th colspan=2>PROPRIETA' VALUTATE		
		<th>RISULTATO
	<tr>
		<th ColonnaNascondibile>
		<th ColonnaNascondibile>
		<th ColonnaNascondibile>
		<th>

		<th>Simbolo
		<th>Unità di Misura
		<th>Valore
		<th>rispondenza
		<th>peso
		<th>Valutazione energetica
	<?php echo $table ?>
</table>