<?php

$sql = <<< sql
	UPDATE RIMM_Valori SET R = case when RIMM_VALORI.Att=1 then	
									(4*RIMM_VALORI.VE+RIMM_VALORI.ICE+RIMM_VALORI.ICP)/18
								end
	FROM RIMM_VALORI INNER JOIN RIMM_Elementi 
		ON RIMM_VALORI.IdAmbito=RIMM_Elementi.IdAmbito
		AND RIMM_VALORI.Progressivo=RIMM_Elementi.Progressivo
	WHERE     (RIMM_VALORI.IdAmbito = $IdAmbito) 
		AND (IdCommessa = $IdCommessa) 
		AND (IdEdificio = $IdEdificio) 
		AND (Gruppo = 1)
sql;

ntxQuery($sql);

$sql = <<< sql
	SELECT case when SUM(RIMM_VALORI.P)<>0 then SUM(RIMM_VALORI.P*RIMM_VALORI.R)/SUM(RIMM_VALORI.P) end
	FROM RIMM_VALORI INNER JOIN RIMM_Elementi 
		ON RIMM_VALORI.IdAmbito=RIMM_Elementi.IdAmbito
		AND RIMM_VALORI.Progressivo=RIMM_Elementi.Progressivo
	WHERE     (RIMM_VALORI.IdAmbito = $IdAmbito) 
		AND (IdCommessa = $IdCommessa) 
		AND (IdEdificio = $IdEdificio) 
		AND (Gruppo = 1)
		AND (RIMM_VALORI.Att = 1)
sql;

$Totale = ntxScalar($sql);

if ( !is_numeric($Totale) ) $Totale = 'NULL';

$sql = <<< sql
	SELECT 2
	FROM RIMM_VALORI INNER JOIN RIMM_Elementi 
		ON RIMM_VALORI.IdAmbito=RIMM_Elementi.IdAmbito
		AND RIMM_VALORI.Progressivo=RIMM_Elementi.Progressivo
	WHERE     (RIMM_VALORI.IdAmbito = $IdAmbito) 
		AND (IdCommessa = $IdCommessa) 
		AND (IdEdificio = $IdEdificio) 
		AND (Gruppo = 2)
sql;

$esiste = (ntxScalar($sql)==2);

if ( !$esiste )
{
	$sql = <<< sql
		INSERT INTO RIMM_Valori (Totale, IdAmbito, IdCommessa, IdEdificio, Progressivo)
		SELECT  $Totale, $IdAmbito, $IdCommessa, $IdEdificio, Progressivo
		FROM RIMM_Elementi
		WHERE     (IdAmbito = $IdAmbito) 
			AND (Gruppo = 2)
sql;
}
else
{
	$sql = <<< sql
		UPDATE RIMM_Valori SET Totale = $Totale
		FROM RIMM_VALORI INNER JOIN RIMM_Elementi 
			ON RIMM_VALORI.IdAmbito=RIMM_Elementi.IdAmbito
			AND RIMM_VALORI.Progressivo=RIMM_Elementi.Progressivo
		WHERE     (RIMM_VALORI.IdAmbito = $IdAmbito) 
			AND (IdCommessa = $IdCommessa) 
			AND (IdEdificio = $IdEdificio) 
			AND (Gruppo = 2)
sql;
}

ntxQuery($sql);


?>
