<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$sql = <<< sql
	SELECT     ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioEstesa, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, 
						  ElencoEdifici.CAP, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.Tipo, tblPgPropietari.Nome AS Proprietario
	FROM         ElencoEdifici LEFT JOIN
						  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE (ElencoEdifici.IDCommessa = $IdCommessa) AND ElencoEdifici.ID = $IdEdificio
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>ID
			<th>Codice
			<th>Nome Breve
			<th>Nome Esteso
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>Cap
			<th>Proprietario
			<th>Tipo
		</tr>
table;

$tipi = array('edificio','strada','verde');

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$Tipo = $tipi[$rs[Tipo]];

	$table .= <<< table
		<tr>
			<td>$rs[ID]
			<td>$html[Codice]
			<td>$html[EdificioBreve]
			<td>$html[EdificioEstesa]

			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]

			<td>$html[CAP]
			<td>$html[Proprietario]
			<td>$Tipo
		</tr>
table;
}

$table .= "</table>";

$result = array();

jhp($table);

?>
