<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdAmbito = ntxip('IdAmbito');

$sql = <<< sql
	SELECT     Id, Etichetta
	FROM         RIMM_ValoriGiudicati
	WHERE     (IdAmbito = $IdAmbito)
	ORDER BY IdGruppo
sql;

$query2 = ntxQuery($sql);

$table = "";

while( $rs2 = ntxRecord($query2) )
{
	$caption = htmlentities($v);
		
	$table .= <<< table
		<table class=grid>
			<caption>$rs2[Etichetta]
			<tr>
				<th class=thStrict>Inizio Range Compreso
				<th class=thStrict>Fine Range Escluso
				<th class=thStrict>Colore
				<th class=thStrict>Giudizio
				<th class=thStrict>
			</tr>
table;

	$sql = <<< sql
		SELECT     Id, InizioRangeCompreso, FineRangeEscluso, Colore, Giudizio
		FROM         RIMM_Giudizi
		WHERE     (IdValoreGiudicato = $rs2[Id])
		ORDER BY InizioRangeCompreso
sql;

	$query = ntxQuery($sql);

	$alternate = false;

	while( $rs = ntxRecord($query) )
	{
		$classTr = $alternate ? "class=alternate" : "";
		
		$InizioRangeCompreso = ntxRound($rs[InizioRangeCompreso],2);
		$FineRangeEscluso = ntxRound($rs[FineRangeEscluso],2);

		$Colore = ntxJS($rs[Colore]);
		
		foreach($rs as $k=>$v)
			$html[$k] = htmlentities($v);
		
		$table .= <<< table
			<tr $classTr>
				<td>$InizioRangeCompreso
				<td>$FineRangeEscluso
				<td style="background-color:$Colore">$html[Colore]
				<td>$html[Giudizio]
				<td><input type=button value="elimina" onclick="objGiudizi.Elimina('$rs[Id]')" />
			</tr>
table;

		$alternate = !$alternate;
	}

	$table .= <<< table
			<tr $classTr>
				<td><input type=text id=txtMin$rs2[Id] value="" size=7 maxlength=50 />
				<td><input type=text id=txtMax$rs2[Id] value="" size=7 maxlength=50 />
				<td><input type=text id=txtColore$rs2[Id] value="" size=10 maxlength=50 />
				<td><input type=text id=txtGiudizio$rs2[Id] value="" size=50 maxlength=50 />
				<td><input type=button value="aggiungi" 
						IdValoreGiudicato="$rs2[Id]"
						IdTxtMin="txtMin$rs2[Id]"
						IdTxtMax="txtMax$rs2[Id]"
						IdTxtColore="txtColore$rs2[Id]"
						IdTxtGiudizio="txtGiudizio$rs2[Id]"
						onclick="objGiudizi.Aggiungi(this)" />
			</tr>
		</table><hr>
table;
}

jhp($table);

?>
