var colonneNascoste = true;

$(function(){
	$('input[type=button]').button();
	
	$('div[ButtonSet]').buttonset();
	$('span[ButtonSet]').buttonset();
	
	$('div[ButtonSetv]').buttonsetv();
	$('span[ButtonSetv]').buttonsetv();
	
	$('div[Scheda][Visibile]').show();
	$('div[Scheda][NonVisibile]').hide();
	
	$('th[ColonnaNascondibile],td[ColonnaNascondibile]').hide();
});

function MostraScheda(livello, id)
{
	$('div[Scheda]['+livello+']').hide();
	
	if ( livello=="Liv2")
	{
		var IdAmbito = $('#'+id).attr('IdAmbito');
		
		CaricaValoriAmbito(IdAmbito);
		objModelli.SelAmbito(IdAmbito);
		objGiudizi.SelAmbito(IdAmbito);
	}
	
	$('#'+id).show();
}

function MostraNascondiColonne()
{
	if ( colonneNascoste )
		$('th[ColonnaNascondibile],td[ColonnaNascondibile]').show();
	else
		$('th[ColonnaNascondibile],td[ColonnaNascondibile]').hide();
	
	colonneNascoste = !colonneNascoste;
}

function EditAmbito(obj)
{
	var $$ = $(obj);
	var tipo = $$.attr('type'); 
	var IdAmbito = $$.attr('IdAmbito'); 
	var Campo = $$.attr('Campo'); 
	var Progressivo = $$.attr('Progressivo'); 
	var value; 
	var RangeMin = $$.attr('RangeMin');
	var RangeMax = $$.attr('RangeMax');

	if ( tipo=="checkbox" )
		value = $$.attr('checked') ? 1 : 0; 
	else
		value = $$.attr('value'); 
			
	if ( RangeMin != undefined ) 
	{
		if ( parseInt(RangeMin) > parseInt(value) )
		{
			alert("Il valore inserito non può essere minore di "+RangeMin);
			value = RangeMin;
		}
	}
	
	if ( RangeMax != undefined )
	{
		if ( parseInt(RangeMax) < parseInt(value) )
		{
			alert("Il valore inserito non può essere maggiore di "+RangeMax);
			value = RangeMax;
		}
	}
	
	var param = {
				IdEdificio: objElencoEdifici.IdEdificio,
				IdAmbito: IdAmbito,
				Campo: Campo,
				Progressivo: Progressivo,
				value: value
			};

	var result = jhp("jhp/edit-valore-ambito.php", param);

	if(result.state)
	{
		alert(result.message);
	}
	
	CaricaValoriAmbito(IdAmbito);
}

function CaricaValoriAmbito(IdAmbito)
{
	var obj = {
				IdEdificio: objElencoEdifici.IdEdificio,
				IdAmbito: IdAmbito
			};
			
	var result = jhp("jhp/valori-ambito.php",obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var table = result.value;
		var rs, len = table.length, i;

		for ( i=0; i<len; ++i )
		{
			var stato = table[i].stato;
			var Progressivo = table[i].Progressivo;
			var rs = table[i].rs;
			
			var subquery = '[IdAmbito='+IdAmbito+'][Progressivo='+Progressivo+']';

			if ( stato )
			{
				$('td'+subquery+'[Campo=VSm]').css('background-color', rs.ColoreVSm);
				$('td'+subquery+'[Campo=Avsm]').css('background-color', rs.ColoreAvsm);
				$('td'+subquery+'[Campo=VSc]').css('background-color', rs.ColoreVSc);
				$('td'+subquery+'[Campo=Avsc]').css('background-color', rs.ColoreAvsc);
				$('td'+subquery+'[Campo=Totale]').css('background-color', rs.ColoreTotale);

				switch ( IdAmbito )
				{
					case '1': // diagnosi-conservativa
						$('input'+subquery+'[Campo=Att]').attr('checked', rs.Att==1);
						$('select'+subquery+'[Campo=VE]').val(rs.VE);
						$('select'+subquery+'[Campo=ICE]').val(rs.ICE);
						$('select'+subquery+'[Campo=ICP]').val(rs.ICP);
						$('td'+subquery+'[Campo=R]').text(rs.R);
						$('input'+subquery+'[Campo=P]').val(rs.P);
						$('td'+subquery+'[Campo=Totale]').html(rs.Totale+" "+rs.GiudizioTotale);
						break;
					case '2': // vulnerabilita-sismica
						$('input'+subquery+'[Campo=R]').val(rs.R);
						$('select'+subquery+'[Campo=P]').val(rs.P);
						$('select'+subquery+'[Campo=A]').val(rs.A);
						$('td'+subquery+'[Campo=VSm]').html(rs.VSm+" "+rs.GiudizioVSm);
						$('td'+subquery+'[Campo=Avsm]').html(rs.Avsm+" "+rs.GiudizioAvsm);
						$('td'+subquery+'[Campo=VSc]').html(rs.VSc+" "+rs.GiudizioVSc);
						$('td'+subquery+'[Campo=Avsc]').html(rs.Avsc+" "+rs.GiudizioAvsc);
						break;
					case '3': // atteggiamento-energetico
						$('input'+subquery+'[Campo=Simbolo]').val(rs.Simbolo);
						$('input'+subquery+'[Campo=Valore]').val(rs.Valore);
						$('input'+subquery+'[Campo=UM]').val(rs.UM);
						$('input'+subquery+'[Campo=R]').val(rs.R);
						$('input'+subquery+'[Campo=P]').val(rs.P);
						$('td'+subquery+'[Campo=Totale]').html(rs.Totale+" "+rs.GiudizioTotale);
						break;
					case '4': // contesto-urbano
						$('input'+subquery+'[Campo=Att]').attr('checked', rs.Att==1);
						$('select'+subquery+'[Campo=Pr]').val(rs.Pr);
						$('select'+subquery+'[Campo=Imp]').val(rs.Imp);
						$('select'+subquery+'[Campo=Int]').val(rs.Int);
						$('select'+subquery+'[Campo=M]').val(rs.M);
						$('select'+subquery+'[Campo=B]').val(rs.B);
						$('input'+subquery+'[Campo=Rmax]').val(rs.Rmax);
						$('td'+subquery+'[Campo=FR]').text(rs.FR);
						$('td'+subquery+'[Campo=Totale]').html(rs.Totale+" "+rs.GiudizioTotale);
						break;
					case '5': // rischio-ambientale
						$('input'+subquery+'[Campo=Att]').attr('checked', rs.Att==1);
						$('select'+subquery+'[Campo=Pr]').val(rs.Pr);
						$('select'+subquery+'[Campo=Imp]').val(rs.Imp);
						$('select'+subquery+'[Campo=Int]').val(rs.Int);
						$('select'+subquery+'[Campo=P]').val(rs.P);
						$('input'+subquery+'[Campo=Rmax]').val(rs.Rmax);
						$('td'+subquery+'[Campo=FR]').text(rs.FR);
						$('td'+subquery+'[Campo=Totale]').html(rs.Totale+" "+rs.GiudizioTotale);
						break;
				}
			}
			else
			{
				switch ( IdAmbito )
				{
					case '1': // diagnosi-conservativa
						$('input'+subquery+'[Campo=Att]').attr('checked', false);
						$('select'+subquery+'[Campo=VE]').val('');
						$('select'+subquery+'[Campo=ICE]').val('');
						$('select'+subquery+'[Campo=ICP]').val('');
						$('td'+subquery+'[Campo=R]').text('');
						$('input'+subquery+'[Campo=P]').val('');
						$('td'+subquery+'[Campo=Totale]').text('');
						break;
					case '2': // vulnerabilita-sismica
						$('input'+subquery+'[Campo=R]').val('');
						$('select'+subquery+'[Campo=P]').val('');
						$('select'+subquery+'[Campo=A]').val('');
						$('td'+subquery+'[Campo=VSm]').text('');
						$('td'+subquery+'[Campo=Avsm]').text('');
						$('td'+subquery+'[Campo=VSc]').text('');
						$('td'+subquery+'[Campo=Avsc]').text('');
						break;
					case '3': // atteggiamento-energetico
						$('input'+subquery+'[Campo=Simbolo]').val('');
						$('input'+subquery+'[Campo=Valore]').val('');
						$('input'+subquery+'[Campo=UM]').val('');
						$('input'+subquery+'[Campo=R]').val('');
						$('input'+subquery+'[Campo=P]').val('');
						$('td'+subquery+'[Campo=Totale]').text('');
						break;
					case '4': // contesto-urbano
						$('input'+subquery+'[Campo=Att]').attr('checked', false);
						$('select'+subquery+'[Campo=Pr]').val('');
						$('select'+subquery+'[Campo=Imp]').val('');
						$('select'+subquery+'[Campo=Int]').val('');
						$('select'+subquery+'[Campo=M]').val('');
						$('select'+subquery+'[Campo=B]').val('');
						$('input'+subquery+'[Campo=Rmax]').val('');
						$('td'+subquery+'[Campo=FR]').text('');
						$('td'+subquery+'[Campo=Totale]').text('');
						break;
					case '5': // rischio-ambientale
						$('input'+subquery+'[Campo=Att]').attr('checked', false);
						$('select'+subquery+'[Campo=Pr]').val('');
						$('select'+subquery+'[Campo=Imp]').val('');
						$('select'+subquery+'[Campo=Int]').val('');
						$('select'+subquery+'[Campo=P]').val('');
						$('input'+subquery+'[Campo=Rmax]').val('');
						$('td'+subquery+'[Campo=FR]').text('');
						$('td'+subquery+'[Campo=Totale]').text('');
						break;
				}
			}
		}
	}
}

