<?php  
session_start();
require_once('../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');
header('Content-type: application/vnd.ms-excel');
header('Content-Disposition: attachment; filename=Dettaglio_sistema_informativo.xls');

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = (int)$_SESSION['IdCommessa'];
$mese = ntxip('Mese');
$anno = ntxip('Anno');
$IdPropietario = ntxip('IdPropietario');

$sql =  <<< SQL
SELECT  tblPgPropietari.Nome, Richieste.DataInserimento, Richieste.DataRichiesta, Richieste.NumRichiesta, Richieste.AnnoRichiesta,
		DATEDIFF(HH, Richieste.DataRichiesta, Richieste.DataInserimento) AS delta
FROM    Richieste INNER JOIN ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa 
		AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
WHERE   (MONTH(Richieste.DataRichiesta) = $mese) AND (YEAR(Richieste.DataRichiesta) = $anno) AND (Richieste.IDCommessa = $IdCommessa)
		AND (ElencoEdifici.IdProprietario = $IdPropietario)
ORDER BY Richieste.AnnoRichiesta, Richieste.NumRichiesta
SQL;

$prop = ntxScalar($sql);
$query = ntxQuery($sql);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
	<style type="text/css"> 
	table, th, td 
	{
		border: solid 1px;
		border-color:#5B5B5B;
	}
	</style>
</head>

<table align=center >

	<tr><th colspan=6 align=center><font size=3>DETTAGLIO DATI SISTEMA INFORMATIVO&nbsp;&nbsp;&nbsp;<?php echo $mese ?>&nbsp;-&nbsp;<?php echo $anno ?></th></tr>
	<tr><th colspan=6 align=center><font size=3><?php echo $prop ?></th></tr>

	<tr><th>NUMERO RICHIESTA</th><th>ANNO RICHIESTA</th><th>DATA INSERIMENTO</th><th>DATA RICHIESTA</th><th>RITARDO (GG)</th><th>RITARDO (ORE)</th></tr>
<?php
	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NumRichiesta']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['AnnoRichiesta']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataInserimento']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($rs['delta']/24,2) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['delta']) ?></td>
	
<?php		

	$alternate = !$alternate;
	
	}
	
?>

</table>

</body>
</html>