<?php  

function SetFitSuAmbiente($map, $cod)
{
	$layerAmb = $map->getLayerByName("Ambienti");
	
	$status = $layerAmb->open();

	$i=0;

	while ( $shape = @$layerAmb->getShape(new mapscript::resultObj(-1,$i++)) )
	{  
		if ( $cod == $shape->values['CODICE'] )
		{
			$map->setExtent($shape->bounds->minx, 
							$shape->bounds->miny, 
							$shape->bounds->maxx, 
							$shape->bounds->maxy);

		    $shape->free();
	
			$layerAmb->close();
			
			return;
		}

	    $shape->free();
	}
	
	$layerAmb->close();
}

function TematizzaAmb($map, $codici)
{
	$a = $map->getAllLayerNames();
	
	foreach($a as $b)
		if ( $b=="tematizzazione" ) return;
		
	$layerAmb = $map->getLayerByName("Ambienti");
	
	$layerAmb = ms_newLayerObj($map, $layerAmb);
	
	$map->moveLayerUp(4);
	$map->moveLayerUp(4);
	 
	$query = "";

	foreach ( $codici as $cod )
	{  
		if ( $query != "" )
			$query .= " OR ";
			
		$query .= "\"[CODICE]\" == \"$cod\"";
	}
	$layerAmb->set("name", "tematizzazione");
	$layerAmb->set("filteritem", "CODICE");
	$layerAmb->setFilter("( $query )");

	$layerAmb->set("status", 1);
	$cl = $layerAmb->getClass(0);
	$cl = $cl->getStyle(0);
	
	$cl->color->setRGB(255,55,0);
}

function LabelizzaAmb($map, $codici, $source, $pathTem)
{
	global $Valori3;
	
	$date = getdate();
	
	$model = "{$pathTem}\\tmp{$date['year']}_{$date['yday']}_{$date['hours']}_{$date['minutes']}_{$date['seconds']}";
	
	$i=1;
	
	$dest = $model."_".$i;
	
	do{
		if(file_exists($dest )  &&  is_file($dest )) 
		{
			$dest  = $model."_".$i;
			$i++;
		}
		else
		{
			copy($source.".shp", $dest.".shp");
			copy($source.".shx", $dest.".shx");
			copy($source.".dbf", $dest.".dbf");
			
			$db = dbase_open($dest.".dbf", 2);

			if($db)
			{
				$num = dbase_numrecords  (  $db  );
				
				for($i=1;$i<=$num;$i++)
				{
				
					//$rec=dbase_get_record_with_names  (  $db  , $i  );
					$rec=dbase_get_record  (  $db  , $i  );

					if ( isset($Valori3[trim($rec[1])]) )
					{
						$rec[2] = trim($rec[2])." : ".$Valori3[trim($rec[1])];
					}
			
					unset($rec['deleted']);
					
					dbase_replace_record  ( $db  , $rec  , $i  );
				}
				
				dbase_close($db);
			}

			break;
		}
	}while (true);
	
	$a = $map->getAllLayerNames();
	
	foreach($a as $b)
		if ( $b=="labelizzazione" ) return;
		
	$layerAmb = $map->getLayerByName("Codici Ambienti");
	
	$layerAmb = ms_newLayerObj($map, $layerAmb);
	
	$map->moveLayerUp(5);
	 
	$query = "";

	foreach ( $codici as $cod )
	{  
		if ( $query != "" )
			$query .= " OR ";
			
		$query .= "\"[CODICE]\" == \"$cod\"";
	}

	$layerAmb->set("data", $dest);
	$layerAmb->set("name", "labelizzazione");
	$layerAmb->set("filteritem", "CODICE");
	$layerAmb->setFilter("( $query )");

	$layerAmb->set("status", 1);

	$res = $layerAmb->open();
	
	$i=0;

	while($shape = @$layerAmb->getShape($i++))
	{
		$shape->set('CODASS',"aaa");
	}

	$layerAmb->close();
}

?>
