$(function(){
	$('#canvas_1').resizable({
		stop: function( event, ui ) {
			if ( gCanvasEngine )
				gCanvasEngine.ResetSize();
		}
	});
	
	if ( gCanvasEngine )
		gCanvasEngine.ResetSize();
});

function funcCallBackTouchEnd(e, obj)
{
	switch(obj.Command)
	{
		case "ins_point":
			obj.AddPoint(obj.p1.x2, obj.p1.y2);
			obj.Redraw();
			break;
		case "find_alberi":
			if ( obj.p1.x1 - obj.p1.x2!=0 && obj.p1.y1 - obj.p1.y2!=0 )
				FindAlberi(obj.p1.x1, obj.p1.y1, obj.p1.x2, obj.p1.y2);
			break;
		case "find_albero":
			FindAlbero(obj.p1.x2, obj.p1.y2);
			break;
		case "find_siepe":
			FindSiepe(obj.p1.x2, obj.p1.y2);
			break;
		case "find_area":
			FindArea(obj.p1.x2, obj.p1.y2);
			break;
		case "ins_albero":
			//InsertAlbero(obj.p1.x2, obj.p1.y2);
			break;
		case "metro":
			if ( obj.Event == "GetSegment" )
				Metro(obj.p1.x1, obj.p1.y1, obj.p1.x2, obj.p1.y2);
			break;
		case "pan":
			if ( obj.Event == 1 )
			{
				form1.map_x.value = obj.p1.x2;
				form1.map_y.value = obj.p1.y2;
				
				CaricaMappa("pan");
			}
			else if ( obj.Event == 2 )
			{
				CaricaMappa("fit");
			}
			
			break;
		case "zoom_out":
			if ( obj.Event == 1 )
			{
				form1.map_x.value = obj.p1.x2;
				form1.map_y.value = obj.p1.y2;
				form1.map_scale.value = -2; 
			
				CaricaMappa("zoom");
			}
			else if ( obj.Event == 2 )
			{
				CaricaMappa("fit");
			}
			
			break;
		case "zoom_rect":
			if ( obj.Event=="ZoomRect1" )
			{
				if ( obj.p1.x1 - obj.p1.x2==0 || obj.p1.y1 - obj.p1.y2==0 )
				{
					form1.map_x.value = obj.p1.x1;
					form1.map_y.value = obj.p1.y1;
					form1.map_scale.value = 2; 
				
					CaricaMappa("zoom");
				}
				else
				{
					form1.zoom_x1.value = Math.min(obj.p1.x1, obj.p1.x2);
					form1.zoom_y1.value = Math.min(obj.p1.y1, obj.p1.y2);
					form1.zoom_x2.value = Math.max(obj.p1.x1, obj.p1.x2);
					form1.zoom_y2.value = Math.max(obj.p1.y1, obj.p1.y2);
			
					CaricaMappa("zoomarea");
				}
			}
			else if ( obj.Event == "ZoomRect2" )
			{
				form1.map_x.value = obj.p1.x2;
				form1.map_y.value = obj.p1.y2;
				form1.map_scale.value = -2; 
				
				CaricaMappa("zoom");
			}
			break;
	}
}

function InsertAreaPopolamento(points)
{
	var i;
	
	form1.map_xs.value = "";
	form1.map_ys.value = "";
	
	for(i=0;i<points.length;++i)
	{
		if ( form1.map_xs.value != "" )
		{
			form1.map_xs.value += ",";
			form1.map_ys.value += ",";
		}
		
		form1.map_xs.value += points[i].x;
		form1.map_ys.value += points[i].y;
	}
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/world_coordsss.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var pp = result.value;
		
		form1.ins_albero_x.value = pp['x'][0]; // coordinate mondo nuovo albero
		form1.ins_albero_y.value = pp['y'][0];
			
		var dati_input = jhp_frm(form1);

		dati_input['map_dx'] = gCanvasEngine.width;
		dati_input['map_dy'] = gCanvasEngine.height;
		
		var result2 = jhp("jhp/codice_area_ug.php", dati_input);

		if(result2.state)
		{
			alert(result2.message);
		}
		else
		{
			form1.CodiceAmbienti.value = result2.value;
			
			if ( result2.value+""=="" )
			{
				alert("Nessun area UG recuperata");
				return;
			}
			
			ClosePanel1();
			
			form1.map_xs.value = "";
			form1.map_ys.value = "";
		
			for(i=0;i<pp.x.length;++i)
			{
				if ( form1.map_xs.value != "" )
				{
					form1.map_xs.value += ",";
					form1.map_ys.value += ",";
				}
				
				form1.map_xs.value += pp['x'][i];
				form1.map_ys.value += pp['y'][i];
			}

			var dati_input = jhp_frm(form1);

			var result = jhp("jhp/ins_pop_area.php", dati_input);

			if(result.state)
			{
				alert(result.message);
			}
			else
			{
				CaricaMappa();
				
				gCanvasEngine.Redraw();
				
				form1.CodiceComponenti.value = result.value;

				ElencoComponentiPop();
				EditComponente("");
			}
		}
	}

}

function InsertPopolamento(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/world_coord.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var p = result.value;
		
		form1.ins_albero_x.value = p.x1; // coordinate mondo nuovo albero
		form1.ins_albero_y.value = p.y1;
			
		var dati_input = jhp_frm(form1);

		dati_input['map_dx'] = gCanvasEngine.width;
		dati_input['map_dy'] = gCanvasEngine.height;
		
		var result2 = jhp("jhp/codice_area_ug.php", dati_input);

		if(result2.state)
		{
			alert(result2.message);
		}
		else
		{
			form1.CodiceAmbienti.value = result2.value;
			
			if ( result2.value+""=="" )
			{
				alert("Nessun area UG recuperata");
				return;
			}
			
			ClosePanel1();
			
			var dati_input = jhp_frm(form1);

			var result = jhp("jhp/ins_pop.php", dati_input);

			if(result.state)
			{
				alert(result.message);
			}
			else
			{
				CaricaMappa();
				
				gCanvasEngine.Redraw();
				
				form1.CodiceComponenti.value = result.value;

				ElencoComponentiPop();
				EditComponente("");
			}
		}
	}
}

function InsertAlbero(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/world_coord.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var p = result.value;
		
		form1.ins_albero_x.value = p.x1; // coordinate mondo nuovo albero
		form1.ins_albero_y.value = p.y1;
			
		var dati_input = jhp_frm(form1);

		dati_input['map_dx'] = gCanvasEngine.width;
		dati_input['map_dy'] = gCanvasEngine.height;
		
		var result2 = jhp("jhp/codice_area_ug.php", dati_input);

		if(result2.state)
		{
			alert(result2.message);
		}
		else
		{
			form1.CodiceAmbienti.value = result2.value;
			
			if ( result2.value+""=="" )
			{
				alert("Nessun area UG recuperata");
				return;
			}
			
			ClosePanel1();
			
			var dati_input = jhp_frm(form1);

			var result = jhp("jhp/ins_albero.php", dati_input);

			if(result.state)
			{
				alert(result.message);
			}
			else
			{
				CaricaMappa();
				
				gCanvasEngine.Redraw();
				
				form1.CodiceComponenti.value = result.value;

				ElencoComponenti();
				EditComponente("");
			}
		}
	}
}

function PixelToWorld(x, y)
{
	var extent = form1.extent.value.split(" ");

	var minx = parseFloat(extent[0]);
	var miny = parseFloat(extent[1]);
	var maxx = parseFloat(extent[2]);
	var maxy = parseFloat(extent[3]);

	var dx = parseFloat(gCanvasEngine.width);
	var dy = parseFloat(gCanvasEngine.height);

	y = dy - y;

	var dx2 = Math.abs(maxx - minx);
	var dy2 = Math.abs(maxy - miny);

	var x2 = x * dx2 / dx + minx;
	var y2 = y * dy2 / dy + miny;

	return {x: x2, y: y2};
}

function Metro(x1, y1, x2, y2)
{
	var p1 = PixelToWorld(parseFloat(x1), parseFloat(y1));
	var p2 = PixelToWorld(parseFloat(x2), parseFloat(y2));

	var dist = Math.sqrt(Math.pow(parseFloat(p2.x)-parseFloat(p1.x),2)+Math.pow(parseFloat(p2.y)-parseFloat(p1.y),2));
	
	$('#Misura').html('misura: '+dist.toFixed(2));
}

function FindAlberi(x1, y1, x2, y2)
{
	var dati_input = jhp_frm(form1);

	dati_input['x1'] = x1;
	dati_input['y1'] = y1;
	dati_input['x2'] = x2;
	dati_input['y2'] = y2;

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/cerca_box_alberi.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		if ( result.value=="" )
			return;
			
		ClosePanel1();
		
		form1.CodiceComponenti.value = result.value;

		ElencoComponenti();
		EditComponente("");
	}
}

function FindArea(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/cerca_area_ug.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		if ( result.value=="" )
			return;
			
		ClosePanel1();
		
		form1.CodiciUG.value = result.value;

		ElencoUG();
		EditUG("");
	}
}

function FindSiepe(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/cerca_componente_siepe.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		if ( result.value=="" )
			return;
			
		ClosePanel1();
		
		form1.CodiceComponenti.value = result.value;

		ElencoComponentiPop();
		EditComponente("");
	}
}

function FindAlbero(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/cerca_componente_albero.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		if ( result.value=="" )
			return;
			
		ClosePanel1();
		
		form1.CodiceComponenti.value = result.value;

		ElencoComponenti();
		EditComponente("");
	}
}

function ElencoComponenti()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/elenco_componenti.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#EditContainer2').html(result.value);
		$('#EditContainer3').html('');
		VediNascondiPannelli(0);
		$('#EditContainer').toggle(true);
	}
}

function ElencoComponentiPop()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/elenco_componenti_pop.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#EditContainer2').html(result.value);
		$('#EditContainer3').html('');
		VediNascondiPannelli(0);
		$('#EditContainer').toggle(true);
	}
}

function ElencoUG()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/elenco_ug.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#EditContainer2').html(result.value);
		$('#EditContainer3').html('');
		VediNascondiPannelli(0);
		$('#EditContainer').toggle(true);
	}
}

function EditComponente(CodiceComponente)
{
	form1.CodiceComponente.value = CodiceComponente;

	var dati_input = jhp_frm(form1);

	var result = jhp("jhp/edit_componente2.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#EditContainer3').html(result.value);
			
		$('#DataRimozione1').datepicker();	
		
		$('#EditContainer').toggle(true);
	}
}

function EditUG(CodiceUG)
{
	form1.CodiceUG.value = CodiceUG;

	var dati_input = jhp_frm(form1);

	var result = jhp("jhp/edit_componenteUG_2.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#EditContainer3').html(result.value);
			
		$('#DataRimozione1').datepicker();	
		
		$('#EditContainer').toggle(true);
	}
}
