<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x = $_POST[map_x];
$y = $_POST[map_y];
$dx = $_POST[map_dx];
$dy = $_POST[map_dy];

$y = $dy - $y;

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

$x2 = $x * $dx2 / $dx + $minx;
$y2 = $y * $dy2 / $dy + $miny;

$point = ntxs("$x2;$y2");

$IdCommessa = ntxip('IdCommessa');
$IdMappa = ntxip('IdMappa');

$sql = <<< sql
SELECT DISTINCT Ambiente.CodiceAmbiente
FROM         Ambiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
                      Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente
	WHERE     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdMappa = 1) AND (AmbienteShapes.Tipo = 2)

	AND dbo.WindingNumber($point, AmbienteShapes.CoordXY)=1
sql;

$query = ntxQuery($sql);

$CodiceAmbienti = "";

while ( $rs = ntxIRecord($query) )
{
	if ( $CodiceAmbienti!="" ) $CodiceAmbienti .= ",";
	
	$CodiceAmbienti .= $rs[0];
}

jhp($CodiceAmbienti);

?>
