<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdMappa = ntxip('IdMappa');

$sql = <<< sql
	SELECT DISTINCT Ambiente.CodiceAmbiente
	FROM         Ambiente INNER JOIN
						  PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
						  Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
						  ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID
	WHERE     (Ambiente.IdTipoAmbiente = 1)
	AND     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdMappa = 1)
sql;

if ( strlen($_POST[fcCodArea])>0 ) $sql .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[fcCodArea])."%'";
if ( strlen($_POST[fcNomeArea])>0 ) $sql .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[fcNomeArea])."%'";
if ( strlen($_POST[fcIndirizzoArea])>0 ) $sql .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[fcIndirizzoArea])."%'";

if ( strlen($_POST[fcCodUG])>0 ) $sql .= " AND Ambiente.CodiceAssAmbiente = ".ntxsp('fcCodUG');

if ( strlen($_POST[fcDataModifica1])>0 ) $sql .= " AND Ambiente.DataUltimaModifica >= ".ntxtp('fcDataModifica1');
if ( strlen($_POST[fcDataModifica2])>0 ) $sql .= " AND Ambiente.DataUltimaModifica <= ".ntxtp('fcDataModifica2');

foreach ( $_POST as $key=>$IdProp )
{
	if (substr($key,0,8)=='id_prop_')
	{ 
		if ( strlen($_POST["val_prop_$IdProp"])==0 ) continue;
		
		if ( $_POST["val_prop_$IdProp"] == "[Valore non impostato]" )
		{
			$sql .= <<< sql
				 AND ISNULL((
					SELECT DISTINCT 2 AS Expr1
					FROM         tblValoriAmbienti
					WHERE     (IdCommessa = Ambiente.IdCommessa) 
					AND (IdEdificio = Ambiente.IdEdificio) 
					AND (IDAmbiente = Ambiente.IDAmbiente) 
					AND (IdPropAmb = $IdProp) 
					AND (Valore <> '') AND (Valore is not null)
				),0)<>2
sql;
		}
		else
		{
			$Value = ntxsp("val_prop_$IdProp");

			$sql .= <<< sql
				 AND (
					SELECT DISTINCT 2 AS Expr1
					FROM         tblValoriAmbienti
					WHERE     (IdCommessa = Ambiente.IdCommessa) 
					AND (IdEdificio = Ambiente.IdEdificio) 
					AND (IDAmbiente = Ambiente.IDAmbiente) 
					AND (IdPropAmb = $IdProp) 
					AND (Valore = $Value)
				)=2
sql;
		}
	}
}

$query = ntxQuery($sql);

$CodiciAmbienti = "";

while ( $rs = ntxIRecord($query) )
{
	if ( $CodiciAmbienti!="" ) $CodiciAmbienti .= ",";
	
	$CodiciAmbienti .= $rs[0];
}

jhp($CodiciAmbienti);

?>
