var cmdList = [
	{key: "InfoCoperture", 	label: "Info"},
	{key: "ins_point_1", 	label: "Insert Point 1"},
	{key: "ins_point_2", 	label: "Insert Point 2"},
	{key: "pan", 			label: "Pan"},
	{key: "zoomarea",		label: "Zoom Area"},
	{key: "zoomin", 		label: "Zoom In"},
	{key: "zoomout", 		label: "Zoom Out"}
];

dojo.addOnLoad(function(){
	loadCombo('cboCmd', cmdList);
});

function loadCombo(idCombo, list)
{
	var cbo = dijit.byId(idCombo);

	var menu = cbo.dropDown;
	var menuItem;
	
	for ( var i=0; i<list.length; ++i )
	{
		menuItem = new dijit.MenuItem({
			label: list[i].label,
			onClick: selCombo,
			myIdCombo: idCombo,
			myKey: list[i].key
		});
		
		menu.addChild(menuItem);
	}
}

function selCombo()
{
	var cbo = dijit.byId(this.myIdCombo);
	
	cbo.set("label", this.label);
	
	if ( this.myIdCombo == 'cboCmd' )
	{
		form1.doAction.value = this.myKey;
	}
	else if ( this.myIdCombo == 'cboTema' )
	{
		Tematizza(this.myKey);
	}
}
	
