<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$TipoEdificio = ntxip('TipoEdificio');
$IdEdificio = ntxip('IdEdificio');
$IdCopertura = ntxip('IdCopertura');
$IndexRecord = ntxip('IndexRecord');

$dat = getdate();

if ( $dat[mon]<10 ) $dat[mon] = "0$dat[mon]";
if ( $dat[mday]<10 ) $dat[mday] = "0$dat[mday]";
if ( $dat[hours]<10 ) $dat[hours] = "0$dat[hours]";
if ( $dat[minutes]<10 ) $dat[minutes] = "0$dat[minutes]";

$DAT_MANPRO = "$dat[year]-$dat[mon]-$dat[mday] $dat[hours]:$dat[minutes]";

$COD_MANPRO = ntxScalar("SELECT Codice FROM ElencoEdifici WHERE IdCommessa=$IdCommessa AND ID=$IdEdificio");

$sql = <<< sql
	SELECT  Mappe.Path, CopertureMappe.FileName
	FROM         Mappe INNER JOIN
						  CopertureMappe ON Mappe.IdCommessa = CopertureMappe.IdCommessa AND Mappe.IdMappa = CopertureMappe.IdMappa
	WHERE     (Mappe.IdCommessa =  $IdCommessa) AND (CopertureMappe.IdCopertura = $IdCopertura) 
sql;

$query = ntxQuery($sql);

if ( !($rs = ntxIRecord($query)) )
	jhp_error("Copertura $IdCopertura non trovata!");

$pathDbf = "$rs[0]\\$rs[1].dbf";

$db = @dbase_open($pathDbf, 2);

if ( !$db)
	jhp_error("Shapefile '$pathDbf' non trovato!");

$record = dbase_get_record_with_names($db, $IndexRecord);

$record[COD_MANPRO] = $COD_MANPRO;
$record[DAT_MANPRO] = $DAT_MANPRO;

unset($record[deleted]);

$values = array_values($record);

dbase_replace_record($db, $values, $IndexRecord);

jhp_ok();

?>
