var firstPointZoomArea = true;
var zoomAreaClientX1 = 0;
var zoomAreaClientY1 = 0;
var zoomAreaPageX1 = 0;
var zoomAreaPageY1 = 0;

dojo.addOnLoad(function(){
	$('#imgMappa').mousedown(mapMouseDown);
	$('#imgMappa').mousemove(mapMouseMove);
	jei('imgMappa').oncontextmenu = function(){if ( form1.doAction.value == 'zoomin' ) return false;};

	PrimoCaricamento();
});

function SelCopertura(IdCopertura)
{
	form1.IdCopertura.value = IdCopertura;
}

function Ridimensiona()
{
	var dx = jei('map_dx').value;
	var dy = jei('map_dy').value;
	
	try
	{
		jei('map_dx').value = dijit.byId('txt_dx').value;
		jei('map_dy').value = dijit.byId('txt_dy').value;
		$('#imgMappa').width(jei('map_dx').value).height(jei('map_dy').value);
	
		RefreshMap();
	}
	catch(ex)
	{
		jei('map_dx').value = dx;
		jei('map_dy').value = dy;
		$('#imgMappa').width(jei('map_dx').value).height(jei('map_dy').value);
		alert(ex.message);
	}
}

function CaricaMappa()
{
	var dati_input = jhp_frm(form1);

	var visi = new Array();
	var count = 0;
	
	$('[myGroup=layerChecks]:checked').each(function(){
		visi[count++] = this.value;
	});
	
	dati_input['visi'] = visi+"";

	var result = jhp("jhp/carica_mappa.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var record = result.value;
		
		jei("imgMappa").src = record['FileName'];
		jei("extent").value = record['extent'];
	}
}

function OtherAction(key)
{
	var lastAction = form1.doAction.value;
	
	form1.doAction.value = key;
	
	CaricaMappa();
	
	form1.doAction.value = lastAction;
}

function  RefreshMap()
{
	OtherAction('refresh'); 
}

function Fit()
{
	OtherAction('fit'); 
}

function setXY(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;

	if ( form1.doAction.value=='pan' || form1.doAction.value=='zoomin' || form1.doAction.value=='zoomout' )
	{
		CaricaMappa();
	}
	else if ( form1.doAction.value=='InfoCoperture' ) 
	{
		InfoCoperture();
	}
	else if ( form1.doAction.value=='ins_point_1' ) 
	{
		InsertPoint(1);
	}
	else if ( form1.doAction.value=='ins_point_2' ) 
	{
		InsertPoint(2);
	}
}

function PrimoCaricamento()
{
	CaricaMappa();
	
	if ( form1.AzioneMappa.value == "fit_strada" )
		FitStrada();
	else if ( form1.AzioneMappa.value == "fit_civico" )
		FitCivico();
		
	form1.AzioneMappa.value = "";
}

function FitStrada()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/fit_strada.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var record = result.value;
		
		jei("extent").value = record['extent'];
		
		RefreshMap();
	}
}


function FitCivico()
{
	alert("funzione FitCivico da implementare!");
}

function mapMouseDown(e)
{
	var x = e.pageX - $('#imgMappa').offset().left;
	var y = e.pageY - $('#imgMappa').offset().top;

	form1.map_x.value = x;
	form1.map_y.value = y;
	
	form1.mouse_button.value = e.which;
	
	if ( form1.doAction.value == 'zoomarea' && e.which==1 )
	{
		if ( firstPointZoomArea )
		{
			zoomAreaPageX1 = e.pageX;
			zoomAreaPageY1 = e.pageY;
			
			zoomAreaClientX1 = x;
			zoomAreaClientY1 = y;			
		}
		else 
		{
			$('#rectZoomArea').hide();
			// esegui zoom
			
			form1.zoom_x1.value = zoomAreaClientX1<x ? zoomAreaClientX1 : x;
			form1.zoom_y1.value = zoomAreaClientY1<y ? zoomAreaClientY1 : y;
			
			form1.zoom_x2.value = zoomAreaClientX1>x ? zoomAreaClientX1 : x;
			form1.zoom_y2.value = zoomAreaClientY1>y ? zoomAreaClientY1 : y;
			
			CaricaMappa();
		}
		
		firstPointZoomArea = !firstPointZoomArea;
	}
	else
	{
		setXY(x, y);
	}
}

function TogliPuntiInserimento()
{
	form1.PuntoInserimento1.value = "";
	form1.PuntoInserimento2.value = "";
	
	RefreshMap();
}

function InsertPoint(PointNumber)
{
	var dati_input = jhp_frm(form1);

	dati_input['PointNumber'] = PointNumber;
	
	var result = jhp("jhp/insert_point.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var html_table = result.value.html;
		
		$("#Info").html(html_table);
		
		if ( PointNumber==1 )
			form1.PuntoInserimento1.value = result.value.xy;
		else
			form1.PuntoInserimento2.value = result.value.xy;
			
		RefreshMap();
	}
}

function InfoCoperture()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/info_coperture.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var html_table = result.value;
		$("#Info").html(html_table);
	}
}

function mapMouseMove(e)
{
	if ( form1.doAction.value == 'zoomarea' && !firstPointZoomArea )
	{
		var x1,x2,y1,y2;
		
		x1 = (zoomAreaPageX1<e.pageX ? zoomAreaPageX1 : e.pageX)+1;
		y1 = (zoomAreaPageY1<e.pageY ? zoomAreaPageY1 : e.pageY)+1;
		
		x2 = Math.abs(e.pageX-zoomAreaPageX1)-5;
		y2 = Math.abs(e.pageY-zoomAreaPageY1)-5;
		
		var color = $('#rectZoomArea').css('border-color')=='red' ? 'blue' : 
					($('#rectZoomArea').css('border-color')=='blue' ? 'yellow' : 
					($('#rectZoomArea').css('border-color')=='yellow' ? 'green' : 'red'));
		
		$('#rectZoomArea').show()
			.css('border-color',color)
			.css('top',y1+'px')
			.css('left',x1+'px')
			.height(y2)
			.width(x2);
	}
}

function CambiaCorrelazione(TipoEdificio, IdCommessa, IdCopertura, IndexShape)
{
	frmCorrela.TipoEdificio.value = TipoEdificio;
	frmCorrela.IdCommessa.value = IdCommessa;
	frmCorrela.IdCopertura.value = IdCopertura;
	frmCorrela.IndexShape.value = IndexShape;
	frmCorrela.submit();
}
