<?php

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$TipoEdificio = ntxip('TipoEdificio');
$IdCommessa = ntxip('IdCommessa');
$IdCopertura = ntxip('IdCopertura');
$IndexShape = ntxip('IndexShape');

?>
<html>
<head>
<link rel="stylesheet" type="text/css" href="/repository/css/grid-2.0.0.css" /> 
<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
</head>
<body>
<?php
$sql = <<< sql
	SELECT     Mappe.Path, CopertureMappe.FileName
	FROM         Mappe INNER JOIN
						  CopertureMappe ON Mappe.IdCommessa = CopertureMappe.IdCommessa AND Mappe.IdMappa = CopertureMappe.IdMappa
	WHERE     (Mappe.IdCommessa =  $IdCommessa) AND (CopertureMappe.IdCopertura = $IdCopertura) 
sql;

$query = ntxQuery($sql);

if ( !($rs = ntxIRecord($query)) )
	die("Copertura $IdCopertura non trovata!");

$pathDbf = "$rs[0]\\$rs[1].dbf";

$db = dbase_open($pathDbf, 0);

$IndexRecord = $IndexShape+1;

$record = dbase_get_record_with_names($db, $IndexRecord);

dbase_close($db);

$CodiceEdificio = $record[COD_MANPRO];

unset($record[deleted]);

$result .= "<caption>Shape da Correlare";

$keys = array_keys($record);
$values = array_values($record);

$count = count($keys);

$result .= "<tr>";

for ( $j=0; $j<$count ; ++$j )
{
	$result .= "<th>".htmlentities($keys[$j]);
}

$result .= "<tr>";

for ( $j=0; $j<$count ; ++$j )
{
	$result .= "<td>".htmlentities($values[$j]);
}

?>

<table class=grid>
<?php echo $result ?>
</table>
<input type=button value="Togli Correlazione" onclick="Correla(<?php echo "'$IdCommessa','$TipoEdificio','','$IdCopertura','$IndexRecord'" ?>)"
		<?php echo $checked ?> />
<br>
<form name=frmFilter method=post>
<input type=hidden name=TipoEdificio value="<?php echo ntxJS($TipoEdificio) ?>" />
<input type=hidden name=IdCommessa value="<?php echo ntxJS($IdCommessa) ?>" />
<input type=hidden name=IdCopertura value="<?php echo ntxJS($IdCopertura) ?>" />
<input type=hidden name=IndexShape value="<?php echo ntxJS($IndexShape) ?>" />
<table class=grid>
<caption>filtro elementi correlabili
<tr><th>Codice<td><input type=text name=Codice value="<?php echo ntxJS($_POST[Codice]) ?>" />
	<th>des1<td><input type=text name=des1 value="<?php echo ntxJS($_POST[des1]) ?>" />
	<th>des2<td><input type=text name=des2 value="<?php echo ntxJS($_POST[des2]) ?>" />
	<th>indirizzo<td><input type=text name=indirizzo value="<?php echo ntxJS($_POST[indirizzo]) ?>" />
	<td><input type=submit />
</table>
</form>
<?php

$sql = <<< sql
	SELECT     ID AS Id, Codice, EdificioBreve AS des1, Indirizzo, CITTA AS Comune, PROVINCIA AS Prov, CAP AS Cap, Tipo AS TipoEdificio, EdificioEstesa AS des2
	FROM         ElencoEdifici
	WHERE     (IdCommessa = $IdCommessa) AND (Tipo = $TipoEdificio OR ($TipoEdificio=0 AND Tipo IS NULL))
sql;

if ( strlen($_POST[Codice])>0 )
{
	$str = str_replace("'","''",$_POST[Codice]);
	$sql .= " AND Codice LIKE '%$str%' ";
}

if ( strlen($_POST[des1])>0 )
{
	$str = str_replace("'","''",$_POST[des1]);
	$sql .= " AND EdificioBreve LIKE '%$str%' ";
}

if ( strlen($_POST[des2])>0 )
{
	$str = str_replace("'","''",$_POST[des2]);
	$sql .= " AND EdificioEstesa LIKE '%$str%' ";
}

if ( strlen($_POST[indirizzo])>0 )
{
	$str = str_replace("'","''",$_POST[indirizzo]);
	$sql .= " AND indirizzo LIKE '%$str%' ";
}

$query = ntxQuery($sql);
?>
<br>
<table class=grid>
<caption>Elementi Correlabili
<tr>
<th><th>Id<th>Codice<th>des1<th>Indirizzo<th>Comune<th>Prov<th>Cap<th>des2
<?php

$alternate = false;

while ( $rs = ntxRecord($query) )
{
	$checked = (strlen($rs[Codice])>0  &&  strlen($CodiceEdificio)>0  &&  $rs[Codice] == $CodiceEdificio) ? "checked" : "";
?>
	<tr <?php echo $alternate ? "class=alternate" : "" ?>>
	<td><input type=radio name=optEdificio onclick="Correla(<?php echo "'$IdCommessa','$rs[TipoEdificio]','$rs[Id]','$IdCopertura','$IndexRecord'" ?>)"
		<?php echo $checked ?> />
	<td><?php echo htmlentities($rs[Id]) ?>
	<td><?php echo htmlentities($rs[Codice]) ?>
	<td><?php echo htmlentities($rs[des1]) ?>
	<td><?php echo htmlentities($rs[Indirizzo]) ?>
	<td><?php echo htmlentities($rs[Comune]) ?>
	<td><?php echo htmlentities($rs[Prov]) ?>
	<td><?php echo htmlentities($rs[Cap]) ?>
	<td><?php echo htmlentities($rs[des2]) ?>
<?php
	$alternate = !$alternate;
}

?>
</table>

<script>

function Correla(IdCommessa, TipoEdificio, IdEdificio , IdCopertura, IndexRecord)
{
	if (IdEdificio=='') if (!confirm("Sicuro di voler dissociare shape?")) return;
	
	var obj = {	IdCommessa: IdCommessa,
				TipoEdificio: TipoEdificio,
				IdEdificio: IdEdificio,
				IdCopertura: IdCopertura,
				IndexRecord: IndexRecord };
				
	var result = jhp('jhp/correla.php', obj);
	
	if(result.state)
	{
		alert(result.message);
	}
	
	frmFilter.submit();
}

</script>


</body>
</html>
