<?php

$sql = <<< sql
	SELECT     tblPropTipiComp.IdPropComp, tblPropTipiComp.Propietà, tblPropTipiComp.SoloInLista
	FROM         tblPropTipiComp
	WHERE     (tblPropTipiComp.IdCommessa = $IdCommessa)
	AND (tblPropTipiComp.IdTipoComp = 3)
sql;

$query = ntxQuery($sql);

$props = array();

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropComp]] = $rs;
}

$sql = <<< sql
	SELECT  DISTINCT   tblPropTipiComp.IdPropComp, tblValPropTipiComp.Valore
	FROM         tblPropTipiComp INNER JOIN
						  tblValPropTipiComp ON tblPropTipiComp.IdCommessa = tblValPropTipiComp.IdCommessa AND 
						  tblPropTipiComp.IdPropComp = tblValPropTipiComp.IdPropComp 
	WHERE    (tblPropTipiComp.IdCommessa = $IdCommessa)
	AND (tblPropTipiComp.IdTipoComp = 3)
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropComp]][Valori][] = $rs[Valore];
}

$table = "";

foreach($props as $prop)
{
	$label = htmlentities($prop[Propietà]);
	
	$label = "$label";
	
	$textboxSearch = "";
	
	if ( substr($prop[Propietà],0,6)=="Specie" )
		$textboxSearch = "<input type=text onblur=\"FiltraComboSpecie(this, 'fcCboProp2_$prop[IdPropComp]')\" /><input type=button value=filtra />";
	
	$textbox = "";
	
	if ( !$prop[SoloInLista] )
		$textbox = "<input id=fcTxtProp2_$prop[IdPropComp] type=text Filtro2 IdProp=$prop[IdPropComp] value=\"\" />";
	
	$select = "";
	
	if ( count($prop[Valori])>0 )
	{
		$select = "<select id=fcCboProp2_$prop[IdPropComp] FiltroPopolamenti Filtro2 IdProp=$prop[IdPropComp]>";
		$select .= "<option value=\"\"></option><option value=\"[Valore non impostato]\">[Valore non impostato]</option>";
		
		foreach($prop[Valori] as $val)
		{
			$Valore = str_replace("\"", "&quot;", $val);
			$html = htmlentities($val);
			
			$select .= "<option value=\"$Valore\">$html</option>";
		}
		
		$select .= "</select>";
	}
	
	if ( $select!=""  &&  $textbox!="" )
		$table .= "<tr FiltroTr2 style='display:none'><td>$label</td><td colspan=3>$textbox<br>{$textboxSearch}<br>$select</td></tr>";
	else
		$table .= "<tr FiltroTr2 style='display:none'><td>$label</td><td colspan=3>{$textbox}{$textboxSearch}{$select}</td></tr>";
}

echo $table;

?>