<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x = $_POST[map_x];
$y3 = $y = $_POST[map_y];
$dx = $_POST[map_dx];
$dy = $_POST[map_dy];

$inv_dx = 1.0 / $dx;
$inv_dy = 1.0 / $dy;

$y = $dy - $y;

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

$x2 = $x * $dx2 / $dx + $minx;
$y2 = $y * $dy2 / $dy + $miny;

$point = ntxs("$x2;$y2");

$CodiceComponente = "";

$IdCommessa = ntxip('IdCommessa');
$IdMappa = ntxip('IdMappa');

$sql = <<< sql
	SELECT     MAX(IdMappaPiano) 
	FROM         MAP_Coperture
	WHERE     (IdCommessa = $IdCommessa) AND (IdMappa = $IdMappa)
sql;

$IdMappaPiano = ntxScalar($sql);

$delta = 10;

$sql = <<< sql
	SELECT CodiceComponente
	FROM (
	SELECT  ComponentiAmbiente.CodiceComponente, ComponentiAmbienteShapes.CoordXY
	FROM         ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ComponentiAmbienteShapes ON ComponentiAmbiente.IdCommessa = ComponentiAmbienteShapes.IdCommessa AND 
                      ComponentiAmbiente.IdEdificio = ComponentiAmbienteShapes.IdEdificio AND 
                      ComponentiAmbiente.IDComponente = ComponentiAmbienteShapes.IdComponente
	WHERE     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdMappa = $IdMappaPiano)  AND 
                      (ComponentiAmbiente.IdTipoComponente = 3) AND (ComponentiAmbienteShapes.Tipo = 2)
	) a
	WHERE dbo.WindingNumber($point, CoordXY)=1 
	UNION
	SELECT CodiceComponente
	FROM (
	SELECT  ComponentiAmbiente.CodiceComponente, ComponentiAmbienteShapes.x, ComponentiAmbienteShapes.y
	FROM         ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ComponentiAmbienteShapes ON ComponentiAmbiente.IdCommessa = ComponentiAmbienteShapes.IdCommessa AND 
                      ComponentiAmbiente.IdEdificio = ComponentiAmbienteShapes.IdEdificio AND 
                      ComponentiAmbiente.IDComponente = ComponentiAmbienteShapes.IdComponente
	WHERE     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdMappa = $IdMappaPiano)  AND 
                      (ComponentiAmbiente.IdTipoComponente = 3)  AND (ComponentiAmbienteShapes.Tipo = 0)
	) a

	WHERE dbo.CatchPoint2Fast(x, y,
							$minx, 		$miny,
							$maxx, 		$maxy,
							$x, 		$y3,
							$dx, 		$dy,
							$inv_dx, 	$inv_dy,
							$delta)=1
		
sql;

$query = ntxQuery($sql);

$CodiceComponenti = "";

while ( $rs = ntxIRecord($query) )
{
	if ( $CodiceComponenti!="" ) $CodiceComponenti .= ",";
	
	$CodiceComponenti .= $rs[0];
}

jhp($CodiceComponenti);

?>
