<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if ( !$_SESSION ) session_start();

$IdCommessa = ntxise('IdCommessa');

if ( strlen($_POST[CodiceComponenti])>0 )
	$CodiceComponenti = explode(",", $_POST[CodiceComponenti]);

if ( strlen($_POST[CodiceComponente])>0 )
{
	$CodiceComponente = ntxsp('CodiceComponente');
	$CodiceComponenteSettato = $_POST[CodiceComponente];
}
else
{
	$CodiceComponente = ntxs($CodiceComponenti[0]);
	$CodiceComponenteSettato = $CodiceComponenti[0];
}

$CodiceComponenteSettatoQuot = str_replace("\"", "&quot;",$CodiceComponenteSettato);

$sql = <<< sql
SELECT     ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, Ambiente.CodiceAssAmbiente, Ambiente.MQ,Ambiente.P, 
                      ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente, ComponentiAmbiente.DesComponente AS Descrizione, ComponentiAmbiente.Note, 
                      ComponentiAmbiente.UtenteModifica, ComponentiAmbiente.DataModifica, ComponentiAmbiente.Rimosso, ComponentiAmbiente.MotivoRimozione, 
                      ComponentiAmbiente.DataRimozione, ComponentiAmbiente.IdTipoComponente
FROM         ComponentiAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID
	WHERE     (ComponentiAmbiente.CodiceComponente = $CodiceComponente)
sql;

$query = ntxQuery($sql);

$rsComponente = ntxRecord($query);

$rsComponente[MQ] = ntxRound($rsComponente[MQ],3);
$rsComponente[P] = ntxRound($rsComponente[P],3);

$rsComponente[DataModifica] = ntxDateTime($rsComponente[DataModifica]);
$rsComponente[DataRimozione] = ntxDateTime($rsComponente[DataRimozione]);

$CodiceAssComponente = str_replace("\"", "&quot;",$rsComponente[CodiceAssComponente]);

foreach($rsComponente as $key=>$value)
	$rsComponente[$key] = htmlentities($value);
		
$sql = <<< sql
	SELECT     tblPropTipiComp.IdPropComp, tblPropTipiComp.Propietà, tblPropTipiComp.SoloInLista
	FROM         ComponentiAmbiente INNER JOIN
						  tblPropTipiComp ON ComponentiAmbiente.IdCommessa = tblPropTipiComp.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = tblPropTipiComp.IdTipoComp
	WHERE     (ComponentiAmbiente.CodiceComponente = $CodiceComponente)
sql;

$query = ntxQuery($sql);

$props = array();

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropComp]] = $rs;
}

$sql = <<< sql
	SELECT  DISTINCT   tblPropTipiComp.IdPropComp, tblValPropTipiComp.Valore
	FROM         tblPropTipiComp INNER JOIN
						  tblValPropTipiComp ON tblPropTipiComp.IdCommessa = tblValPropTipiComp.IdCommessa AND 
						  tblPropTipiComp.IdPropComp = tblValPropTipiComp.IdPropComp INNER JOIN
						  ComponentiAmbiente ON tblPropTipiComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
						  tblPropTipiComp.IdTipoComp = ComponentiAmbiente.IdTipoComponente
	WHERE     (ComponentiAmbiente.CodiceComponente = $CodiceComponente)
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropComp]][Valori][] = $rs[Valore];
}

$sql = <<< sql
	SELECT     tblValoriComponenti.IdPropComp, tblValoriComponenti.Valore
	FROM         tblValoriComponenti INNER JOIN
						  ComponentiAmbiente ON tblValoriComponenti.IdCommessa = ComponentiAmbiente.IdCommessa AND 
						  tblValoriComponenti.IdEdificio = ComponentiAmbiente.IdEdificio AND tblValoriComponenti.IdComponente = ComponentiAmbiente.IDComponente
	WHERE     (ComponentiAmbiente.CodiceComponente = $CodiceComponente)
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropComp]][Valore] = $rs[Valore];
}

$table = "<table class=grid>";

$checked = $rsComponente[Rimosso] ? "CHECKED" : "";

$table .= <<< table
	<tr><th>Codice Area</th><td>$rsComponente[Codice]</td></tr>
	<tr class=alternate><th>Nome Area</th><td>$rsComponente[EdificioBreve]</td></tr>
	<tr><th>Indirizzo Area</th><td>$rsComponente[Indirizzo] $rsComponente[CITTA] ($rsComponente[PROVINCIA])</td></tr>
	<tr class=alternate><th>Codice UG</th><td>$rsComponente[CodiceAssAmbiente]</td></tr>
	<tr><th>MQ UG</th><td>$rsComponente[MQ]</td></tr>
	<tr class=alternate><th>P UG</th><td>$rsComponente[P]</td></tr>
	<tr><th>Tipo Componente</th><td>$rsComponente[DesComponente]</td></tr>
	
	<tr class=alternate><th>Codice Componente</th>						<td><input 		id=CodiceAssComponente1 	type=text value="$CodiceAssComponente" style="width:100%" /></td></tr>
	<tr><th>Descrizione Componente (max 255 car.)</th>	<td><textarea 	id=DesComponente1 			rows=2 style="width:100%">$rsComponente[Descrizione]</textarea></td></tr>
	<tr class=alternate><th>Note Componente (max 255 car.)</th>			<td><textarea	id=Note1	 				rows=2 style="width:100%">$rsComponente[Note]</textarea></td></tr>

	<tr><th>Data Modifica</th><td>$rsComponente[DataModifica]</td></tr>
	<tr class=alternate><th>Utente Modifica</th><td>$rsComponente[UtenteModifica]</td></tr>
	
	<tr><th>Abbattuto</th>								<td><input 		id=Rimosso1 				type=checkbox $checked /></td></tr>
	<tr class=alternate><th>Data Abbattimento</th>							<td><input 		id=DataRimozione1 			type=text value="$rsComponente[DataRimozione]" style="width:100%" /></td></tr>
<!--
	<tr><th>Motivo Rimozione</th>						<td><input 		id=MotivoRimozione1 		type=text value="$rsComponente[MotivoRimozione]" /></td></tr>
-->
table;

$alternate = true;

foreach($props as $prop)
{
	$label = htmlentities($prop[Propietà]);
	$ValoreSettato = str_replace("\"", "&quot;",$prop[Valore]);
	
	$label = "$label";
	
	$textboxSearch = "";
	
	if ( substr($prop[Propietà],0,6)=="Specie" )
		$textboxSearch = "<input type=text onblur=\"FiltraComboSpecie(this, 'cboProp1_$prop[IdPropComp]')\" /><input type=button value=filtra />";
	
	$textbox = "";
	
	if ( !$prop[SoloInLista] )
		$textbox = "<input id=txtProp1_$prop[IdPropComp] type=text propDinamiche IdProp=$prop[IdPropComp] value=\"$ValoreSettato\" />";
	
	$select = "";
	
	if ( count($prop[Valori])>0 )
	{
		$select = "<select id=cboProp1_$prop[IdPropComp] propDinamiche IdProp=$prop[IdPropComp]>";
		$select .= "<option value=\"\"></option>";
		
		foreach($prop[Valori] as $val)
		{
			$Valore = str_replace("\"", "&quot;", $val);
			$html = htmlentities($val);
			
			$selected = $ValoreSettato==$Valore ? "SELECTED" : "";
			
			$select .= "<option value=\"$Valore\" $selected onchange=\"alert('$prop[IdPropComp] - $Valore')\">$html</option>";
		}
		
		$select .= "</select>";
	}

	$alt = $alternate ? "class=alternate" : "";

	$alternate = !$alternate;
	
	if ( $select!=""  &&  $textbox!="" )
		$table .= "<tr $alt><th>$label</th><td>$textbox<br>{$textboxSearch}<br>$select</td></tr>";
	else
		$table .= "<tr $alt><th>$label</th><td>{$textbox}{$textboxSearch}{$select}</td></tr>";
}

$table .= "</table>";

$sql = <<< sql
	SELECT      IdEdificio
	FROM         ComponentiAmbiente
	WHERE     (CodiceComponente = $CodiceComponente)
sql;

$IdEdificio = ntxScalar($sql);

$sql = "SELECT ArchivioFoto.IdFoto, ArchivioFoto.Descrizione "
	." FROM ArchivioFoto "
	." WHERE ArchivioFoto.CodiceOggetto=$CodiceComponente";

$query = ntxQuery($sql);

$immagini = "";

$count = 0;

while( $rs = ntxIRecord($query) )
{
	if ( $count % 4 == 0 ) $immagini .= "<tr>";
	
	$count++;

	$immagini .= "<td><img  style=\"width:2cm;height:2cm\" src=\"foto.php?IdCommessa={$IdCommessa}&IdEdificio={$IdEdificio}&IdFoto={$rs[0]}\" onclick=\"SelFoto({$IdCommessa},{$IdEdificio},{$rs[0]})\">";
}

$immagini = <<< immagini
	<table align=left>
		$immagini
	</table>
immagini;

$CodiceComponente = ntxJs($_POST[CodiceComponente]);

$immagini2=htmlentities($immagini);
$page = <<< page
	<input type=hidden id=CodiceComponente1 value="$CodiceComponenteSettatoQuot" />

	$table
	
	<br>
	<input type=button value=MEMORIZZA onclick="Memorizza()" style="font-size:0.7cm;padding:2px;" />
	<input type=button value="SPOSTA SHAPE" onclick="SpostaAlbero($rsComponente[IdTipoComponente])" style="font-size:0.7cm;padding:2px;" />
	<input type=button value=ELIMINA onclick="Elimina()" style="font-size:0.7cm;padding:2px;" />
	<br>
	
	<table>
		<tr><td>$immagini
		<tr id=trFotoSelected style="dispay:none"><td><img style="width:8cm;height:8cm" id=fotoSelected src="_img/punto.jpg"></img>
	</table>

	<br>
		
	<form name=frmUpload action="upload_foto.php" method="post" enctype="multipart/form-data" target="frameUpload" style="background:silver;border:2px solid gray">
		<input name=CodiceComponente type=hidden value="$CodiceComponenteSettatoQuot">
		File:<input type="file" name="upfile" size="50" />
		<br>
		Descrizione:<input type=text name=Nota value="descrizione file" size="50"  maxlength="100" />
		<br>
		<input type=submit value="Aggiungi Foto" />
	
		<iframe style="width:80%;height:4cm" name=frameUpload></iframe>
	</form> 
page;
?>

<?php

jhp($page);

?>
