<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if ( !$_SESSION ) session_start();

$IdCommessa = ntxise('IdCommessa');

if ( strlen($_POST[CodiciUG])>0 )
	$CodiciUG = explode(",", $_POST[CodiciUG]);

if ( strlen($_POST[CodiceUG])>0 )
{
	$CodiceUG = ntxsp('CodiceUG');
	$CodiceUGSettato = $_POST[CodiceUG];
}
else
{
	$CodiceUG = ntxs($CodiciUG[0]);
	$CodiceUGSettato = $CodiciUG[0];
}

$CodiceUGSettatoQuot = str_replace("\"", "&quot;",$CodiceUGSettato);

$sql = <<< sql
	SELECT     ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, Ambiente.CodiceAssAmbiente, 
						  Ambiente.MQ, Ambiente.P, Ambiente.DataUltimaModifica, Ambiente.UtenteModifica
	FROM         Ambiente INNER JOIN
						  PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
						  Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
						  ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID
	WHERE     (Ambiente.IdTipoAmbiente = 1)
	AND     (Ambiente.CodiceAmbiente = $CodiceUG)
sql;

$query = ntxQuery($sql);

$rsAmbiente = ntxRecord($query);

$rsAmbiente[MQ] = ntxRound($rsAmbiente[MQ],3);
$rsAmbiente[P] = ntxRound($rsAmbiente[P],3);

$rsAmbiente[DataUltimaModifica] = ntxDateTime($rsAmbiente[DataUltimaModifica]);

$CodiceAssAmbiente = str_replace("\"", "&quot;",$rsAmbiente[CodiceAssAmbiente]);

foreach($rsAmbiente as $key=>$value)
	$rsAmbiente[$key] = htmlentities($value);
		
$sql = <<< sql
	SELECT     tblPropTipiAmb.IdPropAmb, tblPropTipiAmb.Propietà, tblPropTipiAmb.soloInLista
	FROM         Ambiente INNER JOIN
                      tblPropTipiAmb ON Ambiente.IdCommessa = tblPropTipiAmb.IdCommessa AND Ambiente.IdTipoAmbiente = tblPropTipiAmb.IdTipoAmb
	WHERE     (Ambiente.CodiceAmbiente = $CodiceUG)
sql;

$query = ntxQuery($sql);

$props = array();

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropAmb]] = $rs;
}

$sql = <<< sql
	SELECT  DISTINCT   tblValPropTipiAmb.IdPropAmb, tblValPropTipiAmb.Valore
	FROM         Ambiente INNER JOIN
                      tblPropTipiAmb ON Ambiente.IdCommessa = tblPropTipiAmb.IdCommessa AND Ambiente.IdTipoAmbiente = tblPropTipiAmb.IdTipoAmb INNER JOIN
                      tblValPropTipiAmb ON tblPropTipiAmb.IdCommessa = tblValPropTipiAmb.IdCommessa AND tblPropTipiAmb.IdPropAmb = tblValPropTipiAmb.IdPropAmb
	WHERE     (Ambiente.CodiceAmbiente = $CodiceUG)
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropAmb]][Valori][] = $rs[Valore];
}

$sql = <<< sql
	SELECT     tblValoriAmbienti.IdPropAmb, tblValoriAmbienti.Valore
	FROM         Ambiente INNER JOIN
                      tblValoriAmbienti ON Ambiente.IdCommessa = tblValoriAmbienti.IdCommessa AND Ambiente.IdEdificio = tblValoriAmbienti.IdEdificio AND 
                      Ambiente.IDAmbiente = tblValoriAmbienti.IDAmbiente
	WHERE     (Ambiente.CodiceAmbiente = $CodiceUG)
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropAmb]][Valore] = $rs[Valore];
}

$table = "<table class=grid>";

$table .= <<< table
	<tr><th>Codice Area</th><td>$rsAmbiente[Codice]</td></tr>
	
	<tr class=alternate><th>Nome Area</th><td>$rsAmbiente[EdificioBreve]</td></tr>
	
	<tr><th>Indirizzo Area</th><td>$rsAmbiente[Indirizzo] $rsAmbiente[CITTA] ($rsAmbiente[PROVINCIA])</td></tr>
	
	<tr class=alternate><th>MQ UG</th><td>$rsAmbiente[MQ]</td></tr>
	
	<tr><th>P UG</th><td>$rsAmbiente[P]</td></tr>
	
	<tr class=alternate><th>Codice UG</th><td><input id=CodiceAssAmbiente1 type=text value="$CodiceAssAmbiente" style="width:100%" /></td></tr>

	<tr><th>Data Modifica</th><td>$rsAmbiente[DataUltimaModifica]</td></tr>
	
	<tr class=alternate><th>Utente Modifica</th><td>$rsAmbiente[UtenteModifica]</td></tr>
table;

$alternate = true;

foreach($props as $prop)
{
	$label = htmlentities($prop[Propietà]);
	$ValoreSettato = str_replace("\"", "&quot;",$prop[Valore]);
	
	$label = "$label";
		
	$select = "";
	
	if ( count($prop[Valori])>0 )
	{
		$select = "<select id=cboProp1_$prop[IdPropAmb] propDinamiche IdProp=$prop[IdPropAmb]>";
		$select .= "<option value=\"\"></option>";
		
		foreach($prop[Valori] as $val)
		{
			$Valore = str_replace("\"", "&quot;", $val);
			$html = htmlentities($val);
			
			$selected = $ValoreSettato==$Valore ? "SELECTED" : "";
			
			$select .= "<option value=\"$Valore\" $selected onchange=\"alert('$prop[IdPropAmb] - $Valore')\">$html</option>";
		}
		
		$select .= "</select>";
	}

	$alt = $alternate ? "class=alternate" : "";

	$alternate = !$alternate;
	
	$table .= "<tr $alt><th>$label</th><td>$select</td></tr>";
}

$table .= "</table>";

$sql = <<< sql
	SELECT      IdEdificio
	FROM         Ambiente
	WHERE     (CodiceAmbiente = $CodiceUG)
sql;

$IdEdificio = ntxScalar($sql);

$sql = "SELECT ArchivioFoto.IdFoto, ArchivioFoto.Descrizione "
	." FROM ArchivioFoto "
	." WHERE ArchivioFoto.CodiceOggetto=$CodiceUG";

$query = ntxQuery($sql);

$immagini = "";

$count = 0;

while( $rs = ntxIRecord($query) )
{
	if ( $count % 4 == 0 ) $immagini .= "<tr>";
	
	$count++;

	$immagini .= "<td><img  style=\"width:2cm;height:2cm\" src=\"foto.php?IdCommessa={$IdCommessa}&IdEdificio={$IdEdificio}&IdFoto={$rs[0]}\" onclick=\"SelFoto({$IdCommessa},{$IdEdificio},{$rs[0]})\">";
}

$immagini = <<< immagini
	<table align=left>
		$immagini
	</table>
immagini;

$CodiceUG = ntxJs($_POST[CodiceUG]);

$immagini2=htmlentities($immagini);
$page = <<< page
	<input type=hidden id=CodiceUG1 value="$CodiceUGSettatoQuot" />

	$table
	
	<br>
	<input type=button value=MEMORIZZA onclick="MemorizzaUG()" style="font-size:0.7cm;padding:2px;" />
	<input type=button value=ELIMINA onclick="EliminaUG()" style="font-size:0.7cm;padding:2px;" />
	<br>
	
	<table>
		<tr><td>$immagini
		<tr id=trFotoSelected style="dispay:none"><td><img style="width:8cm;height:8cm" id=fotoSelected src="_img/punto.jpg"></img>
	</table>

	<br>
		
	<form name=frmUpload action="upload_foto_ug.php" method="post" enctype="multipart/form-data" target="frameUpload" style="background:silver;border:2px solid gray">
		<input name=CodiceUG type=hidden value="$CodiceUGSettatoQuot">
		File:<input type="file" name="upfile" size="50" />
		<br>
		Descrizione:<input type=text name=Nota value="descrizione file" size="50"  maxlength="100" />
		<br>
		<input type=submit value="Aggiungi Foto" />
	
		<iframe style="width:80%;height:4cm" name=frameUpload></iframe>
	</form> 
page;
?>

<?php

jhp($page);

?>
