<?php

function AppendField($fieldPost, $fieldDb, $type, $len=0)
{
	global $sqlSet, $Fields;
	
	if ( !in_array($fieldPost, $Fields) ) return;
	
	if ( strlen($sqlSet)>0 ) $sqlSet .= ",";
	
	if ( $type=="text" )
		$sqlSet .= "$fieldDb=".ntxs(substr($_POST[$fieldPost],0,$len));
	elseif ( $type=="number" )
		$sqlSet .= "$fieldDb=".ntxip($fieldPost);
	elseif ( $type=="date" )
		$sqlSet .= "$fieldDb=".ntxtp($fieldPost);
	
	if ( $fieldPost == "meRimosso1" )
		$sqlSet .= ",MotivoRimozione=".(ntxip($fieldPost) ? 3 : NULL);
}

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if ( !$_SESSION ) session_start();

$IdCommessa = ntxise('IdCommessa');

$CodiceComponenti = explode(",", $_POST[CodiceComponenti]);
$IdProps = explode(",", $_POST[IdProps]);
$Fields = explode(",", $_POST[Fields]);

$sqlSet = "";

AppendField("meDesComponente1", "DesComponente", "text", 255);
AppendField("meNote1", "Note", "text", 255);
AppendField("meRimosso1", "Rimosso", "number");
AppendField("meDataRimozione1", "DataRimozione", "date");

$user = ntxsse('Utente');

if ( strlen($sqlSet)>0 )
	$sqlTemp = "UPDATE ComponentiAmbiente SET DataModifica=getdate(), UtenteModifica=$user, $sqlSet";
else
	$sqlTemp = "UPDATE ComponentiAmbiente SET DataModifica=getdate(), UtenteModifica=$user";
	
$exe = (strlen($sqlTemp)>0);

foreach($CodiceComponenti as $cod)
{
	if ( $exe )
	{
		$sql = "$sqlTemp WHERE CodiceComponente='$cod'";

		ntxQuery($sql);
	}
	
	foreach($IdProps as $idProp)
	{
		if ( !is_numeric($idProp) ) continue;
		
		$val = ntxs(substr($_POST["prop_value_$idProp"],0,255));
		
		$sql = <<< sql
			DELETE FROM tblValoriComponenti
			FROM         ComponentiAmbiente INNER JOIN
                      tblValoriComponenti ON ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa AND 
                      ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio AND ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente
			WHERE     (ComponentiAmbiente.CodiceComponente = '$cod') AND (tblValoriComponenti.IdPropComp = $idProp)
sql;

		ntxQuery($sql);
		
		$sql = <<< sql
			INSERT INTO tblValoriComponenti
								  (IdCommessa, IdEdificio, IdComponente, IdPropComp, Valore)
			SELECT     IdCommessa, IdEdificio, IDComponente, $idProp, $val
			FROM         ComponentiAmbiente
			WHERE     (CodiceComponente = N'$cod')
sql;

		ntxQuery($sql);
	}
}

jhp_ok();

?>
