function MemorizzaMultiPalo(){
	var dati_input = {};

	dati_input['ListaIdComponenti'] = '';
	
	dati_input['IdCommessa'] = form1.IdCommessa.value;
	dati_input['IdEdificio'] = form1.IdEdificio.value;

	$('input[type=checkbox][idCheckBoxCompMultiEdit]:checked').each(function(){
		if(dati_input['ListaIdComponenti'] != '')
			dati_input['ListaIdComponenti'] +=',';
			
		dati_input['ListaIdComponenti'] += $(this).attr('idCheckBoxCompMultiEdit');
	});
	
	if(dati_input['ListaIdComponenti'] == '')
	{
		alert('devi selezionare almeno un palo!!!');
		return;
	}

	var count = dati_input['count'] = $('[idPropMultiEdit]:checked').length;
	
	if(count==0)
	{
		alert('devi selezionare almeno una proprietà!!!');
		return;
	}
	
	if (!confirm("MEMORIZZA SU PALI SELEZIONATI?")) return;

	var i=0;
	
	$('[propDinamiche]').each(function(){
		var obj = $(this);
		var checked = $('input[type=checkbox][idPropMultiEdit='+obj.attr('IdProp')+']').attr('checked');
		
		if(checked)
		{
			dati_input['IdProp'+i] = obj.attr('IdProp');
			dati_input['ValueProp'+i] = obj.attr('value');
		
			++i;
		}
	});

	$('[PROP_SOLO_IN_LISTA]').each(function(){
		var obj = $(this);
		var checked = $('input[type=checkbox][idPropMultiEdit='+obj.attr('IdProp')+']').attr('checked');
		
		if(checked)
		{
			dati_input['IdProp'+i] = obj.attr('IdProp');
			dati_input['ValueProp'+i] = obj.attr('value');
		
			++i;
		}
	});

	var result = jhp("jhp/update_multiplo_pali.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		alert("MEMORIZZATI PALI!");
	}
}

function MemorizzaPalo(){
	if (!confirm("MEMORIZZA PALO?")) return;

	var dati_input = {};

	dati_input['CodiceComponente'] = jei('CodiceComponente1').value;
	dati_input['CodiceAssComponente'] = jei('CodiceAssComponente1').value;
	
	var count = dati_input['count'] = $('[propDinamiche]').length;
	
	var i=0;
	
	$('[propDinamiche]').each(function(){
		var obj = $(this);
	
			dati_input['IdProp'+i] = obj.attr('IdProp');
			dati_input['ValueProp'+i] = obj.attr('value');
		
		++i;
	});

	$('[PROP_SOLO_IN_LISTA]').each(function(){
		var obj = $(this);
	
			dati_input['IdProp'+i] = obj.attr('IdProp');
			dati_input['ValueProp'+i] = obj.attr('value');
		
		++i;
	});

	var result = jhp("jhp/update_palo.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		EditComponente(form1.CodiceComponente.value);
		
		alert("MEMORIZZATO PALO!");
	}
}

function NuovoPalo(CodiceAmbiente){
	if (!confirm("NUOVO PALO?")) return;

	var dati_input = {};

	dati_input['CodiceAmbiente'] = CodiceAmbiente;
	dati_input['CodiceAssComponente'] = jei('CodiceAssComponente1').value;
	
	var count = dati_input['count'] = $('[propDinamiche]').length;
	
	var i=0;
	
	$('[propDinamiche]').each(function(){
		var obj = $(this);
	
			dati_input['IdProp'+i] = obj.attr('IdProp');
			dati_input['ValueProp'+i] = obj.attr('value');
		
		++i;
	});

	$('[PROP_SOLO_IN_LISTA]').each(function(){
		var obj = $(this);
	
			dati_input['IdProp'+i] = obj.attr('IdProp');
			dati_input['ValueProp'+i] = obj.attr('value');
		
		++i;
	});

	var result = jhp("jhp/nuovo_palo.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		form1.CodiceComponenti.value += "," + result.value;
		form1.CodiceComponente.value = result.value;
		
		EditComponente(form1.CodiceComponente.value);
		
		alert("NUOVO PALO!");
	}
}

function EliminaPalo()
{
	if (!confirm("ELIMINA PALO?")) return;
	
	var dati_input = {};

	dati_input['CodiceComponente'] = jei('CodiceComponente1').value;

	var result = jhp("jhp/elimina_palo.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		EditComponente("");
		
		alert("PALO ELIMINATO!");
	}
}

function SelMultiPalo(IdComponente)
{
	var dati_input = {};

	$('input[idPropMultiEdit]').attr('checked',false);
	$('[RipulisciPalo]').val('');
	
	dati_input['IdCommessa'] = form1.IdCommessa.value;
	dati_input['IdEdificio'] = form1.IdEdificio.value;
	dati_input['IdComponente'] = IdComponente;

	var result = jhp("jhp/carica_dati_dinamici_palo_per_id.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$("tr[idRadioCompMultiEdit]").hide();
		$("tr[idRadioCompMultiEdit="+IdComponente+"]").show();
		
		var len=result.value.length;
		var i;
		
		for(i=0;i<len;i++)
		{
			var rs = result.value[i];
			var id = rs['IdPropComp'];
			var val = rs['Valore'];
			
			$('#txtProp1_'+id).val(val);
			$('#cboProp1_'+id).val(val);
		}
	}
}

function RicercaMultiPalo(){
	var dati_input = {};

	dati_input['ListaIdComponenti'] = form1.ListaIdComponenti.value;
	
	dati_input['IdCommessa'] = form1.IdCommessa.value;
	dati_input['IdEdificio'] = form1.IdEdificio.value;

	var count = dati_input['count'] = $('[idPropMultiEdit]:checked').length;
	
	if(count==0)
	{
		alert('devi selezionare almeno una proprietà!!!');
		return;
	}

	var i=0;
	
	$('[propDinamiche]').each(function(){
		var obj = $(this);
		var checked = $('input[type=checkbox][idPropMultiEdit='+obj.attr('IdProp')+']').attr('checked');
		
		if(checked)
		{
			dati_input['IdProp'+i] = obj.attr('IdProp');
			dati_input['ValueProp'+i] = obj.attr('value');
		
			++i;
		}
	});

	$('[PROP_SOLO_IN_LISTA]').each(function(){
		var obj = $(this);
		var checked = $('input[type=checkbox][idPropMultiEdit='+obj.attr('IdProp')+']').attr('checked');
		
		if(checked)
		{
			dati_input['IdProp'+i] = obj.attr('IdProp');
			dati_input['ValueProp'+i] = obj.attr('value');
		
			++i;
		}
	});

	var result = jhp("jhp/ricerca_multiplo_pali.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		form1.ListaIdComponenti.value = result.value;
		
		EditMultiComponenti("");
		
		CaricaMappa();
	}
}

function FiltraMultiPalo()
{
	var dati_input = {};

	dati_input['ListaIdComponenti'] = form1.ListaIdComponenti.value;
	
	dati_input['IdCommessa'] = form1.IdCommessa.value;
	dati_input['IdEdificio'] = form1.IdEdificio.value;

	var count = dati_input['count'] = $('[idPropMultiEdit]:checked').length;
	
	if(count==0)
	{
		alert('devi selezionare almeno una proprietà!!!');
		return;
	}

	var i=0;
	
	$('[propDinamiche]').each(function(){
		var obj = $(this);
		var checked = $('input[type=checkbox][idPropMultiEdit='+obj.attr('IdProp')+']').attr('checked');
		
		if(checked)
		{
			dati_input['IdProp'+i] = obj.attr('IdProp');
			dati_input['ValueProp'+i] = obj.attr('value');
		
			++i;
		}
	});

	$('[PROP_SOLO_IN_LISTA]').each(function(){
		var obj = $(this);
		var checked = $('input[type=checkbox][idPropMultiEdit='+obj.attr('IdProp')+']').attr('checked');
		
		if(checked)
		{
			dati_input['IdProp'+i] = obj.attr('IdProp');
			dati_input['ValueProp'+i] = obj.attr('value');
		
			++i;
		}
	});

	var result = jhp("jhp/filtra_multiplo_pali.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		form1.ListaIdComponenti.value = result.value;
		
		EditMultiComponenti("");
		
		CaricaMappa();
	}
}

function RimuoviPaliSelezionati()
{
	form1.ListaIdComponenti.value = "";
	
	$('input[type=checkbox][idCheckBoxCompMultiEdit]:checked').each(function(){
		var id = $(this).attr('idCheckBoxCompMultiEdit');
		
		$('tr[idRadioCompMultiEdit='+id+']').remove();
		
		if(form1.ListaIdComponenti.value!="") form1.ListaIdComponenti.value += ",";
		
		form1.ListaIdComponenti.value += id;
	});
	
	CaricaMappa();
}
