<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdMappa = ntxip('IdMappa');

$ListaIdComponentiOld = explode(",", "$_POST[ListaIdComponenti]");

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x1 = $_POST[x1];
$y1 = $_POST[y1];
$x2 = $_POST[x2];
$y2 = $_POST[y2];

$dx = $_POST[map_dx];
$dy = $_POST[map_dy];

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

function ConvX($x)
{
	global $dx2, $dx, $minx;
	
	return $x * $dx2 / $dx + $minx;
}

function ConvY($y)
{
	global $dy2, $dy, $miny;
	
	$y = $dy - $y;
	
	return $y * $dy2 / $dy + $miny;
}

$x1 = ConvX($x1);
$y1 = ConvY($y1);
$x2 = ConvX($x2);
$y2 = ConvY($y2);

$minx3 = $x1 < $x2 ? $x1 : $x2;
$miny3 = $y1 < $y2 ? $y1 : $y2;
$maxx3 = $x1 > $x2 ? $x1 : $x2;
$maxy3 = $y1 > $y2 ? $y1 : $y2;

$sql = <<< sql
	SELECT DISTINCT ComponentiAmbiente.IdComponente
	FROM        ComponentiAmbiente
	WHERE     (ComponentiAmbiente.IdCommessa = $IdCommessa) and ComponentiAmbiente.x is not null

	AND dbo.PointInRect(ComponentiAmbiente.x,ComponentiAmbiente.y,
							$minx3, 		$miny3,
							$maxx3, 		$maxy3)=1
sql;

$query = ntxQuery($sql);

$ListaIdComponentiNew = array();
$ListaIdComponentiNot = array();

while ( $rs = ntxIRecord($query) )
{
	if (in_array($rs[0], $ListaIdComponentiOld)) 
		$ListaIdComponentiNot[] = $rs[0];
	else
		$ListaIdComponentiNew[] = $rs[0];
}

$ListaIdComponenti = "";

if (count($ListaIdComponentiNot)>0 || count($ListaIdComponentiNew)>0)
{
	foreach($ListaIdComponentiNew as $id)
	{
		if (!is_numeric($id)) continue;
		
		if($ListaIdComponenti!="") $ListaIdComponenti .= ",";
		
		$ListaIdComponenti .= $id;
	}
	
	foreach($ListaIdComponentiOld as $id)
	{
		if (!is_numeric($id)) continue;
		
		if (!in_array($id, $ListaIdComponentiNot)) 
		{
			if($ListaIdComponenti!="") $ListaIdComponenti .= ",";

			$ListaIdComponenti .= $id;
		}
	}
}

jhp($ListaIdComponenti);

?>
