<?php

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$Utente = ntxsse('Utente');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$x = ntxfp('x');
$y = ntxfp('y');

$sql = <<< sql
	INSERT INTO Ambiente
						  (IdCommessa, IdEdificio, IDAmbiente, 
							IdLivello,  CodiceAssAmbiente, 
							IdTipoAmbiente, IdDestinazioneduso,  
							X, Y, UtenteModifica, DataUltimaModifica, Graficizzato)
	select $IdCommessa, $IdCommessa, 
	
					ISNULL((SELECT     MAX(IDAmbiente) 
								  FROM         Ambiente
								  WHERE     (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio) 
								AND (IdLivello = $IdPiano))
						, 0) + 1, 
				$IdPiano,'[nuovo quadro]', 
				1, 1,  
				$x, $y, $Utente, GETDATE(), 1
sql;

ntxQuery($sql);

$IdUnivoco = ntxId();

$sql = <<< sql
	UPDATE    Ambiente
	SET              CodiceAmbiente = 'C{$IdCommessa}E{$IdEdificio}L{$IdPiano}A' + ltrim(IDAmbiente)
	WHERE     (IdUnivoco = $IdUnivoco)
sql;

ntxQuery($sql);

$sql = <<< sql
	select CodiceAmbiente
	FROM         Ambiente
	WHERE     (IdUnivoco = $IdUnivoco)
sql;

$CodiceAmbiente = ntxScalar($sql);

jhp($CodiceAmbiente);

?>
