<?php

$tableQuadro = "";

$sql = <<< sql
	SELECT     tblPropTipiAmb.IdPropAmb, tblPropTipiAmb.Propietà, tblPropTipiAmb.SoloInLista
	FROM         Ambiente INNER JOIN
						  tblPropTipiAmb ON Ambiente.IdCommessa = tblPropTipiAmb.IdCommessa AND 
						  Ambiente.IdTipoAmbiente = tblPropTipiAmb.IdTipoAmb
	WHERE     (Ambiente.CodiceAmbiente = $CodiceAmbiente)
sql;

$query = ntxQuery($sql);

$props = array();

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropAmb]] = $rs;
}

$sql = <<< sql
	SELECT  DISTINCT   tblPropTipiAmb.IdPropAmb, tblValPropTipiAmb.Valore
	FROM         tblPropTipiAmb INNER JOIN
						  tblValPropTipiAmb ON tblPropTipiAmb.IdCommessa = tblValPropTipiAmb.IdCommessa AND 
						  tblPropTipiAmb.IdPropAmb = tblValPropTipiAmb.IdPropAmb INNER JOIN
						  Ambiente ON tblPropTipiAmb.IdCommessa = Ambiente.IdCommessa AND 
						  tblPropTipiAmb.IdTipoAmb = Ambiente.IdTipoAmbiente
	WHERE     (Ambiente.CodiceAmbiente = $CodiceAmbiente)
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropAmb]][Valori][] = $rs[Valore];
}

$sql = <<< sql
	SELECT     tblValoriAmbienti.IdPropAmb, tblValoriAmbienti.Valore
	FROM         tblValoriAmbienti INNER JOIN
						  Ambiente ON tblValoriAmbienti.IdCommessa = Ambiente.IdCommessa AND 
						  tblValoriAmbienti.IdEdificio = Ambiente.IdEdificio AND tblValoriAmbienti.IDAmbiente = Ambiente.IDAmbiente
	WHERE     (Ambiente.CodiceAmbiente = $CodiceAmbiente)
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$props[$rs[IdPropAmb]][Valore] = $rs[Valore];
}

$alternate = true;

foreach($props as $prop)
{
	$label = htmlentities($prop[Propietà]);
	$ValoreSettato = str_replace("\"", "&quot;",$prop[Valore]);
	
	$label = "$label";
	
	$textbox = "";
	
	if ( !$prop[SoloInLista] )
		$textbox = "<input id=txtQuadroProp1_$prop[IdPropAmb] type=text RipulisciQuadro propDinamicheQuadro IdPropQuadro=$prop[IdPropAmb] value=\"$ValoreSettato\" style='width:100%' />";
	
	$select = "";
	
	if ( count($prop[Valori])>0 )
	{
		$soloInLista = $prop[SoloInLista] ? "PROP_SOLO_IN_LISTA_QUADRO" : "";
		
		$select = "<select id=cboProp1_$prop[IdPropAmb] RipulisciQuadro $soloInLista IdPropQuadro=$prop[IdPropAmb] onchange='$(\"#txtQuadroProp1_$prop[IdPropAmb]\").val(this.value)'>";
		$select .= "<option value=\"\"></option>";
		
		foreach($prop[Valori] as $val)
		{
			$Valore = str_replace("\"", "&quot;", $val);
			$html = htmlentities($val);
			
			$selected = $ValoreSettato==$Valore ? "SELECTED" : "";
			
			$select .= "<option value=\"$Valore\" $selected>$html</option>";
		}
		
		$select .= "</select>";
	}

	$alt = $alternate ? "class=alternate" : "";

	$alternate = !$alternate;
	
	if ( $select!=""  &&  $textbox!="" )
		$tableQuadro .= "<tr $alt><th>$label</th><td>$textbox<br>$select</td></tr>";
	else
		$tableQuadro .= "<tr $alt><th>$label</th><td>{$textbox}{$select}</td></tr>";
}

?>
