<?php

$sql = <<< sql
	SELECT TOP 1 IdMappa
	FROM         Mappe
	WHERE     (IdCommessa = $IdCommessa) AND (Attiva = 1) AND (Preselezionata = 1)
	ORDER BY DataCreazione DESC
sql;

$IdMappa = ntxScalar($sql);

$sql = <<< sql
	SELECT IdMappa, Nome, DataCreazione
	FROM         Mappe
	WHERE     (IdCommessa = $IdCommessa) AND (Attiva = 1)
	ORDER BY DataCreazione DESC
sql;

$query = ntxQuery($sql);

$ListaMappe = "<select id=ListaMappe class=ComboBox onchange=\"CambiaMappa(this)\">";

while ( $rs = ntxRecord($query) )
{
	$Nome = htmlentities($rs[Nome]);
	$DataCreazione = ntxDateTime($rs[DataCreazione]);
	
	if ( !is_numeric($IdMappa) ) $IdMappa = $rs[IdMappa];
	
	$selected = $IdMappa == $rs[IdMappa] ? "SELECTED" : "";
	
	$ListaMappe .= "<option value=\"$rs[IdMappa]\" $selected>$Nome - $DataCreazione</option>";
}

$ListaMappe .= "</select>";

?>