<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<html>
	<head>
		
		<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
		<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
		
		<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css"></link>	
		
		<style>
		*
		{
			font-size: 80%;
		}
		
		table, td, th 
		{
			font-size: 120%;
			empty-cells:show;
		}		
		
		
		table.presentation 
		{
			border:solid 1px #C1CDCD;
			background-color: #ECF1EF;
		}		

		table.presentation td 
		{
			border:solid 1px #C1CDCD;
			background-color: #ECF1EF;
		}			
		
		table.presentation th
		{
			border:solid 1px #C1CDCD;
			background-color: #ECF1EF;
		}			
			
		
		table.presentation td 
		{
			border:solid 1px #C1CDCD;
			background-color: #FFFFFE;
		}			
		
		span
		{
			font-weight: bold;
		}
		
		table.presentation td
		{
			text-align:left;
		}		
		
		table.presentation th
		{
			text-align:center;
			color: #838B8B;
			text-transform: uppercase;
			font-weight:normal;
		}		
		
		
		
		a.anchor01
		{
			color: #A52A2A;
			font-size: 110%;
			text-decoration: none;
			
			background: transparent;
		}		
		
		a.anchor01:hover
		{
			color: #FFFFFE;
			background: #A52A2A;
			text-decoration: none;
		}
		
		img
		{
			display:block;
			border: solid 1px #000000;
			width:40px; 
			vertical-align:middle;
		}
		</style>
		
		<script>
 		$(function() {
			$( "#accordion" ).accordion({
			
			active: false,
			autoHeight: false,
			collapsible: true
			
			});
		}); 
		</script>	
	
	</head>
<body>
<?php  
$Mon_id = $_GET[Mon_id];

if(!is_numeric($Mon_id)) die("Nessun ID di monitoraggio passato in GET!");	
	
	
$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');	
	
$sqlFields = <<< sqlFields
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS DesOrdini, 
	Ordini.DataInizioProg,  Ordini.DataFineProg,  Ordini.DataInizio, Ordini.DataFine, 
	
	tblMestieri.Descrizione AS OrdineMestiere,
	tblComponetiMestiere.Descrizione AS OrdineCompMest,
	tblAttivitàMestiere.Descrizione AS OrdineAttMest,


	Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, Richieste.Descrizione + Richieste.Descrizione1 + Richieste.Descrizione2 AS DesRichieste, 
	Richieste.ImpS AS ImportoStimatoAffidatario, Richieste.NoteImpS AS NoteTecnicheAffidatario,
	Stati.DesStato AS DesStatoRichiesta,
	Ordini_1.NumOrdine AS NumOrdineRic, Ordini_1.AnnoOrdine AS AnnoOrdineRic,
	tblMestieri_1.Descrizione AS RichiesteMestiere,
	tblComponetiMestiere_1.Descrizione AS RichiesteCompMest,
	tblAttivitàMestiere_1.Descrizione AS RichiesteAttMest,


	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
	ElencoEdifici.Provincia, ElencoEdifici.Cap, tblPgPropietari.Nome AS Ente,
	TipiCompMonitorati.Descrizione AS DescCompMonitorato,
	VotiMonitoraggio.Voto AS VotoMonitoraggio,
	MonStradeLatLon.Descrizione AS DescMonStradeLatLon,
	MonStradeLatLon.Civico,
	MonStradeLatLon.SubCivico,
	MonStradeLatLon.Civico2,
	MonStradeLatLon.SubCivico2,
	MonStradeLatLon.Id AS Id_Monitoraggio,
	ElencoEdifici.ID AS IdEdificio
sqlFields;



$sql = <<< SQL
	SELECT DISTINCT $sqlFields
	FROM         

		Ordini
		LEFT OUTER JOIN
		tblMestieri ON tblMestieri.IdCommessa = Ordini.IDCommessa AND tblMestieri.IdMestiere = Ordini.IdMestiere 
		LEFT OUTER JOIN
		tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND 
		Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere AND Ordini.IdMestiere = tblComponetiMestiere.IdMestiere
		LEFT OUTER JOIN
		tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND 
		Ordini.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere AND Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere		

		
		INNER JOIN
		ElencoEdifici ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa 
		LEFT OUTER JOIN
		StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato 
		
		
		LEFT OUTER JOIN
		tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 

		INNER JOIN
		MonitoraggioStrade ON MonitoraggioStrade.IdCommessa = Ordini.IDCommessa AND MonitoraggioStrade.NumOrdine = Ordini.NumOrdine AND 
		MonitoraggioStrade.AnnoOrdine = Ordini.AnnoOrdine 
		INNER JOIN
		MonStradeLatLon ON MonitoraggioStrade.IdCommessa = MonStradeLatLon.IdCommessa AND 
		MonitoraggioStrade.NumOrdine = MonStradeLatLon.NumOrdine AND MonitoraggioStrade.AnnoOrdine = MonStradeLatLon.AnnoOrdine AND 
		MonitoraggioStrade.Componente = MonStradeLatLon.Componente 
		LEFT OUTER JOIN
		TipiCompMonitorati ON MonitoraggioStrade.IdCommessa = TipiCompMonitorati.IdCommessa AND MonitoraggioStrade.Componente = TipiCompMonitorati.Id
		LEFT OUTER JOIN
		VotiMonitoraggio ON VotiMonitoraggio.IdCommessa = MonStradeLatLon.IdCommessa AND VotiMonitoraggio.Id = MonStradeLatLon.Voto
		LEFT OUTER JOIN
		MonStradeLatLonRichieste ON MonStradeLatLon.Id = MonStradeLatLonRichieste.IdMonStradeLatLon 
		
		LEFT OUTER JOIN
		Richieste ON MonStradeLatLonRichieste.IdCommessa = Richieste.IDCommessa AND 
		MonStradeLatLonRichieste.NumRichiesta = Richieste.NumRichiesta AND MonStradeLatLonRichieste.AnnoRichiesta = Richieste.AnnoRichiesta	
		LEFT OUTER JOIN
		Stati ON Richieste.Stato = Stati.IDStato
		LEFT OUTER JOIN
		Ordini AS Ordini_1 ON Richieste.NumRichiesta = Ordini_1.NumRichiesta AND Richieste.AnnoRichiesta = Ordini_1.AnnoRichiesta AND 
		Richieste.IDCommessa = Ordini_1.IDCommessa		
		
		
		LEFT OUTER JOIN
		tblMestieri AS tblMestieri_1 ON tblMestieri_1.IdCommessa = Richieste.IDCommessa AND tblMestieri_1.IdMestiere = Richieste.IdMestiere 
		LEFT OUTER JOIN
		tblComponetiMestiere AS tblComponetiMestiere_1 ON Richieste.IDCommessa = tblComponetiMestiere_1.IdCommessa AND 
		Richieste.IdComponenteMestiere = tblComponetiMestiere_1.IdComponenteMestiere AND Richieste.IdMestiere = tblComponetiMestiere_1.IdMestiere
		LEFT OUTER JOIN
		tblAttivitàMestiere AS tblAttivitàMestiere_1 ON Richieste.IDCommessa = tblAttivitàMestiere_1.IdCommessa AND 
		Richieste.IdComponenteMestiere = tblAttivitàMestiere_1.IdComponenteMestiere AND Richieste.IdAttivitàMestiere = tblAttivitàMestiere_1.IdAttivitàMestiere
 		
		
					
	WHERE  
		MonStradeLatLon.IdCommessa = $IdCommessa 
		AND MonStradeLatLon.Id =  $Mon_id
SQL;


$query = ntxQuery($sql);	
?>

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		//print("<h1>$rs[IdEdificio]</h1>");
?>
	<div id="accordion">
		
		<h3><a href="#">Localizzazione</a></h3>
		<div>
			<table class="presentation">
			<tr>
				<th> Codice
				<td> <?php echo (int)$rs[Codice]?>
			
			<tr>
				<th> Nome
				<td> <?php echo htmlentities($rs[EdificioBreve])?>		
				
			<tr>
				<th> Indirizzo
				<td> <?php echo htmlentities($rs[Indirizzo])?>			
				
			<tr>
				<th> Comune
				<td> <?php echo htmlentities($rs[Comune]." - ".$rs[$rs[Provincia]])?>						
		
			<tr>
				<th> Ente
				<td> <?php echo htmlentities($rs[Ente])?>				
			</table>	
		</div>			
		
		
		<h3><a href="#">Punto Monitoraggio (P.M.)</a></h3>
		<div>		
			<table class="presentation">
			<tr>
				<th> Componente
				<td> <?php echo htmlentities($rs[DescCompMonitorato])?>						
				
			<tr>
				<th> Descrizione<br>Punto Mon.
				<td> <?php echo htmlentities($rs[DescMonStradeLatLon])?>
			
			<tr>
				<th> Civico<br>SubCivico
				<td> <?php echo htmlentities($rs[Civico]." / ".$rs[SubCivico])?>
				
			<tr>
				<th> Civico2<br>SubCivico2
				<td> <?php echo htmlentities($rs[Civico2]." / ".$rs[SubCivico2])?>	

			<tr>
				<th> Voto
				<td> <?php echo htmlentities($rs[VotoMonitoraggio])?>					
				
			</table>	
		</div>
		
		<h3><a href="#">Allegati P.M.</a></h3>
		<div>
<?php
		$Id_Monitoraggio = $rs[Id_Monitoraggio];

		$sqlAll = <<< SQL
			SELECT DISTINCT
				MonStradeLatLonDocs.Id, MonStradeLatLonDocs.Descrizione
				
			FROM  MonStradeLatLon INNER JOIN
						   MonStradeLatLonDocs ON MonStradeLatLon.Id = MonStradeLatLonDocs.IdPadre AND 
						   MonStradeLatLon.IdCommessa = MonStradeLatLonDocs.IdCommessa   
			WHERE	
				MonStradeLatLon.Id = $Id_Monitoraggio 
				AND MonStradeLatLon.IdCommessa = $IdCommessa	   
SQL;

		$queryAll = ntxQuery($sqlAll);	
?>	
		<table class="presentation">
			<tr>
				<th> Anteprima		
				<th> &nbsp;	
				<th> Desc.		
		
<?php	
		while( $rsAll = ntxRecord($queryAll) )
		{
		
			$Id = $rsAll[Id];
?>	
			<tr>				
				<td>
					<img src="<?php echo "foto.php?Id={$Id}" ?>" onclick="'<?php echo "foto.php?Id={$Id}" ?>'"/> 
				
				
				<td> 
					<a class="anchor01" href="javascript: openURL('foto.php?Id=<?php echo $Id ?>')" >Download</a>
				
				<td> 
					<?php echo htmlentities($rsAll[Descrizione])?>					
<?php
		}
?>	
		</table>
		</div>		
		
		<h3><a href="#">Ordine <?php echo (int)$rs[NumOrdine]."/".(int)$rs[AnnoOrdine]?></a></h3>
		<div>		
			<table class="presentation">
			<tr>
				<th> Numero
				<td> <?php echo (int)$rs[NumOrdine]?>
			
			<tr>
				<th> Anno
				<td> <?php echo (int)$rs[AnnoOrdine]?>		
	
			<tr>
				<th> Data
				<td> <?php echo ntxDateTime($rs[DataOrdine])?>		
				
			<tr>
				<th> Data Inizio Prog
				<td> <?php echo ntxDateTime($rs[DataInizioProg])?>	
				
			<tr>
				<th> Data Fine Prog
				<td> <?php echo ntxDateTime($rs[DataFineProg])?>							
						
			<tr>
				<th> Data Inizio
				<td> <?php echo ntxDateTime($rs[DataInizio])?>	
				
			<tr>
				<th> Data Fine
				<td> <?php echo ntxDateTime($rs[DataFine])?>							
				
			<tr>
				<th> Stato
				<td> <?php echo htmlentities($rs[DesStato])?>	
				
			<tr>
				<th> Mestiere
				<td> <?php echo htmlentities($rs[OrdineMestiere])?>	

			<tr>
				<th> Componente
				<td> <?php echo htmlentities($rs[OrdineCompMest])?>	

			<tr>
				<th> Attivita
				<td> <?php echo htmlentities($rs[OrdineAttMest])?>					
				
			<tr>
				<th> Descr.
				<td> <?php echo htmlentities($rs[DesOrdini])?>	
			</table>			
		</div>		
		
		
		<?php 
		if( is_numeric($rs[NumRichiesta])  &&  is_numeric($rs[AnnoRichiesta]) )
		{
		?>	
			<h3><a href="#">Richiesta <?php echo (int)$rs[NumRichiesta]."/".(int)$rs[AnnoRichiesta]?></a></h3>
			<div>
				<table class="presentation">
				<tr>
					<th> Numero
					<td> <?php echo (int)$rs[NumRichiesta]?>
				
				<tr>
					<th> Anno
					<td> <?php echo (int)$rs[AnnoRichiesta]?>	
					
				<tr>
					<th> Anno
					<td> <?php echo ntxDateTime($rs[DataRichiesta])?>		
					
				<tr>
					<th> Mestiere
					<td> <?php echo htmlentities($rs[RichiesteMestiere])?>	

				<tr>
					<th> Componente
					<td> <?php echo htmlentities($rs[RichiestCompMest])?>	

				<tr>
					<th> Attivita
					<td> <?php echo htmlentities($rs[RichiestAttMest])?>						
					
				<tr>
					<th> Descr.
					<td> <?php echo htmlentities($rs[DesRichieste])?>		
			
				<tr>
					<th> Note Aff.
					<td> <?php echo htmlentities($rs[NoteTecnicheAffidatario])?>
					
				<tr>
					<th> Importo Aff.
					<td> <?php echo htmlentities( ntxRound($rs[ImportoStimatoAffidatario],2) )?>	
					
				<tr>
					<th> Stato
					<td> <?php echo htmlentities($rs[DesStatoRichiesta])?>			

				<tr>
					<th> Ordine<br>collegato
					<td> <?php echo htmlentities($rs[NumOrdineRic]." / ".$rs[AnnoOrdineRic])?>							
				</table>	
			</div>
		<?php
		}
		?>
		
	</div>
<?php
	}
?>

<script>
function openURL(sURL) 
{ 
	var width   = screen.width/2;
	var height    = screen.height/2;

	var popupWindow = window.open(sURL, "Pop", "width="+width+", height="+height+", scrollbars=1, dependent=yes, top=0p, left=0");
} 

</script>

</body>
</html>
