var nomiCampi = ['TipoCircuito', 'DataInizioValidità', 'OraOnTxt1', 'OraOfTxt1', 'OraOnTxt2', 'OraOfTxt2', 'OraOnTxt3', 'OraOfTxt3', 'OraOnTxt4', 'OraOfTxt4'];
var nomiCampiBase = ['TipoCircuito', 'DataInizioValidità', 'DataFineValidità'];

$(function(){
	$('input[type=button]').button();
	
	$('input[DatePicker]').datepicker();
	
	$('div[ButtonSet]').buttonset();
	$('span[ButtonSet]').buttonset();
	
	$('div[ButtonSetv]').buttonsetv();
	$('span[ButtonSetv]').buttonsetv();
	$( "#tabs" ).tabs();
	
	var i, j;
	
	for(i=1;i<=7;++i)
		for(j=1;j<=4;++j)
		{
			nomiCampiBase[nomiCampiBase.length] = 'OraOnTxt'+j+'_Giorno'+i;
			nomiCampiBase[nomiCampiBase.length] = 'OraOfTxt'+j+'_Giorno'+i;
		}
	
	RicercaBase();
	RicercaExtra();
});

	
function IsInteger(value)
{
	var reg = /^\d+$/;
	
	return reg.test(value);
}

function ConvalidaOra(txt)
{
	var obj = $(txt);
	
	var orario = obj.val()+"";
	
	orario = orario.trim();
	
	if ( orario=="" ) 
	{
		obj.css('background-color', 'white');
		obj.val('');
		return;
	}
	
	var hh="", mm="";
	
	if(IsInteger(orario)) 
	{
		if ( orario.length==3 )
		{
			hh = orario.substr(0,1);
			mm = orario.substr(1,2);
		}
		else if ( orario.length==4 )
		{
			hh = orario.substr(0,2);
			mm = orario.substr(2,2);
		}
	}
	else
	{
		orario = orario.replace(".", ":");
		orario = orario.replace(",", ":");
		orario = orario.replace("-", ":");
		orario = orario.replace(" ", ":");
		
		var hhmm  = orario.split(":");
		
		if ( hhmm.length!=2 )
		{
			obj.css('background-color', 'red');
			return;
		}
		
		hh = hhmm[0];
		mm = hhmm[1];
	}
	
	if (!IsInteger(hh) || !IsInteger(mm) || hh<0 || hh>23 || mm<0 || mm>59 )
	{
		obj.css('background-color', 'red');
		return;
	}
	
	hh = parseInt(hh);
	mm = parseInt(mm);
	
	var valoreInMinuti = hh*60 + mm;
	
	if ( valoreInMinuti<0 || valoreInMinuti>1440 )
	{
		obj.css('background-color', 'red');
		return;
	}
	
	if ( hh<10 ) hh = '0'+hh;
	if ( mm<10 ) mm = '0'+mm;
	
	obj.val(hh+':'+mm);
	
	obj.attr('valInMinuti', valoreInMinuti);

	obj.css('background-color', 'white');
}
