<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$Data1 = ntxDateSQL(ntxtp('Data1'));
$Data2 = ntxDateSQL(ntxtp('Data2'));

$where = "WHERE MANCOOP_EmailOrariCalore.IdCommessa=$IdCommessa  ";

if ( is_numeric($_POST[CDE]) )
	$where .= " AND e.ID=".(int)$_POST[CDE];

if ( is_numeric($_POST[TipoUtilizzatore]) )
	$where .= " AND u.TipoUtilizzatore2=".(int)$_POST[TipoUtilizzatore];

if ( strlen("$_POST[CodiceUtilizzatore]")>0 ) 
	$where .= " AND u.CodiceUtilizzatore = ".ntxsp('CodiceUtilizzatore');

if ( strlen("$_POST[Utilizzatore]")>0 ) 
{
	$str = stripslashes($_POST['Utilizzatore']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND u.Nome LIKE '%".$str."%' ";
}

if ( strlen("$_POST[Indirizzo]")>0 ) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND u.Indirizzo LIKE '%".$str."%' ";
}

if ( strlen("$_POST[Messaggio]")>0 ) 
{
	$str = stripslashes($_POST['Messaggio']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND MANCOOP_EmailOrariCalore.Messaggio LIKE '%".$str."%' ";
}

if ( strlen("$_POST[Quartiere]")>0 ) 
	$where .= " AND u.Descrizione = ".ntxsp('Quartiere');

if ( strlen("$_POST[Email]")>0 ) 
	$where .= " AND MANCOOP_EmailOrariCalore.IndirizzoEmail = ".ntxsp('Email');

if ( strlen("$_POST[CdC]")>0 ) 
	$where .= " AND u.cdc = ".ntxsp('CdC');

if ( strlen("$_POST[TipoCircuito]")>0 ) 
	$where .= " AND MANCOOP_EmailOrariCalore.TipoCircuito = ".ntxsp('TipoCircuito');

if ( strlen("$_POST[TipoOrario]")>0 ) 
	$where .= " AND MANCOOP_EmailOrariCalore.TipoOrario = ".ntxsp('TipoOrario');

if ( strlen("$_POST[Data1]")>0 ) 
	$where .= " AND MANCOOP_EmailOrariCalore.DataInizio >= $Data1";

if ( strlen("$_POST[Data2]")>0 ) 
	$where .= " AND MANCOOP_EmailOrariCalore.DataInizio <= $Data2";

if ( is_numeric($_POST[RichiestaEvasa]) )
{
	if ( $_POST[RichiestaEvasa] )
		$where .= " AND MANCOOP_EmailOrariCalore.RichiestaEvasa=1";
	else
		$where .= " AND (MANCOOP_EmailOrariCalore.RichiestaEvasa=0 OR MANCOOP_EmailOrariCalore.RichiestaEvasa IS NULL)";
}

if ( is_numeric($_POST[Copia]) )
{
	if ( $_POST[Copia] )
		$where .= " AND MANCOOP_EmailOrariCalore.Copia=1";
	else
		$where .= " AND (MANCOOP_EmailOrariCalore.Copia=0 OR MANCOOP_EmailOrariCalore.Copia IS NULL)";
}

if ( $_POST[SoloUtente] )
	$where .= " AND MessaggiDaSpedire.Utente=".ntxsse('Utente');

if ( $_POST[SenzaUtilizEdificio] )
	$where .= " AND MANCOOP_EmailOrariCalore.IdEdificio IS NULL AND MANCOOP_EmailOrariCalore.IdUtilizzatore IS NULL";

$sql = <<< sql
	SELECT     e.IdCommessa, e.ID AS IdEdificio, u.IdUtilizzatore, u.CodiceUtilizzatore, u.cdc, u.Indirizzo, u.Descrizione AS Quartiere, t2.Classe, t2.Tipo AS Tipo2, 
                      e.EdificioBreve AS Edificio, u.Nome AS Utilizzatore, MANCOOP_EmailOrariCalore.IndirizzoEmail, MANCOOP_EmailOrariCalore.Oggetto, 
                      MANCOOP_EmailOrariCalore.Messaggio, MANCOOP_EmailOrariCalore.TipoCircuito, MANCOOP_EmailOrariCalore.TipoOrario, MANCOOP_EmailOrariCalore.DataInizio, 
                      MANCOOP_EmailOrariCalore.Allegato, MessaggiDaSpedire.UltimoMsgErrore, MessaggiDaSpedire.Inviato, MessaggiDaSpedire.Spedizione, 
                      MessaggiDaSpedire.Inserimento, MessaggiDaSpedire.Utente, MANCOOP_EmailOrariCalore.RichiestaEvasa, MANCOOP_EmailOrariCalore.Id, MANCOOP_EmailOrariCalore.Copia
	FROM         ElencoEdifici AS e RIGHT OUTER JOIN
                      MANCOOP_EmailOrariCalore LEFT OUTER JOIN
                      MessaggiDaSpedire ON MANCOOP_EmailOrariCalore.CoordinateMessaggiDaSpedire = MessaggiDaSpedire.Coordinate ON 
                      e.ID = MANCOOP_EmailOrariCalore.IdEdificio AND e.IdCommessa = MANCOOP_EmailOrariCalore.IdCommessa LEFT OUTER JOIN
                      tblUtUtilizzatori AS u ON MANCOOP_EmailOrariCalore.IdCommessa = u.IdCommessa AND 
                      MANCOOP_EmailOrariCalore.IdUtilizzatore = u.IdUtilizzatore LEFT OUTER JOIN
                      TipiUtilizzatori2 AS t2 ON u.IdCommessa = t2.IdCommessa AND u.TipoUtilizzatore2 = t2.IdTipo
					  
	$where				
sql;

$paginazione = ntxPaginazione($sql, "Inserimento desc ");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th style="width:400px">Corpo Email
			<th>ID UT
			<th>CdC
			<th>Codice UT
			<th>Utilizzatore
			<th>Indirizzo
			<th>Quartiere
			<th>Classe UT
			<th>Tipo UT
			<th>CDE
			<th>Edificio
			<th>Tipo Circuito
			<th>Tipo Orario
			<th>Richiesta Evasa
			<th>Allegato
			<th>Copia
			<th>Data Inizio
			<th>Utente Inserimento
			<th>Indirizzo Email
			<th>Data Registrazione Email
			<th>Data Invio Email
			<th>Errore Invio Email
			<th>Oggetto Email
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	$rs[Inserimento] = ntxDateTimeAndSecond($rs[Inserimento]);
	$rs[Spedizione] = ntxDateTimeAndSecond($rs[Spedizione]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$Copia = $html[Copia] ? "SI" : "NO";
	$Allegato = $html[Allegato] ? "SI" : "NO";
	$RichiestaEvasa = $html[RichiestaEvasa] ? "SI" : "NO";
	
	$table .= <<< table
		<tr>
			<td><input type=button value=email onclick="InvioEmail($rs[Id])" />
			<td style="width:400px">$html[Messaggio]
			<td>$html[IdUtilizzatore]
			<td>$html[cdc]
			<td>$html[CodiceUtilizzatore]
			<td>$html[Utilizzatore]
			<td>$html[Indirizzo]
			<td>$html[Quartiere]
			<td>$html[Classe]
			<td>$html[Tipo2]
			<td>$html[IdEdificio]
			<td>$html[Edificio]
			<td>$html[TipoCircuito]
			<td>$html[TipoOrario]
			<td>$RichiestaEvasa
			<td>$Allegato
			<td>$Copia
			<td>$html[DataInizio]
			<td>$html[Utente]
			<td>$html[IndirizzoEmail]
			<td>$html[Inserimento]
			<td>$html[Spedizione]
			<td>$html[UltimoMsgErrore]
			<td>$html[Oggetto]
table;
}


$table .= "</table>";


$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
