<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$Data1 = ntxDateSQL(ntxtp('Data1',false));
$Data2 = ntxDateSQL(ntxtp('Data2'));

$where = "WHERE  (tblMestieri.SwitchCalore = 1)	AND e.IdCommessa=$IdCommessa AND t2.Classe='EN' ";

if ( is_numeric($_POST[CDE]) )
	$where .= " AND e.ID=".(int)$_POST[CDE];

if ( is_numeric($_POST[TipoUtilizzatore]) )
	$where .= " AND u.TipoUtilizzatore2=".(int)$_POST[TipoUtilizzatore];

if ( strlen("$_POST[CodiceUtilizzatore]")>0 ) 
	$where .= " AND u.CodiceUtilizzatore = ".ntxsp('CodiceUtilizzatore');

if ( strlen("$_POST[Utilizzatore]")>0 ) 
{
	$str = stripslashes($_POST['Utilizzatore']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND u.Nome LIKE '%".$str."%' ";
}

if ( strlen("$_POST[Indirizzo]")>0 ) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND u.Indirizzo LIKE '%".$str."%' ";
}

if ( strlen("$_POST[Quartiere]")>0 ) 
	$where .= " AND u.Descrizione = ".ntxsp('Quartiere');

if ( strlen("$_POST[CdC]")>0 ) 
	$where .= " AND u.cdc = ".ntxsp('CdC');

if ( strlen("$_POST[Data1]")>0 ) 
	$where .= " AND tblUtEdifici.DataFine >= $Data1";

if ( strlen("$_POST[Data2]")>0 ) 
	$where .= " AND tblUtEdifici.DataInizio <= $Data2";

$sql = <<< sql
	SELECT DISTINCT 
                      e.IdCommessa, e.ID AS IdEdificio, u.IdUtilizzatore, u.CodiceUtilizzatore, u.cdc, u.Indirizzo, u.Descrizione AS Quartiere, t2.Classe, t2.Tipo AS Tipo2, 
                      e.EdificioBreve AS Edificio, u.Nome AS Utilizzatore, tblUtEdifici.DataInizio, tblUtEdifici.DataFine, tblPgAffidatari.Nome Affidatario
	FROM         tblPgContrattiAffidatari INNER JOIN
                      tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario INNER JOIN
                      tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario INNER JOIN
                      tblComponetiMestiere INNER JOIN
                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere ON 
                      tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblUtUtilizzatori AS u INNER JOIN
                      ElencoEdifici AS e INNER JOIN
                      tblUtEdifici ON e.IdCommessa = tblUtEdifici.IdCommessa AND e.ID = tblUtEdifici.IdEdificio ON u.IdCommessa = tblUtEdifici.IdCommessa AND 
                      u.IdUtilizzatore = tblUtEdifici.IdUtilizzatore ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = e.IdCommessa AND 
                      tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = e.ID LEFT OUTER JOIN
                      TipiUtilizzatori2 AS t2 ON u.IdCommessa = t2.IdCommessa AND u.TipoUtilizzatore2 = t2.IdTipo
	    				 
	$where				
	ORDER BY IdUtilizzatore, IdEdificio
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>Sel
			<th>ID UT
			<th>CdC
			<th>Codice UT
			<th>Utilizzatore
			<th>Indirizzo
			<th>Quartiere
			<th>Classe UT
			<th>Tipo UT
			<th>CDE
			<th>Edificio
			<th>Affidatario
			<th>Data Inizio
			<th>Data Fine
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr>
			<td><input type=radio name=SelEdificio value="$rs[IdCommessa],$rs[IdUtilizzatore],$rs[IdEdificio]" onclick="SelUtilizEdificio('$rs[IdCommessa]','$rs[IdUtilizzatore]','$rs[IdEdificio]')" />
			<td>$html[IdUtilizzatore]
			<td>$html[cdc]
			<td>$html[CodiceUtilizzatore]
			<td>$html[Utilizzatore]
			<td>$html[Indirizzo]
			<td>$html[Quartiere]
			<td>$html[Classe]
			<td>$html[Tipo2]
			<td>$html[IdEdificio]
			<td>$html[Edificio]
			<td>$html[Affidatario]
			<td>$html[DataInizio]
			<td>$html[DataFine]
table;
}


$table .= "</table>";

jhp($table);

?>
