<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$Ora1 = explode(".", $_POST[Ora1]);
$Ora2 = explode(".", $_POST[Ora2]);

if ( count($Ora1)==2  &&  is_numeric($Ora1[0])  &&  is_numeric($Ora1[1]) )
{
	$Ora1 = $Ora1[0]*60+$Ora1[1];
}
else
{
	$Ora1 = 0;
}

if ( count($Ora2)==2  &&  is_numeric($Ora2[0])  &&  is_numeric($Ora2[1]) )
{
	$Ora2 = $Ora2[0]*60+$Ora2[1];
}
else
{
	$Ora2 = 24*60-1;
}

$OraPrint1 = ((int)($Ora1/60)<10 ? "0" : "").(int)($Ora1/60).".".($Ora1%60<10 ? "0" : "").($Ora1%60);
$OraPrint2 = ((int)($Ora2/60)<10 ? "0" : "").(int)($Ora2/60).".".($Ora2%60<10 ? "0" : "").($Ora2%60);

function CalcOre($inizio, $fine)
{
	global $Ora1, $Ora2;
	
	$calcMinutes1 = "(datepart(hour, $inizio)*60+datepart(minute, $inizio))";
	$calcMinutes2 = "(datepart(hour, $fine)*60+datepart(minute, $fine))";
	
	$OreGiorno = $Ora2 - $Ora1;
	
	$OreSenzaFeste = "dbo.ContaGiornateLavorative(Commesse.IdCommessa,$inizio+1, $fine-1)";
	
	return <<< return
		case when datediff(day,$inizio, $fine)=0 then
			datediff(minute,$inizio, $fine)
		else
			($Ora2 - $calcMinutes1)
			+($calcMinutes2 - $Ora1)
			+$OreGiorno*case when datediff(day,$inizio, $fine)<2 then 0 else $OreSenzaFeste end

		end / 60
return;
}

$sqlCalcOrePrg = CalcOre("Ordini.DataInizioProg", "Ordini.DataFineProg");
$sqlCalcOreEffettive = CalcOre("Ordini.DataInizio", "Ordini.DataFine");
/*
$sql = <<< sql
	SELECT    datediff(minute,Ordini.DataInizioProg,Ordini.DataFineProg)/60.0 OrePrg,
					datediff(minute,Ordini.DataInizio,Ordini.DataFine)/60.0 OreEffettive, */
$sql = <<< sql
	SELECT    	($sqlCalcOrePrg) OrePrg,
				($sqlCalcOreEffettive) OreEffettive,
					
					   Commesse.DesComm, ElencoEdifici.ID, ElencoEdifici.EdificioBreve, Ditte.Ditta, Risorse.NOME, tblMestieri.codice, tblMestieri.Descrizione, Richieste.TipoIntervento, 
                      Ordini.GradoUrgenza, Ordini.Contabiliz, Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2

					 
	FROM         Ordini INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      Commesse ON ElencoEdifici.IdCommessa = Commesse.IDCommessa INNER JOIN
                      Risorse ON Ordini.IdRisorsa = Risorse.ID LEFT OUTER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
	WHERE 1=1
sql;

if ( $_POST[chkModificatoDataProg] )
	$sql .= " AND ((Ordini.ModificatoDataProg=1 AND Ordini.GradoUrgenza='MP') OR Ordini.GradoUrgenza<>'MP')";

if ( is_numeric($_POST[IdCommessa]) )
	$sql .= " AND Ordini.IdCommessa=".(int)$_POST[IdCommessa];

if ( is_numeric($_POST[IdEdificio]) )
	$sql .= " AND Ordini.CodEdificio=".(int)$_POST[IdEdificio];

if ( is_numeric($_POST[IdDitta]) )
	$sql .= " AND Ordini.Assegnazione=".(int)$_POST[IdDitta];

if ( is_numeric($_POST[IdRisorsa]) )
	$sql .= " AND Ordini.IdRisorsa=".(int)$_POST[IdRisorsa];

if ( strlen("$_POST[NomeDitta]")>0 ) 
	$sql .= " AND Ditte.Ditta LIKE '%".(int)str_replace("'","''",$_POST[NomeDitta])."%'";

if ( strlen("$_POST[NomeRisorsa]")>0 ) 
	$sql .= " AND Risorse.NOME LIKE '%".(int)str_replace("'","''",$_POST[NomeRisorsa])."%'";

if ( strlen("$_POST[Data1]")>0 ) 
	$sql .= " AND Ordini.DataInizioProg >= ".ntxtp('Data1');

if ( strlen("$_POST[Data2]")>0 ) 
	$sql .= " AND Ordini.DataInizioProg <= ".ntxtp('Data2');
	
switch($_POST[Tipo])
{
	case "mp":
		$sql .= " AND Ordini.GradoUrgenza='MP'";
		break;
	case "canone":
		$sql .= " AND Ordini.GradoUrgenza<>'MP' and Contabiliz='Canone'";
		break;
	case "extra":
		$sql .= " AND Ordini.GradoUrgenza<>'MP' and Contabiliz='Extracanone'";
		break;
}
//jhp_log($sql);
$paginazione = ntxPaginazione($sql, "DataInizioProg ");

$query = $paginazione->query;

$table = <<< table
	Ora inizio giornata: $OraPrint1 - Ora fine giornata: $OraPrint2
	<table class=grid>
		<tr>
			<th>Ditta
			<th>Risorsa
			<th>Data
			<th>Tipo
			<th>Tipo Intervento
			<th>Commessa
			<th>Edificio
			<th>Ordine
			<th>Servizio
			<th>Descr.Ordine
			<th>Ore Programmate Previste
			<th>Ore Canone Previste
			<th>Ore Extracanone Previste
			<th>Ore Effettive
			<th>Delta Ore (Previste - Effettive)
table;

$TotOreMP = 0;
$TotOreCA = 0;
$TotOreEX = 0;
$TotOreEffettive = 0;
$TotDeltaOre = 0;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
	$DeltaOre = ntxRoundThousand($rs[OrePrg]-$rs[OreEffettive], 2);
	$OrePrg = ntxRoundThousand($rs[OrePrg], 2);
	$OreEffettive = ntxRoundThousand($rs[OreEffettive], 2);
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	
	$TotOreEffettive += $rs[OreEffettive];
	$TotDeltaOre += ($rs[OrePrg]-$rs[OreEffettive]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$Tipo = "";
	
	$OreMP = $OreCA = $OreEX = "";
	
	if ($rs[GradoUrgenza]=='MP' )
	{
		$Tipo = "MP";
		$OreMP = $OrePrg;
		$TotOreMP += $rs[OrePrg];
	}
	elseif ( $rs[Contabiliz]=="Canone" )
	{
		$Tipo = "Canone";
		$OreCA = $OrePrg;
		$TotOreCA += $rs[OrePrg];
	}
	elseif ( $rs[Contabiliz]=="Extracanone" )
	{
		$Tipo = "Extracanone";
		$OreEX = $OrePrg;
		$TotOreEX += $rs[OrePrg];
	}
	
	$table .= <<< table
		<tr>
			<td>$html[Ditta]
			<td>$html[NOME]
			<td>$html[DataInizioProg]
			<td>$Tipo
			<td>$html[TipoIntervento]
			<td>$html[DesComm]
			<td>$html[ID] - $html[EdificioBreve]
			<td>$html[NumOrdine]/$html[AnnoOrdine]
			<td>$html[codice] - $html[Descrizione]
			<td>{$html[DescrizioneIntervento]}{$html[DescrizioneIntervento1]}{$html[DescrizioneIntervento2]}
			<td style="text-align:right">$OreMP
			<td style="text-align:right">$OreCA
			<td style="text-align:right">$OreEX
			<td style="text-align:right">$OreEffettive
			<td style="text-align:right">$DeltaOre
table;
	 
}

$TotOreMP = ntxRoundThousand($TotOreMP, 2);
$TotOreCA = ntxRoundThousand($TotOreCA, 2);
$TotOreEX = ntxRoundThousand($TotOreEX, 2);
$TotOreEffettive = ntxRoundThousand($TotOreEffettive, 2);
$TotDeltaOre = ntxRoundThousand($TotDeltaOre, 2);

	
	$table .= <<< table
		<tr>
			<td colspan=10 style="font-weight:bold;text-align:right">TOTALE:
			<td style="font-weight:bold;text-align:right">$TotOreMP
			<td style="font-weight:bold;text-align:right">$TotOreCA
			<td style="font-weight:bold;text-align:right">$TotOreEX
			<td style="font-weight:bold;text-align:right">$TotOreEffettive
			<td style="font-weight:bold;text-align:right">$TotDeltaOre
table;

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
