<?php  

session_start();

require_once('../../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>
<body>
<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$Filtro = ntxip('Filtro');
$IdAffidatario = ntxip('IdAffidatario');
$IdMestiere = ntxip('IdMestiere');
$IdComponenteMestiere = ntxip('IdComponenteMestiere');
$IdAttivitàMestiere = ntxip('IdAttivitàMestiere');
$Localizzazione = ntxip('Localizzazione');
$DataRichiesta = ntxtp('DataRichiesta');

if ( $Filtro == 1 ) // filtro 1 fornitore con contratto per data/mestiere/edificio richiesta
{
	$sql = <<< SQL
		SELECT DISTINCT Ditte.IDDitta, Ditte.Ditta
		FROM         tblComponetiMestiere INNER JOIN
							  tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
							  tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
							  tblPgContrattiAffidatari INNER JOIN
							  tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario ON 
							  tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND 
							  tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
							  tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario INNER JOIN
							  DitteAffidatari ON tblPgAffidatari.IdAffidatario = DitteAffidatari.IdAffidatario INNER JOIN
							  Ditte ON DitteAffidatari.IdDitta = Ditte.IDDitta
		  WHERE     (tblComponetiMestiere.IdCommessa = $IdCommessa)
						  AND (tblComponetiMestiere.IdMestiere = $IdMestiere)
						  AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $Localizzazione)
						  AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta ) AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta )
		ORDER BY Ditte.Ditta;
SQL;
}
elseif ( $Filtro == 2 ) // filtro 2 fornitore con contratto per data/componente/edificio richiesta
{
	$sql = <<< SQL
		SELECT DISTINCT Ditte.IDDitta, Ditte.Ditta
		FROM         tblAttivitàMestiere INNER JOIN
                      tblPgContrattiAffidatari INNER JOIN
                      tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario ON 
                      tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
                      tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario INNER JOIN
                      DitteAffidatari ON tblPgAffidatari.IdAffidatario = DitteAffidatari.IdAffidatario INNER JOIN
                      Ditte ON DitteAffidatari.IdDitta = Ditte.IDDitta
		  WHERE     (tblAttivitàMestiere.IdCommessa = $IdCommessa)
						  AND (tblAttivitàMestiere.IdComponenteMestiere = $IdComponenteMestiere)
						  AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $Localizzazione)
						  AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta ) AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta )
		ORDER BY Ditte.Ditta;
SQL;
}
elseif ( $Filtro == 3 ) // filtro 3 fornitore con contratto per data/attività/edificio richiesta
{
	$sql = <<< SQL
		SELECT DISTINCT Ditte.IDDitta, Ditte.Ditta
		FROM         tblAttivitàMestiere INNER JOIN
                      tblPgContrattiAffidatari INNER JOIN
                      tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario ON 
                      tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
                      tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario INNER JOIN
                      DitteAffidatari ON tblPgAffidatari.IdAffidatario = DitteAffidatari.IdAffidatario INNER JOIN
                      Ditte ON DitteAffidatari.IdDitta = Ditte.IDDitta
		  WHERE     (tblAttivitàMestiere.IdCommessa = $IdCommessa)
						  AND (tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere)
						  AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $Localizzazione)
						  AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta ) AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta )
		ORDER BY Ditte.Ditta;
SQL;
}
elseif ( $Filtro == 4 ) // filtro 4 fornitore associati a commessa ed ad affidatario
{
	$sql = <<< SQL
		SELECT DISTINCT Ditte.IDDitta, Ditte.Ditta, DitteCommesse.IdCommessa
		FROM         Ditte INNER JOIN
							  DitteAffidatari ON Ditte.IDDitta = DitteAffidatari.IdDitta INNER JOIN
							  DitteCommesse ON Ditte.IDDitta = DitteCommesse.IdDitta
		WHERE     (DitteAffidatari.IdAffidatario = $IdAffidatario) AND (DitteCommesse.IdCommessa = $IdCommessa)
		ORDER BY Ditte.Ditta;
SQL;
}
elseif ( $Filtro == 5 ) // filtro 5 fornitore associati a commessa
{
	$sql = <<< SQL
		SELECT DISTINCT Ditte.IDDitta, Ditte.Ditta
		FROM         Ditte INNER JOIN
							  DitteCommesse ON Ditte.IDDitta = DitteCommesse.IdDitta
		WHERE     (DitteCommesse.IdCommessa = $IdCommessa)
		ORDER BY Ditte.Ditta;
SQL;
}


 // filtro 1 fornitore con contratto per data/mestiere/edificio richiesta
 // filtro 2 fornitore con contratto per data/componente/edificio richiesta
 // filtro 3 fornitore con contratto per data/attività/edificio richiesta
 // filtro 4 fornitore associati a commessa ed ad affidatario
 // filtro 5 fornitore associati a commessa
$query = ntxQuery($sql);
?>
	
<form name=frmRun method=post>
<input type=hidden name=Filtro value="<?php echo ntxJs($_POST['Filtro']) ?>">
<input type=hidden name=IdAffidatario value="<?php echo ntxJs($_POST['IdAffidatario']) ?>">
<input type=hidden name=IdMestiere value="<?php echo ntxJs($_POST['IdMestiere']) ?>">
<input type=hidden name=IdComponenteMestiere value="<?php echo ntxJs($_POST['IdComponenteMestiere']) ?>">
<input type=hidden name=IdAttivitàMestiere value="<?php echo ntxJs($_POST['IdAttivitàMestiere']) ?>">
<input type=hidden name=Localizzazione value="<?php echo ntxJs($_POST['Localizzazione']) ?>">
<input type=hidden name=DataRichiesta value="<?php echo ntxJs($_POST['DataRichiesta']) ?>">
</form>
<style>
.btn {
	width: 30px;
	height: 30px;
}
</style>

<table>
<tr><td><input class=btn type=button value=1 title="Fornitori associati ad affidatari con contratto corrisponendente per data/mestiere/edificio richiesta"
			onclick="document.frmRun.Filtro.value=1;document.frmRun.submit()">
	<td><input class=btn type=button value=2 title="Fornitori associati ad affidatari con contratto corrisponendente per data/componente/edificio richiesta"
			onclick="document.frmRun.Filtro.value=2;document.frmRun.submit()">
	<td><input class=btn type=button value=3 title="Fornitori associati ad affidatari con contratto corrisponendente per data/attività/edificio richiesta"
			onclick="document.frmRun.Filtro.value=3;document.frmRun.submit()">
	<td><input class=btn type=button value=4 title="Fornitori associati associati a commessa ed ad affidatario"
			onclick="document.frmRun.Filtro.value=4;document.frmRun.submit()">
	<td><input class=btn type=button value=5 title="Fornitori associati associati a commessa"
			onclick="document.frmRun.Filtro.value=5;document.frmRun.submit()">
</table>
<br>
<table align=left>
	<tr>
		<th></th>
		<th>Ditta</th>
	<tr>
		<td><input type=button value=sel onclick="parent.SelezionaRiga('', '')"></td>
		<td>Scelta Automatica</td>
	</tr>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<input type=button value=sel onclick="parent.SelezionaRiga(<?php echo $rs['IDDitta'].",'".str_replace("'",'',str_replace('"','',$rs['Ditta']))."'" ?>)">
			</td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

</body>
</html>
