<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
SELECT DISTINCT 
                      TipiCompMonitorati.Descrizione AS CompMonitoraggio, Richieste.NumOrdineFonte, 
                      isnull(Richieste.Descrizione,'') + isnull(Richieste.Descrizione1,'') + isnull(Richieste.Descrizione2,'') AS Des, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, 
                      ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, 
                      Richieste.AnnoOrdineFonte, Richieste.NumRichiesta, Richieste.AnnoRichiesta, Ordini.NumOrdine, Ordini.AnnoOrdine, Ditte.Ditta, 
                      Richieste.DataRichiesta, Ordini.DataOrdine, tblPgPropietari.Nome AS Ente, Richieste.IDCommessa, Ordini.DataInizioProg, Ordini.DataFineProg, 
                      Ordini.DataInizio, Ordini.DataFine, tblMestieri.codice AS CodMest, tblComponetiMestiere.codice AS CodComp, tblAttivitàMestiere.codice AS CodAtt, 
                      tblMestieri.Descrizione AS DesMest, tblComponetiMestiere.Descrizione AS DesComp, tblAttivitàMestiere.Descrizione AS DesAtt, 
                      Ordini.DataScadenza
FROM         TipiCompMonitorati RIGHT OUTER JOIN
                      tblComponetiMestiere RIGHT OUTER JOIN
                      Richieste INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
                      tblAttivitàMestiere ON Richieste.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
                      Richieste.IDCommessa = tblAttivitàMestiere.IdCommessa ON tblComponetiMestiere.IdComponenteMestiere = Richieste.IdComponenteMestiere AND 
                      tblComponetiMestiere.IdCommessa = Richieste.IDCommessa LEFT OUTER JOIN
                      tblMestieri ON Richieste.IdMestiere = tblMestieri.IdMestiere AND Richieste.IDCommessa = tblMestieri.IdCommessa ON 
                      TipiCompMonitorati.IdCommessa = Richieste.IDCommessa AND TipiCompMonitorati.Id = Richieste.CompMonitorato LEFT OUTER JOIN
                      Ditte RIGHT OUTER JOIN
                      Ordini ON Ditte.IDDitta = Ordini.Assegnazione ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND 
                      Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
WHERE     (Richieste.NumOrdineFonte = $NumOrdine) AND (Richieste.AnnoOrdineFonte = $AnnoOrdine) AND (Richieste.IDCommessa = $IdCommessa)
ORDER BY Richieste.AnnoRichiesta DESC,Richieste.NumRichiesta DESC
sql;

$query = ntxQuery($sql);

?>