<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa', false);
$NumOrdine = ntxip('NumOrdineFonte', false);
$AnnoOrdine = ntxip('AnnoOrdineFonte', false);
$CompMonitorato = ntxip('CompMonitorato', false);

$sql = <<< sql
	SELECT     MonitoraggioStrade.IdCommessa, MonitoraggioStrade.NumOrdine AS NumOrdineFonte, MonitoraggioStrade.AnnoOrdine AS AnnoOrdineFonte, 
						  MonitoraggioStrade.Componente AS CompMonitorato, MonitoraggioStrade.Note AS Descrizione, Ordini.CodEdificio AS IdEdificio,
						  Ordini.CodEdificio AS Localizzazione, 
						  tblComponetiMestiere.IdMestiere, TipiCompMonitorati.IdComponenteMestiere, TipiCompMonitorati.Descrizione AS DesCompMonitorato,
						  getdate() as DataRichiesta,
		ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA,
		ElencoEdifici.PROVINCIA, ElencoEdifici.Telefono, ElencoEdifici.Tipo AS TipoEdificio,
		'Web' as Tipo
	FROM         MonitoraggioStrade INNER JOIN
                      Ordini ON MonitoraggioStrade.IdCommessa = Ordini.IDCommessa AND MonitoraggioStrade.NumOrdine = Ordini.NumOrdine AND 
                      MonitoraggioStrade.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      TipiCompMonitorati ON MonitoraggioStrade.Componente = TipiCompMonitorati.Id AND 
                      MonitoraggioStrade.IdCommessa = TipiCompMonitorati.IdCommessa LEFT OUTER JOIN
                      tblComponetiMestiere ON TipiCompMonitorati.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      TipiCompMonitorati.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE     (MonitoraggioStrade.IdCommessa = $IdCommessa) 
	AND (MonitoraggioStrade.NumOrdine = $NumOrdine) 
	AND (MonitoraggioStrade.AnnoOrdine = $AnnoOrdine) 
	AND (MonitoraggioStrade.Componente = $CompMonitorato)
sql;

$query = ntxQuery($sql);

if ( !($record=ntxRecord($query)) )
	ntxMsgErr("Problema con la compilazione richiesta!");

$record[NumOrdineFonte] = (int)$record[NumOrdineFonte];
$record[DataRichiesta] = ntxDateTime($record[DataRichiesta]);
	
require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari\carica_affidatari.inc");

if ( is_numeric($record['IdEdificio'])  )
{
	$IdEdificio=(int)($record['IdEdificio']);
	
	$sql = "SELECT tblPgPropietari.Nome AS Ente "
		."FROM         ElencoEdifici LEFT OUTER JOIN "
		."                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario "
		." WHERE ElencoEdifici.IdCommessa=$IdCommessa "
		." AND ElencoEdifici.ID=$IdEdificio;";
			
	$query = ntxQuery($sql);
	
	if ( $rs = ntxIRecord($query) )
	{
		$record['Ente'] = $rs[0];
	}
}

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
