<?php

if ( !isset($_SESSION) ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');
$IdAmbiente = ntxip('IdAmbiente');

$sql = <<< sql
	SELECT     MonVani.IdMon, MonVani.DataMon, VociMonVani.Voce, MonVani.Valore, MonVani.Note, MonVani.NumRichiesta, MonVani.AnnoRichiesta
	FROM         MonVani INNER JOIN
						  VociMonVani ON MonVani.IdVoce = VociMonVani.IdVoce
	WHERE     (MonVani.IDCommessa = $IdCommessa) 
			AND (MonVani.NumOrdine = $NumOrdine) 
			AND (MonVani.AnnoOrdine = $AnnoOrdine) 
			AND (MonVani.IdVano = $IdAmbiente)
sql;

$paginazione = ntxPaginazione($sql, "DataMon, Voce");

$query = $paginazione->query;

if ( !$_POST[no_edit] ) $edit = "<th>"; else $edit = "";

$table = <<< table
	<table class=grid>
		<tr>
			$edit
			<th>
			<th>ID
			<th>DataMon
			<th>Voce
			<th>Valore
			<th>Note
			<th>NumRichiesta
			<th>AnnoRichiesta
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$DataMon = ntxDate($rs[DataMon]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( !$_POST[no_edit] ) 
		$edit = "<td><input type=radio name=SingleSelRiga onclick=\"objCodice.CaricaForm('$rs[IdMon]')\" />"; 
	else 
		$edit = "";

	$table .= <<< table
		<tr $classTr>
			$edit
			<td><input type=checkbox SelRiga IdRiga=$rs[IdMon] />
			<td>$rs[IdMon]
			<td>$DataMon
			<td>$html[Voce]
			<td>$html[Valore]

			<td>$html[Note]

			<td>$html[NumRichiesta]
			<td>$html[AnnoRichiesta]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
