<?php

require_once("../../../../_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x = $_POST[map_x];
$y = $_POST[map_y];
$dx = $_POST[dx];
$dy = $_POST[dy];

$inv_dx = 1.0 / $dx;
$inv_dy = 1.0 / $dy;

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
	SELECT     CodEdificio
	FROM         Ordini
	WHERE (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.IDCommessa = $IdCommessa)
sql;

$IdEdificio = ntxScalar($sql);

$IdTipoMappa = 1; // mappa per monitoraggio verder

$sql = <<< sql
	SELECT TOP 1    IdMappa
	FROM         MAP_Mappe
	WHERE     (IdCommessa = $IdCommessa) AND (IdTipoMappa = $IdTipoMappa)
	ORDER BY Versione DESC
sql;

$IdMappa = ntxScalar($sql);

$sql = <<< sql
	SELECT  TOP 1 IdMappaPiano
	FROM         MAP_Coperture
	WHERE     (IdMappa = $IdMappa) AND (IdTipoComponente IS NULL) AND (Geometria=2)
sql;

$IdMappaPiano = ntxScalar($sql);

$delta = 10;

$sql = <<< sql
	SELECT DISTINCT ComponentiAmbiente.IDComponente
	FROM         ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ComponentiAmbienteShapes ON ComponentiAmbiente.IdCommessa = ComponentiAmbienteShapes.IdCommessa AND 
                      ComponentiAmbiente.IdEdificio = ComponentiAmbienteShapes.IdEdificio AND 
                      ComponentiAmbiente.IDComponente = ComponentiAmbienteShapes.IdComponente
	WHERE     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdMappa = $IdMappaPiano) AND (ComponentiAmbienteShapes.Tipo = 0)
	AND PianoLivello.IdEdificio=$IdEdificio

	AND dbo.CatchPoint2Fast(ComponentiAmbienteShapes.x,ComponentiAmbienteShapes.y,
							$minx, 		$miny,
							$maxx, 		$maxy,
							$x, 		$y,
							$dx, 		$dy,
							$inv_dx, 	$inv_dy,
							$delta)=1
sql;

$query = ntxQuery($sql);
$IDComponente = "";

while ( $rs = ntxIRecord($query) )
{
	if ( $IDComponente!="" ) $IDComponente .= ",";
	$IDComponente .= $rs[0];
}

jhp($IDComponente);

?>
