<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../_css/navstyleLittleForForm.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$IdOfferta = $_POST['IdOfferta'];

$IdMestieriList = array();

if ( is_numeric($IdOfferta) ) 
{
	$IdOfferta = (int)$IdOfferta;

	$sql = "SELECT DISTINCT IdMestiere FROM OfferteMestieriInSubappalto "
			." WHERE IdCommessaOfferta=$IdCommessa AND IdOfferta=$IdOfferta;";
		
	$query = ntxQuery($sql);

	while( $rs = ntxIRecord($query) )
	{
		$IdMestieriList[] = $rs[0];
	}
	
	$sql = "SELECT * FROM tblMestieri  "
			." WHERE tblMestieri.IdCommessa=$IdCommessa "
			." ORDER BY Ordine, Codice, Descrizione;";
}
else
	$sql ="SELECT * FROM tblMestieri WHERE 1=0";

$query = ntxQuery($sql);

function IsInList($IdMestiere)
{
	global $IdMestieriList;
	
	foreach ( $IdMestieriList as $id )
		if ( $id == $IdMestiere )
			return true;
			
	return false;
}

?>
<table align=left>
	<tr>
		<th>&nbsp;</th>
		<th>Codice</th>
		<th>Descrizione</th>
	</tr>
	<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				<input type=checkbox value="Sel" onclick="parent.SelezionaMestiere(<?php echo htmlentities($rs['IdMestiere']) ?>, this.checked)" 
					<?php if(IsInList($rs['IdMestiere'])) echo 'checked' ?> /></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
</body>
</html>
