<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$IdOfferta = ntxip('IdOfferta');
$IdEdificio = ntxip('IdEdificio');
$IdMestiere = ntxip('IdMestiere');
$Registrato = ntxip('Registrato');
$Reperibilità = ntxip('Reperibilità');
$CinquePerCento = ntxip('CinquePerCento');
$AChiamata = ntxip('AChiamata');
$CalcSotto400mq = ntxip('CalcSotto400mq');
$Durata = ntxip('Durata');
$Migliorie = ntxfp('Migliorie');
$DataInizio = ntxtp('DataInizio');
$DataFine = ntxtp('DataFine');

if ( $Registrato==0 ) // elimina relazione edificio/mestiere
{
	$sql = "DELETE FROM OfferteEdificiMestieri  "
			." WHERE OfferteEdificiMestieri.IdCommessaOfferta=$IdCommessa  "
			." AND OfferteEdificiMestieri.IdOfferta=$IdOfferta  "
			." AND OfferteEdificiMestieri.IdMestiere=$IdMestiere  "
			." AND OfferteEdificiMestieri.IdEdificio=$IdEdificio;";

	ntxQuery($sql);
}
else
{
	$sql = "SELECT IdCommessaOfferta FROM OfferteEdificiMestieri "
			." WHERE OfferteEdificiMestieri.IdCommessaOfferta=$IdCommessa  "
			." AND OfferteEdificiMestieri.IdOfferta=$IdOfferta  "
			." AND OfferteEdificiMestieri.IdMestiere=$IdMestiere  "
			." AND OfferteEdificiMestieri.IdEdificio=$IdEdificio;";
			
	$obj = ntxScalar($sql);
	
	if ( !is_numeric($obj) )
	{
		$sql1 = "INSERT INTO OfferteEdificiMestieri (";	$sql2 = " VALUES (";

		$sql1 .= "IdCommessaOfferta";		$sql2 .= $IdCommessa.", ";
		$sql1 .= ", IdCommessaEdificio";	$sql2 .= $IdCommessa.", ";
		$sql1 .= ", IdOfferta";				$sql2 .= $IdOfferta.", ";
		$sql1 .= ", IdMestiere";			$sql2 .= $IdMestiere.", ";
		$sql1 .= ", Reperibilità";			$sql2 .= $Reperibilità.", ";
		$sql1 .= ", CinquePerCento";		$sql2 .= $CinquePerCento.", ";
		$sql1 .= ", AChiamata";				$sql2 .= $AChiamata.", ";
		$sql1 .= ", CalcSotto400mq";		$sql2 .= $CalcSotto400mq.", ";
		$sql1 .= ", Durata";				$sql2 .= $Durata.", ";
		$sql1 .= ", Migliorie";				$sql2 .= $Migliorie.", ";
		$sql1 .= ", DataInizio";			$sql2 .= $DataInizio.", ";
		$sql1 .= ", DataFine";				$sql2 .= $DataFine.", ";
		$sql1 .= ", IdEdificio)";			$sql2 .= $IdEdificio.") ";

		ntxQuery($sql1.$sql2);
	}
	else
	{
		$sql = "UPDATE OfferteEdificiMestieri SET "
			." Reperibilità = ".				$Reperibilità
			.", CinquePerCento = ".				$CinquePerCento
			.", AChiamata = ".					$AChiamata
			.", CalcSotto400mq = ".				$CalcSotto400mq
			.", Durata = ".						$Durata
			.", Migliorie = ".					$Migliorie
			.", DataInizio = ".					$DataInizio
			.", DataFine = ".					$DataFine

			." WHERE OfferteEdificiMestieri.IdCommessaOfferta=$IdCommessa  "
			." AND OfferteEdificiMestieri.IdOfferta=$IdOfferta  "
			." AND OfferteEdificiMestieri.IdMestiere=$IdMestiere  "
			." AND OfferteEdificiMestieri.IdEdificio=$IdEdificio;";

		ntxQuery($sql);
	}
}

$sql = "SELECT DISTINCT OfferteEdificiMestieri.IdMestiere, OfferteEdificiMestieri.Reperibilità, "
		." OfferteEdificiMestieri.CinquePerCento, OfferteEdificiMestieri.AChiamata, "
		." OfferteEdificiMestieri.DataFine, OfferteEdificiMestieri.CalcSotto400mq, OfferteEdificiMestieri.Durata, OfferteEdificiMestieri.Migliorie, OfferteEdificiMestieri.DataInizio "
		." FROM OfferteEdificiMestieri "
		." WHERE OfferteEdificiMestieri.IdCommessaOfferta=$IdCommessa  "
		." AND OfferteEdificiMestieri.IdOfferta=$IdOfferta  "
		." AND OfferteEdificiMestieri.IdEdificio=$IdEdificio  "
		." AND OfferteEdificiMestieri.IdMestiere=$IdMestiere;";

$query = ntxQuery($sql);

if ( $rs = ntxRecord($query) )
{
	$rs['Registrato'] = 1;
	$rs['Migliorie'] = ntxRound($rs['Migliorie'],2);
	$rs['DataInizio'] = ntxDate($rs['DataInizio']);
	$rs['DataFine'] = ntxDate($rs['DataFine']);
	
	$rs = ntxRecordTranslate($rs);

	ntxMsgResult( $rs );	
}
else
	ntxMsgResult( '' );	


?>
