<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdOfferta = ntxip('IdOfferta');

$sql = <<< sql
	SELECT     Protocollo, Sigla, Accettata, DataOfferta, TipoOfferta, Nota, CostoPresunto, ImportoOfferta, ImportoAccettato,  ImportoRiservato,
                      IdPropietario, IdGestore, Referente, Descrizione,  DataAttivazione, NRPF, NOPF, DurataContratto, DataRicPreliminare, 
                      DataPresaVisione, Nota2, NoteVariePdi, CigDerivato,  DataSopralluogo,
					  Richiedente,
						Lotto,
						Regione,
						Supervisore,
						CodFiscaleReferente,
						NumIdentificativoOrdine,
						CodFiscEnteFatturazione,
						TipoEmissioneOrdine,
						TipoEmissioneOrdineOPF,
						DataProtocolloCliente,
						DataEmissionePiano,
						DataUltimaOsservazione,
						ImportoPiano,
						ProtocolloOPF,
						DataOPF,
						DataCondivisione,
						DataStipulaOrdine,
						
						FacilityManagementLight,
						GestoreServizio,
						
						Sconto3xcentoXpiùDi10servizi
						
	FROM         Offerte
	WHERE IdCommessa=$IdCommessa AND IdOfferta=$IdOfferta
sql;

$rs = ntxRecord(ntxQuery($sql));

$rs['DataOfferta'] = ntxDate($rs['DataOfferta']);
$rs['DataAttivazione'] = ntxDate($rs['DataAttivazione']);
$rs['DataRicPreliminare'] = ntxDate($rs['DataRicPreliminare']);
$rs['DataStipulaOrdine'] = ntxDate($rs['DataStipulaOrdine']);
$rs['DataCondivisione'] = ntxDate($rs['DataCondivisione']);
$rs['DataOPF'] = ntxDate($rs['DataOPF']);
$rs['DataPresaVisione'] = ntxDate($rs['DataPresaVisione']);
$rs['DataSopralluogo'] = ntxDate($rs['DataSopralluogo']);
$rs['DataProtocolloCliente'] = ntxDate($rs['DataProtocolloCliente']);
$rs['DataEmissionePiano'] = ntxDate($rs['DataEmissionePiano']);
$rs['DataUltimaOsservazione'] = ntxDate($rs['DataUltimaOsservazione']);

$rs['CostoPresunto'] = ntxRound($rs['CostoPresunto'], 2);
$rs['ImportoOfferta'] = ntxRound($rs['ImportoOfferta'], 2);
$rs['ImportoRiservato'] = ntxRound($rs['ImportoRiservato'], 2);
$rs['ImportoAccettato'] = ntxRound($rs['ImportoAccettato'], 2);
$rs['ImportoPiano'] = ntxRound($rs['ImportoPiano'], 2);


foreach($rs as $k=>$v)
	$rs[$k] = $v."";

// implementazione campo NoteVariePdi a lunghezza infinita
$sql = <<< sql
	select PezzoNota 
	from NoteVariePdi 
	where IdCommessa=$IdCommessa
		and IdOfferta=$IdOfferta
	order by Id
sql;

$query = ntxQuery($sql);

while ( $rs2=ntxIRecord($query) )
	$rs[NoteVariePdi] .= $rs2[0];

jhp($rs);

?>
