<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdOfferta = ntxip('IdOfferta');

$table = new NtxTable('Offerte');

$update = $table->update();

$update->init();

$update->set($_POST[Campo], $_POST[Valore]);

$update->wherese('IdCommessa');
$update->wherep('IdOfferta');

$update->execute();

// implementazione campo NoteVariePdi a lunghezza infinita
if ($_POST[Campo]=="NoteVariePdi")
{
	$table2 = new NtxTable('NoteVariePdi');
	
	$delete = $table2->delete();

	$delete->init();

	$delete->wherese('IdCommessa');
	$delete->wherep('IdOfferta');

	$delete->execute();

	$nota = "$_POST[Valore]";
	$nota = substr($nota, 4000);

	while (strlen($nota)>0)
	{	
		$insert = $table2->insert();

		$insert->init();

		$insert->setse('IdCommessa');
		$insert->setp('IdOfferta');
		$insert->set('PezzoNota', $nota);

		$insert->execute();
		
		$nota = substr($nota, 4000);
	}
}

$Campo = str_replace("'","", $_POST[Campo]);

$sql = <<< sql
	SELECT     [$Campo]
	FROM         Offerte
	WHERE IdCommessa=$IdCommessa AND IdOfferta=$IdOfferta
sql;

$Valore = ntxScalar($sql);

// implementazione campo NoteVariePdi a lunghezza infinita
if ($_POST[Campo]=="NoteVariePdi")
{
	$sql = <<< sql
		select PezzoNota 
		from NoteVariePdi 
		where IdCommessa=$IdCommessa
			and IdOfferta=$IdOfferta
		order by Id
sql;

	$query = ntxQuery($sql);

	while ( $rs2=ntxIRecord($query) )
		$Valore .= $rs2[0];
}

switch($_POST[Campo])
{
	case 'DataOfferta':
	case 'DataAttivazione':
	case 'DataRicPreliminare':
	case 'DataPresaVisione':
	case 'DataSopralluogo':
	case 'DataProtocolloCliente':
	case 'DataStipulaOrdine':
	case 'DataEmissionePiano':
	case 'DataUltimaOsservazione':
		$Valore = ntxDate($Valore);
		break;
	case 'CostoPresunto':
	case 'ImportoOfferta':
	case 'ImportoAccettato':
	case 'ImportoRiservato':
	case 'ImportoPiano':
		$Valore = ntxRound($Valore, 2);
		break;
}

jhp($Valore);

?>
