<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdOfferta = ntxip('IdOfferta');

$sql = <<< sql
	update  OfferteEdificiMestieri set   DataInizio=Offerte.DataAttivazione
	FROM         Offerte INNER JOIN
						  OfferteEdificiMestieri ON Offerte.IdOfferta = OfferteEdificiMestieri.IdOfferta 
						  AND Offerte.IdCommessa = OfferteEdificiMestieri.IdCommessaOfferta
	WHERE     (Offerte.IdCommessa = $IdCommessa ) AND (Offerte.IdOfferta = $IdOfferta)
		AND (OfferteEdificiMestieri.DataInizio IS NULL)
sql;

ntxQuery($sql);

$sql = <<< sql
	update  SopralluogoPDI set    DataInizio=Offerte.DataAttivazione
	FROM         Offerte INNER JOIN
						  SopralluogoPDI ON Offerte.IdOfferta = SopralluogoPDI.IdOfferta 
						AND Offerte.IdCommessa = SopralluogoPDI.IdCommessaOfferta
	WHERE     (Offerte.IdCommessa = $IdCommessa ) AND (Offerte.IdOfferta = $IdOfferta)
		AND (SopralluogoPDI.DataInizio IS NULL)
sql;

ntxQuery($sql);
//----------------------------------------------
$sql = <<< sql
	update  OfferteEdificiMestieri set   Durata=Offerte.DurataContratto
	FROM         Offerte INNER JOIN
						  OfferteEdificiMestieri ON Offerte.IdOfferta = OfferteEdificiMestieri.IdOfferta 
						  AND Offerte.IdCommessa = OfferteEdificiMestieri.IdCommessaOfferta
	WHERE     (Offerte.IdCommessa = $IdCommessa ) AND (Offerte.IdOfferta = $IdOfferta)
		AND (OfferteEdificiMestieri.DataInizio=Offerte.DataAttivazione)
sql;

ntxQuery($sql);

$sql = <<< sql
	update  SopralluogoPDI set    Durata=Offerte.DurataContratto
	FROM         Offerte INNER JOIN
						  SopralluogoPDI ON Offerte.IdOfferta = SopralluogoPDI.IdOfferta 
						AND Offerte.IdCommessa = SopralluogoPDI.IdCommessaOfferta
	WHERE     (Offerte.IdCommessa = $IdCommessa ) AND (Offerte.IdOfferta = $IdOfferta)
		AND (SopralluogoPDI.DataInizio=Offerte.DataAttivazione)
sql;

ntxQuery($sql);
//----------------------------------------------

$sql = <<< sql
	update  OfferteEdificiMestieri set  Durata=Offerte.DurataContratto+datediff(month,OfferteEdificiMestieri.DataInizio,Offerte.DataAttivazione)
	FROM         Offerte INNER JOIN
						  OfferteEdificiMestieri ON Offerte.IdOfferta = OfferteEdificiMestieri.IdOfferta 
						  AND Offerte.IdCommessa = OfferteEdificiMestieri.IdCommessaOfferta
	WHERE     (Offerte.IdCommessa = $IdCommessa ) AND (Offerte.IdOfferta = $IdOfferta)
		AND (OfferteEdificiMestieri.DataInizio<>Offerte.DataAttivazione)
sql;

ntxQuery($sql);

$sql = <<< sql
	update  SopralluogoPDI set    Durata=Offerte.DurataContratto+datediff(month,SopralluogoPDI.DataInizio,Offerte.DataAttivazione)
	FROM         Offerte INNER JOIN
						  SopralluogoPDI ON Offerte.IdOfferta = SopralluogoPDI.IdOfferta 
						AND Offerte.IdCommessa = SopralluogoPDI.IdCommessaOfferta
	WHERE     (Offerte.IdCommessa = $IdCommessa ) AND (Offerte.IdOfferta = $IdOfferta)
		AND (SopralluogoPDI.DataInizio<>Offerte.DataAttivazione)
sql;

ntxQuery($sql);

jhp_ok();	

?>
