<?php  
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

require_once("vers.inc"); 

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio'); 

$arrayGiorniSettimana = array('','LUN','MAR','MER','GIO','VEN','SAB','DOM');

function ColoreTemperatura($index) {
	$index = (int)($index*10);
	
	$decR = 140 + ($index * 40) % 116;
	$decG = 130 + ($index * 50) % 126;
	$decB = 90  + ($index * 80) % 166;

	$hexR = dechex($decR);
	$hexG = dechex($decG);
	$hexB = dechex($decB);
	
	$hexR = (strlen($hexR)<2 ? "0" : "").$hexR;
	$hexG = (strlen($hexG)<2 ? "0" : "").$hexG;
	$hexB = (strlen($hexB)<2 ? "0" : "").$hexB;
	
	Return "#".$hexR.$hexG.$hexB;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head> 
	<title>Gestione Orari TLC - Ordini</title>
	<script type="text/javascript" src="/repository/libs/jquery-ui-1.11.4/external/jquery/jquery.js"></script>  
	<script type="text/javascript" src="/repository/libs/jquery-ui-1.11.4/jquery-ui.min.js"></script>  
	<link href="/repository/libs/jquery-ui-1.11.4/jquery-ui.theme.min.css" rel="stylesheet" type="text/css"> 
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script> 

	<script src='js/_console.js'></script>
	
	<script src="/repository/js/convalida_dati.js?vers=<?php echo $vers ?>" type="text/javascript"></script> 
	
	<link href="css/grid.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css">
	<link href="css/index.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css"> 
	
	<link href="css/bottoni.css" rel="stylesheet" type="text/css">
	<link href="css/controllo_tlc.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css">
	
	<script src="js/note_utenza.js?vers=<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/_messaggi_localStorage.js?vers=<?php echo $vers ?>" type="text/javascript"></script>
	
	<style> 
	.tblDueColonne 
	{
		width:100%;
		border-collapse: collapse;
	} 
	
	.tblDueColonne td
	{ 
		width:50%;
		padding:1px;
	}
	
	.tdSx
	{
		text-align:left; 
	}
	
	.tdDx
	{
		text-align:right; 
	}
	
	.tdCenter
	{
		text-align:center !important; 
	}
	
	.btnAzione
	{
		width:90px;
	}
	
	.tblBordi 
	{
		margin-top:5px;
	}
	
	.tblBordi td
	,.tblBordi th
	{
		border-bottom: solid 1px black;
	}
	
	.tblBordiSenzaBordi td
	,.tblBordiSenzaBordi th
	{
		border:none;
	}
	
	.bkGrigio
	{
		background:#e0e0e0;
	}
	</style>
	
	<script>  
	$(function()
	{    
		var IdCommessa = document.formBuffer.IdCommessa.value;
		var IdEdificio = document.formBuffer.IdCommessa.value;
		
		CaricaNoteUtenza(IdCommessa, IdEdificio);
		
		var scrollTop = '<?php echo htmlentities($_POST[scrollTop]) ?>';
		var scrollLeft = '<?php echo htmlentities($_POST[scrollLeft]) ?>';
		
		$(window).scrollTop(scrollTop);
		$(window).scrollLeft(scrollLeft);
	}); 
	
	function ricaricaConOrdinamento(Ordinamento)
	{
		document.formBuffer.Ordinamento.value=Ordinamento;
		ricarica()
	}
	
	function ricarica()
	{ 
		var scrollTop = $(window).scrollTop();
		var scrollLeft = $(window).scrollLeft();
	
		document.formBuffer.scrollTop.value=scrollTop;
		document.formBuffer.scrollLeft.value=scrollLeft;
		
		document.formBuffer.submit();
	}
	
	function chiudiODL(IdOrd, ricaricaPagina, clickSingoloOrd, numCiclata, numCiclateTot) 
	{ 
		var obj = {};
		obj.IdOrd = IdOrd; 
		obj.clickSingoloOrd = clickSingoloOrd; 
		obj.numCiclata = numCiclata; 		
		obj.numCiclateTot = numCiclateTot; 	 
	
		var result = jhp("jhp_controllo_orari_tlc/chiudi_odl.php", obj);

		if(result.state)
		{
			alert(result.message); 
		}
		else
		{
			$( "#btnRicerca" ).trigger( "click" );
			
			if(ricaricaPagina)
			{ 
				ricarica();
			}	 
			
		} 
	}	
	
	function ChiudiMultipli()
	{
		if(!confirm("Si desidera chiudere tutti gli ODL selezionati?")) return; 
	
		var numCiclateTot=0;
		$(".chkSelOrdini").each(function( index, element ) 
		{
			if(element.checked) 
			{
				++numCiclateTot; 
			}
		}); 	
	
	
		var numCiclata=0;
		$(".chkSelOrdini").each(function( index, element ) 
		{
			if(element.checked) 
			{
				++numCiclata;
				chiudiODL(element.value, false, 0, numCiclata, numCiclateTot); 
			}
		});  
 
		if(numCiclata>0)
			comunicaOrdineChiuso();
	} 
	
	function comunicaOrdineChiuso()
	{ 
		var IdCommessa = document.formBuffer.IdCommessa.value;
		var IdEdificio = document.formBuffer.IdEdificio.value;
		
		set_message_type('controllo_orari_tlc');
		
		var message = {};
		message.uid = (new Date).getTime()+Math.floor((Math.random() * 1000) + 1);
		message.command = 'scarica_localizzazione';
		message.IdCommessa = IdCommessa;
		message.IdEdificio = IdEdificio;
		
		message_broadcast(message);
		
		chiudiPagina();
	}
	
	function chiudiPagina()
	{
		window.open('', '_self', '');
		window.close(); 
	}
	
	var myWindow = null;
	var winClosed = null;
	function creaOrdineDaTogliere(IdOrd, Data)
	{
		document.frmPopupDaTogliere.IdOrd.value = IdOrd;
		document.frmPopupDaTogliere.Data.value = Data;
	
		var width = 500;
		var height = 400;
		
		var settings = "toolbar=yes,scrollbars=yes,resizable=yes,top=5,left=5,width="+width+",height="+height;
			
		var frm = document.getElementById('frmPopupDaTogliere'); 
		myWindow = window.open("", "DaTogliere", settings);  
		frm.submit();	
		
		winClosed = setInterval(function () 
		{
			if (myWindow.closed) 
			{
				clearInterval(winClosed); 
				ricarica();  
			} 
		}, 1000);		
	}
	 
	function vediAllegati(IdOrd, Ordine)
	{
		document.frmPopupAllegati.IdOrd.value = IdOrd; 
		document.frmPopupAllegati.Ordine.value = Ordine;
		document.frmPopupAllegati.submit();	 	
	}
	</script> 
</head>

<body>

<form id="frmPopupDaTogliere" name="frmPopupDaTogliere" method="post" action="controllo_orari_tlc_edit_da_togliere.php" target="DaTogliere">
	<input type="hidden" name="IdOrd"  /> 
	<input type="hidden" name="Data"  /> 
</form>

<form id="frmPopupAllegati" name="frmPopupAllegati" method="post" action="allegati_odl_lettura.php" target="_blank">
	<input type="hidden" name="IdOrd"  />  
	<input type="hidden" name="Ordine"  />  
</form>


<form id="formBuffer" name="formBuffer" method="post" >
	<input type="hidden" name="IdCommessa" value="<?php echo $IdCommessa ?>" />
	<input type="hidden" name="IdEdificio" value="<?php echo $IdEdificio ?>" />
	
	<input type="hidden" name="Ordinamento" value="<?php echo htmlentities($_POST[Ordinamento]) ?>" />
	
	<input type="hidden" name="scrollTop" value="<?php echo htmlentities($_POST[scrollTop]) ?>" />
	<input type="hidden" name="scrollLeft" value="<?php echo htmlentities($_POST[scrollLeft]) ?>" />
</form>

<?php
if(!is_numeric($_POST[Ordinamento])) $_POST[Ordinamento]=2;

$orderBy = '';
$enableOrd1 = '';
$enableOrd2 = '';
if($_POST[Ordinamento]==1)
{
	$orderBy = <<<_SQL
	NomeCircuito ASC 
	,Data2 ASC  
_SQL;

	$enableOrd1 = ' disabled="disabled" ';
}
else if($_POST[Ordinamento]==2)
{ 
	$orderBy = <<<_SQL
	Data2 ASC   
_SQL;

	$enableOrd2 = ' disabled="disabled" ';
}
	
	
$orderBy .= <<<_SQL
,CASE 
	WHEN TipologiaEnergia = 3 THEN 1 
	WHEN TipologiaEnergia = 4 THEN 2 
	WHEN TipologiaEnergia = 2 THEN 3
	WHEN TipologiaEnergia = 6 THEN 4
	WHEN TipologiaEnergia = 1 THEN 5
END ASC		
_SQL;
?>
<div style="float:right;">
	<input type="button" value="Ordine per Circuito" <?php echo $enableOrd1 ?> onclick="ricaricaConOrdinamento(1);" /> 
	<input type="button" value="Ordine per Data" <?php echo $enableOrd2 ?> onclick="ricaricaConOrdinamento(2);" /> 
	<input type="button" value="Fatto su selezionati"  onclick="ChiudiMultipli()" /> 
	<input type="button" value="Chiudi finestra" onclick="comunicaOrdineChiuso();" /> 
</div>

<?php 
$sql = <<< sql
SELECT 
	ElencoEdifici.ID AS IdEdificio
	,ElencoEdifici.IdCommessa AS IdCommessa 
	,ElencoEdifici.EdificioBreve AS Edificio 
	,tblPgPropietari.Nome AS Propietario   
FROM       
	ElencoEdifici  	
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario		
WHERE
	1=1
	AND ElencoEdifici.IdCommessa = $IdCommessa
	AND ElencoEdifici.ID = $IdEdificio 
sql;
$rs = ntxRecord(ntxQuery($sql));
?>
<div style="font-weight:bold;font-size:1.5em">
<?php echo htmlentities($rs[Edificio]) ?> - <?php echo htmlentities($rs[Propietario]) ?>	
</div>  

<table class="maxWidth" >
	<tr> 
		<td>
		<div id=NoteUtenza style="width:100%;height:100px;border:1px solid black;background-color:orange;overflow-y:auto;word-wrap:break-word"></div>
</table>


<br> 
Elenco ODL non finiti con inizio programmata max nei prossimi 30 giorni
<br><br>


<div class="maxWidth" >
<?php 
$where = <<<_SQL
1=1 
AND Ordini.StatoOrd <= 40
AND Ordini.DataInizioProg <= DATEADD(dd,30,Ordini.DataInizioProg)	
AND ElencoEdifici.IdCommessa = $IdCommessa
AND ElencoEdifici.ID = $IdEdificio 

AND Ditte.SquadraTelecontrollo=1
_SQL;

$from = <<<_SQL
Ordini  
LEFT OUTER JOIN 
EnTipiAttivitàMestiere ON Ordini.TipologiaEnergia = EnTipiAttivitàMestiere.Id
LEFT OUTER JOIN
ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID

LEFT OUTER JOIN
EnPeriodi ON Ordini.IdPeriodoEnergia = EnPeriodi.IdPeriodo

LEFT OUTER JOIN
EnOrariBase ON Ordini.IdOrarioBase = EnOrariBase.IdOrarioBase

LEFT OUTER JOIN
EnOrariSpeciali ON Ordini.IdOrarioSpeciale = EnOrariSpeciali.IdOrarioSpeciale

LEFT OUTER JOIN
EnCircuiti ON Ordini.IdCircuitoEnergia = EnCircuiti.IdCircuito
LEFT OUTER JOIN
EnDatiCircuiti ON EnCircuiti.IdUltimiDati = EnDatiCircuiti.IdDati 
LEFT OUTER JOIN
EnTipiTelecontrollo ON EnDatiCircuiti.Telecontrollo = EnTipiTelecontrollo.Id

LEFT OUTER JOIN
Ditte ON Ordini.Assegnazione = Ditte.IDDitta

LEFT OUTER JOIN
Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.IDCommessa = Richieste.IDCommessa
_SQL;

$select = <<<_SQL
Ordini.IdOrd
,Ordini.IdCommessa
,Ordini.NumOrdine
,Ordini.AnnoOrdine
,Ordini.TipologiaEnergia
,Ordini.DataOrdine
,Ordini.Note
,Ordini.NumOrdineOrigine
,Ordini.AnnoOrdineOrigine
,Ordini.DescrizioneIntervento+' '+Ordini.DescrizioneIntervento1+' '+Ordini.DescrizioneIntervento2 AS DescrizioneIntervento
,EnTipiAttivitàMestiere.Tipo
,EnTipiAttivitàMestiere.Colore
,EnCircuiti.IdCircuito
,EnCircuiti.CodiceCliente
,EnCircuiti.Nome AS NomeCircuito
,EnTipiTelecontrollo.Telecontrollo
,Richieste.Note AS RichiestaNote
_SQL;

$sql = <<< sql
SELECT   *
FROM
(
	(
		SELECT 
			$select
			,EnPeriodi.DataInizio AS Data1
			,DATEADD(day, 1, EnPeriodi.DataFine) AS Data2
		FROM
			$from	
		WHERE
			$where
			AND Ordini.TipologiaEnergia=1 
	)
	UNION
	(
		SELECT 
			$select
			,EnOrariBase.DataFineValidità AS Data1
			,EnOrariBase.DataInizioValidità AS Data2
		FROM
			$from	
		WHERE
			$where
			AND Ordini.TipologiaEnergia=2 
	)
	UNION
	(
		SELECT 
			$select
			,EnOrariSpeciali.DataGiorno AS Data1
			,EnOrariSpeciali.DataGiorno AS Data2
		FROM
			$from	
		WHERE
			$where
			AND 
			(
				Ordini.TipologiaEnergia=3 
				OR
				Ordini.TipologiaEnergia=4
			)	
	)	
	UNION
	(
		SELECT 
			$select
			,Ordini.DataInizioProg AS Data1
			,Ordini.DataFineProg AS Data2
		FROM
			$from	
		WHERE
			$where
			AND Ordini.TipologiaEnergia=6
	)
) AS Tmp
ORDER BY
	$orderBy
sql;

//die($sql);
$query = ntxQuery($sql);

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[Data1] = ntxDate($rs[Data1]);
	$rs[Data2] = ntxDate($rs[Data2]);
	$rs[DataOrdine] = ntxDate($rs[DataOrdine]);
	
	$rs[NumOrdine] = (int)$rs[NumOrdine]; 
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine]; 
	$rs[IdCommessa] = (int)$rs[IdCommessa]; 
	
	$IdOrd = $rs[IdOrd];
	$IdCommessa = $rs[IdCommessa];
	$NumOrdine = $rs[NumOrdine];
	$AnnoOrdine = $rs[AnnoOrdine];
	$TipologiaEnergia = $rs[TipologiaEnergia];
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);  
?>

<div style="background:<?php echo $html[Colore] ?>;border:solid 2px black;" >
 
	 
	<table class="tblDueColonne"  >
		<tr>
			<td class="tdSx"   >
				<span style="font-weight:bold;text-transform:uppercase;font-size:115%;">
				<?php echo $html[Tipo] ?> 
				 
				<?php
				if($TipologiaEnergia==2)
				{  
				?>
					dal <?php echo $html[Data2] ?> 
					al <?php echo $html[Data1] ?> 
				<?php
				}
				else
				{
				?>		 
					per il 
					<?php echo $html[Data2] ?> 
				<?php
				}
				?>
				</span> 
				
			<td class="tdDx" > 
				<span style="font-weight:bold;bold;font-size:120%;">
					O-<?php echo $html[NumOrdine] ?>-<?php echo $html[AnnoOrdine] ?>-<?php echo $html[IdCommessa] ?>  
				</span> 				
			 
				<button   
					onclick="chiudiODL('<?php echo $html[IdOrd] ?>', true, 1); return false;"
					class="btnAzioni"   
					style="background-color:#e57373;width:50px;"
					title="Fatto"
				>
					<img src="/repository/xhdpi/9-av-play.png" style="width:20px" /> 	 
				</button>	 
				
			 
				<button   
					onclick="creaOrdineDaTogliere('<?php echo $html[IdOrd] ?>', '<?php echo $html[Data2] ?>');return false;"
					class="btnAzioni"   
					style="background-color:#FFCC00;width:50px;"
					title="Da Togliere"
				>
					<img src="/repository/xhdpi/10_device_access_data_usage.png" style="width:20px" /> 	 
				</button>
				
				
				<?php
				if($TipologiaEnergia!=6)
				{  
				?>
					<button   
						onclick="vediAllegati('<?php echo $html[IdOrd] ?>', 'O-<?php echo $html[NumOrdine] ?>-<?php echo $html[AnnoOrdine] ?>-<?php echo $html[IdCommessa] ?> ');return false;"
						class="btnAzioni"   
						style="background-color:#e0e0e0;width:50px;"
						title="Allegati"
					>
						<img src="/repository/xhdpi/5_content_attachment.png" style="width:20px" /> 	 
					</button>
				<?php
				}
				?> 	  
				 
		<tr>
			<td class="tdSx" >
				<div style="font-weight:bold;bold;font-size:110%;"> 
					<?php echo $html[CodiceCliente] ?> 
					<?php echo $html[NomeCircuito] ?> 
				</div>  
				
				<div style="font-style:italic;margin-top:5px;"> 
					<?php echo $html[Telecontrollo] ?> 
				</div> 	
	
			<td class="tdDx" >
				<input type="checkbox" class="chkSelOrdini" value="<?php echo $html[IdOrd] ?>" style="margin-left:20px;" /><span style="font-weight:bold;text-transform:uppercase;" >Impostato</span>
	</table>
	
			
	<?php
	if($TipologiaEnergia==6)//DT Da Togliere
	{ 
		$Note = $rs[Note]; 
	?>
		<table class=" tblBordi "  >
			<tr>
				<th class="tdCenter" style="width:1%;" >
				&nbsp;&nbsp;&nbsp;&nbsp;Giorno&nbsp;&nbsp;&nbsp;&nbsp;
				<th class="tdSx bkGrigio" >Note
			<tr>
				<td class="tdCenter" ><?php echo $rs[Data2] ?>
				<td class="tdSx bkGrigio" ><?php echo $Note ?>
		<?php		
		$Note = $rs[Note];
		
		$NumOrdine_t = $rs[NumOrdineOrigine];
		$AnnoOrdine_t = $rs[AnnoOrdineOrigine];
		
		while(is_numeric($NumOrdine_t) && is_numeric($AnnoOrdine_t))
		{  
			$NumOrdine_t = (int)$NumOrdine_t;
			$AnnoOrdine_t = (int)$AnnoOrdine_t;
			
			$sql = <<<_SQL
			SELECT *
			FROM Ordini
			WHERE	
				IdCommessa=$IdCommessa
				AND NumOrdine=$NumOrdine_t
				AND AnnoOrdine=$AnnoOrdine_t
_SQL;
			$rs1=ntxRecord(ntxQuery($sql));
			$NumOrdine_t = $rs1[NumOrdineOrigine];
			$AnnoOrdine_t = $rs1[AnnoOrdineOrigine];  
			
			$rs1[DataInizioProg] = ntxDate($rs1[DataInizioProg]);
			$rs1[DataOrdine] = ntxDate($rs1[DataOrdine]);
		
			$TestoMostrare = $rs1[Note];
			
			if(!is_numeric($NumOrdine_t) && !is_numeric($AnnoOrdine_t))
				$TestoMostrare = "$rs1[DescrizioneIntervento] $rs1[DescrizioneIntervento1] $rs1[DescrizioneIntervento2]";
		?> 
			<tr>
				<td class="tdCenter" >DataInizioProg:<?php echo $rs1[DataInizioProg] ?> - DataOrdine:<?php echo $rs1[DataOrdine] ?>
				<td class="tdSx bkGrigio" ><?php echo $TestoMostrare ?>
		<?php
		}
		?>
				
				
		</table>
	<?php
	}
	else if($TipologiaEnergia==3)//OS
	{	
	?>
		<table class=" tblBordi"  > 
			<th>Giorno
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Ore G
			<th style="width:1.1cm">T. vol
			<th style="width:1.1cm">Tolleranza	
	
	<?php
		$sql = <<<_SQL
		SELECT     
			EnOrariSpeciali.IdPeriodo, EnOrariSpeciali.DataGiorno,  EnOrariSpeciali.IdOrarioSpeciale,  EnOrariSpeciali.TemperaturaVoluta TemperaturaVolutas, 
			EnOrariSpeciali.OreGiornaliere OreGiornalieres, EnOrariSpeciali.OraOn1txt AS s1a, EnOrariSpeciali.OraOff1txt AS s1b, EnOrariSpeciali.OraOn2txt AS s2a, 
			EnOrariSpeciali.OraOff2txt AS s2b, EnOrariSpeciali.OraOn3txt AS s3a, EnOrariSpeciali.OraOff3txt AS s3b, EnOrariSpeciali.OraOn4txt AS s4a, 
			EnOrariSpeciali.OraOff4txt AS s4b,
			tblPgContratti.MinDeltaTemperatura minDelta, 
			tblPgContratti.MaxDeltaTemperatura maxDelta			
			
		FROM  
			Ordini 
			INNER JOIN
			EnOrariSpeciali ON Ordini.IdOrarioSpeciale = EnOrariSpeciali.IdOrarioSpeciale
			
			LEFT OUTER JOIN
			EnPeriodi ON EnOrariSpeciali.IdPeriodo = EnPeriodi.IdPeriodo 
			LEFT OUTER JOIN
            tblPgContratti ON EnPeriodi.IdContratto = tblPgContratti.IdPgContratto
		WHERE 
			Ordini.IdOrd=$IdOrd
_SQL;
		$rs1=ntxRecord(ntxQuery($sql));	
		
		$rs1[DataGiorno]=ntxDate($rs1[DataGiorno]);
		
		$Ore = (int)($rs1[OreGiornalieres]/60);
		$Minuti = ($rs1[OreGiornalieres]%60);
			
		if ( $Ore<10 ) $Ore = "0".$Ore;
		if ( $Minuti<10 ) $Minuti = "0".$Minuti;
		
		$TemperaturaVolutaPunto = $rs1[TemperaturaVolutas];
		
		$TemperaturaVoluta = ntxRoundThousand($TemperaturaVolutaPunto,1);
		
		$TemperaturaVolutaPrec="";
		if ( $TemperaturaVoluta!=$TemperaturaVolutaPrec )
		{
			$TemperaturaVolutaPrec = $TemperaturaVoluta;
			 
			if ( $TemperaturaVoluta=="" )
				$coloreTemperatura = "white";
			else
			{
				$coloreTemperatura = ColoreTemperatura($TemperaturaVolutaPunto);
			
				$indexColoreTemperatura++;
			}
		}
		
		$minDelta = " - ".ntxRound($rs1[minDelta],1);
		$maxDelta = ntxRound($rs1[maxDelta],1);
		
		if ( strlen($maxDelta) ) $maxDelta = "+".$maxDelta;
	
		
		foreach($rs1 as $k=>$v)
			$html1[$k] = htmlentities($v);	
			
			
	?> 
		<tr>
			<td class="tdCenter" ><?php echo $html1[DataGiorno] ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[s1a] ?>
			<td class="tdCenter" ><?php echo $html1[s1b] ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[s2a] ?>
			<td class="tdCenter" ><?php echo $html1[s2b] ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[s3a] ?>
			<td class="tdCenter" ><?php echo $html1[s3b] ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[s4a] ?>
			<td class="tdCenter" ><?php echo $html1[s4b] ?>
			<td class="tdCenter" style='text-align:right;background-color:#FFCC00'><?php echo "{$Ore}:{$Minuti}" ?>
			<td class="tdCenter" style='text-align:right;background-color:<?php echo $coloreTemperatura ?>'><?php echo $TemperaturaVoluta ?>
			<td class="tdCenter" ><?php echo $maxDelta ?> <?php echo $minDelta ?>
		</table>
	<?php
	}
	else if($TipologiaEnergia==2)//OB
	{	
	?>
		<table class=" tblBordi"  > 
			<th>Giorno
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Ore G
			<th style="width:1.1cm">T. vol
			<th style="width:1.1cm">Tolleranza	
	<?php		
		$sql = <<<_SQL
		SELECT 
			EnOrariBase.IdPeriodo, EnOrariBase.DataInizioValidità, EnOrariBase.DataFineValidità, EnOrariBase.Stato, EnOrariBase.IdOrarioBase, 
			EnGiorniOrariBase.GiornoSettimana, EnGiorniOrariBase.OreGiornaliere, EnGiorniOrariBase.OraOn1txt, EnGiorniOrariBase.OraOff1txt, 
			EnGiorniOrariBase.OraOn2txt, EnGiorniOrariBase.OraOff2txt, EnGiorniOrariBase.OraOn3txt, EnGiorniOrariBase.OraOff3txt, 
			EnGiorniOrariBase.OraOn4txt, EnGiorniOrariBase.OraOff4txt, EnGiorniOrariBase.TemperaturaVoluta,
			tblPgContratti.MinDeltaTemperatura minDelta, 
			tblPgContratti.MaxDeltaTemperatura maxDelta					
		FROM  
			EnOrariBase 
			INNER JOIN
			Ordini ON EnOrariBase.IdOrarioBase = Ordini.IdOrarioBase 
			INNER JOIN
			EnGiorniOrariBase ON EnOrariBase.IdOrarioBase = EnGiorniOrariBase.IdOrarioBase
			
			LEFT OUTER JOIN
			EnPeriodi ON EnOrariBase.IdPeriodo = EnPeriodi.IdPeriodo 
			LEFT OUTER JOIN
			tblPgContratti ON EnPeriodi.IdContratto = tblPgContratti.IdPgContratto
		WHERE 
			Ordini.IdOrd=$IdOrd
_SQL;
		$query1 = ntxQuery($sql);	 
		
		while( $query1  &&  $rs1 = ntxRecord($query1) )
		{
			$Ore = (int)($rs1[OreGiornaliere]/60);
			$Minuti = ($rs1[OreGiornaliere]%60);		
			
			if ( $Ore<10 ) $Ore = "0".$Ore;
			if ( $Minuti<10 ) $Minuti = "0".$Minuti;			
			
			$TemperaturaVolutaPunto = $rs1[TemperaturaVoluta];
			
			$TemperaturaVoluta = ntxRoundThousand($TemperaturaVolutaPunto,1);
			
			$TemperaturaVolutaPrec="";
			if ( $TemperaturaVoluta!=$TemperaturaVolutaPrec )
			{
				$TemperaturaVolutaPrec = $TemperaturaVoluta;
				 
				if ( $TemperaturaVoluta=="" )
					$coloreTemperatura = "white";
				else
				{
					$coloreTemperatura = ColoreTemperatura($TemperaturaVolutaPunto);
				
					$indexColoreTemperatura++;
				}
			}	
			
			$minDelta = " - ".ntxRound($rs1[minDelta],1);
			$maxDelta = ntxRound($rs1[maxDelta],1);
			
			if ( strlen($maxDelta) ) $maxDelta = "+".$maxDelta;		
			
			foreach($rs1 as $k=>$v)
				$html1[$k] = htmlentities($v);	
				
			$giornoSettimana = $arrayGiorniSettimana[$rs1[GiornoSettimana]];	
		?>
		<tr>
			<td class="tdCenter" style="font-weight:bold;" ><?php echo $giornoSettimana ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[OraOn1txt] ?>
			<td class="tdCenter" ><?php echo $html1[OraOff1txt] ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[OraOn2txt] ?>
			<td class="tdCenter" ><?php echo $html1[OraOff2txt] ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[OraOn3txt] ?>
			<td class="tdCenter" ><?php echo $html1[OraOff3txt] ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[OraOn4txt] ?>
			<td class="tdCenter" ><?php echo $html1[OraOff4txt] ?>
			<td class="tdCenter" style='text-align:right;background-color:#FFCC00'><?php echo "{$Ore}:{$Minuti}" ?>
			<td class="tdCenter" style='text-align:right;background-color:<?php echo $coloreTemperatura ?>'><?php echo $TemperaturaVoluta ?>
			<td class="tdCenter" ><?php echo $maxDelta ?> <?php echo $minDelta ?>
		<?php
		}
		?>
		</table>
	<?php
	}
	else if($TipologiaEnergia==1)//CS cambio stagione
	{	 
	?> 
		<table class=" tblBordi tblBordiSenzaBordi"  > 
			<th style="width:1%;" >Descrizione
			<td><?php echo $html[DescrizioneIntervento] ?>
		</table>			
	<?php
	} 	
	else if($TipologiaEnergia==4)//ES 
	{	
	?>
		<span>
		Orario base da ripristinare
		</span>
		
		<table class=" tblBordi"  > 
			<th>Giorno
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Dalle
			<th style="width:1.1cm">Alle
			<th style="width:1.1cm">Ore G
			<th style="width:1.1cm">T. vol
			<th style="width:1.1cm">Tolleranza	
	<?php		
		$sql = <<<_SQL
		SELECT 
			EnOrariBase.IdPeriodo, EnOrariBase.DataInizioValidità, EnOrariBase.DataFineValidità, EnOrariBase.Stato, EnOrariBase.IdOrarioBase, 
			EnGiorniOrariBase.GiornoSettimana, EnGiorniOrariBase.OreGiornaliere, EnGiorniOrariBase.OraOn1txt, EnGiorniOrariBase.OraOff1txt, 
			EnGiorniOrariBase.OraOn2txt, EnGiorniOrariBase.OraOff2txt, EnGiorniOrariBase.OraOn3txt, EnGiorniOrariBase.OraOff3txt, 
			EnGiorniOrariBase.OraOn4txt, EnGiorniOrariBase.OraOff4txt, EnGiorniOrariBase.TemperaturaVoluta,
			tblPgContratti.MinDeltaTemperatura minDelta, 
			tblPgContratti.MaxDeltaTemperatura maxDelta					
		FROM  
			EnOrariBase 
			INNER JOIN
			EnGiorniOrariBase ON EnOrariBase.IdOrarioBase = EnGiorniOrariBase.IdOrarioBase INNER JOIN
			Ordini 
			INNER JOIN
			EnOrariSpeciali 
			INNER JOIN
			EnPeriodi ON EnOrariSpeciali.IdPeriodo = EnPeriodi.IdPeriodo ON Ordini.IdOrarioSpeciale = EnOrariSpeciali.IdOrarioSpeciale ON 
			EnOrariBase.IdPeriodo = EnPeriodi.IdPeriodo
			
			LEFT OUTER JOIN
			tblPgContratti ON EnPeriodi.IdContratto = tblPgContratti.IdPgContratto 
			
		WHERE 
			Ordini.IdOrd=$IdOrd
			AND EnOrariSpeciali.DataGiorno BETWEEN EnOrariBase.DataInizioValidità AND EnOrariBase.DataFineValidità
			AND DATEPART(dw,EnOrariSpeciali.DataGiorno)=EnGiorniOrariBase.GiornoSettimana
			AND EnOrariBase.Stato=1
_SQL;
		$query1 = ntxQuery($sql);	 
		
		while( $query1  &&  $rs1 = ntxRecord($query1) )
		{
			$Ore = (int)($rs1[OreGiornaliere]/60);
			$Minuti = ($rs1[OreGiornaliere]%60);		
			
			if ( $Ore<10 ) $Ore = "0".$Ore;
			if ( $Minuti<10 ) $Minuti = "0".$Minuti;			
			
			$TemperaturaVolutaPunto = $rs1[TemperaturaVoluta];
			
			$TemperaturaVoluta = ntxRoundThousand($TemperaturaVolutaPunto,1);
			
			$TemperaturaVolutaPrec="";
			if ( $TemperaturaVoluta!=$TemperaturaVolutaPrec )
			{
				$TemperaturaVolutaPrec = $TemperaturaVoluta;
				 
				if ( $TemperaturaVoluta=="" )
					$coloreTemperatura = "white";
				else
				{
					$coloreTemperatura = ColoreTemperatura($TemperaturaVolutaPunto);
				
					$indexColoreTemperatura++;
				}
			}	
			
			$minDelta = " - ".ntxRound($rs1[minDelta],1);
			$maxDelta = ntxRound($rs1[maxDelta],1);
			
			if ( strlen($maxDelta) ) $maxDelta = "+".$maxDelta;		
			
			foreach($rs1 as $k=>$v)
				$html1[$k] = htmlentities($v);	
				
			$giornoSettimana = $arrayGiorniSettimana[$rs1[GiornoSettimana]];	
		?>
		<tr>
			<td class="tdCenter" style="font-weight:bold;" ><?php echo $giornoSettimana ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[OraOn1txt] ?>
			<td class="tdCenter" ><?php echo $html1[OraOff1txt] ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[OraOn2txt] ?>
			<td class="tdCenter" ><?php echo $html1[OraOff2txt] ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[OraOn3txt] ?>
			<td class="tdCenter" ><?php echo $html1[OraOff3txt] ?>
			<td class="tdCenter" style='background-color:#DFDFDF'><?php echo $html1[OraOn4txt] ?>
			<td class="tdCenter" ><?php echo $html1[OraOff4txt] ?>
			<td class="tdCenter" style='text-align:right;background-color:#FFCC00'><?php echo "{$Ore}:{$Minuti}" ?>
			<td class="tdCenter" style='text-align:right;background-color:<?php echo $coloreTemperatura ?>'><?php echo $TemperaturaVoluta ?>
			<td class="tdCenter" ><?php echo $maxDelta ?> <?php echo $minDelta ?>
		<?php
		}
		?>
		</table>
	<?php
	}
	?>	 
		
	<?php
	if(strlen($html[RichiestaNote])>0)
	{
	?>
	<table class="tblDueColonne"  >
		<tr>
			<td class="tdSx" style="width:1%;"  >
				<span style="font-weight:bold;">
				Note&nbsp;Richiesta:
				</span> 
				
			<td class="tdSx" > 
			<?php echo htmlentities($html[RichiestaNote]) ?>
	</table>	
	<?php
	}
	?>
	
	</div>

<div style="margin-bottom:10px;padding:0;" ></div> 
<?php
}
?>
</div>

 
</body>
</html>
