<?php
if ( !$_SESSION ) session_start();
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");
 
require('../utilita/_risorsa_associata_utente_loggato.php'); 
require('../utilita/_dittaTlc_associata_utente_loggato.php'); 
 
$where = "";

if ( is_numeric($IdDittaAssociata)) 
{
	$value = (int)$IdDittaAssociata;
	$where .= " AND Ordini.Assegnazione = $value ";
}

/*
if ( is_numeric($IdRisorsaAssociata)) 
{
	$value = (int)$IdRisorsaAssociata;
	$where .= " AND (Ordini.IdRisorsa = $value OR Ordini.IdRisorsa IS NULL)";
} 
*/

$sql = <<< sql
SELECT     
	Richieste.IDCommessa, Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2,   Richieste.Tipo, Richieste.DataRichiesta AS DataRicezione,  Richieste.DataGestione,Richieste.IdRich,	Richieste.TelefonoRif,
	tblMestieri.Descrizione AS Mestiere, 
	tblAttivitMestiere.Descrizione AS AttivitaMestiere, 
	tblComponetiMestiere.Descrizione AS ComponenteMestiere, 
	Stati.DesStato AS StatoRic, 
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataScadenza, StatiOrdini.DesStato AS StatoOrd, Ordini.StatoOrd	AS IdStatoOrdine,
	Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine,	Ordini.IdOrd,	Ordini.IdRisorsa, Ordini.DataPresaInCarico,	Ordini.CodEdificio AS IdEdificio,	
	Richiedenti.Nome AS RichiedenteNome,
	EnCircuiti.Nome AS CircuitoNome, EnCircuiti.CodiceCliente AS CircuitoCodiceCliente,
	ElencoEdifici.EdificioBreve AS Edificio,
	Ditte.Ditta,
	Risorse.Nome AS Risorsa,
	tblPgPropietari.Nome AS Propietario,
	Richieste.TipologiaEnergia
	,Ordini.NumOrdineOrigine
	,Ordini.AnnoOrdineOrigine
	,Ordini.Note, Ordini.NotaInterna
	
	,CASE
		WHEN Ordini.DataScadenza IS NOT NULL THEN
			CASE 
				WHEN Ordini.DataScadenza<=getdate() THEN 1
				ELSE  0
			END
		ELSE 0
	END as scaduto 	 
	
FROM    
	Richieste 
	INNER JOIN
	Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa 
	LEFT OUTER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	  
	LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta 
	LEFT OUTER JOIN
	Richiedenti ON Richieste.IDCommessa = Richiedenti.IdCommessa AND Richieste.IdRichiedente = Richiedenti.IdRichiedente	 
	LEFT OUTER JOIN
	StatiOrdini ON StatiOrdini.IDStato = Ordini.StatoOrd	 
	LEFT OUTER JOIN
	tblComponetiMestiere ON Richieste.IDCommessa = tblComponetiMestiere.IdCommessa AND Richieste.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
	LEFT OUTER JOIN
	tblAttivitMestiere ON Richieste.IDCommessa = tblAttivitMestiere.IdCommessa AND Richieste.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere
	LEFT OUTER JOIN
	EnCircuiti ON Ordini.IdCircuitoEnergia = EnCircuiti.IdCircuito
	LEFT OUTER JOIN
	Stati ON Richieste.Stato = Stati.IDStato 
	LEFT OUTER JOIN
	Risorse ON Risorse.ID = Ordini.IdRisorsa	
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	
WHERE
	1=1 
	AND Ordini.StatoOrd <= 40
	
	AND Ordini.TipologiaEnergia=5
	$where 
sql;
 
if(!is_numeric($_POST[verso])) $_POST[verso] = 0;
if(!is_numeric($_POST[campo])) $_POST[campo] = 6;

$ORDER = '';
$VERSO = $_POST[verso]==1 ? "DESC" : "ASC"; 

switch($_POST[campo])
{
	case 1: $ORDER .= " IdOrd "; break;
	case 2: $ORDER .= " Propietario "; break;
	case 3: $ORDER .= " Edificio "; break;
	case 4: $ORDER .= " RichiedenteNome "; break;
	case 5: $ORDER .= " CircuitoNome "; break;
	case 6: $ORDER .= " DataScadenza "; break;
	case 7: $ORDER .= " Risorsa "; break;
	case 8: $ORDER .= " DataInizioProg "; break;
	case 9: $ORDER .= " DataFineProg "; break;
	case 10: $ORDER .= " DataInizio "; break; 
	case 11: $ORDER .= " Ditta "; break; 
	
	default:$ORDER .= " DataInizioProg "; break;
}

switch($_POST[campo])
{ 
	default: $ORDER .= $VERSO;
} 
 
for ($i=1;$i<=11;++$i)
{
	if($i!=$_POST[campo])
	{
		$icona[$i] = "down";
		$sfondo[$i] = "silver";
		$verso[$i] = 0;
	}
	else
	{
		if ( $_POST[verso]==0 )
		{
			$icona[$i] = "down";
			$verso[$i] = 1;
		}
		else
		{
			$icona[$i] = "up";
			$verso[$i] = 0;
		}

		$sfondo[$i] = "white";
	}
}
 
 
$paginazione = ntxPaginazione($sql, $ORDER); //"AnnoRichiesta desc, NumRichiesta desc"
$query = $paginazione->query; 

$table = <<< table
	<table class="grid"  style="width:100%;" >
		<tr>  
			<th>
				<button onsubmit="return false;" onclick="ricerca(1, $verso[1]);"  style="width:80px;background-color:$sfondo[1]; " >
					<span class="verso entypo-$icona[1]"  ></span>
					Ordine 
				</button> 	
				
			<th>
				<button onsubmit="return false;" onclick="ricerca(2, $verso[2]);"  style="width:95px;background-color:$sfondo[2]; " >
					<span class="verso entypo-$icona[2]"  ></span>
					Cliente 
				</button> 
				
			<th>
				<button onsubmit="return false;" onclick="ricerca(3, $verso[3]);"  style="width:95px;background-color:$sfondo[3]; " >
					<span class="verso entypo-$icona[3]"  ></span>
					Localiz.
				</button>  
				
			<th>
				<button onsubmit="return false;" onclick="ricerca(5, $verso[5]);"  style="width:95px;background-color:$sfondo[5]; " >
					<span class="verso entypo-$icona[5]"  ></span>
					Circuito 
				</button> 
				
			<th>
				<button onsubmit="return false;" onclick="ricerca(4, $verso[4]);"  style="width:95px;background-color:$sfondo[4]; " >
					<span class="verso entypo-$icona[4]"  ></span>
					Richied. 
				</button> 
				
			<th>Problema / Note  	
				
			<th>
				<button onsubmit="return false;" onclick="ricerca(8, $verso[8]);"  style="width:95px;background-color:$sfondo[8]; " >
					<span class="verso entypo-$icona[8]"  ></span>
					Inizio Prog
				</button>  				
				
			<th>
				<button onsubmit="return false;" onclick="ricerca(6, $verso[6]);"  style="width:95px;background-color:$sfondo[6]; " >
					<span class="verso entypo-$icona[6]"  ></span>
					Scadenza 
				</button> 
				
			
		
			<th>
				<button onsubmit="return false;" onclick="ricerca(7, $verso[7]);"  style="width:80px;background-color:$sfondo[7]; " >
					<span class="verso entypo-$icona[7]"  ></span>
					Risorsa
				</button> 
		
			<th>
				<button onsubmit="return false;" onclick="ricerca(10, $verso[10]);"  style="width:95px;background-color:$sfondo[10]; " >
					<span class="verso entypo-$icona[10]"  ></span>
					Data Inizio
				</button>  	
				
			<th style="width:1%;" >	
table;

$alternate = true;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? 'alternate' : ""; 
		
	if ( !strlen($rs[Richiedente])>0 )
		$rs[Richiedente] = $rs[RichiedenteNome]; 

	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine];
	$rs[IdCommessa] = (int)$rs[IDCommessa]; 
	
	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);
	$rs[DataRicezione] = ntxDateTime($rs[DataRicezione]);
	$rs[DataGestione] = ntxDateTime($rs[DataGestione]);
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
	$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);
	

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);  	 
	
	
	$disPrendiInCarico=' disabled="disabled" ';
	$disScarica=' disabled="disabled" ';
	$disChiudi=' disabled="disabled" ';
	
	if($rs[IdStatoOrdine]<=40)
	{
		if(is_numeric($IdRisorsaAssociata)) 
		{
			if(!is_numeric($rs[IdRisorsa]))
				$disPrendiInCarico='';
			else
			{
				if($rs[IdRisorsa]==$IdRisorsaAssociata  &&  !strlen($rs[DataPresaInCarico])) 
					$disPrendiInCarico='';
			}	
		}
		
		if(is_numeric($rs[IdRisorsa])) 
		{
			if($rs[IdRisorsa]==$IdRisorsaAssociata) 
			{
				$disScarica='';
				$disChiudi='';
			}
		}
	}
	
	$classScaduto='';
	if($rs[scaduto]==1) $classScaduto=' class="scaduto" ';
 
	$classRisorsa='';
	if(is_numeric($rs[IdRisorsa])) $classRisorsa=' class="assegnato-risorsa" ';
 
	$IdbtnNoteUtenza = "btn-noteUtenza-O-$html[NumOrdine]-$html[AnnoOrdine]-$html[IDCommessa]";
 
 
	$IdOrd = $rs[IdOrd];
	$IdCommessa = $rs[IdCommessa];
	$NumOrdine_t = $rs[NumOrdineOrigine];
	$AnnoOrdine_t = $rs[AnnoOrdineOrigine];
	
	if(strlen($rs[NotaInterna])==0)
	{
		while(is_numeric($NumOrdine_t) && is_numeric($AnnoOrdine_t) && $NumOrdine_t>0 && $AnnoOrdine_t>0)
		{  
			$NumOrdine_t = (int)$NumOrdine_t;
			$AnnoOrdine_t = (int)$AnnoOrdine_t;
		 
			$sql = <<<_SQL
			SELECT 
				Ordini.*
				,Risorse.Nome AS Risorsa
				,Risorse.cellulare  AS RisorsaCellulare
			FROM 
				Ordini
				LEFT OUTER JOIN
				Risorse ON Risorse.ID = Ordini.IdRisorsa
			WHERE	
				Ordini.IdCommessa=$IdCommessa
				AND Ordini.NumOrdine=$NumOrdine_t
				AND Ordini.AnnoOrdine=$AnnoOrdine_t
				AND Ordini.IdOrd<>$IdOrd
_SQL;
			$rs1=ntxRecord(ntxQuery($sql));
			
			foreach($rs1 as $k1=>$v1)
				$html1[$k1] = htmlentities($v1);   			
			
			//$NumOrdine_t = $rs1[NumOrdineOrigine];
			//$AnnoOrdine_t = $rs1[AnnoOrdineOrigine];   
			
			$NumOrdine_t = '';		
			$AnnoOrdine_t = '';	
		} 
	}
	else
	{
		$html1[Note] = $html[Note];
		$html1[NotaInterna] = $html[NotaInterna];
	}
	 
 
	$table .= <<< table
	<tr class="$classTr" id="tblRisultatiRicerca"  > 
		<td style="text-align:center;" > 
		
			<input type="button"  onclick="selRic('$html[IDCommessa]','$html[NumRichiesta]','$html[AnnoRichiesta]');" value="O-$html[NumOrdine]-$html[AnnoOrdine]-$html[IDCommessa]" style="font-size:90%;font-weight:bold;" />	 
			
			<div class="infoStatoOrdine" >
			$html[StatoOrd]
			</div>			
			
		<td>$html[Propietario]	
	
		<td>
			<div class="trunc_generico" >
				$html[Edificio] 
			</div>
	
		<td> 
			<div class="trunc_generico" >
			$html[CircuitoNome] $html[CircuitoCodiceCliente]
			</div>
			
		<td>$html[Richiedente] </br> $html[TelefonoRif] 

	
		<td>
			<div class="trunc_generico" style="width:150px !important;" >
			<strong>Problema:</strong> $html[Descrizione]$html[Descrizione1]$html[Descrizione2] 
			</div>	
			
			<br>
		
			<div class="trunc_generico" style="width:150px !important;" >
			<strong>Note:</strong> $html1[Note]
			</div>	
			
			<br>
			
			<div class="trunc_generico" style="width:150px !important;" >
			<strong>Note Interne:</strong> $html1[NotaInterna]
			</div>	 
	
		<td>$html[DataInizioProg] 
	
		<td $classScaduto >$html[DataScadenza]  
		
		<td $classRisorsa >$html[Risorsa]  
		
		<td>$html[DataInizio]  
		
		<td>
			<button  
				value="O-$html[NumOrdine]-$html[AnnoOrdine]-$html[IDCommessa]" 
				onclick="prendiInCaricoOrdine('$rs[NumOrdine]', '$rs[AnnoOrdine]', '$rs[IdCommessa]');" 
				class="btnAzioni" 
				$disPrendiInCarico
				
				title="Prendi"
				
				style="background-color:#ffeb3b;"
			>
				<img src="/repository/xhdpi/10-device-access-secure.png" style="width:30px" /> 	 
				<!--Prendi-->
			</button>
			
			<button  
				value="O-$html[NumOrdine]-$html[AnnoOrdine]-$html[IDCommessa]" 
				onclick="sbloccaOrdine('$rs[NumOrdine]', '$rs[AnnoOrdine]', '$rs[IdCommessa]');" 
				class="btnAzioni" 
				$disScarica
				
				title="Scarica"
				style="background-color:#81c784;"
			>
				<img src="/repository/xhdpi/10-device-access-not-secure.png" style="width:30px" />
				<!--Scarica-->
			</button>
			
			<button  
				value="O-$html[NumOrdine]-$html[AnnoOrdine]-$html[IDCommessa]" 
				onclick="chiudiOrdine('$rs[NumOrdine]', '$rs[AnnoOrdine]', '$rs[IdCommessa]', this, '$IdbtnNoteUtenza');" 
				class="btnAzioni" 
				$disChiudi
				
				title="Chiudi"
				
				style="background-color:#e57373;"
			>
				<img src="/repository/xhdpi/9-av-play.png" style="width:30px" /> 	
				<!--Chiudi-->
			</button>	
			
			<button   
				onclick="noteLocalizzazione('$rs[IdCommessa]', '$rs[IdEdificio]');" 
				class="btnAzioni"  
				
				title="Note Localizzazione"
				
				style="background-color:#bbdefb;"
				
				id="$IdbtnNoteUtenza"
			>
				<img src="/repository/xhdpi/5_content_paste.png" style="width:30px" />  
			</button>	 
table;
	
	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
