<?php
session_start();
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  
 
$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');  

$IdOrd = ntxip('IdOrd'); 


require('../utilita/_risorsa_associata_utente_loggato.php'); 
require('../utilita/_dittaTlc_associata_utente_loggato.php');   

$sql = <<< sql
SELECT     
	Ordini.*
FROM    
	Ordini
WHERE
	1=1
	AND Ordini.IdCommessa = $IdCommessa
	AND Ordini.NumOrdine = $NumOrdine
	AND Ordini.AnnoOrdine = $AnnoOrdine
sql;
$query = ntxQuery($sql);
$rs = ntxRecord($query);
$IdRisorsaPresente = $rs[IdRisorsa]; 
$DataFine = $rs[DataFine]; 
$StatoOrd = $rs[StatoOrd]; 

if($IdRisorsaPresente!=$IdRisorsaAssociata)
{
	$result[msg]="Impossibile procedere. ODL gia' in carico ad un altro utente.";
	$result[esito]=0;
}
else if(strlen($DataFine)>0 || $StatoOrd>=50)
{
	$result[msg]="Impossibile procedere. Lo stato dell'ordine non ne permette la modifica.";
	$result[esito]=0;
}
else
{
	$tabellaOrdini = new NtxTable("Ordini");
	$tabella = $tabellaOrdini->update();
	$tabella->init();
	
	/*
	$tabella->setp('GradoUrgenza');
	
	
	$tabella->setp('DataInizioProg', 'DataInizioProg');
	$tabella->setp('DataFineProg', 'DataFineProg');
	$tabella->setp('DataScadenza', 'DataScadenza');
	$tabella->setp('DataScadenzaInterventoTampone', 'DataFineProg'); 	
	*/
	
	$tabella->setp('IdMestiere');
	$tabella->setp('IdComponenteMestiere');
	$tabella->setp('IdAttivitMestiere');
	
	$tabella->setp('Note');
	$tabella->setp('NotaInterna'); 
	
	$tabella->set('StatoOrd' , 50); 
	$tabella->set('DataFine', 'getdate()', true);
	
	$tabella->where('IdCommessa', $IdCommessa);
	$tabella->where('NumOrdine', $NumOrdine);
	$tabella->where('AnnoOrdine', $AnnoOrdine);
	 
	$tabella->execute(); 	
	
	
	if(is_numeric($_POST[IdTestataAllegati]))
	{	
		$IdTestataAllegati = ntxip('IdTestataAllegati');
		
		$sql = <<< sql
		INSERT INTO EnAllegatiOrdini
						  (IdOrdine, IdTestataAllegati)
		VALUES     ($IdOrd, $IdTestataAllegati)
sql;
		ntxQuery($sql);	
	}	
	
	
	$result[esito]=1;
}

jhp($result);
?>
