<?php
session_start();
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  

require_once(NTX_WEBPORTAL_PATH.'ordini/_funzioni_OrdiniStoricoStati.inc');
 
$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');   

$MINUTI_ATTESA = 5;

$sql = <<< sql
SELECT     
	Ordini.*
	,(
		CASE 
			WHEN DATEADD(MINUTE, $MINUTI_ATTESA, DataPresaInCarico) <= getdate()  
		THEN 
			1
		ELSE 
			0
		END  
	) 
	AS sblocco_permesso
FROM    
	Ordini
WHERE
	1=1
	AND Ordini.IdCommessa = $IdCommessa
	AND Ordini.NumOrdine = $NumOrdine
	AND Ordini.AnnoOrdine = $AnnoOrdine
sql;
$query = ntxQuery($sql);
$rs = ntxRecord($query);
$IdRisorsaPresente = $rs[IdRisorsa]; 
$DataFine = $rs[DataFine]; 
$StatoOrd = $rs[StatoOrd]; 
$sblocco_permesso = $rs[sblocco_permesso]; 
$StatoInit = $rs[StatoOrd];
  
if(strlen($DataFine)>0 || $StatoOrd>=50)
	ntxmsgerr("Impossibile procedere. Lo stato dell'ordine non ne permette la modifica.");

//if($sblocco_permesso==0)
//	ntxmsgerr("Impossibile procedere. Devi attendere $MINUTI_ATTESA minuti per procedere allo sblocco.");


require('../utilita/_risorsa_associata_utente_loggato.php'); 
require('../utilita/_dittaTlc_associata_utente_loggato.php'); 


if($IdRisorsaPresente!=$IdRisorsaAssociata)
	ntxmsgerr("Impossibile procedere. ODL gia' in carico ad un altro utente.");



$result = array();

if ( is_numeric($IdRisorsaAssociata)) 
{
	require('_logica_stati_per_presaInCarico_e_Scarica.php');
	
	$IdRisorsaDaAssegnare = $IdRisorsaAssociata;
	
	$upIdRisorsaOld = "";
	if(is_numeric($IdRisorsaOld))
		$upIdRisorsaOld = ",IdRisorsaOld = $IdRisorsaOld "; 
	
	$StatoNew = 35;
	
	$sql = <<< sql
	UPDATE Ordini
		SET 
			IdRisorsa = NULL
			,DataPresaInCarico = NULL
			,DataInizio = NULL
			,StatoOrd = $StatoNew 
			,IdRisorsaOld = $IdRisorsaPresente
	WHERE    
		1=1
		AND Ordini.IdCommessa = $IdCommessa
		AND Ordini.NumOrdine = $NumOrdine
		AND Ordini.AnnoOrdine = $AnnoOrdine
sql;
	ntxQuery($sql);
	

	$Risorsa1 = ntxScalar("SELECT NOME FROM  Risorse WHERE ID=$IdRisorsaDaAssegnare");
	
	salvaStoricoOrdini
	(
		$IdCommessa
		,$NumOrdine
		,$AnnoOrdine
		,$StatoInit
		,$StatoNew
		,"click su bottone per prendere il carico ordine tlc. QUERY SQL: $sql"
		,"sblocco ordineda tlc '$Risorsa1'"
		,'' 
	); 	 	
	
	
	$result[esito]=1;
}
else
{ 
	$result[esito]=0;
} 


jhp($result);
?>
