<?php  
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

//<!-- IN EVIDENZA -->
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');

if(!is_numeric($_POST[ntxPagedRowsPerPage]))
	$_POST[ntxPagedRowsPerPage] = 2;

if(!is_numeric($_POST[mostraFoto]))
	$_POST[mostraFoto] = 0;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	<link href="../../_css/sliding_div_finder.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">	 
	
	<link href="css.css" rel="stylesheet" type="text/css">	 
	
	<style> 
	.alt1
	,.alt2
	{
		background: #66bb6a;
	}
	
	/*.alt2
	{
		background: #66bb6a;
	}*/
	
	.alt3,.alt4
	{
		background: #f06292;
	}
	
	/*.alt4
	{
		background: #f06292;
	}*/
	
	
	.alt5,.alt6
	{
		background: #64b5f6;
	}
	
	
	/*.alt6
	{
		background: #64b5f6;
	}*/ 
	
	.alt7,
	.alt8
	{
		background: #ffca28;
	} 
	
	/*.alt8
	{
		background: #ffca28;
	} */
	
	.anteprima
	{
		height: 80px;
		border: solid 2px transparent;
	}
	
	.anteprima:hover
	{
		opacity: 0.4;
		filter: alpha(opacity=40); /* For IE8 and earlier */
		border: solid 2px red;
		cursor:pointer;
	}
	
	.labelMQ
	{
		font-weight: bold;
		font-size: 140%;
		color: #37474f ;
		background-color: #cfd8dc;
		border: solid 1px #37474f ;
		margin-left:5px;
		padding:2px;
		border-radius:8px;
	}
	
	ul, li
	{
		text-align: left;
		padding-top:8px;
		margin:0; 
	}
	
	ul 
	{ 
		margin-bottom:5px;
		padding-top:5px;
		padding-bottom:5px;
	}
	</style>
</head>
<body > 

<form name="form1" id="form1" method="post"> 
	<input type="hidden" name="IdDoc"  /> 
</form>	 

<script>
$(document).ready(function() 
{
	var IdPropietario = '<?php echo $_POST[IdPropietario] ?>';
	var IdEdificio = '<?php echo $_POST[IdEdificio] ?>';
	var IdPiano = '<?php echo $_POST[IdPiano] ?>';

	caricaEnti();
	caricaEdifici();
	
	if($.isNumeric(IdPropietario))
	{
		document.formSearch.IdPropietario.value = IdPropietario;
		caricaEdifici();
	}
	
	if($.isNumeric(IdEdificio))	
	{
		document.formSearch.IdEdificio.value = IdEdificio;
		caricaPiani();
	}	
	
	if($.isNumeric(IdPiano))	
	{ 
		document.formSearch.IdPiano.value = IdPiano;
	}	
		
		
		
    $(".slidingDiv").hide();
	
	$('#bntShowHide').click(function()
	{
		$(".slidingDiv").slideToggle();
	});		
});

function caricaEnti()
{
	ntxSelectLoad(document.formSearch, document.formSearch.IdPropietario,  'carica_ente', true); 
}

function caricaEdifici()
{
	ntxSelectLoad(document.formSearch, document.formSearch.IdEdificio,  'carica_edifici', true); 
}

function caricaPiani()
{
	ntxSelectLoad(document.formSearch, document.formSearch.IdPiano,  'carica_piano', true); 
}

function apriSopraluogo(IdDoc)
{  
	document.form1.IdDoc.value = IdDoc;
	
	parent.tbJq_updateTabFrame(document.form1, "dettaglio", 'dettaglio.php');
	parent.tbJq_showTabFrame("dettaglio");
} 
</script>

<div class="allineatoSinistra" > 

	<form method="post" class="allineatoSinistra" >
		<?php ntxCreateHiddens() ?>
		<button   type="submit"  >
			<img src="/repository/xhdpi/1_navigation_refresh.png" style="width:15px" />
			Ricarica
		</button>
	</form> 	
	
	<input type="button" value="Criteri di ricerca"  id="bntShowHide"/> 

	<form method="post"  class="allineatoSinistra" >
		<?php 
		foreach ($_POST as $key => $value) 
		{
			if($key!='mostraFoto')
				echo '<input type="hidden" name="'.$key.'" value="'.$value.'"/>';
		} 		
		?>  
		
		<select name="mostraFoto" onchange="this.form.submit();"  >
			<option value="0" <?php if($_POST[mostraFoto]==0) echo ' selected="selected" '; ?>>Non mostrare anteprima
			<option value="1" <?php if($_POST[mostraFoto]==1) echo ' selected="selected" '; ?>>Mostra anteprima
		</select> 
	</form> 	
	
	<div class="slidingDiv"  id="slidingDiv1">
		<form id="formSearch" name="formSearch"  method="post" action="" target=""> 
		
			<input type="hidden" name="IdAutomezzo" value="<?php echo $IdAutomezzo ?>" > 
				
			<table style="margin:auto;"  cellpadding="0" cellspacing="0"   > 
				<tr><th>Ente
					<td>
					<select name="IdPropietario" onchange="caricaEdifici()" ></select>   					
					
				<tr><th>Edificio
					<td>
					<select name="IdEdificio"  onchange="caricaPiani()" ></select>  
					
				<tr><th>Piani
					<td>
					<select name="IdPiano" ></select>    
				<tr><th colspan="2">
				<input type="button" style="width:100%;height:100%;" value="Cerca" onclick="document.formSearch.submit();"  /> 
			</table>
		</form>
	</div>
</div>

<?php 
$IdCommessa = ntxise('IdCommessa'); 

$sql = <<<_SQL
SELECT pathPublicShapeWeb 
FROM Commesse
WHERE IdCommessa = $IdCommessa
_SQL;
$pathPublicShapeWeb = ntxScalar($sql);
?>




<?php	
$sql = <<< _SQL
SELECT DISTINCT    
tblPgPropietari.IdPropietario, tblPgPropietari.Nome, tblPgPropietari.Indirizzo, tblPgPropietari.Comune, tblPgPropietari.Provincia 

FROM         
	PianoLivello 
	INNER JOIN
	ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID 
	INNER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	INNER JOIN
	SopralugoAmbienti ON PianoLivello.IdCommessa = SopralugoAmbienti.IdCommessa AND PianoLivello.IdEdificio = SopralugoAmbienti.IdEdificio AND PianoLivello.idPiano = SopralugoAmbienti.IdLivello	
WHERE 
	ElencoEdifici.IdCommessa = $IdCommessa 
_SQL;

if ( is_numeric($_POST[IdPropietario]) ) 
{
	$value = ntxip("IdPropietario");
	$sql .= " AND tblPgPropietari.IdPropietario = $value ";
}

$query = ntxPagedQuery($sql, "Nome ASC");  
?> 
<div align="center" >  

	<?php ntxPagedPrintNavigation() ?>


	<ul>
		<?php 
		$alternate = true;

		while( $query  &&  $rs = ntxRecord($query) )
		{ 
			$IdPropietario = $rs[IdPropietario];
		?>   
		<li class="<?php echo  $alternate ? "alt1" : "alt2" ?>" > 
		
		<?php
		$sql = <<< _SQL
		SELECT     SUM(MQ) AS somma
		FROM         
			SopralugoAmbienti
			INNER JOIN
			ElencoEdifici ON SopralugoAmbienti.IdCommessa = ElencoEdifici.IdCommessa AND SopralugoAmbienti.IdEdificio = ElencoEdifici.ID			
			
		WHERE     
			(SopralugoAmbienti.IdCommessa = $IdCommessa) 
			AND (ElencoEdifici.IdProprietario = $IdPropietario)
_SQL;
		$mqEnte=ntxScalar($sql);		 
		?>
		<span class="labelMQ" ><?php echo ntxRoundThousand($mqEnte,2) ?> MQ</span>				
		
		<strong><?php echo htmlentities($rs['Nome']) ?></strong>
		<?php echo htmlentities($rs['Indirizzo']) ?>
		<?php echo htmlentities($rs['Comune']) ?>
		<?php echo htmlentities($rs['Provincia']) ?>
		
			<ul>
			<?php 
			$sql = <<< _SQL
			SELECT DISTINCT  
			ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CAP, ElencoEdifici.CITTA,  ElencoEdifici.PROVINCIA 
			
			FROM         
				PianoLivello 
				INNER JOIN
				ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID 
				INNER JOIN
				tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
								  
			WHERE 
				ElencoEdifici.IdCommessa = $IdCommessa 
				AND tblPgPropietari.IdPropietario = $IdPropietario
_SQL;
			if ( is_numeric($_POST[IdEdificio]) ) 
			{
				$value = ntxip("IdEdificio");
				$sql .= " AND ElencoEdifici.ID = $value ";
			}

			$sql .=" ORDER BY Codice ASC, EdificioBreve ASC ";
			
			$query1=ntxQuery($sql);		 
			
			$alternate1 = true;

			while( $query1  &&  $rs1 = ntxRecord($query1) )
			{ 
				$IdEdificio = $rs1[ID];
			?>   
			<li class="<?php echo  $alternate1 ? "alt3" : "alt4" ?>" >  
			
			<?php
			$sql = <<< _SQL
			SELECT     SUM(MQ) AS somma
			FROM         SopralugoAmbienti
			WHERE     
				IdCommessa = $IdCommessa 
				AND IdEdificio = $IdEdificio
_SQL;
			$mqEdificio=ntxScalar($sql);		 
			?>
			<span class="labelMQ" ><?php echo ntxRoundThousand($mqEdificio,2) ?> MQ</span>			
			
			<?php echo htmlentities($rs1['Codice']) ?>  -
			<strong><?php echo htmlentities($rs1['EdificioBreve']) ?></strong>
			<?php echo htmlentities($rs1['Indirizzo']) ?>
			<?php echo htmlentities($rs1['CAP']) ?>
			<?php echo htmlentities($rs1['CITTA']) ?>
			<?php echo htmlentities($rs1['PROVINCIA']) ?>
		
				<ul>
				<?php 
				$sql = <<< _SQL
				SELECT     
					PianoLivello.IdCommessa, PianoLivello.IdEdificio, PianoLivello.idPiano,  PianoLivello.CodPiano, PianoLivello.CodiceAssLivello, 
					TipiLivello.DesLivello, DestinazioniDusoLivello.Categoria, DestinazioniDusoLivello.Destinazione
					
				FROM         
					PianoLivello 
					LEFT OUTER JOIN
					TipiLivello ON PianoLivello.IdCommessa = TipiLivello.IdCommessa AND PianoLivello.IdTipoPiano = TipiLivello.IDTipoLivello 
					LEFT OUTER JOIN
					DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL			
							
				WHERE     
					PianoLivello.IdCommessa = $IdCommessa  
					AND  PianoLivello.IdEdificio = $IdEdificio
_SQL;
				if ( is_numeric($_POST[IdPiano]) ) 
				{
					$value = ntxip("IdPiano");
					$sql .= " AND PianoLivello.idPiano = $value ";
				}

				$query2=ntxQuery($sql);			
				
				$alternate2 = true;

				while( $query2  &&  $rs2 = ntxRecord($query2) )
				{ 
					$IdPiano = $rs2[idPiano];
				?>   
				<li class="<?php echo  $alternate2 ? "alt5" : "alt6" ?>" >  
				<strong><?php echo htmlentities($rs2['CodPiano']) ?></strong>
				<strong><?php echo htmlentities($rs2['CodiceAssLivello']) ?></strong>
				<?php echo htmlentities($rs2['DesLivello']) ?>  
				<?php echo htmlentities($rs2['Destinazione']) ?>  
				<?php echo htmlentities($rs2['Categoria']) ?>  
		 
					<ul>
					<?php 
					$sql = <<< _SQL
					SELECT DISTINCT
						DocsPianiLivelli.Id AS IdDoc
						,DocsPianiLivelli.*
						
					FROM
						DocsPianiLivelli
						INNER JOIN
						SopralugoAmbienti ON DocsPianiLivelli.IdEdificio = SopralugoAmbienti.IdEdificio AND DocsPianiLivelli.IdPiano = SopralugoAmbienti.IdLivello AND  DocsPianiLivelli.IdCommessa = SopralugoAmbienti.IdCommessa	
					
					WHERE
						DocsPianiLivelli.IdCommessa = $IdCommessa
						AND DocsPianiLivelli.IdEdificio = $IdEdificio
						AND DocsPianiLivelli.IdPiano = $IdPiano 
_SQL;
					$query3=ntxQuery($sql);			
					
					$alternate3 = true;

					while( $query3  &&  $rs3 = ntxRecord($query3) )
					{ 
						$IdDoc = $rs3[IdDoc];
					?>   
					<li class="<?php echo  $alternate3 ? "alt7" : "alt8" ?>" >  
					<strong><?php echo htmlentities($rs3['Descrizione']) ?></strong> 
					
					<?php
					if($_POST[mostraFoto]==1)
					{
					?>
						<img id="imgPiano" src="vedi_doc_piano.php?IdDoc=<?php echo $IdDoc ?>" class="anteprima" onclick="apriSopraluogo('<?php echo $IdDoc ?>')" title="Cliccare per vedere il dettaglio del sopraluogo." /> 
					<?php
					} 
					else
					{
					?>
						<img id="imgPiano" src="/repository/xhdpi/7-location-map.png" class="anteprima" style="height:40px;" onclick="apriSopraluogo('<?php echo $IdDoc ?>')" title="risulta presente una foto. Cliccare per vederne il dettaglio." /> 
					<?php
					}
					?>
			 
			 
				  
					<?php
						$alternate3 = !$alternate3;
					}
					?>	
					</ul>
				
				<?php
					$alternate3 = !$alternate3;
				}
				?>	
				</ul>
			
			<?php
				$alternate1 = !$alternate1;
			}
			?>	
			</ul>
	  
		<?php
			$alternate = !$alternate;
		}
		?>
	</ul> 
	
		
<!-- IN EVIDENZA -->
<?php ntxPagedPrintBody() ?>
<?php ntxPagedPrintNavigation() ?>	
	
</div>


</body>
</html>
