<?php
session_start();
require_once("../../_ntx/ntxconst.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
require_once($_SERVER['DOCUMENT_ROOT'].'/repository/php/php-excel-reader-2.21/excel_reader2.php');

$IdCommessa = ntxise('IdCommessa');
$IdDoc = ntxip('IdDoc');


$arrayTipologie = array(
    0  => 'canone'  
    ,1  => 'extracanone'  
    ,2  => 'canone/extracanone'  
);


function getNameFromNumber($num) {
    $numeric = $num % 26;
    $letter = chr(65 + $numeric);
    $num2 = intval($num / 26);
    if ($num2 > 0) {
        return getNameFromNumber($num2 - 1) . $letter;
    } else {
        return $letter;
    }
}


$sql = <<< sql
SELECT DISTINCT Path
FROM DocsAutoload  
WHERE     
	IdCommessa = $IdCommessa 
	AND IdDoc = $IdDoc
sql;
$Path = ntxScalar($sql);
 
 
error_reporting(E_ALL ^ E_NOTICE);
$data = new Spreadsheet_Excel_Reader($Path);
 
$colum = array();
for ($i = 2; $i <= 2; $i++) //ottengo i nomi delle colonne che mi interessano
{		
	for ($j = 1; $j <=  $data->sheets[0]['numCols']; $j++) 
		$colum[$j]  = "".$data->sheets[0]['cells'][$i][$j];
}  

///////////// inizio - controllo
$strMsgErr = "";
for ($i = 3; $i <= $data->sheets[0]['numRows']; $i++) 
{	 
	$existFrequenza = true; 
	
  	for ($j = 1; $j <= $data->sheets[0]['numCols']; $j++) 
	{
		$letteraNumero = $j-1;
		$letteraColonna = getNameFromNumber($letteraNumero);
	
 		$nomeColonna = $colum[$j];
 
		$valueOrigine = $value = $data->sheets[0]['cells'][$i][$j];
		//$value = preg_replace('/[^a-zA-Z0-9_ %\[\]\.\(\)%&-]/s', '', $value);  
		
		if( trim($nomeColonna)=="Ordinamento_Mestiere"  &&  strlen( trim($value) )>0 )  
		{  
			if(!is_numeric($value))
				ntxmsgerr("[$i x $j]: ordinamento mestiere non numero intero!");					
		}
		
		if( trim($nomeColonna)=="Ordinamento_Componente"  &&  strlen( trim($value) )>0 )  
		{  
			if(!is_numeric($value))
				ntxmsgerr("[$i x $j]: ordinamento componente non numero intero!");					
		}
		
		if( trim($nomeColonna)=="Ordinamento_Attivita"  &&  strlen( trim($value) )>0 )  
		{  
			if(!is_numeric($value))
				ntxmsgerr("[$i x $j]: ordinamento attività non numero intero!");					
		}
		
		/*if( trim($nomeColonna)=="Codice_Mestiere"  &&  strlen( trim($value) )<1 )  
		{  
			 ntxmsgerr("[$i x $j]: codice mestiere non digitato!");					
		} 	 
		
		if( trim($nomeColonna)=="Descrizione_Mestiere"  &&  strlen( trim($value) )<1 )  
		{  
			 ntxmsgerr("[$i x $j]: descrizione mestiere non digitato!");					
		} 	
		
		if( trim($nomeColonna)=="Codice_Componente"  &&  strlen( trim($value) )<1 )  
		{  
			 ntxmsgerr("[$i x $j]: codice componente non digitato!");					
		} 	 
		
		if( trim($nomeColonna)=="Descrizione_Componente"  &&  strlen( trim($value) )<1 )  
		{  
			 ntxmsgerr("[$i x $j]: descrizione componente non digitato!");					
		} 	
		
		if( trim($nomeColonna)=="Codice_Attivita"  &&  strlen( trim($value) )<1 )  
		{  
			 ntxmsgerr("[$i x $j]: codice attività non digitato!");					
		} 	
		
		if( trim($nomeColonna)=="Descrizione_Attivita"  &&  strlen( trim($value) )<1 )  
		{  
			 ntxmsgerr("[$i x $j]: descrizione attività non digitato!");					
		} 	
		
		if( trim($nomeColonna)=="Descrizione_Frequenza_Attivita"  &&  strlen( trim($value) )<1 )  
		{  
			 ntxmsgerr("[$i x $j]: codice frequenza per l'attività non digitato!");					
		}*/ 

		if( trim($nomeColonna)=="Tipologia_Attivita"  &&  strlen( trim($value) )<1  &&  strlen( trim($data->sheets[0]['cells'][$i][$j-3]) )>0 )  //l'ultima parte è il codice dell'attività
		{  
			 ntxmsgerr("[$i x $letteraColonna]: Risulta un'attività da inserire e nessuna tipologia è stata digitata!");					
		}
		
		if( trim($nomeColonna)=="Tipologia_Attivita"  &&  strlen( trim($value) )>0 )
		{  
			if (!in_array($value, $arrayTipologie)) 
			{  
				ntxmsgerr("[$i x $letteraColonna]: la tipologia digitata non è stata riconosciuta\n\nDigitato '$value', valori ammessi: '$arrayTipologie[0]', '$arrayTipologie[1]', '$arrayTipologie[2]'.\nAttenzione alle lettere maiuscole e minuscole.");					
			} 			
		}
		
		
		if( trim($nomeColonna)=="Descrizione_Frequenza_Attivita"  &&  strlen( trim($value) )>0 )  
		{  
			$str = stripslashes($value);
			$str = str_replace("'", "''", $str);	
	
			$sql = <<< sql
			SELECT IdFrequenza 
			FROM  tblFrequenzeMestieri
			WHERE 
				(IdCommessa = $IdCommessa)
				AND 
				(
					Descrizione='$str'
					OR Codice='$str'
				)
sql;
			if(!is_numeric(ntxScalar($sql)))
			{
				ntxmsgerr("[$i x $letteraColonna]: il codice frequenza digitato non risulta valido, controllare di aver digitato il codice per una frequenza esistente. Codice digitato: $value .");		
			}	 
		} 	
	} 	
}
///////////// fine - controllo
 
 
$numeroElementiGenerati = 0;
for ($i = 3; $i <= $data->sheets[0]['numRows']; $i++) 
{	 
	$IdMestiere = ''; 
	$insertMestiere = false; 
	
	$tblMestieri= new NtxTable("tblMestieri");		
	$InsertMestiere = $tblMestieri->insert();	
	
  	for ($j = 1; $j <= $data->sheets[0]['numCols']; $j++) 
	{ 
 		$nomeColonna = $colum[$j];
 
		$value = $data->sheets[0]['cells'][$i][$j];
		$value = preg_replace('/[^a-zA-Z0-9_ %\[\]\.\(\)%&-]/s', '', $value);  
	
		if( trim($nomeColonna)=="Codice_Mestiere"  &&  strlen( trim($value) )>0 )  
		{	
			$str = stripslashes($value);
			$str = str_replace("'", "''", $str);
		
			$sql = <<< sql
			SELECT IdMestiere 
			FROM  tblMestieri
			WHERE 
				(IdCommessa = $IdCommessa)
				AND codice LIKE '$str' 
sql;
			$IdMestiere  = ntxScalar($sql);
			
			if( !is_numeric($IdMestiere) )
			{
				$InsertMestiere->set("codice", $value );	
				$insertMestiere = true;	
			}				
		}
 	 
		if( trim($nomeColonna)=="Descrizione_Mestiere"  &&  strlen( trim($value) )>0 )  
		{	 
			if( !is_numeric($IdMestiere) )
				$InsertMestiere->set("Descrizione", $value );	 
		}
 	 
		if( trim($nomeColonna)=="Ordinamento_Mestiere"  &&  strlen( trim($value) )>0 )  
		{	 
			if( !is_numeric($IdMestiere) )
				$InsertMestiere->set("Ordine", $value );	 
		}
	}
	
	if(!is_numeric($IdMestiere)  &&  $insertMestiere) //inserimento mestiere
	{
		$InsertMestiere->set("IdCommessa", 	$IdCommessa ); 
		$InsertMestiere->set("IdDocGenerante", 	$IdDoc ); 
		$InsertMestiere->execute();
 
		$IdMestiere = ntxScalar("SELECT @@IDENTITY");
		
		++$numeroElementiGenerati;		
	}	
	
	
	
	$IdComponenteMestiere = ''; 
	$insertComponente = false; 
	
	$tblComponetiMestiere= new NtxTable("tblComponetiMestiere");		
	$InsertComponente = $tblComponetiMestiere->insert();	
	
	if(is_numeric($IdMestiere)  &&  $IdMestiere>0 )
	{ 			
		for ($j = 1; $j <= $data->sheets[0]['numCols']; $j++) 
		{	
			$nomeColonna = $colum[$j];

			$value = $data->sheets[0]['cells'][$i][$j];
			$value = preg_replace('/[^a-zA-Z0-9_ %\[\]\.\(\)%&-]/s', '', $value);  	
			
			if( trim($nomeColonna)=="Codice_Componente"  &&  strlen( trim($value) )>0 )  
			{	 
				$str = stripslashes($value);
				$str = str_replace("'", "''", $str);
			
				$sql = <<< sql
				SELECT IdComponenteMestiere 
				FROM  tblComponetiMestiere
				WHERE 
					(IdCommessa = $IdCommessa)
					AND IdMestiere = $IdMestiere
					AND codice LIKE '$str' 
sql;
				$IdComponenteMestiere  = ntxScalar($sql);
				
				if( !is_numeric($IdComponenteMestiere) )
				{
					$InsertComponente->set("codice", $value );
					$insertComponente = true;
				}
			}
		
			if( trim($nomeColonna)=="Descrizione_Componente"  &&  strlen( trim($value) )>0 )  
			{		 
				if( !is_numeric($IdComponenteMestiere) )
					$InsertComponente->set("Descrizione", $value );	 
			}
			
			if( trim($nomeColonna)=="Ordinamento_Componente"  &&  strlen( trim($value) )>0 )  
			{	 
				if( !is_numeric($IdComponenteMestiere) )
					$InsertComponente->set("Ordine", $value );	 
			}			
		}	 	
	}

	if( !is_numeric($IdComponenteMestiere)  &&  $insertComponente ) //inserimento componente
	{
		$InsertComponente->set("IdCommessa", 	$IdCommessa ); 
		$InsertComponente->set("IdMestiere", 	$IdMestiere );   
		$InsertComponente->execute();  
		
		$IdComponenteMestiere = ntxScalar("SELECT @@IDENTITY");
		
		++$numeroElementiGenerati;		
	}
	
	
	
	$IdAttivitàMestiere = ''; 
	$insertAttivita = false;
	
	$tblAttivitàMestiere= new NtxTable("tblAttivitàMestiere");		
	$InsertAttivita = $tblAttivitàMestiere->insert();	
	
	if( (is_numeric($IdMestiere)  &&  $IdMestiere>0)  &&  (is_numeric($IdComponenteMestiere)  &&  $IdComponenteMestiere>0) )
	{ 			
		for ($j = 1; $j <= $data->sheets[0]['numCols']; $j++) 
		{	 	
			$nomeColonna = $colum[$j];

			$value = $data->sheets[0]['cells'][$i][$j];
			$value = preg_replace('/[^a-zA-Z0-9_ %\[\]\.\(\)%&-]/s', '', $value);  
			
			if( trim($nomeColonna)=="Codice_Attivita"  &&  strlen( trim($value) )>0 )  
			{		 
				$str = stripslashes($value);
				$str = str_replace("'", "''", $str);
			
				$sql = <<< sql
				SELECT IdAttivitàMestiere 
				FROM  tblAttivitàMestiere
				WHERE 
					(IdCommessa = $IdCommessa)
					AND IdComponenteMestiere = $IdComponenteMestiere
					AND codice LIKE '$str' 
sql;
				$IdAttivitàMestiere  = ntxScalar($sql);
				
				if( !is_numeric($IdAttivitàMestiere) )
				{
					$InsertAttivita->set("codice", $value );
					$insertAttivita = true;
				}
			}
		
			if( trim($nomeColonna)=="Descrizione_Attivita"  &&  strlen( trim($value) )>0 )  
			{		 
				if( !is_numeric($IdAttivitàMestiere) )
					$InsertAttivita->set("Descrizione", $value );	 
			}
			
			if( trim($nomeColonna)=="Ordinamento_Attivita"  &&  strlen( trim($value) )>0 )  
			{	 
				if( !is_numeric($IdAttivitàMestiere) )
					$InsertAttivita->set("Ordine", $value );	 
			}

			if( trim($nomeColonna)=="Tipologia_Attivita"  &&  strlen( trim($value) )>0 )
			{  
				$idTipologia = array_search($value, $arrayTipologie);
				
				if( is_numeric($idTipologia))
					$InsertAttivita->set("Tipologia", $idTipologia );	
			}
		}	 	
	}
	
	if( !is_numeric($IdAttivitàMestiere)  &&  $insertAttivita ) //inserimento componente
	{
		$InsertAttivita->set("IdCommessa", 	$IdCommessa ); 
		$InsertAttivita->set("IdComponenteMestiere", 	$IdComponenteMestiere );  
		
		$InsertAttivita->set("Documento", 	0 );  
		$InsertAttivita->set("prepre", 	0 );  
		$InsertAttivita->set("pre", 	0 );  
		$InsertAttivita->set("evento", 	0 );  
		$InsertAttivita->set("post", 	0 );  
		
		$InsertAttivita->execute();  
		
		$IdAttivitàMestiere = ntxScalar("SELECT @@IDENTITY");
		
		++$numeroElementiGenerati;		
	}

			
	
	if( (is_numeric($IdMestiere)  &&  $IdMestiere>0)  &&  (is_numeric($IdComponenteMestiere)  &&  $IdComponenteMestiere>0)  &&  (is_numeric($IdAttivitàMestiere)  &&  $IdAttivitàMestiere>0) )
	{ 		
		for ($j = 1; $j <= $data->sheets[0]['numCols']; $j++) 
		{	
			$nomeColonna = $colum[$j];

			$value = $data->sheets[0]['cells'][$i][$j];
			$value = preg_replace('/[^a-zA-Z0-9_ %\[\]\.\(\)%&-]/s', '', $value);  
			
			if( trim($nomeColonna)=="Descrizione_Frequenza_Attivita"  &&  strlen( trim($value) )>0 )  
			{		  
				$str = stripslashes($value);
				$str = str_replace("'", "''", $str);
			
				$sql = <<< sql
				SELECT IdFrequenza 
				FROM  tblFrequenzeMestieri
				WHERE 
					(IdCommessa = $IdCommessa) 
					AND Descrizione LIKE '$str' 
sql;
				$IdFrequenza  = ntxScalar($sql);
				
				if( is_numeric($IdFrequenza)  &&  $IdFrequenza>0 )
				{
					$tblAttivitàMestiere= new NtxTable("tblAttivitàMestiere");		
					$update= $tblAttivitàMestiere->update();

					$update->set("IdFrequenza", $IdFrequenza);      

					$update->where("IdCommessa", $IdCommessa);
					$update->where("IdAttivitàMestiere", $IdAttivitàMestiere);

					$update->execute();	
				}	
			}
		} 				
	}
  
}

  
if($numeroElementiGenerati>0)
{
	$DocsAutoload= new NtxTable("DocsAutoload");		

	$update= $DocsAutoload->update();

	$update->set("Generato", 1);    
	$update->set("MsgError", $strMsgErr);    
	$update->where("IdDoc", 	$IdDoc);

	$update->execute();
} 
	
$result = array(
	'numeroElementiGenerati' => "$numeroElementiGenerati",
	'MsgError' => "$strMsgErr"
);

jhp($result);
?>
