<?php  
if (!isset($_SESSION)) session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  

$IdAutomezzo =  @$_GET['IdAutomezzo']; 

if( strlen(@$_POST['IdAutomezzo'])>0 )
	$IdAutomezzo = @$_POST['IdAutomezzo'];  
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../../_css/_addictionCompact.css" rel="stylesheet" type="text/css">
	<link href="classi_scedenze.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script> 
	
	
	<style>
	html, body
	{
		background: transparent !important; 
	}
	</style>
</head>

<body>
<?php
$IdCommessa = ntxise('IdCommessa');  

$sql = <<< _SQL
SELECT 
	AutomezziAssicurazione.*,
	datediff (d, getdate(), DataScadenza)  AS GiorniScadenza
	
FROM  AutomezziAssicurazione
WHERE 
	(IdAutomezzo = $IdAutomezzo)
ORDER BY 
	DataScadenza DESC, 	
	DataRinnovo DESC 	
_SQL;

$query = ntxQuery($sql);	
?>
<table  align="center" style="width:95%;" >
	<tr>
		<th style="width:1%;" >&nbsp; 
		<th>Nome
		<th>Data Rinnovo  
		<th>Data Scadenza  
		<th>Costo
	</tr>   
	
	<?php
		$alternate = true;

		while( $rs = ntxRecord($query) )
		{ 
			$classe = $alternate ? "" : "td2";
			
			if(is_numeric($rs[GiorniScadenza])  &&  $rs[GiorniScadenza]>=0 )
			{ 
				$classe = "verde";	
			}
	?>
		<tr>
			<td class="<?php echo $classe ?>" > 
				<input type="button" onclick="elimina('<?php echo ($rs[ID])?>')" value="cancella" style="width:100%;" /> 	 		
		
			<td class="<?php echo $classe ?>" >
				<input type="text"  onchange="update(this , 'Nome', '<?php echo ($rs[ID])?>')" value="<?php echo htmlentities($rs['Nome']) ?>" />
		
			<td class="<?php echo $classe ?>" >
				<input type="text"  onchange="update(this , 'DataRinnovo', '<?php echo ($rs[ID])?>')" value="<?php echo ntxDate($rs['DataRinnovo']) ?>" /> 
		
			<td class="<?php echo $classe ?>" >
				<input type="text"  onchange="update(this , 'DataScadenza', '<?php echo ($rs[ID])?>')" value="<?php echo ntxDate($rs['DataScadenza']) ?>" /> 
		
			<td class="<?php echo $classe ?>" >
				<input type="text"  onchange="update(this , 'Costo', '<?php echo ($rs[ID])?>')" value="<?php echo ntxRound($rs['Costo'],2) ?>" /> 
		</tr>
	<?php
			$alternate = !$alternate;
		}
	?>
	
		<form name="formAdd" id="formAdd" method="post" >  
			<tr>
				<td <?php echo  $alternate ? "" : "class=td2" ?> > 
					<input type="hidden" name="IdAutomezzo" value="<?php echo $IdAutomezzo ?>" />
					<input type="button" onclick="aggiungi()" value="aggiungi" style="width:100%;" /> 	

				<td <?php echo  $alternate ? "" : "class=td2" ?> >
					<input type="text" name="Nome" /> 

				<td <?php echo  $alternate ? "" : "class=td2" ?> >
					<input type="text" name="DataRinnovo" /> 

				<td <?php echo  $alternate ? "" : "class=td2" ?> >
					<input type="text" name="DataScadenza" />  

				<td <?php echo  $alternate ? "" : "class=td2" ?> >
					<input type="text" name="Costo" />  
							
			</tr>	
		</form>	
</table>


<form method="post"  id="frmReload"  name="frmReload" >
	<?php ntxCreateHiddens() ?> 
</form> 	


<form name="formUpdate" id="formUpdate" method="post" >  
	<input type="hidden" name="ID" id="ID" /> 
	<input type="hidden" name="Element" id="Element" /> 
	<input type="hidden" name="valueElement" id="valueElement" /> 
</form>


<script language="javascript">
function update(obj , strElement, ID)
{
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID;

	
	if ( !ntxSendForm(document.formUpdate, function(){}, 'assicurazioni/update') )
		alert("Operazione terminata con successo!"); 
		
	document.formUpdate.Element.value = '';
	document.formUpdate.valueElement.value = '';		
}

function aggiungi()
{
	if (ntxSendForm(document.formAdd, function(){}, 'assicurazioni/aggiungi') )
	{
		alert("Operazione terminata con successo!"); 
		document.frmReload.submit();
	}
}

function elimina(ID)
{
	if(!confirm("Si desidera cancellare l'elemento?")) return;
	
	document.formUpdate.ID.value = ID;

	if (ntxSendForm(document.formUpdate, function(){}, 'assicurazioni/elimina') )
	{
		alert("Operazione terminata con successo!"); 
		document.frmReload.submit();
	} 
}
</script>



</body>
</html>
