<?php  
if (!isset($_SESSION)) session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  

$IdAutomezzo =  @$_GET['IdAutomezzo']; 

if( is_numeric($IdAutomezzo) )
	@$_POST['IdAutomezzo'] = $IdAutomezzo;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../../_css/_addictionCompact.css" rel="stylesheet" type="text/css"> 
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>	
	
	<link href="classi_scedenze.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script> 
	
	<style>
	html, body
	{
		background: transparent !important; 
	}
	</style>
</head>

<body>
 
<div align="center" > 
	<input type="button" value="aggiungi un TELEPASS"  onclick="parent.aggiungiElementi('associa_telepass')" />
</div>

<?php
$IdCommessa = ntxise('IdCommessa');  
$IdAutomezzo = ntxip('IdAutomezzo');  
$tipoRicerca = $_POST[tipoRicerca]==1 ? true : false;   

$sql = <<< _SQL
SELECT     
	AutomezziTelepass.ID AS IdTelepass, AutomezziTelepass.Codice, AutomezziTelepass.Gestore, AutomezziTelepass.Attivo, 
	Automezzi2Telepass.ID AS IdAutomezzi2Telepass, Automezzi2Telepass.IdAutomezzo, Automezzi2Telepass.DataInizio, Automezzi2Telepass.DataFine,
	datediff (d, getdate(), Automezzi2Telepass.DataFine)  AS GiorniScadenza
					  
FROM         
	AutomezziTelepass 
	LEFT OUTER JOIN
	Automezzi2Telepass ON AutomezziTelepass.ID = Automezzi2Telepass.IdTelepass
WHERE
	AutomezziTelepass.IdCommessa = $IdCommessa
	AND Automezzi2Telepass.IdAutomezzo = $IdAutomezzo
_SQL;


$query = ntxQuery($sql);	 
?>
<table  align="center" style="width:95%;" >
	<tr>
		<th style="width:1%;" > 
		<th>Codice 
		<th>Gestore 
		<th>Attivo  
		<th>Inizio 
		<th>Fine 
	</tr>   
	
	<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{ 
		$classe = $alternate ? "" : "td2";
		
		$IdTelepass = $rs[IdTelepass];
		$IdAutomezzoAutomezzi2Telepass = $rs[IdAutomezzo];
 
		$rs['Attivo2'] = ($rs['Attivo']==0) ? 'NO' : 'SI'; 
			
		$disabled = "";		
		if( is_numeric($rs[Attivo])  &&  $rs[Attivo]==0 ) 
		{ 
			$disabled =  'disabled="disabled" '; 	
		}

		if(is_numeric($rs[GiorniScadenza])  &&  $rs[GiorniScadenza]>=0 )
		{ 
			$classe = "verde";	
		}	
		else if(is_numeric($rs[GiorniScadenza])  &&  $rs[GiorniScadenza]<0 )
		{ 
			$classe = "rosso";	
		}			
	?>
		<tr>
			<td class="<?php echo $classe ?>" > 
			<input type="button"  value="elimina" onclick="elimina('<?php echo $rs[IdAutomezzi2Telepass] ?>')" /> 
		
			<td class="<?php echo $classe ?>" >
			<?php echo htmlentities($rs['Codice']) ?>		
		
			<td class="<?php echo $classe ?>" >
			<?php echo htmlentities($rs['Gestore']) ?>		
		
			<td class="<?php echo $classe ?>" >
			<?php echo htmlentities($rs['Attivo2']) ?>	 
		
				
			<?php
			$IdAutomezzi2Telepass = $rs[IdAutomezzi2Telepass];
			
			if(is_numeric($IdAutomezzi2Telepass))
			{
				$DataInizio_func = <<<_HTML
				update(this , 'DataInizio', '$IdAutomezzi2Telepass') ;
_HTML;
				$DataFine_func = <<<_HTML
				update(this , 'DataFine', '$IdAutomezzi2Telepass') ;
_HTML;
			}
			else
			{
				$DataInizio_func = "";
				$DataFine_func = "";
			}
			?>
			<td class="<?php echo $classe ?>" >
			<input type="text"  name="DataInizio" onchange="<?php echo $DataInizio_func ?>" value="<?php echo ntxDate($rs['DataInizio']) ?>" /> 
		
			<td class="<?php echo $classe ?>" >
			<input type="text"  name="DataFine" onchange="<?php echo $DataFine_func ?>" value="<?php echo ntxDate($rs['DataFine']) ?>" />  
	<?php
			$alternate = !$alternate;
		}
	?> 
</table>
 
<form name="frmReload" id="frmReload" method="post" >  
	<?php ntxCreateHiddens() ?>	
</form>

<form name="formUpdate" id="formUpdate" method="post" >  
	<input type="hidden" name="ID" />
	<input type="hidden" name="Element"  /> 
	<input type="hidden" name="valueElement"   /> 
</form>

<form name="formAdd" id="formAdd" method="post" >   
	<input type="hidden" name="IdAutomezzo"  value="<?php echo $IdAutomezzo?>" /> 	
	<input type="hidden" name="IdTelepass"  /> 
</form>

<script language="javascript"> 
function elimina(ID)
{ 	
	if(!confirm("Sicuro di voler eliminare questa relazione?\n\nModificando le date di inizio e di fine potrebbe diventare una relazione utile per uno storico.")) return;


	document.formUpdate.ID.value = ID;
	
	if ( ntxSendForm(document.formUpdate, function(){}, 'Automezzi2Telepass/elimina') )
		document.frmReload.submit();
}  
 
function aggiungi(IdTelepass)
{
	document.formAdd.IdTelepass.value = IdTelepass;
	if (ntxSendForm(document.formAdd, function(){}, 'Automezzi2Telepass/aggiungi') )
	{
		alert("Operazione terminata con successo!"); 
		document.frmReload.submit();
	}
}

function update(obj , strElement, ID)
{
 	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID;

	
	if ( !ntxSendForm(document.formUpdate, function(){}, 'Automezzi2Telepass/update') )
		alert("Operazione terminata con successo!");  	 
}
</script>



</body>
</html>
