Object.size = function(obj) //aggiunta di un metodo a un generico oggetto javascript: @size: ritorna int con numero proprietà
{
	var size = 0, key;
	for (key in obj) {
		if (obj.hasOwnProperty(key)) size++;
	}
	return size;
};
	  
	
function aggiungiRevisioneTagliando(IdElemento)
{	
	var eventPresent = false;
	
	$.ajax({
		type: 'POST',
		data: { IdElemento: IdElemento }, 
		url: 'json-events-carica_rev_tagl.php',
		success: function(calevents)
		{		 
			var your_object = JSON.parse(calevents);
			
		 	$.each( your_object, function(index, value) 
			{
				var obj =  $('#calendar').fullCalendar( 'clientEvents' , value.id );
				obj = obj[0]
 
				try
				{
					if(obj.id==value.id)
						eventPresent = true;
				}
				catch(ex)  
				{}
				
				if(!eventPresent)
					$('#calendar').fullCalendar( 'renderEvent', value, true);	
			}); 
					  
					  
 			if( Object.size(your_object) < 1)
			{
				alert("Attenzione! Nessun elemento trovato.");
			}
			else
			{
				if(!eventPresent)
				{
					var style=' style="background:'+your_object[0].color+' !important; " ';
					
					var Data = your_object[0].Data;	
					var Tipo = your_object[0].Tipo;	
					var Targa = your_object[0].Targa;	
					var Descrizione = your_object[0].Descrizione;	 	
					
					var goData = 	'<input type="button" value="'+Data+'" onclick="goToDate(\''+your_object[0].sqlData+'\')"/>' ;	 
					
					var bntDel = '<input type="button" value="nascondi" onclick="cancellaRevisioneTagliando('+IdElemento+');"/>';
				
					$('#legend_revisioni_tagliandi tr:last').after('<tr class="RevisioneTagliando_'+IdElemento+' "> <td>'+bntDel+'<td>'+Tipo+'<td>'+Targa+'<td>'+Data+'<td>'+Descrizione+'<td>'+goData);
				}
			}   
		},
		error: function() 
		{
			alert('Opsss :(\nThere was an error while fetching events!');
		}
	});
} 


function cancellaRevisioneTagliando(IdElemento)
{
	$.ajax({
		type: 'POST',
		async: false,  
		data: { IdElemento: IdElemento }, 
		url: 'json-events-carica_rev_tagl.php',
		success: function(calevents)
		{			
			var your_object = JSON.parse(calevents);
 
		 	$.each( your_object, function(index, value) 
			{ 
				$('#calendar').fullCalendar( 'removeEvents', value.id);
			});	 

			$('.RevisioneTagliando_'+IdElemento).remove();
		},
		error: function() {
			alert('Opsss :(\nThere was an error while fetching events!');
		}
	});
}

function goToDate(data) 
{
	var date = new Date(data);

	$('#calendar').fullCalendar('gotoDate',date);
}


function rejustCalendar(valPx)
{
	valPx *= 100;
	
	$('#calendar').width( valPx ); 
	$('#calendar').fullCalendar('render');
}
 
function  mostraTabelle()
{
	$("#dialog3").dialog(
	{ 
		title: '',
		modal: true,
		position: ['center',20],
		width: $(document).width()*3/4, 
		height: $(document).height()*0.65,  
		buttons: 
		{	
			"Close": function() 
			{
				$(this).dialog("close");
			}
		}
	} );	
}


	
function aggiungiAssegnazioneConducenti(IdElemento)
{	
	var eventPresent = false;
	
	$.ajax({
		type: 'POST',
		data: { IdElemento: IdElemento }, 
		url: 'json-events-carica_ass_cond.php',
		success: function(calevents)
		{		 
			var your_object = JSON.parse(calevents);
			
		 	$.each( your_object, function(index, value) 
			{
				var obj =  $('#calendar').fullCalendar( 'clientEvents' , value.id );
				obj = obj[0]
 
				try
				{
					if(obj.id==value.id)
						eventPresent = true;
				}
				catch(ex)  
				{}
				
				if(!eventPresent)
					$('#calendar').fullCalendar( 'renderEvent', value, true);	
			}); 
					  
					  
 			if( Object.size(your_object) < 1)
			{
				alert("Attenzione! Nessun elemento trovato.");
			}
			else
			{
				if(!eventPresent)
				{
					var style=' style="background:'+your_object[0].color+' !important; " ';
					
					var Data1 = your_object[0].Data1;	
					var Data2 = your_object[0].Data2;	
					
					var Conducente = your_object[0].Conducente;	
					var Targa = your_object[0].Targa;	 	
					
					var goData1 = 	'<input type="button" value="'+Data1+'" onclick="goToDate(\''+your_object[0].sqlData1+'\')"/>' ;	 
					var goData2 = 	'<input type="button" value="'+Data2+'" onclick="goToDate(\''+your_object[0].sqlData2+'\')"/>' ;	 
					
					var bntDel = '<input type="button" value="nascondi" onclick="cancellaAssegnazioneConducenti('+IdElemento+');"/>';
				
					$('#legend_assegnazione_conducenti tr:last').after('<tr class="AssegnazioneConducenti_'+IdElemento+' "> <td>'+bntDel+'<td>'+Targa+'<td>'+Conducente+'<td>'+goData1+'<td>'+goData2);
				}
			}   
		},
		error: function() 
		{
			alert('Opsss :(\nThere was an error while fetching events!');
		}
	});
} 
 

function cancellaAssegnazioneConducenti(IdElemento)
{
	$.ajax({
		type: 'POST',
		async: false,  
		data: { IdElemento: IdElemento }, 
		url: 'json-events-carica_ass_cond.php',
		success: function(calevents)
		{			
			var your_object = JSON.parse(calevents);
 
		 	$.each( your_object, function(index, value) 
			{ 
				$('#calendar').fullCalendar( 'removeEvents', value.id);
			});	 

			$('.AssegnazioneConducenti_'+IdElemento).remove();
		},
		error: function() {
			alert('Opsss :(\nThere was an error while fetching events!');
		}
	});
}
 