<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Strict//EN"
http://www.w3.org/TR/html4/strict.dtd>
<html>
<head>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/overcast/jquery-ui.css" rel="stylesheet" type="text/css">	
	
	<script type='text/javascript' src='/repository/libs/fullcalendar_latest/fullcalendar/fullcalendar.min.js'></script>
	<link rel='stylesheet' type='text/css' href='/repository/libs/fullcalendar_latest/fullcalendar/fullcalendar.css' /> 
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="../../_ntx/jhp.php"></script>
	
	<script type="text/javascript" src="calendar.js"></script>
	<link href="calendar.css" rel="stylesheet" type="text/css">		
</head>
<body>

<script type='text/javascript'> 
$(document).ready(function() { 
 
	$( "#slider" ).slider({
		range: "min",
		min: 1,
		max: 60,
		value: 8,
		slide: function( event, ui )  
		{
			rejustCalendar( ui.value );
		}
	});  
	
	$('#calendar').fullCalendar(
	{ 
		header: { 
		  left: 'prev,next today',
		  center: 'title', 	
		  right: 'month,agendaWeek,agendaDay'
		}  	
		
		
		,axisFormat: 'HH:mm' 
		,timeFormat: 
		{ 
			month: 'H:mm{ - H:mm}'
			,agenda: 'H:mm{ - H:mm}'
		}
		,minTime: 0
		,maxTime: 24
		,titleFormat:
		 {
			month: 'MMMM yyyy'                              
			,week: "MMM d[ yyyy]{ '&#8212;'[ MMM] d yyyy}"   
		   , day: 'dddd, d/MMM  yyyy'                   
		 }		
		
 		, monthNames: ["Gennaio","Febbraio","Marzo","Aprile","Maggio","Giugno", "Luglio", "Agosto", "Settembre", "Ottobre", "Novembre", "Dicembre" ] 
		, monthNamesShort: ['Gen','Feb','Mar','Apr','Mag','Giu','Lug','Ago','Set','Ott','Nov','Dic'] 
		, dayNames: [ 'Domenica', 'Lunedì', 'Martedì', 'Mercoledì', 'Giovedì', 'Venerdì', 'Sabato'] 
		, dayNamesShort: ['Dom','Lun','Mar','Mer','Gio','Ven','Sab'] 
		, buttonText: 
		{
			today: 'oggi',
			month: 'mese',
			week: 'settimana',
			day: 'giorno'
		}		  
		
		,eventDrop: function(event, delta) 
		{
			alert(event.title + ' modificato ');
		},
		
		dayClick: function(date, allDay, jsEvent, view) 
		{
/* 			var currentTime = new Date(date)
			var month = currentTime.getMonth() + 1
			var day = currentTime.getDate()
			var year = currentTime.getFullYear()				
				
			var dataItaliana = day+"/"+month+"/"+year;	
				
			if( !confirm('Vuoi creare un nuovo evento in data  '+dataItaliana+" ?") ) return;	
	 
			document.form1.ID.value = "X";
			
			var OraIngresso = '00:00';
			var OraUscita = '23:59';
			parent.tbJq_updateTabFrame(document.form1, "edit", 'edit_movimenti.php?DataPrincipale='+dataItaliana+"&OraIngresso="+OraIngresso+"&OraUscita="+OraUscita+'&mobile='+parent.mobile);	
			parent.tbJq_showTabFrame("edit"); 	 */	 
		},
		
		eventClick: function(calEvent, jsEvent, view) 
		{
			var title = calEvent.title;
			var Id = calEvent.id;		
			
			var array = Id.split("_");
			var tipo = array[0];
		 
			if(tipo=='REVISIONE_TAGLIANDO')
			{	
				var tmp =  array[2].split(":");
				var IdElemento = tmp[1];		  
			}
			
			if(tipo=='ASSEGNAZIONE_CONDUCENTI')
			{	
				var tmp =  array[2].split(":");
				var IdElemento = tmp[1];		  
			}
		},
		
		eventAfterRender: function(event, element, view) 
		{		
			if (view.name == 'agendaDay') 
			{
				var numElemDayAgenda = $('.numElemDayAgenda').val();
				numElemDayAgenda = $.isNumeric(numElemDayAgenda) ? parseInt(numElemDayAgenda)+1 : 1;
				
				var width = $('#calendar').width( ); 
				width = width/numElemDayAgenda;  
				
				$(element).css('width', width+'px'); 
			}
		} 		
	}); 	 
}); 
</script>


<div id="containerSettings" >
	<button  onclick="window.print(); return false;" class="bntPrint tastiEditing" >  
		<img src="/repository/_icons/printer.png" /> Stampa
	</button>

	<button  onclick="mostraTabelle(); return false;" class="bntInfo tastiEditing"> 
		<img src="/repository/_icons/exclamation.png" /> tabella con movimenti caricati
	</button>

	<div class="containerNumElementi" >visualizza <input type="text"  class="numElemDayAgenda" title="number of items in day view" value="4" /> elementi per cella</div>
	
	<div id="slider"  ></div>
</div>
  
  
<div id='calendar'></div>
 
	 
<div id="dialog3"  style="display:none;">
	<table style="width:90%;">
		<tr>
			<td>  
				<h3>Revisioni e Tagliandi</h3>
				<table id="legend_revisioni_tagliandi" style="width:100%;" class="tblLegend" >
					<tr>
						<th>&nbsp;&nbsp;&nbsp;
						<th>Tipo
						<th>Targa
						<th>Data
						<th>Descrizione 
						<th>&nbsp;&nbsp;&nbsp;
					</tr>
				</table>	
				
				<br><br><br>
				<h3>Assegnazione a conducenti</h3>
				<table id="legend_assegnazione_conducenti" style="width:100%;" class="tblLegend" >
					<tr>
						<th>&nbsp;&nbsp;&nbsp;
						<th>Targa
						<th>Conducente 
						<th>DataInizio
						<th>DataFine
					</tr>
				</table>	
	</table>		
</div>
 
 

<form id="form1" name="form1" method="post" >
	<input type="hidden" name="ID" />
</form>	 
  
  
</body>
</html>
