<?php
require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa'); 
$IdElemento = ntxip('IdElemento');
 
 
$result = array();

$sql = <<< sql
SELECT    
	AutomezziAssicurazione.*, 
	Automezzi.Numero, Automezzi.Targa, Automezzi.Modello
	
FROM         
	AutomezziAssicurazione 
	INNER JOIN
	Automezzi ON AutomezziAssicurazione.IdAutomezzo = Automezzi.ID
	
WHERE     
	AutomezziAssicurazione.ID = $IdElemento
sql;
  
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{
	$Targa = $rs[Targa];
	$Numero = $rs[Numero];
	$Modello = $rs[Modello];
	$Descrizione = "assicurazione con scadenza ".ntxDate($rs[DataScadenza]).". Premio netto annuo di ".ntxRound($rs[PremioNettoAnnuo],2)." e RCA di ".ntxDate(RCA);
	
	$color = "#A2CD5A";
	
	$Data = $rs[DataScadenza];  

	
	$result[] = array(
		'id' => "ASSICURAZIONE"."_"."COM:$IdCommessa"."_"."ID:$IdElemento" 
		,'title' => "[".strtoupper($Numero)." - ".strtoupper($Targa)."] - ".$Descrizione
		,'start' => $Data
		,'end' => $Data 
		 
		,'Data' => ntxDateTime($Data)    
		,'Numero' => htmlentities($rs[Numero])   
		,'Modello' => htmlentities($rs[Modello])   
		,'Targa' => htmlentities($rs[Targa])   
		,'Descrizione' => htmlentities($rs[Descrizione])   
		
		,'sqlData' => $rs[Data]
		
		,'allDay' => false
		,'color' => $color
	);
}


$json = new Services_JSON();
echo $json->encode( $result  );
?>
