<?php
require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa'); 
$IdElemento = ntxip('IdElemento');
 
 
$result = array();

$sql = <<< sql
SELECT    
	AutomezziAttrezzature.*, 
	Automezzi.Numero, Automezzi.Targa, Automezzi.Modello
	
FROM         
	AutomezziAttrezzature 
	INNER JOIN
	Automezzi ON AutomezziAttrezzature.IdAutomezzo = Automezzi.ID
	
WHERE     
	AutomezziAttrezzature.ID = $IdElemento
sql;
  
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{
	$Targa = $rs[Targa];
	$Numero = $rs[Numero];
	$Modello = $rs[Modello];
	$Descrizione = "attrezzatura ".$rs['Nome']." - ".$rs['Marca']." - ".$rs['Matricola']." con scadenza ".ntxDate($rs[DataScadenzaVerificaAUSL])." e frequenza verifica di ".ntxRound($rs[FrequenzaVerificaAUSL],2)." mesi e data di verifica periodica il ".ntxDate($rs[DataVerificaPeriodica]);
	
	$color = "#6495ED";
	
	$Data = $rs[DataScadenzaVerificaAUSL];  

	
	$result[] = array(
		'id' => "ATTREZZATURA"."_"."COM:$IdCommessa"."_"."ID:$IdElemento" 
		,'title' => "[".strtoupper($Numero)." - ".strtoupper($Targa)."] - ".$Descrizione
		,'start' => $Data
		,'end' => $Data 
		 
		,'Data' => ntxDateTime($Data)    
		,'Numero' => htmlentities($rs[Numero])   
		,'Modello' => htmlentities($rs[Modello])   
		,'Targa' => htmlentities($rs[Targa])   
		,'Descrizione' => htmlentities($rs[Descrizione])   
		
		,'sqlData' => $rs[Data]
		
		,'allDay' => false
		,'color' => $color
	);
}


$json = new Services_JSON();
echo $json->encode( $result  );
?>
