<?php
require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');   
 
$result = array(); 


$sqlWhereAutomezzi = '';
if ( is_numeric($_POST['MassaComplessiva1']) ) 
{
	$value = ntxfp("MassaComplessiva1");
	$sqlWhereAutomezzi .= " AND Automezzi.MassaComplessiva >=  $value ";
}  

if ( is_numeric($_POST['MassaComplessiva2']) ) 
{
	$value = ntxfp("MassaComplessiva2");
	$sqlWhereAutomezzi .= " AND Automezzi.MassaComplessiva <=  $value ";
}  


$sql = <<< sql
SELECT    
	AutomezziRevisioni.ID
	, 'revisione' AS TIPO
	
FROM         
	AutomezziRevisioni 
	INNER JOIN
	Automezzi ON AutomezziRevisioni.IdAutomezzo = Automezzi.ID
	
WHERE     
	Automezzi.IdCommessa = $IdCommessa 
	$sqlWhereAutomezzi
sql;

if ( is_numeric($_POST['NumMese']) ) 
{
	$value = ntxip("NumMese");
	$sql .= " AND MONTH( AutomezziRevisioni.DataScadenza ) =  $value ";
}  

if ( is_numeric($_POST['Anno']) ) 
{
	$value = ntxip("Anno");
	$sql .= " AND YEAR( AutomezziRevisioni.DataScadenza ) =  $value ";
}  
 
if ( isset($_POST['DataRevisione1'])  &&  strlen($_POST['DataRevisione1'])>0) 
{
	$str = ntxtp("DataRevisione1");
	$sql .= " AND AutomezziRevisioni.DataRevisione >= ".$str." ";
}

if ( isset($_POST['DataRevisione2'])  &&  strlen($_POST['DataRevisione2'])>0) 
{
	$str = ntxtp("DataRevisione2");
	$sql .= " AND AutomezziRevisioni.DataRevisione <= ".$str." ";
}	 

if ( isset($_POST['DataScadenza1'])  &&  strlen($_POST['DataScadenza1'])>0) 
{
	$str = ntxtp("DataScadenza1");
	$sql .= " AND AutomezziRevisioni.DataScadenza >= ".$str." ";
}

if ( isset($_POST['DataScadenza2'])  &&  strlen($_POST['DataScadenza2'])>0) 
{
	$str = ntxtp("DataScadenza2");
	$sql .= " AND AutomezziRevisioni.DataScadenza <= ".$str." ";
}	  

$query = ntxQuery($sql);
while( $rs = ntxRecord($query) )
{ 
	$result[] = $rs;
} 
 

$sql = <<< sql
SELECT    
	AutomezziAttrezzature.ID
	, 'attezzatura' AS TIPO
	
FROM         
	AutomezziAttrezzature 
	INNER JOIN
	Automezzi ON AutomezziAttrezzature.IdAutomezzo = Automezzi.ID
	
WHERE     
	Automezzi.IdCommessa = $IdCommessa 
	$sqlWhereAutomezzi
sql;

if ( is_numeric($_POST['NumMese']) ) 
{
	$value = ntxip("NumMese");
	$sql .= " AND MONTH( AutomezziAttrezzature.DataScadenzaVerificaAUSL ) =  $value ";
}  

if ( is_numeric($_POST['Anno']) ) 
{
	$value = ntxip("Anno");
	$sql .= " AND YEAR( AutomezziAttrezzature.DataScadenzaVerificaAUSL ) =  $value ";
}  

$query = ntxQuery($sql);
while( $rs = ntxRecord($query) )
{ 
	$result[] = $rs;
}



$sql = <<< sql
SELECT    
	AutomezziAssicurazione.ID
	, 'assicurazione' AS TIPO
	
FROM         
	AutomezziAssicurazione 
	INNER JOIN
	Automezzi ON AutomezziAssicurazione.IdAutomezzo = Automezzi.ID
	
WHERE     
	Automezzi.IdCommessa = $IdCommessa 
	$sqlWhereAutomezzi
sql;

if ( is_numeric($_POST['NumMese']) ) 
{
	$value = ntxip("NumMese");
	$sql .= " AND MONTH( AutomezziAssicurazione.DataScadenza ) =  $value ";
}  

if ( is_numeric($_POST['Anno']) ) 
{
	$value = ntxip("Anno");
	$sql .= " AND YEAR( AutomezziAssicurazione.DataScadenza ) =  $value ";
}  

$query = ntxQuery($sql);
while( $rs = ntxRecord($query) )
{ 
	$result[] = $rs;
}


$json = new Services_JSON();
echo $json->encode( $result  );
?>
