<?php
require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa'); 
$IdElemento = ntxip('IdElemento');
 
 
$result = array();

$sql = <<< sql
SELECT    
	AutomezziRevisioniTagliandi.*, 
	Automezzi.Targa, Automezzi.Modello, Automezzi.AnnoImmatricolazione, Automezzi.AnnoAcquisto
	
FROM         
	AutomezziRevisioniTagliandi 
	INNER JOIN
	Automezzi ON AutomezziRevisioniTagliandi.IdAutomezzo = Automezzi.ID
	
WHERE     
	AutomezziRevisioniTagliandi.ID = $IdElemento
sql;
 
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{
	$Targa = $rs[Targa];
	$Tipo = $rs[Tipo];
	$Descrizione = $rs[Descrizione];
	
	$color = "#CD5555";
	
	$Data = $rs[Data];  

	
	$result[] = array(
		'id' => "REVISIONE_TAGLIANDO"."_"."COM:$IdCommessa"."_"."ID:$IdElemento" 
		,'title' => "[".strtoupper($Tipo)."] - ".$Descrizione 
		,'start' => $Data
		,'end' => $Data 
		 
		,'Data' => ntxDateTime($rs[Data])  
		,'Tipo' => htmlentities($rs[Tipo])   
		,'Targa' => htmlentities($rs[Targa])   
		,'Descrizione' => htmlentities($rs[Descrizione])   
		
		,'sqlData' => $rs[Data]
		
		,'allDay' => false
		,'color' => $color
	);
}


$json = new Services_JSON();
echo $json->encode( $result  );
?>
