<?php
$IdCommessa = ntxise('IdCommessa'); 
$sql = <<< sql

	SELECT DISTINCT  Automezzi.*
	
	FROM  Automezzi
	
	WHERE 
		(Automezzi.ID = $ID)  
sql;

$msg_error = "Automezzi with $ID not found!";
$record = ntxRecordArray($sql, $msg_error);
  

$record[Ammortamento_ValoreAcquisto] = ntxRound( $record[Ammortamento_ValoreAcquisto], 2 );

$record[KMiniziali] = ntxRound( $record[KMiniziali], 2 );

$record[PortataLorda] = ntxRound( $record[PortataLorda], 2 );
$record[PortataNetta] = ntxRound( $record[PortataNetta], 2 );
$record[Tara] = ntxRound( $record[Tara], 2 );

$record[DataInserimento] = ntxDateTime( $record[DataInserimento] );
$record[DataUltimaModifica] = ntxDateTime( $record[DataUltimaModifica] );

$record[Noleggio_DataScadenza] = ntxDate( $record[Noleggio_DataScadenza] );
  

  
$record[MassaComplessiva] = ntxRound( $record[MassaComplessiva], 2 );  
$record[PU] = ntxRound( $record[PU], 2 );  
$record[KM] = ntxRound( $record[KM], 2 );  
$record[KW] = ntxRound( $record[KW], 2 );  
$record[Cilindrata] = ntxRound( $record[Cilindrata], 2 );  
$record[Lunghezza] = ntxRound( $record[Lunghezza], 2 );  
$record[Larghezza] = ntxRound( $record[Larghezza], 2 );  
$record[SblazoPost] = ntxRound( $record[SblazoPost], 2 );  
$record[Interasse1] = ntxRound( $record[Interasse1], 2 );  
$record[Interasse2] = ntxRound( $record[Interasse2], 2 );  
	
$record[Noleggio_ImportoMensile] = ntxRound( $record[Noleggio_ImportoMensile], 2 );  
  
$record[Noleggio_DataInizio] = ntxDate( $record[Noleggio_DataInizio] ); 
$record[Noleggio_DataFine] = ntxDate( $record[Noleggio_DataFine] ); 
	
$record[DataImmatricolazione] = ntxDate( $record[DataImmatricolazione] ); 
$record[DataInizioPossesso] = ntxDate( $record[DataInizioPossesso] ); 
$record[DataVendita] = ntxDate( $record[DataVendita] ); 
$record[ANGA_DataIscrizione_CAT1B] = ntxDate( $record[ANGA_DataIscrizione_CAT1B] ); 
$record[ANGA_DataIscrizione_CAT1C] = ntxDate( $record[ANGA_DataIscrizione_CAT1C] ); 
$record[ANGA_DataIscrizione_1B_SPAZZ] = ntxDate( $record[ANGA_DataIscrizione_1B_SPAZZ] ); 
$record[VisuraMotorizzazione] = ntxDate( $record[VisuraMotorizzazione] ); 
  
  
$record = ntxRecordTranslate($record);

ntxMsgResult( $record );
?>