<?php
	
$where = "WHERE (tblContrattiFornitori.IdCommessa = $IdCommessa) AND tblContrattiFornitori.Aperto=1";

$where .= "AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $IdEdificio)";

$where .= "AND (tblMestieri.IdMestiere = $IdMestiere)";

if ( $DataInizio!="NULL" ) $where .= "AND (tblContrattiFornitori.DataFine >= $DataInizio)";

if ( $DataFine!="NULL" ) $where .= "AND (tblContrattiFornitori.DataInizio <= $DataFine)";

//attività componenti mestiere
$sql = <<< sql
SELECT DISTINCT tblAttivitàMestiere.Ordine, tblAttivitàMestiere.codice, tblAttivitàMestiere.IdComponenteMestiere, 
				tblAttivitàMestiere.IdAttivitàMestiere, tblAttivitàMestiere.Descrizione,
					 tblAttivitàMestiere.Tipologia, tblFrequenzeMestieri.Descrizione AS Frequenza,
					Ditte.Ditta AS Attore, tblContrattiFornitori.IdContrattoFornitore IdContratto, tblContrattiFornitori.Descrizione DesContratto,
					tblContrattiFornitori.DataInizio, tblContrattiFornitori.DataFine
FROM         tblContrattiFornitori INNER JOIN
                      tblContrattiFornitoriAttivitàMestiereEdifici ON tblContrattiFornitori.IdContrattoFornitore = tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore INNER JOIN
                      ElencoEdifici ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                      Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta INNER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario INNER JOIN
                      tblAttivitàMestiere ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
					   INNER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
$where
order by Ordine, codice, Descrizione, Attore, IdContratto
sql;

$query = ntxQuery($sql);

$listaIdComponenteMestiere = array();

$ceComponenteMestiere = array();

$occorrenzeAttività = array();

$attivitàMestieri = array();

while($rs=ntxRecord($query))
{
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	$html = array();
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$listaIdComponenteMestiere[$rs[IdComponenteMestiere]] = $rs[IdComponenteMestiere];	
	$ceComponenteMestiere[$rs[IdComponenteMestiere]] = 1;	
	
	$occorrenzeAttività[$rs[IdComponenteMestiere]][$rs[IdAttivitàMestiere]] += 1;	
	
	$attivitàMestieri[$rs[IdComponenteMestiere]][] = $html;	
}

foreach($listaIdComponenteMestiere as $IdComponenteMestiere)
{
	$occorrenze = $occorrenzeAttività[$IdComponenteMestiere];
	
	foreach($occorrenze as $num_occorrenze)
	{
		if ($num_occorrenze>1)
		{
			$doppioniAttivitàInComponente[$IdComponenteMestiere] = 1;
			break;
		}
	}
}


?>