<?php
session_start();
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
 
$IdCommessa = ntxise('IdCommessa'); 
 
 
$record = array();  

$sql = <<<_SQL
SELECT DISTINCT  Ditte.IDDitta AS IdDitta, Risorse.ID AS IdRisorsa 

FROM         Risorse INNER JOIN
					  Ditte ON Risorse.CodDitta = Ditte.IDDitta INNER JOIN
					  DitteCommesse ON Ditte.IDDitta = DitteCommesse.IdDitta INNER JOIN
					  RisorseGPS ON Risorse.ID = RisorseGPS.IdRisorsa
WHERE     
	datediff(day, RisorseGPS.Data, getdate())=0
	AND (DitteCommesse.IdCommessa = $IdCommessa)
_SQL;
 
$query = ntxQuery($sql);
 
while(  $query  &&  $rs = ntxRecord($query) )
{	
	$IdRisorsa = $rs['IdRisorsa'];
	
	$sql = <<<_SQL
	SELECT TOP 1 
		Ditte.IDDitta AS IdDitta, Risorse.ID AS IdRisorsa, RisorseGPS.lat, RisorseGPS.lng, RisorseGPS.Data,
		Risorse.NOME AS Risorsa, Risorse.qualifica, Ditte.Ditta, Ditte.Sede, DitteCommesse.IdCommessa

	FROM         
		Risorse 
		INNER JOIN
		Ditte ON Risorse.CodDitta = Ditte.IDDitta 
		INNER JOIN
		DitteCommesse ON Ditte.IDDitta = DitteCommesse.IdDitta 
		INNER JOIN
		RisorseGPS ON Risorse.ID = RisorseGPS.IdRisorsa
		
	WHERE     
		datediff( day, RisorseGPS.Data, getdate() )=0
		AND  Risorse.ID = $IdRisorsa 
		AND (DitteCommesse.IdCommessa = $IdCommessa)
_SQL;
	$sql .= " ORDER BY RisorseGPS.Data DESC " ;	
		

	$rs2 = ntxRecord( ntxQuery($sql) );
	$rs2['Data'] = ntxDateTime($rs2['Data']);
	
 
 
	
	$sql = <<<_SQL
	SELECT     COUNT(Ordini.IdOrd) AS conteggio, Ordini.StatoOrd
	
	FROM         
		Ordini 
		INNER JOIN
		StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato 
		INNER JOIN
		Ditte ON Ordini.Assegnazione = Ditte.IDDitta
		INNER JOIN
		Risorse ON Ditte.IDDitta = Risorse.CodDitta
		
	WHERE     
		Risorse.ID = $IdRisorsa
		AND (Ordini.StatoOrd = 35 OR  Ordini.StatoOrd = 40)
		
	GROUP BY Ordini.StatoOrd
_SQL;
	$queryTmp = ntxQuery($sql);
	while(  $queryTmp  &&  $rsTmp = ntxRecord($queryTmp) )
	{	
		$rs2[ $rsTmp['StatoOrd'] ] = $rsTmp['conteggio'];
	}
  	
	
	
	$record[] = $rs2;
}

jhp($record);  
?>
