<?php
session_start();

require_once( "../../../../_libs/json/class.JSON.php");
require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$json = new Services_JSON();
$result = array();

/*
require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
*/ 
$IdCommessa = ntxise('IdCommessa');
$Utente= ntxsse('Utente');
 
$record = array(); 


$where_add = "";
$Edifici = explode(",",$_POST[arrayIdEdifici]);
foreach($Edifici as $IdEdificio)
{
	if (is_numeric($IdEdificio))
	{
		if ($where_add != "")
			$where_add .= " OR ";
		else
			$where_add = " AND (";
		
		$where_add .= "ElencoEdifici.ID = $IdEdificio";
	}
}
if( strlen($where_add)>0 ) $where_add.=" ) ";

$sql = <<<_SQL
SELECT  DISTINCT   
	ElencoEdifici.ID AS IdEdificio, 
	ISNULL(ElencoEdifici.Codice, '') +' '+ ISNULL(ElencoEdifici.EdificioBreve, '') +' '+ ISNULL(ElencoEdifici.Sede, '') AS Edificio, 
	ISNULL(ElencoEdifici.Indirizzo, '') +' '+  ISNULL(ElencoEdifici.CAP, '') +' '+  ISNULL(ElencoEdifici.CITTA, '') +' '+  ISNULL(ElencoEdifici.PROVINCIA, '') AS Indirizzo, 
	ElencoEdifici.Latitudine AS lat, ElencoEdifici.Longitudine AS lng,
	ElencoEdifici.Tipo, ElencoEdifici.Polilinea
	
FROM         
	ElencoEdifici INNER JOIN
	UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
	Utenti ON UtentiEdifici.IdUtente = Utenti.Id  
	
WHERE  
	(Utenti.Nome = $Utente) 
	AND (ElencoEdifici.IdCommessa = $IdCommessa )
	AND ( ElencoEdifici.Latitudine IS NOT NULL OR ElencoEdifici.Longitudine IS NOT NULL OR ElencoEdifici.Polilinea IS NOT NULL )
	$where_add
_SQL;

if( is_numeric($_POST['Tipo']) ) 
{
	$value = $_POST['Tipo'];  
	
	if($value==0 || !is_numeric($value))
		$sql .= " AND ( Tipo = 0 OR Tipo IS NULL ) " ;
	else  
		$sql .= " AND ( Tipo = $value ) " ; 
}  

if( isset($_POST['FiltroNomeEdificio'])  &&  strlen($_POST['FiltroNomeEdificio'])>0) 
{ 
	$str = stripslashes($_POST['FiltroNomeEdificio']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.EdificioBreve LIKE '%".$str."%' ";	
}  
  
$query = ntxQuery($sql); 
  
while( $rs = ntxRecord($query) )
{	 
	$IdEdificio = $rs['IdEdificio'];
	
	$sql = <<<_SQL
	SELECT      COUNT(Ordini.IdOrd) AS conteggio
	
	FROM         
		Richieste 
		INNER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa	
		
	WHERE     
		Ordini.CodEdificio = $IdEdificio
		AND Ordini.IDCommessa = $IdCommessa 
		AND (Ordini.StatoOrd = 35 OR  Ordini.StatoOrd = 40)
_SQL;

	$query2 = ntxQuery($sql);
	while(  $query2  &&  $rs2 = ntxRecord($query2) )
	{	
		$rs['ordini_in_corso' ] = $rs2['conteggio'];
	}
	
	
	$sql = <<<_SQL
	SELECT      COUNT(Ordini.IdOrd) AS conteggio
	
	FROM         
		Richieste 
		INNER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa	
		
	WHERE     
		Ordini.CodEdificio = $IdEdificio
		AND Ordini.IDCommessa = $IdCommessa
		AND Ordini.StatoOrd >=50 
		AND  Ordini.StatoOrd <> 60
		AND  Ordini.StatoOrd <> 70	
_SQL;

	$query2 = ntxQuery($sql);
	while(  $query2  &&  $rs2 = ntxRecord($query2) )
	{	
		$rs['ordini_finiti' ] = $rs2['conteggio'];
	}
	
	
	$sql = <<<_SQL
	SELECT      COUNT(Richieste.IdRich) AS conteggio
	
	FROM         
		Richieste 
		LEFT OUTER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa	
		
	WHERE     
		Richieste.Localizzazione = $IdEdificio
		AND Richieste.IDCommessa = $IdCommessa
		AND Ordini.IdOrd IS NULL
		AND 
			(
				Richieste.Stato = -1
				OR Richieste.Stato = 1 		
			)
_SQL;

	$query2 = ntxQuery($sql);
	while(  $query2  &&  $rs2 = ntxRecord($query2) )
	{	
		$rs['richieste_da_gestire' ] = $rs2['conteggio'];
	}
	
	
	$sql = <<<_SQL
	SELECT      COUNT(Richieste.IdRich) AS conteggio
	
	FROM         
		Richieste 
		LEFT OUTER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa	
		
	WHERE     
		Richieste.Localizzazione = $IdEdificio
		AND Richieste.IDCommessa = $IdCommessa
		AND Ordini.IdOrd IS NULL
		AND 
			(
				Richieste.Stato = 2 	
			)
_SQL;

	$query2 = ntxQuery($sql);
	while(  $query2  &&  $rs2 = ntxRecord($query2) )
	{	
		$rs['richieste_in_attesa_di_valut' ] = $rs2['conteggio'];
	} 
	
 
	$record[] = $rs;
} 
 
//jhp($record);  

echo $json->encode( $record  );
?>
