<?php  
header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

print_r($_POST);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
		<style>		
		th
		{
			color: black;
			font-weight: bold;
		} 
		
		table
		,th
		,td	
		{
			border: 0.5pt solid black; 
			font-size:12px; 
		}	
		
		.td2
		{
			background: #C0C0C0;
		}
		</style>
	</head>
<body> 
 
<table>
	<tr> 
		<th>Edificio 		
		<th>Data 		
		<th>Persona 		 
		<th>email 	     
		<th>tel 	     
		<th>Indirizzo 	     
		<th>Città 	     
		<th>CAP 	     
		<th>Prov 	     
		<th>Rimani aggiornato? 	     
	</tr>    

	<?php	
	require_once('query.inc');
	?>

<?php
	$alternate = true;
	
	while( $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "td2";  
		
		$IdCustomerHeaderRisposte = $rs['ID'];
		
		$Stato = "X";
		if( is_numeric($rs[Stato])  &&  $rs[Stato]==1 )
			$Stato = "SI";
		elseif( is_numeric($rs[Stato])  &&  $rs[Stato]==0 )
			$Stato = "NO";	
?>
		<tr> 
			<td class="<?php echo $classe ?>" >
			<?php echo htmlentities($rs['Edificio']) ?>  
			
			<td class="<?php echo $classe ?>" >
			<?php echo ntxDate($rs['Data']) ?>  
			
			<td class="<?php echo $classe ?>" >
			<?php echo htmlentities($rs['Nome']) ?>  					
			<?php echo htmlentities($rs['Cognome']) ?>  	
			
			<td class="<?php echo $classe ?>" >
			<?php echo htmlentities($rs['email']) ?>  	  
			
			<td class="<?php echo $classe ?>" >
			<?php echo htmlentities($rs['tel']) ?>  

			<td class="<?php echo $classe ?>" >
			<?php echo htmlentities($rs['Via']) ?>  					
			<?php echo htmlentities($rs['Numero']) ?>  			
			
			<td class="<?php echo $classe ?>" >
			<?php echo htmlentities($rs['Citta']) ?>  	

			<td class="<?php echo $classe ?>" >			
			<?php echo htmlentities($rs['CAP']) ?> 

			<td class="<?php echo $classe ?>" >			
			<?php echo htmlentities($rs['Provincia']) ?>  
			
			<td class="<?php echo $classe ?>" >
			<?php if(is_numeric($rs['Segui'])  &&  $rs['Segui']==1) echo 'SI'; ?>  					
			<?php if(is_numeric($rs['Segui'])  &&  $rs['Segui']==0) echo 'NO'; ?>  		 
			
			<td class="<?php echo $classe ?>" >
			<?php
			$Valori = explode(",",$_POST[IDdomandeDaVisualizzare]);

			$where = "";
			foreach($Valori as $id)
			{
				if (is_numeric($id))
				{
					if ($where != "")
						$where .= " OR ";
					else
						$where = " AND (";
					
					$where .= " Customers_Domande.ID = $id ";
				}
			}
			if ($where != "")
				$where .= ")"; 
				
			if(strlen($where)>0)
			{
				$sql2 = <<<_SQL
				SELECT Customers_Domande.*, Customers_TipoOggetto.Nome AS Oggetto
				FROM  Customers_Domande
				LEFT OUTER JOIN
				Customers_TipoOggetto ON Customers_Domande.IdOggetto = Customers_TipoOggetto.ID
				WHERE 
					Customers_Domande.IdCommessa = $IdCommessa
					$where
					
				ORDER BY Customers_Domande.Ordine		 
_SQL;
				$query2 = ntxQuery($sql2);	
				
				while( $rs2 = ntxRecord($query2) )
				{
					$IdDomanda = $rs2[ID]; 
					
				?>
					<table>
					<tr> 									
					<td class="<?php echo $classe ?>" >
					<strong>Domanda <?php echo htmlentities($rs2['Ordine']) ?> </strong>	 
					<?php echo htmlentities($rs2['Oggetto']) ?> 
					<?php echo htmlentities($rs2['Domanda']) ?> 
							
					<?php	 
					$ValoriRisposte = array();
					
					$sql = <<< _SQL
					SELECT DISTINCT Customers_ValoriRisposte.ID, Customers_ValoriRisposte.Nome 
					FROM  Customers_ValoriRisposte  
_SQL;
					$query3 = ntxQuery($sql);	
					while( $rs3 = ntxRecord($query3) ) 
					{  
						$ValoriRisposte[ $rs3[ID] ] = $rs3[Nome];
					}	 
					?> 

					<?php
					$out = '';
					
					$sql = <<< _SQL
					SELECT IdValori_Risposta, Risposta
					FROM  Customer_RisposteSuEdificio
					WHERE 
						IdDomanda = $IdDomanda
						AND IdCustomerHeaderRisposte = $IdCustomerHeaderRisposte 
_SQL;
					$rs3 = ntxRecord( ntxQuery($sql) ); 
					$IdValori_Risposta = $rs3[IdValori_Risposta];
					$Risposta = $rs3[Risposta];
					
					$IdValori_Risposta_explode = explode(",",$IdValori_Risposta);

					$strValori = '';
					foreach($IdValori_Risposta_explode as $id)
					{
						if (is_numeric($id))
						{
							if ($strValori != "")
								$strValori .= " <br> ";
							else
								$strValori = "";
							
							$strValori .= "".$ValoriRisposte[ $id ];
						}
					} 	

					if( strlen($strValori)>0 )
						$out .= "<td> <strong>scelte</strong> <br>$strValori";

					if( strlen($Risposta)>0  &&  $Risposta!='undefined')
						$out .= "<td> <strong>testo</strong> <br>$Risposta";
						 
					echo $out; //IMPORTANTE!	
					?>			
					</table>				
				<?php
				} 
				?>	
			<?php
			}
			?>
				
		</tr>
<?php 
		$alternate = !$alternate;
	}
?>
</table>  
		
</body>
</html>
