<?php  

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT DISTINCT 
			tblUtUtilizzatori.IdUtilizzatore,
			tblUtUtilizzatori.CodiceUtilizzatore, 
			tblUtUtilizzatori.Nome, 
			tblUtUtilizzatori.Descrizione, 
			tblUtUtilizzatori.Nota, 
			tblUtUtilizzatori.cdc,
			(SELECT TOP 1 t2.IdEdificio FROM tblUtEdifici t2
				WHERE t2.IdCommessa = tblUtUtilizzatori.IdCommessa 
				AND t2.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore) IdEdificio,
			(SELECT COUNT(*) FROM tblUtEdifici t2
				WHERE t2.IdCommessa = tblUtUtilizzatori.IdCommessa 
				AND t2.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore) CountEdifici
	FROM         tblUtUtilizzatori LEFT OUTER JOIN tblUtEdifici 
				ON tblUtEdifici.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtEdifici.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	WHERE     (tblUtUtilizzatori.IdCommessa = $IdCommessa)  
sql;

/* if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (tblUtEdifici.IdEdificio = $IdEdificio) ";
} */
	
	
$where_add = "";
$Edifici = explode(",",$_POST[Edifici]);
foreach($Edifici as $IdEdificio)
{
	if (is_numeric($IdEdificio))
	{
		if ($where_add != "")
			$where_add .= " OR ";
		else
			$where_add = " AND (";
		
		$where_add .= "tblUtEdifici.IdEdificio = $IdEdificio";
	}
}
if( strlen($where_add)>0 ) $where_add.=" ) ";
$sql.=$where_add;

if ( isset($_POST['CodiceUtilizzatore'])  &&  strlen($_POST['CodiceUtilizzatore'])>0) 
{
	$str = stripslashes($_POST['CodiceUtilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.CodiceUtilizzatore = '$str' ";
}

if ( isset($_POST['Nome'])  &&  strlen($_POST['Nome'])>0) 
{
	$str = stripslashes($_POST['Nome']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Nome LIKE '%$str%' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Descrizione  LIKE '%$str%' ";
}

if ( isset($_POST['Nota'])  &&  strlen($_POST['Nota'])>0) 
{
	$str = stripslashes($_POST['Nota']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Nota LIKE '%$str%' ";
}

if ( isset($_POST['cdc'])  &&  strlen($_POST['cdc'])>0) 
{
	$str = stripslashes($_POST['cdc']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.cdc = '$str' ";
}

$sql .= " ORDER BY tblUtUtilizzatori.Nome;";

$query = ntxQuery($sql);
	
?>
