<?php
$IdCommessa = ntxise('IdCommessa');  
$data1 = ntxtp('data1');
$data2 = ntxtp('data2'); 
 
 
$sqlDate =  <<<_SQL
SELECT 
	*
	,datepart( dw, data ) AS giorno_dw
FROM 
	GiorniTra2Date( $data1 , $data2 )
_SQL;

$sqlEdifici = <<<_SQL
SELECT DISTINCT
	ElencoEdifici.IdCommessa, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CAP, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA
FROM  
	Risorse 
	INNER JOIN
	RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa 
	INNER JOIN
	ElencoEdifici ON RisorseEdifici.IdCommessa = ElencoEdifici.IdCommessa AND RisorseEdifici.IdEdificio = ElencoEdifici.ID
WHERE 
	RisorseEdifici.IdCommessa = $IdCommessa
_SQL;

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sqlEdifici .= " AND ElencoEdifici.Indirizzo LIKE '%".$str."%' ";
}

if ( isset($_POST['EdificioBreve'])  &&  strlen($_POST['EdificioBreve'])>0) 
{
	$str = stripslashes($_POST['EdificioBreve']."");
	$str = str_replace("'", "''", $str);
	$sqlEdifici .= " AND ElencoEdifici.EdificioBreve LIKE '%".$str."%' ";
}

$sqlEdifici .= " ORDER BY Codice, EdificioBreve "; 

$queryEdifici = ntxQuery($sqlEdifici); 
?> 

<h3 style="text-align:left;" ><?php $traduttore->html('Risultati dal') ?> <?php echo $_POST[data1] ?> <?php $traduttore->html('al') ?> <?php echo $_POST[data2] ?></h3>

<div> 

	<table>
		<tr>
			<th class="th1" ><?php $traduttore->html('Localizzazione') ?>
			<?php 
			$query1 = ntxQuery($sqlDate);  
			while( $rs1 = ntxRecord($query1) )
			{ 	
				$data = ntxDate($rs1[data]);
			?> 
				<th class="th1" >
					<?php echo htmlentities( $giorniArrayByIndex[$rs1[giorno_dw]] ) ?> 
					<?php echo htmlentities($data) ?> 
			<?php
			} 		
			?> 		
			<th class="th1" ><?php $traduttore->html('Tot Sede') ?> 
		
		<?php
		$totEdificio = array();
		$totGiornata = array();
		$totTariffaOrariaGiornata = array();
		$totComplessivo = 0.00;
		$totEdificio_1 = array();
		$totGiornata_1 = array();
		$totComplessivo_1 = 0.00;
		while( $rs1 = ntxRecord($queryEdifici) )
		{ 	
			$IdEdificio = $rs1[IdEdificio];
			
			$totEdificio[ $IdEdificio ] = 0.00;
		?>
			<tr>
				<td class="th2" >
					<div style="width:200px;" >
					<?php echo htmlentities($rs1[EdificioBreve]) ?>
					<?php echo htmlentities($rs1[Indirizzo]) ?>
					<?php echo htmlentities($rs1[CAP]) ?>
					<?php echo htmlentities($rs1[CITTA]) ?>
					</div>
					
					<?php
					$query2 = ntxQuery($sqlDate);
					while( $rs2 = ntxRecord($query2) )
					{ 	 
						$data = ntxDate($rs2[data]);
						$dataDbo = ntxt($data);
						
						$giorno_dw = ntxScalar("select datepart( dw,$dataDbo )"); 
						
						$totGiornata[ "$data" ] += 0.00; 
						
						$sqlInt = <<<_SQL
						SELECT 
							*
							, datediff(minute, dbo.cdate('1/1/2000 '+OraInizio), dbo.cdate('1/1/2000 '+OraFine)) AS diffMin
							, IdRisorsa
							, TariffaOraria
						FROM
						(
							SELECT DISTINCT  
								TurniOrari.ID, TurniOrari.IdTurno, TurniOrari.GiornoSettimana, TurniOrari.OraInizio, TurniOrari.OraFine,
								Risorse.TariffaOraria, Risorse.ID AS IdRisorsa,
								CASE TurniOrari.GiornoSettimana
									WHEN 'lun'
										THEN 1 
									WHEN 'mar'
										THEN 2 
									WHEN 'merc'
										THEN 3 
									WHEN 'gio'
										THEN 4  
									WHEN 'ven'
										THEN 5  
									WHEN 'sab'
										THEN 6  
									WHEN 'dom'
										THEN 7   
								END AS giorno_dw   
							FROM         
								TurniTestata 
								INNER JOIN
								ElencoEdifici ON TurniTestata.IdCommessaEdificio = ElencoEdifici.IdCommessa AND TurniTestata.IdEdificio = ElencoEdifici.ID 
								INNER JOIN
								TurniOrari ON TurniTestata.ID = TurniOrari.IdTurno 
								LEFT OUTER JOIN
								tblUtUtilizzatori ON TurniTestata.IdCommessaUtilizzatore = tblUtUtilizzatori.IdCommessa AND TurniTestata.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
								LEFT OUTER JOIN
								Risorse ON TurniTestata.IdRisorsa = Risorse.ID
							WHERE
								TurniTestata.IdCommessaEdificio = $IdCommessa 
								AND TurniTestata.IdEdificio = $IdEdificio
								AND $dataDbo BETWEEN TurniTestata.DataInizio AND TurniTestata.DataFine 
						) AS A1
						WHERE giorno_dw = $giorno_dw							
_SQL;
						$dayH_1 = 0.00;
						$query3 = ntxQuery($sqlInt);  
						while( $rs3 = ntxRecord($query3) )
						{ 	
							$dayH_1 += $rs3[diffMin];  
						} 
						$totEdificio_1[ $IdEdificio ]  += $dayH_1;
						$totGiornata_1[ "$data" ] += $dayH_1;
						$totComplessivo_1 += $dayH_1; 

						
						$sqlInt = <<<_SQL
						SELECT 
							*
							, datediff(minute, dbo.cdate(DataInizio), dbo.cdate(DataFine)) AS diffMin
							, Risorse.TariffaOraria
						FROM
							RisorsePresenzeTurniOrari
							LEFT OUTER JOIN
							Risorse ON RisorsePresenzeTurniOrari.IdRisorsa = Risorse.ID
						WHERE
							IdCommessaEdificio = $IdCommessa 
							AND IdEdificio = $IdEdificio  
							
							AND DAY(DataInizio) = DAY($dataDbo)
							AND MONTH(DataInizio) = MONTH($dataDbo)
							AND YEAR(DataInizio) = YEAR($dataDbo) 						
_SQL;
						$dayH = 0.00;
						$query3 = ntxQuery($sqlInt);   
						while( $rs3 = ntxRecord($query3) )
						{ 	
							$dayH += $rs3[diffMin];
							
							if(is_numeric($rs3[TariffaOraria]))
								$totTariffaOrariaGiornata[ "$data" ] += ( $rs3[diffMin]*($rs3[TariffaOraria]/60.0000) );	 			
						} 
						$totEdificio[ $IdEdificio ]  += $dayH;
						$totGiornata[ "$data" ] += $dayH;
						$totComplessivo += $dayH;
						
						$classe = '';
						if($dayH>0 || $dayH_1>0)
							$classe = 'somma'; 
					?> 
						<td class="<?php echo $classe ?>" style="text-align:left;" > 
							<?php $traduttore->html('lav') ?>:&nbsp;<?php echo convertToHoursMins($dayH, '%02d:%02d'); ?> 
							<br>
							<?php $traduttore->html('prg') ?>:&nbsp;<?php echo convertToHoursMins($dayH_1, '%02d:%02d'); ?> 
							
							<br><?php echo $str ?>
					<?php	
					} 		
					?> 	
					
					<?php
					$classe = '';
					if($totEdificio[ $IdEdificio ]>0)
						$classe = 'somma2'; 					
					?>
					<td class="<?php echo $classe ?>" style="text-align:left;" > 
						<?php $traduttore->html('lav') ?>:&nbsp;<?php echo convertToHoursMins($totEdificio[ $IdEdificio ], '%02d:%02d'); ?> 
						<br>
						<?php $traduttore->html('prg') ?>:&nbsp;<?php echo convertToHoursMins($totEdificio_1[ $IdEdificio ], '%02d:%02d'); ?> 
		<?php
		} 		
		?> 
			
		<tr>
			<td>
			<?php
			$query2 = ntxQuery($sqlDate);
			while( $rs2 = ntxRecord($query2) )
			{ 	
				$data = ntxDate($rs2[data]); 
				
				$classe = '';
				if($totGiornata[ "$data" ]>0)
					$classe = 'somma2'; 							
			?>
				<td class="<?php echo $classe ?>" ><?php echo convertToHoursMins($totGiornata[ "$data" ], '%02d:%02d'); ?> 
			<?php
			}
			?> 
			<td class="somma3" >
			<?php $traduttore->html('lav') ?>:&nbsp;<?php echo convertToHoursMins($totComplessivo, '%02d:%02d'); ?> 
			<br>
			<?php $traduttore->html('prg') ?>:&nbsp;<?php echo convertToHoursMins($totComplessivo_1, '%02d:%02d'); ?> 
			
		<tr>
			<td>x
			<?php
			$tot_TariffaOrariaGiornata = 0.00;
			$query2 = ntxQuery($sqlDate);
			while( $rs2 = ntxRecord($query2) )
			{ 	
				$data = ntxDate($rs2[data]); 
				
				$classe = '';
				if($totTariffaOrariaGiornata[ "$data" ]>0)
					$classe = 'somma2'; 	 
			?>
				<td class="<?php echo $classe ?>" > 
				
				<?php
				if(is_numeric($totTariffaOrariaGiornata[ "$data" ]))
				{
					$tot_TariffaOrariaGiornata += $totTariffaOrariaGiornata[ "$data" ];
					
					echo "&#8364;&nbsp;";
					echo ntxRoundThousand($totTariffaOrariaGiornata[ "$data" ], 2);
				}
				?> 
				
			<?php
			}
			?>
			
			<td class="somma3" >&#8364;&nbsp;<?php echo ntxRoundThousand($tot_TariffaOrariaGiornata, 2); ?>

	</table>
 
</div> 
