<?php

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_159", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_159", "IT", __FILE__);

$IdDoc = ntxip('IdDoc');

if (!is_numeric($IdDoc))
	die ($traduttore->traduci('Prima aggiungere documento e poi fare l\'allegato!'));
	
if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;


$sql = "SELECT Commesse.pathPublicShapeWeb "
		." FROM Commesse  "
		." WHERE IDCommessa=$IdCommessa ";

$query = ntxQuery($sql);

if (!$query)
	die($traduttore->traduci('Commessa non trovata!'));
	
if (!($rs = ntxIRecord($query)))
	die($traduttore->traduci('Commessa non trovata 2!'));

$pathRoot = $rs[0];

if ( $pathRoot.'' == '' )
	die($traduttore->traduci('Path commessa non settata!'));
	
$new_name = "";

$temp_name = $_FILES["upfile"]["tmp_name"];
$file_name = $_FILES["upfile"]["name"];

$pos = strrpos($file_name , '.');

if ( $pos === false )
	$ext = '';
else
	$ext = substr($file_name , $pos);

if(trim($_FILES["upfile"]["name"]) == "")
	die($traduttore->traduci('Non hai indicato il file da allegare!'));

if($_FILES["upfile"]["size"]==0)
	die($traduttore->traduci('Dimensione file maggiori del consentito!'));


$allowed_types = array
(
	"audio/3gpp"
	,"audio/amr"
	,"audio/midi"
	,"text/html"
	,"image/bmp"
	,"image/x-bmp"
	,"image/png"
	,"image/tiff" 	
	,"image/vnd.wap.wbmp"
	,"video/3gpp"
	,"video/mp4"
	,"audio/mpeg"
	,"audio/vorbis"
	,"video/theora"
	,"application/x-rar-compressed"
	,"application/x-zip-compressed"
	,"multipart/x-zip"
	,"application/zip"
	,"application/x-compressed"
	,"application/x-compress"
	,"video/x-msvideo"
	,"application/acad"
	,"application/x-acad"
	,"application/autocad_dwg "
	,"image/x-dwg"
	,"application/dwg"
	,"application/x-dwg"
	,"application/x-autocad"
	,"image/vnd.dwg"
	,"drawing/dwg"
	,"image/gif"
	,"image/x-png"
	,"image/pjpeg"
	,"image/jpeg"
	,"image/jpg"
	,"application/pdf"
	,"text/plain"
	, "application/msword"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.document"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.template" 
	, "application/vnd.ms-excel"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.template" 
	, "application/vnd.ms-powerpoint"
	, "application/vnd.openxmlformats-officedocument.presentationml.presentation"
	, "application/vnd.openxmlformats-officedocument.presentationml.template"
	, "application/vnd.openxmlformats-officedocument.presentationml.slideshow" 
);

if(!in_array($_FILES["upfile"]["type"],$allowed_types))
	die($traduttore->traduci('Il file non è di un tipo consentito, sono ammessi solo i seguenti: '). implode(",", $allowed_types) . ".");


$sql = <<< SQL
	SELECT     IdFornitore, year(DataInserimento), month(DataInserimento)
	FROM         DocsFornitori
	WHERE     (Id = $IdDoc)
SQL;

$rs = ntxIRecord(ntxQuery($sql));

$IdDitta = $rs[0];
$Anno = $rs[1];
$Mese = $rs[2];

$subDir1 = "$pathRoot/DocsFornitori";
$subDir2 = "$subDir1/DOCF{$IdDitta}";
$subDir3 = "$subDir2/DOCF{$IdDitta}A{$Anno}";
$subDir4 = "$subDir3/DOCF{$IdDitta}A{$Anno}M{$Mese}";

if ( !is_dir($subDir1) ) mkdir($subDir1);
if ( !is_dir($subDir2) ) mkdir($subDir2);
if ( !is_dir($subDir3) ) mkdir($subDir3);
if ( !is_dir($subDir4) ) mkdir($subDir4);

$dest_path = "$subDir4/DOCF{$IdDitta}A{$Anno}M{$Mese}ID{$IdDoc}{$ext}";

if(@is_uploaded_file($temp_name)) 
	@move_uploaded_file($temp_name, $dest_path) 
		or die($traduttore->traduci('Problemi sul sistema remoto a causa di grant sui dischi.'));
else
	die($traduttore->traduci('Problemi nell\'upload del file') . $file_name);

echo $traduttore->traduci('L\'upload del file') ." $file_name ". $traduttore->traduci('è avvenuto correttamente con nome') ." $dest_path";

$subDir1 = "DocsFornitori";
$subDir2 = "$subDir1/DOCF{$IdDitta}";
$subDir3 = "$subDir2/DOCF{$IdDitta}A{$Anno}";
$subDir4 = "$subDir3/DOCF{$IdDitta}A{$Anno}M{$Mese}";

$dest_path = "$subDir4/DOCF{$IdDitta}A{$Anno}M{$Mese}ID{$IdDoc}{$ext}";

$gPath = "'".str_replace("'", "''", $dest_path)."'";

$sql = "UPDATE DocsFornitori SET Path=$gPath WHERE id=$IdDoc;";

ntxQuery($sql);

$traduttore->Salva();
?> 

