<?php
$sql = <<< sql
SELECT 
	Risorse.ID AS IdRisorsa
	, Risorse.CodDitta AS IdDitta
	, Risorse.* 
FROM  
	Risorse	   
WHERE 
	Risorse.ID = $IdRisorsa
sql;

$msg_error = "Risorsa con identificativo '$IdRisorsa' non trovata!";

$record = ntxRecordArray($sql, $msg_error);

$record['TariffaOraria'] = ntxRound($record['TariffaOraria'],2);
$record['DataModifica'] = ntxDateTime($record['DataModifica']);
$record['DataDismissione'] = ntxDate($record['DataDismissione']);

/* if ( !is_numeric($record['Dismesso']) ) $record['Dismesso'] = "X";
if ( !is_numeric($record['BloccaSms']) ) $record['BloccaSms'] = "X";
if ( !is_numeric($record['BloccaEmail']) ) $record['BloccaEmail'] = "X";
 */
if(is_numeric($record['IdDitta']))
{
	$IdDitta = (int)$record['IdDitta'];
	
	$sql = <<< sql
	SELECT Ditte.Ditta
	FROM   Ditte 		   
	WHERE Ditte.IDDitta = $IdDitta
sql;

	$record['Ditta'] = ntxScalar($sql); 
}

require('_carica_risorse_edifici.inc');

$record['Edifici'] = $Edifici;

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	
?>
