<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>

	<style>
	fieldset
	{
		width:100%;
	}
	</style>
</head>

<script>
function seleziona(flag)
{
	$(document).find('input[type=checkbox][SpunteEdifici]').attr('checked', flag);
	
	parent.form1.IdEdifici.value = "";
	
	$('input[type=checkbox]').each(function () 
	{
		var IdEdificio = $(this).val();
 
		if ( $(this).attr('checked') )
			Aggiungi(IdEdificio);
		else
			Rimuovi(IdEdificio);
	});

	parent.AggiornaMestCons();	
}

function ordina(criterio)
{	
  	document.formReload.criterio.value = criterio;
  	document.formReload.submit();	
} 

function Ricarica()
{	
  	document.formReload.FiltroPerCanone.value = $('#chkFiltroPerCanone')[0].checked ? 1 : 0;
  	document.formReload.FiltroPerExtra.value = $('#chkFiltroPerExtra')[0].checked ? 1 : 0;
  	document.formReload.submit();	
} 
</script>

<body  >
<?php
require_once($_POST[cartella_ricerca].'/edifici_sql.inc');
require_once('edifici-affidatario.inc');
?>


<form id="formReload" name="formReload" method="post">
	<input type="hidden" name="criterio"   />	
	<input type="hidden" name="FiltroPerCanone" value=<?php echo $_POST[FiltroPerCanone] ? 1 : 0 ?>   />	
	<input type="hidden" name="FiltroPerExtra" value=<?php echo $_POST[FiltroPerExtra] ? 1 : 0 ?>   />	
	<?php 
	foreach ( $_POST as $key => $value) 
	{
		if($key!="criterio"  &&  $key!="FiltroPerCanone"  &&  $key!="FiltroPerExtra")
		echo <<<_HTML
		<input type="hidden" name="$key" value="$value" />	
_HTML;
	}
	?>
</form>

<fieldset> Ordine
	<input type="button" value="naturale" 	onclick="ordina(1)" />
	<input type="button" value="Nome" 		onclick="ordina(2)" />
	<input type="button" value="Codice" 	onclick="ordina(3)" />
	<input type="checkbox" id=chkFiltroPerCanone onclick="Ricarica()" <?php echo $_POST[FiltroPerCanone] ? "checked" : "" ?> />
	<label for=chkFiltroPerCanone>Edifici a Canone</label>
	<input type="checkbox" id=chkFiltroPerExtra onclick="Ricarica()" <?php echo $_POST[FiltroPerExtra] ? "checked" : "" ?> />
	<label for=chkFiltroPerExtra>Edifici Extracanone</label>
</fieldset>

<fieldset> Seleziona
	<input type="button" value="tutti" 		onclick="seleziona(true)" />
	<input type="button" value="nessuno" 	onclick="seleziona(false)" />
</fieldset>


<table>
	<tr>
		<th>Sel
		<th>Codice Localizzazione
		<th>Nome
		<th>Indirizzo
		<th>Comune
		<th>Provincia
		<th>Cap
		<th>Note
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		if ( $FiltroPerAffidatario  &&  !in_array($rs[IdEdificio], $arrayEdificiAffidatario) ) 
			continue;
		
		$style = '';
		if($rs[Dismesso]==1)
		{
			$labelDismesso = '[DISMESSO]';
			$style=' style="background:red;color:white;" ';	
		}		
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> <?php echo $style ?> ><input type="checkbox" SpunteEdifici onclick="SelEdificio(this, '<?php echo $rs['IdEdificio'] ?>')" value="<?php echo $rs['IdEdificio'] ?>"/>
		<td <?php echo  $alternate ? "" : "class=td2" ?> <?php echo $style ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?>
		<td <?php echo  $alternate ? "" : "class=td2" ?> <?php echo $style ?> >&nbsp;<?php echo htmlentities($rs['Nome']) ?>
		<td <?php echo  $alternate ? "" : "class=td2" ?> <?php echo $style ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>
		<td <?php echo  $alternate ? "" : "class=td2" ?> <?php echo $style ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?>
		<td <?php echo  $alternate ? "" : "class=td2" ?> <?php echo $style ?> >&nbsp;<?php echo htmlentities($rs['Provincia']) ?>
		<td <?php echo  $alternate ? "" : "class=td2" ?> <?php echo $style ?> >&nbsp;<?php echo htmlentities($rs['Cap']) ?>
		<td <?php echo  $alternate ? "" : "class=td2" ?> <?php echo $style ?> >&nbsp;<?php echo htmlentities($rs['Note']) ?>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
<script language=javascript>

function SelEdificio(obj, IdEdificio)
{
	if ( obj.checked )
		Aggiungi(IdEdificio);
	else
		Rimuovi(IdEdificio);
		
	parent.AggiornaMestCons();
}

function Aggiungi(IdEdificio)
{
	var IdEdifici = parent.form1.IdEdifici.value.split("#");

	var i;
	
	for(i=0;i<IdEdifici.length;++i)
		if ( IdEdifici[i]==IdEdificio )
			return;
			
	if ( parent.form1.IdEdifici.value == "" )
		parent.form1.IdEdifici.value = IdEdificio;
	else
		parent.form1.IdEdifici.value += "#" + IdEdificio;
}

function Rimuovi(IdEdificio)
{
	var IdEdifici = parent.form1.IdEdifici.value.split("#");
	
	var i;
	
	parent.form1.IdEdifici.value = '';
	
	for(i=0;i<IdEdifici.length;++i)
	{
		if ( IdEdifici[i]!=IdEdificio )
		{
			if ( parent.form1.IdEdifici.value == "" )
				parent.form1.IdEdifici.value = IdEdifici[i];
			else
				parent.form1.IdEdifici.value += "#" + IdEdifici[i];
		}
	}		
}

</script>

</body>
</html>
