<?php  
$IdCommessa = ntxise('IdCommessa');
$IdContrattoFornitore = ntxip('IdContrattoFornitore');
$IdContrattoGestione = ntxip('IdContrattoGestione');
  

/* $sql = <<< sql
	SELECT DISTINCT 
						  ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
						  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP
FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
                      ElencoEdifici ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = ElencoEdifici.ID
WHERE     (tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = $IdCommessa) AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = $IdContrattoFornitore)
sql; */

$sql1 = <<< sql
SELECT DISTINCT 
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
	ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, ElencoEdifici.Note
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	Dismesso  
						  
FROM  
	tblPgContrattiPropietariGestoriAttivitàEdifici 
	INNER JOIN
	tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto AND 
	tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblPgContratti.IdCommessa 
	INNER JOIN
	ElencoEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
	tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID
			   
WHERE 
	(tblPgContratti.IdCommessa = $IdCommessa) 
	AND (tblPgContratti.IdPgContratto = $IdContrattoGestione)
sql;

$sql2 = <<< sql
SELECT DISTINCT 
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
	ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, ElencoEdifici.Note
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	Dismesso     
FROM  
	tblPgContrattiAffidatariAttivitàEdifici 
	INNER JOIN
	tblPgContrattiAffidatari ON tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario 
	INNER JOIN
	ElencoEdifici ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
	tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = ElencoEdifici.ID
	
WHERE 
	tblPgContrattiAffidatari.IdCommessa = $IdCommessa
	AND tblPgContrattiAffidatari.IdPgContratto = $IdContrattoGestione
sql;

$sql="";


$sqlFiltroCanoneExtra = "";

if($_POST[FiltroPerCanone]==1)
	$sqlFiltroCanoneExtra .= <<< sql
		ElencoEdifici.Note IS NULL OR ElencoEdifici.Note='' OR ElencoEdifici.Note='Canone'
sql;

if($_POST[FiltroPerExtra]==1)
{
	if ( $sqlFiltroCanoneExtra!="" )
		$sqlFiltroCanoneExtra .= " OR ";
	
	$sqlFiltroCanoneExtra .= <<< sql
		ElencoEdifici.Note='Extra'  OR ElencoEdifici.Note='ExtraCanone' 
sql;
}

if ( $sqlFiltroCanoneExtra!="" )
	$sql .= "AND ($sqlFiltroCanoneExtra) ";


if($_POST[FiltroEdificiPerContrattoAffidatario]==1)
{
	$sqlIdPgContrattoAffidatario = <<< sql
		SELECT     IdContrattoAffidatario
		FROM         tblContrattiFornitori
		WHERE     (IdCommessa = $IdCommessa) AND (IdContrattoFornitore = $IdContrattoFornitore)
sql;

	$IdPgContrattoAffidatario = ntxScalar($sqlIdPgContrattoAffidatario);
	
	if(is_numeric($IdPgContrattoAffidatario))
	{
		$sql .= " AND tblPgContrattiAffidatari.IdPgContrattoAffidatario=$IdPgContrattoAffidatario ";
	}
	
	$sql = "$sql2 $sql";
}
else
{
	$sql = "$sql1 $sql";
}

if($_POST[criterio]==2)
	$sql .= " ORDER BY Nome ";
else if($_POST[criterio]==3)
	$sql .= " ORDER BY Codice ";
else
	$sql .= " ORDER BY IdEdificio ";

 
$query = ntxQuery($sql);	
?>
