<?php  
$IdCommessa = ntxise('IdCommessa');
$IdContrattoFornitore = ntxip('IdContrattoFornitore');
$IdContrattoGestione = ntxip('IdContrattoGestione');

$sql1 = <<< sql
SELECT DISTINCT 
	tblMestieri.IdMestiere, 
	tblMestieri.codice AS CodMestiere, 
	tblMestieri.Descrizione AS DesMestiere, 
	tblComponetiMestiere.IdComponenteMestiere AS IdComponente, 
	tblComponetiMestiere.codice AS CodComponente, 
	tblComponetiMestiere.Descrizione AS DesComponente, 
	tblAttivitàMestiere.IdAttivitàMestiere AS IdAttivita, 
	tblAttivitàMestiere.codice AS CodAttivita, 
	tblAttivitàMestiere.Descrizione AS DesAttivita, 
	tblMestieri.Ordine AS OrdMestiere, 
	tblComponetiMestiere.Ordine AS OrdComponente, 
	tblAttivitàMestiere.Ordine AS OrdAttivita, 
	tblAttivitàMestiere.Tipologia, 
	tblAttivitàMestiere.Nota, 
	tblFrequenzeMestieri.Descrizione AS DesFrequenza, 
	tblAttivitàMestiere.IdFrequenza
FROM         tblMestieri INNER JOIN
	tblComponetiMestiere ON tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere AND tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa INNER JOIN
	tblAttivitàMestiere ON tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere AND 
	tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa LEFT OUTER JOIN
	tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
	tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
WHERE (tblMestieri.IdCommessa = $IdCommessa) 
sql;

$sql2 = <<< sql
SELECT DISTINCT 
	tblMestieri.IdMestiere, 
	tblMestieri.codice AS CodMestiere, 
	tblMestieri.Descrizione AS DesMestiere, 
	tblComponetiMestiere.IdComponenteMestiere AS IdComponente, 
	tblComponetiMestiere.codice AS CodComponente, 
	tblComponetiMestiere.Descrizione AS DesComponente, 
	tblAttivitàMestiere.IdAttivitàMestiere AS IdAttivita, 
	tblAttivitàMestiere.codice AS CodAttivita, 
	tblAttivitàMestiere.Descrizione AS DesAttivita, 
	tblMestieri.Ordine AS OrdMestiere, 
	tblComponetiMestiere.Ordine AS OrdComponente, 
	tblAttivitàMestiere.Ordine AS OrdAttivita, 
	tblAttivitàMestiere.Tipologia, 
	tblAttivitàMestiere.Nota, 
	tblFrequenzeMestieri.Descrizione AS DesFrequenza, 
	tblAttivitàMestiere.IdFrequenza   
FROM  
	tblMestieri 
	INNER JOIN
	tblComponetiMestiere ON tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
	tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere 
	INNER JOIN
	tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
	tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere 
	INNER JOIN
	tblPgContrattiAffidatariAttivitàEdifici 
	INNER JOIN
	tblPgContrattiAffidatari ON tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario 
	INNER JOIN
	ElencoEdifici ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
	tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = ElencoEdifici.ID ON tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND 
	tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere
	
	LEFT OUTER JOIN
	tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
	tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza	
WHERE 
	tblPgContrattiAffidatari.IdCommessa = $IdCommessa
	AND tblPgContrattiAffidatari.IdPgContratto = $IdContrattoGestione
sql;

$sql="";


if($_POST[FiltroEdificiPerContrattoAffidatario]==1)
{
	$sqlIdPgContrattoAffidatario = <<< sql
		SELECT     IdContrattoAffidatario
		FROM         tblContrattiFornitori
		WHERE     (IdCommessa = $IdCommessa) AND (IdContrattoFornitore = $IdContrattoFornitore)
sql;

	$IdPgContrattoAffidatario = ntxScalar($sqlIdPgContrattoAffidatario);
	
	if(is_numeric($IdPgContrattoAffidatario))
	{
		$sql .= " AND tblPgContrattiAffidatari.IdPgContrattoAffidatario=$IdPgContrattoAffidatario ";
	}
	
	$sql = "$sql2 $sql";
}
else
{
	$sql = "$sql1 $sql";
}

if($SquadraTelecontrollo)
{
	$sql .= ' AND tblAttivitàMestiere.PerTelecontrollo=1 ';
}
/*else
{
	$sql .= ' AND (tblAttivitàMestiere.PerTelecontrollo IS NULL OR tblAttivitàMestiere.PerTelecontrollo=0) ';
}*/	

$sql .= <<< sql
	 ORDER BY tblMestieri.Ordine,  CodMestiere, DesMestiere,
			 tblComponetiMestiere.Ordine,  CodComponente, DesComponente, 
			 tblAttivitàMestiere.Ordine, CodAttivita, DesAttivita;
sql;
 
 
$query = ntxQuery($sql);
	
?>
