<?php
$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
SELECT tblContrattiFornitori.*, Ditte.Ditta AS Fornitore, tblPgContratti.Descrizione AS ContrattoGestione, 
               tblPgContrattiAffidatari.Descrizione AS ContrattoAffidatario
FROM  
	tblContrattiFornitori 
	LEFT OUTER JOIN
	tblPgContrattiAffidatari ON tblContrattiFornitori.IdContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario 
	LEFT OUTER JOIN
	tblPgContratti ON tblContrattiFornitori.IdContrattoGestione = tblPgContratti.IdPgContratto 
	LEFT OUTER JOIN
	Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta
	
	WHERE (tblContrattiFornitori.IdCommessa = $IdCommessa) AND (tblContrattiFornitori.IdContrattoFornitore = $ID)
sql;

$msg_error = "tblContrattiFornitori $ID non trovato!";


$record = ntxRecordArray($sql, $msg_error);


$record[DataContratto] = ntxDateTime( $record[DataContratto] );
$record[DataInizio] = ntxDateTime( $record[DataInizio] );
$record[DataFine] = ntxDateTime( $record[DataFine] );

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );
?>