<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');

$IdCommessa = ntxise('IdCommessa');
$IdContrattoFornitore = ntxip('IdContrattoFornitore');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script src="js/filtro_prezzi_table.js" type="text/javascript"></script>
	<script src="js/filtro_prezzi_table_2.js" type="text/javascript"></script>
</head>
<body  >

<?php

require('filtro_prezzi_testa.inc');
require_once('filtro_prezzi_sql.php');

if ( !$AbilitaEditElencoPrezzi )
	$DisabledEditElencoPrezzi = "DISABLED";
?>

<input type=button value="Sel.Tutto" onclick="SelTutto(true)" />
<input type=button value="Sel.Niente" onclick="SelTutto(false)" />
<input type=text value="" id=txtSconto />
<input type=button value="Setta Sconto a Voci Prezzo Selezionate" onclick="SettaScontoVociSelezionate()" />
<input type=button value="Elimina" onclick="EliminaVociPrezzoSelezionate()" <?php echo $DisabledEditElencoPrezzi ?> />
<br>
<?php

ntxPagedPrintNavigation();

?>
<table class=grid>
	<tr>
		<th>&nbsp;</th>
		<th>&nbsp;</th>
		<th>Gruppo</th>
		<th>Prezzario</th>
		<th>Cod</th>
		<th>Titolo</th>
		<th>Descrizione</th>
		<th>Descr.Estesa</th>
		<th>UM</th>
		<th>Pz Unitario</th>
		<th>Tipo Prezzo</th>
		<th>Sconto</th>
	</tr>   

<?php
	$alternate = true;

	while( $query  &&  $rs = ntxRecord($query) )
	{
		if ( is_numeric($rs['Sconto']) )
			$sconto = ntxRound($rs['Sconto'],2);
		else
			$sconto = "";
			
		$tipo = $TipiPrezzo[$rs[TipoPrezzo]];
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type=checkbox SelVocePrezzo IdPrezzo="<?php echo $rs[IdPrezzo] ?>" /></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type=button value="Edit" onclick="EditVocePrezzo(<?php echo $rs[IdPrezzo] ?>)" <?php echo $DisabledEditElencoPrezzi ?> />
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Gruppo']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['PzUnitario'],2) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($tipo) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo "<input type=text size=5 value='$sconto' Sconto IdPrezzo='$rs[IdPrezzo]' onblur='ModificaSconto(this)' />" ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>


<?php ntxPagedPrintBody() ?>
<?php ntxPagedPrintNavigation() ?>

<form name=form1 method=post>
	<?php ntxCreateHiddens() ?>
</form>

<a name="edit-voci-prezzo"></a>

<div style="border:gray solid 2px;background-color:#FFFFCC;font-size:14pt">
	<input type=button id=btnCompattaEdit value="+" onclick="Compatta(this, 'divEditVocePrezzo')" />
	EDIT VOCI ELENCO PREZZI
</div>
<div id="divEditVocePrezzo" style="border:gray solid 2px;background-color:#FFFFCC;font-size:8pt;display:none">
	<form name=formEditVocePrezzo method="post">
		<input type=hidden name=IdContrattoFornitore value="<?php echo $IdContrattoFornitore ?>" />
		
		<table class=grid>
			<tr>
				<th>Id Prezzo</th>
				<td><input type=text name=IdPrezzo size=100 disabled />
			<tr>
				<th>Gruppo</th>
				<td><input type=text name=Gruppo size=100 maxlength=100 />
			<tr>
				<th>Prezzario</th>
				<td><input type=text name=Prezziario size=100 maxlength=50 />
			<tr>
				<th>Cod</th>
				<td><input type=text name=Cod size=100 maxlength=20 />
			<tr>
				<th>Titolo</th>
				<td><input type=text name=Titolo size=100 maxlength=255 />
			<tr>
				<th>Descrizione</th>
				<td><input type=text name=Descrizione size=100 maxlength=255 />
			<tr>
				<th>Descr.Estesa</th>
				<td><input type=text name=DescrEstesa size=100 maxlength=255 />
			<tr>
				<th>UM</th>
				<td><input type=text name=UM size=100 maxlength=25 />
			<tr>
				<th>Pz Unitario</th>
				<td><input type=text name=PzUnitario size=100 maxlength=50 />
			<tr>
				<th>Tipo Prezzo</th>
				<td><select name=TipoPrezzo style="width:100%">
						<option value="1">MATERIALI
						<option value="103">MATERIALI - [ASSOVERDE]
						<option value="2">MANO D'OPERA
						<option value="101">MANO D'OPERA - [ASSOVERDE]
						<option value="3">OPERE DI SICUREZZA
						<option value="4">MANO D'OPERA (NON USATE)
						<option value="5">NOLI
						<option value="102">NOLI - [ASSOVERDE]
						<option value="6">OPERE COMPIUTE
						<option value="104">OPERE COMPIUTE - [ASSOVERDE]
						<option value="7">MATERIALI DI SICUREZZA
						<option value="1000">NUOVI PREZZI (NP)
						<option value="1001">NUOVI PREZZI DEFINITIVI (NPD)
					</select>
			<tr>
				<th>Sconto</th>
				<td><input type=text name=Sconto size=100 maxlength=50 />
			<tr>
				<th colspan=2>
					<input type=button value="Nuovo" onclick="formEditVocePrezzo.reset()" />
					<input type=button value="Aggiungi" onclick="AggiungiVocePrezzo()" <?php echo $DisabledEditElencoPrezzi ?>  />
					<input type=button value="Modifica" onclick="ModificaVocePrezzo()" <?php echo $DisabledEditElencoPrezzi ?>  />
					<input type=button value="Elimina" onclick="EliminaVocePrezzo()" <?php echo $DisabledEditElencoPrezzi ?>  />
					<input type=button value="Aggiorna" onclick="form1.submit()" />
		</table>
	</form>
</div>

<div style="border:gray solid 2px;background-color:silver;font-size:14pt">
	<input type=button value="+" onclick="Compatta(this, 'divUploadExcel')" />
	UPLOAD EXCEL PER IMPORT ELENCO PREZZI
</div>
<div id="divUploadExcel" style="border:gray solid 2px;background-color:silver;font-size:8pt;display:none">
<a href="modello_import.xls">Scarica modello excel per import in elenco prezzi</a>
	<form name=formUploadExcelElencoPrezzi action="upload_excel_elenco_prezzi.php" method="post" enctype="multipart/form-data" target="frameExcelElencoPrezzi">
		<input name=IdCommessa type=hidden value="<?php echo $IdCommessa ?>" />
		<input name=IdContrattoFornitore type=hidden value="<?php echo $IdContrattoFornitore ?>" />
		<input name=Utente type=hidden value="<?php echo ntxJS($_SESSION[Utente]) ?>" />
		<br>Path File Excel per Import Elenco Prezzi:<input type="file" name="upfile" size="50" />
		<br><input name=btnOk type=button onclick="UploadExcelImportElPrezzi()" value="Upload File Excel per Import Elenco Prezzi" <?php echo $DisabledEditElencoPrezzi ?> />
	</form>

	<iframe name=frameExcelElencoPrezzi style="width:90%;height:200px;border:1px solid black"></iframe>
</div>

</body>
</html>
