<?php  

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT  DISTINCT   tblPgPropietari.Nome AS Ente, tblPgContratti.IdPgContratto AS Id, tblPgContratti.Descrizione AS Des1, 
	tblPgContratti.DataInizio, tblPgContratti.DataFine, tblPgContratti.DataContratto
	
	,CASE
		WHEN (tblPgContratti.DataFine<getdate())
			THEN 1
		ELSE 0
	END AS Scaduto 
	
	,CASE
		WHEN (tblPgContratti.DataInizio>=getdate())
			THEN 1
		ELSE 0
	END AS NonIniziato 	
	
	FROM          
                      tblPgContratti 
					   LEFT OUTER JOIN
					   tblPgPropietari
					  ON tblPgPropietari.IdPropietario = tblPgContratti.IdPropietario
	  WHERE     tblPgContratti.IdCommessa  = $IdCommessa
sql;

	
if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sql .= " AND (tblPgPropietari.IdPropietario = $IdPropietario) ";
}

if ( isset($_POST['Des1'])  &&  strlen($_POST['Des1'])>0) 
{
	$str = stripslashes($_POST['Des1']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblPgContratti.Descrizione LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Aperto'])) 
{
	$value = (int)$_POST['Aperto'];
	$sql .= " AND (tblPgContratti.Aperto = $value) ";
}

if ( is_numeric($_POST['InCorsoValidita'])  &&  $_POST['InCorsoValidita']==1 ) 
{ 
	$sql .= " AND ( getdate() BETWEEN tblPgContratti.DataInizio AND tblPgContratti.DataFine ) ";
}



$sql .= " order by des1";

$query = ntxQuery($sql);
	
?>
