<?php

require_once($_SERVER['DOCUMENT_ROOT'].'/repository/php/php-excel-reader-2.21/excel_reader2.php');

$excel = new Spreadsheet_Excel_Reader($path_ass);

$sheet = $excel->sheets[0];

$numCols = $sheet['numCols'];
$numRows = $sheet['numRows'];
$cells = $sheet['cells'];

if ( $cells[1][13]!="EXCEL IMPORT ELENCO PREZZI v.1.0.0" )
	die("VERSIONE MODELLO NON TROVATA O VECCHIA! SCARICARE MODELLO!");
	
$tipi = array(1, 2, 3, 4, 5, 6, 7, 1000, 1001);

$table1 = new NtxTable('ElencoPrezziInCommessa');

$insert1 = $table1->insert();

$table2 = new NtxTable('ScontiGestore');

$insert2 = $table2->insert();

for ( $iRow = 1; $iRow <= $numRows; ++$iRow )
{
	$TipoPrezzo = $cells[$iRow][3];
	
	if ( !in_array($TipoPrezzo, $tipi) ) $TipoPrezzo = 1;
	
	$PzUnitario = str_replace(",", ".", $cells[$iRow][9]);

	if ( !is_numeric($PzUnitario) ) continue;

	$Prezziario = $cells[$iRow][1];
	$Cod = $cells[$iRow][2];
	$Gruppo = $cells[$iRow][4];
	$Titolo = $cells[$iRow][5];
	$Descrizione = $cells[$iRow][6];
	$DescrEstesa = $cells[$iRow][7];
	$UM = $cells[$iRow][8];

	$sql = <<< sql
		SELECT ISNULL((SELECT MAX(IdPrezzo) FROM ElencoPrezziInCommessa WHERE IdCommessa=$IdCommessa),0)+1
sql;

	$IdPrezzo = ntxScalar($sql);

	$insert1->init();

	$insert1->set('IdCommessa', $IdCommessa);
	$insert1->set('IdPrezzo', $IdPrezzo);
	$insert1->set('Gruppo', $Gruppo);
	$insert1->set('Prezziario', $Prezziario);
	$insert1->set('Cod', $Cod);
	$insert1->set('Titolo', $Titolo);
	$insert1->set('Descrizione', $Descrizione);
	$insert1->set('DescrEstesa', $DescrEstesa);
	$insert1->set('UM', $UM);
	$insert1->set('PzUnitario', $PzUnitario);
	$insert1->set('TipoPrezzo', $TipoPrezzo);
	$insert1->set('UtenteModifica', $_POST[Utente]);
	$insert1->set('DataModifica', 'getdate()', true);

	$insert1->execute();


	$Sconto = str_replace(",", ".", $cells[$iRow][10]);

	if ( is_numeric($Sconto) )
	{
		$insert2->init();

		$insert2->set('IdCommessa', $IdCommessa);
		$insert2->set('IdPrezzo', $IdPrezzo);
		$insert2->set('IdPgContratto', $IdPgContratto);
		$insert2->set('Sconto', $Sconto);

		$insert2->execute();
	}
}

?> 

