<?php 
$IdCommessa = ntxise('IdCommessa');
$IdContrattoGestione = ntxip('IdContrattoGestione');

$sql = <<< sql
	SELECT DISTINCT 
		tblMestieri.IdMestiere, 
		tblMestieri.codice AS CodMestiere, 
		tblMestieri.Descrizione AS DesMestiere, 
		tblComponetiMestiere.IdComponenteMestiere AS IdComponente, 
		tblComponetiMestiere.codice AS CodComponente, 
		tblComponetiMestiere.Descrizione AS DesComponente, 
		tblAttivitàMestiere.IdAttivitàMestiere AS IdAttivita, 
		tblAttivitàMestiere.codice AS CodAttivita, 
		tblAttivitàMestiere.Descrizione AS DesAttivita, 
		tblMestieri.Ordine AS OrdMestiere, 
		tblComponetiMestiere.Ordine AS OrdComponente, 
		tblAttivitàMestiere.Ordine AS OrdAttivita, 
		tblAttivitàMestiere.Tipologia, 
		tblAttivitàMestiere.Nota, 
		tblFrequenzeMestieri.Descrizione AS DesFrequenza, 
		tblAttivitàMestiere.IdFrequenza
		
FROM        
	tblFrequenzeMestieri RIGHT OUTER JOIN
	tblMestieri INNER JOIN
	tblComponetiMestiere ON tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere AND tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa INNER JOIN
	tblAttivitàMestiere ON tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere AND 
	tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa INNER JOIN
	tblPgContratti INNER JOIN
	tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto AND 
	tblPgContratti.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa ON 
	tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
	tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere ON 
	tblFrequenzeMestieri.IdCommessa = tblAttivitàMestiere.IdCommessa AND tblFrequenzeMestieri.IdFrequenza = tblAttivitàMestiere.IdFrequenza

WHERE     
	(tblPgContratti.IdCommessa = $IdCommessa) 
	AND (tblPgContratti.IdPgContratto = $IdContrattoGestione)
sql;

$sql .= <<< sql
	 ORDER BY tblMestieri.Ordine,  CodMestiere, DesMestiere,
			 tblComponetiMestiere.Ordine,  CodComponente, DesComponente, 
			 tblAttivitàMestiere.Ordine, CodAttivita, DesAttivita;
sql;

$query = ntxQuery($sql);
	
?>
