<?php
$IdCommessa = ntxise('IdCommessa'); 
$sql = <<< sql
	SELECT DISTINCT  
		Eventi.*
		, tblPgAffidatari.Nome AS Affidatario
	
	FROM  
		Eventi
		LEFT OUTER JOIN
		tblPgAffidatari ON tblPgAffidatari.IdAffidatario = Eventi.IdAffidatario
		
	WHERE 
		Eventi.ID = $ID
sql;

$msg_error = "Eventi con $ID non trovato!";
$record = ntxRecordArray($sql, $msg_error);
    

$record[DataInizio] = ntxDateTimeT( $record[DataInizio] );
$record[DataFine] = ntxDateTimeT( $record[DataFine] );

$record[DataAllestimentoInizio] = ntxDateTimeT( $record[DataAllestimentoInizio] );
$record[DataAllestimentoFine] = ntxDateTimeT( $record[DataAllestimentoFine] );

$record[DataDisallestimentoInizio] = ntxDateTimeT( $record[DataDisallestimentoInizio] );
$record[DataDisallestimentoFine] = ntxDateTimeT( $record[DataDisallestimentoFine] );

$record[DataScadenzaOpzione] = ntxDateTimeT( $record[DataScadenzaOpzione] );


$record[DataInserimento] = ntxDateTime( $record[DataInserimento] );
$record[DataModifica] = ntxDateTime( $record[DataModifica] );
 
   
$record = ntxRecordTranslate($record);

ntxMsgResult( $record );
?>