<?php  
$IdCommessa = ntxise('IdCommessa');
$Password = ntxsse('Password');
$Utente=ntxsse('Utente');

$sql = <<< sql
SELECT  DISTINCT      
	Eventi.*
	, EventiTipo.Nome AS Tipo
	, EventiStato.Nome AS Stato
	, EventiCliente.Nome AS Cliente
	, ElencoEdifici.Codice +' - '+ ElencoEdifici.EdificioBreve AS Localizzazione
	, tblPgAffidatari.Nome AS Affidatario
	
FROM         
	Eventi 
	LEFT OUTER JOIN
	EventiCliente ON Eventi.IdCliente = EventiCliente.ID 
	LEFT OUTER JOIN
	EventiTipo ON Eventi.IdTipoEvento = EventiTipo.ID 
	LEFT OUTER JOIN
	EventiStato ON Eventi.IdStato = EventiStato.ID 
	LEFT OUTER JOIN
	ElencoEdifici ON Eventi.IdCommessa = ElencoEdifici.IdCommessa AND Eventi.IdEdificio = ElencoEdifici.ID
	
	INNER JOIN
	UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio 
	INNER JOIN
	Utenti ON UtentiEdifici.IdUtente = Utenti.Id 
	
	LEFT OUTER JOIN
	tblPgAffidatari ON tblPgAffidatari.IdAffidatario = Eventi.IdAffidatario
	
WHERE    
	(Utenti.Nome = $Utente) 
	AND (ElencoEdifici.IdCommessa = $IdCommessa )  
sql;
 
 
if ( is_numeric($_POST['IdEdificio']) ) 
{
	$value = ntxip("IdEdificio");
	$sql .= " AND Eventi.IdEdificio = $value ";
} 
 
if ( is_numeric($_POST['IdStato']) ) 
{
	$value = ntxip("IdStato");
	$sql .= " AND Eventi.IdStato = $value ";
} 
 
if ( is_numeric($_POST['IdTipoEvento']) ) 
{
	$value = ntxip("IdTipoEvento");
	$sql .= " AND Eventi.IdTipoEvento = $value ";
} 
 
if ( is_numeric($_POST['IdCliente']) ) 
{
	$value = ntxip("IdCliente");
	$sql .= " AND Eventi.IdCliente = $value ";
} 
 
if ( is_numeric($_POST['IdAffidatario']) ) 
{
	$value = ntxip("IdAffidatario");
	$sql .= " AND Eventi.IdAffidatario = $value ";
} 
 
if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Eventi.Descrizione  LIKE '%".$str."%' ";
} 

if ( isset($_POST['DataInizio'])  &&  strlen($_POST['DataInizio'])>0) 
{
	$str = ntxtp("DataInizio");
	$sql .= " AND Eventi.DataInizio >= ".$str." ";
}

if ( isset($_POST['DataFine'])  &&  strlen($_POST['DataFine'])>0) 
{
	$str = ntxtp("DataFine");
	$sql .= " AND Eventi.DataFine <= ".$str." ";
}

if ( isset($_POST['DataAllestimento1'])  &&  strlen($_POST['DataAllestimento1'])>0) 
{
	$str = ntxtp("DataAllestimento1");
	$sql .= " AND Eventi.DataAllestimentoInizio >= ".$str." ";
}

if ( isset($_POST['DataAllestimento2'])  &&  strlen($_POST['DataAllestimento2'])>0) 
{
	$str = ntxtp("DataAllestimento2");
	$sql .= " AND Eventi.DataAllestimentoFine <= ".$str." ";
}

if ( isset($_POST['DataDisallestimento1'])  &&  strlen($_POST['DataDisallestimento1'])>0) 
{
	$str = ntxtp("DataDisallestimento1");
	$sql .= " AND Eventi.DataDisallestimentoInizio >= ".$str." ";
}

if ( isset($_POST['DataDisallestimento2'])  &&  strlen($_POST['DataDisallestimento2'])>0) 
{
	$str = ntxtp("DataDisallestimento2");
	$sql .= " AND Eventi.DataDisallestimentoFine <= ".$str." ";
}
 
 
if( !isset($executeQueryPaged)||$executeQueryPaged==false) 
{
	$sql .= " ORDER BY DataFine DESC, DataInizio DESC  ";

	$query=ntxQuery($sql);
}
else
{
	$query = ntxPagedQuery($sql, "DataFine DESC, DataInizio DESC");  
}	
?>