<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');

$sql = <<< _SQL
SELECT    
	tblPgAffidatari.Nome, tblPgAffidatari.Indirizzo, tblPgAffidatari.Comune, tblPgAffidatari.Provincia, 
	tblPgContrattiAffidatari.IdPgContrattoAffidatario,   tblPgContrattiAffidatari.Descrizione, tblPgContrattiAffidatari.DataInizio, tblPgContrattiAffidatari.DataFine, tblPgContrattiAffidatari.DataContratto,  tblPgContrattiAffidatari.Aperto
FROM  
	tblPgContrattiAffidatari
	INNER JOIN
	tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario	
WHERE
	tblPgContrattiAffidatari.IdCommessa=$IdCommessa 
	AND tblPgContrattiAffidatari.Aperto=1
_SQL;

$query = ntxQuery($sql);
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

    <head>

        <title>Manpro.Net - un prodotto Natisoft</title>

        <link href="../../../../repository/css/reset.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="../../../../repository/css/style.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">

        <script src="../../../../repository/libs/jquery_latest/jquery.min.js" type="text/javascript"></script>

        <script src="js/index.js?v=<?php echo time() ?>" type="text/javascript"></script>

    </head>

    <body>

        <div class="row">

            <div class="cell w-1_6"></div>

            <div class="cell w-2_3">

                <div class="clrfx mt-5"></div> 
				
                <div class="title large">Selezione Affidatario</div>

                <div class="clrfx mt-10"></div>

                <div class="row table">  
				

                    <div class="cell table w-1_3 ">

                        <div class="title table inline">Nome Affidatario</div>

                    </div>

                    <div class="cell table w-1_3">

                        <div class="title table inline">Descrizione</div>

                    </div>

                    <div class="cell table w-1_6"></div>

                    <div class="cell table w-1_6"></div>

                </div>

            </div>

        </div>

        <?php
        $alternate = false;
        while ($rs = ntxRecord($query)) {
            $classe = $alternate ? "" : "exposed";
            ?>

            <div class="row">

                <div class="cell w-1_6"></div>

                <div class="cell w-2_3">

                    <div class="row table <?php echo $classe ?> bordered">

                        <div class="cell table w-1_3 ">

                            <p class="large"><?php echo htmlentities($rs['Nome']) ?></p>

                        </div>

                        <div class="cell table w-1_3">

                            <p class="large"><?php echo htmlentities($rs['Descrizione']) ?></p>

                        </div>

                        <div class="cell table w-1_6">

                            <a class="button entypo-right-circled" onclick="Invia(document.form1, '<?php echo htmlentities($rs[IdPgContrattoAffidatario]) ?>', 'canoni.php')" >Canoni</a>

                        </div>

                        <div class="cell table w-1_6">

                            <a class="button entypo-right-circled" onclick="Invia(document.form1, '<?php echo htmlentities($rs[IdPgContrattoAffidatario]) ?>', 'kpi.php')" >KPI</a>

                        </div>

                    </div>

                </div>

                <div class="cell w-1_6"></div>

            </div>

            <?php
            $alternate = !$alternate;
        }
        ?>
		
		<div class="row">
			 
			<div class="cell w-1"> 
				<a class="button entypo-back" href="index.php">Pagina principale</a>
			</div>
			
		</div>
		

        <form id="form1" name="form1" method="post" action="" >

            <input type="hidden" name="IdPgContrattoAffidatario" value="" > 

        </form>

    </body>

</html>