<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
session_start();
require_once("../../../../_ntx/ntxconst.inc");
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');
$legend = array('#4caf50"', '#d50000"', '#cccccc"');
$mesi = array('Gen', 'Feb', 'Mar', 'Apr', 'Mag', 'Giu', 'Lug', 'Ago', 'Set', 'Ott', 'Nov', 'Dic');
/* * **************************************************** */
$IdCommessa = ntxise('IdCommessa');
$where = <<< _SQL
    tblOrdiniProgrammati.IdCommessa = $IdCommessa
    AND Ordini.GradoUrgenza LIKE 'MP' 
_SQL;
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');
$where .= <<< _SQL
    AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
_SQL;
/* * **************************************************** */
if (is_numeric($_POST['IdEdificio'])) {
    $IdEdificio = ntxip('IdEdificio');
    $whereEdificio = <<< _SQL
        AND ElencoEdifici.ID = $IdEdificio 
_SQL;
}

require('_trova_intervallo.php');
$mesiConvenzione = ntxScalar("SELECT DATEDIFF(m, dbo.CDate('1-$Mese-$Anno'), $fineDb)");


/* * ******************************************************************************* */
$sql2 = <<< _SQL
   SELECT DISTINCT  
	ElencoEdifici.EdificioBreve 
    FROM         
	tblPgContrattiAffidatariAttivitEdifici 
	INNER JOIN
	ElencoEdifici ON tblPgContrattiAffidatariAttivitEdifici.IdCommessa = ElencoEdifici.IdCommessa AND  tblPgContrattiAffidatariAttivitEdifici.IdEdificio = ElencoEdifici.ID
    WHERE    
	tblPgContrattiAffidatariAttivitEdifici.IdCommessa = $IdCommessa
	AND tblPgContrattiAffidatariAttivitEdifici.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
        $whereEdificio
		
	AND ( ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>=getdate()  )	
_SQL;
/* * ******************************************************************************* */
$NomeEdificio = htmlentities(ntxScalar($sql2));
$result = <<< _HTML

    <div class="title large">Grafico KPI 4<br><br>Monitoraggio Attivit&agrave; Aperte</div>

    <div class="clrfx mt-10"></div>
        
    <p class="normal">L'indicatore misura il rispetto degli obblighi contrattuali nella sede di riferimento. Tutte le attivit non completate nel mese di riferimento devono comunque essere chiuse entro 40gg. dalla fine del mese riferito alla data di pianificazione generata dal sistema informatico. La chiusura delle attivit sar valida solo con l'inserimento della bolla di lavoro controfirmata da CCHBC I.</p>
    
    <p class="small"><b>Metodo di Misurazione</b> n. interventi non completati nel mese e nella sede / n. interventi pianificati nel mese nella sede</p>

    <p class="small"><b>Target Mensile</b> Completare tutte le attivit eventualmente non svolte,  entro 40 gg. dalla fine del mese di riferimento.</p>
    
    <div class="clrfx mt-10"></div>
    
    <div class="row">  
        <div class="demo-container">
            <div id="placeholder2" class="demo-placeholder"></div>
        </div>  
    </div> 
        
    <script>
        var enableTooltip = true;
            $(function () {
                var data1 = [ 
        
_HTML;

$elementi = array();
for ($index = 0; $index <= $mesiConvenzione; $index++) {

    /*     * **************************************************************************** */
    $sql1 = <<< _SQL
    SELECT    
	count(tblOrdiniProgrammati.IdOrdineProgrammato)
    FROM         
	tblOrdiniProgrammati 
    LEFT OUTER JOIN
        Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE  
        $where
        AND YEAR( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Anno 
        AND MONTH( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Mese 
        AND tblOrdiniProgrammati.IdEdificio = $IdEdificio 
_SQL;
    /*     * **************************************************************************** */
    $sql3 = <<< _SQL
    SELECT    
	count(tblOrdiniProgrammati.IdOrdineProgrammato)
    FROM         
	tblOrdiniProgrammati 
    LEFT OUTER JOIN
        Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE     
        $where        
        AND YEAR( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Anno 
        AND MONTH( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Mese 
        AND tblOrdiniProgrammati.datafine IS NULL
	AND (tblOrdiniProgrammati.Eseguito IS NULL OR tblOrdiniProgrammati.Eseguito=0) 
        AND tblOrdiniProgrammati.IdEdificio = $IdEdificio 
_SQL;
    /*     * ********************************************************************************************* */
    $denominatore = ntxScalar($sql1);
    $numeratore = ntxScalar($sql3);
    if (floatval($denominatore) != 0.0) {
        $kpi = round(((1 - (floatval($numeratore) / floatval($denominatore))) * 100), 2);
    } else {
        $kpi = '0';
    }
    $elementi[$index]['TXT'] = strval($mesi[$Mese - 1]) . "'" . substr(strval($Anno), 2);
    $elementi[$index]['VAL'] = $kpi;

    $Mese += 1;
    if ($Mese >= 13) {
        $Mese = 1;
        $Anno = $Anno + 1;
    }
}

//refresh month and year
$Mese = $MeseInit;
$Anno = $AnnoInit;

$primo = true;
foreach ($elementi as $key => $altro) {

    $str = "";
    if (!$primo) {
        $str = " , ";
    }

    $val = $elementi[$key]['VAL'];

    if ($val == 100) {
        $legendIndex = 0;
    } else {
        $legendIndex = 1;
    }
    $color = $legend[$legendIndex];

    ++$key;
    $result .= <<< _JS
        $str { data: [ [ $key, $val ] ] , color: '$color' , bars: { show: true } }
_JS;
    $primo = false;
}
$result .= <<< _JS
    ];
    var nomiAscisse = [
_JS;
$primo = true;
foreach ($elementi as $key => $altro) {
    $val = $elementi[$key]['TXT'];
    $val = str_replace('"', "'", $val);

    $str = "";
    if (!$primo) {
        $str = " , ";
    }

    $key+=2;

    $result .= <<<_JS
        $str [$key,"$val"]
_JS;
    $primo = false;
}
$result .= <<< _JS
];
    var plot = $.plot("#placeholder2",
            data1,
            {
                grid: {
                    hoverable: true,
                    clickable: true
                }

                , xaxis:
                        {
                            ticks: nomiAscisse,
                            tickSize: 1,
                            rotateTicks: 0,
                        }


            });

    $("<div id='tooltip'></div>").css({
        position: "absolute",
        display: "none",
        border: "1px solid #fdd",
        padding: "2px",
        "background-color": "#fee",
        opacity: 0.80
    }).appendTo("body");

    $("#placeholder2").bind("plothover", function (event, pos, item) {
        if (enableTooltip)
        {
            try
            {
                if (item) {

                    var x = item.datapoint[0].toFixed(2),
                            y = item.datapoint[1].toFixed(2);

                    $("#tooltip").html(nomiAscisse[item.datapoint[0] - 1][1] + " = " + y)
                            .css({top: item.pageY + 5, left: item.pageX + 5})
                            .fadeIn(200);
                } else {
                    $("#tooltip").hide();
                }
            } catch (ex) {
                alert(ex);
            }
        }
    });
    $("#placeholder2").bind("plotclick", function (event, pos, item) {
        if (item) { 
            $('#Explosion').html('');
            var DataIniziale = new Date($Anno, $Mese - 1 , 1);
            var DataForm = new Date(new Date(DataIniziale).setMonth(DataIniziale.getMonth() + item.datapoint[0] -1 ));
            document.form1.Mese.value = DataForm.getMonth() + 1;
            document.form1.Anno.value = DataForm.getFullYear();
            var resultExplosion = jhp("jhp/explosions/kpi4.php", jhp_frm(document.form1));
            if (resultExplosion.state) {
                console.log(resultExplosion.message);
            } else {
                $('#Explosion').html(resultExplosion.value);
            }
        }
    });
});
</script>
_JS;

jhp($result);
