<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$report6 = ntxip('report6');
$legend = array('style="background-color: #4caf50"'
    , 'style="background-color: #dce775"'
    , 'style="background-color: #ffd54f"'
    , 'style="background-color: #fb8c00"'
    , 'style="background-color: #ff6d00"'
    , 'style="background-color: #f44336"'
    , 'style="background-color: #d50000"');

if ($report6 == 0) {

    $result = <<< _HTML
            
<div class="title small">Tabella di applicazioni penali</div>

<div class = "row table">

    <div class = "cell w-1">

        <div class = "title table inline">Media indicatori 1-2-3-4-5 per sede</div>

    </div>

</div>

<div class = "row table">

    <div class = "cell table w-1_7" $legend[0] >

        <p class="large">Risultato mensile <br /> &ge;96</p>
        <div class="clrfx mt-10"></div>
        <p class="large">NESSUN PROVVEDIMENTO</p>

    </div>

    <div class = "cell table w-1_7" $legend[1] >

        <p class="large">Risultato mensile <br /> &ge;93 <96</p>
        <div class="clrfx mt-10"></div>
        <p class="large">Applicazione penale: <br /> 5% del canone mensile della sede di riferimento</p>
            
    </div>

    <div class = "cell table w-1_7" $legend[2] >

        <p class="large">Risultato mensile <br /> &ge;88 <93</p>
        <div class="clrfx mt-10"></div>
        <p class="large">Applicazione penale: <br /> 6,5% del canone mensile della sede di riferimento</p>

    </div>

    <div class = "cell table w-1_7" $legend[3] >

        <p class="large">Risultato mensile <br /> &ge;80 <88</p>
        <div class="clrfx mt-10"></div>
        <p class="large">Applicazione penale: <br /> 9% del canone mensile della sede di riferimento</p>

    </div>

    <div class = "cell table w-1_7" $legend[4] >

        <p class="large">Risultato mensile <br /> &ge;67 <80</p>
        <div class="clrfx mt-10"></div>
        <p class="large">Applicazione penale: <br /> 12,5% del canone mensile della sede di riferimento</p>

    </div>

    <div class = "cell table w-1_7" $legend[5] >

        <p class="large">Risultato mensile <br /> &ge;50 <67</p>
        <div class="clrfx mt-10"></div>
        <p class="large">Applicazione penale: <br /> 18,5% del canone mensile della sede di riferimento</p>

    </div>

    <div class = "cell table w-1_7" $legend[6] >

        <p class="large">Risultato mensile <br /> <50</p>
        <div class="clrfx mt-10"></div>
        <p class="large">Applicazione penale: <br /> 26% del canone mensile della sede di riferimento e possibile risoluzione del contratto</p>

    </div>

</div>

_HTML;
} else {

    $result = <<< _HTML
            
<div class="title small">Tabella di applicazioni penali</div>
            
<div class = "row table">
            
    <div class="clrfx mt-20"></div>

    <div class="cell w-1_2">

        <div class = "title table inline">KPI 6 Qualità del servizio</div>

    </div>

    <div class="cell w-1_2">

        <div class = "title table inline">Target trimestrale</div>

    </div>

</div>

<div class = "row table">

    <div class="cell table w-1_2">

        <p class="large"><b>Calcolato su 5 interventi minimi richiesti nel trimestre di riferimento</b></p>

    </div>

    <div class="cell table w-1_2" $legend[0]>

        <p class="large">Risultato &ge;70% interventi chiusi con valutazione <b>buono</b> o <b>ottimo</b></p>
        <p class="large">PENALE DA APPLICARE: 20% dei costi totali a counsuntivo nel trimestre di riferimento</p>

    </div>

</div>

_HTML;
}

jhp($result);

