<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */

$IdCommessa = ntxise('IdCommessa');
$where1 = <<< _SQL
    tblOrdiniProgrammati.IdCommessa = $IdCommessa 
    AND Ordini.GradoUrgenza LIKE 'MP' 
_SQL;
$where2 = <<< _SQL
    MestiereCustomerCompilato.IdCommessa = $IdCommessa
_SQL;
$where3 = <<< _SQL
    Richieste.IDCommessa = $IdCommessa
    AND TabellaGradoUrgenza.PerRicNonConformita = 1
_SQL;
$where4 = <<< _SQL
    tblOrdiniProgrammati.IdCommessa = $IdCommessa
    AND Ordini.GradoUrgenza LIKE 'MP' 
_SQL;
$where5 = <<< _SQL
    tblOrdiniProgrammati.IdCommessa = $IdCommessa
    AND Ordini.GradoUrgenza LIKE 'MP' 
_SQL;
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');
$where1 .= <<< _SQL
    AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
_SQL;
$where2 .= <<< _SQL
    AND MestiereCustomerCompilato.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
_SQL;
$where3 .= <<< _SQL
    AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
_SQL;
$where4 .= <<< _SQL
    AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
_SQL;
$where5 .= <<< _SQL
    AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
_SQL;
/* * **************************************************** */
$mesiConvenzione = ntxip('mesiConvenzione');
if (is_numeric($_POST['IdEdificio'])) {
    $IdEdificio = ntxip('IdEdificio');
    $whereEdificio = <<< _SQL
    AND ElencoEdifici.ID = $IdEdificio 
_SQL;
} else {
    $whereEdificio = "";
}


if ((isset($_POST['Mese'])  &&  is_numeric($_POST['Mese']))  &&  (isset($_POST['Anno'])  &&  is_numeric($_POST['Anno']))) {
    $Mese = ntxip('Mese');
    $Anno = ntxip('Anno');
    /*     * **************************************************** */
    $where1 .= <<< _SQL
    AND YEAR(tblOrdiniProgrammati.dataFineProg) = $Anno 
    AND MONTH(tblOrdiniProgrammati.dataFineProg) = $Mese 
_SQL;
    $where2 .= <<< _SQL
    AND MestiereCustomerCompilato.Anno = $Anno 
    AND MestiereCustomerCompilato.Mese = $Mese 
_SQL;
    $where3 .= <<< _SQL
    AND YEAR(Richieste.DataRichiesta) = $Anno 
    AND MONTH(Richieste.DataRichiesta) = $Mese 
_SQL;
    $where4 .= <<< _SQL
    AND YEAR( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Anno 
    AND MONTH( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Mese 
_SQL;
    $where5 .= <<< _SQL
    AND YEAR( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Anno 
    AND MONTH( DATEADD(day,40,tblOrdiniProgrammati.dataFineProg) ) = $Mese 
_SQL;
    /*     * **************************************************** */
} else {
    jhp_error('Anno o Mese Error Post');
}


$arrayEdifici = array();
//return edifici
$sql2 = <<< _SQL
   SELECT DISTINCT  
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.EdificioBreve 
    FROM         
	tblPgContrattiAffidatariAttivitàEdifici 
	INNER JOIN
	ElencoEdifici ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND  tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = ElencoEdifici.ID
    WHERE    
	tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = $IdCommessa
	AND tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
        $whereEdificio
		
	AND ( ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>=getdate()  )	
_SQL;
$query = ntxQuery($sql2);
while ($rs = ntxRecord($query)) {
    foreach ($rs as $key => $value) {
        $rs[$key] = htmlentities($value);
    }
    $arrayEdifici[$rs['IdEdificio']] = $rs['EdificioBreve'];
}
/* * **************************************************** */
$result = <<< _HTML

    <div class="title large">Periodo di riferimento $Mese/$Anno</div>

    <div class="clrfx mt-10"></div>
        
    <p class="normal">Media KPI 1-2-3-4-5 per la sede di riferimento.</p>
    
    <div class="clrfx mt-10"></div>
        
    <div class="row table">

        <div class="cell table w-1_7">

            <div class="title table inline">Sede</div>

        </div>
        
        <div class="cell table w-1_3">
                
            <div class="row table">

                <div class="cell table w-1_5">

                    <div class="title table inline">KPI1</div>
        
                </div>

                <div class="cell table w-1_5">

                    <div class="title table inline">KPI2</div>

                </div>

                <div class="cell table w-1_5">

                    <div class="title table inline">KPI3</div>

                </div>

                <div class="cell table w-1_5">

                    <div class="title table inline">KPI4</div>

                </div>

                <div class="cell table w-1_5">

                    <div class="title table inline">KPI5</div>

                </div>

            </div>

        </div>

        <div class="cell table w-1_10">

            <div class="title table inline">Media KPI</div>

        </div>

        <div class="cell table w-1_10">

            <div class="title table inline">Canone Mensile</div>

        </div>

        <div class="cell table w-1_10">

            <div class="title table inline">Valore Penale</div>

        </div>

        <div class="cell table w-1_10">

            <div class="title table inline">Penale</div>

        </div>

        <div class="cell table w-1_10">

            <div class="title table inline">Canone Decurtato</div>

        </div>

    </div>
        
_HTML;
/* * **************************************************** */


$tot_mediaKpi		=0.00;
$tot_canoneMens     =0.00;
$tot_penale         =0.00;
$tot_CanoneDecurt   =0.00;
$elemProcessati = 0;

$sql1 = array();
$sql3 = array();
foreach ($arrayEdifici as $key => $value) {

    if (strlen($value) == 0) {
        continue;
    }
    $NomeEdificio = $value;
    /*     * **************************************************** */
    $sql1[0] = <<< _SQL
    SELECT 
        count(tblOrdiniProgrammati.IdOrdineProgrammato) 
    FROM 
        tblOrdiniProgrammati 
    LEFT OUTER JOIN 
        Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE 
        $where1
        AND tblOrdiniProgrammati.IdEdificio = $key 
_SQL;
    $sql1[1] = <<< _SQL
    SELECT     
	count(MestiereCustomerCompilatoRisposte.IdRisposta) 
    FROM         
	MestiereCustomerCompilato 
    INNER JOIN 
        MestiereCustomerCompilatoRisposte ON MestiereCustomerCompilato.ID = MestiereCustomerCompilatoRisposte.IdCustomerCom  
    INNER JOIN 
        MestiereCustomerRisposte ON MestiereCustomerCompilatoRisposte.IdRisposta = MestiereCustomerRisposte.ID 
    INNER JOIN 
        MestiereCustomerDomande ON MestiereCustomerRisposte.IdDomanda = MestiereCustomerDomande.ID	 
    INNER JOIN 
        MestiereCustomerDomande2Edifici ON MestiereCustomerDomande.ID = MestiereCustomerDomande2Edifici.IdCustomer 
    WHERE  
        $where2 
        AND MestiereCustomerCompilato.IdEdificio = $key 
_SQL;
    $sql1[2] = <<< _SQL
    SELECT      
	count(Richieste.IdRich) 
    FROM          
	Richieste  
    INNER JOIN 
        Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND   Richieste.IDCommessa = Ordini.IDCommessa  
    INNER JOIN 
        TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE
        $where3 
        AND Richieste.Localizzazione = $key  
_SQL;
    $sql1[3] = <<< _SQL
    SELECT    
	count(tblOrdiniProgrammati.IdOrdineProgrammato)
    FROM         
	tblOrdiniProgrammati 
    LEFT OUTER JOIN
        Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE  
        $where4 
        AND tblOrdiniProgrammati.IdEdificio = $key  
_SQL;
    $sql1[4] = <<< _SQL
    SELECT    
	count(tblOrdiniProgrammati.IdOrdineProgrammato)
    FROM         
	tblOrdiniProgrammati 
    LEFT OUTER JOIN
        Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE   
        $where5 
        AND tblOrdiniProgrammati.IdEdificio = $key  
_SQL;
    /*     * **************************************************** */
    $sql3[0] = <<< _SQL
    SELECT 
        count(tblOrdiniProgrammati.IdOrdineProgrammato) 
    FROM 
        tblOrdiniProgrammati 
    LEFT OUTER JOIN 
        Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE 
        $where1        
        AND (tblOrdiniProgrammati.Eseguito IS NULL OR tblOrdiniProgrammati.Eseguito=0) 
	AND tblOrdiniProgrammati.datafine IS NULL 
        AND tblOrdiniProgrammati.IdEdificio = $key 
_SQL;
    $sql3[1] = <<< _SQL
    SELECT      
	SUM(MestiereCustomerRisposte.Peso/100)
    FROM          
	MestiereCustomerCompilato  
    INNER JOIN 
        MestiereCustomerCompilatoRisposte ON MestiereCustomerCompilato.ID = MestiereCustomerCompilatoRisposte.IdCustomerCom  
    INNER JOIN 
        MestiereCustomerRisposte ON MestiereCustomerCompilatoRisposte.IdRisposta = MestiereCustomerRisposte.ID 
    INNER JOIN 
        MestiereCustomerDomande ON MestiereCustomerRisposte.IdDomanda = MestiereCustomerDomande.ID	 
    INNER JOIN 
        MestiereCustomerDomande2Edifici ON MestiereCustomerDomande.ID = MestiereCustomerDomande2Edifici.IdCustomer 
    WHERE  
        $where2           
        AND MestiereCustomerCompilato.IdEdificio = $key  
_SQL;
    $sql3[2] = <<< _SQL
    SELECT      
	count(Richieste.IdRich) 
    FROM          
	Richieste  
    INNER JOIN 
        Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND   Richieste.IDCommessa = Ordini.IDCommessa  
    INNER JOIN 
        TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE
        $where3        
        AND Richieste.Localizzazione = $key 
	AND Ordini.StatoOrd = 50
_SQL;
    $sql3[3] = <<< _SQL
    SELECT    
	count(tblOrdiniProgrammati.IdOrdineProgrammato)
    FROM         
	tblOrdiniProgrammati 
    LEFT OUTER JOIN
        Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE     
	$where4        
        AND tblOrdiniProgrammati.datafine IS NULL
	AND (tblOrdiniProgrammati.Eseguito IS NULL OR tblOrdiniProgrammati.Eseguito=0) 
        AND tblOrdiniProgrammati.IdEdificio = $key 
_SQL;
    $sql3[4] = <<< _SQL
    SELECT     count(IdOrdineProgrammato)
	FROM
	( 
		SELECT DISTINCT
			tblOrdiniProgrammati.IdOrdineProgrammato         
		FROM         
		tblOrdiniProgrammati 
		LEFT OUTER JOIN
			Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
		LEFT OUTER JOIN
			DocsOrdini ON Ordini.IDCommessa = DocsOrdini.IdCommessa AND Ordini.IdOrd = DocsOrdini.IdOrdine
		INNER JOIN 
		tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
		WHERE     
			$where5        
				AND tblOrdiniProgrammati.datafine IS NOT NULL
			AND tblOrdiniProgrammati.Eseguito=1
			AND DocsOrdini.IdDoc IS NOT NULL     
			AND tblOrdiniProgrammati.IdEdificio = $key 
	) AS A1		
_SQL;
    /*     * **************************************************** */
    $kpi = array();
    for ($index = 0; $index < count($sql1); $index++) {
        $rsd = ntxScalar($sql1[$index]);
        if (is_numeric($rsd)) {
            $d = floatval($rsd);
        } else {
            $d = 0.0;
        }
        $rsn = ntxScalar($sql3[$index]);
        if (is_numeric($rsn)) {
            $n = floatval($rsn);
        } else {
            $n = 0.0;
        }
        if ($d != 0.0) {
            if (($index == 0) || ($index == 2) || ($index == 3) || ($index == 4)) {
                $kpi[$index] = (1 - ($n / $d)) * 100;
            } else {
                $kpi[$index] = ($n / $d) * 100;
            }
        } else {
            $kpi[$index] = 100;
        }
    }
    /*     * **************************************************** */

    //canone mensile
    $sql4 = <<< _SQL
    SELECT 
        SUM(CanoneContrattuale) AS A1
    FROM  
        CanoneMestiereTblPgContrattiAffidatari
    WHERE
	IdPgContrattoAffidatario = $IdPgContrattoAffidatario
	AND IdCommessaMestiere = $IdCommessa 
	AND IdCommessaEdifcio = $IdCommessa 
	AND IdEdificio = $key
_SQL;

    $rsc = ntxScalar($sql4);
    if (is_numeric($rsc)) {
        $CanoneContrattuale = floatval($rsc);
        $canoneMese = round(($CanoneContrattuale / $mesiConvenzione), 2);
    } else {
        $CanoneContrattuale = 0.0;
    }

    /*     * **************************************************** */
    if (count($kpi) != 0) {
        $kpi2write = array_sum($kpi) / count($kpi);
    } else {
        $kpi2write = 100;
    }
    /*     * **************************************************** */
    if ($kpi2write >= 96) {
        $legendIndex = 0;
        $valPenaleDaApplicare = 0;
    } elseif ($kpi2write >= 93) {
        $legendIndex = 1;
        $valPenaleDaApplicare = 5;
    } elseif ($kpi2write >= 88) {
        $legendIndex = 2;
        $valPenaleDaApplicare = 6.5;
    } elseif ($kpi2write >= 80) {
        $legendIndex = 3;
        $valPenaleDaApplicare = 9;
    } elseif ($kpi2write >= 67) {
        $legendIndex = 4;
        $valPenaleDaApplicare = 12.5;
    } elseif ($kpi2write >= 50) {
        $legendIndex = 5;
        $valPenaleDaApplicare = 18.5;
    } elseif ($kpi2write < 50) {
        $legendIndex = 6;
        $valPenaleDaApplicare = 26;
    }
    

    $kpi12write = ntxRoundThousand($kpi[0], 2);
    if ($kpi12write == '') {
        $kpi12write = '-';
    }
    $kpi22write = ntxRoundThousand($kpi[1], 2);
    if ($kpi22write == '') {
        $kpi22write = '-';
    }
    $kpi32write = ntxRoundThousand($kpi[2], 2);
    if ($kpi32write == '') {
        $kpi32write = '-';
    }
    $kpi42write = ntxRoundThousand($kpi[3], 2);
    if ($kpi42write == '') {
        $kpi42write = '-';
    }
    $kpi52write = ntxRoundThousand($kpi[4], 2);
    if ($kpi52write == '') {
        $kpi52write = '-';
    }

    $canoneDecurtato = (($canoneMese * (100 - $valPenaleDaApplicare)) / 100);
    $penaleMese = ($canoneMese * ($valPenaleDaApplicare / 100.00));
    $canoneMese = $canoneMese;
    $valPenaleDaApplicare = $valPenaleDaApplicare;

	
	if ($canoneMese != 0) 
	{
		$tot_mediaKpi += $kpi2write;
		$tot_canoneMens += $canoneMese;
		$tot_penale += $penaleMese;
		$tot_CanoneDecurt += $canoneDecurtato;
		
		++$elemProcessati;
	}
	

    $canoneDecurtato = ntxRoundThousand($canoneDecurtato, 2);
    $penaleMese = ntxRoundThousand($penaleMese, 2);
    $canoneMese = ntxRoundThousand($canoneMese, 2);
    $valPenaleDaApplicare = ntxRoundThousand($valPenaleDaApplicare, 2);

	
	$kpi2write = ntxRoundThousand($kpi2write, 2);
	
	
    /*     * **************************************************** */

    if ($canoneMese != 0) {

        $result .= <<< _HTML

            <div class="row table bordered" $legend[$legendIndex] >

                <div class="cell table w-1_7">

                    <p class="large">$NomeEdificio</p>

                </div>
                
                <div class="cell table w-1_3">
                
                    <div class="row table">

                        <div class="cell table w-1_5">

                            <p class="large">$kpi12write %</p>

                        </div>

                        <div class="cell table w-1_5">

                            <p class="large">$kpi22write %</p>

                        </div>

                        <div class="cell table w-1_5">

                            <p class="large">$kpi32write %</p>

                        </div>

                        <div class="cell table w-1_5">

                            <p class="large">$kpi42write %</p>

                        </div>

                        <div class="cell table w-1_5">

                            <p class="large">$kpi52write %</p>

                        </div>

                    </div>
                
                </div>

                <div class="cell table w-1_10">

                    <p class="large">$kpi2write %</p>

                </div>

                <div class="cell table w-1_10">

                    <p class="large">$canoneMese &euro;</p>

                </div>

                <div class="cell table w-1_10">

                    <p class="large">$valPenaleDaApplicare %</p>

                </div>

                <div class="cell table w-1_10">

                    <p class="large">$penaleMese &euro;</p>

                </div>

                <div class="cell table w-1_10">

                    <p class="large">$canoneDecurtato &euro;</p>

                </div>

            </div>

_HTML;
    }
}


$tot_mediaKpi /= ($elemProcessati+0.0000000000001); 

$tot_mediaKpi = ntxRoundThousand($tot_mediaKpi, 2); 
$tot_canoneMens = ntxRoundThousand($tot_canoneMens, 2); 
$tot_penale = ntxRoundThousand($tot_penale, 2); 
$tot_CanoneDecurt = ntxRoundThousand($tot_CanoneDecurt, 2);

$result .= <<< _HTML

	<div class="row table bordered" >

		<div class="cell table w-1_7">

			<p class="large"></p>

		</div>
		
		<div class="cell table w-1_3">
		
			<div class="row table">

				<div class="cell table w-1_5">

					<p class="large"> </p>

				</div>

				<div class="cell table w-1_5">

					<p class="large"> </p>

				</div>

				<div class="cell table w-1_5">

					<p class="large"> </p>

				</div>

				<div class="cell table w-1_5">

					<p class="large"> </p>

				</div>

				<div class="cell table w-1_5">

					<p class="large"> </p>

				</div>

			</div>
		
		</div>

		<div class="cell table w-1_10">

			<p class="large">$tot_mediaKpi %</p>

		</div>

		<div class="cell table w-1_10">

			<p class="large">$tot_canoneMens &euro;</p>

		</div>

		<div class="cell table w-1_10">

			<p class="large"> </p>

		</div>

		<div class="cell table w-1_10">

			<p class="large">$tot_penale &euro;</p>

		</div>

		<div class="cell table w-1_10">

			<p class="large">$tot_CanoneDecurt &euro;</p>

		</div>

	</div>
_HTML;
?>
