<?php
session_start() ;
require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  

$IdCommessa = ntxise('IdCommessa'); 
$Utente = ntxsse('Utente');
$IdMagazzino = ntxip('ID', false); 

 
	
$sqlComponenti = <<< sql
SELECT DISTINCT    
	Magazzino2TipoComponente.ID AS IdMagazzino2TipoComponente
	,TipoComponente.IDTipoComponente, TipoComponente.DesComponente, TipoComponente.Codice, TipoComponente.ordinamento, CAST(TipoComponente.ordinamento AS int) AS ordinamentoINT
FROM         
	TipoComponente 
	LEFT OUTER JOIN
	Magazzino2TipoComponente ON TipoComponente.IdCommessa = Magazzino2TipoComponente.IdCommessaTipoComponente AND  TipoComponente.IDTipoComponente = Magazzino2TipoComponente.IdTipoComponente
WHERE     
	TipoComponente.IdCommessa = $IdCommessa 
	AND Magazzino2TipoComponente.IdMagazzino = $IdMagazzino 	  
sql;

if ( isset($_POST['CodiceComponente'])  &&  strlen($_POST['CodiceComponente'])>0) 
{
	$str = stripslashes($_POST['CodiceComponente']."");
	$str = str_replace("'", "''", $str);
	$sqlComponenti .= " AND TipoComponente.Codice LIKE '%".$str."%' ";
}

if ( isset($_POST['CodiceDescrizione'])  &&  strlen($_POST['CodiceDescrizione'])>0) 
{
	$str = stripslashes($_POST['CodiceDescrizione']."");
	$str = str_replace("'", "''", $str);
	$sqlComponenti .= " AND TipoComponente.DesComponente LIKE '%".$str."%' ";
}

$sqlComponenti .= " ORDER BY ordinamentoINT, Codice ";


$sqlEdifici = $sqlEdificiSelect = <<< sql
SELECT DISTINCT 
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune,  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP 
FROM          
	ElencoEdifici  
	INNER JOIN			  
	Magazzino2Edifici ON Magazzino2Edifici.IdCommessaEdificio = ElencoEdifici.IdCommessa AND Magazzino2Edifici.IdEdificio = ElencoEdifici.ID		
	
	INNER JOIN
	UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
	Utenti ON UtentiEdifici.IdUtente = Utenti.Id	
WHERE     
	ElencoEdifici.IdCommessa = $IdCommessa 	
	AND (Magazzino2Edifici.IdMagazzino = $IdMagazzino)	
	AND (Utenti.Nome = $Utente)  
sql;

if ( is_numeric($_POST['IdEdificioSelect'])) 
{
	$value = (int)$_POST['IdEdificioSelect'];
	$sqlEdifici .= " AND (ElencoEdifici.ID = $value) ";
}

if ( isset($_POST['Edificio'])  &&  strlen($_POST['Edificio'])>0) 
{
	$str = stripslashes($_POST['Edificio']."");
	$str = str_replace("'", "''", $str);
	$sqlEdifici .= " AND ElencoEdifici.EdificioBreve LIKE '%".$str."%' ";
}

$sqlEdifici .= " ORDER BY Codice, Nome ";
 
$selectEdifici = array(); 
$queryEdifici = ntxQuery($sqlEdificiSelect); 
while( $queryEdifici  &&  $rs1 = ntxRecord($queryEdifici) )
{	  
	$selectEdifici[ $rs1[IdEdificio] ] = htmlentities( "$rs1[Nome] - $rs1[Indirizzo]" ); 
} 

$selectEdificiString = ' <select name="IdEdificioSelect" >';
$selectEdificiString .= ' <option value="" >nessuna selezione';
foreach($selectEdifici as $key => $value) 
{
	$sel = '';
	if(is_numeric($_POST[IdEdificioSelect])  &&  $key==$_POST[IdEdificioSelect]) $sel = ' selected="selected" ';
	
	$selectEdificiString .= " <option value='$key' $sel > $value ";
}
$selectEdificiString .= ' </select>';
 

/*<form name=formStampa method=post action="jhp/consistenza/consistenza_quantita_prestampa.php" target="_blank"  style="display:inline;" >
	 <?php ntxCreateHiddens() ?>
		<button  type="submit"  > 
			<img src="/repository/xhdpi/12_hardware_dock.png" style="width:20px" />
			stampa
		</button>
</form
<form name=formExcel method=post action="jhp/consistenza/consistenza_quantita_preexcel.php" target="frmAllegati"  style="display:inline;" class="NascondiPerStampa" > 
		<input type=hidden name=IdMagazzino value="$IdMagazzino" />
		<button  type="submit"  > 
			<img src="/repository/xhdpi/12_hardware_dock.png" style="width:20px" />
			excel
		</button>
	</form>
>*/

$PRINT .= <<<_HTML
<div class="divBottoni" >   
	<button  id="bntShowHide01" class="allineatoSinistra"  onsubmit="return false;"  >
		<img src="/repository/xhdpi/2_action_search.png" style="width:20px" />
		Criteri di ricerca
	</button>	 
	
	 <button   class="allineatoSinistra"   style="width:100px;" onclick="vai('consistenza_quantita_excel', 1, '');return false;"  > 
		<img src="/repository/xhdpi/9_av_download.png" style="width:20px" />
		excel
	</button>
	
	<form name=formStampa method=post action="jhp/consistenza/consistenza_quantita_prestampa.php" target="frmAllegati"  style="display:inline;" class="NascondiPerStampa" > 
		<input type=hidden name=IdMagazzino value="$IdMagazzino" />
		<button  type="submit"  > 
			<img src="/repository/xhdpi/12_hardware_dock.png" style="width:20px" />
			stampa
		</button>
	</form>
	
</div> 
<iframe id="frmAllegati" name="frmAllegati" style="width:1px;height:1px;display:none;" ></iframe>

<div class="slidingDiv"  id="slidingDiv01">
	<form id="frmSearch01" name="frmSearch01"  method="post" action="" target="" >  
			
		<table class="tbl1 tbl1Alternate" style="margin:auto; width:320px;"  cellpadding="0" cellspacing="0"   >   
				
			<tr>
				<th>localizzazione&nbsp;-&nbsp;nome 
				<td><input type="text" name="Edificio"  value="$_POST[Edificio]"  />
				
			<tr>
				<th>localizzazione&nbsp;-&nbsp;elenco
				<td>$selectEdificiString
				
			<tr>
				<th>tipo&nbsp;-&nbsp;codice
				<td><input type="text" name="CodiceComponente"  value="$_POST[CodiceComponente]"  /> 
				
			<tr>
				<th>tipo&nbsp;-&nbsp;descrizione
				<td><input type="text" name="CodiceDescrizione"  value="$_POST[CodiceDescrizione]"   /> 
				
			<tr><th colspan="2">		
				<input type="button" style="width:100%;height:100%;" value="Cerca" onclick="vai('consistenza_quantita', 1, '');return false;"  /> 
		</table>
	</form>
</div>

<script>
$("#slidingDiv01").hide();

$('#bntShowHide01').click(function()
{
	$("#slidingDiv01").slideToggle();
});	
</script>

<table class="tbl1 tbl1Alternate tblRisultati"   >
	<tr>
		<th>ordinamento 			
		<th>codice 			
		<th>componente 			
_HTML;

$queryEdifici = ntxQuery($sqlEdifici); 
while( $queryEdifici  &&  $rs1 = ntxRecord($queryEdifici) )
{	 
	foreach($rs1 as $key => $value) $rs1[$key]=htmlentities($value); 
	
	$PRINT .= <<<_HTML
	<th style="width:280px;" > $rs1[Codice]  $rs1[Nome] 
_HTML;
	 
}
 

$queryComponenti = ntxQuery($sqlComponenti); 
while( $queryComponenti  &&  $rs1 = ntxRecord($queryComponenti) )
{	 
	foreach($rs1 as $key => $value) $rs1[$key]=htmlentities($value); 
	 
	$IDTipoComponente = $rs1[IDTipoComponente]; 
	
	$PRINT .= <<<_HTML
	<tr>
		<td> $rs1[ordinamento]  
		<td> $rs1[Codice]  
		<td style="text-align:left !important;" > $rs1[DesComponente]  
_HTML;
	 
	$queryEdifici = ntxQuery($sqlEdifici); 
	while( $queryEdifici  &&  $rs2 = ntxRecord($queryEdifici) )
	{	 
		foreach($rs2 as $key => $value) $rs2[$key]=htmlentities($value); 
	
		$IdEdificio = $rs2[IdEdificio];  
		
		$sql = <<< SQL
		SELECT   *
		FROM MagazzinoEdifici2TipoComponente  
		WHERE
			IdCommessaTipoComponente = $IdCommessa
			AND IDTipoComponente = $IDTipoComponente
			AND IdCommessaEdificio = $IdCommessa
			AND IdEdificio = $IdEdificio
			AND IdMagazzino = $IdMagazzino
SQL;
		$rs3 = ntxRecord(ntxQuery($sql));		
		$idRelEsiste = $rs3[ID];		
		$Fabbisogno = ntxRound($rs3[Fabbisogno],2);		
		$Scorta = ntxRound($rs3[Scorta],2);		
		$Rimossi = ntxRound($rs3[Rimossi],2);		
		$Guasti = ntxRound($rs3[Guasti],2);		
		$TotaleInstallato = ntxRound($rs3[TotaleInstallato],2);		
		
		/*<th class="rimossi" >
		rimossi
		<td class="rimossi" >
			<input type="text" class="clsQuantita" title="rimossi" placeholder="rimossi" value="$Rimossi" onchange="updateQuantitaupdate(this , 'Rimossi', $idRelEsiste)" readonly />
		*/
		if(is_numeric($idRelEsiste) && $idRelEsiste>0)
		$PRINT .= <<<_HTML
		<td class="recordConsistenza" style="padding:2px;"  > 
		
			<table class="tbl2" >
				<tr>
					<th class="fabbisogno" >
					fabbisogno
					
					<th class="scorta" >
					scorta
						
					<th class="guasti" >	
					guasti
					
					<th class="installato" > 
					installato
					
				<tr>
					<td class="fabbisogno" >
						<input type="text" class="clsQuantita" title="fabbisogno" placeholder="fabbisogno" value="$Fabbisogno" onchange="updateQuantitaupdate(this , 'Fabbisogno', $idRelEsiste)" readonly  />
			 
					<td class="scorta" >
						<input type="text" class="clsQuantita" title="scorta"  placeholder="scorta" value="$Scorta" onchange="updateQuantitaupdate(this , 'Scorta', $idRelEsiste)" readonly />
					
					<td class="guasti" >	
						<input type="text" class="clsQuantita" title="guasti" placeholder="guasti" value="$Guasti" onchange="updateQuantitaupdate(this , 'Guasti', $idRelEsiste)" readonly />
					
					<td class="installato" > 
						<input type="text" class="clsQuantita" title="installato" placeholder="installato" value="$TotaleInstallato" onchange="updateQuantitaupdate(this , 'TotaleInstallato', $idRelEsiste)" readonly  />
					
				<tr>	
					<td colspan="4" > 
						<div>
							<input type="button" value="mov. magazzino" onclick="vaiMovimentiMagazzino('$idRelEsiste')" style="width:49%;" class="bntMovMagazzino" />
							<input type="button" value="mov. carico" onclick="vaiMovimentiCarico('$idRelEsiste')" style="width:49%;" class="btnMovCarico"/>
						</div>
			</table>	
_HTML;
		else
		$PRINT .= <<<_HTML
		<td>  
_HTML;
	}	 
	 
}


 
$PRINT .= <<<_HTML
</table>		
_HTML;


 
$result[report] = $PRINT;   
jhp($result);  
?>
