<?php  
session_start(); 
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  

$IdCommessa = ntxise('IdCommessa');  
$IdMagazEdifTipoComp = ntxip('IdMagazEdifTipoComp');  

//<!-- IN EVIDENZA -->
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');
?>
<!DOCTYPE html>
<html>
<head>    
	<link href="../../_css/new_navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	<link href="../../_css/sliding_div_finder.css" rel="stylesheet" type="text/css"> 
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css"> 
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>  
	<script type="text/javascript" src="../../_ntx/jhp.php"></script>  
	
	<style> 
	.frameDialog
	{
		border: none; box-shadow:none; width:99%; height:100%; background:transparent; display:block !important; overflow:scroll;
	}
	</style>
</head>

<body>

<script language="javascript">
$(document).ready(function() 
{ 	   
	var attore = parent.attore;
	
	if(attore=="clienti")
	{
		$('.bntAggiunta').hide();	
	}
	
    $(".slidingDiv").hide();
	
	$('#bntShowHide').click(function()
	{
		$(".slidingDiv").slideToggle();
	});		
});   

function ricarica()
{
	document.frmReload.submit();
}
</script>

<div class="divBottoni" >   
	<button  id="bntShowHide" class="allineatoSinistra"  onsubmit="return false;"  >
		<img src="/repository/xhdpi/2_action_search.png" style="width:20px" />
		Criteri di ricerca
	</button>	
	
	<form method="post"  class="allineatoSinistra" id="frmReload" name="frmReload" >
		<?php ntxCreateHiddens() ?>
		<button   type="submit"  >
			<img src="/repository/xhdpi/1_navigation_refresh.png" style="width:20px" />
			Ricarica
		</button>
	</form>  
</div> 

<div class="slidingDiv"  id="slidingDiv1">
	<form id="frmSearch" name="frmSearch"  method="post" action="" target=""> 
	 
		<input type="hidden" name="IdMagazEdifTipoComp" value="<?php echo htmlentities($_POST['IdMagazEdifTipoComp']) ?>" > 
			
		<table class="colore0" style="margin:auto; width:320px;"  cellpadding="0" cellspacing="0"   >   
				
			<tr>
				<th>operatore
				<td><input type="text" name="Operatore" value="<?php echo htmlentities($_POST['Operatore']) ?>" />
				
			<tr>
				<th>area&nbsp;identificata
				<td><input type="text" name="CodiceAssAmbiente" value="<?php echo htmlentities($_POST['CodiceAssAmbiente']) ?>" /> 
				
			<tr><th colspan="2">		
				<input type="button" style="width:100%;height:100%;" value="Cerca" onclick="document.frmSearch.submit();" /> 
		</table>
	</form>
</div>


<h2>storico dei movimenti</h2>  

<?php
require('_info_magazzino.php');  
?>  


<?php
$sql = <<<_SQL

SELECT DISTINCT 
	MagazzinoMovimenti.*
	
	,Ambiente.CodiceAssAmbiente AS CodiceAssAmbiente 
	,DestinazioniDusoLivello.Destinazione AS Piano 
	,DestinazioniDuso.Destinazione AS DesUso
FROM       
	MagazzinoMovimenti 

	LEFT OUTER JOIN
	Ambiente ON Ambiente.IdCommessa = MagazzinoMovimenti.IdCommessaAmbiente AND 
	Ambiente.IdEdificio = MagazzinoMovimenti.IdEdificioAmbiente AND Ambiente.IDAmbiente = MagazzinoMovimenti.IDAmbienteAmbiente 
	 
	LEFT OUTER JOIN
	PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND Ambiente.IdLivello = PianoLivello.idPiano 

	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND  Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
WHERE     
	MagazzinoMovimenti.IdMagazEdifTipoComp = $IdMagazEdifTipoComp
_SQL;

if ( isset($_POST['Operatore'])  &&  strlen($_POST['Operatore'])>0) 
{
	$str = stripslashes($_POST['Operatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND MagazzinoMovimenti.Operatore LIKE  '%".$str."%' ";
} 

if ( isset($_POST['CodiceAssAmbiente'])  &&  strlen($_POST['CodiceAssAmbiente'])>0) 
{
	$str = stripslashes($_POST['CodiceAssAmbiente']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ambiente.CodiceAssAmbiente LIKE  '%".$str."%' ";
} 

$query = ntxPagedQuery($sql, "Data DESC");    
?>


<div align="center" >

	<br>
	
	<div id="dialog" style="display:none;padding:0px;margin:0px;">
		<iframe id="frameDialog" name="frameDialog"    marginWidth="0" marginHeight="0" frameBorder="0" border="0" allowTransparency="true"  class="frameDialog"   ></iframe>
	</div>		 
	
	<script> 
	function aggiungi()
	{ 
		$("#frameDialog").attr("src","edit_movimento.php?IdMagazEdifTipoComp=<?php echo $IdMagazEdifTipoComp ?>" );		
		 
		$("#dialog").dialog(
		{ 
			title: "editazione movimento",
			modal: true,
			width: 600,
			height:  500,
			position: ['center',20] ,
			buttons: 
			{	
				"chiudi": function() 
				{
					$(this).dialog("close");
				}
			}
			,close: function(event, ui) { document.frmReload.submit(); }
		} );
	}
	
	function sel(ID)
	{ 
		$("#frameDialog").attr("src","edit_movimento.php?ID="+ID );		
		 
		$("#dialog").dialog(
		{ 
			title: "editazione movimento",
			modal: true,
			width: 600,
			height:  500,
			position: ['center',20] ,
			buttons: 
			{	
				"chiudi": function() 
				{
					$(this).dialog("close");
				}
			}
			,close: function(event, ui) { document.frmReload.submit(); }
		} );
	}	
	
	function aggiungi2()
	{ 
		$("#frameDialog").attr("src","edit_movimento_multipli.php?IdMagazEdifTipoComp=<?php echo $IdMagazEdifTipoComp ?>" );		
		 
		$("#dialog").dialog(
		{ 
			title: "editazione",
			modal: true,
			width: 600,
			height:  500,
			position: ['center',20] ,
			buttons: 
			{	
				"chiudi": function() 
				{
					$(this).dialog("close");
				}
			}
			,close: function(event, ui) { document.frmReload.submit(); }
		} );
	}
	</script> 
	
	<button   onsubmit="return false;"  onclick="aggiungi();" class="bntAggiunta" >
		<img src="/repository/xhdpi/5-content-new.png" style="width:20px" />
		aggiungi nuovo elemento
	</button>
	
	<button   onsubmit="return false;"  onclick="aggiungi2();" class="bntAggiunta" >
		<img src="/repository/xhdpi/5-content-new.png" style="width:20px"  />
		aggiungi <strong>elementi su più ambienti</strong>
	</button>	
	
	<br><br>

	<!-- IN EVIDENZA -->
	<?php ntxPagedPrintNavigation() ?>
	 
		<table  cellpadding="0" cellspacing="0" >
			<tr>
				<th> 
				<th>id
				<th>operatore
				<th>data
				<th>area&nbsp;identificativa
				<th>area&nbsp;di&nbsp;lavoro
				<th>ponte
				<th>#&nbsp;comp 
				
			<?php
			$alternate = true;

			while(  $query  &&  $rs = ntxRecord($query) )
			{
				$classe = $alternate ? "" : "td2";
			?>
				<tr>
					<td class="<?php echo $classe ?>" ><input type="button" value="sel" onclick="sel('<?php echo htmlentities($rs['ID']) ?>')" />
					<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['ID']) ?>
					<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Operatore']) ?>
					<td class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['Data']) ?>
					<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['CodiceAssAmbiente']) ?>					
					<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['DesUso']) ?>					
					<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Piano']) ?>					
					<td class="<?php echo $classe ?>" ><?php echo ntxRound($rs['NuoviComponenti'], 2) ?>	 	 			
			<?php
			}
			?>
		
		</table>
	 
	<!-- IN EVIDENZA -->
	<?php ntxPagedPrintBody() ?>
	<?php ntxPagedPrintNavigation() ?>

</div>

 
</body>
</html>