<?php  
session_start();
require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');   

$IdCommessa = ntxise('IdCommessa');  
$IdMagazzino = ntxip('IdMagazzino');  
$IdMovScarico = ntxip('IdMovScarico');  
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">	
	
	<link href="../../../../_css/new_navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css" /> 
	<link href="../../../../_css/sliding_div_finder.css" rel="stylesheet" type="text/css" /> 
	
	<script type="text/javascript" src="../../../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="../../../../_ntx/jhp.php"></script>
	
	<style>
	body, html
	{
		background: white;
	}
	
	table
	{
		width:100%;
	} 
	
	th
	{
		background: #616161 !important;
	}
	</style>
</head>

<body>


<script language="javascript">
$(document).ready(function() 
{ 	    
    window.print();		
});   
</script>
 
 

<h2>movimento di scarico</h2>  

<?php
$sql = <<<_SQL
SELECT      
	MagazzinoTestata.Descrizione AS Magazzino
FROM          
	MagazzinoTestata  
WHERE     
	(MagazzinoTestata.ID = $IdMagazzino)
_SQL;

$rs = ntxRecord( ntxQuery($sql) ); 
?> 

<h5>
	<i>magazzino:</i>
	<?php echo htmlentities($rs[Magazzino]) ?> 
</h5>   

<?php
$sql = <<<_SQL
SELECT DISTINCT 
	MagazzinoMovScarico.*  	
FROM       
	MagazzinoMovScarico  
	LEFT OUTER JOIN
	MagazzinoMovRiparazione ON MagazzinoMovRiparazione.IdMovScarico = MagazzinoMovScarico.ID
WHERE     
	MagazzinoMovScarico.ID = $IdMovScarico
_SQL;
 
$query = ntxQuery($sql);
?>

<div align="center">  
 
	<table> 
		<tr> 
			<th>id 
			<th>Operatore 
			<th>Data 
			<th>Note   
			<th>inserimento   
			<th>utente   
			<th>localizzazione
			<th>svuotato   
 
		<?php
			$alternate = true;

			while(  $query  &&  $rs = ntxRecord($query) )
			{ 			
				$classe = $alternate ? "" : "td2";	
				
				$rs['EdificiAssociati'] = '';
				
				
				$IdMovScarico1=(int)$rs[ID];
				
				$sql1 = <<<_SQL
				SELECT DISTINCT 
					ElencoEdifici.ID AS IdEdificio
					,ElencoEdifici.Codice AS EdificioCodice
					,ElencoEdifici.EdificioBreve AS EdificioNome	
				FROM       
					MagazzinoMovRiparazione 
					LEFT OUTER JOIN
					Ambiente ON Ambiente.IdCommessa = MagazzinoMovRiparazione.IdCommessaAmbiente AND 
					Ambiente.IdEdificio = MagazzinoMovRiparazione.IdEdificioAmbiente AND Ambiente.IDAmbiente = MagazzinoMovRiparazione.IDAmbienteAmbiente  
					LEFT OUTER JOIN
					ElencoEdifici ON ElencoEdifici.ID = Ambiente.IdEdificio AND ElencoEdifici.IdCommessa = Ambiente.IdCommessa
					LEFT OUTER JOIN
					MagazzinoMovScarico ON MagazzinoMovRiparazione.IdMovScarico = MagazzinoMovScarico.ID
				WHERE     
					MagazzinoMovRiparazione.IdMovScarico = $IdMovScarico1
_SQL;
				$query1 = ntxQuery($sql1);   
				
				while(  $query1  &&  $rs1 = ntxRecord($query1) )
				{
					$rs['EdificiAssociati'] = "$rs[EdificioCodice] $rs[EdificioNome]";
				}
		?>
			<tr> 
				<td class=" <?php echo  $classe ?> " >
				<?php echo htmlentities($rs['ID']) ?> 
				
				<td class=" <?php echo  $classe ?> " >
				<?php echo htmlentities($rs['Operatore']) ?>
				
				<td class=" <?php echo  $classe ?> " >
				<?php echo ntxDate($rs['Data']) ?>	

				<td class=" <?php echo  $classe ?> " >
				<?php echo htmlentities($rs['Note']) ?>

				<td class=" <?php echo  $classe ?> " >
				<?php echo ntxDateTime($rs[DataCreazione]) ?>

				<td class=" <?php echo  $classe ?> " >
				<?php echo htmlentities($rs[UtenteCreazione]) ?>

				<td class=" <?php echo  $classe ?> " >
				<?php echo htmlentities($rs['EdificiAssociati']) ?>  

				<td class=" <?php echo  $classe ?> " >
				<?php
				if($rs[Svuotato]==1){ echo 'si'; }
				else { echo 'no'; }  
				?>
		<?php
				$alternate = !$alternate;
			}
		?>
	</table>

	
	<br> 
	
	<h2>movimenti di riparazione associati</h2> 
	
	<?php 
	require("../../_check_cartella_ricerca.inc");//importante

	require_once("../../$cartella_ricerca/movimenti_scarico.inc"); 
	
	$query = ntxQuery($sql); 
	?>	
	

	<table cellpadding="0" cellspacing="0" >
		<tr> 
			<th>id
			<th>operatore
			<th>data
			<th>localizzazione
			<th>Area&nbsp;ID
			<th>area&nbsp;di&nbsp;lavoro
			<th>ponte
			<th>tipo&nbsp;componente
			<th>note
			<th>quantità
			<th>garanzia
			
		<?php
		$alternate = true;

		$tipoRicerca = 1;//ricerca tra gli associati
		
		$sql = <<< sql
		SELECT     MagazzinoMovScarico.Svuotato
		FROM      MagazzinoMovScarico 
		WHERE     (MagazzinoMovScarico.ID = $IdMovScarico)
sql;
		$rs0001 = ntxRecord(ntxQuery($sql));
		$Svuotato = $rs0001[Svuotato];
	 
		while(  $query  &&  $rs = ntxRecord($query) )
		{
			$classe = $alternate ? "" : "td2";

			$IdMovRiparazione = $rs[ID];
			
			$sql = <<< sql
			SELECT     MagazzinoMovScarico.ID AS IdMovScaricoAssociato, MagazzinoMovScarico.Svuotato
			FROM         MagazzinoMovRiparazione INNER JOIN
								  MagazzinoMovScarico ON MagazzinoMovRiparazione.IdMovScarico = MagazzinoMovScarico.ID
			WHERE     (MagazzinoMovRiparazione.ID = $IdMovRiparazione)
sql;
			$rs0001 = ntxRecord(ntxQuery($sql));
			$IdMovScaricoAssociato = $rs0001[IdMovScaricoAssociato]; 
			
			$associato = $IdMovScaricoAssociato==$IdMovScarico ? true : false; 
			
			if($tipoRicerca==1  &&  $associato  ) //associati
			{
			}
			else if($tipoRicerca==2  &&  !is_numeric($IdMovScaricoAssociato)  ) //non ancora associati
			{
			}
			else if($tipoRicerca==3) //tutti gli elementi
			{
			 
			}
			else
				continue;		
			
			$checked = ""; 
			if( $associato ) 
				$checked =  'checked="checked" '; 	
			
			$disabled = "";  
			$label1 = "";  
			if(is_numeric($IdMovScaricoAssociato))
			{
				$disabled =  'disabled="disabled" '; 
				$label1 = "associato a scarico con id: <strong>$IdMovScaricoAssociato</strong>"; 
			}
			
			if(is_numeric($IdMovScaricoAssociato)  &&  $IdMovScaricoAssociato==$IdMovScarico)
			{
				$disabled =  ""; 
				$label1 = ""; 
			}
			
			if( $Svuotato==1 ) 
			{	
				$disabled =  'disabled="disabled" ';
				$label1 = "<strong>svutotato!</strong>"; 
			}
		?>
			<tr> 
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['ID']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Operatore']) ?>
				<td class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['Data']) ?>
				<td class="<?php echo $classe ?>" >
				<?php echo htmlentities($rs['EdificioCodice']) ?>
				<?php echo htmlentities($rs['EdificioNome']) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['CodiceAssAmbiente']) ?>					
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['DesUso']) ?> 
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Piano']) ?>					
				<td class="<?php echo $classe ?>" >
				<?php echo htmlentities($rs['compTipoId']) ?>					
				<?php echo htmlentities($rs['compTipoDes']) ?>					
				<?php echo htmlentities($rs['compTipoDes']) ?>				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Note']) ?>			
				<td class="<?php echo $classe ?>" ><?php echo ntxRound($rs['Quantita'], 2) ?>	
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Garanzia']) ?>			
		<?php
		}
		?> 
	</table>  
	 
</div>


</body>
</html>
