<?php
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa'); 
$_POST[IdCommessaTipoComponente] = $IdCommessa;

if ( !strlen($_POST['Data'])>0) 
{
	$_POST[Data] = ntxDateTime( ntxScalar("SELECT getdate()") ); 
}
 

$IdMagazzino = ntxip('IdMagazzino');
$IdEdificio = ntxip('IdEdificioAmbiente');
$IdTipoComponente = ntxip('IdTipoComponente');

$sql = <<<_SQL
SELECT     ID
FROM         MagazzinoEdifici2TipoComponente
WHERE     
	(IdMagazzino = $IdMagazzino) 
	AND (IdCommessaEdificio = $IdCommessa) 
	AND (IdEdificio = $IdEdificio) 
	AND (IdCommessaTipoComponente = $IdCommessa) 
	AND (IdTipoComponente = $IdTipoComponente) 
_SQL;
$rs = ntxRecord(ntxQuery($sql)); 
$IdMagazEdifTipoComp = $rs[ID];

if(!is_numeric($IdMagazEdifTipoComp)) ntxmsgerr("Coppia ambiente/tipo componente non presente nella consistenza!");
 
 

$MagazzinoMovRiparazione= new NtxTable("MagazzinoMovRiparazione");		

$Insert= $MagazzinoMovRiparazione->insert();

$Insert->setap(
	 'IdMagazzino'
	, 'IdCommessaAmbiente'
	, 'IdEdificioAmbiente'
	, 'IDAmbienteAmbiente'
	, 'IdCommessaTipoComponente'
	, 'IdTipoComponente'
	, 'Operatore'
	, 'Quantita'
	, 'Data'
	, 'Note' 
);				   

$Insert->set("DataCreazione", "GETDATE()", true);      
$Insert->set("UtenteCreazione", $_SESSION[Utente]);  

$Insert->execute();  


$sql = "SELECT MAX(ID)  FROM MagazzinoMovRiparazione  "; 
$ID  = ntxScalar($sql);  


if(is_numeric($ID) && $ID>0)
{  
	$sql = <<<_SQL
	SELECT *
	FROM MagazzinoEdifici2TipoComponente
	WHERE 
		ID = $IdMagazEdifTipoComp
_SQL;
	$rs = ntxRecord(ntxQuery($sql)); 
	$Guasti = 0.00+$rs[Guasti];
	$Scorta = 0.00+$rs[Scorta];
	$Fabbisogno = 0.00+$rs[Fabbisogno];
	
	
	$MagazzinoEdifici2TipoComponente= new NtxTable("MagazzinoEdifici2TipoComponente");		

	$update= $MagazzinoEdifici2TipoComponente->update();
 	 
	$update->set('Guasti', ($Guasti+(0.00+$_POST[Quantita])) ); 
	$update->set('Scorta', ($Scorta-(0.00+$_POST[Quantita])) );

	$update->where("ID", 	$IdMagazEdifTipoComp);	

	$update->execute(); 
	
	
	if($Scorta<$Fabbisogno)
	{
		require_once(NTX_WEBPORTAL_PATH.'messaggi/magazzino/avviso_esaurimento_scorte/start.php');	 
	} 
}


require('_carica.inc');
?>

 

