<?php
$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
SELECT 
	MagazzinoMovimenti.* 

	,Ambiente.CodiceAssAmbiente AS CodiceAssAmbiente 
	,DestinazioniDusoLivello.Destinazione AS Piano 
	,DestinazioniDuso.Destinazione AS DesUso		

FROM  
	MagazzinoMovimenti
	
	LEFT OUTER JOIN
	Ambiente ON Ambiente.IdCommessa = MagazzinoMovimenti.IdCommessaAmbiente AND 
	Ambiente.IdEdificio = MagazzinoMovimenti.IdEdificioAmbiente AND Ambiente.IDAmbiente = MagazzinoMovimenti.IDAmbienteAmbiente 
	 
	LEFT OUTER JOIN
	PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND Ambiente.IdLivello = PianoLivello.idPiano 

	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND  Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL

WHERE 
	MagazzinoMovimenti.ID = $ID 
sql;

$msg_error = "MagazzinoMovimenti with $ID not found!";


$record = ntxRecordArray($sql, $msg_error);


$record[Data] = ntxDateTime( $record[Data] );

$record[NuoviComponenti] = ntxRound( $record[NuoviComponenti] , 2);
$record[VecchiComponenti] = ntxRound( $record[VecchiComponenti] , 2);


$record = ntxRecordTranslate($record);

ntxMsgResult( $record );
?>