<?php
$IdCommessa = ntxise('IdCommessa');
$Utente	= ntxsse('Utente');

$sql = <<<_SQL
SELECT DISTINCT 
	MagazzinoMovRiparazione.*
	
	,Ambiente.CodiceAssAmbiente AS CodiceAssAmbiente 
	,DestinazioniDusoLivello.Destinazione AS Piano 
	,DestinazioniDuso.Destinazione AS DesUso
	
	,TipoComponente.IDTipoComponente AS compTipoId
	, TipoComponente.DesComponente AS compTipoDes
	, TipoComponente.Codice  AS compTipoCodice	
	
	,ElencoEdifici.ID AS IdEdificio
	,ElencoEdifici.Codice AS EdificioCodice
	,ElencoEdifici.EdificioBreve AS EdificioNome
	
	,
	CASE 
		WHEN 
		(	
			SELECT TOP 1 
				DATEDIFF(year, MagazzinoMovimenti.Data,  MagazzinoMovRiparazione2.Data) AS diff
			FROM         
				MagazzinoEdifici2TipoComponente 
				INNER JOIN
				MagazzinoMovimenti ON MagazzinoEdifici2TipoComponente.ID = MagazzinoMovimenti.IdMagazEdifTipoComp 
				INNER JOIN
				MagazzinoMovRiparazione AS MagazzinoMovRiparazione2 ON MagazzinoEdifici2TipoComponente.IdMagazzino = MagazzinoMovRiparazione2.IdMagazzino AND 
				MagazzinoEdifici2TipoComponente.IdCommessaTipoComponente = MagazzinoMovRiparazione2.IdCommessaTipoComponente AND 
				MagazzinoEdifici2TipoComponente.IdTipoComponente = MagazzinoMovRiparazione2.IdTipoComponente AND 
				MagazzinoMovimenti.IdCommessaAmbiente = MagazzinoMovRiparazione2.IdCommessaAmbiente AND 
				MagazzinoMovimenti.IdEdificioAmbiente = MagazzinoMovRiparazione2.IdEdificioAmbiente AND 
				MagazzinoMovimenti.IDAmbienteAmbiente = MagazzinoMovRiparazione2.IDAmbienteAmbiente
			WHERE
				MagazzinoMovRiparazione2.ID = MagazzinoMovRiparazione.ID
				AND MagazzinoMovimenti.NuoviComponenti  IS NOT NULL
			ORDER BY
				MagazzinoMovimenti.Data ASC
		) <=5 THEN 'in garanzia'
		ELSE 'fuori garanzia'			
	END AS Garanzia
	
FROM       
	MagazzinoMovRiparazione 

	LEFT OUTER JOIN
	Ambiente ON Ambiente.IdCommessa = MagazzinoMovRiparazione.IdCommessaAmbiente AND 
	Ambiente.IdEdificio = MagazzinoMovRiparazione.IdEdificioAmbiente AND Ambiente.IDAmbiente = MagazzinoMovRiparazione.IDAmbienteAmbiente 
	 
	LEFT OUTER JOIN
	PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND Ambiente.IdLivello = PianoLivello.idPiano 

	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND  Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	
	LEFT OUTER JOIN
	TipoComponente ON MagazzinoMovRiparazione.IdCommessaTipoComponente = TipoComponente.IdCommessa AND  MagazzinoMovRiparazione.IdTipoComponente = TipoComponente.IDTipoComponente	
	
	LEFT OUTER JOIN
	ElencoEdifici ON ElencoEdifici.ID = Ambiente.IdEdificio AND ElencoEdifici.IdCommessa = Ambiente.IdCommessa
	INNER JOIN
	UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio 
	INNER JOIN
	Utenti ON UtentiEdifici.IdUtente = Utenti.Id LEFT OUTER JOIN
	tblUtEdifici ON ElencoEdifici.IdCommessa = tblUtEdifici.IdCommessa AND ElencoEdifici.ID = tblUtEdifici.IdEdificio  
	LEFT OUTER JOIN				  
	Magazzino2Edifici ON Magazzino2Edifici.IdCommessaEdificio = ElencoEdifici.IdCommessa AND Magazzino2Edifici.IdEdificio = ElencoEdifici.ID		
	
	
WHERE     
	MagazzinoMovRiparazione.IdMagazzino = $IdMagazzino
	AND (Utenti.Nome = $Utente)  
	AND     (ElencoEdifici.IdCommessa = $IdCommessa)	
_SQL;



  
?>