Object.size = function(obj) //aggiunta di un metodo a un generico oggetto javascript: @size: ritorna int con numero proprietà
{
	var size = 0, key;
	for (key in obj) {
		if (obj.hasOwnProperty(key)) size++;
	}
	return size;
};
	  
	
function aggiungiEventoInCalendar(IdElemento)
{	
	var eventPresent = false;
	
	$.ajax({
		type: 'POST',
		data: { IdElemento: IdElemento }, 
		url: 'json-events-event.php',
		success: function(calevents)
		{		 
			var your_object = JSON.parse(calevents);
			
		 	$.each( your_object, function(index, value) 
			{
				var obj =  $('#calendar').fullCalendar( 'clientEvents' , value.id );
				obj = obj[0]
 
				try
				{
					if(obj.id==value.id)
						eventPresent = true;
				}
				catch(ex)  
				{}
				
				if(!eventPresent)
					$('#calendar').fullCalendar( 'renderEvent', value, true);	
			}); 
					  
					  
 			if( Object.size(your_object) < 1)
			{
				alert("Attenzione! Nessun elemento trovato.");
			}
			else
			{
				if(!eventPresent)
				{
					var style=' style="background:'+your_object[0].color+' !important; " ';
					
					var Localizzazione = your_object[0].Localizzazione;	
					var Descrizione = your_object[0].Descrizione;	
					var OraIngresso = your_object[0].OraIngresso;	
					var OraUscita = your_object[0].OraUscita;	 	
					
					var goDataIngresso = 	'<input type="button" value="'+OraIngresso+'" onclick="goToDate(\''+your_object[0].sqlDataIngresso+'\')"/>' ;	
					var goDataUscita  = 	'<input type="button" value="'+OraUscita+'" onclick="goToDate(\''+your_object[0].sqlDataUscita+'\')"/>' ;
					
					var bntDel = '<input type="button" value="nascondi" onclick="cancellaEventoInCalendar('+IdElemento+');"/>';
				
					$('#legendEvents tr:last').after('<tr class="Evento_'+IdElemento+' "> <td>'+bntDel+'<td>'+Localizzazione+'<td>'+Descrizione+'<td>'+goDataIngresso+'<td>'+goDataUscita);
				}
			}   
		},
		error: function() {
			alert('Opsss :(\nThere was an error while fetching events!');
		}
	});
} 


function cancellaEventoInCalendar(IdElemento)
{
	$.ajax({
		type: 'POST',
		async: false,  
		data: { IdElemento: IdElemento }, 
		url: 'json-events-event.php',
		success: function(calevents)
		{			
			var your_object = JSON.parse(calevents);
 
		 	$.each( your_object, function(index, value) 
			{ 
				$('#calendar').fullCalendar( 'removeEvents', value.id);
			});	 

			$('.Evento_'+IdElemento).remove();
		},
		error: function() {
			alert('Opsss :(\nThere was an error while fetching events!');
		}
	});
}

function goToDate(data) 
{
	var date = new Date(data);

	$('#calendar').fullCalendar('gotoDate',date);
}


function rejustCalendar(valPx)
{
	valPx *= 100;
	
	$('#calendar').width( valPx ); 
	$('#calendar').fullCalendar('render');
}
 
function  mostraTabelle()
{
	$("#dialog3").dialog(
	{ 
		title: '',
		modal: true,
		position: ['center',20],
		width: $(document).width()*3/4, 
		height: $(document).height()*0.65,  
		buttons: 
		{	
			"Close": function() 
			{
				$(this).dialog("close");
			}
		}
	} );	
}
 