<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password'); 

	
$sqlFields = <<< sqlFields
Ordini.IdOrd, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, Richieste.NumRichiesta, Richieste.AnnoRichiesta, 
Richieste.NoteTecnicheCliente, Richieste.DataRichiesta, Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Des, 
ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
ElencoEdifici.Provincia, ElencoEdifici.Cap, tblPgPropietari.Nome AS Ente, Ordini.Contabiliz, 
CASE WHEN ForseFuoriCanone = 1 THEN 'SI' ELSE 'NO' END AS FFC, CASE WHEN SicuramenteCanone = 1 THEN 'SI' ELSE 'NO' END AS SC, 
Ditte.Ditta AS Fornitore, tblMestieri.Descrizione AS Mestiere,
tblUtUtilizzatori.Nome AS Utilizzatore,
Ordini.Note,
Richieste.Richiedente, Ordini.DataInizioProg, Ordini.DataFineProg, Richieste.TipoValutazione
, Ditte.Ditta
, Ordini.GradoUrgenza
, tblMestieri.codice AS CodMest, tblComponetiMestiere2.codice AS CodComp, tblAttivitàMestiere2.codice AS CodAtt
, tblMestieri.Descrizione AS DesMest, tblComponetiMestiere2.Descrizione AS DesComp, tblAttivitàMestiere2.Descrizione AS DesAtt
, Richieste.Riferimento, Ordini.ImportoStimato,
Ordini.DataInizio, Ordini.DataFine,
Ordini.DataInizioSopralluogo, Ordini.DataFineSopralluogo,
ESMUsers.Nome+' '+ESMUsers.Cognome+' '+ESMUsers.CID AS CID ,

RichiestePrenotazioni.NumeroPartecipanti, RichiestePrenotazioni.DataPrenotazione1, RichiestePrenotazioni.DataPrenotazione2, RichiestePrenotazioni.OraInizio,   RichiestePrenotazioni.OraFine, RichiestePrenotazioni.RitiroChiave, RichiestePrenotazioni.RichiestaBeamer
					  

sqlFields;

  
if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sqlWHERE .= " AND (Ordini.CodEdificio = $IdEdificio) ";
}
 
if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sqlWHERE .= " AND (tblPgPropietari.IdPropietario = $IdMestiere) ";
} 
 
if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sqlWHERE .= " AND (Ordini.IdPropietario = $IdMestiere) ";
} 
 
if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sqlWHERE .= " AND Richieste.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sqlWHERE .= " AND Richieste.AnnoRichiesta = $val ";
}

if ( is_numeric($_POST['NumOrdine']) ) 
{
	$val = (int)$_POST['NumOrdine'];
	$sqlWHERE .= " AND Ordini.NumOrdine = $val ";
}

if ( is_numeric($_POST['AnnoOrdine']) ) 
{
	$val = (int)$_POST['AnnoOrdine'];
	$sqlWHERE .= " AND Ordini.AnnoOrdine = $val ";
}
 
if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND Ordini.DescrizioneIntervento LIKE '%".$str."%' ";
}
 
if ( isset($_POST['Richiedente'])  &&  strlen($_POST['Richiedente'])>0) 
{
	$str = stripslashes($_POST['Richiedente']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND Richieste.Richiedente LIKE '%".$str."%' ";
}
  
if ( isset($_POST['DataOrdine1'])  &&  strlen($_POST['DataOrdine1'])>0) 
{
	$str = ntxtp("DataOrdine1");
	$sqlWHERE .= " AND Ordini.DataOrdine >= ".$str." ";
}

if ( isset($_POST['DataOrdine2'])  &&  strlen($_POST['DataOrdine2'])>0) 
{
	$str = ntxtp("DataOrdine2");
	$sqlWHERE .= " AND Ordini.DataOrdine <= ".$str." ";
}  
	
if ( is_numeric($_POST['NumeroPartecipanti']) ) 
{
	$val = (int)$_POST['NumeroPartecipanti'];
	$sqlWHERE .= " AND RichiestePrenotazioni.NumeroPartecipanti = $val ";
}
	
if ( is_numeric($_POST['RichiestaBeamer']) ) 
{
	$val = (int)$_POST['RichiestaBeamer'];
	$sqlWHERE .= " AND RichiestePrenotazioni.RichiestaBeamer = $val ";
}
	
if ( isset($_POST['DataPrenotazione1'])  &&  strlen($_POST['DataPrenotazione1'])>0) 
{
	$str = ntxtp("DataPrenotazione1");
	$sqlWHERE .= " AND RichiestePrenotazioni.DataPrenotazione >= ".$str." ";
}

if ( isset($_POST['DataPrenotazione2'])  &&  strlen($_POST['DataPrenotazione2'])>0) 
{
	$str = ntxtp("DataPrenotazione2");
	$sqlWHERE .= " AND RichiestePrenotazioni.DataPrenotazione <= ".$str." ";
} 

if ( isset($_POST['RitiroChiave'])  &&  strlen($_POST['RitiroChiave'])>0) 
{
	$str = stripslashes($_POST['RitiroChiave']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND RichiestePrenotazioni.RitiroChiave LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['azione'])  ) 
{
	$value = (int)$_POST['azione'];
	
	if($value==2)
	{
		$sqlWHERE .= " AND ( Ordini.StatoOrd=50 )  ";
	}
	else if($value==3)
	{
		$sqlWHERE .= " AND ( Ordini.StatoOrd=35 OR Ordini.StatoOrd=40 )  ";
	} 
}

 
 
$sql1 = <<< SQL
SELECT DISTINCT $sqlFields

FROM         
	Ditte INNER JOIN
	ElencoEdifici INNER JOIN
	Ordini LEFT OUTER JOIN
	StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa ON 
	Ditte.IDDitta = Ordini.Assegnazione INNER JOIN
	tblPgContrattiRifAffidatari INNER JOIN
	tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario AND 
	tblPgContrattiRifAffidatari.IdCommessa = tblPgContrattiAffidatari.IdCommessa INNER JOIN
	tblPgContrattiRifAffidatariAttivitàEdifici ON 
	tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
	UtentiRifAffidatari INNER JOIN
	Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario ON 
	Ordini.IDCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND Ordini.CodEdificio = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio INNER JOIN
	tblComponetiMestiere INNER JOIN
	tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
	tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
	tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere ON 
	tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
	tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere AND 
	Ordini.IDCommessa = tblMestieri.IdCommessa LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
	tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
	tblComponetiMestiere AS tblComponetiMestiere2 ON tblComponetiMestiere2.IdCommessa = Ordini.IDCommessa AND 
	tblComponetiMestiere2.IdComponenteMestiere = Ordini.IdComponenteMestiere LEFT OUTER JOIN
	tblAttivitàMestiere AS tblAttivitàMestiere2 ON Ordini.IDCommessa = tblAttivitàMestiere2.IdCommessa AND 
	Ordini.IdAttivitàMestiere = tblAttivitàMestiere2.IdAttivitàMestiere LEFT OUTER JOIN
	Richieste ON Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
	Richieste.IDCommessa = Ordini.IDCommessaRichiesta
	LEFT OUTER JOIN
	RichiestePrenotazioni ON Richieste.IDCommessa = RichiestePrenotazioni.IdCommessa AND Richieste.NumRichiesta = RichiestePrenotazioni.NumRichiesta AND  Richieste.AnnoRichiesta = RichiestePrenotazioni.AnnoRichiesta					
	LEFT OUTER JOIN
	ESMUsers ON Richieste.CIDcodice = ESMUsers.CID	
		
WHERE  
	Utenti.Nome=$mUtente 
	AND Utenti.Password=$mPassword 
	AND Ordini.IdCommessa=$IdCommessa 
	AND (tblPgContrattiAffidatari.DataInizio <= Richieste.DataRichiesta) 
	AND (tblPgContrattiAffidatari.DataFine >= Richieste.DataRichiesta)
	AND (Richieste.IdAffidatario IS NULL OR Richieste.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario)
	AND tblMestieri.RichiedeCompilazioneModulo = 1
	$sqlWHERE
SQL;


$sql2 = <<< SQL
SELECT DISTINCT $sqlFields
FROM       
	tblMestieri INNER JOIN
	Richieste INNER JOIN
	Ditte INNER JOIN
	ElencoEdifici INNER JOIN
	Ordini LEFT OUTER JOIN
	StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
	ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND 
	Ordini.IDCommessa = ComponentiAmbiente.IdCommessa ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa ON 
	Ditte.IDDitta = Ordini.Assegnazione ON Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
	Richieste.IDCommessa = Ordini.IDCommessaRichiesta ON tblMestieri.IdMestiere = Ordini.IdMestiere AND tblMestieri.IdCommessa = Ordini.IDCommessa INNER JOIN
	tblPgRifAffidatari INNER JOIN
	UtentiRifAffidatari INNER JOIN
	Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario ON 
	Richieste.IdAffidatario = tblPgRifAffidatari.IdAffidatario LEFT OUTER JOIN
	TipoComponente ON ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente AND 
	ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
	tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
	tblComponetiMestiere AS tblComponetiMestiere2 ON tblComponetiMestiere2.IdCommessa = Ordini.IDCommessa AND 
	tblComponetiMestiere2.IdComponenteMestiere = Ordini.IdComponenteMestiere LEFT OUTER JOIN
	tblAttivitàMestiere AS tblAttivitàMestiere2 ON Ordini.IDCommessa = tblAttivitàMestiere2.IdCommessa AND 
	Ordini.IdAttivitàMestiere = tblAttivitàMestiere2.IdAttivitàMestiere	
	LEFT OUTER JOIN
	RichiestePrenotazioni ON Richieste.IDCommessa = RichiestePrenotazioni.IdCommessa AND Richieste.NumRichiesta = RichiestePrenotazioni.NumRichiesta AND  Richieste.AnnoRichiesta = RichiestePrenotazioni.AnnoRichiesta	
	LEFT OUTER JOIN
	ESMUsers ON Richieste.CIDcodice = ESMUsers.CID
	
WHERE 
	Utenti.Nome=$mUtente 
	AND Utenti.Password=$mPassword
	AND Ordini.IdCommessa=$IdCommessa 
	AND tblPgRifAffidatari.VistaFuoriContratto = 1
	AND tblMestieri.RichiedeCompilazioneModulo = 1
	$sqlWHERE
SQL;


$sql = "SELECT DISTINCT * FROM ($sql1 UNION $sql2) a ORDER BY DataOrdine DESC"; 

$query = ntxQuery($sql);
?>