<?php 
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');   
?>
<!DOCTYPE html>
<html>
<head>
	 
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/>  
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">		
	<script type="text/javascript" src="../../google_maps/js/decode.js"></script> 
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.2.1.min.js"></script>
	
	<script type="text/javascript" src="../control_room/gestione_geometrie.js"></script> 	
	<link  rel="stylesheet" type="text/css" href="../control_room/mappa.css" />	
	<script type="text/javascript" src="../../google_maps/js/decode.js"></script>
	
	<style type="text/css">
	</style>		
	
	<script type="text/javascript"> 
	var map = null;   
	
    google.maps.Polyline.prototype.getPosition = function() {
        return this.getPath().getAt(0);
    }	
	
	var Edifici = {};
	Edifici.Identificativi = new Array();	
	Edifici.arrayLatLng = new Array();	
	Edifici.markersArray = new Array();
	Edifici.infoWindowArray = new Array();	
	
	
	var PuntiIntervento = {};
	PuntiIntervento.Identificativi = new Array();	
	PuntiIntervento.arrayLatLng1 = new Array();	
	PuntiIntervento.arrayLatLng2 = new Array();	
	PuntiIntervento.markersArray1 = new Array();
	PuntiIntervento.markersArray2 = new Array();
	PuntiIntervento.polylines = new Array();
	PuntiIntervento.infoWindowArray = new Array();		
	
	
	
	var arrayDirectionsDisplay = new Array();	
	var arrayDirectionsService = new Array();	
	
	var tmpDirectionsDisplay = null;
	var tmpDirectionsService = null;
	
	
	function createMap() 
	{   
		var options = 
		{
			zoom: 15,
			center:  new google.maps.LatLng(44.4942191, 11.3464815),
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	
		
		map = new google.maps.Map(document.getElementById('map'), options);
		
		google.maps.event.addListenerOnce(map, 'idle', function() // do something only the first time the map is loaded
		{ 
			//caricaDati();
		}); 
	}		  	
	
	function clearOverlaysEdifici() 
	{   
		if (Edifici.markersArray) 
		{     
			for (i in Edifici.markersArray) 
			{       
				Edifici.markersArray[i].setMap(null);     
			}
		
			for (i in Edifici.infoWindowArray) 
			{       
				Edifici.infoWindowArray[i].close();     
			} 	
		} 	
		
		delete Edifici.Identificativi;	
		delete Edifici.arrayLatLng;	
		delete Edifici.markersArray;	
		delete Edifici.infoWindowArray;	 	

		Edifici.Identificativi = new Array();	
		Edifici.arrayLatLng = new Array();	
		Edifici.markersArray = new Array();
		Edifici.infoWindowArray = new Array();			
	} 		 
	
	
	function clearOverlaysPuntiIntervento() 
	{    
		if (PuntiIntervento.markersArray1) 
		{     
			for (i in PuntiIntervento.markersArray1) 
			{    
				if(PuntiIntervento.markersArray1[i]!=null)
					PuntiIntervento.markersArray1[i].setMap(null);     
			} 
		} 
	
		if (PuntiIntervento.markersArray2) 
		{     
			for (i in PuntiIntervento.markersArray2) 
			{     
				if(PuntiIntervento.markersArray2[i]!=null)
					PuntiIntervento.markersArray2[i].setMap(null);     
			} 
		} 
	
		if (PuntiIntervento.infoWindowArray) 
		{     
			for (i in PuntiIntervento.infoWindowArray) 
			{     
				if(PuntiIntervento.infoWindowArray[i]!=null)
					PuntiIntervento.infoWindowArray[i].setMap(null);     
			} 
		} 
	
		if (PuntiIntervento.polylines) 
		{     
			for (i in PuntiIntervento.polylines) 
			{ 
				if(PuntiIntervento.polylines[i]!=null)
					PuntiIntervento.polylines[i].setMap(null);     
			} 
		}  
		
		delete PuntiIntervento.Identificativi;	
		delete PuntiIntervento.arrayLatLng1;
		delete PuntiIntervento.arrayLatLng2;
		delete PuntiIntervento.markersArray1;	
		delete PuntiIntervento.markersArray2;	
		delete PuntiIntervento.polylines;	
		delete PuntiIntervento.infoWindowArray;	 	

		PuntiIntervento.Identificativi = new Array();	
		PuntiIntervento.arrayLatLng1 = new Array();	
		PuntiIntervento.arrayLatLng2 = new Array();	
		PuntiIntervento.markersArray1 = new Array();
		PuntiIntervento.markersArray2 = new Array();
		PuntiIntervento.polylines = new Array();
		PuntiIntervento.infoWindowArray = new Array();			
	} 		 
	
	
	function clearOverlaysDirectionsDisplay() 
	{   
		if (arrayDirectionsDisplay) 
		{     
			for (i in arrayDirectionsDisplay) 
			{       
				arrayDirectionsDisplay[i].setMap(null);     
			} 
		} 	
		
		delete arrayDirectionsDisplay;	 	

		arrayDirectionsDisplay = new Array();	 	
	} 		 
	
	function caricaDati()
	{    
		if(tmpDirectionsDisplay != null )
			tmpDirectionsDisplay.setMap(null); 
			 
  
		clearOverlaysEdifici();	
		clearOverlaysPuntiIntervento();	
		
		trovaGPSedifici(document.frmSend); 

		//trovaPuntiInterventoEdifici(document.frmSend);  
		
		estendiMappa();
	} 
	
	function estendiMappa()
	{
		var elemPresenti = false;
		
		var bounds = new google.maps.LatLngBounds(); 

		if(Edifici.arrayLatLng.length>0)
		{  
			elemPresenti = true;
			
			for (i in Edifici.arrayLatLng)
				bounds.extend(Edifici.arrayLatLng[i]);
		}
	
		if(elemPresenti)
		{
			map.fitBounds(bounds);
			map.setCenter(bounds.getCenter());			
		} 	
	}
	
	/*function trovaPuntiInterventoEdifici(IdEdificio, frmSer)
	{
		var frmSer = document.frmSend;
		//$( Edifici.Identificativi ).each(function( index, element ) 
		//{  
			var IdEdificio = element;
			
			if( $.isNumeric(IdEdificio) )
			{   
				var myArray = [
					'blue', 
					'brown', 
					'darkgreen',
					'green',
					'orange',
					'paleblue',
					'pink',
					'purple',
					'red',
					'yellow'
				];   
						
				var rand = myArray[Math.floor(Math.random() * myArray.length)];  
				
				
				if( $('#frmSend').find('input[name=IdEdificio]').length <= 0 ) 
					$('<input>').attr({
						type: 'hidden',
						id: 'IdEdificio',
						name: 'IdEdificio'
					}).appendTo('#frmSend');	
				
				document.frmSend.IdEdificio.value = IdEdificio; //IMPORTANTE
				
				jhpa("jhp/carica_punti_intervento.php",  jhp_frm(frmSer) , function(result)
				{
				 
					if(result.state)
					{
						//console.log('Non sono riuscito a prelevare i punti di intervento per un edificio con id: '+IdEdificio+'!\n'+result.message);
					}
					else
					{
						var yourObject =  result.value;   
					
						$.each( yourObject, function(index, element) 
						{ 	
							var lat1 = ''+element.Latitudine;
							var lng1 = ''+element.Longitudine;		
							
							var lat2 = ''+element.Latitudine2;
							var lng2 = ''+element.Longitudine2;			 
			
							if 
								( 
									(
										$.isNumeric(lat1)  &&  lat1>0
										 && 
										$.isNumeric(lng1)  &&  lng1>0  
									)
									||
									(
										$.isNumeric(lat2)  &&  lat2>0
										 && 
										$.isNumeric(lng2)  &&  lng2>0  
									)
								)	
							{ 
								var Id = ''+element.Id;
								var Polilinea = ''+element.Polilinea;
								var Geometria = ''+element.Geometria; 
								
								if(Polilinea.length>1 ) 
								{			
									var colore =  '#DC143C';//rosso
									
									if( $.isNumeric(Geometria)  &&  Geometria==0)
										createPolyline(Polilinea, colore, map, PuntiIntervento.polylines);
									else	
										createPolygon(Polilinea, colore, map, PuntiIntervento.polylines);
								}	  			
								 
								
								var tooltip = '<iframe src="../control_room/info_punti_intervento.php?Id='+Id+'" frameborder="0" style="border: none; display:block; min-height:200px;" > </iframe>';		
										
								
								
								var img = '../../google_maps/markes_words/'+rand;
								
								var myLatlng1 = null;
								var myLatlng2 = null;
								
								var marker1 = null;
								var marker2 = null;
 
							
								if( lat1>0  &&  lng1>0 ) 
								{
									myLatlng1 = new google.maps.LatLng(lat1, lng1); 
									
									var imgA = img;
									var titoloMarker = '';
									if( ! ( lat2>0  &&  lng2>0 ) 	) //se non esiste il punto B abbiamo solo un punto e lo chiamiamo PANNELLO
									{
										imgA += '_MarkerP.png';
										titoloMarker += 'un solo punto di intervento';
									}	
									else
									{
										imgA += '_MarkerA.png';
										titoloMarker += 'punto di intervento A di un arco che finisce in B';
									}

									
									var imageMarker = new google.maps.MarkerImage(img,
										new google.maps.Size(20.0, 34.0),
										new google.maps.Point(0.0, 0.0)
									); 
										
									marker1 = new google.maps.Marker({
										position: myLatlng1,
										title: titoloMarker, 
										icon: imgA  
									});			 

									attachMessage(marker1, tooltip, PuntiIntervento);	
									
									marker1.setMap(map); 
								}
								
								if( lat2>0  &&  lng2>0 ) 	
								{
									myLatlng2 = new google.maps.LatLng(lat2, lng2); 
									
									var imgB = img;
									imgB  += '_MarkerB.png';

									var imageMarker = new google.maps.MarkerImage(img,
										new google.maps.Size(20.0, 34.0),
										new google.maps.Point(0.0, 0.0)
									); 
										
									marker2 = new google.maps.Marker({
										position: myLatlng2,
										title: 'punto di intervento B di un arco che inizia in A', 
										icon: imgB  
									});			 

									attachMessage(marker2, tooltip, PuntiIntervento);

									marker2.setMap(map); 							
								}
									
									
								PuntiIntervento.Identificativi.push(Id);
								PuntiIntervento.arrayLatLng1.push(myLatlng1);
								PuntiIntervento.arrayLatLng2.push(myLatlng2);
								 
								PuntiIntervento.markersArray1.push(marker1);
								PuntiIntervento.markersArray2.push(marker2);
							}
							
						}); 
		 
					}
				});		
			}
			
		//}); 			
	}*/
	
	function trovaPuntiInterventoEdifici(IdEdificio)
	{ 	
		if( $.isNumeric(IdEdificio) )
		{   
			var myArray = [
				'blue', 
				'brown', 
				'darkgreen',
				'green',
				'orange',
				'paleblue',
				'pink',
				'purple',
				'red',
				'yellow'
			];   
					
			var rand = myArray[Math.floor(Math.random() * myArray.length)];  
			
			jhpa("jhp/carica_punti_intervento.php", { IdEdificio:IdEdificio  }, function(result)
			{
			 
				if(result.state)
				{
					//console.log('Non sono riuscito a prelevare i punti di intervento per un edificio con id: '+IdEdificio+'!\n'+result.message);
				}
				else
				{
					var yourObject =  result.value;   
				
					$.each( yourObject, function(index, element) 
					{ 	
						var lat1 = ''+element.Latitudine;
						var lng1 = ''+element.Longitudine;		
						
						var lat2 = ''+element.Latitudine2;
						var lng2 = ''+element.Longitudine2;			 
		
						if 
							( 
								(
									$.isNumeric(lat1)  &&  lat1>0
									 && 
									$.isNumeric(lng1)  &&  lng1>0  
								)
								||
								(
									$.isNumeric(lat2)  &&  lat2>0
									 && 
									$.isNumeric(lng2)  &&  lng2>0  
								)
							)	
						{ 
							var Id = ''+element.Id;
							var Polilinea = ''+element.Polilinea;
							var Geometria = ''+element.Geometria; 
							
							if(Polilinea.length>1 ) 
							{			
								var colore =  '#DC143C';//rosso
								
								if( $.isNumeric(Geometria)  &&  Geometria==0)
									createPolyline(Polilinea, colore, map, PuntiIntervento.polylines);
								else	
									createPolygon(Polilinea, colore, map, PuntiIntervento.polylines);
							}	  			
							 
							
							var tooltip = '<iframe src="info_punti_intervento.php?Id='+Id+'" frameborder="0" style="border: none; display:block; min-height:200px;" > </iframe>';		
									
							
							
							var img = '../../google_maps/markes_words/'+rand;
							
							var myLatlng1 = null;
							var myLatlng2 = null;
							
							var marker1 = null;
							var marker2 = null;

						
							if( lat1>0  &&  lng1>0 ) 
							{
								myLatlng1 = new google.maps.LatLng(lat1, lng1); 
								
								var imgA = img;
								var titoloMarker = '';
								if( ! ( lat2>0  &&  lng2>0 ) 	) //se non esiste il punto B abbiamo solo un punto e lo chiamiamo PANNELLO
								{
									imgA += '_MarkerP.png';
									titoloMarker += 'un solo punto di intervento';
								}	
								else
								{
									imgA += '_MarkerA.png';
									titoloMarker += 'punto di intervento A di un arco che finisce in B';
								}

								
								var imageMarker = new google.maps.MarkerImage(img,
									new google.maps.Size(20.0, 34.0),
									new google.maps.Point(0.0, 0.0)
								); 
									
								marker1 = new google.maps.Marker({
									position: myLatlng1,
									title: titoloMarker, 
									icon: imgA  
								});			 

								attachMessage(marker1, tooltip, PuntiIntervento);	
								
								marker1.setMap(map); 
							}
							
							if( lat2>0  &&  lng2>0 ) 	
							{
								myLatlng2 = new google.maps.LatLng(lat2, lng2); 
								
								var imgB = img;
								imgB  += '_MarkerB.png';

								var imageMarker = new google.maps.MarkerImage(img,
									new google.maps.Size(20.0, 34.0),
									new google.maps.Point(0.0, 0.0)
								); 
									
								marker2 = new google.maps.Marker({
									position: myLatlng2,
									title: 'punto di intervento B di un arco che inizia in A', 
									icon: imgB  
								});			 

								attachMessage(marker2, tooltip, PuntiIntervento);

								marker2.setMap(map); 							
							}
								
								
							PuntiIntervento.Identificativi.push(Id);
							PuntiIntervento.arrayLatLng1.push(myLatlng1);
							PuntiIntervento.arrayLatLng2.push(myLatlng2);
							 
							PuntiIntervento.markersArray1.push(marker1);
							PuntiIntervento.markersArray2.push(marker2);
						}
						
					}); 
	 
				}
			});		
		} 			
	}	
	
	
	function trovaGPSedifici(frmSer)
	{   
		parent.startBlocco();
	
		jhpa("jhp/trova_edifici_gps.php", jhp_frm(frmSer), function(result)
		{
			if(result.state)
			{
				alert('Opsss :(\ntrovaGPSedifici - un errore è accorso:!\n'+result.message);
			}
			else
			{
				var record = result.value;  

				$( record ).each(function( index, element ) 
				{  
					lat = ''+element.lat;
					lng = ''+element.lng;				
					 
					if( 
						$.isNumeric(lat)  &&  lat>0
						 && 
						$.isNumeric(lng)  &&  lng>0  
						)
					{   
						var IdEdificio = element.IdEdificio;
						var Edificio = element.Edificio;
						var Indirizzo = element.Indirizzo; 
						var Tipo = element.Tipo;
						Tipo = +Tipo || 0; 
						var Polilinea = ''+element.Polilinea;
						var percentuale = Math.round(0.00 + element.percentuale);
						var dividendo = Math.round(0.00 + element.dividendo);
						var divisore = Math.round(0.00 + element.divisore);
			
						var ordini_magg_finiti = element['ordini_magg_finiti'];  
						var ordini_assegnati = element['ordini_assegnati'];  
						var ordini_in_corso = element['ordini_in_corso'];   
						
						ordini_magg_finiti = +ordini_magg_finiti || 0; 
						ordini_assegnati = +ordini_assegnati || 0; 
						ordini_in_corso = +ordini_in_corso || 0;  		 
			 
						var color = '#5555FF'; 			
						if(percentuale==0)
						{
							color = '#CC3333'; 		
						}
						else if(percentuale<50)
						{
							color = '#FFCC00'; 		
						}
						else if(percentuale>=50)
						{
							color = '#669900'; 		
						} 
			 
						var tooltip = '<div id="tooltip" align="center">'+
						'<div align="center" ><h1>'+Edificio+' ( '+percentuale+' % )'+ '</h1></div>'+
								'<table class="tableInfoWin ColorEdificio" style="background: '+color+' !important;" >'+ 
									'<tr><td colspan="2" >'+Indirizzo+  
									'<tr><th>>= finiti:<td>'+'<input type="button" class="bntScelta"  onclick="ricerca('+IdEdificio+', \'ordini_magg_finiti\');"  value="'+ordini_magg_finiti+' ordini"  >'+ 
									'<tr><th>assegnati:<td>'+'<input type="button" class="bntScelta"  onclick="ricerca('+IdEdificio+',\'ordini_assegnati\');"   value="'+ordini_assegnati+' ordini "  >'+  
									'<tr><th>in corso:<td>'+'<input type="button" class="bntScelta"  onclick="ricerca('+IdEdificio+',\'ordini_in_corso\');"   value="'+ordini_in_corso+' ordini"  >'+  
								'</table>' 
						'</div>';
						
			 
						var myLatlng = new google.maps.LatLng(lat, lng); 

						Edifici.arrayLatLng.push(myLatlng);
						
						var elemAttracco = null;
					 
						if( Tipo==0 || (Tipo!=0  &&  Polilinea=='' )  ) //edifici o elementi per cui esiste solo in marker
						{
							var img = '/repository/google_maps/custom_markers/mapiconscollection-offices-3875D7-default/office-building.png';
						
							var imageMarker = new google.maps.MarkerImage(img,
								new google.maps.Size(32.0, 37.0),
								new google.maps.Point(0, 0),
								new google.maps.Point(0.0, 16.0)
							); 
							
							var marker = new google.maps.Marker({
								position: myLatlng,
								title: Edificio+' posizionato in  '+Indirizzo, 
								icon: imageMarker  
							});	

							elemAttracco = 	marker; 
						}
						else if(Tipo==1) //strade
						{  
							elemAttracco = decoding("strada", Polilinea, color);
						}
						else if(Tipo==2) //aree
						{  
							elemAttracco = decoding("area", Polilinea, color); 
						}
						 
										
						attachMessage(elemAttracco, tooltip, Edifici);		
						
						elemAttracco.setMap(map); 
						
						Edifici.Identificativi.push(IdEdificio);  
						Edifici.markersArray.push(elemAttracco); 
						
						
						trovaPuntiInterventoEdifici(IdEdificio);
						
						estendiMappa();		
					} 				

				}); 				
			} 
			
			parent.stopBlocco();
		});		
	}    
   
	//---------------------------------------------------------------------- nuovo
 	function decoding(nome, path, color)
	{	 
		var instring = path;
		var points;
		var coordinates=[]; 
		var poly; 
		var polygon;   
		
		instring = instring.replace(/\\\\/g, "\\");
		points = decodeLine(instring);

		for(var i=0; i < points.length; i++) 
		{
			var latLng = new google.maps.LatLng(points[i][0] , points[i][1]);
			coordinates.push(latLng);
		}
		
 		if(nome=="strada")
		{	 
			var arrayPiecePolyline;	
			arrayPiecePolyline = [];
			
			var polyOptions = {
				strokeColor: color,
				strokeOpacity: 0.5,
				strokeWeight: 7
			}

			poly = new google.maps.Polyline(polyOptions);
			poly.setMap(map); 
			
			var path = poly.getPath();

			for (var i in coordinates)
			{	 
				path.push(coordinates[i]); 
				arrayPiecePolyline.push(coordinates[i]);						
			}	

			return poly;			
		}
		else if(nome=="area")
		{	 			
			polygon = new google.maps.Polygon({
				strokeOpacity: 0.5,
				strokeWeight: 1,
				fillColor: color
			});
			
			polygon.setMap(map);

			for (var i in coordinates)
			{	 
				var event = new Object()
				event.latLng = coordinates[i]; 	 
				
				var path = polygon.getPath();
			
				path.insertAt(path.length, event.latLng);
			}

			return polygon;
		}    	
	}       
   //---------------------------------------------------------------------- nuovo
   
	function attachMessage(marker, tooltip, objAttracco) 
	{		 
		var infowindow = new google.maps.InfoWindow(
		  { content: tooltip
		  });
		  	  
 		google.maps.event.addListener(marker, 'click', function() 
		{
			for (i in objAttracco.infoWindowArray) 
			{       
				objAttracco.infoWindowArray[i].close();     
			} 
			
			infowindow.open(map,marker);
		}); 	
		
		objAttracco.infoWindowArray.push(infowindow); 
	}		
		
		
	function ricerca(IdEdificio, entita)
	{
		var frame = parent.tbJq_getTabFrame("ricerca");
		
		var StatoOrd2 = frame.document.form1.StatoOrd2.value;
		frame.document.form1.IdEdificio.value = IdEdificio;
		
		var newStatoOrd2 = '';
		if(entita=='ordini_magg_finiti')
		{
			newStatoOrd2 = '50,60,70,80,100,120,140,150,200,300,400';
		}
		else if(entita=='ordini_assegnati')
		{
			newStatoOrd2 = '35';
		}
		else if(entita=='ordini_in_corso')
		{
			newStatoOrd2 = '40';
		}
 
		frame.document.form1.StatoOrd2.value = newStatoOrd2;
		frame.CloseFrame();
		frame.OpenFrame();
		parent.tbJq_showTabFrame("ricerca");			
		
				
		frame.document.form1.StatoOrd2.value =  StatoOrd2;
		frame.document.form1.IdEdificio.value =  '';
	}	
		
		
	function caricaOrdine(NumOrdine, AnnoOrdine)	
	{
		if( $('#frmSend').find('input[name=NumOrdine]').length <= 0 ) 
			$('<input>').attr({
				type: 'hidden',
				id: 'NumOrdine',
				name: 'NumOrdine'
			}).appendTo('#frmSend');			
		
		if( $('#frmSend').find('input[name=Anno]').length <= 0 ) 		
			$('<input>').attr({
				type: 'hidden',
				id: 'Anno',
				name: 'Anno'
			}).appendTo('#frmSend');	
				
		document.frmSend.NumOrdine.value = NumOrdine;
		document.frmSend.Anno.value = AnnoOrdine; 
	 
		caricaDati();
	}	
		
 
	$(function() 
	{
		createMap();  
	})	
	</script> 
</head>
  
<body> 
	<div id="map" style="z-index: 9999;" ></div> 
  
	<form id="form1" name="form1" method="post" onsubmit="return false;" > 
		
		<table id="parametri">
			<tr>
				<td colspan="2">
				<h1>Trova un punto su mappa</h1>
		
			<tr>
				<td>Città<td><input type="text"  id="citta" />
			
			<tr>
				<td>CAP<td><input type="text"  id="provincia" />
			
			<tr>
				<td>Indirizzo<td><input type="text"  id="via" /> 
			
			<tr>
				<td colspan="2" style="text-align:center;">
				<input type="button" value="Cerca" onclick="Ricerca();ricercaLocalizzazione();" style="width:100%;height:30px;" /> 
		</table>
 
	</form>
	
	<form id="frmReload" name="frmReload" method="post" style="display:none;" >
		<?php ntxCreateHiddens() ?> 	 
	</form>	
	
	<div  class="ricercaIndirizzo" >
		<button onclick="caricaDati();">
			<img src="/repository/xhdpi/1_navigation_refresh.png" style="width:30px;" title="Aggiorna tutto il contenuto della pagina"/>	
		</button>
		
		<button onclick="ricercaLocalizzazione();">
			<img src="/repository/xhdpi/2-action-search.png" style="width:30px;" title="Apre lo strumento di ricerca"/>	
		</button> 
	</div>  
	
	
	<script>
	function copiaForm(form)
	{
		var formDestination  = "#frmSend"; 
		
		$(formDestination).children().remove(); //puliamo il form temporaneo
		
		$(formDestination).append( $(form).children().clone(true,true) ); //copiamo i dati nel nuovo form
		
		var formA = $(form);
		var formB = $(formDestination);
		$('input,select,textarea', formA).each(function() 
		{
			$('[name=' + $(this).attr('name') +']', formB).val($(this).val())
		})		 
	}		
	</script>
	<form id="frmSend" name="frmSend" method="post" style="display:none;" ></form>
	
	<script> 
	function ricercaLocalizzazione()
	{ 	
		$( "#parametri" ).toggle( "slow", function() 
		{
			// Animation complete.
		});			
	}	
	
 	function Ricerca()
	{
	   	var citta = document.getElementById("citta").value;
	   	var provincia = document.getElementById("provincia").value;
	   	var via = document.getElementById("via").value;
		
		var address="";
		
 		if(citta!="")
		{
			address += citta;
			
			if(via!="")
				address +=" "+via			
			
			if(provincia!="")
				address +=" , "+provincia
		}  
		
		if( address.length > 0 )
		{ 	
			geocoder = new google.maps.Geocoder();
			
			geocoder.geocode( {'address': address}, function(results,status) {
				if (status == google.maps.GeocoderStatus.OK) {
				
					var result = results[0].geometry.location;
					
					lat = result.lat();				
					lng = result.lng();

					
					map.setCenter(result);	 
					
				} else {
				  alert("Errore: " + status+"\nCollegarsi alla seguente pagina per avere informazioni sulla natura dell'errore:\nhttp://code.google.com/intl/it-IT/apis/maps/documentation/javascript/reference.html#GeocoderStatus");
				}
			  });      
		  }
		  
		  caricaDati();
	} 	
	</script> 
	
</body> 
</html>