<?php  
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");
	
require_once("ordini_sql.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
		<style>		
		th
		{
			color: black;
			font-weight: bold;
		} 
		
		table
		,th
		,td	
		{
			border: 0.5pt solid black; 
			font-size:12px; 
		}	
		
		td.td2
		{
			background: LightSteelBlue; 
		}
		</style>
	</head>
<body> 

 
	<?php
	if(is_numeric($_POST[strade2])  &&  $_POST[strade2]==1) 
	{
	?>
		<table id="tblRisultati" cellpadding="0" cellspacing="0" align="center"  >
			<thead>
				<tr> 		 
					<th>Num.	
					<th>Anno	
					<th>Richiesta	
					<th>Data&nbsp;Richiesta
					<th>Data&nbsp;Ordine	
					<th>Localiz. 			
					<th>Richiedente	
					<th>Riferimento	
					<th>Classificazione	
					<th>Tipo&nbsp;Valutazione	
					<th>Grado&nbsp;Urgenza	 
					<th>Quartiere	
					<th>Mestiere	
					<th>Componete	
					<th>Attività 
					<th>Descrizione	
					<th>Note	
					<th>Stato	
					<th>centro&nbsp;di&nbsp;costo
					<th>CDC1 
					<th>CDC2	
					<th>Fornitore	
					<th>Data&nbsp;Inizio&nbsp;P	
					<th>Data&nbsp;Fine&nbsp;P	
					<th>Data&nbsp;Inizio	
					<th>Data&nbsp;Fine	
					<th>Importo&nbsp;Stimato	
					<th>Importo&nbsp;Contabilità	
					<th>Numero&nbsp;Sal	
					<th>Importo&nbsp;Approvato	
					<th>N.Documenti 		 
				</tr>   
			</thead>
			
			<tbody>	
		<?php
			$alternate = true;

			while( $rs = ntxRecord($query) )
			{
				$classe = $alternate ? "" : "td2";   
		?>
			<tr> 
				<td class="<?php echo $classe ?>" ><?php echo htmlentities((int)$rs['NumOrdine']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['AnnoOrdine']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NumRichiesta']."/".$rs['AnnoRichiesta']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities(ntxDateTime($rs['DataRichiesta'])) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities(ntxDateTime($rs['DataOrdine'])) ?>
				
				<td class="<?php echo $classe ?>" > 
					<?php echo htmlentities($rs['Codice']) ?> 
					<strong><?php echo htmlentities($rs['Comune']) ?></strong> 
					<?php echo htmlentities($rs['Indirizzo']) ?>  
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Richiedente']) ?>

				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['RicRiferimento']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['RicClassificazione']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['RicTipoValutazione']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['GradoUrgenzaDescrizione']) ?> 
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Quartiere']) ?>		
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Mestiere']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Componete']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Attività']) ?> 
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['DescrizioneIntervento']).' '.htmlentities($rs['DescrizioneIntervento1']).' '.htmlentities($rs['DescrizioneIntervento2']) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NoteOrdine']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['DesStato']) ?>
				
				<td  class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['CentroDiCosto']) ?>  
				<td  class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['CDC1']) ?>  
				<td  class="<?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs['CDC2']) ?>  				
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Ditta']) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities(ntxDateTime($rs['DataInizioProg'])) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities(ntxDateTime($rs['DataFineProg'])) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities(ntxDateTime($rs['DataInizio'])) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities(ntxDateTime($rs['DataFine'])) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo ntxRound($rs['ImportoStimato'],2) ?>
				<td class="<?php echo $classe ?>" ><?php echo ntxRound($rs['ImpCont'],2) ?>		
				
				<td class="<?php echo $classe ?>" ><?php echo $rs['NumSal'] ?>
				<td class="<?php echo $classe ?>" ><?php echo ntxRound($rs['ImpCont2'],2) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo $rs['ConteggioDocumenti'] ?>  
			</tr>
		<?php
				$alternate = !$alternate;
			}
		?>
			</tbody>	
		</table>  
	<?php
	}
	else
	{
	?> 
		<table id="tblRisultati" cellpadding="0" cellspacing="0" align="center"  >
			<thead>
				<tr> 		 
					<th>Num.	
					<th>Anno	
					<th>Richiesta	
					<th>Data	
					<th>Richiedente	
					<th>Riferimento	
					<th>Classificazione	
					<th>Tipo Valutazione	
					<th>GradoUrgenza	
					<th>Localizzazione	
					<th>Quartiere	
					<th>Mestiere	
					<th>Componete	
					<th>Attività	
					<th>Civico	
					<th>Descrizione	
					<th>Note	
					<th>Stato	
					<th>Fornitore	
					<th>Data Inizio P	
					<th>Data Fine P	
					<th>Data Inizio	
					<th>Data Fine	
					<th>Importo Stimato	
					<th>Importo Contabilità	
					<th>Numero Sal	
					<th>Importo Approvato	
					<th>N.Documenti 		 
				</tr>   
			</thead>
			
			<tbody>	
		<?php
			$alternate = true;

			while( $rs = ntxRecord($query) )
			{
				$classe = $alternate ? "" : "td2";   
		?>
			<tr> 
				<td class="<?php echo $classe ?>" ><?php echo htmlentities((int)$rs['NumOrdine']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['AnnoOrdine']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NumRichiesta']."/".$rs['AnnoRichiesta']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities(ntxDateTime($rs['DataOrdine'])) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Richiedente']) ?>

				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['RicRiferimento']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['RicClassificazione']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['RicTipoValutazione']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['GradoUrgenzaDescrizione']) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Edificio']) ?> 
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Quartiere']) ?>		
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Mestiere']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Componete']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Attività']) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Civico']) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['DescrizioneIntervento']).' '.htmlentities($rs['DescrizioneIntervento1']).' '.htmlentities($rs['DescrizioneIntervento2']) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NoteOrdine']) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['DesStato']) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Ditta']) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo htmlentities(ntxDateTime($rs['DataInizioProg'])) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities(ntxDateTime($rs['DataFineProg'])) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities(ntxDateTime($rs['DataInizio'])) ?>
				<td class="<?php echo $classe ?>" ><?php echo htmlentities(ntxDateTime($rs['DataFine'])) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo ntxRound($rs['ImportoStimato'],2) ?>
				<td class="<?php echo $classe ?>" ><?php echo ntxRound($rs['ImpCont'],2) ?>		
				
				<td class="<?php echo $classe ?>" ><?php echo $rs['NumSal'] ?>
				<td class="<?php echo $classe ?>" ><?php echo ntxRound($rs['ImpCont2'],2) ?>
				
				<td class="<?php echo $classe ?>" ><?php echo $rs['ConteggioDocumenti'] ?>  
			</tr>
		<?php
				$alternate = !$alternate;
			}
		?>
			</tbody>	
		</table>  
	<?php
	} 
	?>
	
 
		
</body>
</html>
