<?php  

$IdCommessa = ntxise('IdCommessa');
$Utente=ntxsse('Utente');
$Password=ntxsse('Password');

require_once('tutti_attori/_funzGestioneArrayId.php'); //IMPORTANTE

$sql_where=" ";	
$sql_where_TOT=" ";
$sql_giorno_SEL=" ";
$sql_giorno_GROUP=" ";
$sql_giorno_WHERE=" ";



$IDLabelX = "";
if( isset($_POST[labelX]) && ($_POST[labelX]=='edifici') ) 
	$IDLabelX = " ElencoEdifici.ID ";
if( isset($_POST[labelX]) && ($_POST[labelX]=='utilizzatori') ) 	
	$IDLabelX = " Richieste.IdUtilizzatore ";	



if( isset($_POST[vistaMese]) && ($_POST[vistaMese]=='yes')) 
{ 
	$sql_giorno_SEL .= " DAY(DataRichiesta) AS giorno, ";	
	$sql_giorno_GROUP .= " DAY(DataRichiesta), ";	
	
	if ( (is_numeric($_POST[Mese])) && (is_numeric($_POST[Anno])) )
		$sql_giorno_WHERE=" AND (MONTH(DataRichiesta) = $_POST[Mese]) AND (YEAR(DataRichiesta) = $_POST[Anno]) ";
}
else
{
	if ( isset($_POST['dataInizio'])  &&  strlen($_POST['dataInizio'])>0) 
	{
		$dataInizio=ntxtp('dataInizio');
		$sql_where_TOT.=" AND (Richieste.DataRichiesta >= ".$dataInizio.") ";
	}

	if ( isset($_POST['dataFine'])  &&  strlen($_POST['dataFine'])>0) 
	{
		$dataFine = ntxtp('dataFine');
		$sql_where_TOT.=" AND (Richieste.DataRichiesta <= ".$dataFine.") ";
	}
}


if ( is_numeric($_POST[Stato]))
{
	$Stato=(int)$_POST[Stato];

	//efficienza preventivazioni attuali
	if ($Stato==1)
	{ 
		//dividendo: prev. in attesa di autorizzazione
		$sql_where .= " AND (Richieste.Stato = 15) ";
		
		//trovo tutti i preventivi nel processo di preventivazione
		//	-	in Richiesta preventivo (4)
		//	-	Preventivata (5)	
		//	-	in Preventivazione (13)
		//	-	in Attesa di Autorizzazione (15)	
		$sql_where_TOT .= 	"AND (  (Richieste.Stato = 4) OR (Richieste.Stato = 5) OR (Richieste.Stato = 13) OR (Richieste.Stato = 15) )";				
	}
	//efficienza autorizzazioni attuali
	else if ($Stato==2)
	{
		//dividendo: tutti i prev. autorizzati
		$sql_where .= " AND (Richieste.Stato = 18) ";
		
		//trovo tutti i preventivi:
		//	-	in Attesa di Autorizzazione (15)
		//	-	Autorizzati (18)	
		$sql_where_TOT .= 	"AND (  (Richieste.Stato = 15) OR (Richieste.Stato = 18) )";			
	}
	//efficienza preventivazioni
	else if($Stato==3)
	{
		//dividendo: 15 (in att. di aut.), 18 (autoriz), 35 (assegnati)
		$sql_where .=" AND ( (Richieste.Stato = 15) OR (Richieste.Stato = 18) OR ((Richieste.Stato = 35) AND EXISTS (SELECT IdCommessa FROM Preventivi WHERE Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta ) ) )";	
		
		//trovo tutti i preventivi: quelli del dividendo (sopra) più gli stati precedenti al preventivo
		$sql_where_TOT .= 	"AND ( (Richieste.Stato = 4) OR (Richieste.Stato = 5) OR (Richieste.Stato = 13) OR (Richieste.Stato = 15) OR (Richieste.Stato = 18) ".
							"OR ((Richieste.Stato = 35) AND EXISTS (SELECT IdCommessa FROM Preventivi WHERE Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta ) ) )";			
	}
	//efficienza autorizzazioni
	else if($Stato==4)
	{ 
		//dividendo: 18 (autoriz), 35 (assegnati)
		$sql_where .=" AND ( (Richieste.Stato = 18) OR ((Richieste.Stato = 35) AND EXISTS (SELECT IdCommessa FROM Preventivi WHERE Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta ) ) )";	
		
		//trovo tutti i preventivi: quelli del dividendo (sopra) più lo stato 15
		$sql_where_TOT .= " AND ( (Richieste.Stato = 15) OR (Richieste.Stato = 18) OR ((Richieste.Stato = 35) AND EXISTS (SELECT IdCommessa FROM Preventivi WHERE Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta ) ) )";	
	}
}



	//ricerca dell'ENTE
	if( is_numeric($_POST[IdPropietario]))
	{
		$sql_where_TOT.=" AND (ElencoEdifici.IdProprietario = $_POST[IdPropietario])";	
	}

	/*if ( is_numeric($_POST['IdUtilizzatore'])) 
	{
		$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
		$sql_where_TOT .= " AND (Richieste.IdUtilizzatore = $IdUtilizzatore) ";
	}	*/
	if( strlen($_POST['Utilizzatori'])>0 )
	{ 
		$sql_where_TOT .= whereStringaElementi( $_POST['Utilizzatori'], ',', 'Richieste.IdUtilizzatore');
	}

	if( strlen($_POST['Edifici'])>0 )
	{ 
		$sql_where_TOT .= whereStringaElementi( $_POST['Edifici'], ',', 'ElencoEdifici.ID');
	}
		
	if( strlen($_POST['Mestieri'])>0 )
	{ 
		$sql_where_TOT .= whereStringaElementi( $_POST['Mestieri'], ',', 'Richieste.IdMestiere');
	}		

	if( is_numeric($_POST['IdFornitore']))
	{
		$value = (int)$_POST['IdFornitore'];
		$sql_where_TOT.=" AND (Ordini.Assegnazione = $value)";	
	}

	if ( isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1'])>0) 
	{
		$str = stripslashes($_POST['GradoUrgenza1']."");
		$str = str_replace("'", "''", $str);
		$sql_where_TOT .= " AND Richieste.GradoUrgenza = '".$str."' ";
	}	


	if ( is_numeric($_POST['IdEdificio'])) 
	{
		$IdEdificio = (int)$_POST['IdEdificio'];
		$sql_where_TOT .= " AND (Richieste.Localizzazione = $IdEdificio) ";
	}		
		
		
	if ( is_numeric($_POST['Tipo']) ) 
	{
		$tipo = (int)$_POST['Tipo'];
		if($tipo==1)
			$sql_where_TOT .= " AND (ElencoEdifici.Tipo = $tipo) ";
		else
			$sql_where_TOT .= " AND ( (ElencoEdifici.Tipo=$tipo) OR (ElencoEdifici.Tipo IS NULL) ) ";	
	}	
			
	if( is_numeric($_POST['IdMestiere']) ) 
	{
		$IdMestiere = (int)$_POST['IdMestiere'];
		$sql_where_TOT .= " AND (Richieste.IdMestiere = $IdMestiere) ";
	}
			
	if( is_numeric($_POST['escludiMestieriMarcati'])  &&  $_POST['escludiMestieriMarcati']==1 ) 
	{ 
		$sql_where_TOT .= " AND (tblMestieri.escludiDaMatriceControllo IS NULL OR tblMestieri.escludiDaMatriceControllo=0) ";
	}	

if( !isset($_POST[vistaMese])||(isset($_POST[vistaMese]) && ($_POST[vistaMese]=='no')) ) 
{ 
	$sql1 = <<< SQL
	SELECT 
		Richieste.DataRichiesta
	FROM  
		tblComponetiMestiere INNER JOIN
		tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
		tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
		Richieste INNER JOIN
		ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
		tblPgContrattiRifAffidatariAttivitàEdifici INNER JOIN
		tblPgContrattiRifAffidatari ON 
		tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario INNER JOIN
		UtentiRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
		Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON Richieste.IDCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
		Richieste.Localizzazione = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio ON 
		tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
		tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere AND 
		tblComponetiMestiere.IdCommessa = Richieste.IDCommessa AND tblComponetiMestiere.IdMestiere = Richieste.IdMestiere 
		INNER JOIN
		tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario AND 
		Richieste.DataRichiesta >= tblPgContrattiAffidatari.DataInizio AND Richieste.DataRichiesta <= tblPgContrattiAffidatari.DataFine
								LEFT OUTER JOIN 
							Ordini ON Richieste.IDCommessa = Ordini.IDCommessa AND Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta		
		LEFT OUTER JOIN 
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere		
	
		WHERE	
			(Richieste.IdCommessa = $IdCommessa) AND (Utenti.Nome = $Utente) AND (Utenti.Password = $Password)  $sql_where_TOT
SQL;


	$sql2 = <<< SQL
		SELECT 
			Richieste.DataRichiesta
			
		FROM  
			tblPgRifAffidatari INNER JOIN
			UtentiRifAffidatari INNER JOIN
			Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
			Richieste INNER JOIN
			ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID ON 
			tblPgRifAffidatari.IdAffidatario = Richieste.IdAffidatario
	
								LEFT OUTER JOIN 
							Ordini ON Richieste.IDCommessa = Ordini.IDCommessa AND Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta	
		LEFT OUTER JOIN 
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
	
		WHERE	
			(Richieste.IdCommessa = $IdCommessa) AND (Utenti.Nome = $Utente) AND (Utenti.Password = $Password)  $sql_where_TOT
			AND tblPgRifAffidatari.VistaFuoriContratto = 1
SQL;


	//troviamo la MAX data e la MIN data dei Preventivi
	$sql = <<< SQL
		SELECT DISTINCT 
				MONTH(MinData) AS MinMese,
				YEAR(MinData) AS MinAnno,
				MONTH(MaxData) AS MaxMese,
				YEAR(MaxData) AS MaxAnno 
				
		FROM 
			(
				SELECT
					MIN(DataRichiesta) AS MinData, MAX(DataRichiesta) AS MaxData
				FROM 
					($sql1 UNION $sql2) AS tmp
			
			) AS tmp2
SQL;

	//print("$sql |1||1|||1||||||");
	$query=ntxQuery($sql); 
	$rs_min_max=ntxRecord($query);
}
	

//DIVIDENDO	
$sql1 = <<< SQL
		SELECT 
			DataRichiesta, $IDLabelX AS IdEdificio
			
		FROM  
			tblComponetiMestiere INNER JOIN
			tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
			tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
			Richieste INNER JOIN
			ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
			tblPgContrattiRifAffidatariAttivitàEdifici INNER JOIN
			tblPgContrattiRifAffidatari ON 
			tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario INNER JOIN
			UtentiRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
			Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON Richieste.IDCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
			Richieste.Localizzazione = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio ON 
			tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
			tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere AND 
			tblComponetiMestiere.IdCommessa = Richieste.IDCommessa AND tblComponetiMestiere.IdMestiere = Richieste.IdMestiere
			INNER JOIN
			tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario AND 
			Richieste.DataRichiesta >= tblPgContrattiAffidatari.DataInizio AND Richieste.DataRichiesta <= tblPgContrattiAffidatari.DataFine
			
										LEFT OUTER JOIN 
							Ordini ON Richieste.IDCommessa = Ordini.IDCommessa AND Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta	
								LEFT OUTER JOIN 
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
	
		WHERE	
			(Richieste.IdCommessa = $IdCommessa) AND (Utenti.Nome = $Utente) AND (Utenti.Password = $Password) $sql_where $sql_giorno_WHERE			
SQL;

$sql2 = <<< SQL
		SELECT 
			DataRichiesta, $IDLabelX AS IdEdificio
			
		FROM  
			tblPgRifAffidatari INNER JOIN
			UtentiRifAffidatari INNER JOIN
			Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
			Richieste INNER JOIN
			ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID ON 
			tblPgRifAffidatari.IdAffidatario = Richieste.IdAffidatario
										LEFT OUTER JOIN 
							Ordini ON Richieste.IDCommessa = Ordini.IDCommessa AND Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta	
								LEFT OUTER JOIN 
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
	
			
		WHERE	
			(Richieste.IdCommessa = $IdCommessa) AND (Utenti.Nome = $Utente) AND (Utenti.Password = $Password) $sql_where $sql_giorno_WHERE
			AND tblPgRifAffidatari.VistaFuoriContratto = 1
SQL;

$sql = <<< SQL
	SELECT DISTINCT 
		$sql_giorno_SEL MONTH(DataRichiesta) AS mese, YEAR(DataRichiesta) AS anno, IdEdificio, COUNT(*) AS TotDividendo
			
	FROM 
		($sql1 UNION $sql2) AS tmp
		
	GROUP BY
		$sql_giorno_GROUP MONTH(DataRichiesta), YEAR(DataRichiesta), IdEdificio
SQL;


	
//print("$sql |2||2|||2||||||");	
$query_percentuale=ntxQuery($sql);


//DIVISORE
$sql1 = <<< SQL
		SELECT 
			DataRichiesta, $IDLabelX AS IdEdificio
			
		FROM  
			tblComponetiMestiere INNER JOIN
			tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
			tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
			Richieste INNER JOIN
			ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
			tblPgContrattiRifAffidatariAttivitàEdifici INNER JOIN
			tblPgContrattiRifAffidatari ON 
			tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario INNER JOIN
			UtentiRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
			Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON Richieste.IDCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
			Richieste.Localizzazione = tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio ON 
			tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
			tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere AND 
			tblComponetiMestiere.IdCommessa = Richieste.IDCommessa AND tblComponetiMestiere.IdMestiere = Richieste.IdMestiere
			INNER JOIN
			tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario AND 
			Richieste.DataRichiesta >= tblPgContrattiAffidatari.DataInizio AND Richieste.DataRichiesta <= tblPgContrattiAffidatari.DataFine
			
										LEFT OUTER JOIN 
							Ordini ON Richieste.IDCommessa = Ordini.IDCommessa AND Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta	
								LEFT OUTER JOIN 
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
							
		WHERE 
			(Richieste.IdCommessa = $IdCommessa) AND (Utenti.Nome = $Utente) AND (Utenti.Password = $Password)  $sql_where_TOT $sql_giorno_WHERE
SQL;

$sql2 = <<< SQL
		SELECT 
			DataRichiesta, $IDLabelX AS IdEdificio
			
		FROM  
			tblPgRifAffidatari INNER JOIN
			UtentiRifAffidatari INNER JOIN
			Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
			Richieste INNER JOIN
			ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID ON 
			tblPgRifAffidatari.IdAffidatario = Richieste.IdAffidatario
			
										LEFT OUTER JOIN 
							Ordini ON Richieste.IDCommessa = Ordini.IDCommessa AND Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta	
			LEFT OUTER JOIN 
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	
	
		WHERE 
			(Richieste.IdCommessa = $IdCommessa) AND (Utenti.Nome = $Utente) AND (Utenti.Password = $Password)  $sql_where_TOT $sql_giorno_WHERE
			AND tblPgRifAffidatari.VistaFuoriContratto = 1
SQL;

$sql = <<< SQL
	SELECT DISTINCT 
		$sql_giorno_SEL MONTH(DataRichiesta) AS mese, YEAR(DataRichiesta) AS anno, IdEdificio, COUNT(*) AS Divisore
			
	FROM 
		($sql1 UNION $sql2) AS tmp
		
	GROUP BY
		$sql_giorno_GROUP MONTH(DataRichiesta), YEAR(DataRichiesta), IdEdificio
SQL;
	
//print("$sql |3||3||||3|||||");	
$query_Tot=ntxQuery($sql);

?>