<?php
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH."doracea.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('_caption.php');

//<!-- IN EVIDENZA -->
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script> 
		
	<style>
	<?php require('_analisi_gestione_css.php'); ?>
	</style>
</head>

<body> 

<form method="post" id="form1" name="form1" >
	<?php ntxCreateHiddens() ?> 
	
	<input type="hidden" name="IdEdificio" />
	<input type="hidden" name="elemento" />
</form>

<form method="post" action="elenco__analisi_gestione_excel.php" target="downloadExcel" class="allineatoSinistra">
	<?php ntxCreateHiddens() ?>
	
	<button   type="submit"  >
		<img src="/repository/_icons/page_white_excel.png" />
		Excel
	</button>	
</form>	

<iframe name="downloadExcel" style="width:1px;height:1px;display:none;"></iframe>


<?php
$IdCommessa = ntxise('IdCommessa');  
require("_check_cartella_ricerca.inc");//importante
?>
 
<h3><?php echo get_CaptionTabella(); ?></h3>

<?php  
require("$cartella_ricerca/sla_comdata/elenco.inc");  

$query = ntxPagedQuery($sql, "DataRichiesta DESC");

ntxPagedPrintNavigation();
?>


<table   cellpadding="0" cellspacing="0"   >
	<thead> 
		<th>Num
		<th>Anno
		<th>Richiedente
		<th>DataRichiesta
		<th>classif.
		<th>Intervento
		<th>Stato
		<th>DataInizioP
		<th>DataFineP
		<th>DataInizio
		<th>DataFine
		<th>Descrizione
		<th>Mestiere
		<th>Num/Anno Ordine
		<th>GradoUrgenza
		<th>StatoOrdine
		<th>DataSospensione
		<th>NoteSospensione
		<th>DataScadenza
		<th>Note Ordine
		<th>Att. Eseg.
		<th>Ente 
		<th>Codice Localiz.
		<th>Localiz.
		<th>ordine assegnato
		<th>Originata da ordine
		<th>Utilizzatore
	</tr>   
	</thead>
	
	<tbody>
<?php
	$alternate = true;

	while(  $query  &&  $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "td2";
		
		if( is_numeric($rs['NonValutabileInSLA'])  &&  $rs['NonValutabileInSLA']==1 ) $classe = "NonValutabileInSLA";
?>
		<tr> 
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NumRichiesta']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['AnnoRichiesta']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Richiedente']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataRichiesta']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Classificazione']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['TipoIntervento']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['statoRichiesta']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataInizioP']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataFineP']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataInizio']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataFine']) ?>
			<td  class="<?php echo $classe ?>" ><div style="width:200px;"><?php echo htmlentities($rs['Des']) ?></div>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Mestiere']) ?>
			<?php
			if( is_numeric($rs['NumOrdine'])  &&   is_numeric($rs['AnnoOrdine']) )
				$OrdineAnnoNum = (int)$rs['NumOrdine']." / ".(int)$rs['AnnoOrdine'];
			else
				$OrdineAnnoNum = "";
			?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($OrdineAnnoNum) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['GradoUrgenza']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['statoOrdine']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataSospensione']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NoteSospensione']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo ntxDateTime($rs['DataScadenza']) ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['NoteOrdine']) ?> 
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Intervento']) ?> 
			<td  class="<?php echo $classe ?>" > <?php echo htmlentities($rs['Ente']) ?>  
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Codice']) ?>
			<td  class="<?php echo $classe ?>" ><div style="width:200px;"><?php echo htmlentities($rs['LocalizzazioneString']) ?></div> 		
			<td  class="<?php echo $classe ?>" ><?php if ( is_numeric($rs[NumOrdine]) ) echo htmlentities((int)$rs[NumOrdine]."/$rs[AnnoOrdine]") ?>
			<td  class="<?php echo $classe ?>" ><?php if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities((int)$rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?>
			<td  class="<?php echo $classe ?>" ><?php echo htmlentities($rs['Utilizzatore']) ?> 
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
	</tbody>
</table>
 


  
 <!-- IN EVIDENZA -->
<?php ntxPagedPrintBody() ?>
<?php ntxPagedPrintNavigation() ?> 

</body>
</html>