<?php
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_291", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_291", "IT", __FILE__);

/**
In $_GET possono essere passati i seguenti parametri:

	PARAMETRI CONSIGLIATI:
	- GruppiEnte : per visualizzare le tendine con la scelta del gruppo associato all'ente
	- modBase : mostra solo alcuni campi di ricerca e  solo alcuni elementi di ricerca nel filtro 
	- escludiOpt : nasconde le option "Tipo Entità" della maschera di ricerca (filtro.php). i parametri sono separati da , (ex escludiOpt=1,2,7,10,22) e partono da 0.

	PARAMETRI DEPRECATI:
	- layoutGrafico
	- utilizzatori
	- contabilita
	- solleciti
	- tempiInterventoCanone
	- ric_canone
	- tempoContabilizzazione
	- tempoAutorizzazione
	- ordini
	- Excel2perConsip
	- tICM 
	- AG
**/
 


$layoutGrafico = @$_GET['layoutGrafico'];
if( is_numeric($layoutGrafico)  &&  $layoutGrafico==0) $layoutGrafico=0; else $layoutGrafico=1;

$utilizzatori = @$_GET['utilizzatori'];
if( is_numeric($utilizzatori)  &&  $utilizzatori==0) $utilizzatori=0; else $utilizzatori=1;

$contabilita = @$_GET['contabilita'];
if( is_numeric($contabilita)  &&  $contabilita==0) $contabilita=0; else $contabilita=1;

$solleciti = @$_GET['solleciti'];
if( is_numeric($solleciti)  &&  $solleciti==0) $solleciti=0; else $solleciti=1;

$solleciti = @$_GET['solleciti'];
if( is_numeric($solleciti)  &&  $solleciti==0) $solleciti=0; else $solleciti=1;

$tempiInterventoCanone = @$_GET['tempiInterventoCanone'];
if( is_numeric($tempiInterventoCanone)  &&  $tempiInterventoCanone==0) $tempiInterventoCanone=0; else $tempiInterventoCanone=1;

$ric_canone = @$_GET['ric_canone'];
if( is_numeric($ric_canone)  &&  $ric_canone==0) $ric_canone=0; else $ric_canone=1;

$preventivi = @$_GET['preventivi'];
if( is_numeric($preventivi)  &&  $preventivi==0) $preventivi=0; else $preventivi=1;

$tempoContabilizzazione = @$_GET['tempoContabilizzazione'];
if( is_numeric($tempoContabilizzazione)  &&  $tempoContabilizzazione==0) $tempoContabilizzazione=0; else $tempoContabilizzazione=1;

$tempoAutorizzazione = @$_GET['tempoAutorizzazione'];
if( is_numeric($tempoAutorizzazione)  &&  $tempoAutorizzazione==0) $tempoAutorizzazione=0; else $tempoAutorizzazione=1;

$ordini = @$_GET['ordini'];
if( is_numeric($ordini)  &&  $ordini==0) $ordini=0; else $ordini=1;

$GruppiEnte = @$_GET['GruppiEnte'];
if( is_numeric($GruppiEnte)  &&  $GruppiEnte==0) $GruppiEnte=0; else $GruppiEnte=1;

$tempiInterventoCanoneMiste = @$_GET['tICM'];
if( is_numeric($tempiInterventoCanoneMiste)  &&  $tempiInterventoCanoneMiste==0) $tempiInterventoCanoneMiste=0; else $tempiInterventoCanoneMiste=1;

$analisiGestione = @$_GET['AG'];
if( is_numeric($analisiGestione)  &&  $analisiGestione==0) $analisiGestione=0; else $analisiGestione=1;

$Excel2perConsip = @$_GET['Excel2perConsip'];

require($_SERVER['DOCUMENT_ROOT'].'/repository/php/tabs/tabs_jquery.inc');

$prefisso = "1741211111";

if($attore!='fornitori'  &&  $utilizzatori==1) 
	{ $keys[] = "utilizzatori";$caption[] = $traduttore->traduci('Utilizzatori');		$links[] = "utilizzatori.php";	}

if($attore!='clienti') { $keys[] = "enti";	$caption[] = $traduttore->traduci('Enti');	$links[] = "enti.php";	}

if($attore!='fornitori' ) 
	{ $keys[] = "ditte";$caption[] = $traduttore->traduci('Ditte');			$links[] = "ditte.php";	}

$keys[] = "edifici";	$caption[] = $traduttore->traduci('Edifici');		$links[] = "edifici.php";
$keys[] = "mestieri";	$caption[] = $traduttore->traduci('Mestieri');		$links[] = "mestieri.php";
$keys[] = "filtro";		$caption[] = $traduttore->traduci('Filtro');		$links[] = "blank.html";	
$keys[] = "grafico";	$caption[] = $traduttore->traduci('Grafico');		$links[] = "blank.html";	
$keys[] = "pivot";		$caption[] = $traduttore->traduci('Pivot');			$links[] = "blank.html";
$keys[] = "elenco";		$caption[] = $traduttore->traduci('Elenco');		$links[] = "blank.html";
$keys[] = "allegati";	$caption[] = $traduttore->traduci('Allegati');		$links[] = "blank.html";	

if($solleciti=='SI')
{
	$keys[] = "solleciti";	$caption[] = $traduttore->traduci('Solleciti');	$links[] = "solleciti.php"; 
}	

$tabs = new tbJq($prefisso , $keys , $caption, $links);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html> 
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=9" /> 
		<?php echo  tbJq::tbJq_requirements(); ?>
		<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	</head>

<body>
	<?php include_once($_SERVER['DOCUMENT_ROOT'].'/repository/google_analytics/analyticstracking.php') ?>

	<script  type="text/javascript">
	var solleciti = "<?php echo $solleciti ?>";
	var attore = "<?php echo $attore ?>";
	var utilizzatori = "<?php echo $utilizzatori ?>"; 
	var layoutGrafico = "<?php echo $layoutGrafico ?>"; 
	var modBase = <?php echo ($_GET[modBase]==1||is_numeric($_GET[modBase])) ? 1 : 0; ?>;	
	var escludiOpt = "<?php echo $_GET[escludiOpt] ?>";	
	
	var arrayOpzioni = 
	{
		 contabilita			 	: <?php echo $contabilita			 ?>	
		,solleciti                  : <?php echo $solleciti              ?>
		,tempiInterventoCanone      : <?php echo $tempiInterventoCanone  ?>
		,ric_canone                 : <?php echo $ric_canone             ?>
		,preventivi                 : <?php echo $preventivi             ?>
		,tempoContabilizzazione     : <?php echo $tempoContabilizzazione ?>
		,tempoAutorizzazione        : <?php echo $tempoAutorizzazione    ?>
		,ordini                     : <?php echo $ordini                 ?>
		,GruppiEnte                 : <?php echo $GruppiEnte           	 ?>
		,tempiInterventoCanoneMiste : <?php echo $tempiInterventoCanoneMiste  ?>
		,analisiGestione 			: <?php echo $analisiGestione  ?>
	}
	
	
	$(function() 
	{
		<?php echo $tabs->tbJq_init(); ?>
		
		
		<?php
		if($attore!='fornitori' ) 
			echo <<<_HTML
			tbJq_updateTabFrame(document.form1, "ditte", 'ditte.php');	
_HTML;
		
		if($attore!='fornitori'  &&  $utilizzatori==1) 
			echo <<<_HTML
			tbJq_updateTabFrame(document.form1, "utilizzatori", 'utilizzatori.php');	
_HTML;
	
		if($attore!='clienti') 
			echo <<<_HTML
			tbJq_updateTabFrame(document.form1, "enti", 'enti.php');
_HTML;
		?> 
		
		tbJq_updateTabFrame(document.form1, "mestieri", 'mestieri.php');
		tbJq_updateTabFrame(document.form1, "edifici", 'edifici.php');
		tbJq_updateTabFrame(document.form1, "filtro", 'filtro.php');
		tbJq_showTabFrame('filtro');
	});

	<?php echo  $tabs->tbJq_createJavascript(); ?>	
	</script>
	
	
	
	
	<?php echo  $tabs->tbJq_createHTML(); ?>
	
	
	
	<?php  
		$cartella_ricerca = '';
		
		if( $attore=='callcenter' || $attore=='autorizzatori' || $attore=='clienti')	
			$cartella_ricerca = 'utenti_edifici';
		else	
			$cartella_ricerca = $attore;		
			
	?>


	<form name="form1" id="form1" method="post">
		<input type="hidden" name="Excel2perConsip" id="Excel2perConsip" value="<?php echo $Excel2perConsip ?>" />
		<input type="hidden" name="attore" id="attore" value="<?php echo $attore ?>" />
		<input type="hidden" name="cartella_ricerca" id="cartella_ricerca" value="<?php echo $cartella_ricerca ?>" />
	</form>	
</body>
<?php $traduttore->Salva(); ?>

</html>