<?php  
session_start();

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('../../../tutti_attori/_funzGestioneArrayId.php'); //IMPORTANTE


require_once('ordini.php'); 
require_once('richieste.php'); 


$array_quantita = array();


if( $ORDINI_rs_min_max[MinAnno] <= $RICHIESTE_rs_min_max[MinAnno]  )
{
	$anno_min = $ORDINI_rs_min_max[MinAnno];

	$mese_min = $ORDINI_rs_min_max[MinMese];
}
else
{
	$anno_min = $RICHIESTE_rs_min_max[MinAnno];

	$mese_min = $RICHIESTE_rs_min_max[MinMese];	
}


if( $ORDINI_rs_min_max[MaxAnno] >= $RICHIESTE_rs_min_max[MaxAnno]  )
{
	$anno_max = $ORDINI_rs_min_max[MaxAnno];

	$mese_max = $ORDINI_rs_min_max[MaxMese];
}
else
{
	$anno_max = $RICHIESTE_rs_min_max[MaxAnno];

	$mese_max = $RICHIESTE_rs_min_max[MaxMese];	
}


$quantita = 0;	
while( $rs = ntxRecord($ORDINI_query_Tot) )//ordini
{	
	$array_quantita[$rs[anno]][$rs[mese]]['ordini'] = $rs[Divisore];	

	$MESE = $rs[mese];
	$ANNO = $rs[anno];
	
	require('tempo_contabilizzazione_mese_anno.php');
	if($tempo==null)
		$tempo="";
	$array_quantita[$rs[anno]][$rs[mese]]['tempo'] = $tempo;	

	++$quantita;
}




while( $rs = ntxRecord($RICHIESTE_query_Tot) ) //richieste
{	
	$array_quantita[$rs[anno]][$rs[mese]]['richieste'] = $rs[Divisore];	
}


$stringaAnnoMese =  Array();
for( $anno=$anno_min; $anno<=$anno_max; $anno++) //creiamo un array che contiene tutte le date per il nostro intervallo di tempo
{	
	$mese=1;
	
	$stringaAnnoMese[] =  Array();
	
	if(($anno==$anno_min) && ($anno==$anno_max))
	{			
		for($mese=$mese_min; $mese<=$mese_max; $mese++)
		{	
			$stringaAnnoMese[$anno];
			$stringaAnnoMese[$anno][$mese]="";			
		}
	} 		
	else if($anno==$anno_min)
	{			
		for($mese=$mese_min; $mese<=12; $mese++)
		{	
			$stringaAnnoMese[$anno];
			$stringaAnnoMese[$anno][$mese]="";		
		}
	}	
	else if($anno==$anno_max)
	{
		for($mese=1; $mese<=$mese_max; $mese++)
		{	
			$stringaAnnoMese[$anno];
			$stringaAnnoMese[$anno][$mese]="";				
		}
	}
	else
	{
		for($mese=1; $mese<=12; $mese++)
		{	
			$stringaAnnoMese[$anno];
			$stringaAnnoMese[$anno][$mese]="";							
		}
	}
}


/* $maxValueBar = 0;
$maxValueLine = 0; */
foreach ($stringaAnnoMese as $anno=>$arrayMesi) //riempiamo i "buchi" dell'array 
{	
	foreach ($arrayMesi as $mese=>$value)
	{		
		if( !isset($array_quantita[$anno][$mese]['ordini']) )
			$array_quantita[$anno][$mese]['ordini'] = "";
			
		if( !isset($array_quantita[$anno][$mese]['richieste']) )	
			$array_quantita[$anno][$mese]['richieste'] = "";			
			
		if( !isset($array_quantita[$anno][$mese]['tempo']) )	
			$array_quantita[$anno][$mese]['tempo'] = "";
			
			
			
 		if( $maxValueBar < $array_quantita[$anno][$mese]['ordini'] )
			$maxValueBar = $array_quantita[$anno][$mese]['ordini'];
			
		if( $maxValueBar < $array_quantita[$anno][$mese]['richieste'] )
			$maxValueBar = $array_quantita[$anno][$mese]['richieste'];			

		
		if( $maxValueLine < $array_quantita[$anno][$mese]['tempo'] )
			$maxValueLine = $array_quantita[$anno][$mese]['tempo'];	 	
			
		
		ksort($array_quantita);
		ksort($array_quantita[$anno]);
		ksort($array_quantita[$anno][$mese]);																				
	}
}		



$data = array();
$q_ord = array();
$q_ric = array();
$tempoContabilizzazione = array();
foreach ($array_quantita as $anno=>$arrayMesi)
{	
	foreach ($arrayMesi as $mese=>$value)
	{		
		$data[] = $anno."/".$mese;
		$q_ord[] = $array_quantita[$anno][$mese]['ordini']."";
		$q_ric[] = $array_quantita[$anno][$mese]['richieste']."";																	
		$tempoContabilizzazione[] = $array_quantita[$anno][$mese]['tempo']."";																	
	}
}		


$result[maxValueBar] = "".$maxValueBar;
$result[maxValueLine] = "".$maxValueLine;
$result[lunghezza] = "".count($data);
$result[tempo] = $data;
$result[ordini] = $q_ord;
$result[richieste] = $q_ric;
$result[tempoContabilizzazione] = $tempoContabilizzazione;


jhp($result);
?>
