<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_323", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_323", "IT", __FILE__);

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls"); 

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
<style>
* {
	font-size: 100%;
	font: inherit;
}

html , body { 
	margin: 0px; 
	padding: 0px;
}

body {
	background: white url('../img/bg_body.gif') fixed  top left repeat-x; 
	color: black;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 8pt;
}

table.grid  { 
	border-collapse: collapse;
	border-spacing: 0;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 8pt;
	color: white;
	background-color: #778899;
	border: solid 1px black;
	empty-cells:show;
}

table.grid caption { 
	color: white;
	background: url("../img/bg_table_head.gif") top left repeat-x #293e43;
	font-weight: bold;
	vertical-align: middle;
	text-align:center;
	text-transform:uppercase;
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 5px;
	padding-bottom: 5px;
}

table.grid tr th { 
	background: url("../img/bg_table_head.gif") top left repeat-x #293e43;
	color: white;
	border-left:1px solid #777777;
	border-right:1px solid #333333;
	font-weight:bold;
	text-align:center;
	padding-left: 5px;
	padding-right: 5px;
}

table.grid tr {
	background-color: white;
	color: black;
}

table.grid tr td {
	background-color: white;
	color: black;
	border-bottom:1px solid #cccccc;
	border-right:1px solid #AAA0A0;
	border-left:1px solid #777777;
	text-align:left;
	padding-left: 5px;
	padding-right: 5px;
}

table.grid tr.alternate td {
	background-color: #E0E0F0;
}

table.grid .left { text-align: left }
table.grid .center { text-align: center }
table.grid .right { text-align: right }

</style>
</head>
<body>

<?php 

include("sql.inc");

$table = "";

while($rs=ntxRecord($query))
{
	$rs[DataOrdine] = ntxDate($rs[DataOrdine]);
	$rs[DataFattura] = ntxDate($rs[DataFattura]);
	$rs[StatoIntervento] = ntxDate($rs[StatoIntervento]);
	$rs[Importi] = ntxRoundThousand($rs[Importi], 2);
	$rs[Costi] = ntxRoundThousand($rs[Costi], 2);
	
	if ( is_numeric($rs[Ordine]) ) $rs[Ordine] = (int)$rs[Ordine];
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

		$table .= <<< table
		<tr>
			<td>$html[Rich]
			<td>$html[AnnoRichiesta]
			<td>$html[Ordine]
			<td>$html[DataOrdine]
			<td>$html[EdificioBreve] - $html[Indirizzo] - $html[CITTA] ($html[CITTA])
			<td>$html[PR_CN]
			<td>{$html[Descrizione]}{$html[Descrizione1]}{$html[Descrizione2]}
			<td>$html[Importi]</td>
			<td>$html[Costi]</td>
			<td>$html[StatoIntervento]
			<td>$html[Stato]
			<td>$html[GruppoF]
			<td>$html[NumFattura]
			<td>$html[DataFattura]
table;
}

?>

<table class=grid>
	<tr>
		<th><?php $traduttore->html('Richiesta') ?>
		<th><?php $traduttore->html('Anno Richiesta') ?>
		<th><?php $traduttore->html('Ordine') ?>
		<th><?php $traduttore->html('Data Ordine') ?>
		<th><?php $traduttore->html('Sede') ?>
		<th><?php $traduttore->html('PR/CN') ?>
		<th><?php $traduttore->html('Descrizione') ?>
		<th><?php $traduttore->html('Importi') ?>
		<th><?php $traduttore->html('Costi') ?>
		<th><?php $traduttore->html('Stato Intervento') ?>
		<th><?php $traduttore->html('Stato') ?>
		<th><?php $traduttore->html('BEF') ?>
		<th><?php $traduttore->html('Num. Fattura') ?>
		<th><?php $traduttore->html('Data Fattura') ?>
<?php echo $table ?>
</table>
<?php $traduttore->Salva(); ?>

</body>
</html>
