<?php
require('_criteri_comuni.inc');

$risultati = array();


$GruppiImpianti = array();
$TipoComponente = array();
$totComp = 0;

$sql001 = <<< sql
SELECT  DISTINCT
	GruppiImpianti.Id AS IdGruppiImpianti, GruppiImpianti.Descrizione AS GruppiImpianti
	,TipoComponente.IDTipoComponente, TipoComponente.DesComponente
	
FROM         
	$corpoQueryOrdiniProg
	
WHERE 
	tblOrdiniPrgComp.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password  
	$sql_where_TOT_O  
sql;
 
if( is_numeric($_POST['IdGruppiImpianti']) ) 
{
	$IdGruppiImpianti = (int)$_POST['IdGruppiImpianti'];  
	
	$sql_where_TOT_O .= " AND (GruppiImpianti.Id = $IdGruppiImpianti) ";
}

$sql001 .= ' ORDER BY GruppiImpianti, DesComponente';

$queryGruppiImpianti = ntxQuery($sql001); 
while( $queryGruppiImpianti  &&  $rs1 = ntxRecord($queryGruppiImpianti) )
{
	$GruppiImpianti[ $rs1[IdGruppiImpianti] ] = $rs1[GruppiImpianti];	
	$TipoComponente[ $rs1[IdGruppiImpianti] ][ $rs1[IDTipoComponente] ] = $rs1[DesComponente];	
	
	++$totComp; 
}  
 
 
$edifici = array(); 

while( $query_edifici  &&  $rs1 = ntxRecord($query_edifici) )
{
	$IdEdificio = $rs1[ID];
	 
	$edifici[ $IdEdificio ]['CODICE'] = $rs1[Codice];
	$edifici[ $IdEdificio ]['NOME'] = $rs1[EdificioBreve];
}



$sql = <<< _SQL
SELECT  DISTINCT
	tblOrdiniPrgComp.IdOrdPrgComp
	,tblOrdiniPrgComp.IdEdificio 
	,GruppiImpianti.Id AS IdGruppoImpianti  
	,TipoComponente.IDTipoComponente 
	
FROM         
	$corpoQueryOrdiniProg
	
WHERE 
	tblOrdiniPrgComp.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password  
	$sql_where_TOT_O   
_SQL;

$query = ntxQuery($sql); 
while( $query  &&  $rs = ntxRecord($query) )
{
	$IdEdificio = $rs[IdEdificio];
	$IdGruppoImpianti = $rs[IdGruppoImpianti];
	$IDTipoComponente = $rs[IDTipoComponente];
	
	$risultati[ $IdEdificio ][ $IdGruppoImpianti ][ $IDTipoComponente ]['TOTALE'] += 1; 
}
/*
$sql = <<< _SQL
SELECT  DISTINCT
	tblOrdiniPrgComp.IdOrdPrgComp
	,tblOrdiniPrgComp.IdEdificio 
	,GruppiImpianti.Id AS IdGruppoImpianti  
	,TipoComponente.IDTipoComponente 
	,$subWhereAnomalia AS IdOrdineAnomalia
	
FROM         
	$corpoQueryOrdiniProg
	
WHERE 
	tblOrdiniPrgComp.IdCommessa = $IdCommessa
	AND Utenti.Nome = $Utente
	AND Utenti.Password = $Password  
	$sql_where_TOT_O   
_SQL;
  //qua c'è un errore
$query = ntxQuery($sql);  

$valutati = array();
while( $query  &&  $rs = ntxRecord($query) )
{
	$IdEdificio = $rs[IdEdificio];
	$IdGruppoImpianti = $rs[IdGruppoImpianti];
	$IDTipoComponente = $rs[IDTipoComponente];
	$IdOrdineAnomalia = $rs[IdOrdineAnomalia];
	
	if(is_numeric($IdOrdineAnomalia) && $IdOrdineAnomalia>0)
	{
		if( $valutati[ $IdOrdineAnomalia ] == 1 ) ;
		else
		{
			$risultati[ $IdEdificio ][ $IdGruppoImpianti ][ $IDTipoComponente ]['ANOMALIE'] += 1; 
			
			$valutati[ $IdOrdineAnomalia ] = 1; 
		} 
	}
} */
$sql = <<< _SQL
SELECT DISTINCT 
	Ordini.IdOrd  AS IdOrdineAnomalia
	,Ordini.CodEdificio AS IdEdificio 
	,GruppiImpianti.Id AS IdGruppoImpianti  
	,TipoComponente.IDTipoComponente 		
FROM 
	Ordini  
	INNER JOIN
	ComponentiAmbiente  ON Ordini.IDCommessa = ComponentiAmbiente.IdCommessa AND  Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IdComponente = ComponentiAmbiente.IDComponente
	INNER JOIN
	GruppiImpTipiComp ON ComponentiAmbiente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND  ComponentiAmbiente.IdTipoComponente = GruppiImpTipiComp.IdTipoComponente 
	INNER JOIN
	GruppiImpianti ON GruppiImpTipiComp.IdGruppoImpianto = GruppiImpianti.Id AND GruppiImpTipiComp.IdCommessaTipo = GruppiImpianti.IdCommessa  		
	LEFT OUTER JOIN 
	TipoComponente ON GruppiImpTipiComp.IdCommessaTipo = TipoComponente.IdCommessa AND GruppiImpTipiComp.IdTipoComponente = TipoComponente.IDTipoComponente 
	
	LEFT OUTER JOIN
	tblOrdiniPrgComp ON tblOrdiniPrgComp.IdCommessa = Ordini.IDCommessa AND tblOrdiniPrgComp.NumOrdine = Ordini.NumOrdine AND tblOrdiniPrgComp.AnnoOrdine = Ordini.AnnoOrdine  
	LEFT OUTER JOIN
	ElencoEdifici ON Ordini.IdCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID 
	LEFT OUTER JOIN 
	tblMestieri ON Ordini.IdCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere	
WHERE 
	Ordini.IdCommessa = $IdCommessa 
	AND tblOrdiniPrgComp.IdOrdPrgComp IS NULL 
	$sql_where_TOT_ORDINI   
_SQL;
   
$query = ntxQuery($sql);  
 
while( $query  &&  $rs = ntxRecord($query) )
{
	$IdEdificio = $rs[IdEdificio];
	$IdGruppoImpianti = $rs[IdGruppoImpianti];
	$IDTipoComponente = $rs[IDTipoComponente];
	$IdOrdineAnomalia = $rs[IdOrdineAnomalia];
	
	if(is_numeric($IdOrdineAnomalia) && $IdOrdineAnomalia>0)
	{
		$risultati[ $IdEdificio ][ $IdGruppoImpianti ][ $IDTipoComponente ]['ANOMALIE'] += 1;  
	}
} 
?>