<?php  

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT *
	FROM
	(
		SELECT DISTINCT 
				tblUtUtilizzatori.IdUtilizzatore AS ID, 
				tblUtUtilizzatori.IdUtilizzatore AS IdEdificio, 
				tblUtUtilizzatori.Nome AS EdificioBreve, 
				
				tblUtUtilizzatori.IdUtilizzatore,
				tblUtUtilizzatori.CodiceUtilizzatore, 
				tblUtUtilizzatori.Nome, 
				tblUtUtilizzatori.Descrizione, 
				tblUtUtilizzatori.Nota, 
				tblUtUtilizzatori.cdc,
				(SELECT TOP 1 t2.IdEdificio FROM tblUtEdifici t2
					WHERE t2.IdCommessa = tblUtUtilizzatori.IdCommessa 
					AND t2.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore) IdEdificio2,
				(SELECT COUNT(*) FROM tblUtEdifici t2
					WHERE t2.IdCommessa = tblUtUtilizzatori.IdCommessa 
					AND t2.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore) CountEdifici
					
			   ,(
					SELECT TOP (1) ElencoEdifici.Codice 
					FROM   
						tblUtEdifici AS t2
						INNER JOIN
						ElencoEdifici ON t2.IdCommessa = ElencoEdifici.IdCommessa AND t2.IdEdificio = ElencoEdifici.ID
					WHERE 
						t2.IdCommessa = tblUtUtilizzatori.IdCommessa  
						AND  t2.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore  
				) AS CodEdificioAssociato								
		FROM         
			tblUtUtilizzatori LEFT OUTER JOIN tblUtEdifici 
			ON tblUtEdifici.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtEdifici.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore			
		WHERE     
			(tblUtUtilizzatori.IdCommessa = $IdCommessa)  				
sql;

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (tblUtEdifici.IdEdificio = $IdEdificio) ";
}
else
	$IdEdificio = '';

if ( isset($_POST['CodiceUtilizzatore'])  &&  strlen($_POST['CodiceUtilizzatore'])>0) 
{
	$str = stripslashes($_POST['CodiceUtilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.CodiceUtilizzatore = '$str' ";
}

if ( isset($_POST['Nome'])  &&  strlen($_POST['Nome'])>0) 
{
	$str = stripslashes($_POST['Nome']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Nome LIKE '%$str%' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Descrizione  LIKE '%$str%' ";
}

if ( isset($_POST['Nota'])  &&  strlen($_POST['Nota'])>0) 
{
	$str = stripslashes($_POST['Nota']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Nota LIKE '%$str%' ";
}

if ( isset($_POST['cdc'])  &&  strlen($_POST['cdc'])>0) 
{
	$str = stripslashes($_POST['cdc']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.cdc = '$str' ";
}

$sql .= <<<_SQL

) AS A1

ORDER BY 
	 
	CASE 
		WHEN ISNUMERIC(CodEdificioAssociato) = 1 
			THEN CAST(CodEdificioAssociato AS INT) 
		ELSE NULL
	END DESC

	,Nome 

_SQL;

 
$query_edifici = $query = ntxQuery($sql);
	
?>
