<?php
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  
   

$week[1] = "lunedì";
$week[2] = "martedì";
$week[3] = "mercoledì";
$week[4] = "giovedì";
$week[5] = "venerdì";
$week[6] = "sabato";
$week[7] = "domenica"; 

if(!is_numeric($_POST[RisorseDismesso])) $_POST[RisorseDismesso]=0; 

if($_POST[MOD]=='super') {}
else	
	die("nessuna MOD specificata!"); 


if(!is_numeric($_POST[mese1])) $_POST[mese1]=ntxScalar("SELECT MONTH(getdate())");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> 
<html>
<head>  
	<meta http-equiv="X-UA-Compatible" content="IE=9" />
	 
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	 
	<link href="../../_css/sliding_div_finder.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css"> 
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script> 
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.3.1.min.js"></script>	
	 
	<link href="../turni_su_ditte/locali.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">  
	<link href="locali.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">  
	
	<style> 
	</style>
</head>

<body>

<script language="javascript">
$(document).ready(function() 
{ 	    
    $(".slidingDiv").hide();
	
	$('#bntShowHide').click(function()
	{
		$(".slidingDiv").slideToggle();
	});		
	
	
	caricaDitta()
	document.frmSearch.IDDitta.value = "<?php echo htmlentities($_POST[IDDitta]) ?>"; 	
	
	caricaRisorse()
	document.frmSearch.IdRisorse.value = "<?php echo htmlentities($_POST[IdRisorse]) ?>"; 	
	
	document.frmSearch.RisorseDismesso.value = "<?php echo htmlentities($_POST[RisorseDismesso]) ?>"; 
	
	$( document ).tooltip({
		position: 
		{
			my: "center bottom-20",
			at: "center top",
			using: function( position, feedback ) 
			{
			  $( this ).css( position );
			  $( "<div>" ).appendTo( this );
			}
		}
	});	
});   

function caricaDitta()
{
	var obj =  jhp_frm(document.frmSearch); 
	var result = jhp("../turni_su_ditte/jhp_caricamenti/carica_ditte.php",obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(document.frmSearch.IDDitta).html(result.value); 
	}  
} 

function caricaRisorse()
{ 
	var obj =  jhp_frm(document.frmSearch); 
	var result = jhp("../turni_su_ditte/jhp_caricamenti/carica_risorse.php",obj);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$(document.frmSearch.IdRisorse).html(result.value); 
	} 	
}
</script>  

<form id="frmRicarica" name="frmRicarica" method="post"  >
	<?php ntxCreateHiddens() ?> 
</form> 

<script> 
function ricaricaPagina()
{
	document.frmSearch.submit();
}

function stampa()
{
	window.print();
}

function getInfoCella(obj, IdTurnoRisorsa, tipo)
{ 	 
	$(obj).prop('title', ''); 
	
	if( $.isNumeric(IdTurnoRisorsa)  &&  IdTurnoRisorsa>0 )
	{	 
		var result = jhp("../turni_su_ditte/jhp/getInfoCella.php", {IdTurnoRisorsa:IdTurnoRisorsa });

		if(result.state)
		{
			alert(result.message);
		}
		else
		{ 
			var value = result.value;   

			if(tipo=='pres')
				$(obj).prop('title', value.tooltipPres);  
		} 
	}
}
</script> 


<div class="divBottoni no-print" >   

	<button  id="bntShowHide" class="allineatoSinistra"  onsubmit="return false;"  >
		<img src="/repository/xhdpi/2_action_search.png" style="width:20px" />
		Criteri di ricerca
	</button>	
	
	<form method="post"  class="allineatoSinistra" >
		<?php ntxCreateHiddens() ?>
		<button   type="submit"  >
			<img src="/repository/xhdpi/1_navigation_refresh.png" style="width:20px" />
			Ricarica
		</button>
	</form>  
	
	<button   class="allineatoSinistra"  onclick="stampa();"  >
		<img src="/repository/xhdpi/10-device-access-screen-rotation.png" style="width:20px" />
		Stampa
	</button>	  
	
</div>   

<div class="slidingDiv"  id="slidingDiv1">
	<form id="frmSearch" name="frmSearch"  method="post" action="" target=""> 
	
		<input type="hidden" name="StartSearch" value="1" > 
		
		<input type="hidden" name="MOD" value="<?php echo htmlentities($_POST['MOD']) ?>" >  
		<input type="hidden" name="avviaRicerca" value="<?php echo htmlentities($_POST['avviaRicerca']) ?>" >  
			
		<table class="colore1" style="margin-left:10px; min-width:320px;"   >   
			
			<tr><th>Ditta (nome)
				<td>   					
					<input type="text" name="Ditta" value="<?php echo htmlentities($_POST['Ditta']) ?>" onchange="caricaDitta();caricaRisorse();" style="display:inline;width:80%;" /> 
					<input type="button"  value="Filtra"   style="display:inline;width:15%;float:right;" /> 
			
			<tr><th>Ditta (select)
				<td>   					
					<select name="IDDitta" onchange="caricaRisorse();"   > 
					</select>   	
			
			<tr><th>Risorsa (nome)
				<td>   					
					<input type="text" name="RisorsaNome" value="<?php echo htmlentities($_POST['RisorsaNome']) ?>" onchange="caricaRisorse();"  style="display:inline;width:80%;" /> 
					<input type="button"  value="Filtra"   style="display:inline;width:15%;float:right;" /> 
			
			<tr><th>Risorsa dismessa (select)
				<td>   					
					<select name="RisorseDismesso" onchange="caricaRisorse();" >
						<option value="x">non importa
						<option value="1">SI
						<option value="0">NO
					</select>   			
			
			<tr><th>Risorsa (select)
				<td>   					
					<select name="IdRisorse" ></select>   					
				
				
			<tr><th colspan="2">		
				<input type="button" style="width:100%;height:100%;" value="Cerca" onclick="document.frmSearch.avviaRicerca.value=1; document.frmSearch.submit();" /> 
		</table>
	</form>
</div> 

<?php
require('_consistenza_report1.php');
?>
	
</body>
</html>