<?php  
if (!isset($_SESSION)) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

 
$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio'); 
?>
<!doctype html>
<html>
<head>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>

	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<link href="report.css" rel="stylesheet" type="text/css">  
	<meta name = "viewport" content = "initial-scale = 1, user-scalable = no">
	
	<style>
	*
	{
		font-family: Verdana, Arial, Helvetica, sans-serif;
		font-size:11px; 
	}
	
	table, td, th
	{
		border: solid 1px black;
	}
	
	table
	{
		border-collapse:collapse;
	}
	
	.tblSubHeader
	{
		height:100%;  
		width:100%;  
		display:block;
		border:none; 	
		table-layout:fixed; 
		background: transparent;
	} 
	
	.tblSubHeaderCell 
	{ 
		height:50px; 

		line-height: 50px;

		width: 60px !important;
		overflow: hidden;

		margin:0;
		padding:0;
		
		vertical-align:middle;
		text-align:center;

		white-space: nowrap;	
		word-wrap: break-word;	 
		text-overflow: ellipsis;  
	
		background: transparent;
	}	
	 
	
	.clrHeaderGrigio
	{
		background: rgb(191,191,191);
		font-weight:bold;
	}
	
	.clrHeaderPriorita
	{
		background: rgb(238,236,225);
		font-weight:bold;
	}
	
	.clrHeaderPriorita_sel
	{
		background: rgb(196,185,151); 
	}
	
	.clrHeaderRilevanza
	{
		background: rgb(141,180,226);
		font-weight:bold;
	}
	
	.clrHeaderRilevanza_no_sel
	{
		background: rgb(218,238,243); 
	}
	
	.clrHeaderReperibilita
	{
		background: rgb(177,160,199);
		font-weight:bold;
	}
	
	.clrHeaderReperibilita_no_sel
	{
		background: rgb(228,223,236); 
	}
	
	.clrHeaderDisponibile
	{
		background: rgb(155,187,89);
		font-weight:bold;
	} 
	
	.bianco
	{
		background: #FFFFFE ;
	}
	
	.verde
	{
		background: #A2CD5A ;
	}
	
	.rosso
	{
		background: #CD3333 ;
	}
	
	.opacity1
	{
		background: #8B3A62;
	}	
	</style>
</head>
<body >

<input type="button" value="comprimi / espandi" onclick="$('.classiDaComprimere').toggle();" >

<?php 
$arrayDocs = array();	
$sql1 = <<<_SQL
SELECT     
	TipiDocsEdifici.Id AS IdTipo, TipiDocsEdifici.Descrizione AS NomeT, TipiDocsEdifici.Codice AS CodiceT,
	GruppiDocsEdifici.ID AS IdGruppo, GruppiDocsEdifici.Codice AS CodiceG, GruppiDocsEdifici.Nome AS NomeG
FROM         
	GruppiDocsEdifici_Tipi INNER JOIN
	GruppiDocsEdifici ON GruppiDocsEdifici_Tipi.ID = GruppiDocsEdifici.IdGruppoDocsEdifici_Tipi INNER JOIN
	GruppiDocsEdifici2TipiDocsEdifici ON GruppiDocsEdifici.ID = GruppiDocsEdifici2TipiDocsEdifici.IdGruppiDocsEdifici INNER JOIN
	TipiDocsEdifici ON GruppiDocsEdifici2TipiDocsEdifici.IdCommessa = TipiDocsEdifici.IdCommessa AND 
	GruppiDocsEdifici2TipiDocsEdifici.IdTipiDocsEdifici = TipiDocsEdifici.Id
WHERE     
	  (GruppiDocsEdifici_Tipi.IdCommessa = $IdCommessa)
	  
ORDER BY CodiceG, NomeG, CodiceT, NomeT
_SQL;
$query = ntxQuery($sql1);
while(  $rs = ntxRecord($query) )
{ 
	$IdTipoDocsEdifico = $rs[IdTipo];
	
	$sql = <<< _SQL
	SELECT     RAT_Documentale.ID
	FROM   RAT_Documentale
	WHERE     
		(RAT_Documentale.IdCommessaEdificio = $IdCommessa) 
		AND (RAT_Documentale.IdCommessaTipoDocsEdificio = $IdCommessa) 
		
		AND (RAT_Documentale.IdEdificio = $IdEdificio) 
		AND (RAT_Documentale.IdTipoDocsEdifico = $IdTipoDocsEdifico) 
_SQL;
	$esiste = ntxScalar($sql);

	if( !is_numeric($esiste) )
	{		
		$RAT_Documentale= new NtxTable("RAT_Documentale");		

		$Insert= $RAT_Documentale->insert();

		$Insert->set("IdCommessaEdificio", $IdCommessa );
		$Insert->set("IdCommessaTipoDocsEdificio", $IdCommessa );
		$Insert->set("IdEdificio", $IdEdificio );
		$Insert->set("IdTipoDocsEdifico", $IdTipoDocsEdifico );    
	 
		$Insert->execute();  
	} 	 
} 

$array = array();

$query = ntxQuery($sql1);
while(  $rs = ntxRecord($query) )
{  
	$array[ $rs[IdGruppo] ][Codice] = $rs[CodiceG];
	$array[ $rs[IdGruppo] ][Nome] = $rs[NomeG];

	$array[ $rs[IdGruppo] ][TipiDocs][ $rs[IdTipo] ];
	$array[ $rs[IdGruppo] ][TipiDocs][ $rs[IdTipo] ][Codice] = $rs[CodiceT]; 
	$array[ $rs[IdGruppo] ][TipiDocs][ $rs[IdTipo] ][Nome] = $rs[NomeT]; 
}  


$aPriorita = array(); 
$sql = <<< sql
SELECT     TipiDocsEdificiPriorita.*
FROM TipiDocsEdificiPriorita
	
WHERE  (TipiDocsEdificiPriorita.IdCommessa = $IdCommessa )  
ORDER BY Nome
sql;
$query = ntxQuery($sql); 
while( $rs = ntxRecord($query) )
	$aPriorita[ $rs[ID] ] = "$rs[Codice] $rs[Nome]";
	

$aAmbiti = array();	 
$sql = <<< sql
SELECT     RAT_Ambiti.*
FROM RAT_Ambiti
WHERE  (RAT_Ambiti.IdCommessa = $IdCommessa )  
ORDER BY Nome
sql;
$query = ntxQuery($sql); 
while( $rs = ntxRecord($query) )
	$aAmbiti[ $rs[ID] ] = "$rs[Codice]";	
	
$aReperibilita = array();	 
$sql = <<< sql
SELECT     RAT_Reperibilita.*
FROM RAT_Reperibilita
WHERE  (RAT_Reperibilita.IdCommessa = $IdCommessa )  
ORDER BY Nome
sql;
$query = ntxQuery($sql); 
while( $rs = ntxRecord($query) )
	$aReperibilita[ $rs[ID] ] = "$rs[Codice]";	
?> 

<table  >
	<thead>
		<tr>
			<th class="clrHeaderGrigio" >Codice
			<th class="clrHeaderGrigio" >Documento
			<th class="clrHeaderPriorita classiDaComprimere" >
			Priorita
				<table class="tblSubHeader" >
				<?php
				foreach ($aPriorita as $key => $value)
				{  
					echo "<td> <div class='tblSubHeaderCell' >$value </div>"	;
				}
				?>
				</table>
			
			<th class="clrHeaderRilevanza classiDaComprimere" >
			Rilevanza per area tematica
				<table class="tblSubHeader" >
				<?php
				foreach ($aAmbiti as $key => $value)
				{  
					echo "<td> <div class='tblSubHeaderCell' >$value </div>"	;
				}
				?>
				</table>

				
			<th class="clrHeaderReperibilita classiDaComprimere" >
			Reperibilità
				<table class="tblSubHeader" >
				<?php
				foreach ($aReperibilita as $key => $value)
				{  
					$css = "";
					if($value=="DIR")
						$css = "opacity1";
					echo "<td class=\"$css\"> <div class='tblSubHeaderCell' >$value </div>"	;
				}
				?>
				</table>
				
			
			<th class="clrHeaderDisponibile" >Disponibile 
		</tr>  
	</thead>
	
	<tbody>	
<?php
foreach ($array as $IdGruppo  => $v  )
{	
	$CodiceG = $array[$IdGruppo][Codice];
	$NomeG = $array[$IdGruppo][Nome];
	
	/* 	19/11/2013
		nascondiamo la sezione  "D"
	*/	
	if($CodiceG=="D")
		continue;
?>
	<tr>  
		<td colspan="6" class="clrHeaderGrigio" ><?php echo htmlentities($CodiceG) ?>. <?php echo htmlentities($NomeG) ?>
	</tr>
	
	<?php
	foreach ($array[$IdGruppo][TipiDocs] as $IdTipo  => $v  )
	{	
		$CodiceT = $array[$IdGruppo][TipiDocs][$IdTipo][Codice]; 
		$NomeT = $array[$IdGruppo][TipiDocs][$IdTipo][Nome]; 
	?>
		<tr>  
			<td><?php echo htmlentities($CodiceT) ?> 
			<td><?php echo htmlentities($NomeT) ?>
			<td class="classiDaComprimere" >
				<table class="tblSubHeader" >
				<?php 
				foreach ($aPriorita as $IdPriorita => $value)
				{
					$sql = " SELECT Id FROM TipiDocsEdifici WHERE IdCommessa=$IdCommessa AND Id=$IdTipo AND IdPriorita=$IdPriorita ";
					$associazione = ntxScalar($sql);
					
					$sel = ' - ';
					$selCSS = '   ';
					if(is_numeric($associazione) && $associazione>0)				
					{
						$sel = ' X ';
						$selCSS = ' clrHeaderPriorita_sel ';
					}
					
					echo "<td class=\"clrHeaderPriorita $selCSS\" > <div class='tblSubHeaderCell' > $sel </div>"	;	
				}
				?> 		
				</table>
			<td class="classiDaComprimere" >
				<table class="tblSubHeader" >
				<?php 
				foreach ($aAmbiti as $IdAmbito => $value)
				{
					$sql = " SELECT ID FROM RAT_Ambiti2TipiDocsEdifici WHERE IdAmbito=$IdAmbito AND IdTipoDocsEdifico=$IdTipo AND IdCommessa=$IdCommessa ";
					$associazione = ntxScalar($sql);
					
					$sel = ' = ';
					$selCSS = ' clrHeaderRilevanza_no_sel  ';
					if(is_numeric($associazione) && $associazione>0)				
					{
						$sel = ' &#8593; ';
						$selCSS = ' clrHeaderRilevanza ';
					} 
					
					echo "<td class=\"$selCSS\" > <div class='tblSubHeaderCell' > $sel </div>"	;	
				}
				?> 		
				</table>
			<td class="classiDaComprimere" >
				<table class="tblSubHeader" >
				<?php 
				foreach ($aReperibilita as $IdReperibilita => $value)
				{
					$sql = " SELECT ID FROM RAT_Reperibilita2TipiDocsEdifici WHERE IdReperibilita=$IdReperibilita AND IdTipoDocsEdifico=$IdTipo AND IdCommessa=$IdCommessa ";
					$associazione = ntxScalar($sql); 
					
					$sel = ' - ';
					$selCSS = ' clrHeaderReperibilita_no_sel  ';
					if(is_numeric($associazione) && $associazione>0)				
					{
						$sel = ' &#10003; ';
						$selCSS = ' clrHeaderReperibilita ';
					}  
					
					$css = "";
					if($value=="DIR")
						$css = "opacity1";					
						
					echo "<td class=\"$selCSS $css\" > <div class='tblSubHeaderCell' > $sel </div>"	; 
				}
				?> 		
				</table>
				
			<?php 
			$sql = <<< _SQL
			SELECT     RAT_Documentale.ID, RAT_Documentale.Disponibile
			FROM   RAT_Documentale
			WHERE     
				(RAT_Documentale.IdCommessaEdificio = $IdCommessa) 
				AND (RAT_Documentale.IdCommessaTipoDocsEdificio = $IdCommessa) 

				AND (RAT_Documentale.IdEdificio = $IdEdificio) 
				AND (RAT_Documentale.IdTipoDocsEdifico = $IdTipo) 
_SQL;

			$rsT = ntxRecord( ntxQuery($sql) );
			$IdRAT_Documentale = $rsT[ID];
			$Disponibile = $rsT[Disponibile];
			
			$optNULL = (!is_numeric($Disponibile)) ? ' selected ' : ' ' ;
			$optYES = (is_numeric($Disponibile)  &&  $Disponibile==1) ? ' selected ' : ' ' ;
			$optNO = (is_numeric($Disponibile)  &&  $Disponibile==0) ? ' selected ' : ' ' ;
			
			$cls = "";
			if(strlen($optNULL)>2)
				$cls = " bianco ";
			else if(strlen($optYES)>2)
				$cls = " verde ";
			else if(strlen($optNO)>2)
				$cls = " rosso ";
			?> 				
			<td class="<?php echo $cls ?>" > 
				<select onchange="update(this , 'Disponibile', '<?php echo $IdRAT_Documentale ?>')"  style="width:100%; background:transparent;" >
					<option value=""  <?php echo $optNULL ?> >*</option>
					<option value="1" <?php echo $optYES  ?> >SI</option>
					<option value="0" <?php echo $optNO   ?> >NO</option>
				</select>
		</tr>
	<?php
	} 
	?>
<?php
} 
?>
	</tbody>	
</table> 

<form name="formUpdate" id="formUpdate" method="post" >  
	<input type="hidden" name="ID" id="ID" /> 
	<input type="hidden" name="Element" id="Element" /> 
	<input type="hidden" name="valueElement" id="valueElement" />  
</form> 

<script language="javascript">
function update(obj , strElement, ID)
{
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID;

	
	if ( !ntxSendForm(document.formUpdate, function(){}, 'RAT_Documentale/update') )
		alert("Errore nel salvataggio!"); 	
}
</script>

</body>
</html>
