<?php  
if (!isset($_SESSION)) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if(!is_numeric($_POST[ntxPagedRowsPerPage]))
	$_POST[ntxPagedRowsPerPage] = 20;
	
//<!-- IN EVIDENZA -->
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="../../_ntx/jhp.php"></script>	
	
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	
	<link href="supporto_colori.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="../../_ntx/jhp.php"></script>		
	
	<style></style>	
</head>

<body>

<div class="divBottoni"> 
	<form method="post"  class="allineatoSinistra">
		<?php ntxCreateHiddens() ?>
		
		<button   type="submit"  >
			<img src="/repository/_icons/arrow_refresh.png" />
			Ricarica
		</button>
	</form> 
</div>

<?php 
$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$sql = <<< sql
SELECT   RAT_Ispezioni.*
FROM        
	RAT_Ispezioni
WHERE
	RAT_Ispezioni.IdCommessa = $IdCommessa
	AND	RAT_Ispezioni.IdEdificio = $IdEdificio
sql;


$query = ntxPagedQuery($sql, "DataIspezioni DESC");
?>

<form name="form1" id="form1" method="post">
	<input type="hidden" name="IdEdificio" value="<?php echo $IdEdificio ?>" />
	<input type="hidden" name="IdIspezione"   />
</form>	


<script language="javascript">
function vai(ID)
{
	document.form1.IdIspezione.value = ID; 

	parent.tbJq_updateTabFrame(document.form1, "scala_valutazione", 'scala_val.php'); 
	parent.tbJq_showTabFrame("scala_valutazione"); 
} 

function espandi(ID)
{
	var classePadre = "tr"+ID;
	var classeFiglio = "tr"+ID+"figlio";
	
	if( $("."+classeFiglio).length>0 )
	{ 
		$("."+classeFiglio).remove();
		return;
	}

	
	var obj = jhp( 'jhp/carica_rows.php', { IdIspezione: ""+ID } );  
	
	if(obj.state)
		alert("Opsss. Error!\n"+obj.message); 	 
	else
	{
 		var Rows = obj.value.Rows
 
		$("."+classePadre).after('<tr class="'+classeFiglio+'" style="display:none;" > <td colspan=7 >'+Rows);
		$("."+classeFiglio).show('slow');
	}	 
} 

function associaElemento(oggetto, IdElemento, IdIspezione)
{
	function associazione(text)
	{
		var rows=ntxRecord(text);	 
		var ID = rows.ID;
		
		if($.isNumeric(ID) && ID>0 && oggetto.checked)
		{
			var ris =  $(oggetto).parent().parent().find(".risultato");
			
			
			
			ris.attr('onchange','').unbind('onchange');
			ris.change(function() {  updateValutazione(this , 'Risultato', ID );  });
		}
	}	
	
	document.formAssociazione.IdElemento.value=IdElemento;
	document.formAssociazione.IdIspezione.value=IdIspezione;
	
	document.formAssociazione.isChecked.value=(oggetto.checked ? 1 : 0);
	
	if( !ntxSendForm(formAssociazione, associazione, 'associa_elemento') )
		oggetto.checked = !oggetto.checked;
} 

function updateValutazione(obj , strElement, ID)
{   
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID; 
 
	if(!$.isNumeric(ID))
	{
		alert("Nessuna associazione con l'elemento in questione. E' neccessario mettere un check per associare l'elemento. ");
		obj.value = "";
		return;
	}
	
	var value = obj.value.replace(",", ".");  
	
	if(value>=0 && value<=100)
	{ 
	}
	else
	{
		alert("Il range deve essere tra 0 e 100!");
		return;
	}
	
	if ( !ntxSendForm(document.formUpdate, function(){}, 'valutazioni/update') )
		alert("Errore di salvataggio!"); 		
}

function updateValutazioneAmbito(obj , strElement, ID)
{   
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID; 
 
	if(!$.isNumeric(ID))
	{
		alert("Nessuna associazione con l'elemento in questione. ");
		obj.value = "";
		return;
	}
	
	var value = obj.value.replace(",", ".");  
	
	if(value>=0 && value<=100)
	{ 
	}
	else
	{
		alert("Il range deve essere tra 0 e 100!");
		return;
	}
	
	if ( !ntxSendForm(document.formUpdate, function(){}, 'valutazioni_ambito/update') )
		alert("Errore di salvataggio!"); 		
}
</script>

<form name="formAssociazione" id="formAssociazione" method="post" >  
	<input type="hidden" name="IdIspezione" id="IdIspezione"   /> 
	<input type="hidden" name="IdElemento" id="IdElemento" />
	<input type="hidden" name="isChecked" id="isChecked" /> 
</form>  

<form name="formUpdate" id="formUpdate" method="post" >  
	<input type="hidden" name="ID" id="ID" /> 
	<input type="hidden" name="Element" id="Element" /> 
	<input type="hidden" name="valueElement" id="valueElement" /> 
	
	<input type="hidden" name="IdEdificio" value="<?php echo $IdEdificio ?>" />
</form>

<!-- IN EVIDENZA -->
<?php ntxPagedPrintNavigation() ?> 

 
<table id="tblRisultati" cellpadding="0" cellspacing="0" class="fancyTable"  >
	<thead>
		<tr> 
			<th> 
			<th> 
			<th>Descrizione
			<th>Data
			<th>Inizio
			<th>Fine
			<th>
		</tr>  
	</thead>
	
	<tbody>	
<?php
	$tipi = array('edificio','strada','verde');
	
	$alternate = true;

	while(  $query  &&  $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "td2"; 
		
		$Tipo = $tipi[$rs[Tipo]];
?>
	<tr class="tr<?php echo htmlentities($rs[ID]) ?>" > 	
		<td class=" <?php echo $classe ?>" > 
		<input type=button value="vedi" onclick="vai('<?php echo htmlentities($rs[ID]) ?>')" /> 
		
		<td class=" <?php echo $classe ?>" > 
		<input type=button value="exp" onclick="espandi('<?php echo htmlentities($rs[ID]) ?>')" /> 
			
		<td class=" <?php echo $classe ?>" > <input type="text" onchange="update(this , 'Note', '<?php echo ($rs[ID])?>')" 			value="<?php echo htmlentities($rs['Note']) ?> "/>			 
		<td class=" <?php echo $classe ?>" > <input type="text" onchange="update(this , 'DataIspezioni', '<?php echo ($rs[ID])?>')" value="<?php echo ntxDateTime($rs['DataIspezioni']) ?> "/>	 
		<td class=" <?php echo $classe ?>" > <input type="text" onchange="update(this , 'DataInizio', '<?php echo ($rs[ID])?>')" 	value="<?php echo ntxDateTime($rs['DataInizio']) ?> "/>		 
		<td class=" <?php echo $classe ?>" > <input type="text" onchange="update(this , 'DataFine', '<?php echo ($rs[ID])?>')" 		value="<?php echo ntxDateTime($rs['DataFine']) ?> "/>		 
		
		<td class=" <?php echo $classe ?>" > 
		<input type=button value="elimina" onclick="elimina('<?php echo htmlentities($rs[ID]) ?>')" style="width:98%;" /> 						
<?php
		$alternate = !$alternate;
	}
?>

	<form name="formAdd" id="formAdd" method="post" >  
	
		<input type="hidden" name="IdEdificio" value="<?php echo $IdEdificio ?>" />
		
		<tr>			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type="text" name="Note"/>

			<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type="text" name="DataIspezioni"/>

			<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type="text" name="DataInizio"/>

			<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type="text" name="DataFine"/>
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> > 
			<input type="button" onclick="aggiungi()" value="Insert" style="width:98%;" /> 				
	</form>	
		
	</tbody>	
</table> 




<script language="javascript">
function update(obj , strElement, ID)
{
	document.formUpdate.Element.value = strElement;
	document.formUpdate.valueElement.value = obj.value;
	document.formUpdate.ID.value = ID;

	
	if ( !ntxSendForm(document.formUpdate, function(){}, 'ispezioni/update') )
		alert("Error in saving!"); 	
}

function aggiungi()
{ 
	if (ntxSendForm(document.formAdd, function(){}, 'ispezioni/aggiungi') )
	{
		alert("Adding successful!");
		
		document.formAdd.submit();
	}
}

function elimina(ID)
{
	if(!confirm("Do you want delete the element?")) return;
	
	document.formUpdate.ID.value = ID;

	if (ntxSendForm(document.formUpdate, function(){}, 'ispezioni/elimina') )
	{
		alert("Removal was successful!");
		
		document.formUpdate.submit();
	} 
}
</script>
 
<!-- IN EVIDENZA -->
<?php ntxPagedPrintBody() ?>
<?php ntxPagedPrintNavigation() ?>  


</body>
</html>