<?php  
if (!isset($_SESSION)) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script src="chart.js-master/Chart.js"></script>
	<link href="report.css" rel="stylesheet" type="text/css">
	
	<style>
	</style>
</head>
<body >

<form name="form1" id="form1" method="post" action="scala_val.php" >
	<?php ntxCreateHiddens() ?>
	<input type="submit" value="<< Indietro"  />
</form>	

<?php
$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdIspezione = ntxip('IdIspezione');
$IdAmbito = ntxip('IdAmbito');

$Ambito = ntxScalar("SELECT Codice+' - '+Nome AS A1 FROM RAT_Ambiti WHERE ID=$IdAmbito");
?>
<h1><?php echo $Ambito ?></h1>
 
<table class="tblData" >
	<?php require('_info_edificio.php') ?>
</table>		
	
<br>	

<?php 
$percentuale = 0;
$sql = <<< _SQL
SELECT     RAT_ValutazioniAmbito.Risultato 
FROM         RAT_ValutazioniAmbito  
WHERE     
	(RAT_ValutazioniAmbito.IdAmbito = $IdAmbito )
	AND (RAT_ValutazioniAmbito.IdIspezione = $IdIspezione) 
_SQL;
$percentuale = round(ntxScalar($sql), 2);

$IdAmbitoDaValutare = $IdAmbito; 
$etichetta = ntxScalar("SELECT Codice+' '+Nome AS A1 FROM RAT_Ambiti WHERE ID=$IdAmbito");
$percDaValutare = $percentuale ;

require('trova_range.php'); 
?>

<h3>Riepilogo Ambito</h3>
<table class="tblData" >
	<tr> 
		<th><?php echo $etichetta ?>
		<td> <div style="font-size:140%;text-align:center;" ><?php echo $percDaValutare ?></div>
		<td> <div class="<?php echo $coloreLivello ?>" style="background:transparent;" ><?php echo $nomeLivello ?></div> 
		<?php
		$coloreLivello_assign = $coloreLivello."_BACK";
		$IdIspezioneDaValutare = $IdIspezione;
		require('trova_summa_ispezione.php'); 
		$Valutazione = $arrayStampaRisTotale[Ambito][$IdAmbito][Valutazione];
		
		echo <<<_SQL
		<td class="$coloreLivello_assign" style="text-align:center;" >$Valutazione
_SQL;
		?>
</table>

<?php 
$sql = <<< _SQL
SELECT     
	RAT_Ambiti.ID AS IdAmbito, RAT_Ambiti.Codice AS ACodice, RAT_Ambiti.Nome AS ANome, 
	RAT_Gruppi.ID AS IdGruppo, RAT_Gruppi.Codice AS GCodice, RAT_Gruppi.Nome AS GNome, 
	RAT_Elementi.ID AS IdElementi, RAT_Elementi.Codice AS ECodice, RAT_Elementi.Nome AS ENome,
	RAT_Valutazioni.Risultato,
	RAT_Gruppi.Ordine AS GOrdine, 
	RAT_Elementi.Ordine AS EOrdine
	
FROM         
	RAT_Ambiti 
	INNER JOIN
	RAT_Gruppi ON RAT_Ambiti.ID = RAT_Gruppi.IdAmbito 
	INNER JOIN
	RAT_Elementi ON RAT_Gruppi.ID = RAT_Elementi.IdGruppo

	INNER JOIN
	RAT_Valutazioni ON RAT_Elementi.ID = RAT_Valutazioni.IdElemento 
	INNER JOIN
	RAT_Ispezioni ON RAT_Valutazioni.IdIspezione = RAT_Ispezioni.ID	
WHERE     
	(RAT_Ambiti.IdCommessa = $IdCommessa)
	AND (RAT_Ambiti.ID = $IdAmbito)
	AND RAT_Ispezioni.ID = $IdIspezione
	AND (RAT_Ispezioni.IdEdificio = $IdEdificio)
ORDER BY 
	GOrdine ASC, EOrdine ASC,
	ACodice ASC, ANome ASC,
	GCodice ASC, GNome ASC,
	ECodice ASC, ENome ASC,
	Risultato ASC	
_SQL;
?>	

 
<table>
	<tr>
		<td>
		<h3><input type="button" value="Grafico Ambito" onclick=" $('.clsToggleGrafico').toggle('slow'); " /></h3>
		

	<tr class="clsToggleGrafico" >
		<td style="border:2px solid #009ACD;" >		
		<canvas id="canvas" height="500" width="500" style="float:left;" ></canvas>
		<div style="float:left;">

		<table class="classLegende"  >
			<?php
			$primo = true;
			$query = ntxQuery($sql);

			$i = 1;
			while(  $query  &&  $rs = ntxRecord($query) )
			{ 
				$str = "";
				if(!$primo) $str = " , ";
				
				$Etichetta = $rs[ECodice]." ".$rs[ENome]; 
				$Etichetta = str_replace('"', "'", $Etichetta);
				$Risultato = $rs[Risultato]; 
				
				if( !is_numeric($Risultato) ) continue;
				
				$Risultato = ntxRound($rs[Risultato], 2); 
				
				$IdAmbitoDaValutare = $rs[IdAmbito];
				$percDaValutare = $rs[Risultato];
				
				require('trova_range.php');
				$coloreLivello = $coloreLivello."_BACK";
				
				echo <<<_HTML
				<tr>
					<th>$i
					<td>$Etichetta		
					<td class="$coloreLivello" >$Risultato %		 
_HTML;
				$i++;
			}	
			?>
			</table>
		</div>
</table> 
	
<script type="text/javascript"> 	
var arrLabels = [	
	<?php
	$primo = true;
	$query = ntxQuery($sql);

	$i = 1;
	while(  $query  &&  $rs = ntxRecord($query) )
	{ 
		$str = "";
		if(!$primo) $str = " , ";
		
		$Etichetta = $rs[ECodice]." ".$rs[ENome]; 
		$Etichetta = str_replace('"', "'", $Etichetta);
		$Risultato = $rs[Risultato];
		$IdAmbitoDaValutare = $rs[IdAmbito];
		
		if( !is_numeric($Risultato) ) continue;
		
		echo <<<_HTML
		\n
		$str
		"$i"	
_HTML;
		$primo=false;	

$i++;		
	}	
	?>
];	

var arrData = [	
	<?php
	$primo = true;
	$query = ntxQuery($sql);

	while(  $query  &&  $rs = ntxRecord($query) )
	{ 
		$str = "";
		if(!$primo) $str = " , ";
		
		$Etichetta = $rs[ECodice]." ".$rs[ENome]; 
		$Risultato = $rs[Risultato];
		$IdAmbitoDaValutare = $rs[IdAmbito];
	
		if( !is_numeric($Risultato) ) continue;
		
		echo <<<_HTML
		\n
		$str
		$Risultato		
_HTML;
		$primo=false;	
	}	
	?>
];	

var radarChartData = 
{
	labels : arrLabels,
	datasets : [
		{
			fillColor : "rgba(151,187,205,0.5)",
			strokeColor : "rgba(151,187,205,1)",
			pointColor : "rgba(151,187,205,1)",
			pointStrokeColor : "#fff",
			data :  arrData
		}
	]
}

var radarChartOptions = { 
	scaleSteps : 5,
	scaleStepWidth : 20,
	scaleStartValue : 0 
}
		

var myRadar = new Chart(document.getElementById("canvas").getContext("2d")).Radar(radarChartData,radarChartOptions); 
</script> 
	
	
<h3>Elementi valutati</h3>
<?php  
$query = ntxQuery($sql);
?>	
	
<table class="tblData" >
	<thead>
		<tr>
			<th>Elemento
			<th>Rispondenza
			<th>Note informative
		</tr>  
	</thead>
	
	<tbody>	
<?php  
	while(  $query  &&  $rs = ntxRecord($query) )
	{ 
		$Risultato = $rs[Risultato];
	
		$IdAmbitoDaValutare = $rs[IdAmbito];
		$percDaValutare = $rs[Risultato];
		
		require('trova_range.php');
		
		$clsDisattivazione = "";
		$simboloPercento = "%";
		$bulled = <<<_HTML
		<div class="$coloreLivello bullet" style="float:right;">&nbsp;</div>
_HTML;
		if( !is_numeric($Risultato)   )
		{
			$clsDisattivazione = "grigio";
			$simboloPercento = " ";
			$bulled = "";
		}
?>
	<tr style="height:40px;" >  
		<td class="<?php echo $clsDisattivazione ?>" ><?php echo htmlentities($rs[ECodice]) ?> <?php echo htmlentities($rs[ENome]) ?>
		<td style="	text-align:center;" class="<?php echo $clsDisattivazione ?>" >
			<div   style="height:100%; float:left; line-height:40px;  vertical-align:middle;"><?php echo ntxRound($rs[Risultato],2) ?> <?php echo $simboloPercento ?>  </div>
			<?php echo $bulled ?>
			
		<td class="<?php echo $clsDisattivazione ?>" ><?php echo htmlentities($rs[GCodice]) ?> <?php echo htmlentities($rs[GNome]) ?>
<?php 
	}
?>
	</tbody>	
</table> 

</body>
</html>
