<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_185", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_185", "IT", __FILE__);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"   "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>ManPro.Net WebPortal</title>
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
</head>
<body>

<input type=button value="<?php $traduttore->js('<< Indietro') ?>" onclick="parent.CloseFrame()" style="font-weight:bold;"/>
<br>

<form method="post"  id="frmReload" name="frmReload" >
	<?php ntxCreateHiddens() ?>	
</form>

<?php
$user=ntxsse('Utente');
$pwd=ntxsse('Password');
$IdCommessa = ntxise('IdCommessa');

$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');
 

$sql = <<< SQL
			SELECT DISTINCT Richieste.*, ElencoEdifici.*, TabellaGradoUrgenza.Descrizione AS DesGrUrg,
				DocsPreventiviRichieste.Path AS PrevPath, DocsPreventiviRichieste.Descrizione AS DesPrev, DocsPreventiviRichieste.DataRichiestaPreventivo,
				DocsPreventiviRichieste.ImportoOfferto, DocsPreventiviRichieste.Id AS IdDoc, 
				Richieste.Richiedente, Stati.DesStato,
				Ditte.IDDitta, Ditte.Ditta
FROM         ElencoEdifici INNER JOIN
                      Richieste LEFT OUTER JOIN
                      TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
                      Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU ON ElencoEdifici.ID = Richieste.Localizzazione AND 
                      ElencoEdifici.IdCommessa = Richieste.IDCommessa INNER JOIN
                      Ditte INNER JOIN
                      DocsPreventiviRichieste ON Ditte.IDDitta = DocsPreventiviRichieste.IdDitta ON Richieste.AnnoRichiesta = DocsPreventiviRichieste.AnnoRichiesta AND 
                      Richieste.NumRichiesta = DocsPreventiviRichieste.NumRichiesta AND Richieste.IDCommessa = DocsPreventiviRichieste.IdCommessa INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato
WHERE 
	Richieste.NumRichiesta = $NumRichiesta 
	AND Richieste.AnnoRichiesta = $AnnoRichiesta 
SQL;
 
$query = ntxQuery($sql);
?>

<table>
	<tr>
		<th><?php $traduttore->html('Ditta') ?>
		<th><?php $traduttore->html('Data') ?>
		<th><?php $traduttore->html('Descrizione Offerta') ?>
		<th><?php $traduttore->html('Importo Offerto') ?>
		<th>&nbsp;
		<th>&nbsp;
	</tr>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		$IdStatoR = (int)$rs[Stato];
	 
		$disabled='';
		if($IdStatoR==15)
			$disabled=' disabled="disabled" ';
?>
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ditta']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities(ntxDateTime($rs['DataRichiestaPreventivo'])) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesPrev']) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['ImportoOfferto'],2) ?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> height=10>
			<input type=button <?php echo $disabled ?> value="<?php $traduttore->js('Carica') ?>" onclick="VaiA(<?php echo $rs['IdDoc'].", ".$rs['NumRichiesta'].", ".$rs['AnnoRichiesta'] ?> )">
			
			<td <?php echo  $alternate ? "" : "class=td2" ?> height=10>
			<input type=button <?php echo $disabled ?> value="<?php $traduttore->js('Fine') ?>" onclick="VaiA3(<?php echo $rs['IdDoc'].", ".$rs['NumRichiesta'].", ".$rs['AnnoRichiesta'] ?> )">
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>


<form name=form1 action=form_upload.php method=post target="">
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input TYPE=HIDDEN NAME=IdDoc VALUE="<?php echo $rs['IdDoc'] ?>" >
	<input TYPE=HIDDEN NAME=NumRichiesta VALUE="<?php echo $rs['NumRichiesta'] ?>" >
	<input TYPE=HIDDEN NAME=AnnoRichiesta VALUE="<?php echo $rs['AnnoRichiesta'] ?>" >
</form>


<script>
function VaiA(IdDoc, NumRichiesta, AnnoRichiesta)
{
	document.form1.IdDoc.value = IdDoc;
	document.form1.NumRichiesta.value = NumRichiesta;
	document.form1.AnnoRichiesta.value = AnnoRichiesta;
	
	document.form1.action = "form_upload.php";
	
	document.form1.submit();
}

function VaiA3(IdDoc, NumRichiesta, AnnoRichiesta)
{
	var result = jhp("jhp/chiudi_preventivo.php", {
			IdDoc: IdDoc,
			NumRichiesta: NumRichiesta,
			AnnoRichiesta: AnnoRichiesta,
		});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		alert("<?php $traduttore->js('Finito') ?>");
		parent.CloseFrame();
	}
	


/* 	//qua richiamo i singoli file che mandano anche i messaggi//
	
	if ( !confirm("Si desidera chiudere il preventivo?") ) return;

	var result = jhp("../../rich_da_prev_da_fornitori/jhp/conferma_preventivo_fornitore.php", {
			IdDoc: IdDoc,
			NumRichiesta: NumRichiesta,
			AnnoRichiesta: AnnoRichiesta
		});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var result2 = jhp("../../rich_da_prev_da_affidatari/jhp/richiesta_autorizzazione.php", {
				IdDoc: IdDoc,
				NumRichiesta: NumRichiesta,
				AnnoRichiesta: AnnoRichiesta,
				invioMessaggioCliente: 0
			});

		if(result2.state)
		{
			alert(result2.message);
		}
		else
		{
			alert("Finito");
		}
	} */
}
</script>

<?php $traduttore->Salva(); ?>
</body>
</html>
