<?php
session_start();

require_once('../../_ntx/ntxconst.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_181", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_181", "IT", __FILE__);

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../_css/navstyle.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php

	require_once(NTX_WEBPORTAL_PATH.'_database.inc');

	$gIdCommessa = ntxise('IdCommessa');
	$gIdEdificio = ntxip('Localizzazione');

	function AggiungiRiga($rs, $field, $descr="")
	{
	    If ($descr == "") $descr = $field;

        echo "<tr><td>$descr&nbsp;</td><td>".htmlentities($rs[$field])."&nbsp;</td><tr>\n";
	}

	function AggiungiRigaBool($rs, $field, $descr="")
	{
	    If ($descr == "") $descr = $field;

        echo "<tr><td>$descr&nbsp;</td><td>".($rs[$field]==1 ? "SI" : "NO")."&nbsp;</td><tr>\n";
	}

	function AggiungiRigaPuntatrice($rs, $field, $table, $descr)
    {
		$Id = $rs[$field];
		
		$value="";
		
        If (is_numeric($Id))
		{
            $sql = "SELECT descr FROM $table WHERE id=$Id;";

            $query = ntxQuery($sql);

			if( $rs = ntxIRecord($query) )
				$value = $rs[0];
		}
            
        echo "<tr><td>$descr&nbsp;</td><td>".htmlentities($value)."&nbsp;</td><tr>\n";
	}

	function AggiungiRigaDitta($rs)
    {
		$IdFornitore = $rs["IdFornitore"];
		
		$descr="";
		
        If (is_numeric($IdFornitore))
		{
            $sql = "SELECT Ditta FROM Ditte WHERE IDDitta=$IdFornitore;";

            $query = ntxQuery($sql);

			if( $rs = ntxIRecord($query) )
				$descr = $rs[0];
		}
            
        echo "<tr><td>Fornitore</td><td>".htmlentities($descr)."&nbsp;</td><tr>\n";
	}
	
	$sql = "SELECT * FROM ElencoEdifici WHERE IdCommessa=$gIdCommessa AND ID=$gIdEdificio;";

	$query = ntxQuery($sql);

	if( $rs = ntxRecord($query) )
	{
		echo "<table>\n";
		AggiungiRiga($rs, $traduttore->traduci('ID'));
		AggiungiRiga($rs, "Codice", $traduttore->traduci('Codice'));
		AggiungiRiga($rs, "EdificioEstesa", $traduttore->traduci('Nome'));
		AggiungiRiga($rs, "EdificioBreve", $traduttore->traduci('Edificio'));
		AggiungiRiga($rs, "Indirizzo", $traduttore->traduci('Indirizzo'));
		AggiungiRiga($rs, "Quartiere", $traduttore->traduci('Quartiere'));
		AggiungiRiga($rs, "CITTA", $traduttore->traduci('Comune'));
		AggiungiRiga($rs, "PROVINCIA", $traduttore->traduci('Provincia'));
		AggiungiRiga($rs, $traduttore->traduci('CAP'));
		AggiungiRiga($rs, $traduttore->traduci('Cdc Cliente'));
		AggiungiRiga($rs, $traduttore->traduci('Marchio'));
		AggiungiRiga($rs, "piva", $traduttore->traduci('P.IVA'));
		AggiungiRiga($rs, "CodiceFiscale", $traduttore->traduci('C.F.'));
		AggiungiRiga($rs, $traduttore->traduci('Orario'));
		AggiungiRiga($rs, $traduttore->traduci('Apertura Mattutina'));
		AggiungiRiga($rs, $traduttore->traduci('Chiusura Mattutina'));
		AggiungiRiga($rs, $traduttore->traduci('Apertura Pomeridiana'));
		AggiungiRiga($rs, $traduttore->traduci('Chiusura Pomeridiana'));
		AggiungiRigaBool($rs, "OrarioContinuato", $traduttore->traduci('Orario Continuato'));
		AggiungiRigaBool($rs, $traduttore->traduci('Rimosso'));
		AggiungiRigaPuntatrice($rs, "IdTipoLocalizzazione", "TipiLocalizzazione", $traduttore->traduci('Tipo Localizzazione'));
		AggiungiRigaPuntatrice($rs, "IdTipoPuntoVendita", "TipiPuntoVendita", $traduttore->traduci('Tipo Punto Vendita'));
		AggiungiRigaPuntatrice($rs, "IdZonaCliente", "ZoneCliente", $traduttore->traduci('Zona Cliente'));
		AggiungiRigaPuntatrice($rs, "IdPropiaZona", "PropieZone", $traduttore->traduci('Propria Zona'));
		AggiungiRigaPuntatrice($rs, "IdSettoreAttività", "SettoriAttività", $traduttore->traduci('Settore Attività'));
		AggiungiRigaPuntatrice($rs, "IdChiusura", "TipiChiusura", $traduttore->traduci('Tipo Chiusura'));
		AggiungiRigaPuntatrice($rs, "IdMacrozona", "Macrozone", $traduttore->traduci('Macrozona'));
		AggiungiRigaDitta($rs);
		AggiungiRiga($rs, "AreaMQ", $traduttore->traduci('MQ'));
		AggiungiRiga($rs, $traduttore->traduci('Telefono'));
		AggiungiRiga($rs, $traduttore->traduci('Fax'));
		AggiungiRiga($rs, $traduttore->traduci('E-mail'));
		AggiungiRiga($rs, $traduttore->traduci('Note'));
		echo "</table>\n";
	}
?>
<?php $traduttore->Salva(); ?>
</body>
</html>
