<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once(NTX_WEBPORTAL_PATH.'richieste/ins_non_specifiche.inc');
require_once(NTX_WEBPORTAL_PATH.'richieste/_funzioni_RichiesteStoricoStati.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_203", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_203", "IT", __FILE__);
 

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta

require_once('_check_update_type.inc');

require('_controllo_gradourgenza.inc');
require_once('_check_obblighi.inc');

if( is_numeric($_POST[CID])  &&  $_POST[CID]==1)
{
	$IdMestiere = $_POST[IdMestiere];
	
	$applicaRegola = 1;
	if(is_numeric($IdMestiere)  &&  $IdMestiere>0)
	{
		$sql = <<< sql
		SELECT     ABBnonCompilarePianoMappa
		FROM    tblMestieri
		WHERE   	
			IdCommessa = $IdCommessa
			AND IdMestiere = $IdMestiere
sql;
		$ABBnonCompilarePianoMappa = ntxScalar($sql);
 	
		if(is_numeric($ABBnonCompilarePianoMappa)&$ABBnonCompilarePianoMappa==1)
			$applicaRegola = 0;
	}
 
	if($applicaRegola==1)
	{
		if( !is_numeric($_POST[IdLivello]) )
			ntxmsgerr($traduttore->traduci('Obbligatorio selezionare piano!'));
			
		if( !is_numeric($_POST[IdAmbiente]) )
			ntxmsgerr($traduttore->traduci('Obbligatorio selezionare mappa!'));
	}
	else if($applicaRegola==0)
	{
		if( is_numeric($_POST[IdLivello]) )
			ntxmsgerr($traduttore->traduci('A fronte di richieste dei servizi di "Prenotazioni Sale Riunioni" e "Archivio Remoto" deve essere selezionata nel campo Piano la voce "NON APPLICABILE (utilizzare solo quando si vuole inserire richieste per "Prenotazioni Sale Riunioni" e "Archivio Remoto") "!'));
			
		if( is_numeric($_POST[IdAmbiente]) )
			ntxmsgerr($traduttore->traduci('A fronte di richieste dei servizi di "Prenotazioni Sale Riunioni" e "Archivio Remoto" deve essere selezionata nel campo Piano la voce "NON APPLICABILE (utilizzare solo quando si vuole inserire richieste per "Prenotazioni Sale Riunioni" e "Archivio Remoto") "!'));
	}
}

$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;
$SchemaCommessa = ntxScalar($sql);

$mDataRichiesta = ntxtp('DataRichiesta');

if ( $mDataRichiesta === 'NULL' )
	$mDataRichiesta = 'getdate()';

	
	
	
if( is_numeric($_POST[senza_mestiere])  &&  $_POST[senza_mestiere]==1) ;
else
	require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari/check_affidatario_cliente.inc"); 



$AnnoRichiesta = ntxScalar("select year(getdate())");

$sql = "SELECT MAX(NumRichiesta) As NewNumRichiesta "
		." FROM Richieste "
		." WHERE IdCommessa=$IdCommessa "
		." AND AnnoRichiesta=$AnnoRichiesta;";

$NumRichiesta = ntxScalar($sql);

if (is_numeric($NumRichiesta))
	$NumRichiesta++;
else
	$NumRichiesta = 1;

$Descrizione = $_POST['Descrizione'];

$des1 = $Descrizione;

$des2 = $des3 = "";

if ( strlen($Descrizione) > 255 )
{
	$des1 = substr($Descrizione, 0, 255); // prende i primi 255 caratteri
	$des2 = substr($Descrizione, 255); // prende i caratteri dal 256° in poi
}

if ( strlen($des2) > 255 )
{
	$des3 = substr($des2, 255); // prende i caratteri dal 256° in poi
	$des2 = substr($des2, 0, 255); // prende i primi 255 caratteri
	$des3 = substr($des3, 0, 255); // prende i primi 255 caratteri
}


if ( $_POST[mod]=='mod_clienti'  && (!is_numeric($_POST[registraPerCliente]) || $_POST[registraPerCliente]==0))
	$Stato = -1;//stato pre-registrata
if ( $_POST[mod]=='mod_clienti'  &&  $_POST[registraPerCliente]==1 )
	$Stato = 1;//stato registrata
else if ( $_POST[mod]=='mod_autorizzatori' ||  $_POST[mod]=='mod_callcenter')
	$Stato = 1;//stato registrata

 
	
if ( $_POST['Classificazione']=='Extracanone'  &&  $_POST['TecnicoC']=='' )
{ 
	$Utente	= ntxsse('Utente');
	
	$sql = <<< sql
	SELECT DISTINCT Tecnici.Tecnico
	FROM  
		Utenti 
		INNER JOIN
		UtentiTecnici ON Utenti.Id = UtentiTecnici.IdUtente 
		INNER JOIN
		Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec
		INNER JOIN
		CommesseTecnici ON Tecnici.IDTec = CommesseTecnici.IDTec				   
	WHERE 
		Utenti.Nome = $Utente	
		AND CommesseTecnici.IdCommessa = $IdCommessa
sql;
	$_POST[TecnicoC] = ntxScalar($sql);
 
	if(!strlen($_POST[TecnicoC])>0)
	{ 
		$sql = <<< sql
		SELECT DISTINCT Tecnici.Tecnico
		FROM  
			Tecnici 
			INNER JOIN
			CommesseTecnici ON Tecnici.IDTec = CommesseTecnici.IDTec
		WHERE 
			CommesseTecnici.IdCommessa = $IdCommessa
			AND TecnDefault = 1
sql;
		$_POST[TecnicoC] = ntxScalar($sql);
	}
	
  	if($_POST[TecnicoC]=="")
		ntxMsgErr($traduttore->traduci('Per le extracanone e\' obbligatorio il Tecnico C. Nessun tecnico di default in commessa trovato.'));  
}	
	

if ( $_POST['Classificazione']=='Extracanone'  &&  ntxbp('VAutorizzazione')==1 ) 
{
	$Stato = 18; // Autorizzata
	
	if ( $_POST['DataAutorizzazione'].''=='' )
		$DataAutorizzazione = "getdate()";
	else
		$DataAutorizzazione = ntxtp('DataAutorizzazione');
}
else
{
	$DataAutorizzazione = ntxtp('DataAutorizzazione');
}

if ( $_POST['Classificazione']=='Extracanone'  &&  $_POST['TipoIntervento']=='Preventivo' ) 
{
	$Stato = 4; // Richiesta Preventivo
}


if(is_numeric($TipoUpdate)  &&  $TipoUpdate==4) //caso della pre-registrata
{
	$Stato = -1;
}

if ( $_POST['Classificazione']=='Extracanone'  &&  ($Stato==1 || $Stato==-1)  ) // 17.07.2015
{
	$Stato = 2; // In Attesa di valutazione
}


if( strlen($_POST[NoteX])>1000 ) ntxmsgerr($traduttore->traduci('Campo con le note eccessivamente lungo!'));


if(is_numeric($_POST[cobo])&$_POST[cobo]==1)
{
	if(strlen($_POST[NumRifCli])>0||strlen($_POST[AnnoRifCli])>0||strlen($_POST[CommRifCli])>0) 
	{
		$IdCommessaQ = ntxise('IdCommessa');  
		$NumRifCliQ = ntxip('NumRifCli');
		$AnnoRifCliQ = ntxip('AnnoRifCli');
		$CommRifCliQ = ntxsp('CommRifCli');
		
		$sql = <<<_SQL
		SELECT COUNT(IdRich) AS count
		FROM Richieste  		
		WHERE 
			Richieste.IDCommessa = $IdCommessaQ 
			AND NumRifCli = $NumRifCliQ
			AND AnnoRifCli = $AnnoRifCliQ
			AND CommRifCli = $CommRifCliQ
_SQL;
		$IdRichDuplicato = ntxScalar($sql);
		
		if(is_numeric($IdRichDuplicato)&$IdRichDuplicato>0) ntxmsgerr($traduttore->traduci('Esiste gia\' una richiesta con: NumRifCli - AnnoRifCli - CommRifCli !'));	
	}
	
}



$sql1 = "INSERT INTO Richieste (";	$sql2 = " VALUES (";

$sql1 .= "Richiedente";				$sql2 .= ntxsp('Richiedente').", ";
$sql1 .= ", IdUtenteInserimento";	$sql2 .= ntxise('IdUtente').", "; //aggiunta per riferimento a utente che ha inserito la richiesta
$sql1 .= ", Utente";				$sql2 .= ntxs($_SESSION['Utente']).", ";
$sql1 .= ", Operatore";				$sql2 .= ntxs($_SESSION['Utente']).", "; 
$sql1 .= ", TelefonoRif";			$sql2 .= ntxsp('TelefonoRif').", ";

$sql1 .= ", NumeroCommessa";		$sql2 .= ntxsp('NumeroCommessa').", ";

$sql1 .= ", Localizzazione";		$sql2 .= ntxip('Localizzazione',false).", ";
$sql1 .= ", IdRichiedente";			$sql2 .= ntxip('IdRichiedente',false).", ";

$sql1 .= ", DataRichiesta";			$sql2 .= "$mDataRichiesta, ";
$sql1 .= ", DataModifica";			$sql2 .= "getdate(), ";
$sql1 .= ", DataInserimento";		$sql2 .= "getdate(), ";

if( is_numeric($_POST[senza_mestiere])  &&  $_POST[senza_mestiere]==1)
{	
	$sql1 .= ", IdMestiere";			$sql2 .= ntxip('IdMestiere',true).", ";
}
else
{	
	$sql1 .= ", IdMestiere";			$sql2 .= ntxip('IdMestiere',false).", ";
}

$sql1 .= ", IdComponenteMestiere";	$sql2 .= ntxip('IdComponenteMestiere').", ";
$sql1 .= ", IdAttivitàMestiere";	$sql2 .= ntxip('IdAttivitàMestiere').", ";

$sql1 .= ", IdLivello";				$sql2 .= ntxip('IdLivello').", ";
$sql1 .= ", IdAmbiente";			$sql2 .= ntxip('IdAmbiente').", ";
$sql1 .= ", IdComponente";			$sql2 .= ntxip('IdComponente').", ";
//$sql1 .= ", IdSubComponente";		$sql2 .= ntxip('IdSubComponente').", "; 

$sql1 .= ", IdAffidatario";			$sql2 .= ntxi($IdAffidatario, true).", ";

$sql1 .= ", IdUtilizzatore";		$sql2 .= ntxip('IdUtilizzatore').", ";
$sql1 .= ", IdPersona";				$sql2 .= ntxip('IdPersona').", ";
$sql1 .= ", IdCommessaPersona";		$sql2 .= $IdCommessa.", ";


$sql1 .= ", IdEnteTerzo";			$sql2 .= ntxip('IdEnteTerzo').", ";

//$sql1 .= ", IdESMUsers";			$sql2 .= ntxip('IdESMUsers').", ";
$sql1 .= ", CIDcodice";				$sql2 .= ntxsp('CIDcodice').", ";
$sql1 .= ", Riferimento";			$sql2 .= ntxsp('Riferimento').", ";
$sql1 .= ", RiferimentoTelefono";	$sql2 .= ntxsp('RiferimentoTelefono').", ";
$sql1 .= ", GradoUrgenzaReferente";	$sql2 .= ntxsp('GradoUrgenzaReferente').", ";


$sql1 .= ", TipoIntervento";		$sql2 .= ntxsp('TipoIntervento').", ";


$sql1 .= ", Descrizione";			$sql2 .= ntxs($des1, 'Descrizione', false, false).", ";
$sql1 .= ", Descrizione1";			$sql2 .= ntxs($des2).", ";
$sql1 .= ", Descrizione2";			$sql2 .= ntxs($des3).", ";

$sql1 .= ", [Note]";				$sql2 .= ntxsp('NoteX').", ";

$sql1 .= ", GradoUrgenza";			$sql2 .= ntxsp('GradoUrgenza',false,false).", ";

$sql1 .= ", TecnicoC";				$sql2 .= ntxsp('TecnicoC').", ";
$sql1 .= ", Resp_tecnico";			$sql2 .= ntxsp('Resp_tecnico').", "; 
$sql1 .= ", IdChiamataCallCenter";	$sql2 .= ntxsp('IdChiamataCallCenter').", "; 

if(isset($_POST[Tecnico])  &&  strlen($_POST[Tecnico])>0) 
{	$sql1 .= ", Tecnico";				$sql2 .= ntxsp('Tecnico').", "; }

$sql1 .= ", Classificazione";		$sql2 .= ntxsp('Classificazione').", ";

$sql1 .= ", Tipo";					$sql2 .= ntxsp('Tipo').", ";
$sql1 .= ", Stato";					$sql2 .= "$Stato, ";

$sql1 .= ", DataInizioP";			$sql2 .= ntxtp('DataInizioP').", ";
$sql1 .= ", DataFineP";				$sql2 .= ntxtp('DataFineP').", ";

$sql1 .= ", DataInizioAccensione";	$sql2 .= ntxttp('DataInizioAccensione').", ";
$sql1 .= ", DataFineAccensione";	$sql2 .= ntxttp('DataFineAccensione').", ";
$sql1 .= ", [NoteAccensione]";		$sql2 .= ntxsp('NoteAccensione').", ";
$sql1 .= ", IdCircuitoAccensione";	$sql2 .= ntxip('IdCircuitoAccensione').", ";


$sql1 .= ", NumRifCli";				$sql2 .= ntxip('NumRifCli').", ";
$sql1 .= ", AnnoRifCli";			$sql2 .= ntxip('AnnoRifCli').", ";
$sql1 .= ", CommRifCli";			$sql2 .= ntxsp('CommRifCli').", ";
 
$sql1 .= ", PrioritàTecnica";		$sql2 .= ntxip('PrioritàTecnica').", ";
$sql1 .= ", NoteTecniche";			$sql2 .= ntxsp('NoteTecniche').", ";
$sql1 .= ", Via";					$sql2 .= ntxsp('Via').", ";
$sql1 .= ", NoteLocalizzativeStrade"; $sql2 .= ntxsp('NoteLocalizzativeStrade').", ";

$sql1 .= ", Zona"; $sql2.= ntxsp('Zona').", ";
$sql1 .= ", IdCentroDiCosto"; $sql2.= ntxip('IdCentroDiCosto').", ";
$sql1 .= ", IdDiametroTubazione"; $sql2.= ntxip('IdDiametroTubazione').", ";
$sql1 .= ", IdMaterialeTubazione"; $sql2.= ntxip('IdMaterialeTubazione').", ";
$sql1 .= ", IdIntervento"; $sql2.= ntxip('IdIntervento').", ";
$sql1 .= ", InterruzioneServizio"; $sql2.= ntxip('InterruzioneServizio').", ";
$sql1 .= ", DataInizioInterruzione"; $sql2.= ntxttp('DataInizioInterruzione').", ";
$sql1 .= ", DataFineInterruzione"; $sql2.= ntxttp('DataFineInterruzione').", ";
$sql1 .= ", InterruzioneCorsiaInteressata"; $sql2.= ntxip('InterruzioneCorsiaInteressata').", ";
$sql1 .= ", InterruzioneTotCarreggiata"; $sql2.= ntxip('InterruzioneTotCarreggiata').", "; 

//$sql1 .= ", DataSopralluogo";		$sql2 .= ntxtp('DataSopralluogo').", ";
$sql1 .= ", DataAutorizzazione";	$sql2 .= $DataAutorizzazione.", ";
$sql1 .= ", VAutorizzazione";		$sql2 .= ntxbp('VAutorizzazione').", ";
//$sql1 .= ", NumRifCli";				$sql2 .= ntxip('NumRIE').", ";
//$sql1 .= ", AnnoRifCli";			$sql2 .= ntxip('AnnoRIE').", ";

$sql1 .= ", IdQuadroPI";			$sql2 .= ntxip('IdQuadroPI').", ";
$sql1 .= ", IdPaloPI";				$sql2 .= ntxip('IdPaloPI').", ";

$sql1 .= ", IdCommessa";			$sql2 .= $IdCommessa.", ";
$sql1 .= ", NumRichiesta";			$sql2 .= $NumRichiesta.", ";
$sql1 .= ", AnnoRichiesta)";		$sql2 .= $AnnoRichiesta.");";

 
  
ntxQuery($sql1.$sql2);



salvaStoricoRichieste
(
	$IdCommessa
	,$NumRichiesta
	,$AnnoRichiesta
	,$Stato
	,$Stato
	,$traduttore->traduci('Inserimento nuova richiesta con \$TipoUpdate:')." $TipoUpdate ".$traduttore->traduci('Parametri in \$_POST:') .print_r($_POST, true)
	,$traduttore->traduci('Inserimento nuova richiesta')
	,'' 
);


if(is_numeric($_POST[nonInviareMsgNuovaRichiesta])  &&  $_POST[nonInviareMsgNuovaRichiesta]==1)
{}
else
{
	require_once(NTX_WEBPORTAL_PATH.'preventivi/_dispatch_richiesta_preventivo.inc');

	if ( $SchemaCommessa != "team" )
		require_once(NTX_WEBPORTAL_PATH.'messaggi/nuova_richiesta/start.php');

	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/nuova_richiesta/start.php');	 
}

$traduttore->Salva();
?>
