<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
require_once(NTX_WEBPORTAL_PATH.'richieste/_funzioni_RichiesteStoricoStati.inc');

$IdCommessa = ntxise('IdCommessa');  
$NumRichiesta = ntxip('NumRichiesta'); 
$AnnoRichiesta = ntxip('AnnoRichiesta');  
$Utente = ntxs($_SESSION['Utente']);

$eseguiQuery_1 = false;
$eseguiQuery_2 = false;


$sql = <<<_SQL
SELECT  
	TecniciC.IDTec,TecniciC.Tecnico
FROM         
	Richieste 
	INNER JOIN
	Tecnici AS TecniciC ON Richieste.TecnicoC = TecniciC.Tecnico
WHERE
	Richieste.IdCommessa = $IdCommessa
	AND Richieste.NumRichiesta = $NumRichiesta
	AND Richieste.AnnoRichiesta = $AnnoRichiesta  
_SQL;
$rs = ntxRecord(ntxQuery($sql));
$IdTecnPartenza = $rs[IDTec];
$NomeTecnicoPartenza = $rs[Tecnico];

$NomeTecnicoArrivo = '';  
if ( strlen($_POST[TecnicoC])>0)  
{
	$str = $_POST[TecnicoC];
	$str = stripslashes($str."");
	$str = str_replace("'", "''", $str);
	
	$sql = <<<_SQL
	SELECT  
		TecniciC.IDTec,TecniciC.Tecnico
	FROM          
		Tecnici AS TecniciC 
	WHERE
		TecniciC.Tecnico = '$str'
_SQL;
	$rs = ntxRecord(ntxQuery($sql));   
	$NomeTecnicoArrivo = $rs[Tecnico];  
}
else
	ntxmsgerr('impossibile continuare. obbligatorio inserire tecnicoC.');



if ( isset($_POST['Utilizzatore_Indirizzo'])  &&  strlen($_POST['Utilizzatore_Indirizzo'])>0) 
{

	$sql .= " AND tblUtUtilizzatori.Indirizzo LIKE '%$str%' ";
}



$sql = <<<_SQL
SELECT  
	TecniciC.IDTec
FROM         
	Richieste 
	INNER JOIN
	Tecnici AS TecniciC ON Richieste.TecnicoC = TecniciC.Tecnico
WHERE
	Richieste.IdCommessa = $IdCommessa
	AND Richieste.NumRichiesta = $NumRichiesta
	AND Richieste.AnnoRichiesta = $AnnoRichiesta 
	AND TecniciC.TecnDefault = 1
_SQL;
$IdTecnDefault = ntxScalar($sql);

if(is_numeric($IdTecnDefault))
	$eseguiQuery_1 = true;
else 
	$eseguiQuery_1 = false;


$sql = <<<_SQL
SELECT Tecnici.IDTec
FROM         
	Utenti INNER JOIN
	UtentiTecnici ON Utenti.Id = UtentiTecnici.IdUtente INNER JOIN Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec
WHERE     
	Utenti.Nome = $Utente
	AND Tecnici.CambioTecnicoCrichiesta = 1
_SQL;
$IDTecCambio = ntxScalar($sql);

if(is_numeric($IDTecCambio))
	$eseguiQuery_2 = true;
else 
	$eseguiQuery_2 = false;

 
if( $eseguiQuery_1 || $eseguiQuery_2 )
{
	$sql = "SELECT Stato FROM Richieste WHERE IdCommessa=$IdCommessa AND NumRichiesta=$NumRichiesta AND AnnoRichiesta=$AnnoRichiesta";
	$StatoInizio = $StatoFine = ntxScalar($sql);
	
	$DescrizioneAzione = '';
	$DescrizionePubblica = '';
	if($eseguiQuery_1)
	{
		$DescrizioneAzione = "cambio tecnicoC di default $IdTecnPartenza con $IdTecnDefault. azione permessa perché Richieste.TecnicoC = $IdTecnDefault è un tecnicoC  con il bit TecniciC.TecnDefault = 1.";	
		
		$DescrizionePubblica = "L'utente $Utente ha cambiato il tecnico di default $NomeTecnicoPartenza con il nuovo tecnico $NomeTecnicoArrivo.";			
	}
	else if($eseguiQuery_2)
	{
		$DescrizioneAzione = "cambio tecnicoC $IdTecnPartenza con altro tecnicoC con $IDTecCambio. azione permessa perché Richieste.TecnicoC = $IDTecCambio è un tecnicoC con il bit TecniciC.CambioTecnicoCrichiesta = 1.";
		
		$DescrizionePubblica = "L'utente $Utente ha cambiato il tecnico di patenza $NomeTecnicoPartenza con il nuovo tecnico $NomeTecnicoArrivo con la seguente motivazione $_POST[Note_RichiesteStoricoStati] .";		
	}	
	
	
	
	$Richieste= new NtxTable("Richieste");

	$update= $Richieste->update();

	$update->set('TecnicoC', $_POST[TecnicoC]);

	$update->where("IdCommessa", $IdCommessa);
	$update->where("NumRichiesta", $NumRichiesta);
	$update->where("AnnoRichiesta", $AnnoRichiesta);

	$update->execute();  
	
	 
	
	salvaStoricoRichieste
	(
		$IdCommessa
		,$NumRichiesta
		,$AnnoRichiesta
		,$StatoInizio
		,$StatoFine
		,"$DescrizioneAzione. Parametri in \$_POST: ".print_r($_POST, true)
		,$DescrizionePubblica
		,$_POST[Note_RichiesteStoricoStati]
	);  	 
}
else
	ntxmsgerr("Impossibile modificare la richiesta!\nIl tecnico associato non e' il tecnico di default oppure il tecnico non e' abilitato al cambio del tecnico della richiesta.");


require_once('anno_numero_richiesta.inc');
?>
