<?php 
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');   

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_199", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_199", "IT", __FILE__);

if(is_numeric($_GET[IdPalo]))
	$_POST[IdPalo] = $_GET[IdPalo];
	
if(is_numeric($_GET[IdQuadro]))
	$_POST[IdQuadro] = $_GET[IdQuadro];

if(!is_numeric($_GET[IdEdificio])) 
	die($traduttore->traduci('Selezionare prima una localizzazione'));
else
	$_POST[IdEdificio] = $_GET[IdEdificio];
	
if(!strlen($_GET[TipoPI])>0) 
	die($traduttore->traduci('Tipo non specificato'));
else
{
	$_POST[TipoRicerca] = $_GET[TipoPI];
	
	if($_POST[TipoRicerca]=='PaloPI') 
		$_POST[TipoRicerca] = 'pali';
	else if($_POST[TipoRicerca]=='QuadroPI') 
		$_POST[TipoRicerca] = 'quadri';  
}  
?>
<!DOCTYPE html>
<html>
<head> 
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/>  
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">		 
	
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.2.1.min.js"></script>
 
	<link  rel="stylesheet" type="text/css" href="../../pi_pali_quadri/censimento_mappa/mappa.css" />

	<style type="text/css">
	</style>		
	
	<script type="text/javascript"> 
	var map = null;    
	
	var Pali = {};
	Pali.Identificativi = new Array();	
	Pali.arrayLatLng = new Array();	
	Pali.markersArray = new Array();
	Pali.infoWindowArray = new Array();	  
	
	var Quadri = {};
	Quadri.Identificativi = new Array();	
	Quadri.arrayLatLng = new Array();	
	Quadri.markersArray = new Array();
	Quadri.infoWindowArray = new Array();	   
	
	var markerNew = null; 
	
	var IdPalo = "<?php echo htmlentities( $_POST[IdPalo] ) ?>";
	var IdQuadro = "<?php echo htmlentities( $_POST[IdQuadro] ) ?>";
	
	var circle = null;
	
	function createMap() 
	{   
		var options = 
		{
			zoom: 15,
			center:  new google.maps.LatLng(44.4942191, 11.3464815),
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	
		
		map = new google.maps.Map(document.getElementById('map'), options);
		
		google.maps.event.addListenerOnce(map, 'idle', function() // do something only the first time the map is loaded
		{ 
			caricaDati();
		});   		
	}		  	
	
	function rimuoviMarkerNew()
	{
		if(markerNew!=null)
			markerNew.setMap(null);  
	}  
	
	function round(value, decimals) 
	{
		return Number(Math.round(value+'e'+decimals)+'e-'+decimals);
	}	
	
//clearOverlays	
	function clearOverlaysPali() 
	{   
		if (Pali.markersArray) 
		{     
			for (i in Pali.markersArray) 
			{       
				Pali.markersArray[i].setMap(null);     
			}
		
			for (i in Pali.infoWindowArray) 
			{       
				Pali.infoWindowArray[i].close();     
			} 	
		} 	
		
		delete Pali.Identificativi;	
		delete Pali.arrayLatLng;	
		delete Pali.markersArray;	
		delete Pali.infoWindowArray;	 	

		Pali.Identificativi = new Array();	
		Pali.arrayLatLng = new Array();	
		Pali.markersArray = new Array();
		Pali.infoWindowArray = new Array();			
	} 	
	
	function clearOverlaysQuadri() 
	{   
		if (Quadri.markersArray) 
		{     
			for (i in Quadri.markersArray) 
			{       
				Quadri.markersArray[i].setMap(null);     
			}
		
			for (i in Quadri.infoWindowArray) 
			{       
				Quadri.infoWindowArray[i].close();     
			} 	
		} 	
		
		delete Quadri.Identificativi;	
		delete Quadri.arrayLatLng;	
		delete Quadri.markersArray;	
		delete Quadri.infoWindowArray;	 	

		Quadri.Identificativi = new Array();	
		Quadri.arrayLatLng = new Array();	
		Quadri.markersArray = new Array();
		Quadri.infoWindowArray = new Array();			
	} 	
//- clearOverlays	
	
	
	function caricaDati()
	{     
		clearOverlaysPali();	 
		clearOverlaysQuadri();	 
		
		try
		{  
			if(document.frmSend.TipoRicerca.value=="pali" )
			{
				trovaGPS(document.frmSend, "palo", true);    
			}	
			else if(document.frmSend.TipoRicerca.value=="quadri" )		
			{
				trovaGPS(document.frmSend, "quadro", true);    
			}			
			else
			{ 
				alert("<?php $traduttore->js('Opzione non permessa') ?>");
			}  	
		}  
		catch(ex)		
		{ 
			alert("<?php $traduttore->js('Errore') ?>");
		}    
		
		
		estendiMappa();
	} 
	
//estensione mappa	
	function estendiMappa()
	{
		var elemPresenti = false;
		
		var bounds = new google.maps.LatLngBounds(); 

		if(Pali.arrayLatLng.length>0)
		{  
			elemPresenti = true;
			
			for (i in Pali.arrayLatLng)
				bounds.extend(Pali.arrayLatLng[i]);
		}

		if(Quadri.arrayLatLng.length>0)
		{  
			elemPresenti = true;
			
			for (i in Quadri.arrayLatLng)
				bounds.extend(Quadri.arrayLatLng[i]);
		}
	
		if(elemPresenti)
		{
			map.fitBounds(bounds);
			map.setCenter(bounds.getCenter());			
		} 	
	} 
//- estensione mappa		

//trova coordinate gps
	function trovaGPS(frmSend, tipo, estendi)
	{   
		//parent.startBlocco();
	
		var path = "";
		
		if(tipo=="palo") path = "../../pi_pali_quadri/censimento_mappa/jhp/trova_gps_pali.php";
		if(tipo=="quadro") path = "../../pi_pali_quadri/censimento_mappa/jhp/trova_gps_quadri.php";
	
		jhpa(path, jhp_frm(frmSend), function(result)
		{ 
			if(result.state)
			{
				alert("<?php $traduttore->js('trovaGPSPali - un errore e\' accorso:!') ?> "+result.message);
			}
			else
			{
				var centerLatlng = null;
				
				var record = result.value;  

				$( record ).each(function( index, element ) 
				{  					
					var lat = ''+element.lat;
					var lng = ''+element.lng;				
					 
					var ID = element.ID;  	 
					var Codice = ""+element.Codice;  	   	 
					var COD_COMPLETO = ""+element.COD_COMPLETO;  	   	 

					var img = ''; //'/repository/google_maps/custom_markers/mapiconscollection-offices-3875D7-default/office-building.png';
					var color = '#d4e157'; 	 
					var TipoRicerca = '';
					var nomeFunzioneParent = '';
					var titolo = '';
					if(tipo=="palo") 
					{
						img = '/repository/google_maps/custom_markers/personalizzati/powerlinepole_1.png'; 
						//color = '#64B5F6'; 
						TipoRicerca = 'pali';
						nomeFunzioneParent = 'InsPalo';
						
						titolo = '<div style="display:inline;font-weight:bold;" > <i><?php $traduttore->js('codice') ?>:</i> '+Codice+'</div> <br> <div style="display:inline;font-weight:bold;" > <i><?php $traduttore->js('cod completo') ?>:</i> '+COD_COMPLETO+'</div> <br> '+'<div style="display:inline;font-weight:bold;" > <i><?php $traduttore->js('sorgente lum') ?>:</i> '+element.PI_PaloSorgenteLuminosa+'</div>'; 
					}
					if(tipo=="quadro")
					{					
						img = '/repository/google_maps/custom_markers/personalizzati/poweroutage_2.png';  
						//color = '#EF9A9A'; 
						TipoRicerca = 'quadri';
						nomeFunzioneParent = 'InsQuadro';
						
						titolo = '<div style="display:inline;font-weight:bold;" ><?php $traduttore->js('codice') ?>: '+Codice+'</div> <br> <div style="display:inline;font-weight:bold;" ><?php $traduttore->js('cod completo') ?>: '+COD_COMPLETO+'</div>';
					} 
		 
					var tooltip = '<div   align="center">'+ //<div style="text-transform:uppercase;font-style:italic;display:inline;" >'+tipo+': </div> 
					'<div align="center" > '+titolo+' </div>'+
							'<table class="tableInfoWin" style="background: '+color+' !important;" >'+ 
								'<tr><th colspan="2" >'+element.Edificio+   
								'<tr><th colspan="2" style="text-align:center;" > <input type="button" value="<?php $traduttore->js('Utilizza') ?> '+tipo+'" onclick="parent.'+nomeFunzioneParent+'( \''+ID+'\'); parent.closeMappaPI();" />'+      
							'</table>' 
					'</div>'; 
					
					var myLatlng = new google.maps.LatLng(lat, lng);  
				 
					var elemAttracco = null;
				  
				
					var imageMarker = new google.maps.MarkerImage(img,
						new google.maps.Size(32.0, 37.0),
						new google.maps.Point(0, 0),
						new google.maps.Point(32.0, 37.0)
					); 
					
					var marker = new google.maps.Marker({
						draggable: false,
						position: myLatlng,
						title: <?php $traduttore->js('tipo') ?>+' '+element.Codice+' in: '+element.Edificio, 
						icon: imageMarker  
					});	

					elemAttracco = 	marker;   
					
					elemAttracco.setMap(map);  
					
					if(tipo=="palo")
					{
						Pali.arrayLatLng.push(myLatlng); 
						attachMessage(elemAttracco, tooltip, Pali);		
						Pali.Identificativi.push(ID);  
						Pali.markersArray.push(elemAttracco);  
						
						if($.isNumeric(IdPalo)  &&  IdPalo==ID)
						{
							circle = new google.maps.Circle({
								map: map,
								radius: 80,     
								fillColor: '#AA0000',
								strokeWeight:0
							});
							circle.bindTo('center', elemAttracco, 'position');	
							
							centerLatlng = new google.maps.LatLng(lat, lng);   
						}
					}
					
					if(tipo=="quadro")
					{
						Quadri.arrayLatLng.push(myLatlng); 
						attachMessage(elemAttracco, tooltip, Quadri);		
						Quadri.Identificativi.push(ID);  
						Quadri.markersArray.push(elemAttracco);  
						
						if($.isNumeric(IdQuadro)  &&  IdQuadro==ID)
						{ 
							circle = new google.maps.Circle({
								map: map,
								radius: 80,     
								fillColor: '#AA0000',
								strokeWeight:0
							});
							circle.bindTo('center', elemAttracco, 'position');	
							
							centerLatlng = new google.maps.LatLng(lat, lng);   
						}						
					} 
					 
					if(estendi==true) estendiMappa();		 
				}); 				
			} 
			
			if(centerLatlng!=null)
				map.setCenter(centerLatlng);			
		});		
	}     
//trova coordinate gps	
	
   
	function attachMessage(marker, tooltip, objAttracco) 
	{		 
		var infowindow = new google.maps.InfoWindow(
		  { content: tooltip
		  });
		  	  
 		google.maps.event.addListener(marker, 'click', function() 
		{
			for (i in objAttracco.infoWindowArray) 
			{        
				objAttracco.infoWindowArray[i].close();     
			} 
			
			infowindow.open(map,marker);
		}); 	
		
		objAttracco.infoWindowArray.push(infowindow); 
	}	 
	
	$(function() 
	{
		createMap();  
	})	
	</script> 
</head>
  
<body> 
	<div id="map" style="z-index: 999;" ></div>  
	
	<form id="frmReload" name="frmReload" method="post" style="display:none;" >
		<?php ntxCreateHiddens() ?> 	 
	</form>	
 
	<!--
	<div  class="ricercaIndirizzo"  style="z-index: 999999;margin-right:20px !important;" >
		<button onclick="clearOverlaysPali();clearOverlaysQuadri();"   >
			<img src="/repository/xhdpi/1_navigation_cancel.png" style="width:30px;" title="Pulisci tutto"/>	
		</button> 
	</div>  
	-->
	
	<form id="frmReload" name="frmReload" method="post" style="display:none;" >
		<?php ntxCreateHiddens() ?> 	 
	</form>	   
	
	<form id="frmSend" name="frmSend" method="post" style="display:none;" >
	<?php ntxCreateHiddens() ?> 		
	</form> 
	<?php $traduttore->Salva() ?>
</body> 
</html>