<?php

session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_185", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_185", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');

$IdDoc = ntxip('IdDoc');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');

$Descrizione = ntxsp('Descrizione');
$ImportoOfferto = ntxfp('ImportoOfferto',false);

if (!is_numeric($IdCommessa) || !is_numeric($NumRichiesta) || !is_numeric($AnnoRichiesta))
	die ($traduttore->traduci('Valore necessario mancante!'));
	
// QUESTE RIGHE RENDONO LO SCRIPT COMPATIBILE CON LE VERSIONI
// DI PHP PRECEDENTI ALLA 4.1.0
if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;

/********************* VARIABILI DA SETTARE ********************/
// Directory dove salvare i files Uploadati ( chmod 777, percorso assoluto)

$sql = "SELECT Commesse.pathPublicShapeWeb"
		." FROM Commesse"
		." WHERE (((Commesse.IDCommessa)=$IdCommessa));";
		
$upload_dir = ntxScalar($sql).'\\PrevFornPerRichieste';//$_SERVER["DOCUMENT_ROOT"] . "/upload";

if ( !is_dir($upload_dir) ) mkdir($upload_dir);

$new_name = "";

// Se $new_name è vuota, il nome sarà lo stesso del file uploadato
$file_name = ($new_name) ? $new_name : $_FILES["upfile"]["name"];

if(trim($_FILES["upfile"]["name"]) == "")
	die($traduttore->traduci('Non hai indicato il file da uploadare!'));

if($_FILES["upfile"]["size"]==0)
	die($traduttore->traduci('Upload fallito controllare dimensione del file max 2 MegaByte!'));

$index = strrpos($_FILES["upfile"]["name"], ".");

if ( is_numeric($index) )
	$ext = substr($_FILES["upfile"]["name"], $index);

$dest_path_rel = "PrevRicForn_C{$IdCommessa}_N{$NumRichiesta}_A{$AnnoRichiesta}_I{$IdDoc}{$ext}";
$dest_path = "$upload_dir\\$dest_path_rel";

if(@is_uploaded_file($_FILES["upfile"]["tmp_name"])) 
	@move_uploaded_file($_FILES["upfile"]["tmp_name"], $dest_path) 
		or die($traduttore->traduci('Impossibile spostare il file, controlla l\'esistenza o i permessi della directory dove fare l\'upload.') . $dest_path);
else
	die($traduttore->traduci('Problemi nell\'upload del file') . $_FILES["upfile"]["name"]);

echo $traduttore->traduci('L\'upload del file ') . $_FILES["upfile"]["name"] . $traduttore->traduci('è avvenuto correttamente');

$Path = "'".str_replace("'", "''", $dest_path_rel)."'";

$sql = "UPDATE DocsPreventiviRichieste SET ImportoOfferto=$ImportoOfferto, Path=$Path, "
		." Descrizione=$Descrizione, DataPresentazionePreventivo=GETDATE() "
		." WHERE IdCommessa=$IdCommessa AND Id=$IdDoc;";

ntxQuery($sql);


$RiheDocPrevRichieste= new NtxTable("RiheDocPrevRichieste", true);		
$Insert= $RiheDocPrevRichieste->insert();			   
 
$Insert->set("PzUnitario", $ImportoOfferto);  
$Insert->set("Importo", $ImportoOfferto);  
$Insert->set("UM", "AC");    
$Insert->set("QTA", 1);   
		   
$Insert->set("IdCommessa", 	$IdCommessa );
$Insert->set("IdDocPrevRichiesta",$IdDoc );

$Insert->execute();

$traduttore->Salva();
?> 
