<?php

session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_180", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_180", "IT", __FILE__);

$IdCommessa = ntxip('IdCommessa');
$IdRichiesta = ntxip('IdRichiesta');
	
$sql = <<< sql
SELECT  2  
FROM         
	Richieste
	LEFT OUTER JOIN Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa		
	
where 
	Richieste.IdCommessa=$IdCommessa 
	AND Richieste.IdRich=$IdRichiesta 
	AND
	(
		Richieste.Stato<>10 
		OR Richieste.Stato=35 
		OR (Richieste.Stato=35 AND Ordini.StatoOrd=35 )
	)
sql;
 
$result = ntxScalar($sql);

if ( is_numeric($result) ) ;
else
	die($traduttore->traduci('Impossibile continuare perché la richiesta non si trova nello stato corretto!'));
	
if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;

$sql = "SELECT pathPublicShapeWeb FROM Commesse WHERE IDCommessa=$IdCommessa";

$upload_dir = ntxScalar($sql).'\\FotoRichieste';

if ( !is_dir($upload_dir) ) mkdir($upload_dir);

if(trim($_FILES["upfile"]["name"]) == "")
	die($traduttore->traduci('Non hai indicato il file da uploadare!'));

if($_FILES["upfile"]["size"]==0)
	die($traduttore->traduci('Upload fallito, controllare dimensione del file!'));
$allowed_types = array
(
	"image/png"
	,"image/x-png"
	,"image/pjpeg"
	,"image/jpeg"
	,"image/jpg"
);


if(!in_array($_FILES["upfile"]["type"], $allowed_types))
	die($traduttore->traduci('Solo jpeg e png.'));

$index = strrpos($_FILES["upfile"]["name"], ".");

if ( is_numeric($index) )
	$ext = substr($_FILES["upfile"]["name"], $index);

$table = new NtxTable("FotoRichieste");		

$Insert = $table->insert();			   
 
$Insert->set("PathRelativa", '');  
$Insert->set("IdCommessa", $IdCommessa);  
$Insert->set("IdRichiesta", $IdRichiesta);  
$Insert->set("FotoPrincipale", 0);  

$Insert->execute();

$IdFoto = ntxId();

$dest_path_rel = "FotoRichieste_{$IdCommessa}_{$IdFoto}{$ext}";
$dest_path = "$upload_dir\\$dest_path_rel";
$dest_path_rel = "FotoRichieste\\\\$dest_path_rel";

if(@is_uploaded_file($_FILES["upfile"]["tmp_name"])) 
	@move_uploaded_file($_FILES["upfile"]["tmp_name"], $dest_path) 
		or die($traduttore->traduci('Impossibile spostare il file, controlla l\'esistenza o i permessi della directory dove fare l\'upload.'));
else
	die($traduttore->traduci('Problemi nell\'upload del file.'));

$update = $table->update();			   
 
$update->set("PathRelativa", $dest_path_rel);  

$update->where("IdCommessa", $IdCommessa);  
$update->where("Id", $IdFoto);  

$update->execute();

echo $traduttore->traduci('L\'upload del file è avvenuto correttamente.');

?> 
<?php $traduttore->Salva(); ?>
<script>
parent.formRefresh.submit();
</script>