<?php  

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
SELECT DISTINCT 
	tblUtUtilizzatori.IdUtilizzatore,
	tblUtUtilizzatori.CodiceUtilizzatore, 
	tblUtUtilizzatori.Nome, 
	tblUtUtilizzatori.Descrizione, 
	tblUtUtilizzatori.Nota, 
	tblUtUtilizzatori.cdc, 
	TipiUtilizzatori2.Tipo AS NomeTipo2
FROM         
	ElencoEdifici 
	INNER JOIN
	UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
	INNER JOIN
	Utenti ON UtentiEdifici.IdUtente = Utenti.Id
	INNER JOIN
	tblUtEdifici ON ElencoEdifici.IdCommessa = tblUtEdifici.IdCommessa AND ElencoEdifici.ID = tblUtEdifici.IdEdificio 
	INNER JOIN
	tblUtUtilizzatori ON tblUtEdifici.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtEdifici.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	LEFT OUTER JOIN
	TipiUtilizzatori2 ON tblUtUtilizzatori.TipoUtilizzatore2 = TipiUtilizzatori2.IdTipo AND tblUtUtilizzatori.IdCommessa = TipiUtilizzatori2.IdCommessa
	
WHERE    
	(tblUtUtilizzatori.IdCommessa = $IdCommessa)  
sql;

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (tblUtEdifici.IdEdificio = $IdEdificio) ";
}
else
	$IdEdificio = '';

if ( isset($_POST['CodiceUtilizzatore'])  &&  strlen($_POST['CodiceUtilizzatore'])>0) 
{
	$str = stripslashes($_POST['CodiceUtilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.CodiceUtilizzatore = '$str' ";
}

if ( isset($_POST['Nome'])  &&  strlen($_POST['Nome'])>0) 
{
	$str = stripslashes($_POST['Nome']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Nome LIKE '%$str%' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Descrizione  LIKE '%$str%' ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Indirizzo LIKE '%$str%' ";
}

if ( isset($_POST['Nota'])  &&  strlen($_POST['Nota'])>0) 
{
	$str = stripslashes($_POST['Nota']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Nota LIKE '%$str%' ";
}

if ( isset($_POST['cdc'])  &&  strlen($_POST['cdc'])>0) 
{
	$str = stripslashes($_POST['cdc']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.cdc = '$str' ";
} 

if ( isset($_POST['cde'])  &&  strlen($_POST['cde'])>0) 
{
	$str = stripslashes($_POST['cde']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND ElencoEdifici.Codice = '$str' ";
} 

if ( isset($_POST['TipiUtilizzatori'])  &&  strlen($_POST['TipiUtilizzatori'])>0) 
{
	$str = stripslashes($_POST['TipiUtilizzatori']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.TipoUtilizzatore = '$str' ";
} 

if ( isset($_POST['ClasseUtilizzatore'])  &&  strlen($_POST['ClasseUtilizzatore'])>0) 
{
	$str = stripslashes($_POST['ClasseUtilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.ClasseUtilizzatore = '$str' ";
} 

if ( is_numeric($_POST['IdEdificioRic'])) 
{
	$value = (int)$_POST['IdEdificioRic'];
	$sql .= " AND (tblUtEdifici.IdEdificio = $value) ";
} 
?>
