<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$where = "WHERE PortineriaGestioneChiavi.IdCommessa=$IdCommessa AND PortineriaGestioneChiavi.IdEdificio=$IdEdificio";

if ( $_POST[chkFiltraPerPortiere]  &&  is_numeric("$_POST[Portiere]") ) $where .= " AND PortineriaGestioneChiavi.Portiere=".(int)$_POST[Portiere];

if ( is_numeric("$_POST[TipoDocIdentità]") ) $where .= " AND PortineriaGestioneChiavi.TipoDocIdentità=".(int)$_POST[TipoDocIdentità];

if ( strlen("$_POST[NomeAffidamento]")>0 ) $where .= " AND PortineriaGestioneChiavi.NomeAffidamento LIKE '%".str_replace("'","''",$_POST[NomeAffidamento])."%'";

if ( strlen("$_POST[ReferenteOspite]")>0 ) $where .= " AND PortineriaGestioneChiavi.ReferenteOspite LIKE '%".str_replace("'","''",$_POST[ReferenteOspite])."%'";

if ( strlen("$_POST[NumDocIdentità]")>0 ) $where .= " AND PortineriaGestioneChiavi.NumDocIdentità LIKE '%".str_replace("'","''",$_POST[NumDocIdentità])."%'";

if ( strlen("$_POST[Note]")>0 ) $where .= " AND PortineriaGestioneChiavi.Note LIKE '%".str_replace("'","''",$_POST[Note])."%'";

$sql = <<< sql
	SELECT     PortineriaGestioneChiavi.Id, PortineriaGestioneChiavi.NomeAffidamento, PortineriaGestioneChiavi.DataOraAffidamento, 
                      PortineriaGestioneChiavi.DataOraRestituzione, PortineriaGestioneChiavi.NumDocIdentità, PortineriaGestioneChiavi.ScansioneDocIdentità, 
                      PortineriaGestioneChiavi.Note, Risorse.NOME AS Portiere, TipiDocIdentità.TipoDocIdentità, PortineriaGestioneChiavi.Chiave, PortineriaChiavi.Codice, 
                      PortineriaChiavi.Descrizione
	FROM         PortineriaGestioneChiavi INNER JOIN
                      PortineriaChiavi ON PortineriaGestioneChiavi.Chiave = PortineriaChiavi.Id LEFT OUTER JOIN
                      TipiDocIdentità ON PortineriaGestioneChiavi.TipoDocIdentità = TipiDocIdentità.Id LEFT OUTER JOIN
                      Risorse ON PortineriaGestioneChiavi.Portiere = Risorse.ID
  $where
sql;

$paginazione = ntxPaginazione($sql, "Id desc");

$query = $paginazione->query;

if ( !$_POST[no_edit] ) $edit = "<th>"; else $edit = "";

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>
			<th>Id
			<th>Portiere
			<th>NomeAffidamento
			<th>Chiave
			<th>DataOraAffidamento
			<th>DataOraRestituzione
			<th>TipoDocIdentità
			<th>NumDocIdentità
			<th>Note
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";

	$Tint = ntxRoundThousand($rs[Tint], 2);
	
	$rs[DataOraAffidamento] = ntxDateTime($rs[DataOraAffidamento]);
	$rs[DataOraRestituzione] = ntxDateTime($rs[DataOraRestituzione]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( !$_POST[no_edit] ) 
		$edit = "<td><input type=button value=edit onclick=\"objCodice.CaricaForm('$rs[Id]')\" />"; 
	else 
		$edit = "";

	if ( $rs[InCommessa] )
		$checked = "checked";
	else
		$checked = "";
		
	$table .= <<< table
		<tr $classTr>
			<td><input type=button value=compila onclick="objCodice.CompilaForm('$rs[Id]')" />
			<td><input type=button value=edit onclick="objCodice.CaricaForm('$rs[Id]')" />
			<td><input type=checkbox SelRiga IdRiga="$rs[Id]" />
			<td>$html[Id]
			<td>$html[Portiere]
			<td>$html[NomeAffidamento]
			<td>$html[Chiave] - $html[Codice] - $html[Descrizione]
			<td>$html[DataOraAffidamento]
			<td>$html[DataOraRestituzione]
			<td>$html[TipoDocIdentità]
			<td>$html[NumDocIdentità]
			<td>$html[Note]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
