<?php

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x = $_POST[map_x];
$y = $_POST[map_y];
$dx = $_POST[dx];
$dy = $_POST[dy];

$y = $dy - $y;

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

$x2 = $x * $dx2 / $dx + $minx;
$y2 = $y * $dy2 / $dy + $miny;

$point = ntxs("$x2;$y2");

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$sql = <<< sql
	SELECT TOP 1 Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente, Ambiente.MQ, DestinazioniDuso.Destinazione
	FROM         Ambiente INNER JOIN
						  DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
						  Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 

	AND dbo.WindingNumberVani($point, Ambiente.IdCommessa, Ambiente.IdEdificio, Ambiente.IdAmbiente)=1
sql;

$query = ntxQuery($sql);

$tableDyn = "";

while ( $rs = ntxRecord($query) )
{
	$rs[MQ] = ntxRoundThousand($rs[MQ], 2);
	
	$IDAmbiente = $rs[IDAmbiente];
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$tableFix .= <<< tableFix
		<tr>
			<td>$html[IDAmbiente]
			<td>$html[CodiceAssAmbiente]
			<td>$html[Destinazione]
			<td>$html[MQ]
tableFix;
}

$result = <<< result
	<table class=grid>
		<tr>
			<th>ID
			<th>Codice
			<th>Des.Uso
			<th>MQ
			$tableFix
	</table>
result;

if ( !is_numeric($IDAmbiente) )
	jhp($result);

$where = "WHERE     (tblUtPersonale.IdCommessa = $IdCommessa)";

$where .= " AND tblUtPersonale.Studente=1 ";

$where .= " AND (Ambiente.IdEdificio = $IdEdificio) ";

$where .= " AND (Ambiente.IDAmbiente = $IDAmbiente) ";

$where .= " AND tblUtPersAmbienti.DataInizio<=getdate() and getdate()<=tblUtPersAmbienti.DataFine ";

$sql = <<< sql
	SELECT  DISTINCT   tblUtPersonale.IdPersona, tblUtPersonale.Studente, tblUtPersonale.Codice, tblUtPersonale.Nome, 
						Ambiente.CodiceAssAmbiente, tblUtPersAmbienti.Proprietario, tblUtPersAmbienti.Note,
						tblUtPersAmbienti.DataInizio, tblUtPersAmbienti.DataFine,
						
						(SELECT     TOP (1) Entrato
							FROM         EntrataUscitaStudenti
							WHERE     (IdCommessa = tblUtPersonale.IdCommessa) AND (IdEdificio = Ambiente.IdEdificio) AND (IdPersona = tblUtPersonale.IdPersona)
							ORDER BY DataOra DESC) Entrato,
						
						(SELECT     TOP (1) DataOra
							FROM         EntrataUscitaStudenti
							WHERE     (IdCommessa = tblUtPersonale.IdCommessa) AND (IdEdificio = Ambiente.IdEdificio) AND (IdPersona = tblUtPersonale.IdPersona)
							ORDER BY DataOra DESC) DataOra
							
	FROM         tblUtPersonale LEFT JOIN
                      tblUtPersAmbienti ON tblUtPersonale.IdCommessa = tblUtPersAmbienti.IdCommessa AND 
                      tblUtPersonale.IdPersona = tblUtPersAmbienti.IdPersona LEFT JOIN
                      Ambiente ON tblUtPersAmbienti.IdCommessa = Ambiente.IdCommessa AND tblUtPersAmbienti.IdEdificio = Ambiente.IdEdificio AND 
                      tblUtPersAmbienti.IdAmbiente = Ambiente.IDAmbiente
	$where
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Nome
			<th>Entrato
			<th>Uscito
			<th>Data/Ora
			<th>
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$Entrato = $rs[Entrato] ? "X" : "";
	$Uscito = !$rs[Entrato]  &&  $rs[DataOra] ? "X" : "";
	$Studente = $rs[Studente] ? "X" : "";
	$Proprietario = $rs[Proprietario] ? "X" : "";
	$DataInizio = ntxDate($rs[DataInizio]);
	$DataFine = ntxDate($rs[DataFine]);
	$DataOra = ntxDateTime($rs[DataOra]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td><input type=button value=sel onclick="SelStudente($rs[IdPersona])" />
			<td>$html[Nome]
			<td TabellaStudenti IdPersona=$rs[IdPersona] Entrato>$Entrato
			<td TabellaStudenti IdPersona=$rs[IdPersona] Uscito>$Uscito
			<td TabellaStudenti IdPersona=$rs[IdPersona] DataOra>$DataOra
			<td><a href="javascript:EntraEsceStudente($rs[IdPersona], $IdEdificio)" style="display:block;border:solid black 1px"><img width=16px src="img/io.png" /></a>
table;
	
	$alternate = !$alternate;
}

$table .= "</table>";

$result .= <<< result
	<br>
	$table
result;

jhp($result);

?>
