<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$where = "WHERE PortineriaGestioneAccessi.IdCommessa=$IdCommessa AND PortineriaGestioneAccessi.IdEdificio=$IdEdificio";

if ( $_POST[chkFiltraPerPortiere]  &&  is_numeric("$_POST[Portiere]") ) $where .= " AND PortineriaGestioneAccessi.Portiere=".(int)$_POST[Portiere];

if ( is_numeric("$_POST[MotivoAccesso]") ) $where .= " AND PortineriaGestioneAccessi.MotivoAccesso=".(int)$_POST[MotivoAccesso];

if ( is_numeric("$_POST[TipoDocIdentità]") ) $where .= " AND PortineriaGestioneAccessi.TipoDocIdentità=".(int)$_POST[TipoDocIdentità];

if ( strlen("$_POST[NomeOspite]")>0 ) $where .= " AND PortineriaGestioneAccessi.NomeOspite LIKE '%".str_replace("'","''",$_POST[NomeOspite])."%'";

if ( strlen("$_POST[ReferenteOspite]")>0 ) $where .= " AND PortineriaGestioneAccessi.ReferenteOspite LIKE '%".str_replace("'","''",$_POST[ReferenteOspite])."%'";

if ( strlen("$_POST[NumDocIdentità]")>0 ) $where .= " AND PortineriaGestioneAccessi.NumDocIdentità LIKE '%".str_replace("'","''",$_POST[NumDocIdentità])."%'";

if ( strlen("$_POST[Note]")>0 ) $where .= " AND PortineriaGestioneAccessi.Note LIKE '%".str_replace("'","''",$_POST[Note])."%'";

if ( strlen("$_POST[NomeAzienda]")>0 ) $where .= " AND PortineriaGestioneAccessi.NomeAzienda LIKE '%".str_replace("'","''",$_POST[NomeAzienda])."%'";

if ( strlen("$_POST[Targa]")>0 ) $where .= " AND PortineriaGestioneAccessi.Targa LIKE '%".str_replace("'","''",$_POST[Targa])."%'";

if ( strlen("$_POST[DataOraIngresso]")>0 ) $where .= " AND (PortineriaGestioneAccessi.DataOraIngresso BETWEEN dbo.CDate('" . $_POST[DataOraIngresso] . " 00:00')  AND dbo.CDate('" . $_POST[DataOraIngresso] . " 23:59') ) ";

if ( strlen("$_POST[DataOraUscita]")>0 ) $where .= " AND (PortineriaGestioneAccessi.DataOraUscita BETWEEN dbo.CDate('" . $_POST[DataOraUscita] . " 00:00')  AND dbo.CDate('" . $_POST[DataOraUscita] . " 23:59') ) ";

$sql = <<< sql
	SELECT     PortineriaGestioneAccessi.Id, PortineriaGestioneAccessi.NomeOspite, PortineriaGestioneAccessi.DataOraIngresso, 
                      PortineriaGestioneAccessi.DataOraUscita, PortineriaGestioneAccessi.ReferenteOspite, PortineriaGestioneAccessi.NumDocIdentità, 
                      PortineriaGestioneAccessi.ScansioneDocIdentità, PortineriaGestioneAccessi.Note, PortineriaGestioneAccessi.NomeAzienda, PortineriaGestioneAccessi.Targa, Risorse.NOME AS Portiere, TipiDocIdentità.TipoDocIdentità, 
                      PortineriaMotiviAccesso.MotivoAccesso
	FROM         PortineriaGestioneAccessi LEFT OUTER JOIN
                      PortineriaMotiviAccesso ON PortineriaGestioneAccessi.IdCommessa = PortineriaMotiviAccesso.IdCommessa AND 
                      PortineriaGestioneAccessi.MotivoAccesso = PortineriaMotiviAccesso.Id LEFT OUTER JOIN
                      TipiDocIdentità ON PortineriaGestioneAccessi.TipoDocIdentità = TipiDocIdentità.Id 
					  LEFT OUTER JOIN Risorse ON PortineriaGestioneAccessi.Portiere = Risorse.ID
	$where
sql;

$paginazione = ntxPaginazione($sql, "Id desc");

$query = $paginazione->query;

if ( !$_POST[no_edit] ) {
	$edit1 = "<th>"; 
} else {
	$edit1 = "";
}

$table = <<< table
	<table class=grid>
		<tr>
			$edit1
			$edit1
			$edit1
			<th>Id
			<th>Portiere
			<th>Nome Ospite
			<th>Motivo Accesso
			<th>Data Ora Ingresso
			<th>Data Ora Uscita
			<th>Note
			<th>Nome Azienda
			<th>Targa
			<th>Referente Ospite
			<th>Tipo Doc Identità
			<th>Num Doc Identità
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";

	$Tint = ntxRoundThousand($rs[Tint], 2);
	
	$rs[DataOraIngresso] = ntxDateTime($rs[DataOraIngresso]);
	$rs[DataOraUscita] = ntxDateTime($rs[DataOraUscita]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( $rs[InCommessa] )
		$checked = "checked";
	else
		$checked = "";
	
  if ( !$_POST[no_edit] ) { 
    $edit1 = <<< _TABLE
		<td><input type=button value=compila onclick="objCodice.CompilaForm('$rs[Id]')" />
		<td><input type=button value=edit onclick="objCodice.CaricaForm('$rs[Id]')" />
		<td><input type=checkbox SelRiga IdRiga="$rs[Id]" />
_TABLE;
  } else {
    $edit1 = ""; 
  }
   
	$table .= <<< table
		<tr $classTr>
			$edit1
			<td>$html[Id]
			<td>$html[Portiere]
			<td>$html[NomeOspite]
			<td>$html[MotivoAccesso]
			<td>$html[DataOraIngresso]
			<td>$html[DataOraUscita]
			<td>$html[Note]
			<td>$html[NomeAzienda]
			<td>$html[Targa]
			<td>$html[ReferenteOspite]
			<td>$html[TipoDocIdentità]
			<td>$html[NumDocIdentità]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
