<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$where = "WHERE PortineriaGestioneAccessi.IdCommessa=$IdCommessa AND PortineriaGestioneAccessi.IdEdificio=$IdEdificio";

if ( is_numeric("$_POST[Portiere]") ) $where .= " AND PortineriaGestioneAccessi.Portiere=".(int)$_POST[Portiere];

if ( is_numeric("$_POST[MotivoAccesso]") ) $where .= " AND PortineriaGestioneAccessi.MotivoAccesso=".(int)$_POST[MotivoAccesso];

if ( is_numeric("$_POST[TipoDocIdentità]") ) $where .= " AND PortineriaGestioneAccessi.TipoDocIdentità=".(int)$_POST[TipoDocIdentità];

if ( strlen("$_POST[NomeOspite]")>0 ) $where .= " AND PortineriaGestioneAccessi.NomeOspite LIKE '%".str_replace("'","''",$_POST[NomeOspite])."%'";

if ( strlen("$_POST[ReferenteOspite]")>0 ) $where .= " AND PortineriaGestioneAccessi.ReferenteOspite LIKE '%".str_replace("'","''",$_POST[ReferenteOspite])."%'";

if ( strlen("$_POST[NumDocIdentità]")>0 ) $where .= " AND PortineriaGestioneAccessi.NumDocIdentità LIKE '%".str_replace("'","''",$_POST[NumDocIdentità])."%'";

if ( strlen("$_POST[Note]")>0 ) $where .= " AND PortineriaGestioneAccessi.Note LIKE '%".str_replace("'","''",$_POST[Note])."%'";

$sql = <<< sql
	SELECT     PortineriaGestioneAccessi.Id, PortineriaGestioneAccessi.NomeOspite, PortineriaGestioneAccessi.DataOraIngresso, 
                      PortineriaGestioneAccessi.DataOraUscita, PortineriaGestioneAccessi.ReferenteOspite, PortineriaGestioneAccessi.NumDocIdentità, 
                      PortineriaGestioneAccessi.ScansioneDocIdentità, PortineriaGestioneAccessi.Note, Risorse.NOME AS Portiere, TipiDocIdentità.TipoDocIdentità, 
                      PortineriaMotiviAccesso.MotivoAccesso
	FROM         PortineriaGestioneAccessi LEFT OUTER JOIN
                      PortineriaMotiviAccesso ON PortineriaGestioneAccessi.IdCommessa = PortineriaMotiviAccesso.IdCommessa AND 
                      PortineriaGestioneAccessi.MotivoAccesso = PortineriaMotiviAccesso.Id LEFT OUTER JOIN
                      TipiDocIdentità ON PortineriaGestioneAccessi.TipoDocIdentità = TipiDocIdentità.Id LEFT OUTER JOIN
                      Risorse ON PortineriaGestioneAccessi.Portiere = Risorse.ID
	$where
sql;

$paginazione = ntxPaginazione($sql, "Id desc");

$query = $paginazione->query;

if ( !$_POST[no_edit] ) $edit = "<th>"; else $edit = "";

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Id
			<th>Portiere
			<th>NomeOspite
			<th>MotivoAccesso
			<th>DataOraIngresso
			<th>DataOraUscita
			<th>ReferenteOspite
			<th>TipoDocIdentità
			<th>NumDocIdentità
			<th>Note
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";

	$Tint = ntxRoundThousand($rs[Tint], 2);
	
	$rs[DataOraIngresso] = ntxDateTime($rs[DataOraIngresso]);
	$rs[DataOraUscita] = ntxDateTime($rs[DataOraUscita]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( !$_POST[no_edit] ) 
		$edit = "<td><input type=button value=sel onclick=\"objCodice.CaricaForm('$rs[Id]')\" />"; 
	else 
		$edit = "";

	if ( $rs[InCommessa] )
		$checked = "checked";
	else
		$checked = "";
		
	$table .= <<< table
		<tr $classTr>
			$edit
			<td>$html[Id]
			<td>$html[Portiere]
			<td>$html[NomeOspite]
			<td>$html[MotivoAccesso]
			<td>$html[DataOraIngresso]
			<td>$html[DataOraUscita]
			<td>$html[ReferenteOspite]
			<td>$html[TipoDocIdentità]
			<td>$html[NumDocIdentità]
			<td>$html[Note]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
