<?php  
session_start();

require_once("../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require($_SERVER['DOCUMENT_ROOT'].'/repository/php/str_split.php');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<link href="progetti_print.css" rel="stylesheet" type="text/css">
		
		<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
		<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	</head>
<body>

<form class="printSettings" >
	<input type="checkbox"  checked onclick="$('.clsProgetto').toggle();" />Progetto<br>
	<input type="checkbox"  checked onclick="$('.clsEvento').toggle();" />Eventi<br>
	<input type="checkbox"  checked onclick="$('.clsArgomento').toggle();" />Argomenti<br>
	<input type="checkbox"  checked onclick="$('.clsAzioni').toggle();" />Azioni<br>
	<input type="checkbox"  checked onclick="$('.clsVerifiche').toggle();" />Verifiche<br>
</form>


<?php
$IdCommessa = ntxise('IdCommessa');
$IdProgetto = ntxip('IdProgetto');


require('excel_query_progetto.php');

$query = ntxQuery($sql); 

$rs = ntxRecord($query );
?>
<table class="tblF clsProgetto" >
	<caption> <?php echo htmlentities($rs[Nome]) ?>
	
	<tr>
		<th> Descr
		<td> <?php echo htmlentities($rs[Descrizione]) ?>
	</tr>
	
	<tr>
		<th> Inizio
		<td> <?php echo ntxDateTime($rs[DataInizio]) ?>
	</tr>	
	
	<tr>
		<th> Fine
		<td> <?php echo ntxDateTime($rs[DataFine]) ?>
	</tr>
	
	<tr>
		<th> Status
		<td> <?php echo htmlentities($rs[Stato]) ?>
	</tr>
	
	<tr>
		<th> Risorse
		<td> 
			<ul>
			<?php 
			require('excel_query_progetto_risorse.php');
			
			$queryTmp = ntxQuery($sql); 
			
			while( $rsTmp = ntxRecord($queryTmp) )
			{ 
				echo "<li>".htmlentities($rsTmp[Risorsa])."</li>"; 
			}
			?>
			</ul>	
	</tr>
</table>
 
<br></br> 
 
<?php
require('excel_query_eventi.php');

$query = ntxQuery($sql); 
?>

<table class="tbl0 clsEvento">
<?php
while( $rs = ntxRecord($query) )
{
	$IdEvento = $rs[IdEvento];
?>
		<tr>			
			<td  > <span class="titoloCella" ><?php echo ntxDate( $rs[Data] ) ?></span>
		</tr>

		<tr>	
			<td  >  
			<td  > <?php echo htmlentities( $rs[Luogo] ) ?> 		
			<td  > <?php echo htmlentities( $rs[Oggetto] ) ?> 
		</tr>
		
		<tr>	
			<td  >  
			<th  colspan="2" > <strong><?php echo htmlentities( $rs[Descrizione] ) ?></strong>	
		</tr>		
			
		<tr>
			<td  >  
			<td  colspan="2" >  
				<ul>
				<?php 
				require('excel_query_eventi_risorse.php');
				
				$queryTmp = ntxQuery($sql); 
				
				while( $rsTmp = ntxRecord($queryTmp) )
				{ 
					echo "<li>".htmlentities($rsTmp[Risorsa])."</li>"; 
				}
				?>
				</ul>	
		
		
		<tr >
			<td>
			<td colspan="2">
			
			<table class="tbl1 clsArgomento">
			<?php 
			require('excel_query_argomenti.php');

			$query1 = ntxQuery($sql); 
			 
			while( $rs1 = ntxRecord($query1) )
			{ 
				$IdArgomento = $rs1[IdArgomento];
			?>
				<tr>
					<th  > <span class="titoloCella" > <?php echo htmlentities($rs1[Ordine]) ?></span>
					<td  > <strong> <?php echo htmlentities($rs1[Descrizione]) ?> </strong>
				</tr>
				
				<tr>
					<td>
					<td   > <?php echo htmlentities($rs1[Testo]) ?>
				</tr>		
					
				<tr>
					<td>
					<td>
						<table class="tbl2 clsAzioni ">
						<?php 
						require('excel_query_azioni.php');

						$query2 = ntxQuery($sql); 
						 
						while( $rs2 = ntxRecord($query2) )
						{ 
							$IdAzione = $rs2[IdAzione];
						?>
							<tr>
								<th  colspan="2" > <span class="titoloCella" > <?php echo htmlentities($rs2[Nome]) ?></span> 
							</tr>
							
							<tr>
								<th  > Descr
								<td  > <?php echo htmlentities($rs2[Descrizione]) ?>
							</tr>
							
							<tr>
								<th  > InizioP / FineP
								<td  > 
									<?php echo ntxDateTime($rs2[DataInizio]) ?>
									<?php echo ntxDateTime($rs2[DataFine]) ?>
							</tr>	
							
							<tr>
								<th  > InizioE / FineE
								<td  > 
									<?php echo ntxDateTime($rs2[DataInizioE]) ?>
									<?php echo ntxDateTime($rs2[DataFineE]) ?>
							</tr>	
							
							<tr>
								<th  > Status
								<td  > <?php echo htmlentities($rs2[Stato]) ?>
							</tr>
							
							<tr>
								<th  > Tipo
								<td  > <?php echo htmlentities($rs2[Tipo]) ?>
							</tr>
							
							<tr>
								<th  > Risorsa
								<td  > <?php echo htmlentities($rs2[Risorsa]) ?>	
							</tr>
							
							<tr>		
							<td>
							<td>
								<table class="tbl3 clsVerifiche">							
								<?php
								require('excel_query_verifiche.php');

								$query3 = ntxQuery($sql); 
								 
									
								while( $rs3 = ntxRecord($query3) )
								{
									$IdVerifica = $rs3[IdVerifica];
								?>
									<tr>
										<th  colspan="2" > <span class="titoloCella" > <?php echo htmlentities($rs3[Nome]) ?></span> 
									</tr>
									
									<tr>
										<th  > Descr
										<td  > <?php echo htmlentities($rs3[Descrizione]) ?>
									</tr>
									
									<tr>
										<th  > InizioP / FineP
										<td  > 
											<?php echo ntxDateTime($rs3[DataInizio]) ?>
											<?php echo ntxDateTime($rs3[DataFine]) ?>
									</tr>	
									
									<tr>
										<th  > InizioE / FineE
										<td  > 
											<?php echo ntxDateTime($rs3[DataInizioE]) ?>
											<?php echo ntxDateTime($rs3[DataFineE]) ?>
									</tr>	
									
									<tr>
										<th  > Status
										<td  > <?php echo htmlentities($rs3[Stato]) ?>
									</tr>
									
									<tr>
										<th  > Risorsa
										<td  > <?php echo htmlentities($rs3[Risorsa]) ?>	
									</tr>
							<?php
							} 
							?>
							</table> 	
							
							<tr>
								<td class="noCell" colspan="2" >&nbsp;	 
						<?php
						} 
						?>	
						</table>
				<tr>
					<td class="noCell" colspan="2" >&nbsp;	
			<?php
			} 
			?>
			</table>
	</tr>

	<tr>
		<td class="noCell" colspan="3" >&nbsp;	
<?php
} 
?>
</table>


</body>
</html>