<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_253", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_253", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');

$ElencoIdEdifici = "$_POST[ElencoIdEdifici]";

if ( $ElencoIdEdifici=="" || !ntxIsListOfNumber($ElencoIdEdifici) )
	jhp_error($traduttore->traduci('Seleziona almeno un edificio!'));

$ElencoIdEdifici = explode(",","$_POST[ElencoIdEdifici]");

$sqlElencoIdEdifici = "";

foreach($ElencoIdEdifici as $IdEdificio)
{
	if ( is_numeric($IdEdificio) )
	{
		if ( $sqlElencoIdEdifici!="" ) $sqlElencoIdEdifici .= ",";
		
		$sqlElencoIdEdifici .= (int)$IdEdificio;
	}		
}

$DataInizio = ntxtp('DataInizio', false);

$table = new NtxTable('ClrsTestateSchemi');

$insert = $table->insert();

$insert->init();

$insert->setse('IdCommessa');
$insert->setp('Nome', 'NomeSchema');
$insert->setp('DataInizioPrg', 'DataInizio');
$insert->set('DataInserimento', 'getdate()', true);

$insert->execute();

$IdTestata = ntxId();

// attività per edifici
$sql = <<< sql
	INSERT INTO ClrsSchemi
						  (IdTestata, UsaAttivitàUtilizzatori, Tipo, IdCommessa, IdEdificio, IdAttivitàMestiere, UsaAttivitàVani, DurataAttivitàInGiorni, Lun, Mar, Mer, Gio, Ven, Sab, Dom, 
						  MeseInizio, SettimanaInizio, Valore, FrequenzaMensile, IdFrequenza, ListaControlloObbligatoria, AttivitàDiLettura)
	SELECT     $IdTestata AS IdTestata, ElencoEdifici.ClrsUsaAttivitàUtilizzatori, 0 AS TipoAttività, ClrsAttivitàEdifici.IdCommessa, ClrsAttivitàEdifici.IdEdificio, 
						  ClrsAttivitàEdifici.IdAttivitàMestiere, ClrsAttivitàEdifici.UsaAttivitàVani, ClrsAttivitàEdifici.DurataAttivitàInGiorni, ClrsAttivitàEdifici.Lun, ClrsAttivitàEdifici.Mar, 
						  ClrsAttivitàEdifici.Mer, ClrsAttivitàEdifici.Gio, ClrsAttivitàEdifici.Ven, ClrsAttivitàEdifici.Sab, ClrsAttivitàEdifici.Dom, ClrsAttivitàEdifici.MeseInizio, 
						  ClrsAttivitàEdifici.SettimanaInizio, ClrsAttivitàEdifici.Valore, ClrsAttivitàEdifici.FrequenzaMensile, tblAttivitàMestiere.IdFrequenza,
					  tblAttivitàMestiere.ListaControlloObbligatoria, tblAttivitàMestiere.AttivitàDiLettura
	FROM         ElencoEdifici INNER JOIN
						  ClrsAttivitàEdifici ON ElencoEdifici.IdCommessa = ClrsAttivitàEdifici.IdCommessa AND ElencoEdifici.ID = ClrsAttivitàEdifici.IdEdificio INNER JOIN
						  tblAttivitàMestiere ON ClrsAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
						  ClrsAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	WHERE     (ElencoEdifici.IdCommessa = $IdCommessa) 
		AND (ElencoEdifici.ID IN ($sqlElencoIdEdifici)) 
		AND (ElencoEdifici.ClrsUsaAttivitàUtilizzatori = 0 OR ElencoEdifici.ClrsUsaAttivitàUtilizzatori IS NULL) 
		AND (ClrsAttivitàEdifici.UsaAttivitàVani = 0 OR ClrsAttivitàEdifici.UsaAttivitàVani IS NULL)
sql;

ntxQuery($sql);

// attività per vani sotto edifici
$sql = <<< sql
	INSERT INTO ClrsSchemi
                      (IdTestata, UsaAttivitàUtilizzatori, Tipo, IdCommessa, IdEdificio, IdAttivitàMestiere, UsaAttivitàVani, DurataAttivitàInGiorni, Lun, Mar, Mer, Gio, Ven, Sab, Dom, 
                      MeseInizio, SettimanaInizio, Valore, FrequenzaMensile, IdFrequenza, IdAmbiente, IdCaratteristica, IdDesUsoAmb, ListaControlloObbligatoria, AttivitàDiLettura)
	SELECT     $IdTestata AS IdTestata, ElencoEdifici.ClrsUsaAttivitàUtilizzatori, 2 AS TipoAttività, ClrsAttivitàVani.IdCommessa, ClrsAttivitàEdifici.IdEdificio, 
                      ClrsAttivitàEdifici.IdAttivitàMestiere, ClrsAttivitàEdifici.UsaAttivitàVani, ClrsAttivitàVani.DurataAttivitàInGiorni, ClrsAttivitàVani.Lun, ClrsAttivitàVani.Mar, 
                      ClrsAttivitàVani.Mer, ClrsAttivitàVani.Gio, ClrsAttivitàVani.Ven, ClrsAttivitàVani.Sab, ClrsAttivitàVani.Dom, ClrsAttivitàVani.MeseInizio, ClrsAttivitàVani.SettimanaInizio, 
                      ClrsAttivitàVani.Valore, ClrsAttivitàVani.FrequenzaMensile, tblAttivitàMestiere.IdFrequenza, ClrsVaniCarDesUso.IdAmbiente, ClrsVaniCarDesUso.IdCaratteristica, 
                      ClrsVaniCarDesUso.IdDesUso,
					  tblAttivitàMestiere.ListaControlloObbligatoria, tblAttivitàMestiere.AttivitàDiLettura
	FROM         ClrsVaniCarDesUso INNER JOIN
                      ClrsAttivitàVani ON ClrsVaniCarDesUso.Id = ClrsAttivitàVani.IdVanoCarDesUso INNER JOIN
                      ElencoEdifici INNER JOIN
                      ClrsAttivitàEdifici ON ElencoEdifici.IdCommessa = ClrsAttivitàEdifici.IdCommessa AND ElencoEdifici.ID = ClrsAttivitàEdifici.IdEdificio INNER JOIN
                      tblAttivitàMestiere ON ClrsAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      ClrsAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere ON ClrsVaniCarDesUso.IdCommessa = ClrsAttivitàEdifici.IdCommessa AND 
                      ClrsVaniCarDesUso.IdEdificio = ClrsAttivitàEdifici.IdEdificio AND ClrsAttivitàVani.IdAttivitàMestiere = ClrsAttivitàEdifici.IdAttivitàMestiere AND 
                      ClrsAttivitàVani.IdCommessa = ClrsAttivitàEdifici.IdCommessa
	WHERE     (ElencoEdifici.IdCommessa = $IdCommessa) 
		AND (ElencoEdifici.ID IN ($sqlElencoIdEdifici)) 
		AND (ClrsVaniCarDesUso.DataInizio <= $DataInizio) 
		AND (ClrsVaniCarDesUso.DataFine >= $DataInizio)
		AND (ElencoEdifici.ClrsUsaAttivitàUtilizzatori = 0 OR ElencoEdifici.ClrsUsaAttivitàUtilizzatori IS NULL) 
		AND (ClrsAttivitàEdifici.UsaAttivitàVani = 1)
sql;

ntxQuery($sql);

// attività per utilizzatori
$sql = <<< sql
	INSERT INTO ClrsSchemi
                      (IdTestata, UsaAttivitàUtilizzatori, Tipo, IdCommessa, IdEdificio, IdAttivitàMestiere, UsaAttivitàVani, DurataAttivitàInGiorni, Lun, Mar, Mer, Gio, Ven, Sab, Dom, 
                      MeseInizio, SettimanaInizio, Valore, FrequenzaMensile, IdFrequenza, IdUtilizzatore, ListaControlloObbligatoria, AttivitàDiLettura)
	SELECT      $IdTestata AS IdTestata, ElencoEdifici.ClrsUsaAttivitàUtilizzatori, 3 AS TipoAttività, ClrsAttivitàUtilizzattori.IdCommessa, ClrsAttivitàUtilizzattori.IdEdificio, 
                      ClrsAttivitàUtilizzattori.IdAttivitàMestiere, ClrsAttivitàUtilizzattori.UsaAttivitàVani, ClrsAttivitàUtilizzattori.DurataAttivitàInGiorni, ClrsAttivitàUtilizzattori.Lun, 
                      ClrsAttivitàUtilizzattori.Mar, ClrsAttivitàUtilizzattori.Mer, ClrsAttivitàUtilizzattori.Gio, ClrsAttivitàUtilizzattori.Ven, ClrsAttivitàUtilizzattori.Sab, 
                      ClrsAttivitàUtilizzattori.Dom, ClrsAttivitàUtilizzattori.MeseInizio, ClrsAttivitàUtilizzattori.SettimanaInizio, ClrsAttivitàUtilizzattori.Valore, 
                      ClrsAttivitàUtilizzattori.FrequenzaMensile, tblAttivitàMestiere.IdFrequenza, ClrsAttivitàUtilizzattori.IdUtilizzatore,
					  tblAttivitàMestiere.ListaControlloObbligatoria, tblAttivitàMestiere.AttivitàDiLettura
	FROM         ElencoEdifici INNER JOIN
                      ClrsAttivitàUtilizzattori ON ElencoEdifici.IdCommessa = ClrsAttivitàUtilizzattori.IdCommessa AND ElencoEdifici.ID = ClrsAttivitàUtilizzattori.IdEdificio INNER JOIN
                      tblAttivitàMestiere ON ClrsAttivitàUtilizzattori.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      ClrsAttivitàUtilizzattori.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	WHERE     (ElencoEdifici.IdCommessa = $IdCommessa) 
		AND (ElencoEdifici.ID IN ($sqlElencoIdEdifici)) 
		AND (ElencoEdifici.ClrsUsaAttivitàUtilizzatori = 1) 
		AND (ClrsAttivitàUtilizzattori.UsaAttivitàVani = 0 OR ClrsAttivitàUtilizzattori.UsaAttivitàVani IS NULL)
sql;

ntxQuery($sql);

// attività per vani sotto utilizzatori
$sql = <<< sql
	INSERT INTO ClrsSchemi
                      (IdTestata, UsaAttivitàUtilizzatori, Tipo, IdCommessa, IdEdificio, IdAttivitàMestiere, UsaAttivitàVani, DurataAttivitàInGiorni, Lun, Mar, Mer, Gio, Ven, Sab, Dom, 
                      MeseInizio, SettimanaInizio, Valore, FrequenzaMensile, IdFrequenza, IdUtilizzatore, IdAmbiente, IdCaratteristica, IdDesUsoAmb, ListaControlloObbligatoria, AttivitàDiLettura)
	SELECT  DISTINCT   $IdTestata AS IdTestata, ElencoEdifici.ClrsUsaAttivitàUtilizzatori, 2 AS TipoAttività, ClrsAttivitàUtilizzattori.IdCommessa, ClrsAttivitàUtilizzattori.IdEdificio, 
                      ClrsAttivitàUtilizzattori.IdAttivitàMestiere, ClrsAttivitàUtilizzattori.UsaAttivitàVani, ClrsAttivitàVani.DurataAttivitàInGiorni, ClrsAttivitàVani.Lun, ClrsAttivitàVani.Mar, 
                      ClrsAttivitàVani.Mer, ClrsAttivitàVani.Gio, ClrsAttivitàVani.Ven, ClrsAttivitàVani.Sab, ClrsAttivitàVani.Dom, ClrsAttivitàVani.MeseInizio, ClrsAttivitàVani.SettimanaInizio, 
                      ClrsAttivitàVani.Valore, ClrsAttivitàVani.FrequenzaMensile, tblAttivitàMestiere.IdFrequenza, ClrsAttivitàUtilizzattori.IdUtilizzatore, ClrsVaniCarDesUso.IdAmbiente, 
                      ClrsVaniCarDesUso.IdCaratteristica, ClrsVaniCarDesUso.IdDesUso,
					  tblAttivitàMestiere.ListaControlloObbligatoria, tblAttivitàMestiere.AttivitàDiLettura
	FROM         ClrsVaniCarDesUso INNER JOIN
                      ClrsAttivitàVani ON ClrsVaniCarDesUso.Id = ClrsAttivitàVani.IdVanoCarDesUso INNER JOIN
                      ElencoEdifici INNER JOIN
                      ClrsAttivitàUtilizzattori ON ElencoEdifici.IdCommessa = ClrsAttivitàUtilizzattori.IdCommessa AND ElencoEdifici.ID = ClrsAttivitàUtilizzattori.IdEdificio INNER JOIN
                      tblAttivitàMestiere ON ClrsAttivitàUtilizzattori.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      ClrsAttivitàUtilizzattori.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere ON ClrsAttivitàVani.IdCommessa = ClrsAttivitàUtilizzattori.IdCommessa AND 
                      ClrsAttivitàVani.IdAttivitàMestiere = ClrsAttivitàUtilizzattori.IdAttivitàMestiere INNER JOIN
                      tblUtAmbienti ON ClrsVaniCarDesUso.IdCommessa = tblUtAmbienti.IdCommessa AND ClrsVaniCarDesUso.IdEdificio = tblUtAmbienti.IdEdificio AND 
                      ClrsVaniCarDesUso.IdAmbiente = tblUtAmbienti.IdAmbiente AND ClrsAttivitàUtilizzattori.IdCommessa = tblUtAmbienti.IdCommessa AND 
                      ClrsAttivitàUtilizzattori.IdEdificio = tblUtAmbienti.IdEdificio AND ClrsAttivitàUtilizzattori.IdUtilizzatore = tblUtAmbienti.IdUtilizzatore
	WHERE     (tblUtAmbienti.DataInizio <= $DataInizio) 
		AND (tblUtAmbienti.DataFine >= $DataInizio)
		AND (ClrsVaniCarDesUso.DataInizio <= $DataInizio) 
		AND (ClrsVaniCarDesUso.DataFine >= $DataInizio)
		AND (ElencoEdifici.IdCommessa = $IdCommessa) 
		AND (ElencoEdifici.ID IN ($sqlElencoIdEdifici)) 
		AND (ElencoEdifici.ClrsUsaAttivitàUtilizzatori = 1) 
		AND (ClrsAttivitàUtilizzattori.UsaAttivitàVani = 1)
sql;

ntxQuery($sql);

$sql = <<< sql
	UPDATE ClrsSchemi SET
		DurataAttivitàInGiorni = ISNULL(DurataAttivitàInGiorni,1), 
		Lun = ISNULL(Lun,0),
		Mar = ISNULL(Mar,0),
		Mer = ISNULL(Mer,0),
		Gio = ISNULL(Gio,0),
		Ven = ISNULL(Ven,0),
		Sab = ISNULL(Sab,0),
		Dom = ISNULL(Dom,0),
		MeseInizio = ISNULL(MeseInizio,1), 
		SettimanaInizio = ISNULL(SettimanaInizio,1), 
		Valore = ISNULL(Valore,0), 
		FrequenzaMensile = ISNULL(FrequenzaMensile,0)
		
	WHERE     (IdTestata = $IdTestata)
sql;

ntxQuery($sql);


// schiaccia dati frequenze
$sql = <<< sql
	INSERT INTO ClrsFrequenzeSchemi
						  (IdTestata, DurataAttivitàInGiorni, Lun, Mar, Mer, Gio, Ven, Sab, Dom, MeseInizio, SettimanaInizio, Valore, FrequenzaMensile)
	SELECT DISTINCT IdTestata, 
		DurataAttivitàInGiorni, 
		Lun,
		Mar,
		Mer,
		Gio,
		Ven,
		Sab,
		Dom,
		MeseInizio, 
		SettimanaInizio, 
		Valore, 
		FrequenzaMensile
 
	FROM         ClrsSchemi
	WHERE     (IdTestata = $IdTestata)
sql;

ntxQuery($sql);

// assegna frequenze schiacciate a schema
$sql = <<< sql
	UPDATE    ClrsSchemi
	SET              IdFreqSchema = ClrsFrequenzeSchemi.Id
	
	FROM         ClrsFrequenzeSchemi INNER JOIN ClrsSchemi 
		ON ClrsFrequenzeSchemi.IdTestata = ClrsSchemi.IdTestata 
			AND ClrsFrequenzeSchemi.Lun = ClrsSchemi.Lun 
			AND ClrsFrequenzeSchemi.Mar = ClrsSchemi.Mar 
			AND ClrsFrequenzeSchemi.Mer = ClrsSchemi.Mer 
			AND ClrsFrequenzeSchemi.Gio = ClrsSchemi.Gio 
			AND ClrsFrequenzeSchemi.Ven = ClrsSchemi.Ven 
			AND ClrsFrequenzeSchemi.Sab = ClrsSchemi.Sab 
			AND ClrsFrequenzeSchemi.Dom = ClrsSchemi.Dom 
			AND ClrsFrequenzeSchemi.MeseInizio = ClrsSchemi.MeseInizio 
			AND ClrsFrequenzeSchemi.SettimanaInizio = ClrsSchemi.SettimanaInizio 
			AND ClrsFrequenzeSchemi.DurataAttivitàInGiorni = ClrsSchemi.DurataAttivitàInGiorni 
			AND ClrsFrequenzeSchemi.Valore = ClrsSchemi.Valore 
			AND ClrsFrequenzeSchemi.FrequenzaMensile = ClrsSchemi.FrequenzaMensile
	WHERE     (ClrsFrequenzeSchemi.IdTestata = $IdTestata)
sql;

ntxQuery($sql);

$traduttore->Salva();

jhp_ok();

?>
