<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_253", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_253", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');

$ElencoIdEdifici = "$_POST[ElencoIdEdifici]";

if ( $ElencoIdEdifici=="" || !ntxIsListOfNumber($ElencoIdEdifici) )
	jhp_error($traduttore->traduci('Seleziona almeno un edificio!'));

$ElencoIdEdifici = explode(",","$_POST[ElencoIdEdifici]");

$sqlElencoIdEdifici = "";

foreach($ElencoIdEdifici as $IdEdificio)
{
	if ( is_numeric($IdEdificio) )
	{
		if ( $sqlElencoIdEdifici!="" ) $sqlElencoIdEdifici .= ",";
		
		$sqlElencoIdEdifici .= (int)$IdEdificio;
	}		
}

$DataInizio = ntxtp('DataInizio', false);
$DataFine = ntxtp('DataFine', false);

$sql = <<< sql
	DELETE FROM ClrsVaniCarDesUso
	WHERE     (ClrsVaniCarDesUso.IdCommessa = $IdCommessa) 
		AND (ClrsVaniCarDesUso.IdEdificio IN ($sqlElencoIdEdifici)) 
		AND (ClrsVaniCarDesUso.DataInizio <= $DataFine) 
		AND (ClrsVaniCarDesUso.DataFine >= $DataInizio)
sql;

ntxQuery($sql);




$sql = <<< sql
	SELECT  Ambiente.*
	FROM         Ambiente INNER JOIN
                      CaratteristicheAmbientiMN ON Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio AND 
                      Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente
	WHERE
		 (Ambiente.IdCommessa = $IdCommessa) 
		AND  (Ambiente.IdEdificio IN ($sqlElencoIdEdifici)) 
		AND (CaratteristicheAmbientiMN.DataInizio <= $DataFine) 
		AND (CaratteristicheAmbientiMN.DataFine >= $DataInizio)
		AND Ambiente.IdDestinazioneduso IS NULL
sql;
$rs = ntxRecord(ntxQuery($sql));
if(is_numeric($rs[IDAmbiente]))
{
	ntxmsgerr("Ambiente \n IdCommessa:$rs[IdCommessa] IdEdificio:$rs[IdEdificio]  IdAmbiente:$rs[IDAmbiente] \nsenza destinazione d'uso! ");
}




$sql = <<< sql
	INSERT INTO ClrsVaniCarDesUso
                      (IdCommessa, IdEdificio, IdAmbiente, IdCaratteristica, DataInizio, DataFine, IdDesUso)
	SELECT     Ambiente.IdCommessa, Ambiente.IdEdificio, Ambiente.IDAmbiente, CaratteristicheAmbientiMN.IdCaratteristicaAmbiente, CaratteristicheAmbientiMN.DataInizio, 
						  CaratteristicheAmbientiMN.DataFine, Ambiente.IdDestinazioneduso
	FROM         Ambiente INNER JOIN
                      CaratteristicheAmbientiMN ON Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio AND 
                      Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente
	WHERE
		 (Ambiente.IdCommessa = $IdCommessa) 
		AND  (Ambiente.IdEdificio IN ($sqlElencoIdEdifici)) 
		AND (CaratteristicheAmbientiMN.DataInizio <= $DataFine) 
		AND (CaratteristicheAmbientiMN.DataFine >= $DataInizio)
sql;

ntxQuery($sql);

$sql = <<< sql
	SELECT COUNT(*) FROM ClrsVaniCarDesUso WHERE IdCommessa=$IdCommessa
		AND (ClrsVaniCarDesUso.IdEdificio IN ($sqlElencoIdEdifici)) 
		AND (ClrsVaniCarDesUso.DataInizio <= $DataFine) 
		AND (ClrsVaniCarDesUso.DataFine >= $DataInizio)
sql;

if ( ntxScalar($sql)==0 )
	jhp_error($traduttore->traduci('Nessuna tripla vani generata!'));

$traduttore->Salva();

jhp_ok();

?>
