<?php

if ( !is_numeric($_SESSION[IdCommessa]) || !is_numeric($_POST[IdEdificio]) )
	die($traduttore->traduci('Seleziona edificio.'));

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$sql = <<< sql
	SELECT     tblMestieri.codice AS CodMes, tblMestieri.Descrizione AS DesMes, tblMestieri.IdMestiere, tblComponetiMestiere.codice AS CodCom, 
                      tblComponetiMestiere.Descrizione AS DesCom, tblComponetiMestiere.IdComponenteMestiere, tblAttivitàMestiere.codice AS CodAtt, 
                      tblAttivitàMestiere.Descrizione AS DesAtt, tblAttivitàMestiere.IdAttivitàMestiere, ClrsAttivitàEdifici.DesFreq, ClrsAttivitàEdifici.Lun, ClrsAttivitàEdifici.Mar, 
                      ClrsAttivitàEdifici.Mer, ClrsAttivitàEdifici.Gio, ClrsAttivitàEdifici.Ven, ClrsAttivitàEdifici.Sab, ClrsAttivitàEdifici.Dom, ClrsAttivitàEdifici.MeseInizio, 
                      ClrsAttivitàEdifici.SettimanaInizio, ClrsAttivitàEdifici.DurataAttivitàInGiorni Durata, ClrsAttivitàEdifici.Id, ClrsAttivitàEdifici.UsaAttivitàVani
						  
	FROM         ClrsAttivitàEdifici INNER JOIN
                      tblAttivitàMestiere ON ClrsAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      ClrsAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
						  
	WHERE     (ClrsAttivitàEdifici.IdCommessa = $IdCommessa) 
			AND (ClrsAttivitàEdifici.IdEdificio = $IdEdificio)
sql;

if ( strlen($_POST[CodMes])>0 ) $sql .= " AND tblMestieri.codice=".ntxsp('CodMes');
if ( strlen($_POST[DesMes])>0 ) $sql .= " AND tblMestieri.Descrizione like '%".str_replace("'","''",$_POST[DesMes])."%'";

if ( strlen($_POST[CodComp])>0 ) $sql .= " AND tblComponetiMestiere.codice=".ntxsp('CodComp');
if ( strlen($_POST[DesComp])>0 ) $sql .= " AND tblComponetiMestiere.Descrizione like '%".str_replace("'","''",$_POST[DesComp])."%'";

if ( strlen($_POST[CodAtt])>0 ) $sql .= " AND tblAttivitàMestiere.codice=".ntxsp('CodAtt');
if ( strlen($_POST[DesAtt])>0 ) $sql .= " AND tblAttivitàMestiere.Descrizione like '%".str_replace("'","''",$_POST[DesAtt])."%'";

if ( is_numeric($_POST[Freq]) ) $sql .= " AND tblAttivitàMestiere.IdFrequenza=".ntxip('Freq');

$sql .= <<< sql
	ORDER BY tblMestieri.Ordine, CodMes, DesMes, tblMestieri.IdMestiere, tblComponetiMestiere.Ordine, CodCom, DesCom, tblComponetiMestiere.IdComponenteMestiere, 
                      tblAttivitàMestiere.Ordine, CodAtt, DesAtt, tblAttivitàMestiere.IdAttivitàMestiere
sql;

$query = ntxQuery($sql);

?>