<?php  
if (!isset($_SESSION)) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once("../../vers.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_255", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_255", "IT", __FILE__);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>

	<script src="js/edificio.js?<?php echo $vers ?>" type="text/javascript"></script>
</head>

<body>

<?php
$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT DISTINCT 
                      ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo,  
                      ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, tblPgPropietari.Nome AS Proprietario, ElencoEdifici.ClrsUsaAttivitàUtilizzatori UsaAttivUtiliz
					  
	FROM         ElencoEdifici LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
					  
	WHERE (ElencoEdifici.IDCommessa = $IdCommessa) 
		AND (	SELECT COUNT(*) 
				FROM ClrsAttivitàEdifici 
				WHERE IdCommessa=ElencoEdifici.IdCommessa 
					AND IdEdificio=ElencoEdifici.ID)>0
					
	ORDER BY Codice, EdificioBreve
sql;

$query = ntxQuery($sql);
?>

<table class="grid"  >
		<tr>
			<th><?php $traduttore->html('Sel1') ?>
			<th><?php $traduttore->html('Sel2') ?>
			<th><?php $traduttore->html('Utiliz') ?>
			<th>                         
			<th><?php $traduttore->html('ID') ?>
			<th><?php $traduttore->html('Codice') ?>
			<th><?php $traduttore->html('Nome Breve') ?>
			<th><?php $traduttore->html('Indirizzo') ?>
			<th><?php $traduttore->html('Comune') ?>
			<th><?php $traduttore->html('Prov') ?>
			<th><?php $traduttore->html('Proprietario') ?>
		</tr>  
<?php
	$alternate = true;

	while(  $query  &&  $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "class=alternate"; 
		
		foreach($rs as $k=>$v)
			$html[$k] = htmlentities($v);
			
		$checkedUsaAttUtil = $rs[UsaAttivUtiliz] ? "checked" : "";
		$styleUsaAttUtil = $rs[UsaAttivUtiliz] ? "style='background:red'" : "";
			
		/*echo <<< echo
	<tr $classe > 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]> 
			<input type=radio name=optSel1 onclick="Sel1_Edificio('$rs[ID]')" IdEdificio=$rs[ID] />	
			
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]> 
			<input type=checkbox IdEdificioSel2=$rs[ID] />
			
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]> 
			<input type=checkbox onclick="UsaAttivitàUtilizzatori('$rs[ID]', this)" $checkedUsaAttUtil />

		<td $styleUsaAttUtil RigaEdificio=$rs[ID]> 
			<input type=button value=utiliz onclick="VaiAdUtilizzatori('$rs[ID]')" />	
			
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[ID] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[Codice] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[EdificioBreve] 

		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[Indirizzo] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[CITTA] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[PROVINCIA] 

		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[Proprietario] 
echo;*/
echo  
	"<tr $classe > 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]> 
			<input type=radio name=optSel1 onclick=\"Sel1_Edificio('$rs[ID]')\" IdEdificio=$rs[ID] />	
			
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]> 
			<input type=checkbox IdEdificioSel2=$rs[ID] />
			
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]> 
			<input type=checkbox onclick=\"UsaAttivitàUtilizzatori('$rs[ID]', this)\" $checkedUsaAttUtil />

		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>"
			."<input type=button value=\"".$traduttore->traduci('Utiliz')."\" onclick=\"VaiAdUtilizzatori('$rs[ID]')\" />"	
			
		."<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[ID] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[Codice] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[EdificioBreve] 

		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[Indirizzo] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[CITTA] 
		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[PROVINCIA] 

		<td $styleUsaAttUtil RigaEdificio=$rs[ID]>$html[Proprietario]"
;

		$alternate = !$alternate;
	}
?>
</table> 


<form name="form1" id="form1" method="post">
	<input type="hidden" name="IdEdificio" value="" />
	<input type="hidden" name="CodMes" value="" />
	<input type="hidden" name="DesMes" value="" />
	<input type="hidden" name="CodComp" value="" />
	<input type="hidden" name="DesComp" value="" />
	<input type="hidden" name="CodAtt" value="" />
	<input type="hidden" name="DesAtt" value="" />
	<input type="hidden" name="Freq" value="" />
</form>
<script>
var messaggi = {
	Seleziona: "<?php $traduttore->js('Devi selezionare un edificio Sel1!') ?>",
	Seleziona_edif: "<?php $traduttore->js('Devi selezionare almeno un edificio Sel2 diverso da Sel1!') ?>",
	Fatto: "<?php $traduttore->js('Fatto') ?>"
	
};
</script>

<?php $traduttore->Salva(); ?>

</body>
</html>