<?php

if ( !$_SESSION ) session_start();

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_254", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_254", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');

$DataInizio = ntxtp('DataInizio', false);
$DataFine = ntxtp('DataFine', false);

$sql = <<< sql
	DELETE FROM ClrsAttivitàVani
	WHERE     (ClrsAttivitàVani.IdCommessa = $IdCommessa) 
sql;

ntxQuery($sql);

$sql = <<< sql
	INSERT INTO ClrsAttivitàVani
						  (IdCommessa, IdAttivitàMestiere, CodFreq, DesFreq, DurataAttivitàInGiorni, Lun, Mar, Mer, Gio, Ven, Sab, Dom, MeseInizio, SettimanaInizio, IdVanoCarDesUso, 
						  
							Valore, FrequenzaMensile)
						  
	SELECT  distinct   tblAttivitàMestiere.IdCommessa, tblAttivitàMestiere.IdAttivitàMestiere, tblFrequenzeMestieri.Codice, tblFrequenzeMestieri.Descrizione, 
						  tblFrequenzeMestieri.DurataAttivitàInGiorni, tblFrequenzeMestieri.Lun, tblFrequenzeMestieri.Mar, tblFrequenzeMestieri.Mer, tblFrequenzeMestieri.Gio, 
						  tblFrequenzeMestieri.Ven, tblFrequenzeMestieri.Sab, tblFrequenzeMestieri.Dom, tblFrequenzeMestieri.MeseInizio, tblFrequenzeMestieri.SettimanaInizio, 
						  ClrsVaniCarDesUso.Id,
						  
						  tblFrequenzeMestieri.Valore, tblFrequenzeMestieri.FrequenzaMensile
						  
	FROM         ClrsVaniCarDesUso INNER JOIN
						  ClsrCarDesUsoAttMestiere INNER JOIN
						  tblFrequenzeMestieri INNER JOIN
						  tblAttivitàMestiere ON tblFrequenzeMestieri.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
						  tblFrequenzeMestieri.IdFrequenza = tblAttivitàMestiere.IdFrequenza ON ClsrCarDesUsoAttMestiere.IdCommessaAttMestiere = tblAttivitàMestiere.IdCommessa AND 
						  ClsrCarDesUsoAttMestiere.IdAttMestiere = tblAttivitàMestiere.IdAttivitàMestiere ON 
						  ClrsVaniCarDesUso.IdCommessa = ClsrCarDesUsoAttMestiere.IdCommessaAttMestiere AND 
						  ClrsVaniCarDesUso.IdCaratteristica = ClsrCarDesUsoAttMestiere.IdCarattAmb AND ClrsVaniCarDesUso.IdDesUso = ClsrCarDesUsoAttMestiere.IdDesUsoVano
	WHERE     (tblFrequenzeMestieri.Pulizie = 1) 
		AND (tblAttivitàMestiere.IdCommessa = $IdCommessa) 
		AND (ClrsVaniCarDesUso.DataInizio <= $DataFine) 
		AND (ClrsVaniCarDesUso.DataFine >= $DataInizio)
sql;

ntxQuery($sql);

$sql = <<< sql
	SELECT COUNT(*) FROM ClrsAttivitàVani WHERE IdCommessa=$IdCommessa
sql;

if ( ntxScalar($sql)==0 )
	jhp_error($traduttore->traduci('Nessuna attività vani generata!'));

$traduttore->Salva();

jhp_ok();

?>
