<?php  
if (!isset($_SESSION)) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once("../../vers.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_254", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_254", "IT", __FILE__);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>

	<script src="js/toolbar.js?<?php echo $vers ?>" type="text/javascript"></script>
</head>

<body>

<?php

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	select IdFrequenza,Descrizione 
	from tblFrequenzeMestieri 
	where IdCommessa=$IdCommessa
	order by ordine, descrizione
sql;

$query = ntxQuery($sql);

$options = "<option value=\"\" selected>".$traduttore->traduci('Nessun filtro Frequenza');

while($rs=ntxIrecord($query))
{
	$Id = $rs[0];
	
	$des = htmlentities($rs[1]);
	
	$options .= "<option value=\"$Id\">$des";
}

?>

<form name="form1" method="post">
<!--	
	Data Inizio:	<input type=text size=12 DatePicker name=DataInizio />
	Data Fine:		<input type=text size=12 DatePicker name=DataFine />
	<input type=button value="Popola Vani/Car/Des.Uso" onclick="PopolaVani()" />
	<input type=button value="Popola Attività Vani" onclick="PopolaAttivitàVani()" />
	<input type=button value="Popola Attività Edifici con Attività Vani" onclick="PopolaAttivitàEdifici()" />
-->
	<input type=button value="<?php $traduttore->html('Copia settaggi da edificio Sel1 ad edifici Sel2') ?>" onclick="CopiaDaSel1aSel2()" />
	
	<table class=grid>
		<caption><?php $traduttore->html('Filtri Attività') ?>
		<tr><th><?php $traduttore->html('Cod Mestiere') ?><td><input type=text name=CodMes siz=10 /><th><?php $traduttore->html('Des Mestiere') ?><td><input type=text name=DesMes siz=10 />
		<tr><th><?php $traduttore->html('Cod Componente') ?><td><input type=text name=CodComp siz=10 /><th><?php $traduttore->html('Des Componente') ?><td><input type=text name=DesComp siz=10 />
		<tr><th><?php $traduttore->html('Cod Attività') ?><td><input type=text name=CodAtt siz=10 /><th><?php $traduttore->html('Des Attività') ?><td><input type=text name=DesAtt siz=10 />
		<tr><th><?php $traduttore->html('Frequenza') ?><td colspan=3>
			<select name=Freq><?php echo $options ?></select>
			<input type=button value="<?php $traduttore->html('Filtro') ?>" onclick="parent.edifici.CaricaAttività()" />
			<input type=button value="<?php $traduttore->html('Reset') ?>" onclick="ResetFiltroAttività()" />
	</table>
</form>	

<form name="frmEdifici" method="post" action="edifici.php" target="edifici">
</form>

<script>
var messaggi = {
	Popolamento_attivita_edif: "<?php $traduttore->js('Vuoi fare popolamento attività edifici? Il precedente popolamento verrà perso.') ?>",
	Fatto: "<?php $traduttore->js('Fatto') ?>",
	Popolamento_tripla: "<?php $traduttore->js('Vuoi fare popolamento tripla Vani/Car/Des.Uso? Il precedente popolamento verrà cancellato.') ?>",
	Popolamento_attivita_vani: "<?php $traduttore->js('Vuoi fare popolamento attività vani? Il precedente popolamento verrà perso.') ?>"
	
};
</script>

<?php $traduttore->Salva(); ?>

</body>
</html>