<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_260", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_260", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdTestataSchema = ntxip('IdTestataSchema');

$where = "WHERE  (ClrsSchemi.IdTestata = $IdTestataSchema) AND ElencoEdifici.IdCommessa=$IdCommessa AND (ElencoEdifici.Rimosso IS NULL OR ElencoEdifici.Rimosso=0)";


if ( strlen("$_POST[Codice]")>0 ) $where .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[Codice])."%'";
if ( strlen("$_POST[EdificioBreve]")>0 ) $where .= " AND ElencoEdifici.EdificioBreve LIKE '%".str_replace("'","''",$_POST[EdificioBreve])."%'";
if ( strlen("$_POST[EdificioEstesa]")>0 ) $where .= " AND ElencoEdifici.EdificioEstesa LIKE '%".str_replace("'","''",$_POST[EdificioEstesa])."%'";
if ( strlen("$_POST[Indirizzo]")>0 ) $where .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[Indirizzo])."%'";
if ( strlen("$_POST[CITTA]")>0 ) $where .= " AND ElencoEdifici.CITTA LIKE '%".str_replace("'","''",$_POST[CITTA])."%'";
if ( strlen("$_POST[PROVINCIA]")>0 ) $where .= " AND ElencoEdifici.PROVINCIA LIKE '%".str_replace("'","''",$_POST[PROVINCIA])."%'";

$sql = <<< sql
	SELECT   distinct  ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, 
			ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
			ElencoEdifici.PROVINCIA, ElencoEdifici.ClrsUsaAttivitàUtilizzatori UsaAttivUtiliz
			
	FROM         ClrsSchemi INNER JOIN
                      ElencoEdifici ON ClrsSchemi.IdCommessa = ElencoEdifici.IdCommessa AND ClrsSchemi.IdEdificio = ElencoEdifici.ID INNER JOIN
                      ClrsPreplanningSchemi ON ClrsSchemi.IdFreqSchema = ClrsPreplanningSchemi.IdFreqSchema AND ClrsSchemi.IdTestata = ClrsPreplanningSchemi.IdTestata
	$where
sql;

$paginazione = ntxPaginazione($sql, "Codice, EdificioBreve");

$query = $paginazione->query;

/*$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>ID
			<th>Codice
			<th>EdificioBreve
			<th>EdificioEstesa
			<th>Indirizzo
			<th>CITTA
			<th>PROVINCIA
			<th>Usa Attività Utilizzatori
			<th>
			<th>
		</tr>
table;*/
$table = 
	"<table class=grid>
		<tr>
			<th>"
			."<th>".$traduttore->traduci('ID')
			."<th>".$traduttore->traduci('Codice')
			."<th>".$traduttore->traduci('Edificio Breve')
			."<th>".$traduttore->traduci('Edificio Estesa')
			."<th>".$traduttore->traduci('Indirizzo')
			."<th>".$traduttore->traduci('Citta')
			."<th>".$traduttore->traduci('Provincia')
			."<th>".$traduttore->traduci('Usa Attività Utilizzatori')
			."<th>
			<th>
		</tr>"
;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$UsaAttivUtiliz = $rs[UsaAttivUtiliz] ? "X" : "";
	$disabledReport = $rs[UsaAttivUtiliz] ? "disabled" : "";
	$disabledUtiliz = !$rs[UsaAttivUtiliz] ? "disabled" : "";
	$styleUtiliz = $rs[UsaAttivUtiliz] ? "background:red" : "";

	/*$table .= <<< table
		<tr RigaEdificio=$rs[ID]>
			<td style="$styleUtiliz;"><input type=button value=sel onclick="SelEdificio($rs[ID])" $disabledUtiliz />
			<td style="$styleUtiliz;">$html[ID]
			<td style="$styleUtiliz;">$html[Codice]
			<td style="$styleUtiliz;">$html[EdificioBreve]
			<td style="$styleUtiliz;">$html[EdificioEstesa]
			<td style="$styleUtiliz;">$html[Indirizzo]
			<td style="$styleUtiliz;">$html[CITTA]
			<td style="$styleUtiliz;">$html[PROVINCIA]
			<td style="$styleUtiliz;text-align:center">$UsaAttivUtiliz
			<td style="$styleUtiliz;"><input type=button value="genera planning" onclick="GeneraPlanningPerEdificio($rs[ID])" />
			<td style="$styleUtiliz;"><input type=button value=reports onclick="SelEdificioReports($rs[ID])" $disabledReport />
		</tr>
table;*/
	$table .=
		"<tr RigaEdificio=$rs[ID]>
			<td style=\"$styleUtiliz;\"><input type=button value=\"".$traduttore->traduci('Sel')."\" onclick=\"SelEdificio($rs[ID])\" $disabledUtiliz />
			<td style=\"$styleUtiliz;\">$html[ID]
			<td style=\"$styleUtiliz;\">$html[Codice]
			<td style=\"$styleUtiliz;\">$html[EdificioBreve]
			<td style=\"$styleUtiliz;\">$html[EdificioEstesa]
			<td style=\"$styleUtiliz;\">$html[Indirizzo]
			<td style=\"$styleUtiliz;\">$html[CITTA]
			<td style=\"$styleUtiliz;\">$html[PROVINCIA]
			<td style=\"$styleUtiliz;text-align:center\">$UsaAttivUtiliz
			<td style=\"$styleUtiliz;\"><input type=button value=\"".$traduttore->traduci('Genera planning')."\" onclick=\"GeneraPlanningPerEdificio($rs[ID])\" />
			<td style=\"$styleUtiliz;\"><input type=button value=\"".$traduttore->traduci('Reports')."\" onclick=\"SelEdificioReports($rs[ID])\" $disabledReport />
		</tr>"
;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

$traduttore->Salva();

jhp($result);

?>
