<?php
	
$IdCommessa = ntxise('IdCommessa');
$IdTestataSchema = ntxip(IdTestataSchema);

$sql = <<< sql
	SELECT    ClrsTestateSchemi.Id, ClrsTestateSchemi.Nome, ClrsTestateSchemi.DataInserimento, ClrsTestateSchemi.DataInizioPrg, ClrsTestateSchemi.DataFinePrg,
		(SELECT count(*) FROM ClrsSchemi WHERE IdTestata=ClrsTestateSchemi.Id) AttivitàTotali,
		(SELECT count(*) FROM ClrsSchemi WHERE IdTestata=ClrsTestateSchemi.Id and tipo=0) AttivitàEdifici,
		(SELECT count(*) FROM ClrsSchemi WHERE IdTestata=ClrsTestateSchemi.Id and tipo=3) AttivitàUtilizzatori,
		(SELECT count(*) FROM ClrsSchemi WHERE IdTestata=ClrsTestateSchemi.Id and tipo=2) AttivitàVani
	FROM         ClrsTestateSchemi 
	WHERE     (ClrsTestateSchemi.IdCommessa = $IdCommessa)
	AND     (ClrsTestateSchemi.Id = $IdTestataSchema)
sql;

$query = ntxQuery($sql);

/*$table = <<< table
	<table class=grid>
		<caption>Schema
		<tr>
			<th>Nome
			<th>Data Inserimento
			<th>Data Cattura
			<th>Attività Totali
			<th>Attività Edifici
			<th>Attività Utilizzatori
			<th>Attività Vani
table;*/
$table =
	"<table class=grid>"
		."<caption>".$traduttore->traduci('Schema')
		."<tr>"
			."<th>".$traduttore->traduci('Nome')
			."<th>".$traduttore->traduci('Data Inserimento')
			."<th>".$traduttore->traduci('Data Cattura')
			."<th>".$traduttore->traduci('Attività Totali')
			."<th>".$traduttore->traduci('Attività Edifici')
			."<th>".$traduttore->traduci('Attività Utilizzatori')
			."<th>".$traduttore->traduci('Attività Vani')
;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[DataInserimento] = ntxDateTime($rs[DataInserimento]);
	$rs[DataInizioPrg] = ntxDate($rs[DataInizioPrg]);
	$rs[DataFinePrg] = ntxDate($rs[DataFinePrg]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
			
	$table .= <<< table
		<tr>
			<td>$html[Nome]
			<td>$html[DataInserimento]
			<td>$html[DataInizioPrg]
			<td>$html[AttivitàTotali]
			<td>$html[AttivitàEdifici]
			<td>$html[AttivitàUtilizzatori]
			<td>$html[AttivitàVani]
table;
}

$table .= <<< table
	</table>
	<br>
table;
	
echo $table;

?>