<?php

if ( !$_SESSION ) session_start();

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_270", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_270", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');

$DataInizio = ntxtp('DataInizio');
$DataFine = ntxtp('DataFine');

$sql = <<< sql
	SELECT COUNT(*) FROM ClrsAttivitàVani WHERE IdCommessa=$IdCommessa
sql;

if ( ntxScalar($sql)==0 )
	jhp_error($traduttore->traduci('Nessuna attività vani presente!'));

$sql = <<< sql
	DELETE FROM ClrsAttivitàUtilizzattori
	WHERE     (ClrsAttivitàUtilizzattori.IdCommessa = $IdCommessa) 
sql;

ntxQuery($sql);
							
$sql = <<< sql
	INSERT INTO ClrsAttivitàUtilizzattori
                      (IdCommessa, IdEdificio, IdUtilizzatore, IdAttivitàMestiere, CodFreq, DesFreq, DurataAttivitàInGiorni, Lun, Mar, Mer, Gio, Ven, Sab, Dom, MeseInizio, SettimanaInizio, 
						  
							Valore, FrequenzaMensile)
						  
	SELECT DISTINCT 
                      ElencoEdifici.IdCommessa, ClrsVaniCarDesUso.IdEdificio, tblUtUtilizzatori.IdUtilizzatore, ClrsAttivitàVani.IdAttivitàMestiere, tblFrequenzeMestieri.Codice, 
                      tblFrequenzeMestieri.Descrizione, tblFrequenzeMestieri.DurataAttivitàInGiorni, tblFrequenzeMestieri.Lun, tblFrequenzeMestieri.Mar, tblFrequenzeMestieri.Mer, 
                      tblFrequenzeMestieri.Gio, tblFrequenzeMestieri.Ven, tblFrequenzeMestieri.Sab, tblFrequenzeMestieri.Dom, tblFrequenzeMestieri.MeseInizio, 
                      tblFrequenzeMestieri.SettimanaInizio,
						  
						  tblFrequenzeMestieri.Valore, tblFrequenzeMestieri.FrequenzaMensile
						  
	FROM         tblUtAmbienti INNER JOIN
                      tblUtUtilizzatori ON tblUtAmbienti.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtAmbienti.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN
                      ElencoEdifici INNER JOIN
                      ClrsVaniCarDesUso ON ElencoEdifici.IdCommessa = ClrsVaniCarDesUso.IdCommessa AND ElencoEdifici.ID = ClrsVaniCarDesUso.IdEdificio INNER JOIN
                      ClrsAttivitàVani ON ClrsVaniCarDesUso.Id = ClrsAttivitàVani.IdVanoCarDesUso INNER JOIN
                      tblAttivitàMestiere ON ClrsAttivitàVani.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      ClrsAttivitàVani.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza ON tblUtAmbienti.IdCommessa = ClrsVaniCarDesUso.IdCommessa AND 
                      tblUtAmbienti.IdEdificio = ClrsVaniCarDesUso.IdEdificio AND tblUtAmbienti.IdAmbiente = ClrsVaniCarDesUso.IdAmbiente
					  
	WHERE     (ElencoEdifici.IdCommessa = $IdCommessa) 
		AND (ClrsVaniCarDesUso.DataInizio <= $DataFine) 
		AND (ClrsVaniCarDesUso.DataFine >= $DataInizio) 
		AND (tblUtAmbienti.DataInizio <= $DataFine) 
		AND (tblUtAmbienti.DataFine >= $DataInizio) 
		AND (tblFrequenzeMestieri.Pulizie = 1)
sql;

ntxQuery($sql);

$sql = <<< sql
	SELECT COUNT(*) FROM ClrsAttivitàUtilizzattori WHERE IdCommessa=$IdCommessa
sql;

if ( ntxScalar($sql)==0 )
	jhp_error($traduttore->traduci('Nessuna attività utilizzatori generata!'));

$traduttore->Salva();

jhp_ok();

?>
