<?php  
if (!isset($_SESSION)) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once("../../vers.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_271", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_271", "IT", __FILE__);

$IdEdificio = ntxig('IdEdificio', false);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>

	<script src="js/utilizzatori.js?<?php echo $vers ?>" type="text/javascript"></script>
</head>

<body>

<?php
$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT     IdUtilizzatore, Nome
	
	FROM         tblUtUtilizzatori
					  
	WHERE (tblUtUtilizzatori.IDCommessa = $IdCommessa) 
		AND (	SELECT COUNT(*) 
				FROM ClrsAttivitàUtilizzattori 
				WHERE IdCommessa=tblUtUtilizzatori.IdCommessa 
					AND IdUtilizzatore=tblUtUtilizzatori.IdUtilizzatore 
					AND IdEdificio=$IdEdificio)>0
					
	ORDER BY Nome
sql;

$query = ntxQuery($sql);
?>

<table class="grid"  >
		<tr>
			<th><?php $traduttore->html('Sel1') ?>
			<th><?php $traduttore->html('Sel2') ?>
			<th><?php $traduttore->html('ID Utilizzatore') ?>
			<th><?php $traduttore->html('Nome') ?>
		</tr>  
<?php
	$alternate = true;

	while(  $query  &&  $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "class=alternate"; 
		
		foreach($rs as $k=>$v)
			$html[$k] = htmlentities($v);
			
		echo <<< echo
	<tr $classe > 
		<td RigaUtilizzatore=$rs[IdUtilizzatore]> 
			<input type=radio name=optSel1 onclick="Sel1_Utilizzatore('$rs[IdUtilizzatore]')" IdUtilizzatore=$rs[IdUtilizzatore] />	
			
		<td RigaUtilizzatore=$rs[IdUtilizzatore]> 
			<input type=checkbox IdUtilizzatoreSel2=$rs[IdUtilizzatore] />
			
		<td RigaUtilizzatore=$rs[IdUtilizzatore]>$html[IdUtilizzatore] 
		<td RigaUtilizzatore=$rs[IdUtilizzatore]>$html[Nome] 
echo;

		$alternate = !$alternate;
	}
?>
</table> 


<form name="form1" id="form1" method="post">
	<input type="hidden" name="IdEdificio" value="<?php echo $IdEdificio ?>" />
	<input type="hidden" name="IdUtilizzatore" value="" />
	<input type="hidden" name="CodMes" value="" />
	<input type="hidden" name="DesMes" value="" />
	<input type="hidden" name="CodComp" value="" />
	<input type="hidden" name="DesComp" value="" />
	<input type="hidden" name="CodAtt" value="" />
	<input type="hidden" name="DesAtt" value="" />
	<input type="hidden" name="Freq" value="" />
</form>
<script>
var messaggi = {
	Seleziona_Sel1: "<?php $traduttore->js('Devi selezionare un utilizzatore Sel1!') ?>",
	Seleziona_util: "<?php $traduttore->js('Devi selezionare almeno un utilizzatore Sel2 diverso da Sel1!') ?>",
	Fatto: "<?php $traduttore->js('Fatto') ?>",
	Seleziona_edif: "<?php $traduttore->js('Devi selezionare un edificio!') ?>",
	Seleziona_Sel2: "<?php $traduttore->js('Devi selezionare almeno un utilizzatore Sel2!') ?>"
};
</script>

<?php $traduttore->Salva(); ?>

</body>
</html>