<?php

$sql = <<< sql
	SELECT     Ambiente.CodiceAmbiente, Ambiente.IdLivello, Ambiente.CdC, Ambiente.CodiceAssAmbiente AS codAmb, Ambiente.IdEdificio, Ambiente.IDAmbiente, 
                      PianoLivello.CodiceAssLivello AS codLiv, DestinazioniDusoLivello.Destinazione AS desLiv, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, 
                      ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, Ambiente.MQ, 
                      Ambiente.MC, Ambiente.H, Ambiente.IdCommessa, Ambiente.Note, Ambiente.IdDestinazioneduso, Ambiente.Caratteristiche AS IdCar, Ambiente.IdTipoAmbiente, 
                      CaratteristicheAmbienti.Descrizione AS Car2, DestinazioniDuso.Tipo AS Tipo2, DestinazioniDuso.Destinazione AS Des2, ClrsVaniCarDesUso.DataInizio, 
                      ClrsVaniCarDesUso.DataFine
	FROM         Ambiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
                      ClrsVaniCarDesUso ON Ambiente.IdCommessa = ClrsVaniCarDesUso.IdCommessa AND Ambiente.IdEdificio = ClrsVaniCarDesUso.IdEdificio AND 
                      Ambiente.IDAmbiente = ClrsVaniCarDesUso.IdAmbiente INNER JOIN
                      CaratteristicheAmbienti ON ClrsVaniCarDesUso.IdCaratteristica = CaratteristicheAmbienti.Id INNER JOIN
                      DestinazioniDuso ON ClrsVaniCarDesUso.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      ClrsVaniCarDesUso.IdDesUso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (ClrsVaniCarDesUso.Id = $IdVanoCarDesUso)
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$rs[DataInizio] = ntxDate($rs[DataInizio]);
$rs[DataFine] = ntxDate($rs[DataFine]);

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);
	
echo <<< table
<table class=grid>
	<caption>Ambiente</caption>   
	<tr><th>Cod.Vano<td>$html[codAmb]<th>Cod.Vano Manpro<td>$html[CodiceAmbiente]
	<tr><th>Edificio<td colspan=3>$html[Codice] - $html[Nome] - $html[Indirizzo] - $html[Comune] ($html[PROVINCIA]) - $html[CAP]
	<tr><th>Piano<td colspan=3>$html[codLiv] - $html[desLiv]
	<tr><th>Data Inizio<td>$html[DataInizio]<th>Data Fine<td>$html[DataFine]
	<tr><th>Caratteristica<td>$html[Car2]<th>Tipo - Des.Uso<td>$html[Tipo2] - $html[Des2]
</table>
table;

?>
<br>