<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa');

if ( is_numeric($_POST[IdAddetto]) ) $IdAddetto = ntxip('IdAddetto');
if ( is_numeric($_POST[IdEdificio]) ) $IdEdificio = ntxip('IdEdificio');
if ( is_numeric($_POST[Anno]) ) $Anno = ntxip('Anno');
	
if ( !is_numeric($Anno) ) $Anno = date("Y");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script>
	
	<link href="css/base.css" rel="stylesheet" type="text/css">
	<script src="js/index.js" type="text/javascript"></script>
</head>
<body>

<div style="font-weight:bold;font-size:14pt">Ferie/Assenze</div>

<div id=divRicercaAddetti>
	<form name="frmRicercaAddetti" method="post" Paginazione>
		<?php PaginazioneCampiPerForm(20, 'jhp/addetti/ricerca.php', 'lista-addetti') ?>
		
		<table class=grid>
			<caption>Addetti
			<tr><th>ID<td><input type=text name=IdAD size=25 />
				<th>Cognome<td><input type=text name=Cognome size=25 />
				<th>Nome<td><input type=text name=Nome size=25 />
				<th>Qualifica<td><input type=text name=Qualifica size=25 />
			<tr><th>Matricola<td><input type=text name=Matricola size=25 />
				<th>Livello<td><input type=text name=Livello size=25 />
				<th>DataAss<td><input type=text name=DataAss size=25 />
				<th>Zona<td><input type=text name=Zona size=25 />
			<tr><th colspan=8>
				<input type=button value="Reset" onclick="this.form.reset()" />
				<input type=button name=btnRicerca value="Ricerca" onclick="PaginazioneRicerca(this, 'first')" />
		</table>
	</form>
	<br>

	<span ButtonSet>
		<?php PaginazioneNavigazione('frmRicercaAddetti') ?>
	</span>
	<br>
	<br>

	<div id="lista-addetti"></div>
	<br>

	<span ButtonSet>
		<?php PaginazioneNavigazione('frmRicercaAddetti') ?>
	</span>
</div>

<div id=divAddettoSelezionato style="display:none">addetto selezionato</div>

<?php 

$sql = <<< sql
	SELECT     IdMotivazione, Codice, Descrizione, case when Retribuita=1 then 'retribuita' else 'non retribuita' end lRetribuita
	FROM         MotivazioniAssenzePulizie
	ORDER BY Descrizione
sql;

$query = ntxQuery($sql);

$option = "<option value=''>";

while($rs=ntxRecord($query))
{
	$option .= "<option value='$rs[IdMotivazione]'>".htmlentities($rs[Codice])." - ".htmlentities($rs[Descrizione])." - ".htmlentities($rs[lRetribuita]);
}

?>

<div id=divPivot1 style="display:none">
	<form name="frmPivot" method="post">
		<input type=hidden name=IdAddetto value="" />
		
		<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
		
		<input type=hidden name=Mese value="" />
		
		<table class=grid>
			<tr><th>Anno<td><input type=text name=Anno size=6 value="<?php echo $Anno ?>" onblur="RefreshPivot()" />
				<th><input type=button value="Reset" onclick="frmPivot.Anno.value=<?php echo $Anno ?>;RefreshPivot()" />
				<th><input type=button value="Refresh" onclick="RefreshPivot()" />
			<tr><th>Motivi<br>Assenze<td colspan=3><select name=MotivoAssenza><?php echo $option ?></select>
		</table>
		<br>
		
		<input type=button name=btnCreaPivot value="Crea Ferie/Assenze" onclick="CreaPivot()" />
		<input type=button name=btnEliminaPivot value="Elimina Ferie/Assenze" onclick="EliminaPivot()" />
	</form>
	<br>
	
	
	<div id=divPivot2></div>
	<br>

	<input type=button value="Consuntivazioni" onclick="Consuntivazioni()" />
	
</div>


<script>

<?php
	if ( is_numeric($IdAddetto)  &&  is_numeric($IdEdificio) )
	{
		echo <<< echo
			SelAddetto($IdAddetto);
echo;
	}
?>

</script>

</body>
</html>
