<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$sql = <<< sql
	SELECT     ElencoEdifici.ID, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA AS Prov, 
						  ElencoEdifici.CAP, tblPgPropietari.Nome AS Cliente, ElencoEdifici.ImportoCanone, ElencoEdifici.Ore, ElencoEdifici.ImportoExtracanone
	FROM         ElencoEdifici LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE ElencoEdifici.IdCommessa=$IdCommessa AND ElencoEdifici.ID=$IdEdificio
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>ID
			<th>Nome
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>CAP
			<th>Cliente
			<th>Importo<br>Canone
			<th>Ore
			<th>Importo<br>Extracanone
			<th>
		</tr>
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[ImportoCanone] = ntxRoundThousand($rs[ImportoCanone],2);
	$rs[Ore] = ntxRoundThousand($rs[Ore],2);
	$rs[ImportoExtracanone] = ntxRoundThousand($rs[ImportoExtracanone],2);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr>
			<td>$rs[ID]
			<td>$html[Nome]
			<td>$html[Indirizzo]
			<td>$html[Comune]
			<td>$html[Prov]
			<td>$html[CAP]
			<td>$html[Cliente]
			<td style="text-align:right">$html[ImportoCanone]
			<td style="text-align:right">$html[Ore]
			<td style="text-align:right">$html[ImportoExtracanone]
			<td><input type=button value=cambia onclick="CambiaEdificio()" />
		</tr>
table;
}

$table .= "</table><br>";

jhp($table);

?>
