<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdAddetto = ntxip('IdAddetto');
$IdEdificio = ntxip('IdEdificio');
$Mese = ntxip('Mese');
$Anno = ntxip('Anno');

$mesi = array("", "Gennaio", "Febbraio", "Marzo", "Aprile", "Maggio", "Giugno", "Luglio", "Agosto", "Settembre", "Ottobre", "Novembre", "Dicembre");

$labelMese = $mesi[$Mese];
	
$sql = "SELECT Cognome, Nome From AddettiPulizie WHERE IdAD=$IdAddetto";

$rs = ntxRecord(ntxQuery($sql));

$Cognome = $rs[Cognome];
$Nome = $rs[Nome];

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	
	<link href="css/base.css" rel="stylesheet" type="text/css">
	<style>
		@media print {
			.ScomparsaSuStampa {
				display:none;
			}
		}
		
	</style>
</head>
<body>

<input type=button value=stampa onclick="print()" class="ScomparsaSuStampa" />
<br>

<div style="font-weight:bold;font-size:21pt"><?php echo "Pianificazione $labelMese $Anno per $Cognome $Nome" ?></div>
<br>
<?php 

$sql = <<< sql
	SELECT     PianificazionePulizie.giorno1, PianificazionePulizie.giorno2, PianificazionePulizie.giorno3, PianificazionePulizie.giorno4, 
						  PianificazionePulizie.giorno5, PianificazionePulizie.giorno6, PianificazionePulizie.giorno7, PianificazionePulizie.giorno8, 
						  PianificazionePulizie.giorno9, PianificazionePulizie.giorno10, PianificazionePulizie.giorno11, PianificazionePulizie.giorno12, 
						  PianificazionePulizie.giorno13, PianificazionePulizie.giorno14, PianificazionePulizie.giorno15, PianificazionePulizie.giorno16, 
						  PianificazionePulizie.giorno17, PianificazionePulizie.giorno18, PianificazionePulizie.giorno19, PianificazionePulizie.giorno20, 
						  PianificazionePulizie.giorno21, PianificazionePulizie.giorno22, PianificazionePulizie.giorno23, PianificazionePulizie.giorno24, 
						  PianificazionePulizie.giorno25, PianificazionePulizie.giorno26, PianificazionePulizie.giorno27, PianificazionePulizie.giorno28, 
						  PianificazionePulizie.giorno29, PianificazionePulizie.giorno30, PianificazionePulizie.giorno31, 
						  ElencoEdifici.ID, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, 
						  ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA
	FROM         PianificazionePulizie INNER JOIN
						  ElencoEdifici ON PianificazionePulizie.IdCommessa = ElencoEdifici.IdCommessa AND PianificazionePulizie.IdEdificio = ElencoEdifici.ID
	WHERE     (PianificazionePulizie.IdCommessa = $IdCommessa) AND (PianificazionePulizie.IdAddetto = $IdAddetto) AND (PianificazionePulizie.Mese = $Mese) AND 
                      (PianificazionePulizie.Anno = $Anno)
	ORDER BY ID
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid style="max-width:100%">
		<tr>
			<th>Edificio
table;

$weekdays = array("DOM", "Lun", "Mar", "Mer", "Gio", "Ven", "Sab");


for($i=1;$i<=31;$i++)
{
	$w = date("w", mktime(0, 0, 0, $Mese, $i, $Anno));
	
	$festività[$i] = ($w==6 || $w==0);
	
	$ww = $weekdays[$w];
	
	$table .= "<th>$ww<br>$i";
}

$alternate = false;

$totali = array();

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";

	for($i=1;$i<=31;$i++)
	{
		$k = "giorno".$i;
		
		$totali[$i] += $rs[$k];

		$rss[$k] = ntxRound($rs[$k],2);
	}
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td>$html[ID] - $html[EdificioBreve] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
table;

	for($i=1;$i<=31;$i++)
	{
		$k = "giorno".$i;
		$v = $rss[$k];
		
		$style = ( $festività[$i] ? "style='background-color:silver'":"");
		
		$table .= <<< table
			<td $style>$v
table;
	}

	$alternate = !$alternate;
}

$classTr = $alternate ? "class=alternate" : "";

$table .= <<< table
	<tr $classTr>
		<td style="font-weight:bold;text-align:right">TOTALI
table;

for($i=1;$i<=31;$i++)
{
	$k = "giorno".$i;
	$v = ntxRound($totali[$i],2);
	
	$addStyle = ( $festività[$i] ? "background-color:silver":"");
	
	$table .= <<< table
		<td style="font-weight:bold;text-align:right;$addStyle">$v
table;
}

$table .= "</table>";

echo $table;

?>

</body>
</html>
