<?php
	
if ( !$excel ) $addTH = "<th>";

$table = <<< table
	<table class=grid>
		<tr>
			$addTH
			<th>Blocco
			<th>Stato
			<th>Data/Ora Creazione
			<th>Clienti
			<th>IdEdificio
			<th>CodEdificio
			<th>EdificioBreve
			<th>Indirizzo
			<th>CITTA
			<th>PROVINCIA
			<th>Piano
			<th>CodVano
			<th>DesUsoVano
			<th>Note Localiz.
			<th>TipoArea
			<th>Utilizzatore
			<th>Resp.Committente
			<th>Resp.Gestore
			<th>PuntiControllati
			<th>PuntiConformi
			<th>PuntiNonConformi
			<th>LivelloServizio
			<th>LivelloObbiettivo
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	$statoLiv = ($rs[LivelloServizio]>=$rs[LivelloObbiettivo]);
	
	$rs[DataOra] = ntxDateTimeAndSecond($rs[DataOra]);
	$rs[LivelloServizio] = ntxRound($rs[LivelloServizio],2);
	$rs[LivelloObbiettivo] = ntxRound($rs[LivelloObbiettivo],2);
	
	$blocco = $rs[Bloccato] ? "SI" : "NO";
	$colore = $rs[Bloccato] ? "green" : "red";
	
	$stato = $statoLiv ? "OK" : "NC";
	$coloreStato = $statoLiv ? "green" : "red";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( !$excel ) $addTD = "<td><input type=button value=sel onclick=\"SelScheda($rs[IdTesta])\" />";

	$table .= <<< table
		<tr IdRiga=$rs[IdTesta]>
			$addTD
			<td style="color:$colore;font-weight:bold;text-align:center">$blocco
			<td style="color:$coloreStato;font-weight:bold;text-align:center">$stato
			<td>$html[DataOra]
			<td>$html[Clienti]
			<td>$html[IdEdificio]
			<td>$html[CodEdificio]
			<td>$html[EdificioBreve]
			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[Piano]
			<td>$html[CodVano]
			<td>$html[DesUsoVano]
			<td>$html[NoteLocalizzative]
			<td>$html[TipoArea]
			<td>$html[Utilizzatore]
			<td>$html[Tecnico]
			<td>$html[RifAffidatario]
			<td>$html[PuntiControllati]
			<td>$html[PuntiConformi]
			<td>$html[PuntiNonConformi]
			<td>$html[LivelloServizio]
			<td>$html[LivelloObbiettivo]
		</tr>
table;
}

$table .= "</table>";

echo $table;
	
?>