<?php

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$data1 = ntxtp('data1');
$data2 = ntxtp('data2');

$addWhere = "";

if ( $data1!="NULL" )
	$addWhere .= " AND Ordini.DataOrdine>=$data1";

if ( $data2!="NULL" )
	$addWhere .= " AND Ordini.DataOrdine<=dateadd(minute,1440,$data2)";

$sql = <<< sql
	SELECT     OrdiniElementiDaConteggiare.Elemento, b.SommaConteggi, b.SommaContReintegri
FROM         (SELECT     SUM(OrdiniConteggioElementi.Conteggio) AS SommaConteggi, SUM(OrdiniConteggioElementi.ConteggioReintegri) AS SommaContReintegri, OrdiniConteggioElementi.IdElemento, 
                                              OrdiniConteggioElementi.IdCommessa
                       FROM          Ordini INNER JOIN
                                              OrdiniConteggioElementi ON Ordini.IDCommessa = OrdiniConteggioElementi.IdCommessa AND 
                                              Ordini.NumOrdine = OrdiniConteggioElementi.NumOrdine AND Ordini.AnnoOrdine = OrdiniConteggioElementi.AnnoOrdine
                       WHERE      (Ordini.IDCommessa = $IdCommessa) AND (Ordini.CodEdificio = $IdEdificio) AND (OrdiniConteggioElementi.Conteggio IS NOT NULL)
						$addWhere
                       GROUP BY OrdiniConteggioElementi.IdElemento, 
                                              OrdiniConteggioElementi.IdCommessa) AS b RIGHT OUTER JOIN
                      OrdiniElementiDaConteggiare ON b.IdCommessa = OrdiniElementiDaConteggiare.IdCommessa AND 
                      b.IdElemento = OrdiniElementiDaConteggiare.Id
 WHERE      (OrdiniElementiDaConteggiare.IDCommessa = $IdCommessa)
	AND (OrdiniElementiDaConteggiare.TipoElemento IS NULL OR OrdiniElementiDaConteggiare.TipoElemento=1)
ORDER BY OrdiniElementiDaConteggiare.Elemento
sql;

$query = ntxQuery($sql);

?>