<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('../../qeconomico_sql.inc'); 

$table = <<< table
	<table class=grid>
		<tr>
			<th>Id Contratto<br>Gestione
			<th>Data<br>Inizio
			<th>Data<br>Fine
			<th>num<br>Min
			<th>num<br>Max
			<th>Prezzo
		</tr>
table;

$alternate = false;

$Fasce = array();

while( $queryFasce  &&  $rs = ntxRecord($queryFasce) )
{
	$Fasce[] = $rs;
	
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	$rs[Prezzo] = ntxRound($rs[Prezzo], 3);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$table .= <<< table
		<tr $classTr>
			<td style="text-align:right">$html[IdPgContratto]
			<td style="text-align:right">$html[DataInizio]
			<td style="text-align:right">$html[DataFine]
			<td style="text-align:right">$html[numMin]
			<td style="text-align:right">$html[numMax]
			<td style="text-align:right">$html[Prezzo]
		</tr>
table;

	$alternate = !$alternate;
}

$TotalePrint = ntxRoundThousand($Totalone,2);

$classTr = $alternate ? "class=alternate" : "";
	
$table .= <<< table
	</table>
	<br>
	<table class=grid>
		<tr>
			<th>Giorno
			<th>Num.Pulizie
			<th>Prezzo
			<th>Totale
		</tr>
table;

$alternate = false;

$Totalone = 0;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	FormulaPrezzo(); // lavora sulle variabili globali $Formula e $Totale
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$Totalone += $Totale; // $Totale è calcolata tramite FormulaPrezzo

	$TotalePrint = ntxRoundThousand($Totale,2);
	
	$table .= <<< table
		<tr $classTr>
			<td>$html[Giorno]
			<td style="text-align:right">$html[numPulizie]
			<td style="text-align:right">$Formula
			<td style="text-align:right">$TotalePrint
		</tr>
table;

	$alternate = !$alternate;
}

$TotalePrint = ntxRoundThousand($Totalone,2);

$classTr = $alternate ? "class=alternate" : "";
	
$table .= <<< table
		<tr $classTr>
			<td colspan=3 style="text-align:right;font-weight:bold">Totale
			<td style="text-align:right;font-weight:bold">$TotalePrint
		</tr>
	</table>
table;

jhp($table);

?>
