<?php

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$Mese = ntxip('Mese');
$Anno = ntxip('Anno');

$MeseSucc = $Mese+1;
$AnnoSucc = $Anno;

if ( $MeseSucc==13 )
{
	$MeseSucc = 1;
	$AnnoSucc++;
}

$sql1 = <<< sql
	SELECT     tblPgContratti.DataInizio, tblPgContratti.DataFine, FascePrezzoPulizieStanze.numMin, FascePrezzoPulizieStanze.numMax, 
						  FascePrezzoPulizieStanze.Prezzo, tblPgContratti.IdPgContratto
	FROM         tblPgContratti INNER JOIN
						  FascePrezzoPulizieStanze ON tblPgContratti.IdPgContratto = FascePrezzoPulizieStanze.IdContrattoGestione
	WHERE     (tblPgContratti.IdCommessa = $IdCommessa) AND  (tblPgContratti.DataInizio < dbo.cdate('1/$MeseSucc/$AnnoSucc')) 
		AND (tblPgContratti.DataFine >= dbo.cdate('1/$Mese/$Anno'))
	ORDER BY tblPgContratti.DataInizio, FascePrezzoPulizieStanze.numMin
sql;

$queryFasce = ntxQuery($sql1);

$sql2 = <<< sql
	SELECT    DataInizioProg, DAY(DataInizioProg) AS Giorno, COUNT(*) AS numPulizie
	FROM         Ordini
	WHERE     (IDCommessa = $IdCommessa) 
		AND (CodEdificio = $IdEdificio) 
		AND (TipoAttività = N'pulizia') 
		AND (StatoOrd <> 70) 
		AND (MONTH(DataInizioProg) = $Mese) 
		AND (YEAR(DataInizioProg) = $Anno)
	GROUP BY DataInizioProg, DAY(DataInizioProg)
	ORDER BY Giorno
sql;

$query = ntxQuery($sql2);

function FormulaPrezzo()
{
	global $rs, $Formula, $Totale, $Fasce;
	
	$Formula = "";
	$Totale = 0;
	
	foreach($Fasce as $fascia)
	{
		if ( $rs[DataInizioProg]>=$fascia[DataInizio]  &&  $rs[DataInizioProg]<=$fascia[DataFine] )
		{
			if ( $rs[numPulizie]>=$fascia[numMin]  &&  $rs[numPulizie]<=$fascia[numMax] )
			{
				$delta = $rs[numPulizie];
				
				if ( $Formula!="" ) $Formula .= "+";
				
				$fasciaPrint = ntxRound($fascia[Prezzo], 2);
				
				$Formula .= "$fasciaPrint";
				
				$Totale += $delta * $fascia[Prezzo];
			}
		}
	}
}


?>