<?php

$qta = $_POST['QTA'];

if ( !is_numeric($qta) )
{
	require_once(NTX_PATH."expr.inc");

	$Formula = $_POST['Formula'];

	$scan = new Scanner($Formula);

	$pars = new Parser($scan);

	$exp = $pars->parse();

	$qta = $exp->evaluate();
}

$qta = ntxf($qta);

$IdCommessa = ntxise('matrcosti_IdCommessa'); // usata anche in _carica_richiesta
$NumOrdine = ntxise('matrcosti_NumOrdine'); // usata anche in _carica_richiesta

$cod = strtolower($_SESSION['matrcosti_Cod']."");

if ( (!strcmp($cod, 'a11') || !strcmp($cod, 'a12') || !strcmp($cod, 'a13'))  &&  is_numeric($qta)  &&  $qta > 0 )
{
	$sqlOre = "SELECT Sum(Costi.QTA) AS SommaDiQTA "
		."FROM Costi "
		."WHERE Day([DataLavorazione])=Day(dbo.cdate(".ntxtp('DataLavorazione',false,false)."))  "
		."AND Month([DataLavorazione])=Month(dbo.cdate(".ntxtp('DataLavorazione',false,false)."))  "
		."AND Year([DataLavorazione])=Year(dbo.cdate(".ntxtp('DataLavorazione',false,false)."))  "
		."AND (Costi.Cod='a11' Or Costi.Cod='a12' Or Costi.Cod='a13')  "
		."AND NOT (Costi.IdCommessa = $IdCommessa AND Costi.IDCosti = $IDCosti)  "
		."AND Costi.Descrizione=".ntxsse('matrcosti_Descrizione',false,false).";";

	$qtaT = ntxScalar($sqlOre);

	if ( is_numeric($qtaT) )
		$qta += $qtaT;
		
	if ( $qta > 8 )
	{
		$sqlOreOrdini = "SELECT Costi.NumOrdine, Costi.AnnoOrdine, Sum(Costi.QTA) AS SommaDiQTA "
			." FROM Costi "
			." WHERE Day([DataLavorazione])=Day(dbo.cdate(".ntxtp('DataLavorazione',false,false)."))  "
			." AND Month([DataLavorazione])=Month(dbo.cdate(".ntxtp('DataLavorazione',false,false)."))  "
			." AND Year([DataLavorazione])=Year(dbo.cdate(".ntxtp('DataLavorazione',false,false)."))  "
			." AND (Costi.Cod='a11' Or Costi.Cod='a12' Or Costi.Cod='a13')  "
			."AND NOT (Costi.IdCommessa = $IdCommessa AND Costi.IDCosti = $IDCosti)  "
			." AND Costi.Descrizione=".ntxsse('matrcosti_Descrizione',false,false)
			." GROUP BY Costi.NumOrdine, Costi.AnnoOrdine;";

		$qOrdini = ntxQuery($sqlOreOrdini);
		
		$msg = "Ordini ed ore segnalate (escluso riga costo in modifica):\n\n";
		
		while ( $rs = ntxIRecord($qOrdini) )
		{
			$rs[0] = (int)$rs[0];
			
			$msg .= "$rs[0]/$rs[1]\t$rs[2] ore\n";
		}
		
		ntxMsgErr( "L'operatore arriverebbe a $qta ore per tale giorno!!!\n\n$msg" );	
	}
}

?>
