<?php

if (!$_SESSION) {
    session_start();
}

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH . '_database.inc');

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
if (isset($_POST['IdDitta'])  &&  is_numeric($_POST['IdDitta'])) {
    $IdDitta = ntxip('IdDitta');
    $where .= " AND RegVett2RegVettInOut.stato <> 40 AND (RegistroVettori.IDDitta = $IdDitta)  ";
} else {
    if ($_POST['Ricerca'] == 'prenotazione') {
        $where .= " AND RegVett2RegVettInOut.stato = 10 ";
    } elseif ($_POST['Ricerca'] == 'checkin') {
        $where .= " AND RegVett2RegVettInOut.stato = 20 ";
    } elseif ($_POST['Ricerca'] == 'ingresso') {
        $where .= " AND RegVett2RegVettInOut.stato = 30 ";
    } elseif ($_POST['Ricerca'] == 'uscite_24_ore') {
        $where .= <<<_SQL
		AND RegVett2RegVettInOut.stato = 40 
		AND RegistroVettoriInOut.DataOra BETWEEN dateadd(day, datediff(day, 0, getdate()), -1) AND dateadd(day, datediff(day, 0, getdate()), 1)
_SQL;
    }
}

$sql = <<< _SQL
	
  SELECT DISTINCT    
    RegistroVettori.Id AS Id
    , Ditte.Ditta
    , RegistroVettori.TargaMotrice
    , RegistroVettoriInOut.Autista
    , RegistroVettori.DataOraCheckIn
    , RegistroVettoriInOut.DataOra 
    , RegistroVettori.Motivo
    , RegistroVettoriInOut.Note
    , RegVett2RegVettInOut.stato  
    , RegistroVettoriInOut.Cicalino    
    , RegistroVettoriInOut.Shipment  
    , RegistroVettoriInOut.FasciaOrariaPrenotazione  
    , RegistroVettoriInOut.PostazioneDiCarico 
	, MotivoAccesso.Descrizione AS MotivoAccesso 	
	, RegistroVettori.UtenteModifica
	, RegistroVettori.DataModifica
  
  FROM         
    RegistroVettori 
    INNER JOIN 
	RegVett2RegVettInOut ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
    INNER JOIN 
	RegistroVettoriInOut ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
    INNER JOIN 
	Ditte ON RegistroVettori.IdDitta = Ditte.IDDitta
	LEFT OUTER JOIN
	MotivoAccesso ON MotivoAccesso.IdMotivoAccesso = RegistroVettori.Motivo		
	
  WHERE     
    (RegistroVettori.IdCommessa = $IdCommessa) 
    AND (RegistroVettori.IdEdificio = $IdEdificio) 
	AND RegVett2RegVettInOut.stato = RegistroVettori.stato  
    $where
		
_SQL;
 
$paginazione = ntxPaginazione($sql, "Id");

$query = $paginazione->query;

$alternate = false;

while ($query  &&  $rs = ntxRecord($query)) {
    $classTr = $alternate ? "class=alternate" : "";
 
    $rs[DataOra] = ntxDateTime($rs[DataOra]); 
    $rs[DataModifica] = ntxDateTime($rs[DataModifica]); 
	
    foreach ($rs as $k => $v) {
        $html[$k] = htmlentities($v);
    }
   
    $where2be = ntxScalar(" SELECT TOP 1 Descrizione FROM StatoAccesso WHERE Stato = $html[stato] ORDER BY Stato ");
    $where2go = ntxScalar(" SELECT TOP 1 Descrizione FROM StatoAccesso WHERE Stato > $html[stato] ORDER BY Stato ");

    $main .= <<< _HTML
	<tr $classTr>
		<td><input type=button onclick="objCodice.go($html[Id],$html[stato])" value="REGISTRA $where2go" style="width:100%;" >
		<td>$html[Ditta]
		<td>$html[TargaMotrice]
		<td>$html[Autista]
		<td>$html[Cicalino] 
		<td>$html[MotivoAccesso] 
		<td>$html[Shipment] 
		<td>$html[FasciaOrariaPrenotazione] 
		<td>$html[PostazioneDiCarico] 
		<td>$html[DataOra] 
		<td>$html[Note]
_HTML;

	if($_POST['Ricerca'] == 'uscite_24_ore')
    $main .= <<< _HTML
		<td>$html[UtenteModifica] 
		<td>$html[DataModifica]
_HTML;

    $alternate = !$alternate;
}

$headerAdd1="";
if($_POST['Ricerca'] == 'uscite_24_ore')
	$headerAdd1 .= <<< _HTML
	<th>Utente Modifica
	<th>Data Modifica 
_HTML;


$table = <<< _HTML
    <table align="center">
        <thead>
            <tr>
              <th>
              <th>Ditta
              <th>Targa
              <th>Autista 
              <th>Cicalino 
              <th>Motivo 
              <th>Shipment 
              <th>Fascia Orario Carico 
              <th>Postazione Di Carico
              <th>$where2be
              <th>Note
			  $headerAdd1
        </thead>
        <tbody>
            $main
        </tbody>
    </table>  
_HTML;

if (count($html) == 0) {
    $table = '<div align=\"center\"><h3>NESSUN VETTORE PRESENTE</h3></div>';
}

$result = array();
$result[table] = $table;
$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);
?>
