$(function () {
    $(document.frmRicerca.btnRicerca).click(PaginazioneRicerca(document.frmRicerca, 'first'));
    caricaSelectVettori();
    if (document.form1.Ricerca.value == "") {
        document.form1.NomeForm.value = "checkin";
        caricaTabella();
    }
    $("*").dblclick(function (e) {
        e.preventDefault();
    });   
	
	
	if( $('#tabella').find('input[name=IdRisorsa]').length ) 
	{
		var IdRisorsaAssociata = $('#tabella').find('input[name=IdRisorsa]').val();
		
		if(!$.isNumeric(IdRisorsaAssociata))
		{
			$('#tabella').find('input[type=button], button').prop('disabled', 'disabled');
			alert("Nessun risorsa collegata all'utente loggato!"); 
		}
	}

});

function NuovaRicerca(val) {
    if (val != '') {
        document.frmRicerca.IdDitta.value = val;
    } else {
        document.frmRicerca.IdDitta.value = '';
    }
    $(document.frmRicerca.btnRicerca).click(PaginazioneRicerca(document.frmRicerca, 'first'));
}

function caricaSelectVettori()
{
    var result = jhp("jhp/select_vettori.php", {IdEdificio: document.frmRicerca.IdEdificio.value});
    if (result.state)
    {
        alert(result.message);
    } else
    {
        $('select[name=IdRicercaVettore]').html(result.value);
    }
}

function caricaTabella() {
    $('#tabella').html('');
    var result = jhp("jhp/registro/_tabella_inserimento.php",
            jhp_frm(document.form1));

    if (result.state) {
        alert(result.message);
    } else {  
        $('#tabella').html(result.value);
    }
}

/**
 * Set actual time to input field
 * @param {type} txt
 * @returns {undefined}
 */
function AssegnaDataOra(txt) {
    var result = jhp("jhp/registro/_data_ora.php", {});

    if (result.state)
    {
        alert(result.message);
    } else
    {
        txt.value = result.value;
    }
}

function calcolaCaricoBolla(frm) {
    var CaricoEpal = parseInt(frm.CaricoEpal.value);
    var ProprietaEpal = parseInt(frm.ProprietaEpal.value);
    var CaricoFustini = parseInt(frm.CaricoFustini.value);
    var ProprietaFustini = parseInt(frm.ProprietaFustini.value);
    var CaricoCasse = parseInt(frm.CaricoCasse.value);
    var ProprietaCasse = parseInt(frm.ProprietaCasse.value);
    var CaricoAltro = parseInt(frm.CaricoAltro.value);
    var ProprietaAltro = parseInt(frm.ProprietaAltro.value);
    if ($.isNumeric(CaricoEpal) && $.isNumeric(ProprietaEpal) && $.isNumeric(CaricoFustini) && $.isNumeric(ProprietaFustini) && $.isNumeric(CaricoCasse) && $.isNumeric(ProprietaCasse) && $.isNumeric(CaricoAltro) && $.isNumeric(ProprietaAltro)) {
        var somma = CaricoEpal + ProprietaEpal + CaricoFustini + ProprietaFustini + CaricoCasse + ProprietaCasse + CaricoAltro + ProprietaAltro;
        frm.CaricoBolla.value = somma;
    }
    var CaricoBolla = parseInt(frm.CaricoBolla.value);
    var CaricoControllato = parseInt(frm.CaricoControllato.value);
    if ($.isNumeric(CaricoBolla) && $.isNumeric(CaricoControllato)) {
        var DifferenzaCarico = CaricoControllato - CaricoBolla;
        frm.DifferenzaCarico.value = DifferenzaCarico;
    }
    if (DifferenzaCarico !== 0) {
        frm.buttonCaricoNonCorrispondente.setAttribute("class", "selected");
        frm.CaricoNonCorrispondente.value = 1;
        $(frm.NoteAnomalia).attr("obbligatorio", "");
    } else {
        if (frm.BollaErrata.value == 0 && frm.BollaMancante.value == 0) {
            $(frm.NoteAnomalia).removeAttr("obbligatorio");
        }
        frm.buttonCaricoNonCorrispondente.removeAttribute("class");
        frm.CaricoNonCorrispondente.value = 0;
    } 
}

function calcolaCaricoControllato(frm) {
    var VerificaEpal = parseInt(frm.VerificaEpal.value);
    var VerificaFustini = parseInt(frm.VerificaFustini.value);
    var VerificaCasse = parseInt(frm.VerificaCasse.value);
    var VerificaAltro = parseInt(frm.VerificaAltro.value);
    if ($.isNumeric(VerificaEpal) && $.isNumeric(VerificaFustini) && $.isNumeric(VerificaCasse) && $.isNumeric(VerificaAltro)) {
        var somma = VerificaEpal + VerificaFustini + VerificaCasse + VerificaAltro;
        frm.CaricoControllato.value = somma;
    }
    var CaricoBolla = parseInt(frm.CaricoBolla.value);
    var CaricoControllato = parseInt(frm.CaricoControllato.value);
    if ($.isNumeric(CaricoBolla) && $.isNumeric(CaricoControllato)) {
        var DifferenzaCarico = CaricoControllato - CaricoBolla;
        frm.DifferenzaCarico.value = DifferenzaCarico;
    }
    if (DifferenzaCarico !== 0) {
        frm.buttonCaricoNonCorrispondente.setAttribute("class", "selected");
        frm.CaricoNonCorrispondente.value = 1;
        $(frm.NoteAnomalia).attr("obbligatorio", "");
    } else {
        if (frm.BollaErrata.value == 0 && frm.BollaMancante.value == 0) {
            $(frm.NoteAnomalia).removeAttr("obbligatorio");
        }
        frm.buttonCaricoNonCorrispondente.removeAttribute("class");
        frm.CaricoNonCorrispondente.value = 0;
    }
}

function set(btn, chk) {
    if (btn.getAttribute("class") == "selected") {
        btn.removeAttribute("class");
        chk.value = 0;
    } else {
        btn.setAttribute("class", "selected");
        chk.value = 1;
    }
}

var objCodice = {
    jhpRoot: "jhp/registro/",
    CampiForm: ['IdRegistroVettori'
                , 'IdRegistroVettoriInOut'
                , 'IdDitta'
                , 'Ditta'
                , 'Presa'
                , 'TargaMotrice'
                , 'Autista'
                , 'TargaRimorchio'
                , 'Shipment'
                , 'Motivo'
                , 'Note'
                , 'Cicalino'
                , 'FasciaOrariaPrenotazione'
                , 'PostazioneDiCarico' 	
				
                , 'ProprietaEpal' 		
                , 'ProprietaAltro' 		
                , 'ProprietaCasse' 		
                , 'ProprietaFustini' 	
				
                , 'CheckPatenteValida' 	 		
                , 'CheckAssMezzoValida' 	 		
    ],
    Reset: function (frm) { 
		
		this.CaricoStili(true);
		
        frm.IdRegistroVettori.value = '';
        frm.IdRegistroVettoriInOut.value = '';
        frm.reset();
    },
    CheckIn: function (frm) {

        if (!(ConvalidaForm(frm))) {
            alert('Completare Tutti i Campi Obbligatori');
            return;
        }

        if (confirm(" Effettuare il Check In? ")) {
            var IdRegistroVettori = frm.IdRegistroVettori.value;
            var IdRegistroVettoriInOut = frm.IdRegistroVettoriInOut.value;
            if ($.isNumeric(IdRegistroVettori) && $.isNumeric(IdRegistroVettoriInOut)) {
                frm.statoOld.value = '10';
                frm.statoNew.value = '20';
            } else {
                frm.statoOld.value = '0';
                frm.statoNew.value = '20';
            }
            var result = jhp(this.jhpRoot + "registra.php",
                    jhp_frm(frm));
            if (result.state) {
                alert(result.message);
            } else {
                alert("Check In effettuato con successo! Questo elemento è stato accodato per l'ingresso ");
                this.Reset(frm);
                $(document.frmRicerca.btnRicerca).click(PaginazioneRicerca(document.frmRicerca, 'first'));
            }
        } else {
            alert("Check In non effettuato!");
        }
    },
    Ingresso: function (frm) {

        if (!(ConvalidaForm(frm))) {
            alert('Completare Tutti i Campi Obbligatori');
            return;
        }

        if (confirm(" Effettuare Ingresso? ")) {
            var IdRegistroVettori = frm.IdRegistroVettori.value;
            var IdRegistroVettoriInOut = frm.IdRegistroVettoriInOut.value;
            if ($.isNumeric(IdRegistroVettori) && $.isNumeric(IdRegistroVettoriInOut)) {
                frm.statoOld.value = '20';
                frm.statoNew.value = '30';
            } else {
                frm.statoOld.value = '0';
                frm.statoNew.value = '30';
            }
            var result = jhp(this.jhpRoot + "registra.php",
                    jhp_frm(frm));
            if (result.state) {
                alert(result.message);
            } else {
                alert("Ingresso registrato con successo! Questo elemento è stato accodato per uscire ");
                this.Reset(frm);
                $(document.frmRicerca.btnRicerca).click(PaginazioneRicerca(document.frmRicerca, 'first'));
            }
        } else {
            alert("Ingresso non registrato!");
        }

    },
    Uscita: function (frm) {

        if (!(ConvalidaForm(frm))) {
            alert('Completare Tutti i Campi Obbligatori');
            return;
        }

        if (confirm(" Effettuare Uscita? ")) {
            frm.statoOld.value = '30';
            frm.statoNew.value = '40';
            var result = jhp(this.jhpRoot + "registra.php",
                    jhp_frm(frm));

            if (result.state)
            {
                alert(result.message);
            } else {
                alert("Uscita registrata con successo!");
                this.Reset(frm);
                $(document.frmRicerca.btnRicerca).click(PaginazioneRicerca(document.frmRicerca, 'first'));
                if (document.form1.Ricerca.value == "") {
                    document.form1.NomeForm.value = "checkin";
                    caricaTabella();
                }
            }
        } else {
            alert("Uscita non registrata!");
        }
    },
    UscitaModifica: function (frm) {

        if (!(ConvalidaForm(frm))) {
            alert('Completare Tutti i Campi Obbligatori');
            return;
        }

        if (confirm(" Modificare l'Uscita? ")) {
            frm.statoOld.value = '40';
            frm.statoNew.value = '40';
            var result = jhp(this.jhpRoot + "registra.php",
                    jhp_frm(frm));

            if (result.state)
            {
                alert(result.message);
            } else {
                alert("Operazione effettuata con successa!");
                
				//this.Reset(frm);
				
                $(document.frmRicerca.btnRicerca).click(PaginazioneRicerca(document.frmRicerca, 'first'));
                if (document.form1.Ricerca.value == "") {
                    document.form1.NomeForm.value = "uscita_modifica";
                    caricaTabella();
                }
            }
        } else {
            alert("Uscita non registrata!");
        }
    },
    AddDocScansionato: function (frm) { 
        if (frm.pathBolla == '') {
            alert('Attenzione, Bolla Non Specificata! Clicca su Scegli File e seleziona un File!');
            return false;
        }
        frm.action = this.jhpRoot + "_upload_scansione_bolla.php";
        frm.target = "scaricoFoto";
        frm.submit();
    },
    go: function (Id, Stato) {
        if (Stato == 20) {
            document.form1.NomeForm.value = "ingresso";
            caricaTabella();
            frm = document.ingresso;
        } else {
            if (Stato == 30) {
                document.form1.NomeForm.value = "uscita";
                caricaTabella();
                frm = document.uscita;
            } else if (Stato == 40) {
                document.form1.NomeForm.value = "uscita_modifica";
                caricaTabella();
                frm = document.uscita_modifica;
            }  else {
                document.form1.NomeForm.value = "checkin";
                caricaTabella();
                frm = document.checkin;
            }
        }
		
		if(Stato == 40)
		{
			var result = jhp(this.jhpRoot + "carica_form.php",
					{Id: Id});
			if (result.state) {
				alert(result.message);
			} else {
				var rs = result.value;  

				$.each(rs, function(key, value) {
					try
					{
						frm[key].value = value;
					}
					catch(ex)
					{
						//console.log(ex);
					}
				});			 
				
				this.CaricoStili();
				
				calcolaCaricoBolla(frm);
			}	
		}
		else
		{
			var result = jhp(this.jhpRoot + "carica_form.php",
					{Id: Id});
			if (result.state) {
				alert(result.message);
			} else {
				var rs = result.value;
				var i, len = this.CampiForm.length;

				/*for (i = 0; i < len; ++i) {
					frm[this.CampiForm[i]].value = rs[this.CampiForm[i]];
				}*/	
					
				for(i=0;i<len;++i)
					if ( frm[this.CampiForm[i]].type=="checkbox" )
						frm[this.CampiForm[i]].checked = rs[this.CampiForm[i]]==1;
					else
						frm[this.CampiForm[i]].value = rs[this.CampiForm[i]];				
				
				scroll(0, 0);
				
				
				this.CaricoStili();
				
				calcolaCaricoBolla(frm);
			}
		}
    } 
	
	,CaricoStili: function(resetF) { 
		var input = $('.carico :input');
		
		if(resetF)
		{
			input.css('background', 'white'); 
		}
		else
		{
			input.each(function( index, element ) 
			{
				var val1 = element.value;
				
				if(!$.isNumeric(val1))
					$( element ).css( "background", "red" );
				
				if($.isNumeric(val1)&&val1!=0)
				{
					$( element ).css( "background", "yellow" ); 
				}
			});
		}
    } 
};