	SELECT 
		1 ordine
        ,count(registrovettori.Id) AS Visite 
        ,SUM(RegistroVettoriInOut.CaricoBolla) AS BancaliDichiarati 
        ,SUM(RegistroVettoriInOut.CaricoControllato) AS BancaliControllati 
        ,SUM(RegistroVettoriInOut.DifferenzaCarico) AS DifferenzaBancali 
    
	FROM 
        RegistroVettori 
        INNER JOIN RegVett2RegVettInOut 
                ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
        INNER JOIN RegistroVettoriInOut 
                ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
	$where 
    AND RegistroVettoriInOut.DifferenzaCarico >= 0
	
	UNION 
	
	SELECT 
		2 ordine
        ,count(registrovettori.Id) AS Visite 
        ,SUM(RegistroVettoriInOut.CaricoBolla) AS BancaliDichiarati 
        ,SUM(RegistroVettoriInOut.CaricoControllato) AS BancaliControllati 
        ,SUM(ABS(RegistroVettoriInOut.DifferenzaCarico)) AS DifferenzaBancali 
    
	FROM 
        RegistroVettori 
        INNER JOIN RegVett2RegVettInOut 
                ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
        INNER JOIN RegistroVettoriInOut 
                ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
	$where 
    AND RegistroVettoriInOut.DifferenzaCarico < 0
	
	ORDER BY
		ordine
        ,BancaliControllati
        ,BancaliDichiarati
        ,DifferenzaBancali