<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 18/12/2015, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=Natisoft-Report" . date('Ymd', time()) . ".xls");

require_once('../_ntx/ntxconst.inc');
require_once(NTX_PATH . "/jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');


$IdCommessa = ntxise('IdCommessa');
$where = " WHERE ( RegistroVettori.IdCommessa = $IdCommessa ) AND ( ( ( RegVett2RegVettInOut.Tipo = 'IN' ) OR ( RegVett2RegVettInOut.Tipo = 'OUT' ) ) AND ( RegVett2RegVettInOut.Tipo <> 'CHECKIN' ) ) ";
$whereTot = '';
if (is_numeric($_POST['IdEdificio'])) {
    $IdEdificio = ntxip('IdEdificio');
    $where .= " AND ( RegistroVettori.IdEdificio = $IdEdificio ) ";
    $whereTot .= " AND ( a.IdEdificio = $IdEdificio ) ";
}
if ((isset($_POST['DataInizio'])  &&  strlen($_POST['DataInizio']) > 0)  &&  (isset($_POST['DataFine'])  &&  strlen($_POST['DataFine']) > 0)) {
    $DataInizio = ntxtp('DataInizio');
    $DataFine = ntxtp('DataFine');
}
if (is_numeric($_POST['IdDitta'])) {
    $IdDitta = ntxip('IdDitta');
    $whereVett .= " AND ( RegistroVettori.IdDitta = $IdDitta ) ";
    $whereTot .= " AND ( a.IdDitta = $IdDitta ) ";
} else {
    $whereVett .= "";
}
if (isset($_POST['Motivo'])  &&  strlen($_POST['Motivo']) > 0) {
    $Motivo = ntxsp('Motivo');
    $where .= " AND ( RegistroVettori.Motivo = $Motivo ) ";
    $whereTot .= " AND ( a.Motivo = $Motivo ) ";
}  
if ( isset($_POST['TargaMotrice'])  &&  strlen($_POST['TargaMotrice'])>0) 
{
	$str = stripslashes($_POST['TargaMotrice']."");
	$str = str_replace("'", "''", $str);
	$whereTot .= " AND a.TargaMotrice LIKE '%".$str."%' ";
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
        <style>		
		th
		{
			color: black;
			font-weight: bold;
		} 

		table
		,th
		,td	
		{
			border: 0.5pt solid black; 
			font-size:12px; 
		}	

		.td2
		{
			background: #C0C0C0;
		}
		
		.nonData
		{
			mso-number-format:"\@";/*force text*/
		}
        </style>
    </head>
    <body> 

        <?php
        $table = <<< _HTML
  
 <table>
      <tr>
			<th>Ditta
			<th>TargaMotrice
			<th>Presa
			<th>Motivo
			<th>Fascia Oraria	

			<th>Tipo 
			<th>ID CheckIn
			<th>DataOraCheckIn
			<th>Portiere 


			<th>Tipo
			<th>ID Ingresso
			<th>Shipment
			<th>Presa
			<th>Autista
			<th>Orario Ingresso
			<th>Portiere
			<th>Targa Rimorchio
			<th>Note
			<th>Carico Totale
			<th>Carico Di Proprietà
			<th>Carico Controllato
			<th>Differenza Carico
			<th>Bolla Mancante
			<th>Bolla Errata
			<th>Carico Non Corrispondente
			<th>Note Anomalia

			<th>Tipo
			<th>ID Uscita
			<th>Shipment
			<th>Presa
			<th>Autista 
			<th>Orario Uscita
			<th>Portiere
			<th>Targa Rimorchio
			<th>Note
			<th>Carico Totale
			<th>Carico Di Proprietà
			<th>Carico Controllato
			<th>Differenza Carico
			<th>Bolla Mancante
			<th>Bolla Errata
			<th>Carico Non Corrispondente
			<th>Note Anomalia

			<th>  
			<th>Utente Modifica	 		  
			<th>Data Modifica	 		  
			<th>Validità Patente		  
			<th>Validità Assicurazione Mezzo	 
      </tr>    
          
_HTML;

        $sql = <<< _SQL
       
      SELECT aa.*
            ,bb.*
            ,cc.*
			,dd.*
      FROM 
	  (
			SELECT 
				a.Id AS IdA
				,a.IdDitta
				,a.DataOraCheckIn	
				,a.TargaMotrice
				,a.Presa
				,MotivoAccesso.Descrizione AS Motivo
				,c1.Id
				,c1.Autista
				,c1.TargaRimorchio
				,c1.Shipment
				,c1.DataOra
				,c1.Note
				,c1.CaricoBolla
				,c1.ProprietaEpal+c1.ProprietaAltro+c1.ProprietaCasse+c1.ProprietaFustini AS CaricoDiProprieta
				,c1.CaricoControllato
				,c1.DifferenzaCarico
				,CASE WHEN c1.BollaMancante = 1 THEN 'SI' ELSE 'NO' END AS BollaMancante 
				,CASE WHEN c1.BollaErrata = 1 THEN 'SI' ELSE 'NO' END AS BollaErrata 
				,CASE WHEN c1.CaricoNonCorrispondente = 1 THEN 'SI' ELSE 'NO' END AS CaricoNonCorrispondente 
				,c1.NoteAnomalia
				,c1.CaricoEpal
				,c1.CaricoFustini
				,c1.CaricoCasse
				,c1.CaricoAltro
				,c1.ProprietaEpal
				,c1.ProprietaFustini
				,c1.ProprietaCasse
				,c1.ProprietaAltro
				,c1.VerificaEpal
				,c1.VerificaFustini
				,c1.VerificaCasse
				,c1.VerificaAltro
				,c1.FasciaOrariaPrenotazione
				,Risorse.NOME AS Portiere30
			FROM 
				RegistroVettori AS a
				LEFT JOIN 
				RegVett2RegVettInOut AS b ON a.Id = b.IdRegistroVettori AND b.stato = 30
				LEFT JOIN 
				RegistroVettoriInOut AS c1 ON b.IdRegistroVettoriInOut = c1.Id
				LEFT OUTER JOIN
				MotivoAccesso ON MotivoAccesso.IdMotivoAccesso = a.Motivo
				LEFT OUTER JOIN 
				Risorse ON Risorse.ID = c1.IdRisorsa 				
			WHERE 
			c1.DataOra BETWEEN $DataInizio AND $DataFine 
			AND  a.IdCommessa = $IdCommessa 
			$whereTot
		) aa
		INNER JOIN 
		(
			SELECT 
				a.Id AS IdB
				,a.IdDitta                     			IdVettore2
				,a.DataOraCheckIn	               		DataOraCheckIn2
				,a.TargaMotrice                  		TargaMotrice2
				,a.Presa                         		Presa2
				,MotivoAccesso.Descrizione  			Motivo2
				,c2.Id                           		Id2
				,c2.Autista                      		Autista2
				,c2.TargaRimorchio               		TargaRimorchio2
				,c2.Shipment                     		Shipment2
				,c2.DataOra                      		DataOra2
				,c2.Note                         		Note2
				,c2.CaricoBolla                  		CaricoBolla2
				,c2.ProprietaEpal+c2.ProprietaAltro+c2.ProprietaCasse+c2.ProprietaFustini AS CaricoDiProprieta2
				,c2.CaricoControllato            		CaricoControllato2
				,c2.DifferenzaCarico             		DifferenzaCarico2
				,CASE WHEN c2.BollaMancante = 1 THEN 'SI' ELSE 'NO' END AS BollaMancante2 
				,CASE WHEN c2.BollaErrata = 1 THEN 'SI' ELSE 'NO' END AS BollaErrata2
				,CASE WHEN c2.CaricoNonCorrispondente = 1 THEN 'SI' ELSE 'NO' END AS CaricoNonCorrispondente2
				,c2.NoteAnomalia                 		NoteAnomalia2
				,c2.CaricoEpal                   		CaricoEpal2
				,c2.CaricoFustini                		CaricoFustini2
				,c2.CaricoCasse                  		CaricoCasse2
				,c2.CaricoAltro                  		CaricoAltro2
				,c2.ProprietaEpal                		ProprietaEpal2
				,c2.ProprietaFustini             		ProprietaFustini2
				,c2.ProprietaCasse               		ProprietaCasse2
				,c2.ProprietaAltro               		ProprietaAltro2
				,c2.VerificaEpal                 		VerificaEpal2
				,c2.VerificaFustini              		VerificaFustini2
				,c2.VerificaCasse                		VerificaCasse2
				,c2.VerificaAltro                		VerificaAltro2
				,c2.FasciaOrariaPrenotazione			FasciaOrariaPrenotazione2
				,Risorse.NOME   						Portiere40
			FROM 
				RegistroVettori AS a
				LEFT JOIN 
				RegVett2RegVettInOut AS b ON a.Id = b.IdRegistroVettori AND b.stato = 40
				LEFT JOIN 
				RegistroVettoriInOut AS c2 ON b.IdRegistroVettoriInOut = c2.Id
				LEFT OUTER JOIN
				MotivoAccesso ON MotivoAccesso.IdMotivoAccesso = a.Motivo
				LEFT OUTER JOIN 
				Risorse ON Risorse.ID = c2.IdRisorsa 					
			WHERE 
				a.IdCommessa = $IdCommessa 
				$whereTot
        ) bb
        ON aa.IdA = bb.IdB
		
		INNER JOIN 
		(
			SELECT 
				a.Id AS IdC
				,a.IdDitta                     			IdVettore3
				,a.DataOraCheckIn	               		DataOraCheckIn3
				,a.TargaMotrice                  		TargaMotrice3
				,a.Presa                         		Presa3
				,MotivoAccesso.Descrizione  			Motivo3
				,c3.Id                           		Id3
				,c3.Autista                      		Autista3
				,c3.TargaRimorchio               		TargaRimorchio3
				,c3.Shipment                     		Shipment3
				,c3.DataOra                      		DataOra3
				,c3.Note                         		Note3
				,c3.CaricoBolla                  		CaricoBolla3
				,c3.ProprietaEpal+c3.ProprietaAltro+c3.ProprietaCasse+c3.ProprietaFustini AS CaricoDiProprieta3
				,c3.CaricoControllato            		CaricoControllato3
				,c3.DifferenzaCarico             		DifferenzaCarico3
				,CASE WHEN c3.BollaMancante = 1 THEN 'SI' ELSE 'NO' END AS BollaMancante3 
				,CASE WHEN c3.BollaErrata = 1 THEN 'SI' ELSE 'NO' END AS BollaErrata3
				,CASE WHEN c3.CaricoNonCorrispondente = 1 THEN 'SI' ELSE 'NO' END AS CaricoNonCorrispondente3
				,c3.NoteAnomalia                 		NoteAnomalia3
				,c3.CaricoEpal                   		CaricoEpal3
				,c3.CaricoFustini                		CaricoFustini3
				,c3.CaricoCasse                  		CaricoCasse3
				,c3.CaricoAltro                  		CaricoAltro3
				,c3.ProprietaEpal                		ProprietaEpal3
				,c3.ProprietaFustini             		ProprietaFustini3
				,c3.ProprietaCasse               		ProprietaCasse3
				,c3.ProprietaAltro               		ProprietaAltro3
				,c3.VerificaEpal                 		VerificaEpal3
				,c3.VerificaFustini              		VerificaFustini3
				,c3.VerificaCasse                		VerificaCasse3
				,c3.VerificaAltro                		VerificaAltro3
				,c3.FasciaOrariaPrenotazione			FasciaOrariaPrenotazione3
				,Risorse.NOME   						Portiere20
			FROM 
				RegistroVettori AS a
				LEFT JOIN 
				RegVett2RegVettInOut AS b ON a.Id = b.IdRegistroVettori AND b.stato = 20
				LEFT JOIN 
				RegistroVettoriInOut AS c3 ON b.IdRegistroVettoriInOut = c3.Id
				LEFT OUTER JOIN
				MotivoAccesso ON MotivoAccesso.IdMotivoAccesso = a.Motivo
				LEFT OUTER JOIN 
				Risorse ON Risorse.ID = c3.IdRisorsa 					
			WHERE 
				a.IdCommessa = $IdCommessa 
				$whereTot
        ) cc
        ON aa.IdA = cc.IdC
		
		INNER JOIN 
		(
			SELECT 
				a.Id AS IdVettore_d 
				,a.UtenteModifica	 
				,a.DataModifica	  
				,CASE 
					WHEN a.CheckPatenteValida=1 THEN 'SI'
					ELSE 'NO'
				END AS CheckPatenteValida	 
				,CASE 
					WHEN a.CheckAssMezzoValida=1 THEN 'SI'
					ELSE 'NO'
				END AS CheckAssMezzoValida	  
			FROM 
				RegistroVettori AS a
				LEFT JOIN 
				RegVett2RegVettInOut AS b ON a.Id = b.IdRegistroVettori AND b.stato = 20
				LEFT JOIN 
				RegistroVettoriInOut AS c3 ON b.IdRegistroVettoriInOut = c3.Id
				LEFT OUTER JOIN
				MotivoAccesso ON MotivoAccesso.IdMotivoAccesso = a.Motivo
				LEFT OUTER JOIN 
				Risorse ON Risorse.ID = c3.IdRisorsa 					
			WHERE 
				a.IdCommessa = $IdCommessa 
				$whereTot
        ) dd
        ON aa.IdA = dd.IdVettore_d
  
_SQL;
 
        $query = ntxQuery($sql);

        while ($query  &&  $rs = ntxRecord($query)) {
		
			$rs[DataModifica] = ntxDateTime($html[DataModifica]);
		
            foreach ($rs as $k => $v) {
                $html[$k] = htmlentities($v);
            }
            $html[DataOraCheckIn] = str_replace('.', ':', ntxDateTime($html[DataOraCheckIn]));
            $html[DataOra3] = str_replace('.', ':', ntxDateTime($html[DataOra3]));
            $html[DataOra2] = str_replace('.', ':', ntxDateTime($html[DataOra2]));
            $html[DataOra] = str_replace('.', ':', ntxDateTime($html[DataOra]));
            if ($html[CaricoBolla] != 0) {
                $percDifferenza = floor(floatval(abs($html[DifferenzaCarico]) / $html[CaricoBolla]) * 100);
            } else {
                $percDifferenza = 0;
            }

            $IdDitta = (int) $html['IdDitta'];
            $NomeVettore = htmlentities(ntxScalar(" SELECT Ditta FROM Ditte WHERE IDDitta = $IdDitta AND Categoria = 'Vettore' "));
            $table .= <<< _HTML
          
            <tr>
				<td>$NomeVettore
				<td>$html[TargaMotrice]
				<td>$html[Presa]
				<td>$html[Motivo]
				<td class="nonData" >$html[FasciaOrariaPrenotazione]	

				<td style="background:#e0e0e0;" ><strong>CHECK-IN</strong> 
				<td>$html[Id3]
				<td>$html[DataOra3]
				<td>$html[Portiere20]  

				<td style="background:#e0e0e0;" ><strong>INGRESSO</strong>
				<td>$html[Id]
				<td>$html[Shipment]
				<td>$html[Presa]
				<td>$html[Autista]
				<td>$html[DataOra]
				<td>$html[Portiere30]
				<td>$html[TargaRimorchio]
				<td>$html[Note]
				<td>$html[CaricoBolla]
				<td>$html[CaricoDiProprieta]
				<td>$html[CaricoControllato]
				<td>$html[DifferenzaCarico]
				<td>$html[Mancante]
				<td>$html[Errata]
				<td>$html[NonCorrispondente]
				<td>$html[NoteAnomalia]

				<td style="background:#e0e0e0;" ><strong>USCITA</strong>
				<td>$html[Id2]
				<td>$html[Shipment2]
				<td>$html[Presa2]
				<td>$html[Autista2]
				<td>$html[DataOra2]
				<td>$html[Portiere40]
				<td>$html[TargaRimorchio2]
				<td>$html[Note2]
				<td>$html[CaricoBolla2]
				<td>$html[CaricoDiProprieta2]
				<td>$html[CaricoControllato2]
				<td>$html[DifferenzaCarico2]
				<td>$html[Mancante2]
				<td>$html[Errata2]
				<td>$html[NonCorrispondente2]
				<td>$html[NoteAnomalia2]    


				<td style="background:#e0e0e0;" > 
				<td>$html[UtenteModifica]    
				<td>$html[DataModifica]    
				<td>$html[CheckPatenteValida]    
				<td>$html[CheckAssMezzoValida]    
_HTML;
        }
        $table .= "</table>";
        echo $table;
        ?>

    </body>
</html>
