<?php

$DesMesi = array("",
		"Gennaio", "Febbraio", "Marzo",
		"Aprile", "Maggio", "Giugno",
		"Luglio", "Agosto", "Settembre",
		"Ottobre", "Novembre", "Dicembre");
		
$query3 = ntxQuery($sql3);

$tableDisponibilità = <<< table
	<table class=grid>
		<tr><th>Anno<th>Mese<th>Importo<th>Importo<br>Affidabile
table;

$impDisp = 0;
$impDispAffidabile = 0;

	$alternate = true;
	
while($rs=ntxRecord($query3))
{
	$class = $alternate ? "class=alternate" : "";
	
	$impDisp += $rs[IMPORTODisp];
	$impDispAffidabile += $rs[IMPORTODispAffidabili];
	
	$rs[IMPORTODisp] = ntxRoundThousand($rs[IMPORTODisp], 2);
	$rs[IMPORTODispAffidabili] = ntxRoundThousand($rs[IMPORTODispAffidabili], 2);
	
	$Mese = $DesMesi[$rs[Mese]];
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$tableDisponibilità .= <<< table
		<tr $class>
			<td >$html[Anno]
			<td >$Mese
			<td class=right>$html[IMPORTODisp]
			<td class=right>$html[IMPORTODispAffidabili]
table;

	$alternate = !$alternate;	
}

$impDisp = ntxRoundThousand($impDisp, 2);
$impDispAffidabile = ntxRoundThousand($impDispAffidabile, 2);

$tableDisponibilità .= <<< table
		<tr>
			<td colspan=2 style="background-color:white;font-weight:bold">TOTALE
			<td class=right style="background-color:white;font-weight:bold">$impDisp
			<td class=right style="background-color:white;font-weight:bold">$impDispAffidabile
	</table>
table;

$query2 = ntxQuery($sql2);

$tableGruppiCosti = <<< table
	<table class=grid>
		<tr><th>Gruppo Costi<th>Importo<th>Importo+IVA<th>Importo<br>con priorità<th>Importo+IVA<br>con priorità
table;

$impTot = 0;
$impTotIVA = 0;
$impTotPriorità = 0;
$impTotIVAPriorità = 0;

while($rs=ntxRecord($query2))
{
	$colore = $rs[colore];
	
	$impTot += $rs[Importo];
	$impTotIVA += $rs[ImportoIVA];
	
	$impTotPriorità += $rs[ImportoConPriorità];
	$impTotIVAPriorità += $rs[ImportoIVAConPriorità];
	
	$rs[Importo] = ntxRoundThousand($rs[Importo], 2);
	$rs[ImportoIVA] = ntxRoundThousand($rs[ImportoIVA], 2);
	
	$rs[ImportoConPriorità] = ntxRoundThousand($rs[ImportoConPriorità], 2);
	$rs[ImportoIVAConPriorità] = ntxRoundThousand($rs[ImportoIVAConPriorità], 2);

	if ( strlen($colore)==0 ) $colore = "white";
	
	$styleTR = "style='background-color: $colore'";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$tableGruppiCosti .= <<< table
		<tr><td style="background-color:$colore">$html[descrizione]
			<td class=right style="background-color:$colore">$html[Importo]
			<td class=right style="background-color:$colore">$html[ImportoIVA]
			<td class=right style="background-color:$colore">$html[ImportoConPriorità]
			<td class=right style="background-color:$colore">$html[ImportoIVAConPriorità]
table;
}

$impTot = ntxRoundThousand($impTot, 2);
$impTotIVA = ntxRoundThousand($impTotIVA, 2);

$impTotPriorità = ntxRoundThousand($impTotPriorità, 2);
$impTotIVAPriorità = ntxRoundThousand($impTotIVAPriorità, 2);

$tableGruppiCosti .= <<< table
		<tr>
			<td style="background-color:white;font-weight:bold">TOTALE
			<td class=right style="background-color:white;font-weight:bold">$impTot
			<td class=right style="background-color:white;font-weight:bold">$impTotIVA
			<td class=right style="background-color:white;font-weight:bold">$impTotPriorità
			<td class=right style="background-color:white;font-weight:bold">$impTotIVAPriorità
	</table>
table;

$table = <<< table
$tableDisponibilità
<br>
<br>
$tableGruppiCosti
<br>
<br>
	<table class=grid>
		<tr>
			<th>DataSal
			<th>NumeroFattura
			<th>DataFattura
			<th>Ditta
			<th>Importo
			<th>IVA
			<th>Importo+IVA
			<th>Pagato
			<th>ImportoPagato
			<th>Gruppi Costi
			<th>Priorità
			<th>Data prevista pagamento
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$colore = $rs[colore];
	
	if ( strlen($colore)==0 ) $colore = "white";
	
	$styleTR = "style='background-color: $colore'";

	$rs[DataSal] = ntxDate($rs[DataSal]);
	$rs[DataFattura] = ntxDate($rs[DataFattura]);
	
	$rs[DataPrevistaPagamento] = ntxDate($rs[DataPrevistaPagamento]);
	
	$rs[Importo] = ntxRoundThousand($rs[Importo], 2);
	$rs[IVA] = ntxRoundThousand($rs[IVA], 2);
	$rs[ImportoIVA] = ntxRoundThousand($rs[ImportoIVA], 2);
	$rs[ImportoPagato] = ntxRoundThousand($rs[ImportoPagato], 2);
	
	$pagato = $rs[Pagato] ? "SI" : "no";
	
	foreach($rs as $k=>$v)
	{
		$js[$k] = ntxjs($v);
		$html[$k] = htmlentities($v);
	}
	
	$table .= <<< table
		<tr $styleTR>
			<td class=right>$html[DataSal]
			<td class=right>$html[NumeroFattura]
			<td class=right>$html[DataFattura]
			<td>$html[Ditta]
			<td class=right>$html[Importo]
			<td class=right>$html[IVA]
			<td class=right>$html[ImportoIVA]
			<td>$pagato
			<td class=right>$html[ImportoPagato]
			<td>$html[descrizione]
table;

	if ( $isExcel )
	{
		$table .= <<< table
			<td>$html[Priorità]
			<td>$html[DataPrevistaPagamento]
table;
	}
	else
	{
		$table .= <<< table
			<td><input type=text size=4 value="$js[Priorità]" onblur="EditField(this)" IdSal=$rs[IdSal] Campo=Priorità />
			<td><input type=text size=25 value="$js[DataPrevistaPagamento]" onblur="EditField(this)" IdSal=$rs[IdSal] DatePicker Campo=DataPrevistaPagamento />
table;
	}

	$alternate = !$alternate;
}

$table .= "</table>";

?>