<?php  

session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');


?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
</head>
<body  >

<input type=button value=excel onclick="frmExcel.submit()" />

<?php 

require('sql.inc');

$IdProprietario = "";
$IdOfferta = "";

$table = "<table class=grid>";

$alternate = false;

$subTotAnno1 = 0;
$subTotAnno2 = 0;
$subTotAnno3 = 0;
$subTotAnno4 = 0;
$subTotAnno5 = 0;

while($rs=ntxRecord($query))
{
	if ( $IdProprietario=="" || $IdProprietario!=$rs[IdProprietario] || $IdOfferta=="" || $IdOfferta!=$rs[IdOfferta] )
	{
		if ( $IdProprietario!="" )
		{
			$class = $alternate ? "class=alternate" : "";

			$anno1 = ntxRoundThousand($subTotAnno1, 2);
			$anno2 = ntxRoundThousand($subTotAnno2, 2);
			$anno3 = ntxRoundThousand($subTotAnno3, 2);
			$anno4 = ntxRoundThousand($subTotAnno4, 2);
			$anno5 = ntxRoundThousand($subTotAnno5, 2);
			
			$TOTALE = ntxRoundThousand($subTotAnno1
			                           +$subTotAnno2
			                           +$subTotAnno3
			                           +$subTotAnno4
			                           +$subTotAnno5
			, 2);
								  
			$subTotAnno1 = 0;
			$subTotAnno2 = 0;
			$subTotAnno3 = 0;
			$subTotAnno4 = 0;
			$subTotAnno5 = 0;

			$table .= <<< table
				<tr $class><td colspan=2 style="text-align:right;font-weight:bold">TOTALE PER CLIENTE
				<td style="text-align:right;font-weight:bold">$anno1
				<td style="text-align:right;font-weight:bold">$anno2
				<td style="text-align:right;font-weight:bold">$anno3
				<td style="text-align:right;font-weight:bold">$anno4
				<td style="text-align:right;font-weight:bold">$anno5
				<td style="text-align:right;font-weight:bold">$TOTALE
				<tr><td colspan=8>&nbsp;<br>
table;

			$alternate = !$alternate;
		}
		
		$IdProprietario = $rs[IdProprietario];
		$IdOfferta = $rs[IdOfferta];
		$Proprietario = htmlentities("$rs[Proprietario] - Offerta: $rs[IdOfferta]");
		
		$mese = $rs[MeseInizio];
		$anno111 = $rs[AnnoInizio];
		$mese1 = $mesi[$mese];
		$mese2 = $mesi[($mese+10)%12+1];

		if ( $mese>0 ) $anno222 = $anno111 + 1;

		$anno1h = "&nbsp;$mese1/$anno111<br>-<br>&nbsp;$mese2/$anno222";
		$anno111++; $anno222++;
		$anno2h = "&nbsp;$mese1/$anno111<br>-<br>&nbsp;$mese2/$anno222";
		$anno111++; $anno222++;
		$anno3h = "&nbsp;$mese1/$anno111<br>-<br>&nbsp;$mese2/$anno222";
		$anno111++; $anno222++;
		$anno4h = "&nbsp;$mese1/$anno111<br>-<br>&nbsp;$mese2/$anno222";
		$anno111++; $anno222++;
		$anno5h = "&nbsp;$mese1/$anno111<br>-<br>&nbsp;$mese2/$anno222";

		$table .= <<< table
			<tr><td colspan=8 style="font-size:12pt;font-weight:bold">$Proprietario
			<tr><th colspan=2>Servizio<th>$anno1h<th>$anno2h<th>$anno3h<th>$anno4h<th>$anno5h<th>TOTALE PER MESTIERE
table;
	}
	
	$class = $alternate ? "class=alternate" : "";

	$subTotAnno1 += $rs[Anno_1c]+$rs[Anno_1r];
	$subTotAnno2 += $rs[Anno_2c]+$rs[Anno_2r];
	$subTotAnno3 += $rs[Anno_3c]+$rs[Anno_3r];
	$subTotAnno4 += $rs[Anno_4c]+$rs[Anno_4r];
	$subTotAnno5 += $rs[Anno_5c]+$rs[Anno_5r];
	
	$anno1 = ntxRoundThousand($rs[Anno_1c]+$rs[Anno_1r], 2);
	$anno2 = ntxRoundThousand($rs[Anno_2c]+$rs[Anno_2r], 2);
	$anno3 = ntxRoundThousand($rs[Anno_3c]+$rs[Anno_3r], 2);
	$anno4 = ntxRoundThousand($rs[Anno_4c]+$rs[Anno_4r], 2);
	$anno5 = ntxRoundThousand($rs[Anno_5c]+$rs[Anno_5r], 2);
	
	$TOTALE = ntxRoundThousand($rs[Anno_1c]+$rs[Anno_1r]
	          +$rs[Anno_2c]+$rs[Anno_2r]
	          +$rs[Anno_3c]+$rs[Anno_3r]
	          +$rs[Anno_4c]+$rs[Anno_4r]
	          +$rs[Anno_5c]+$rs[Anno_5r], 2);
			  
	$table .= <<< table
		<tr $class><td>$rs[CodMest]<td>$rs[DesMest]
		<td style="text-align:right">$anno1
		<td style="text-align:right">$anno2
		<td style="text-align:right">$anno3
		<td style="text-align:right">$anno4
		<td style="text-align:right">$anno5
		<td style="text-align:right">$TOTALE
table;

	$alternate = !$alternate;
}

if ( $IdProprietario!="" )
{
	$class = $alternate ? "class=alternate" : "";
	
	$anno1 = ntxRoundThousand($subTotAnno1, 2);
	$anno2 = ntxRoundThousand($subTotAnno2, 2);
	$anno3 = ntxRoundThousand($subTotAnno3, 2);
	$anno4 = ntxRoundThousand($subTotAnno4, 2);
	$anno5 = ntxRoundThousand($subTotAnno5, 2);
	
	$TOTALE = ntxRoundThousand($subTotAnno1
							   +$subTotAnno2
							   +$subTotAnno3
							   +$subTotAnno4
							   +$subTotAnno5
	, 2);
			  
	$table .= <<< table
		<tr $class><td colspan=2 style="text-align:right;font-weight:bold">TOTALE PER CLIENTE
		<td style="text-align:right;font-weight:bold">$anno1
		<td style="text-align:right;font-weight:bold">$anno2
		<td style="text-align:right;font-weight:bold">$anno3
		<td style="text-align:right;font-weight:bold">$anno4
		<td style="text-align:right;font-weight:bold">$anno5
		<td style="text-align:right;font-weight:bold">$TOTALE
table;
}

$table .= "</table>";

echo $table;

?>

<form name=frmExcel method=post action="excel.php" target="iframeExcel" />

<iframe name=iframeExcel width=1px height=1></iframe>

</body>
</html>
