<?php

$table = <<< table
	<table class=grid>
		<tr>
			<th>Nome
			<th>Descrizione
			<th>Precontratto
			<th>Numero<br>Sal
			<th>Data<br>Sal
			<th>Numero<br>Fattura
			<th>Data<br>Fattura
			<th>Banca
			<th>Data<br>Pagamento<br>Prevista
			<th>Importo
			<th>IVA
			<th>Importo+IVA
			<th>Importo<br>Disponibile
			<th>Affidabilità
		</tr>
table;

$alternate = false;

$alternate = true;
	
while( $query  &&  $rs = ntxRecord($query) )
{
	$class = $alternate ? "class=alternate" : "";

	$rs[DataSal] = ntxDate($rs[DataSal]);
	$rs[DataFattura] = ntxDate($rs[DataFattura]);
	$rs[DataPagamentoP] = ntxDate($rs[DataPagamentoP]);
	
	$rs[Importo] = ntxRoundThousand($rs[Importo], 2);
	$rs[IVA] = ntxRoundThousand($rs[IVA], 2);
	$rs[ImportoIVA] = ntxRoundThousand($rs[ImportoIVA], 2);
	$rs[IMPORTODisp] = ntxRoundThousand($rs[IMPORTODisp], 2);
	
	$Precontratto = $rs[Precontratto] ? "SI" : "no";
	$Affidabilità = $rs[Affidabilità] ? "SI" : "no";
	$chkAffidabilità = $rs[Affidabilità] ? "checked" : "no";
	
	foreach($rs as $k=>$v)
	{
		$js[$k] = ntxjs($v);
		$html[$k] = htmlentities($v);
	}
	
	$table .= <<< table
		<tr $class>
			<td>$html[Nome]
			<td>$html[Descrizione]
			<td>$Precontratto
			<td class=right>$html[NumeroSal]
			<td class=right>$html[DataSal]
			<td class=right>$html[NumeroFattura]
			<td class=right>$html[DataFattura]
			<td>$html[Banca]
			<td class=right>$html[DataPagamentoP]
			<td class=right>$html[Importo]
			<td class=right>$html[IVA]
			<td class=right>$html[ImportoIVA]
			<td class=right>$html[IMPORTODisp]
table;

	if ( $isExcel )
	{
		$table .= <<< table
			<td>$Affidabilità
table;
	}
	else
	{
		$table .= <<< table
			<td><input type=checkbox onclick="EditField(this)" IdSal=$rs[IdSal] Campo=Affidabilità $chkAffidabilità />
table;
	}

	$alternate = !$alternate;
}

$table .= "</table>";

?>