<?php

$sql = <<< sql
SELECT     CaratteristicheAmbienti_1.Descrizione AS Car1, SUM(Ambiente.MQ) AS TotMQ, SUM(PianoLivello.RapportoMqLordiNetti * Ambiente.MQ) AS TotMQ_LORDI
FROM         RichiesteAmbienti INNER JOIN
                      Ambiente ON RichiesteAmbienti.IdCommessaAmbiente = Ambiente.IdCommessa AND RichiesteAmbienti.IdEdificioAmbiente = Ambiente.IdEdificio AND 
                      RichiesteAmbienti.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      Richieste ON RichiesteAmbienti.IDCommessaRichiesta = Richieste.IDCommessa AND RichiesteAmbienti.NumRichiesta = Richieste.NumRichiesta AND 
                      RichiesteAmbienti.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano LEFT OUTER JOIN
                      CaratteristicheAmbienti AS CaratteristicheAmbienti_1 ON Ambiente.Caratteristiche = CaratteristicheAmbienti_1.Id
WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
GROUP BY CaratteristicheAmbienti_1.Descrizione
ORDER BY Car1
sql;

$query = ntxQuery($sql);

$table2 = "";
$alternate = false;

while($rs=ntxRecord($query))
{
	$alt = $alternate ? "class=alternate" : "";
	
	$TotMQ = ntxRoundThousand($rs[TotMQ],2);
	$TotMQ_LORDI = ntxRoundThousand($rs[TotMQ_LORDI],2);
	
	foreach($rs as $key => $value);
		$rs[$key] = htmlentities($value);
		
	$table2 .= <<< table2
		<tr $alt>
			<td>$rs[Car1]
			<td>$TotMQ
			<td>$TotMQ_LORDI
table2;

	$alternate = !$alternate;
}

?>