<?php

$sql = <<< sql
SELECT     CaratteristicheAmbienti_1.Descrizione AS Car2, SUM(Ambiente.MQ) AS TotMQ, SUM(PianoLivello.RapportoMqLordiNetti * Ambiente.MQ) AS TotMQ_LORDI
FROM         RichiesteAmbienti INNER JOIN
                      Ambiente ON RichiesteAmbienti.IdCommessaAmbiente = Ambiente.IdCommessa AND RichiesteAmbienti.IdEdificioAmbiente = Ambiente.IdEdificio AND 
                      RichiesteAmbienti.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      Richieste ON RichiesteAmbienti.IDCommessaRichiesta = Richieste.IDCommessa AND RichiesteAmbienti.NumRichiesta = Richieste.NumRichiesta AND 
                      RichiesteAmbienti.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano LEFT OUTER JOIN
                      CaratteristicheAmbientiMN ON Richieste.DataRichiesta <= CaratteristicheAmbientiMN.DataFine AND 
                      Richieste.DataRichiesta >= CaratteristicheAmbientiMN.DataInizio AND Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND 
                      Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio AND Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente LEFT OUTER JOIN
                      CaratteristicheAmbienti AS CaratteristicheAmbienti_1 ON CaratteristicheAmbientiMN.IdCaratteristicaAmbiente = CaratteristicheAmbienti_1.Id
WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
GROUP BY CaratteristicheAmbienti_1.Descrizione
ORDER BY Car2
sql;

$query = ntxQuery($sql);

$table3 = "";
$alternate = false;

while($rs=ntxRecord($query))
{
	$alt = $alternate ? "class=alternate" : "";
	
	$TotMQ = ntxRoundThousand($rs[TotMQ],2);
	$TotMQ_LORDI = ntxRoundThousand($rs[TotMQ_LORDI],2);
	
	foreach($rs as $key => $value);
		$rs[$key] = htmlentities($value);
		
	$table3 .= <<< table3
		<tr $alt>
			<td>$rs[Car2]
			<td>$TotMQ
			<td>$TotMQ_LORDI
table3;

	$alternate = !$alternate;
}

?>