<?php  

$where = "WHERE (Ordini.IDCommessa = $IdCommessa)";

if ( strlen($_POST[data1])>0 ) 
{
	$where .= " AND case when Ordini.GradoUrgenza='mp' then Ordini.DataInizioProg else Ordini.DataOrdine end>=".ntxtp('data1');
}

if ( strlen($_POST[data2])>0 ) 
{
	$where .= " AND case when Ordini.GradoUrgenza='mp' then Ordini.DataInizioProg else Ordini.DataOrdine end<=".ntxtp('data2');
}

$subSql = <<< sql
	SELECT TOP 1 LTRIM(r2.NumRichiesta) +'/'+ LTRIM(r2.AnnoRichiesta) 
	FROM Richieste r2
	WHERE Ordini.IDCommessa = r2.IDCommessa AND Ordini.NumOrdine  = r2.NumOrdineFonte AND 
	                      Ordini.AnnoOrdine = r2.AnnoOrdineFonte
sql;

$sql = <<< sql
	SELECT DISTINCT
		Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, Richieste.NumRichiesta, Richieste.AnnoRichiesta,
		Richieste.DataRichiesta, Richieste.ImpS,  Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Des,
		ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, 
		ElencoEdifici.CITTA AS Comune,
		ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, tblPgPropietari.Nome AS Ente, Ordini.Contabiliz,
		($subSql) AS RicGenerata, 
		tblUtUtilizzatori.Nome AS Utilizzatore, 
 Richieste.Richiedente, Ordini.DataInizioProg, Ordini.DataFineProg, Richieste.TipoValutazione,
                      TabellaGradoUrgenza.Descrizione AS GrUrgenza, Ordini.DataInizio, Ordini.DataFine, Ordini.DataScadenza
  
 , Ditte.Ditta

 , tblMestieri.codice AS CodMest, tblComponetiMestiere.codice AS CodComp, tblAttivitàMestiere.codice AS CodAtt
 , tblMestieri.Descrizione AS DesMest, tblComponetiMestiere.Descrizione AS DesComp, tblAttivitàMestiere.Descrizione AS DesAtt
 , Richieste.Riferimento,

			Contabilità.NumSal,
			StatiContabilità.DesstatoC
		
FROM        AffidatariGestitiDaCallCenter RIGHT OUTER JOIN
                      Contabilità RIGHT OUTER JOIN
                      Ditte INNER JOIN
					  
						ElencoEdifici
					  
					  INNER JOIN
                      Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
                      Richieste ON Ordini.IDCommessa = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta ON Ditte.IDDitta = Ordini.Assegnazione LEFT OUTER JOIN
                      TabellaGradoUrgenza ON Ordini.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
                      Ordini.GradoUrgenza = TabellaGradoUrgenza.GradoU LEFT OUTER JOIN
                      tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND 
                      Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere LEFT OUTER JOIN
                      tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND 
                      Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere LEFT OUTER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
                      OrdiniLatLon ON Ordini.IDCommessa = OrdiniLatLon.IDCommessa AND Ordini.NumOrdine = OrdiniLatLon.NumOrdine AND 
                      Ordini.AnnoOrdine = OrdiniLatLon.AnnoOrdine ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
                      Contabilità.AnnoOrdine = Ordini.AnnoOrdine ON AffidatariGestitiDaCallCenter.IdCommessa = Ordini.IDCommessa AND 
                      AffidatariGestitiDaCallCenter.IdAffidatario = Ordini.IdAffidatario LEFT OUTER JOIN
                      tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
					  
					LEFT OUTER JOIN
					StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc
	$where
sql;

?>
