<?php

$table = <<< table
	<table class=grid>
		<tr>
			<th>Num. Ordine</th>
			<th>Anno Ordine</th>
			<th>Data Ordine</th>
			<th>Data Scadenza</th>
			<th>Data Inizio P</th>
			<th>Data Fine P</th>
			<th>Data Inizio</th>
			<th>Data Fine</th>
			<th>Stato Ordine</th>
			<th>Stato Contabilita'</th>
			<th>Num. Richiesta</th>
			<th>Anno Richiesta</th>
			<th>Richiedente</th>
			<th>Data Richiesta</th>
			<th>TipoC</th>
			<th>Importo Stimato</th>
			<th>Mestiere</th>
			<th>Componente<br>Mestiere</th>
			<th>Attività<br>Mestiere</th>
			<th>Des</th>
			<th>Ente</th>
			<th>Fornitore</th>
			<th>Codice Localiz.</th>
			<th>Localizzazione</th>
			<th>Richiesta generata</th>
			<th>Utilizzatore
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[DataRichiesta] = ntxDateTime($rs[DataRichiesta]);
	$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
	$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);

	$rs[NumOrdine] = (int)$rs[NumOrdine];
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
		<td>$html[NumOrdine]
		<td>$html[AnnoOrdine]
		<td>$html[DataOrdine]
		<td>$html[DataScadenza]
		<td>$html[DataInizioProg]
		<td>$html[DataFineProg]
		<td>$html[DataInizio]
		<td>$html[DataFine]
		<td>$html[DesStato]
		<td>$html[DesstatoC]
		<td>$html[NumRichiesta]
		<td>$html[AnnoRichiesta]
		<td>$html[Richiedente]
		<td>$html[DataRichiesta]
		<td>$html[Contabiliz]
		<td>$html[ImpS]
		<td>$html[CodMest] - $html[DesMest]
		<td>$html[CodComp] - $html[DesComp]
		<td>$html[CodAtt] - $html[DesAtt]
		<td>$html[Des]
		<td>($html[Ente])
		<td>$html[Ditta]
		<td>$html[Codice]
		<td>($html[Nome]) - $html[Indirizzo] - $html[Comune] ($html[Provincia]) - $rs[Cap]
		<td>$html[RicGenerata]
		<td>$html[Utilizzatore]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

?>