<?php

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$pathSimboliWeb = "$pathCommessa\\simboliWeb";

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\simboliWeb";

if ( !is_dir($dir) ) mkdir($dir);

$dir = "$dir\\setup_{$IdSetup}_commessa_$IdCommessa";

if ( !is_dir($dir) ) mkdir($dir);

$url = "$_SERVER[DOCUMENT_HOST]/".NTX_SUBPATH_PORTALE."/simboliWeb/setup_{$IdSetup}_commessa_$IdCommessa";

$sql = <<< sql
SELECT     GruppiImpianti.Descrizione AS Gruppo, TipoComponente.IDTipoComponente, TipoComponente.DesComponente AS Tipo, tblCopertureInCommessa.Simbolo, 
                      TipoComponente.Codice, tblPropTipiComp.IdPropComp, tblPropTipiComp.Propietà, tblPropTipiComp.NomeInDwg, tblPropTipiComp.soloInLista, 
                      tblPropTipiComp.richiesto
FROM         TipoComponente LEFT OUTER JOIN
                      tblPropTipiComp ON TipoComponente.IdCommessa = tblPropTipiComp.IdCommessa AND 
                      TipoComponente.IDTipoComponente = tblPropTipiComp.IdTipoComp LEFT OUTER JOIN
                      tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
                      TipoComponente.Copertura = tblCopertureInCommessa.Nome LEFT OUTER JOIN
                      GruppiImpianti RIGHT OUTER JOIN
                      GruppiImpTipiComp ON GruppiImpianti.Id = GruppiImpTipiComp.IdGruppoImpianto ON TipoComponente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND 
                      TipoComponente.IDTipoComponente = GruppiImpTipiComp.IdTipoComponente
WHERE     (TipoComponente.IdCommessa = $IdCommessa)
ORDER BY Gruppo, Tipo, Propietà

sql;

$query = ntxQuery($sql);

$alternate = true;

$table = "";

$gruppo = null;
$IDTipoComponente = "";

while( $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( !isset($gruppo) || $gruppo!=$rs[Gruppo] )
	{
		if ( $table!="" )
		{
			echo <<< table
				<table class=grid>
					<tr>
						<th>ID
						<th>NOME
						<th>ATTR_DWG
						<th>SOLO IN LISTA
						<th>RICHIESTO
				$table
				</table><br>
table;
			$table = "";
		}
		
		$html_gruppo = $html[Gruppo];

		if ( $html_gruppo=="" ) $html_gruppo = "non associato";

		echo <<< table
			<h2>Gruppo Impianto: $html_gruppo</h2>
table;

		$alternate = true;
	}
	
	if ( $IDTipoComponente=="" || $IDTipoComponente!=$rs[IDTipoComponente] )
	{
		if ( $table!="" )
		{
			echo <<< table
				<table class=grid>
					<tr>
						<th>ID
						<th>NOME
						<th>ATTR_DWG
						<th>SOLO IN LISTA
						<th>RICHIESTO
				$table
				</table><br>
table;
			$table = "";
		}
		
	
		if ( is_file("$pathSimboliWeb\\$rs[Simbolo].png")  &&  !is_file("$dir\\$rs[Simbolo].png") )
			copy("$pathSimboliWeb\\$rs[Simbolo].png", "$dir\\$rs[Simbolo].png");

		echo <<< table
			<table class=grid>
				<tr>
					<th>
					<th>ID
					<th>CODICE
					<th>TIPO<br>COMPONENTE
				<tr>
					<td style="text-align:center"><img src='$url/$rs[Simbolo].png' width=32px height=32px />
					<td style="text-align:center">$rs[IDTipoComponente]
					<td>$html[Codice]
					<td>$html[Tipo]
			</table>
table;

		$alternate = true;

		$table = "";
	}

	$classTr = $alternate ? "class=alternate" : "";
	
	$gruppo = "$rs[Gruppo]";
	$IDTipoComponente = $rs[IDTipoComponente];

	$soloInLista = $rs[soloInLista] ? "X" : "";
	$richiesto = $rs[richiesto] ? "X" : "";
	
	$table .= <<< table
			<tr $classTr>
				<td>$html[IdPropComp]
				<td>$html[Propietà]
				<td>$html[NomeInDwg]
				<td style="text-align:center">$soloInLista
				<td style="text-align:center">$richiesto
table;

	$alternate = !$alternate;
}

if ( $table!="" )
{
	echo <<< table
		<table class=grid>
			<tr>
				<th>ID
				<th>NOME
				<th>ATTR_DWG
				<th>SOLO IN LISTA
				<th>RICHIESTO
		$table
		</table>
table;
}
?>
