<?php

$sql = <<< sql
	SELECT DISTINCT TipoComponente.IDTipoComponente, TipoComponente.DesComponente AS Tipo, tblCopertureInCommessa.Simbolo, TipoComponente.Codice
	FROM         TipoComponente LEFT OUTER JOIN
                      tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
                      TipoComponente.Copertura = tblCopertureInCommessa.Nome
	WHERE     (TipoComponente.IdCommessa = $IdCommessa) 
sql;

$query = ntxQuery($sql);

$componenti = array();

while( $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
	
	$componenti[$rs[IDTipoComponente]] = $rs;
}

$alternate = true;

$table = "";

$prop = "x";
$val = "x";

foreach($gruppi as $gruppo)
{
	if ( $prop != $gruppo[Proprietà] || $val != $gruppo[Valore] )
	{
		$alternate = true;
		$prop = $gruppo[Proprietà];
		$val = $gruppo[Valore];

		if ( $table!="" )
			$table .= <<< table
				</table>
table;
	
		$label = $prop.($val ? " = " : "").$val;
		
		$table .= <<< table
			<h2>$label</h2>
			<table class=grid>
				<tr>
					<th>ID
					<th>CODICE
					<th>TIPO<br>COMPONENTE
table;
	}
	
	$classTr = $alternate ? "class=alternate" : "";
	
	$html = $componenti[$gruppo[IDTipoComponente]];
	
	$table .= <<< table
		<tr $classTr>
			<td style="text-align:center">$html[IDTipoComponente]
			<td>$html[Codice]
			<td>$html[Tipo]
table;

	$alternate = !$alternate;
}

if ( $table!="" )
	$table .= <<< table
		</table>
table;

echo $table;

?>
