<?php
$IdCommessa = ntxise('IdCommessa');

$ElencoIdProprietà = explode(",", $_POST[ElencoIdProprietà]);
$ElencoIdValori = explode(",", $_POST[ElencoIdValori]);

$ElencoIdProprietà2 = array();

foreach($ElencoIdProprietà as $IdProprietà)
{
	$ElencoIdProprietà2[] = is_numeric($IdProprietà) ? (int)$IdProprietà : "NULL";
}

$ElencoIdValori2 = array();

foreach($ElencoIdValori as $IdValore)
{
	$ElencoIdValori2[] = is_numeric($IdValore) ? (int)$IdValore : "x";
}

$count = count($ElencoIdProprietà2);

$addWhere1 = "";
$addWhere2 = "";

for($i=0;$i<$count;++$i)
{
	$IdProprietà = $ElencoIdProprietà2[$i];
	$IdValore = $ElencoIdValori2[$i];
	
	if ( is_numeric($IdValore) )
	{
		if ( $addWhere1!="" ) $addWhere1 .= " OR ";
		
		$addWhere1 .= "(SuperValori.IdProprietà=$IdProprietà AND SuperValori.IdValore=$IdValore)";
	}
	else
	{
		if ( $addWhere2!="" ) $addWhere2 .= " OR ";
		
		$addWhere2 .= "(SuperProprietà.IdProprietà=$IdProprietà)";
	}
}

if ( $addWhere1!="" ) $addWhere1 = " AND ($addWhere1) "; else $addWhere1 = " AND 1=0 ";
if ( $addWhere2!="" ) $addWhere2 = " AND ($addWhere2) "; else $addWhere2 = " AND 1=0 ";

$sql = <<< sql
	SELECT  Proprietà, Valore, DesComponente, IDTipoComponente
	FROM (
			SELECT     SuperProprietà.Proprietà, SuperValori.Valore, TipoComponente.DesComponente, TipoComponente.IDTipoComponente
			FROM         SuperProprietà INNER JOIN
								  SuperValori ON SuperProprietà.IdProprietà = SuperValori.IdProprietà INNER JOIN
								  tblPropTipiComp ON SuperProprietà.IdCommessa = tblPropTipiComp.IdCommessa AND SuperProprietà.Proprietà = tblPropTipiComp.Propietà INNER JOIN
								  tblValPropTipiComp ON tblPropTipiComp.IdCommessa = tblValPropTipiComp.IdCommessa AND tblPropTipiComp.IdPropComp = tblValPropTipiComp.IdPropComp AND 
								  SuperValori.Valore = tblValPropTipiComp.Valore INNER JOIN
								  TipoComponente ON tblPropTipiComp.IdCommessa = TipoComponente.IdCommessa AND tblPropTipiComp.IdTipoComp = TipoComponente.IDTipoComponente
			WHERE     (SuperProprietà.IdCommessa = $IdCommessa) $addWhere2
			union
			SELECT     SuperProprietà.Proprietà, SuperValori.Valore, TipoComponente.DesComponente, TipoComponente.IDTipoComponente
			FROM         SuperProprietà INNER JOIN
								  SuperValori ON SuperProprietà.IdProprietà = SuperValori.IdProprietà INNER JOIN
								  tblPropTipiComp ON SuperProprietà.IdCommessa = tblPropTipiComp.IdCommessa AND SuperProprietà.Proprietà = tblPropTipiComp.Propietà INNER JOIN
								  tblValPropTipiComp ON tblPropTipiComp.IdCommessa = tblValPropTipiComp.IdCommessa AND tblPropTipiComp.IdPropComp = tblValPropTipiComp.IdPropComp AND 
								  SuperValori.Valore = tblValPropTipiComp.Valore INNER JOIN
								  TipoComponente ON tblPropTipiComp.IdCommessa = TipoComponente.IdCommessa AND tblPropTipiComp.IdTipoComp = TipoComponente.IDTipoComponente
			WHERE     (SuperProprietà.IdCommessa = $IdCommessa) $addWhere1
		)a
	order by Proprietà, Valore, DesComponente
sql;

$query = ntxQuery($sql);

$table = "";

$alternate = false;

$gruppi = array();

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$gruppi[] = $rs;
}

$sql = <<< sql
	SELECT  Proprietà, Valore
	FROM (
			SELECT  SuperProprietà.Proprietà,null Valore
			FROM         SuperProprietà 
			WHERE     (SuperProprietà.IdCommessa = $IdCommessa) $addWhere2
			union
			SELECT     SuperProprietà.Proprietà, SuperValori.Valore
			FROM         SuperProprietà INNER JOIN
								  SuperValori ON SuperProprietà.IdProprietà = SuperValori.IdProprietà 
			WHERE     (SuperProprietà.IdCommessa = $IdCommessa) $addWhere1
		)a
	order by Proprietà, Valore
sql;

$query = ntxQuery($sql);

$table = "";

$alternate = false;

while($rs=ntxRecord($query))
{
	$Proprietà = htmlentities($rs[Proprietà]);
	$Valore = htmlentities($rs[Valore]);

	$trClass = $alternate ? "class=alternate" : "";
	
	$table .= <<< table
		<tr $trClass>
			<td>$Proprietà
			<td>$Valore
table;

	$alternate = !$alternate;
}

echo <<< echo
	<table class=grid>
		<tr><th>Proprietà<th>Valori
		$table
	</table>
echo;

?>