<?php
	
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
	
$vers = time();

$IdCommessa = ntxise('IdCommessa');

/*
$sql = <<< sql
	select DATEADD(dd, 0, DATEDIFF(dd, 0, GETDATE())),min(datainizio),max(datafine) 
	from tblPgContratti where IdCommessa=$IdCommessa and aperto=1
sql;
*/
$sql = <<< sql
	select DATEADD(dd, 0, DATEDIFF(dd, 0, GETDATE())),min(datainizio),
	
	 convert(datetime, ltrim(YEAR(GETDATE()))+'1231')
	 
	from tblPgContratti where IdCommessa=$IdCommessa and aperto=1
sql;

$rs = ntxiRecord(ntxQuery($sql));

$Oggi = ntxDate($rs[0]);
$InizioLavori = ntxDate($rs[1]);
$FineLavori = ntxDate($rs[2]);

?>
<html>
<head>
	<title>stima a finire</title>	
	<link href="/repository/css/reset-1.0.0_sfondo_bianco?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-3.0.0-without-images.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>
	
	<script src="js/index.js?vers=<?php echo $vers ?>" type="text/javascript"></script>

</head>	
<body>
	
<form name=form1 method=post>
	<table class=grid>
		<tr>
			<th class=right>Inizio Lavori<td><input type=text DatePicker name=InizioLavori value="<?php echo $InizioLavori ?>" />
			<th class=right>Data Inizio<td><input type=text DatePicker name=DataInizio value="<?php echo $Oggi ?>" />
			<th class=right>Data Fine<td><input type=text DatePicker name=DataFine value="<?php echo $FineLavori ?>" />
		<tr>
			<th class=right>Area COBO<td><select name=ComRifCli>
					<option value="AI" >AI
					<option value="PI" SELECTED>PI
					<option value="EN">EN
				</select>
			<td colspan=4>
		<tr><td colspan=6 style="text-align:right">
			<input type=button value="Report Stima a Finire" onclick="ReportStimaFinire()" />
			<input type=button value="Scheda Media Importi" onclick="MediaImporti()" />
	</table>
</form>

</body>	
</html>	