<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="index.css" rel="stylesheet" type="text/css">
</head>
<body>

<input type=button value="stampa" onclick="print()" class="no-print"></input>

<?php

$where = <<< where
WHERE     (ComponentiAmbiente.IdCommessa = $IdCommessa) 
	AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $IdEdificio) 
	AND (ComponentiAmbiente.IdEdificio = $IdEdificio) 
	AND (Ditte.IDDitta = $IdFornitore) 
where;

if ( is_numeric($IdTipoComponente) ) $where .= " AND (TipoComponente.IdTipoComponente = $IdTipoComponente)";

$sql = <<< sql
	SELECT     Ditte.Ditta, ComponentiAmbiente.CodiceAssComponente AS CodComp, tblFrequenzeMestieri.Descrizione AS Freq, TipoComponente.DesComponente AS TipoComp, 
						  tblAttivitàMestiere.Descrizione AS Attività,
	(SELECT TOP 1    tblValoriComponenti.Valore
		FROM         tblPropTipiComp INNER JOIN
							  tblValoriComponenti ON tblPropTipiComp.IdCommessa = tblValoriComponenti.IdCommessa AND 
							  tblPropTipiComp.IdPropComp = tblValoriComponenti.IdPropComp
		WHERE     (tblValoriComponenti.IdCommessa = ComponentiAmbiente.IdCommessa) 
		AND (tblValoriComponenti.IdEdificio = ComponentiAmbiente.IdEdificio) 
		AND (tblValoriComponenti.IdComponente = ComponentiAmbiente.IdComponente) 
		AND (tblPropTipiComp.Propietà = N'ANNO ACQUISTO')
	) AnnoAcquisto
	FROM         ComponentiAmbiente INNER JOIN
						  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
						  AttivitàMestTipiComp ON TipoComponente.IdCommessa = AttivitàMestTipiComp.IdCommessaTipoComp AND 
						  TipoComponente.IDTipoComponente = AttivitàMestTipiComp.IdTipoComp INNER JOIN
						  tblAttivitàMestiere ON AttivitàMestTipiComp.IdCommessaAttività = tblAttivitàMestiere.IdCommessa AND 
						  AttivitàMestTipiComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
						  tblContrattiFornitoriAttivitàMestiereEdifici ON tblAttivitàMestiere.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
						  tblAttivitàMestiere.IdAttivitàMestiere = tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere INNER JOIN
						  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
						  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
						  Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta INNER JOIN
						  tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
						  tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
	$where
	ORDER BY CodComp, tblFrequenzeMestieri.ordine, Freq, Attività
sql;
//echo $sql;
$query = ntxQuery($sql);

$result = "";

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$result .= <<< result
		<table class="gridTesta1">
			<tr>
				<th style="width:20%">
				<th>Consorzio Ospedaliero Colibrì<br><br>Scheda di registrazione delle manutenzioni<br>delle attrezzature da $html[Ditta]
				<th style="width:20%">Mod. G MA 006<br><br><br>Rev. 01
		</table>
		<br>
		<table class="gridTesta2">
			<tr>
				<td>ATTREZZATURA N°&nbsp;&nbsp;<b>$html[CodComp]</b>
				<td>ANNO D'ACQUISTO&nbsp;&nbsp;<b>$html[AnnoAcquisto]</b>
				<td>PERIODICITA'&sup1;&nbsp;<b>$html[Freq]</b>
			<tr>
				<td colspan=3>Tipologia di attrezzatura&nbsp;&nbsp;<b>$html[TipoComp]</b>
			<tr>
				<td colspan=3>Tipologia manutenzione&nbsp;&nbsp;<b>$html[Attività]</b>
		</table>
		<br>
		<table class="gridTesta1">
			<tr>
				<th style="width:10%">DATA
				<th style="width:20%">ESITO INTERVENTO
				<th style="width:60%">NOTE
				<th style="width:10%">FIRMA
result;
		
	for($i=0;$i<30;++$i)
		$result .= <<< result
			<tr>
				<td>
				<td><span class=radio>&nbsp;&nbsp;&nbsp;</span>&nbsp;Positivo&nbsp;&nbsp;<span class=radio>&nbsp;&nbsp;&nbsp;</span>&nbsp;Negativo
				<td>
				<td>
result;

	$result .=  <<< result
			</table>
			<p class=footer style="font-size:0.8em">&sup1;&nbsp;Se un'attrezzatura necessita di interventi di manutenzione con diverse periodicità, per ognuna di esse va utilizzato un diverso Modulo</p>
result;
}
	
echo $result;

?>
</body>
</html>
