<?php  
session_start();

require_once('../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_702", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_702", "IT", __FILE__);
	
require_once(NTX_WEBPORTAL_PATH."affidatario_pilota/utente_is_affidatario_pilota.inc");

require_once('query2.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">

		<style>
		table, th, td
		{
			border: 0.5pt solid black;
		}		
		</style>
	</head>

<body>

<table>
	<tr>
		<th><?php $traduttore->html('Mandato Allegato') ?>
		<th><?php $traduttore->html('Numero/Anno') ?>
		<th><?php $traduttore->html('Data') ?>
		<th><?php $traduttore->html('Stato') ?>
		<th><?php $traduttore->html('Richiedente') ?>
		<th><?php $traduttore->html('Localizzazione') ?>
		<th><?php $traduttore->html('Grado Urgenza') ?>
		<th><?php $traduttore->html('Descrizione') ?>
		<th><?php $traduttore->html('Fornitore') ?>
		<th><?php $traduttore->html('Affidatario  ') ?>
	</tr>  

<?php 
	while( $query  &&   $rs = ntxRecord($query) )
	{ 
?>
		<tr> 		
			<td><?php echo $rs['PrevPath']."" != "" ? "SI" : "NO" ?>
			<td><?php echo htmlentities($rs['NumRichiesta'])."/".htmlentities($rs['AnnoRichiesta']) ?>
			<td><?php echo htmlentities(ntxDateTime($rs['DataRichiesta'])) ?>
			<td><?php echo htmlentities($rs['DesStato']) ?>
			<td><?php echo htmlentities($rs['Richiedente']) ?>
			<td><?php echo htmlentities('('.$rs['Codice'].') - '.$rs['EdificioBreve'].' - '.$rs['Indirizzo'].' - '.$rs['CITTA'].' ('.$rs['PROVINCIA'].')') ?>
			<td><?php echo htmlentities($rs['DesGrUrg']) ?>
			<td><?php echo htmlentities($rs['Descrizione']).'<br>'.htmlentities($rs['Descrizione1']).'<br>'.htmlentities($rs['Descrizione2']) ?>
			<td><?php echo htmlentities($rs['Ditta']) ?>
			<td><?php echo htmlentities($rs['NomeAffidatario']) ?>  
		</tr>
<?php
	}
?>
</table>
<?php $traduttore->Salva() ?>
</body>
</html>
