<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201706191716 = new NtxTraduttore("000_000_718", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201706191716 = new NtxCreaTraduzione("000_000_718", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa'); 
$RigheP = explode(",",$_POST['RigheP']); 
$IdDoc = ntxip('IdDoc');
$user=ntxsse('Utente');

if ( $RigheP[0]=='' )
	ntxMsgErr($traduttore201706191716->traduci('Selezionare almeno una riga da importare!'));
	
$sql = <<< SQL
				SELECT     Preventivi.NumPreventivo
				FROM         DocsPreventiviRichieste INNER JOIN
				                      Preventivi ON DocsPreventiviRichieste.IdCommessa = Preventivi.IDCommessa AND 
				                      DocsPreventiviRichieste.NumRichiesta = Preventivi.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Preventivi.AnnoRichiesta
				WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$NumPreventivo = ntxScalar($sql);

if ( !is_numeric($NumPreventivo) )
{
	$sql = <<< SQL
			INSERT INTO Preventivi
		                      (IDCommessa, IdEdificio, AnnoRichiesta, NumRichiesta, DataPreventivo, DataModifica, Tipo, UtenteModifica)
			SELECT     Richieste.IDCommessa, Richieste.Localizzazione, Richieste.AnnoRichiesta, Richieste.NumRichiesta, GETDATE() AS Expr1, GETDATE() AS Expr4, 
					                      'Extracanone' AS Expr2, $user AS Expr3
			FROM         Richieste INNER JOIN
					                      DocsPreventiviRichieste ON Richieste.IDCommessa = DocsPreventiviRichieste.IdCommessa AND 
					                      Richieste.NumRichiesta = DocsPreventiviRichieste.NumRichiesta AND Richieste.AnnoRichiesta = DocsPreventiviRichieste.AnnoRichiesta
			WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

	ntxQuery($sql);

	$NumPreventivo = ntxScalar("SELECT @@IDENTITY");
}

$sql = <<< SQL
SELECT DISTINCT tblPgContratti.IdPgContratto
FROM         DocsPreventiviRichieste INNER JOIN
                      Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
                      DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
                      Richieste.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere AND 
                      Richieste.Localizzazione = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio INNER JOIN
                      tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto AND 
                      DocsPreventiviRichieste.IdCommessa = tblPgContratti.IdCommessa AND Richieste.DataRichiesta >= tblPgContratti.DataInizio AND 
                      Richieste.DataRichiesta <= tblPgContratti.DataFine
WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) 
			AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$IdPgContratto = ntxScalar($sql);

$CopiaScontiFornitoreInContabilità = 0;

if( !is_numeric($IdPgContratto))
{ 
	$SameIdPgContratto = " IS NULL";
}
else 
{
	$SameIdPgContratto = " = $IdPgContratto";
	
	$sql = "SELECT CopiaScontiFornitoreInContabilità FROM tblPgContratti WHERE IdPgContratto=$IdPgContratto";
	
	$CopiaScontiFornitoreInContabilità = ntxScalar($sql);
}

if ($CopiaScontiFornitoreInContabilità)
{
	$sqlSconto = "isnull(RiheDocPrevRichieste.Sconto, 0)";
}
else
{
	$sqlSconto = <<< sqlSconto
		isnull
		(

			isnull
			(
				(
					SELECT ScontiGestore.Sconto FROM ScontiGestore 
					WHERE RiheDocPrevRichieste.IdCommessa = ScontiGestore.IdCommessa 
					AND RiheDocPrevRichieste.IdPrezzo = ScontiGestore.IdPrezzo
					AND ScontiGestore.IdPgContratto $SameIdPgContratto
				), 
				RiheDocPrevRichieste.Sconto
			) ,
			0
		 
		)
sqlSconto;
}


$sqlPzCliente = <<< sqlPzCliente
				SELECT ElencoPrezziInCommessa.PzCliente
				FROM ElencoPrezziInCommessa
				WHERE ElencoPrezziInCommessa.IdCommessa = RiheDocPrevRichieste.IdCommessa
					AND ElencoPrezziInCommessa.IdPrezzo = RiheDocPrevRichieste.IdPrezzo
sqlPzCliente;

$sql = <<< SQL
	INSERT INTO RihePreventivi
			  (IdCommessa, Prezziario, QTA, Importo, IDrif, IdPrezzo, Cod, Descrizione, UM, PzUnitario, Titolo, DescrEstesa, TabellaOrigine, TipoPrezzo, Lun, Alt, 
			  Lar, Formula, NotaRiga, NumPreventivo, DataModifica, UtenteModifica, Sconto, Allegato, Path, Gruppo, OneriSicurezza)
	SELECT     IdCommessa, Prezziario, QTA, Importo, IDrif, IdPrezzo, Cod, Descrizione, UM, isnull(($sqlPzCliente),PzUnitario), Titolo, DescrEstesa, TabellaOrigine, TipoPrezzo, Lun, Alt, 
						  Lar, Formula, NotaRiga, 
						  $NumPreventivo, getdate(), $user, 						
							$sqlSconto AS Sconto,
						Allegato, Path, Gruppo, OneriSicurezza
	FROM         RiheDocPrevRichieste
	WHERE     (RiheDocPrevRichieste.IdCommessa = $IdCommessa) AND (RiheDocPrevRichieste.IdDocPrevRichiesta = $IdDoc) AND (
SQL;

for ( $i=0; $i<count($RigheP); $i++)
{
	if ( $i>0 ) $sql .= " OR ";
	
	$sql .= "RiheDocPrevRichieste.RigaP = ".$RigheP[$i];
}

$sql .= ")";

ntxQuery($sql);

ntxMsgResult("");	

$traduttore201706191716->Salva();
?>
