<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201706191716 = new NtxTraduttore("000_000_718", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201706191716 = new NtxCreaTraduzione("000_000_718", "IT", __FILE__);

$IdCommessa = ntxise("IdCommessa");
$IdDoc = ntxip("IdDoc");

$sql = <<< SQL
	update      Richieste set stato=6
	FROM         DocsPreventiviRichieste INNER JOIN
	                      Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
	                      DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta
	WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc) AND (Richieste.Stato=5 OR Richieste.Stato=14)
SQL;

$query = ntxQuery($sql);

$sql = <<< SQL
	SELECT     Richieste.Localizzazione, Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, 
	                      Richieste.IdMestiere, DocsPreventiviRichieste.IdDitta
	FROM         DocsPreventiviRichieste INNER JOIN
	                      Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
	                      DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta
	WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc) AND Richieste.Stato=6
SQL;

$query = ntxQuery($sql);

if ( $rs = ntxIRecord($query) ) 
{
	$Localizzazione = $rs[0];
	$NumRichiesta = $rs[1];
	$AnnoRichiesta = $rs[2];
	$DataRichiesta = ntxt(ntxDate($rs[3]));
	$IdMestiere = $rs[4];
	$IdDitta = $rs[5];
	
	$sql = <<< SQL
			SELECT DISTINCT Risorse.email
					FROM         Risorse INNER JOIN
					                      RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa
					WHERE     (Risorse.ruolo = 'UFFICIO PREVENTIVI') 
						AND (Risorse.CodDitta = $IdDitta) 
						AND (RisorseEdifici.IdEdificio = $Localizzazione) 
						AND (RisorseEdifici.IdCommessa = $IdCommessa)	
SQL;
			  
		$email_destinatario = ntxScalar($sql);
	
		if ( $email_destinatario.'' == '' )
		{
			$sql = <<< SQL
					SELECT DISTINCT Risorse.email
							FROM         Risorse
							WHERE     (Risorse.ruolo = 'UFFICIO PREVENTIVI') 
								AND (Risorse.CodDitta = $IdDitta) 
SQL;
				  
			$email_destinatario = ntxScalar($sql);
		}

		$oggetto = $traduttore201706191716->traduci('Ripetere preventivo per richiesta')." $NumRichiesta/$AnnoRichiesta";
		
		$messaggio = $_POST['Motivazione'];
		
		ntxFireNetInit($_SESSION['Utente'].'',				
					$traduttore201706191716->traduci('a-ripetere preventivo'),				
					$traduttore201706191716->traduci('richiesta')." $IdCommessa/$NumRichiesta/$AnnoRichiesta",			
					"email",		
					$email_destinatario,		
					$oggetto,				
					$messaggio,
					true);	
					
}

ntxMsgResult("");	

$traduttore201706191716->Salva();
?>