<?php  

session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
</head>
<body>

<?php

$sql = <<< sql
	SELECT     IDStato, DesStato
	FROM         Stati
	ORDER BY IDStato
sql;

$query = ntxQuery($sql);

$options = "<option value=\"\">";

while ( $rs = ntxIRecord($query) )
{
	$options .= "<option value=\"$rs[0]\">".htmlentities($rs[1]);
}

?>

<form name=form1 method=post action="index.php">
	<input type=hidden name=Mode value=1 />
	
	<table class=grid>
		<tr><th>Num/Anno Richiesta<td><input type=text name=Num size=4>/<input type=text name=Anno size=4>
		<tr><th>Data Richiesta<td>&gt;=<input type=text name=Data1 size=20>&lt;=<input type=text name=Data2 size=20>
		<tr><th>Codice Edificio<td><input type=text name=Codice>
		<tr><th>Nome Edificio<td><input type=text name=Edificio>
		<tr><th>Indirizzo<td><input type=text name=Indirizzo>
		<tr><th>Comune<td><input type=text name=Comune>
		<tr><th>Cap<td><input type=text name=Cap size=5 maxlength=5>
		<tr><th>Prov<td><input type=text name=Prov size=2 maxlength=2>
		<tr><th>Stato<td><select name=Stato><?php echo $options ?></select></td>
		<tr>
			<td><input type=button value=Filtra style="width:100%" onclick="Filtra(1)"></td>
			<td><input type=reset value=Reset style="width:100%"></td>
		<tr>
			<td><input type=button value="Filtra preventivi consegnati" style="width:100%" onclick="Filtra(2)"></td>
</form>

<script>

$(function(){
	$('input[name=Data1]').datepicker();
	$('input[name=Data2]').datepicker();
});

function Filtra(mode)
{
	form1.Mode.value = mode;
	
	parent.drcUpdateFrame(form1, "elenco");
	parent.drcShowKeyTab("elenco");
}

</script>

</body>
</html>
