<?php

session_start();

require_once('../_ntx/ntxconst.inc');

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise("IdCommessa");
$NumRichiesta = ntxip("NumRichiesta");
$AnnoRichiesta = ntxip("AnnoRichiesta");

$sql = <<< SQL
	UPDATE Richieste SET Stato=15
		WHERE IdCommessa=$IdCommessa
		AND NumRichiesta=$NumRichiesta
		AND AnnoRichiesta=$AnnoRichiesta
		AND Stato=5
SQL;

ntxQuery($sql);

$sql = <<< SQL
		SELECT     Utenti.Email
		FROM         UtentiTecnici INNER JOIN
		                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
		                      Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
		                      Richieste ON Tecnici.Tecnico = Richieste.TecnicoC
		WHERE     (Tecnici.Tipo = 'PROV') AND (Tecnici.Autorizzatore = 1)
			AND IdCommessa=$IdCommessa
			AND NumRichiesta=$NumRichiesta
			AND AnnoRichiesta=$AnnoRichiesta
			AND Stato=15
SQL;

if ( $email_destinatario = ntxScalar($sql) ) 
{
	$oggetto = $messaggio = "Pronto preventivo per richiesta $NumRichiesta/$AnnoRichiesta";
	
	ntxFireNetInit($_SESSION['Utente'].'',				
					"g-pronto preventivo",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					$email_destinatario,		
					$oggetto,				
					$messaggio,
					true);	
					
	$sql = <<< SQL
		SELECT     Tecnici.Tecnico
		FROM         UtentiTecnici INNER JOIN
		                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
		                      Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
		                      Richieste ON Tecnici.Tecnico = Richieste.TecnicoC
		WHERE     (Tecnici.Tipo = 'PROV') AND (Tecnici.Autorizzatore = 1)
			AND IdCommessa=$IdCommessa
			AND NumRichiesta=$NumRichiesta
			AND AnnoRichiesta=$AnnoRichiesta
			AND Stato=15
SQL;
	$Tecnico = ntxScalar($sql);
	
	echo htmlentities("Email Richiesta $NumRichiesta/$AnnoRichiesta inviata a <{$Tecnico}> email <{$email_destinatario}>");
}
else
	echo "Nessun Email a TecnicoC su Richiesta $NumRichiesta/$AnnoRichiesta a cui mandare email!";
?>

<script language=javascript>
window.close();
</script>