<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>


<body  >

<?php
	$IdCommessa = ntxise('IdCommessa');
	$IdDoc = ntxip('IdDoc');

?>
<form name=form1 method=post>
	<input type=hidden name=IdDoc value="<?php echo $_POST['IdDoc'] ?>">
</form>

<form name=form2 method=post>
	<input type=hidden name=RigaP value="<?php echo $_POST['IdDoc'] ?>">
</form>

<?php

$sql = <<< SQL
				SELECT     Preventivi.NumPreventivo
				FROM         DocsPreventiviRichieste INNER JOIN
				                      Preventivi ON DocsPreventiviRichieste.IdCommessa = Preventivi.IDCommessa AND 
				                      DocsPreventiviRichieste.NumRichiesta = Preventivi.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Preventivi.AnnoRichiesta
				WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$NumPreventivo = ntxScalar($sql);

if ( is_numeric($NumPreventivo) )
{
	$sql = <<< SQL
			SELECT IdCommessa, NumPreventivo, RigaP, Prezziario, QTA, Importo, IDrif, DataModifica, UtenteModifica, IdPrezzo, Cod, Descrizione, UM, PzUnitario, 
				Titolo, DescrEstesa, isnull(Sconto,0) AS Sconto, TabellaOrigine, TipoPrezzo, Lun, Alt, Lar, Formula, NotaRiga
			FROM RihePreventivi
			WHERE (IdCommessa = $IdCommessa) AND (NumPreventivo = $NumPreventivo)
SQL;
}
else
{
	$sql = <<< SQL
			SELECT IdCommessa, NumPreventivo, RigaP, Prezziario, QTA, Importo, IDrif, DataModifica, UtenteModifica, IdPrezzo, Cod, Descrizione, UM, PzUnitario, 
				Titolo, DescrEstesa, isnull(Sconto,0) AS Sconto, TabellaOrigine, TipoPrezzo, Lun, Alt, Lar, Formula, NotaRiga
			FROM RihePreventivi
			WHERE (IdCommessa = $IdCommessa) AND (1=0)
SQL;
}

$query = ntxQuery($sql);
	
?>
<table align=left>
	<caption>Costi Preventivo Richiesta</caption>
	<tr>
	<th>Cod.Prezzo</th>
	<th>Titolo</th>
	<th>Descrizione</th>
	<th>Descr.Estesa</th>
	<th>UM</th>
	<th>QTA</th>
	<th>Costo Unitario</th>
	<th>Sconto</th>
	<th>Costo</th>
	<th>&nbsp;</th></tr>
<?php
	$alternate = true;

	$TotaleCosti = 0;
	
	while( $rs = ntxRecord($query) )
	{
		$CostoTotale = $rs['QTA'] * $rs['PzUnitario'] * (1 - $rs['Sconto']/100);
?>
	<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['QTA'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['PzUnitario'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($rs['Sconto'],2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRound($CostoTotale,2) ?></td>
			<td <?php echo  $alternate ? "" : "class=td2" ?>  height=10>
				<input type=button value=Elimina onclick="eliminaCosto(<?php echo $rs['RigaP'] ?>)">
			</td>
	</tr>
<?php
		if ( is_numeric($CostoTotale) ) 
		{
			$TotaleCosti += (float)($CostoTotale);
		}
		
		$alternate = !$alternate;
	}
?>
	<tr><th colspan=8 style="text-align:right">TOTALE COSTI:</th>
	<th <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($TotaleCosti,2) ?></th>
	<th colspan=1>&nbsp;</th></tr>
</table>
<script language=javascript>

	function eliminaCosto(RigaP)
	{
		if ( !confirm("Sicuro di volere eliminare la riga selezionata?") ) return;

		form2.RigaP.value=RigaP;
		if ( ntxSendForm(form2, funcCaricaCosto, 'edit_costo/elimina_costo') )
		{
			form1.submit();
		}
	}

	function funcCaricaCosto(text)
	{
		
	}

</script>
</body>
</html>
