<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise("IdCommessa");
$IdDoc = ntxip("IdDoc");

$sql = <<< SQL
	SELECT     Richieste.Localizzazione, Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta, 
	                      Richieste.IdMestiere, DocsPreventiviRichieste.IdDitta
	FROM         DocsPreventiviRichieste INNER JOIN
	                      Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
	                      DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta
	WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc) AND Richieste.Stato=5
SQL;

$query = ntxQuery($sql);

if ( $rs = ntxIRecord($query) ) 
{
	$Localizzazione = $rs[0];
	$NumRichiesta = $rs[1];
	$AnnoRichiesta = $rs[2];
	$DataRichiesta = ntxt(ntxDate($rs[3]));
	$IdMestiere = $rs[4];
	$IdDitta = $rs[5];
	
	$sql = <<< SQL
			SELECT DISTINCT Risorse.email
					FROM         Risorse INNER JOIN
					                      RisorseEdifici ON Risorse.ID = RisorseEdifici.IdRisorsa
					WHERE     (Risorse.ruolo = 'UFFICIO PREVENTIVI') 
						AND (Risorse.CodDitta = $IdDitta) 
						AND (RisorseEdifici.IdEdificio = $Localizzazione) 
						AND (RisorseEdifici.IdCommessa = $IdCommessa)	
SQL;
				  
		$email_destinatario = ntxScalar($sql);
		
		$oggetto = "Ripetere preventivo per richiesta $NumRichiesta/$AnnoRichiesta";
		
		$messaggio = $_POST['Motivazione'];
		
		ntxFireNetInit($_SESSION['Utente'].'',				
					"preventivi richieste web",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					$email_destinatario,		
					$oggetto,				
					$messaggio,
					true);	
					
}

ntxMsgResult("");	

?>