<?php

$sql = <<< sql
	SELECT     id, liv2
	FROM         SetVoci
	WHERE     (NomeSet = 'opf-gov') AND (liv1 IS NULL OR liv1='')
	ORDER BY id
sql;

$query = ntxQuery($sql);

$Unper100Anno = null;
$Unper100AnnoAAOPF = null;

for ($i=14;$i<28;++$i)
{
	if ( is_numeric($IdOfferta) )
		$imp = $impTot[$IdEdificio."_".$i];
	else
		$imp = $impTot[$IdOffertaLoc."_".$IdEdificio."_".$i];
	
	if ( is_numeric($imp[ImportoAnno]) )
		$Unper100Anno += $imp[ImportoAnno]*$_1o2perCento;
		
	if ( is_numeric($IdOfferta) )
		$impAAOPF = $impTotAAOPF[$IdEdificio."_".$i];
	else
		$impAAOPF = $impTotAAOPF[$IdOffertaLoc."_".$IdEdificio."_".$i];
	
	if ( is_numeric($impAAOPF[ImportoAnno]) )
		$Unper100AnnoAAOPF += $impAAOPF[ImportoAnno]*$_1o2perCento;
}

$righe_gov = "";
$impor_gov = "";

while($rs=ntxRecord($query))
{
	if ( is_numeric($IdOfferta) )
		$imp = $impTot[$IdEdificio."_".$rs[id]];
	else
		$imp = $impTot[$IdOffertaLoc."_".$IdEdificio."_".$rs[id]];
	
	if ( ($rs[id]==5 || $rs[id]==6 || (!$isLight  &&  ($rs[id]==8 || $rs[id]==9)))  &&  is_numeric($Unper100Anno) )
		$ImportoAnno = $Unper100Anno;
	else
		$ImportoAnno = $imp[ImportoAnno];
	
	$html_impo = ntxRoundThousand($ImportoAnno, 2);

	if ( is_numeric($IdOfferta) )
		$impAAOPF = $impTotAAOPF[$IdEdificio."_".$rs[id]];
	else
		$impAAOPF = $impTotAAOPF[$IdOffertaLoc."_".$IdEdificio."_".$rs[id]];
	
	if ( ($rs[id]==5 || $rs[id]==6 || (!$isLight  &&  ($rs[id]==8 || $rs[id]==9)))  &&  is_numeric($Unper100AnnoAAOPF) )
		$ImportoAnnoAAOPF = $Unper100AnnoAAOPF;
	else
		$ImportoAnnoAAOPF = $impAAOPF[ImportoAnno];
	
	$html_impoAAOPF = ntxRoundThousand($ImportoAnnoAAOPF, 2);

	$liv2 =htmlentities($rs[liv2]);

	$DataAttivazione = ntxDate($imp[DataAttivazione]);
	
	$righe .= <<< righe
		<tr>
			<td>$rsEdificio[Ente]
			<td>$rsEdificio[EdificioBreve]
			<td>$rsEdificio[Indirizzo]
			<td>$liv2
			<td>
			<td>$rsEdificio[NRPF]
			<td>$rsEdificio[DataInizioConvenzione]
			<td>$rsEdificio[DataFineConvenzione]
			<td>$DataAttivazione
			<td>$html_impo
			<td>$html_impoAAOPF
righe;
}

?>
