<?php

$sql = <<< sql
	SELECT DISTINCT tblMestieri.IdMestiere, tblMestieri.Descrizione, tblMestieri.Ordine
	FROM         SetVoci INNER JOIN
                      SetVociTipiComp ON SetVoci.id = SetVociTipiComp.IdSetVoce INNER JOIN
                      TipiComponentiMestieri ON SetVociTipiComp.IdCommessa = TipiComponentiMestieri.IdCommessa AND 
                      SetVociTipiComp.IdTipoComponente = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN
                      tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
	WHERE     (SetVoci.id = 28)
	ORDER BY tblMestieri.Ordine, tblMestieri.Descrizione
sql;

$query = ntxQuery($sql);

$first = true;

while($rs=ntxRecord($query))
{
	if ( is_numeric($IdOfferta) )
		$imp = $impTotMestieri[$IdEdificio."_".$rs[IdMestiere]];
	else
		$imp = $impTotMestieri[$IdOffertaLoc."_".$IdEdificio."_".$rs[IdMestiere]];

	if ( is_numeric($IdOfferta) )
		$impAAOPF = $impTotMestieriAAOPF[$IdEdificio."_".$rs[IdMestiere]];
	else
		$impAAOPF = $impTotMestieriAAOPF[$IdOffertaLoc."_".$IdEdificio."_".$rs[IdMestiere]];

	foreach($rs as $k=>$v)
		$rs[$k]=htmlentities($v);

	$html_impo = "";
	
	if ( is_numeric($imp[ImportoAnno]) )
	{
		$ImportoAnno = $imp[ImportoAnno];
		$html_impo = ntxRoundThousand($ImportoAnno, 2);
	}

	$html_impoAAOPF = "";
	
	if ( is_numeric($impAAOPF[ImportoAnno]) )
	{
		$ImportoAnnoAAOPF = $impAAOPF[ImportoAnno];
		$html_impoAAOPF = ntxRoundThousand($ImportoAnnoAAOPF, 2);
	}
	
	$DataAttivazione = ntxDate($imp[DataAttivazione]);
	
	$righe .= <<< righe
		<tr>
			<td>$rsEdificio[Ente]
			<td>$rsEdificio[EdificioBreve]
			<td>$rsEdificio[Indirizzo]
			<td>$rs[Descrizione]
			<td style="text-align:center">X
			<td>$rsEdificio[NRPF]
			<td>$rsEdificio[DataInizioConvenzione]
			<td>$rsEdificio[DataFineConvenzione]
			<td>$DataAttivazione
			<td>$html_impo
			<td>$html_impoAAOPF
righe;
}

?>

