<?php
session_start();

require_once("../../../../_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$TipiLivello_DesLivello = ntxTraduciCampoTabella("TipiLivello", "DesLivello", "DesLivello", $_SESSION[NTX_LINGUA_DEST]);
$DestinazioniDusoLivello_Destinazione = ntxTraduciCampoTabella("DestinazioniDusoLivello", "Destinazione", "Destinazione", $_SESSION[NTX_LINGUA_DEST]);

$traduttore = new NtxTraduttore("000_000_019", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_019", "IT", __FILE__);

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$sql = <<< sql
SELECT     PianoLivello.CodPiano, PianoLivello.CodiceAssLivello, PianoLivello.Rimosso, $DestinazioniDusoLivello_Destinazione AS DesUso, 
                      $TipiLivello_DesLivello AS Tipo, ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA, ElencoEdifici.CAP
FROM         PianoLivello INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      TipiLivello ON PianoLivello.IdCommessa = TipiLivello.IdCommessa AND PianoLivello.IdTipoPiano = TipiLivello.IDTipoLivello LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
WHERE     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdEdificio = $IdEdificio) AND (PianoLivello.idPiano = $IdPiano)
sql;

$query = ntxQuery($sql);

if($rs=ntxRecord($query))
{
	$Rimosso = $rs[Rimosso] ? "SI" : "";

	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$static1 =
		"		<tr>"
		."			<td rowspan=3><img src=\"img/compatta.png\" onclick=\"TestataToggle()\" id=img_testata Spuntato=1 />"
		."			<th>".$traduttore->traduci('ID Edificio')                                                          
		."			<td>".$rs[ID]                                                                                      
		."			<th>".$traduttore->traduci('Cod.Edificio')                                                         
		."			<td>".$rs[Codice]                                                                                  
		."			<th>".$traduttore->traduci('Nome Edificio')                                                        
		."			<td colspan=5>$rs[EdificioBreve]"
		."		<tr testata>"
		."			<th>".$traduttore->traduci('Indirizzo')                                                         
		."			<td colspan=3>".$rs[Indirizzo]                                                                  
		."			<th>".$traduttore->traduci('Comune')                                                            
		."			<td>".$rs[CITTA]                                                                                
		."			<th>".$traduttore->traduci('Provincia')                                                         
		."			<td>".$rs[PROVINCIA]                                                                            
		."			<th>".$traduttore->traduci('CAP')                                                               
		."			<td>".$rs[CAP]                                                                                  
		."		<tr testata>"
		."			<th>".$traduttore->traduci('Cod.Interno Piano')                                                     
		."			<td>".$rs[CodPiano]                                                                                 
		."			<th>".$traduttore->traduci('Codice Piano')			                                              
		."			<td>".$rs[CodiceAssLivello]                                                                         
		."			<th>".$traduttore->traduci('Des.Uso Piano')	                                                      
		."			<td>".$rs[DesUso]                                                                                   
		."			<th>".$traduttore->traduci('Tipo Piano')		                                                      
		."			<td>".$rs[Tipo]                                                                                     
		."			<th>".$traduttore->traduci('Piano Rimosso')			                                              
		."			<td>".$Rimosso;                                                                           

	/*$static1 = <<< static
		<tr>
			<td rowspan=3><img src="img/compatta.png" onclick="TestataToggle()" id=img_testata Spuntato=1 />
			<th>$traduttore->traduci('Id Edificio')
			<td>$rs[ID]
			<th>$traduttore->traduci('Cod.Edificio')
			<td>$rs[Codice]
			<th>$traduttore->traduci('Nome Edificio')
			<td colspan=5>$rs[EdificioBreve]
		<tr testata>
			<th>$traduttore->traduci('Indirizzo')
			<td colspan=3>$rs[Indirizzo]
			<th>$traduttore->traduci('Comune')
			<td>$rs[CITTA]
			<th>$traduttore->traduci('Provincia')
			<td>$rs[PROVINCIA]
			<th>$traduttore->traduci('CAP')
			<td>$rs[CAP]
		<tr testata>
			<th>$traduttore->traduci('Cod.Interno Piano')
			<td>$rs[CodPiano]
			<th>$traduttore->traduci('Codice Piano	')			
			<td>$rs[CodiceAssLivello]
			<th>$traduttore->traduci('Des.Uso Piano	')	
			<td>$rs[DesUso]
			<th>$traduttore->traduci('Tipo Piano')		
			<td>$rs[Tipo]
			<th>$traduttore->traduci('Piano Rimosso')			
			<td>$Rimosso
static;*/
}


$result = <<< result
	<table class=grid>
		$static1
	</table>
result;

//$traduttore->Salva();

jhp($result);

?>
