<?php
session_start();

require_once("../../../../_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_035", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_035", "IT", __FILE__);

$TipoComponente_DesComponente = ntxTraduciCampoTabella("TipoComponente", "DesComponente", "DesComponente", $_SESSION[NTX_LINGUA_DEST]);

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$ComponentiSelezionati = ntxsp('ComponentiSelezionati');
$UltimoComponenteSelezionato = ntxip('UltimoComponenteSelezionato');

if ( $ComponentiSelezionati=="NULL" ) $ComponentiSelezionati = "''";

$sql = <<< sql
	SELECT     ComponentiAmbiente.IDComponente, Ambiente.CodiceAssAmbiente, ComponentiAmbiente.CodiceAssComponente, ComponentiAmbiente.Note, ComponentiAmbiente.Rimosso,   ComponentiAmbiente.Graficizzato, 
                      $TipoComponente_DesComponente DesComponente
	FROM         ComponentiAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
						  INNER JOIN dbo.splitid($ComponentiSelezionati) ComponentiSelezionati ON ComponentiSelezionati.id=ComponentiAmbiente.IdComponente
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$Rimosso = $rs[Rimosso] ? "SI" : "";
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$checked = ($rs[IDComponente]==$UltimoComponenteSelezionato) ? "checked" : "";
	
	$styleGraf = $rs[Graficizzato]==1 ? "style='background:#AAFFAA'" : "";
	$graf = $rs[Graficizzato]==1 ? "SI" : "no";
	
	/*$righe .= <<< righe
		<tr>
			<td><input type=radio name=optComponenti IdComponente=$rs[IDComponente] $checked onclick="SelComponenteDettaglio($rs[IDComponente])" />
			<td><input type=checkbox chkEditMultiploComponenti IdComponente=$rs[IDComponente] />
			<td $styleGraf>$graf
			<td>$rs[IDComponente]
			<td>$rs[CodiceAssComponente]
			<td>$rs[DesComponente]
			<td>$rs[Note]
			<td>$Rimosso
			<td><input type=button value="elimina" onclick="EliminaComponente($rs[IDComponente])" />
			<td><input type=button value="rimuovi" onclick="RimuoviComponente($rs[IDComponente])" />
righe;*/

$righe .= 
		"<tr>"
			."<td><input type=radio name=optComponenti IdComponente=$rs[IDComponente] $checked onclick=\"SelComponenteDettaglio($rs[IDComponente])\" />"
			."<td><input type=checkbox chkEditMultiploComponenti IdComponente=$rs[IDComponente] />"
			."<td $styleGraf>$graf"
			."<td>$rs[IDComponente]"
			."<td>$rs[CodiceAssAmbiente]"
			."<td>$rs[CodiceAssComponente]"
			."<td>$rs[DesComponente]"
			."<td>$rs[Note]"
			."<td>$Rimosso"
			."<td><input type=button value=\"".$traduttore->traduci('Elimina')."\" onclick=\"EliminaComponente($rs[IDComponente])\" />"
			."<td><input type=button value=\"".$traduttore->traduci('Rimuovi')."\" onclick=\"RimuoviComponente($rs[IDComponente])\" />"
;
}
	
/*$result = <<< result
		<table class=grid>
			<tr>
				<th>
				<th>
				<th>Graf
				<th>id
				<th>cod
				<th>tipo
				<th>note
				<th>rimosso
				<th>
				<th>
			$righe
			<tr><td colspan=9 style="text-align:center">
			<input type=button value="sel.tutto" onclick="$('input[type=checkbox][chkEditMultiploComponenti]').attr('checked',true)" />
			<input type=button value="sel.niente" onclick="$('input[type=checkbox][chkEditMultiploComponenti]').attr('checked',false)" />
			<input type=button value="Registra Modifiche" onclick="RegistraModificheComponenti()" />
		</table>
result;*/
$result =
		"<table class=grid>"
			."<tr>"
				."<th>"
				."<th>"
				."<th>".$traduttore->traduci('Grafico')
				."<th>".$traduttore->traduci('ID')
				."<th>".$traduttore->traduci('Codice<br>Vano')
				."<th>".$traduttore->traduci('Codice<br>Comp.')
				."<th>".$traduttore->traduci('Tipo')
				."<th>".$traduttore->traduci('Note')
				."<th>".$traduttore->traduci('Rimosso')
				."<th>"
				."<th>"
			."$righe"
			."<tr><td colspan=9 style=\"text-align:center\">"
			."<input type=button value=\"".$traduttore->traduci('Seleziona Tutto')."\" onclick=\"$('input[type=checkbox][chkEditMultiploComponenti]').attr('checked',true)\" />"
			."<input type=button value=\"".$traduttore->traduci('Seleziona Niente')."\" onclick=\"$('input[type=checkbox][chkEditMultiploComponenti]').attr('checked',false)\" />"
			."<input type=button value=\"".$traduttore->traduci('Registra Modifiche')."\" onclick=\"RegistraModificheComponenti()\" />"
		."</table>"
;

//$traduttore->Salva();

jhp($result);

?>
