<?php

$sql = <<< sql
SELECT     PianoLivello.idPiano AS IdPiano, PianoLivello.CodiceAssLivello, $DestinazioniDusoLivello_Destinazione AS DesUso, 
(
	select sum(mq) from ambiente
	where idcommessa=pianolivello.idcommessa
		AND IdEdificio=pianolivello.IdEdificio
		AND IdLivello=pianolivello.idPiano
		and (rimosso is null or rimosso=0)
) mq_netti, 
(
	select count(*) from ambiente
	where idcommessa=pianolivello.idcommessa
		AND IdEdificio=pianolivello.IdEdificio
		AND IdLivello=pianolivello.idPiano
		and (rimosso is null or rimosso=0)
) num_vani, 
                      PianoLivello.MqMuraEsterne
FROM         PianoLivello LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
WHERE     (PianoLivello.Rimosso IS NULL OR PianoLivello.Rimosso = 0)					  
  AND (PianoLivello.IDCommessa = $IdCommessa) AND (PianoLivello.IdEdificio = $IdEdificio)
  
  order by DestinazioniDusoLivello.ordinamento, DesUso
sql;

$query = ntxQuery($sql);

$tabella_piani =
"<table class=piani>"
	."<tr>"
		."<th>".$traduttore->traduci('Cod Piano')
		."<th>".$traduttore->traduci('Piano')
		."<th>".$traduttore->traduci('Num.Vani')
		."<th>".$traduttore->traduci('Mq Netti')
		."<th>".$traduttore->traduci('Mq Lordi')
		."<th>"
	."</tr>";

/*$tabella_piani = <<< tab
<table class=piani>
	<tr>
		<th>$traduttore->traduci('Cod Piano')
		<th>$traduttore->traduci('Piano')
		<th>$traduttore->traduci('Num.Vani')
		<th>$traduttore->traduci('Mq Netti')
		<th>$traduttore->traduci('Mq Lordi')
		<th>
	</tr>  
tab;*/

$alternate = true;

while(  $query  &&  $rs = ntxRecord($query) )
{
	$classe = $alternate ? "class=alternate" : ""; 
	
	$rs[mq_netti] = ntxRoundThousand($rs[mq_netti], 2);
	$rs[MqMuraEsterne] = ntxRoundThousand($rs[MqMuraEsterne], 2);
	
	foreach($rs as $k=>$v)
	{
		$html[$k] = htmlentities($v);
		$js[$k] = ntxJS($v);
	}
	
	if ( $js[CodiceAssLivello]=="" ) $js[CodiceAssLivello]=$traduttore->Traduci('mappa');
	
$tabella_piani .= <<< tab
<tr $classe> 
	<td style="width:1px;text-align:center"><input type=button class=btn1 value="$js[CodiceAssLivello]" onclick="mappa('$rs[IdPiano]')" />
		
	<td>$rs[DesUso]
 
	<td style="width:1px;text-align:right">$rs[num_vani]
	<td style="width:1px;text-align:right">$rs[mq_netti]
	<td style="width:1px;text-align:right">$rs[MqMuraEsterne]
	<td style="width:1px;text-align:center"><input type=button class=btn1 value="DWG" onclick="VediDwgPiano('$rs[IdPiano]')" />
</tr>
tab;

	$alternate = !$alternate;
}

$tabella_piani .= <<< tab
</table> 
tab;


?>
