<?php  
if ( !$_SESSION ) session_start();
 
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
 

$where = "WHERE (ElencoEdifici.IDCommessa = $IdCommessa) AND (ElencoEdifici.ID = $IdEdificio)";
$sql = <<< sql
	SELECT DISTINCT 
                      ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioEstesa, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CAP, 
                      ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.Tipo, tblPgPropietari.Nome AS Proprietario, tblUtUtilizzatori.Nome Utilizzatore
	FROM         tblUtUtilizzatori RIGHT OUTER JOIN
                      tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa AND 
                      tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore RIGHT OUTER JOIN
                      ElencoEdifici ON tblUtEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblUtEdifici.IdEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	$where
sql;

$query = ntxQuery($sql);
?>
<table class="grid"  >
		<tr>
			<th>ID
			<th>Codice
			<th>Nome Breve
			<th>Nome Esteso
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>Cap
			<th>Proprietario
			<th>Utilizzatore
			<th>Tipo
		</tr>  
	
<?php
	$tipi = array('edificio','strada','verde');
	
	$alternate = false;

	while(  $query  &&  $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "class=alternate" : ""; 
		
		$Tipo = $tipi[$rs[Tipo]];
?>
	<tr <?php echo $classe ?>> 
		<td>&nbsp;<?php echo htmlentities($rs[ID]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[Codice]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[EdificioBreve]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[EdificioEstesa]) ?>

		<td>&nbsp;<?php echo htmlentities($rs[Indirizzo]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[CITTA]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[PROVINCIA]) ?>

		<td>&nbsp;<?php echo htmlentities($rs[CAP]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[Proprietario]) ?>
		<td>&nbsp;<?php echo htmlentities($rs[Utilizzatore]) ?>
		<td>&nbsp;<?php echo htmlentities($Tipo) ?>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table> 

