<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$where = "WHERE  (CircuitiEdifici.IdCommessa = $IdCommessa) AND (CircuitiEdifici.IdEdificio = $IdEdificio)";

$sql = <<< sql
	SELECT     CircuitiEdifici.IdCircuito, CircuitiEdifici.Codice, CircuitiEdifici.Nome, CircuitiEdifici.Note, CircuitiEdifici.DataInizio, CircuitiEdifici.DataFine, 
						  CircuitiEdifici.Colore, TipiCircuito.TipoCircuito
	FROM         CircuitiEdifici LEFT JOIN
						  TipiCircuito ON CircuitiEdifici.TipoCircuito = TipiCircuito.Id
	  $where
	 ORDER BY Codice, Nome
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>Sel
			<th>Tema
			<th>ID
			<th>Codice
			<th>Nome
			<th>DataInizio
			<th>DataFine
			<th>TipoCircuito
			<th colspan=2>Colore
			<th>Note
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	$rosso = ($rs[Colore] >> 16) & 0xff;
	$verde = ($rs[Colore] >> 8) & 0xff;
	$blu = ($rs[Colore]) & 0xff;

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td><input type=checkbox SelCircuito IdCircuito=$rs[IdCircuito] />
			<td><input type=checkbox TemaCircuito IdCircuito=$rs[IdCircuito] />
			<td>$rs[IdCircuito]
			<td>$html[Codice]
			<td>$html[Nome]
			<td>$html[DataInizio]
			<td>$html[DataFine]
			<td>$html[TipoCircuito]
			<td>$html[Colore]
			<td style="background-color: rgb($rosso, $verde, $blu)">...
			<td>$html[Note]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= <<< table
	</table>
	
	<input type=button value="assegna circuiti selezionati a vani selezionati" onclick="AssegnaCircuitiVani()" />
	<input type=button value="chiudi" onclick="$('#divAssegnaCircuiti').hide()" />
table;

jhp($table);

?>
