<?php

$VisAmbienti = $_POST[VisAmbienti];

if ( $VisAmbienti  &&  strlen("$_POST[lista_tema_circuiti]")>0 )
{
	$lista_tema_circuiti = explode(",", $_POST[lista_tema_circuiti]);
	
	foreach($lista_tema_circuiti as $id_circuito)
	{
		if ( is_numeric($id_circuito) )
		{
			$sql = <<< sql
					SELECT     Colore
					FROM         CircuitiEdifici
				  WHERE     (IdCommessa = $IdCommessa) 
					AND (IdEdificio = $IdEdificio) 
					AND (IdCircuito = $id_circuito)
sql;

			$ColoreCircuito = ntxScalar($sql);

			$layer = ms_newLayerObj($map);

			$layer->set("type", MS_LAYER_POLYGON);

			$layer->set("status", MS_ON);
			
			$class = ms_newClassObj($layer);
			
			$style = ms_newStyleObj($class);

			$rosso = ($ColoreCircuito >> 16) & 0xff;
			$verde = ($ColoreCircuito >> 8) & 0xff;
			$blu = ($ColoreCircuito) & 0xff;

			$style->color->setRGB($rosso, $verde, $blu);

			$sql = <<< sql
				SELECT  DISTINCT   AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.Id, AmbienteShapes.CoordXY
				FROM         Ambiente INNER JOIN
							  AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
							  Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente INNER JOIN
							  CircuitiAmbienti ON AmbienteShapes.IdCommessa = CircuitiAmbienti.IdCommessaAmbiente AND 
							  AmbienteShapes.IdEdificio = CircuitiAmbienti.IdEdificioAmbiente AND AmbienteShapes.IdAmbiente = CircuitiAmbienti.IdAmbiente INNER JOIN
							  CircuitiEdifici ON CircuitiAmbienti.IdCommessaCircuito = CircuitiEdifici.IdCommessa AND 
							  CircuitiAmbienti.IdEdificioCircuito = CircuitiEdifici.IdEdificio AND CircuitiAmbienti.IdCircuito = CircuitiEdifici.IdCircuito
				  WHERE     (Ambiente.IdCommessa = $IdCommessa) 
					AND (Ambiente.IdEdificio = $IdEdificio) 
					AND (Ambiente.IdLivello = $IdPiano)
					AND (CircuitiEdifici.IdCircuito = $id_circuito)
					AND (AmbienteShapes.Tipo = 2)
					AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
				ORDER BY AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.Id
sql;

			$query2 = ntxQuery($sql);
			
			$IdAmbiente = $IdShape = "";
			
			$punti = "";
			
			while($rs2=ntxRecord($query2))
			{
				if ( $IdAmbiente=="" ) 
				{
					$IdAmbiente = $rs2[IdAmbiente];
					$IdShape = $rs2[IdShape];
				}
				
				if ( $IdAmbiente!=$rs2[IdAmbiente] || $IdShape!=$rs2[IdShape] ) 
				{
					$IdAmbiente = $rs2[IdAmbiente];
					$IdShape = $rs2[IdShape];
					
					WritePolygon($layer, $punti);
					
					$punti = "";
				}
				
				$punti .= $rs2[CoordXY];
			}

			if ( $punti!="" ) 
				WritePolygon($layer, $punti);
		}
	}
}

?>