function SelezionaVano()
{
	var result = jhp("jhp/sel_vani.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		AddSubVani(result.value);
	
		CaricaMappa();
		
		CaricaListaVani();
		
		DettaglioVano();
	}
}

function FotoAnomaliaAmbiente(IdAmbiente, IdAnomalia)
{
	g.IdAmbiente = IdAmbiente;
	g.IdAnomalia = IdAnomalia;
	
	var result = jhp("jhp/foto_anomalia_ambiente.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		if (result.value.length==0) return;
		$('#dettaglio_foto_anomalie').html(result.value);
		$('#dettaglio').tabs({active: 7});
	}
}

function SelezionaImmagineAnomaliaVani(IdFotoAnomaliaVano)
{
	g.IdFotoAnomaliaVano = IdFotoAnomaliaVano;
	
	var result = jhp("jhp/foto_media_anomalia_vano.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('img[foto_media_anomalia]').attr('src', result.value);
	}
}

function SelezionaImmagineVani(IdFotoVano)
{
	g.IdFotoVano = IdFotoVano;
	
	var result = jhp("jhp/foto_vano.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('img[foto_media]').attr('src', result.value);
	}
}

function SelVanoDettaglio(IdAmbiente)
{
	g.UltimoVanoSelezionato = IdAmbiente;
	CaricaMappa();
	DettaglioVano();
}	

function DettaglioVano()
{
	var result = jhp("jhp/dettaglio_vano.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		if (result.value.length==0) return;
		$('#dettaglio_props').html(result.value[0]);
		$('#dettaglio_foto').html(result.value[1]);

		$('#dettaglio_utilizzatori').html(result.value[3]);
		$('#dettaglio_personale').html(result.value[4]);
		$('#dettaglio_cdc2').html(result.value[5]);
		$('#dettaglio_caratteristiche2').html(result.value[6]);
		$('#dettaglio_circuiti').html(result.value[9]);
	}
}	

function CaricaListaVani()
{
	var result = jhp("jhp/lista_vani.php", g);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('div[lista]').html(result.value);
	}
}

function AddSubVani(vani)
{
	if ( vani=="" )
	{
		g.VaniSelezionati = "";
		g.UltimoVanoSelezionato = "";
		return;
	}
	
	var PrecedentiVaniSelezionati = g.VaniSelezionati.split(",");
	var NuoviVaniSelezionati = vani.split(",");
	var result = new Array();
	
	var i, j, k;
	var trovato;
	
	g.UltimoVanoSelezionato = "";
	
	for(k=0, i=0; i<PrecedentiVaniSelezionati.length; ++i)
	{
		trovato = false;
		
		for(j=0; j<NuoviVaniSelezionati.length; ++j)
			if ( PrecedentiVaniSelezionati[i]==NuoviVaniSelezionati[j] )
			{
				trovato = true;
				break;
			}
			
		if ( !trovato )
		{
			result[k++] = PrecedentiVaniSelezionati[i];
			g.UltimoVanoSelezionato = PrecedentiVaniSelezionati[i];
		}
	}
	
	for(j=0; j<NuoviVaniSelezionati.length; ++j)
	{
		trovato = false;
		
		for(i=0; i<PrecedentiVaniSelezionati.length; ++i)
			if ( PrecedentiVaniSelezionati[i]==NuoviVaniSelezionati[j] )
			{
				trovato = true;
				break;
			}
			
		if ( !trovato )
		{
			result[k++] = NuoviVaniSelezionati[j];
			g.UltimoVanoSelezionato = NuoviVaniSelezionati[j];
		}
	}
	
	g.VaniSelezionati = result+"";
}