<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if (!is_numeric($_POST[IdContratto])) die("");

$IdCommessa = ntxise('IdCommessa');
$IdContratto = ntxip('IdContratto');
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	
	
	<script src="js/tipi_area.js" type="text/javascript"></script>
</head>
<body>

<?php

$where = "WHERE  (tblPgContratti.IdCommessa = $IdCommessa) AND (tblPgContratti.IdPgContratto = $IdContratto) ";

$sql = <<< sql
	SELECT DISTINCT 
                      tblPgPropietari.Nome AS Ente, tblPgContratti.Descrizione, tblPgContratti.DataContratto, tblPgContratti.DataInizio, tblPgContratti.DataFine, 
                      tblPgContratti.Aperto, tblPgContratti.Note, tblPgContratti.TipoContratto, tblPgContratti.Importo, tblPgContratti.IdPgContratto
	FROM         tblPgPropietari RIGHT OUTER JOIN
                      tblPgContratti ON tblPgPropietari.IdPropietario = tblPgContratti.IdPropietario
	  $where
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>Aperto</th>
			<th>TipoContratto</th>
			<th>ID</th>
			<th>Ente</th>
			<th>Descrizione</th>
			<th>Data Contratto</th>
			<th>Data Inizio</th>
			<th>Data Fine</th>
			<th>Importo</th>
			<th>Note</th>
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[DataContratto] = ntxDate($rs[DataContratto]);
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	$rs[Importo] = ntxRoundThousand($rs[Importo],2);

	$Aperto = $rs['Aperto'] ? "X" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td>$Aperto
			<td>$html[TipoContratto]
			<td>$html[IdPgContratto]
			<td>$html[Ente]
			<td>$html[Descrizione]
			<td>$html[DataContratto]
			<td>$html[DataInizio]
			<td>$html[DataFine]
			<td>$html[Importo]
			<td>$html[Note]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

echo $table;

?>

Tipi Area/Canoni/Circuiti Edifici
<span ButtonSet>
	<input type=button value="1" onclick="obj.Mostra(1)" />
	<input type=button value="2" onclick="obj.Mostra(2)" />
	<input type=button value="3" onclick="obj.Mostra(3)" />
	<input type=button value="Tutto" onclick="obj.Mostra(4)" />
</span>

<table id=tbl1 class=grid>
	<tr>
		<td id=td1>
			<iframe name=frame1 src="edit_tipi_area.php" style="border:1px solid black;width:100%;height:100%"></iframe>
		<td id=td2>
			<iframe name=frame2 src="canoni.php" style="border:1px solid black;width:100%;height:100%"></iframe>
		<td id=td3>
			<iframe name=frame3 src="circuiti_tipi_area.php" style="border:1px solid black;width:100%;height:100%"></iframe>
</table>		

<form method=post name=form1 target="frame1" action="edit_tipi_area.php">
	<input type=hidden name=IdContratto value="<?php echo $IdContratto ?>" />
</form>

<form method=post name=formCanoni target="frame2" action="canoni.php">
	<input type=hidden name=IdTipoArea />
</form>

<form method=post name=formCircuiti target="frame3" action="circuiti_tipi_area.php">
	<input type=hidden name=IdTipoArea />
</form>

</body>
</html>
