<?php  
if (!isset($_SESSION)) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_279", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_279", "IT", __FILE__);

if(!is_numeric($_POST[ntxPagedRowsPerPage]))
	$_POST[ntxPagedRowsPerPage] = 20;
	
//<!-- IN EVIDENZA -->
require_once(NTX_WEBPORTAL_EXT_PHP_PATH.'/_libs/paginazione/paginazione.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
	<script type="text/javascript" src="../../_ntx/jhp.php"></script>	
	
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	
	<style> 
	</style>	
</head>

<body>

<div class="divBottoni">
	<input type=button value="<?php $traduttore->html('<< Indietro') ?>" onclick="parent.CloseFrame()" />

	<form method="post"  class="allineatoSinistra">
		<?php ntxCreateHiddens() ?>
		
		<button   type="submit"  >
			<img src="/repository/_icons/arrow_refresh.png" />
			<?php $traduttore->html('Ricarica') ?>
		</button>
	</form> 
</div>

<?php
require_once('edifici_sql.inc'); 
?>

<form name="form1" id="form1" method="post">
	<input type="hidden" name="IdEdificio" />
	<input type="hidden" name="navi" />
</form>	


<script language="javascript">
window.onload = avviaMod;

function avviaMod()
{
	var navi= parent.parent.navi;
	
	if(navi == 1)
		$('.nascondiModNavi').hide();

}
	
function piani(ID)
{
	document.form1.IdEdificio.value = ID;
	document.form1.navi.value = parent.parent.navi;

	parent.parent.tbJq_updateTabFrame(document.form1, "piani", 'piani.php'); 
	parent.parent.tbJq_showTabFrame("piani"); 
}


</script>


<!-- IN EVIDENZA -->
<?php ntxPagedPrintNavigation() ?> 
 
<table id="tblRisultati" cellpadding="0" cellspacing="0" class="fancyTable"  >
	<thead>
		<tr>
			<th>
			<th>
			<th>
			<th><?php $traduttore->html('ID') ?>
			<th><?php $traduttore->html('Codice') ?>
			<th><?php $traduttore->html('Nome Breve') ?>
			<th><?php $traduttore->html('Nome Esteso') ?>
			<th><?php $traduttore->html('Indirizzo') ?>
			<th><?php $traduttore->html('Comune') ?>
			<th><?php $traduttore->html('Prov') ?>
			<th><?php $traduttore->html('CAP') ?>
			<th><?php $traduttore->html('Proprietario') ?> 
			<th><?php $traduttore->html('Tipo') ?>
		</tr>  
	</thead>
	
	<tbody>	
<?php
	$tipi = array('edificio','strada','verde');
	
	$alternate = true;

	while(  $query  &&  $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "td2"; 
		
		$Tipo = $tipi[$rs[Tipo]];
?>
	<tr> 
		<td class=" <?php echo $classe ?>" > 
			<input type=button value="<?php $traduttore->html('Dettaglio') ?>" onclick="piani('<?php echo $rs[ID] ?>')" />	
			
		<td class=" <?php echo $classe ?>" > 
			<input class="nascondiModNavi" type=button value="<?php $traduttore->html('Filtro. Prop. Comp.') ?>" onclick="parent.parent.tbJq_getTabFrame('filtro_comp').SelEdificio('<?php echo $rs[ID] ?>');parent.parent.tbJq_showTabFrame('filtro_comp')" />
			
		<td class=" <?php echo $classe ?>" > 
			<input class="nascondiModNavi" type=button value="<?php $traduttore->html('Costi Comp.') ?>" onclick="parent.parent.tbJq_getTabFrame('analisi_costi_comp').SelEdificio('<?php echo $rs[ID] ?>');parent.parent.tbJq_showTabFrame('analisi_costi_comp')" />
			
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[ID]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Codice]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[EdificioBreve]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[EdificioEstesa]) ?>

		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Indirizzo]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[CITTA]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[PROVINCIA]) ?>

		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[CAP]) ?>
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($rs[Proprietario]) ?> 
		<td class=" <?php echo $classe ?>" >&nbsp;<?php echo htmlentities($Tipo) ?>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
	</tbody>	
</table> 

 
<!-- IN EVIDENZA -->
<?php ntxPagedPrintBody() ?>
<?php ntxPagedPrintNavigation() ?>  
<?php $traduttore->Salva(); ?>


</body>
</html>