<?php

$sql = <<< sql
SELECT     tblUtUtilizzatori.Nome AS Utilizzatore,  $DestinazioniDusoLivello_Destinazione AS Piano, sum(ambiente.mq) mq_netti, count(*) num_vani,
		min(tblUtAmbienti.DataInizio) MinDataInizio,
		max(tblUtAmbienti.DataFine) MaxDataFine
FROM         tblUtUtilizzatori INNER JOIN
                      tblUtAmbienti ON tblUtUtilizzatori.IdCommessa = tblUtAmbienti.IdCommessa AND 
                      tblUtUtilizzatori.IdUtilizzatore = tblUtAmbienti.IdUtilizzatore INNER JOIN
                      Ambiente ON tblUtAmbienti.IdCommessa = Ambiente.IdCommessa AND tblUtAmbienti.IdEdificio = Ambiente.IdEdificio AND 
                      tblUtAmbienti.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
WHERE     (PianoLivello.IdCommessa = $IdCommessa) AND (PianoLivello.IdEdificio = $IdEdificio)
AND (tblUtAmbienti.DataInizio <= $DataFineWhere)
AND (tblUtAmbienti.DataFine >= $DataInizioWhere)
and (Ambiente.rimosso is null or Ambiente.rimosso=0)
group BY tblUtUtilizzatori.Nome, DestinazioniDusoLivello.ordinamento, $DestinazioniDusoLivello_Destinazione
ORDER BY MinDataInizio
sql;

$query=ntxQuery($sql);

/*$tabella_utilizzatori = <<< tab
<table class=altri_dati  >
	<tr>
		<th>Utilizzatori Spazi
		<th>Posizione
		<th>Num.Vani
		<th>Mq Netti
		<th>periodo
	</tr>  
tab;*/
$tabella_utilizzatori = 
"<table class=altri_dati  >
	<tr>"
		."<th>".$traduttore->traduci('Utilizzatori Spazi')
		."<th>".$traduttore->traduci('Posizione')
		."<th>".$traduttore->traduci('Num. Vani')
		."<th>".$traduttore->traduci('Mq Netti')
		."<th>".$traduttore->traduci('Periodo')
	."</tr>"
;

$alternate = true;

while(  $query  &&  $rs = ntxRecord($query) )
{
	$classe = $alternate ? "class=alternate" : ""; 
	
	$rs[mq_netti] = ntxRoundThousand($rs[mq_netti], 2);
	$rs[MinDataInizio] = ntxDate($rs[MinDataInizio]);
	$rs[MaxDataFine] = ntxDate($rs[MaxDataFine]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
$tabella_utilizzatori .= <<< tab
<tr $classe> 
	<td>$html[Utilizzatore]
	<td>$html[Piano]
	<td style="width:1px;text-align:right">$html[num_vani]
	<td style="width:1px;text-align:right">$html[mq_netti]
	<td style="width:1px;text-align:right">$html[MinDataInizio]  $html[MaxDataFine]
</tr>
tab;

	$alternate = !$alternate;
}

$tabella_utilizzatori .= <<< tab
</table> 
tab;

?>
