<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_287", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_287", "IT", __FILE__);

$DestinazioniDusoLivello_Destinazione = ntxTraduciCampoTabella("DestinazioniDusoLivello", "Destinazione", "Destinazione", $_SESSION[NTX_LINGUA_DEST]);

$IdCommessa = ntxise('IdCommessa');

$sqlTail = <<< sqlTail
WHERE 
	ElencoEdifici.IdCommessa=$IdCommessa
sqlTail;
	
if ( is_numeric($_POST['IdEdificio']) ) $sqlTail .= " AND ElencoEdifici.ID = ".ntxip('IdEdificio');

if ( is_numeric($_POST['IDTipoComponente']) ) $sqlTail .= " AND ComponentiAmbiente.IdTipoComponente = ".ntxip('IDTipoComponente');

if ( is_numeric($_POST['IdPropComp']) ) $sqlTail .= " AND tblValoriComponenti.IdPropComp = ".ntxip('IdPropComp');

if ( isset($_POST['IdValPropCompText'])  &&  strlen($_POST['IdValPropCompText'])>0) 
{
	$str = stripslashes($_POST['IdValPropCompText']."");
	$str = str_replace("'", "''", $str);
	$sqlTail .= " AND tblValoriComponenti.Valore LIKE '%".$str."%' ";
}

$sql = <<< sql
SELECT     IdCopertura, COUNT(*) AS NumComponenti, a.IdCommessa, a.IdEdificio, a.idPiano, 
                      a.ordinamento,  a.Destinazione, a.IdTipoComponente
FROM (
SELECT DISTINCT    tblCopertureInCommessa.Id AS IdCopertura,  PianoLivello.IdCommessa, PianoLivello.IdEdificio, PianoLivello.idPiano, 
                      DestinazioniDusoLivello.ordinamento,$DestinazioniDusoLivello_Destinazione Destinazione, ComponentiAmbiente.IdTipoComponente, ComponentiAmbiente.IDComponente
FROM         Ambiente INNER JOIN
                      ElencoEdifici INNER JOIN
                      ComponentiAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente ON 
                      ElencoEdifici.IdCommessa = ComponentiAmbiente.IdCommessa AND ElencoEdifici.ID = ComponentiAmbiente.IdEdificio ON 
                      Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      tblValoriComponenti LEFT OUTER JOIN
                      tblPropTipiComp ON tblValoriComponenti.IdPropComp = tblPropTipiComp.IdPropComp AND 
                      tblValoriComponenti.IdCommessa = tblPropTipiComp.IdCommessa ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente AND 
                      ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio AND 
                      ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa LEFT OUTER JOIN
                      tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
                      TipoComponente.Copertura = tblCopertureInCommessa.Nome
			  $sqlTail ) a
GROUP BY   IdCopertura, a.IdCommessa, a.IdEdificio, a.idPiano, 
                       a.ordinamento,a.Destinazione, a.IdTipoComponente
ORDER BY a.ordinamento, a.Destinazione
sql;

$query = ntxQuery($sql);

$table = "";

$alternate = false;

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$class = $alternate ? "class=alternate" : "";
	
	/*$table .= <<< table
		<tr $class>
			<td><input type=button value="mappa" onclick="Mappa($rs[IdEdificio], $rs[idPiano], $rs[IdTipoComponente], $rs[IdCopertura])" />
			<td>$html[Destinazione]
			<td>$html[NumComponenti]
table;*/
	$table .= 
		"<tr $class>
			<td><input type=button value=\"".$traduttore->traduci('Mappa')."\" onclick=\"Mappa($rs[IdEdificio], $rs[idPiano], $rs[IdTipoComponente], $rs[IdCopertura])\" />
			<td>$html[Destinazione]
			<td>$html[NumComponenti]"
;

	$alternate = !$alternate;
}

/*$result = <<< result
<table class=grid>
	<tr>
			<th>
			<th>Piano
			<th>Num.Componenti
	$table
</table>
result;*/

$result =
"<table class=grid>
	<tr>
			<th>"
			."<th>".$traduttore->traduci('Piano')
			."<th>".$traduttore->traduci('Num. Componenti')
	."$table
</table>"
;

$traduttore->Salva();

jhp($result);

?>