<?php  
	
$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');

$sqlTail = <<< sqlTail
WHERE 
	ComponentiAmbiente.IdCommessa=$IdCommessa AND UtentiEdifici.IdUtente=$IdUtente
sqlTail;
	
if ( is_numeric($_POST['IdEdificio']) ) $sqlTail .= " AND ComponentiAmbiente.IdEdificio = ".ntxip('IdEdificio');

if ( is_numeric($_POST['IdGruppoImpianto']) ) $sqlTail .= " AND GruppiImpTipiComp.IdGruppoImpianto = ".ntxip('IdGruppoImpianto');

if ( is_numeric($_POST['IDTipoComponente']) ) $sqlTail .= " AND ComponentiAmbiente.IdTipoComponente = ".ntxip('IDTipoComponente');

if ( is_numeric($_POST['IdPropComp']) ) $sqlTail .= " AND tblValoriComponenti.IdPropComp = ".ntxip('IdPropComp');

if ( isset($_POST['IdValPropCompText'])  &&  strlen($_POST['IdValPropCompText'])>0) 
{
	$str = stripslashes($_POST['IdValPropCompText']."");
	$str = str_replace("'", "''", $str);
	$sqlTail .= " AND tblValoriComponenti.Valore LIKE '%".$str."%' ";
}

if ( isset($_POST['CodiceAssComponente'])  &&  strlen($_POST['CodiceAssComponente'])>0) 
{
	$str = stripslashes($_POST['CodiceAssComponente']."");
	$str = str_replace("'", "''", $str);
	$sqlTail .= " AND ComponentiAmbiente.CodiceAssComponente = '".$str."' ";
}

$sql = <<< sql
SELECT DISTINCT 'k' + LTRIM(tblValoriComponenti.IdPropComp) AS k, $tblPropTipiComp_Propietà Propietà
FROM         ComponentiAmbiente INNER JOIN
                      tblValoriComponenti ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente AND 
                      ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio AND 
                      ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa INNER JOIN
                      tblPropTipiComp ON tblValoriComponenti.IdCommessa = tblPropTipiComp.IdCommessa AND 
                      tblValoriComponenti.IdPropComp = tblPropTipiComp.IdPropComp	
					  
					  LEFT JOIN GruppiImpTipiComp
					   ON 
                      GruppiImpTipiComp.IdCommessaTipo = ComponentiAmbiente.IdCommessa AND 
                      GruppiImpTipiComp.IdTipoComponente = ComponentiAmbiente.IDTipoComponente
					  
					INNER JOIN UtentiEdifici ON UtentiEdifici.IdCommessa=ComponentiAmbiente.IdCommessa
												AND UtentiEdifici.IdEdificio=ComponentiAmbiente.IdEdificio

	
	$sqlTail
	$filtroPropComponenti
ORDER BY $tblPropTipiComp_Propietà
sql;

$query = ntxQuery($sql);

$props = array();

while ( $rs = ntxIRecord($query) )
{
	$props[$rs[0]] = $rs[1];
}
//IdCopertura
$sql = <<< sql
SELECT     
	ElencoEdifici.Codice, 
	ElencoEdifici.EdificioBreve, 
	ElencoEdifici.Indirizzo, 
	$DestinazioniDusoLivello_Destinazione AS Piano, 
	Ambiente.CodiceAmbiente, 
	Ambiente.CodiceAssAmbiente AS CodAmb, 
	ComponentiAmbiente.CodiceComponente, 
	ComponentiAmbiente.CodiceAssComponente AS CodComp, 
	$TipoComponente_DesComponente AS Componente, 
	ComponentiAmbiente.IdEdificio, 
	LTRIM(ComponentiAmbiente.IdEdificio)+'-'+LTRIM(ComponentiAmbiente.IDComponente) key1, 
	Ambiente.IdLivello, 
	'k' + LTRIM(tblValoriComponenti.IdPropComp) key2,
	tblValoriComponenti.Valore,
	tblCopertureInCommessa.Id AS IdCopertura
	
FROM         PianoLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND 
                      PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa INNER JOIN
                      Ambiente ON PianoLivello.idPiano = Ambiente.IdLivello AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.IdCommessa = Ambiente.IdCommessa INNER JOIN
                      ComponentiAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      ElencoEdifici ON ComponentiAmbiente.IdEdificio = ElencoEdifici.ID AND ComponentiAmbiente.IdCommessa = ElencoEdifici.IdCommessa ON 
                      Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa LEFT JOIN
                      tblValoriComponenti ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente AND 
                      ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio AND 
                      ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa LEFT OUTER JOIN
                      tblCopertureInCommessa ON tblCopertureInCommessa.IdCommessa = TipoComponente.IdCommessa AND 
                      tblCopertureInCommessa.Nome = TipoComponente.Copertura	  
					  
					INNER JOIN UtentiEdifici ON UtentiEdifici.IdCommessa=ElencoEdifici.IdCommessa
												AND UtentiEdifici.IdEdificio=ElencoEdifici.ID

					  
					  LEFT JOIN GruppiImpTipiComp
					   ON 
                      GruppiImpTipiComp.IdCommessaTipo = TipoComponente.IdCommessa AND 
                      GruppiImpTipiComp.IdTipoComponente = TipoComponente.IDTipoComponente
	
	$sqlTail
	$filtroPropComponenti
sql;

$sql .= <<< sql
ORDER BY ElencoEdifici.EdificioBreve, Piano, Ambiente.CodiceAmbiente,
	ComponentiAmbiente.CodiceComponente, ComponentiAmbiente.IdEdificio, ComponentiAmbiente.IDComponente
sql;

$query = ntxQuery($sql);

$records = array();

while ( $rs = ntxRecord($query) )
{
	$key1 = $rs[key1];
	
	foreach($rs as $fieldName => $fieldValue)
	{
		if ( $fieldName != 'Valore'  &&  $fieldName != 'key1'  &&  $fieldName != 'key2' )
		{
			$records[$key1][$fieldName]  = $fieldValuee = $fieldValue;
		}
	}

	foreach($props as $fieldName)
	{
		if ( isset($records[$key1][$fieldName]) )
			break;
			
		foreach($props as $fieldName)
			$records[$key1][$fieldName] = "";
		
		break;
	}
	
	$fieldName = $props[$rs[key2]];
	$records[$key1][$fieldName] = $rs[Valore];
}
	
?>
