<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_286", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_286", "IT", __FILE__);

$TipoComponente_DesComponente = ntxTraduciCampoTabella("TipoComponente", "DesComponente", "DesComponente", $_SESSION[NTX_LINGUA_DEST]);
$tblPropTipiComp_Propietà = ntxTraduciCampoTabella("tblPropTipiComp", "Propietà", "Propietà", $_SESSION[NTX_LINGUA_DEST]);

$DestinazioniDusoLivello_Destinazione = ntxTraduciCampoTabella("DestinazioniDusoLivello", "Destinazione", "Destinazione", $_SESSION[NTX_LINGUA_DEST]);
$DestinazioniDuso_Destinazione = ntxTraduciCampoTabella("DestinazioniDuso", "Destinazione", "Destinazione", $_SESSION[NTX_LINGUA_DEST]);

$IdCommessa = ntxise('IdCommessa');

$sql = "SELECT LINGUA_IN_USO FROM Commesse WHERE IdCommessa=$IdCommessa";

$LINGUA_IN_USO = ntxScalar($sql);

$tblValPropTipiComp_Valore = ntxTraduciCampoTabella("tblValPropTipiComp", "Valore", "Valore", $LINGUA_IN_USO);

?>
<html>
<head>
	<link href="tree.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
</head>
<body  >

<?php require_once('filtri-superprop.inc') ?>
<?php require_once('tree_sql.inc') ?>

<form method=post action="excel.php" target="_blank">
	<input type=hidden name=IdEdificio value="<?php echo $_POST['IdEdificio'] ?>" />
	<input type=hidden name=ElencoIdProprietà value="<?php echo $_POST['ElencoIdProprietà'] ?>" />
	<input type=hidden name=ElencoIdValori value="<?php echo $_POST['ElencoIdValori'] ?>" />
	<input type=hidden name=IdGruppoImpianto value="<?php echo $_POST['IdGruppoImpianto'] ?>" />
	<input type=hidden name=IDTipoComponente value="<?php echo $_POST['IDTipoComponente'] ?>" />
	<input type=hidden name=IdPropComp value="<?php echo $_POST['IdPropComp'] ?>" />
	<input type=hidden name=IdValPropCompText value="<?php echo ntxJS($_POST['IdValPropCompText']) ?>" />
	<input type=submit value="<?php $traduttore->html('Scarica in formato per excel') ?>" />
</form>

<?php

$keyEdificio = null;
$keyPiano = null;
$keyAmbiente = null;

$iLiv1 = 0;
$iLiv3 = 0;
$iLiv5 = 0;

foreach ( $records as $rs )
{
	foreach ( $rs as $key=>$value )
		$rss[$key] = htmlentities($value);
		
	if ( isset($keyAmbiente)  &&  $keyAmbiente != $rs[keyAmbiente] )
		echo "</table>"; // id='liv5_$iLiv5'

	if ( isset($keyPiano)  &&  $keyPiano != $rs[keyPiano] )
		echo "</div>"; // id='liv3_$iLiv3'
		
	if ( isset($keyEdificio)  &&  $keyEdificio != $rs[keyEdificio] )
		echo "</div>"; // id='liv1_$iLiv1'
			
	if ( $keyEdificio != $rs[keyEdificio] )
	{
		$keyEdificio = $rs[keyEdificio];
		
		/*echo <<< echo
			<div class=Liv0>
				<input type=button value="i/o" onclick="OpenClose('#liv1_$iLiv1')">
				Edificio: $rss[Codice] - $rss[EdificioBreve] - $rss[Indirizzo] - $rss[Comune] ($rss[Provincia])
			</div>
			<div class=Liv1 id='liv1_$iLiv1'>
echo;*/
		echo 
			"<div class=Liv0>
				<input type=button value=\"i/o\" onclick=\"OpenClose('#liv1_$iLiv1')\">
				".$traduttore->traduci('Edificio').": $rss[Codice] - $rss[EdificioBreve] - $rss[Indirizzo] - $rss[Comune] ($rss[Provincia])
			</div>
			<div class=Liv1 id='liv1_$iLiv1'>"
;

		$iLiv1++;
	}
	
	if ( $keyPiano != $rs[keyPiano] )
	{
		$keyPiano = $rs[keyPiano];
		
		/*echo <<< echo
			<div class=Liv2>
				<input type=button value="i/o" onclick="OpenClose('#liv3_$iLiv3')">
				<input type=button value="map" onclick="Mappa('$rss[IdEdificio]','$rss[IdPiano]')">
				Piano: $rss[DesPiano]</div>
			<div class=Liv3 id='liv3_$iLiv3'>
echo;*/
		echo 
			"<div class=Liv2>
				<input type=button value=\"i/o\" onclick=\"OpenClose('#liv3_$iLiv3')\">
				<input type=button value=\"".$traduttore->traduci('Mappa')."\" onclick=\"Mappa('$rss[IdEdificio]','$rss[IdPiano]')\">
				".$traduttore->traduci('Piano').": $rss[DesPiano]</div>
			<div class=Liv3 id=\"liv3_$iLiv3\">"
;

		$iLiv3++;
	}

	if ( $keyAmbiente != $rs[keyAmbiente] )
	{
		$keyAmbiente = $rs[keyAmbiente];
		
		/*echo <<< echo
			<div class=Liv4>
				<input type=button value="i/o" onclick="OpenClose('#liv5_$iLiv5')">
				<input type=button value="map" onclick="Mappa2('$rss[IdEdificio]','$rss[IdPiano]','$rss[CodiceAmbiente]')">
				Ambiente: $rss[CodAmb] - $rss[DesAmb]
			</div>
			<table class=Liv5 id='liv5_$iLiv5'>
				<tr>
					<th>
					<th>Codice
					<th>Tipo
echo;*/
		echo
			"<div class=Liv4>
				<input type=button value=\"i/o\" onclick=\"OpenClose('#liv5_$iLiv5')\">
				<input type=button value=\"".$traduttore->traduci('Mappa')."\" onclick=\"Mappa2('$rss[IdEdificio]','$rss[IdPiano]','$rss[CodiceAmbiente]')\">
				".$traduttore->traduci('Ambiente').": $rss[CodAmb] - $rss[DesAmb]
			</div>"
			."<table class=Liv5 id=\"liv5_$iLiv5\">
				<tr>
					<th>"
					."<th>".$traduttore->traduci('Codice')
					."<th>".$traduttore->traduci('Tipo')
;

		$iLiv5++;
	}

	/*echo <<< echo
		<tr>
			<td><input type=button value="map" onclick="Mappa3('$rss[IdEdificio]','$rss[IdPiano]','$rss[CodiceComponente]','$rs[IdCopertura]')">
			<td>$rss[CodComp]
			<td>$rss[Componente]
echo;*/
		echo 
		"<tr>
			<td><input type=button value=\"".$traduttore->traduci('Mappa')."\" onclick=\"Mappa3('$rss[IdEdificio]','$rss[IdPiano]','$rss[CodiceComponente]','$rs[IdCopertura]')\">
			<td>$rss[CodComp]
			<td>$rss[Componente]"
;
}

if ( isset($keyAmbiente) )
	echo "</table>"; // id='liv5_$iLiv5'

if ( isset($keyPiano) )
	echo "</div>"; // id='liv3_$iLiv3'

if ( isset($keyEdificio) )
	echo "</div>"; // id='liv1_$iLiv1'

?>

<form name=form1 method=post>
	<input type=hidden name=TipoSelezione value="ON" />

	<input type=hidden name=IdCommessa value="<?php echo $_SESSION[IdCommessa] ?>">
	<input type=hidden name=IdEdificio value="<?php echo $_POST['IdEdificio'] ?>" />
	<input type=hidden name=IDTipoComponente value="<?php echo $_POST['IDTipoComponente'] ?>" />
	<input type=hidden name=IdPropComp value="<?php echo $_POST['IdPropComp'] ?>" />
	<input type=hidden name=IdValPropCompText value="<?php echo ntxJS($_POST['IdValPropCompText']) ?>" />
	<input type=hidden name=IdLivello>
	<input type=hidden name=CodiceAmbiente>
	<input type=hidden name=CodiceComponente>
	<input type=hidden name=IdCopertura>
</form>

<script language=javascript>

function OpenClose(id)
{
	$(id).toggle();
}

function Mappa(IdEdificio,IdPiano)
{
	form1.IdEdificio.value = IdEdificio;
	form1.IdLivello.value = IdPiano;
	form1.CodiceAmbiente.value = "";
	form1.CodiceComponente.value = "";
	form1.IdCopertura.value = "";
	form1.action = "../mappa/index.php";
	parent.parent.tbJq_getTabFrame("frames").AppendFrame(form1);
	parent.parent.tbJq_showTabFrame("frames");
}

function Mappa2(IdEdificio,IdPiano,CodiceAmbiente)
{
	form1.IdEdificio.value = IdEdificio;
	form1.IdLivello.value = IdPiano;
	form1.CodiceAmbiente.value = CodiceAmbiente;
	form1.CodiceComponente.value = "";
	form1.IdCopertura.value = "";
	form1.action = "../mappa/index.php";
	parent.parent.tbJq_getTabFrame("frames").AppendFrame(form1);
	parent.parent.tbJq_showTabFrame("frames");
}

function Mappa3(IdEdificio,IdPiano,CodiceComponente,IdCopertura)
{
	form1.IdEdificio.value = IdEdificio;
	form1.IdLivello.value = IdPiano;
	form1.CodiceAmbiente.value = "";
	form1.CodiceComponente.value = CodiceComponente;
	form1.IdCopertura.value = IdCopertura;
	form1.action = "../mappa/index.php";
	parent.parent.tbJq_getTabFrame("frames").AppendFrame(form1);
	parent.parent.tbJq_showTabFrame("frames");
}

</script>
<?php $traduttore->Salva(); ?>

</body>
</html>
