<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

//paginazione updated
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

    <head>

        <title>Manpro.Net - un prodotto Natisoft</title>

        <link href="/repository/css/reset.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="css/base.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
        <link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
        
        <script src="/repository/libs/jquery_latest/jquery.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jhp_latest/jhp.min.js" type="text/javascript"></script>
        
        <script src="/repository/libs/jquery_versioni/jquery.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jquery_versioni/jquery-ui.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jquery_versioni/jquery-ui-buttonsetv.js" type="text/javascript"></script>

        <script src="js/filtro_enti.js?v=<?php echo time() ?>" type="text/javascript"></script>
        <script src="/repository/func/paginazione/paginazione.js?v=<?php echo time() ?>" type="text/javascript"></script>

        <style>
          #tabbed .button {
            width: 100%;
            font-size: 11px;
            -webkit-print-color-adjust: exact;
            align-items: flex-start;
            text-align: center;
            cursor: default;
            color: buttontext;
            background-color: buttonface;
            box-sizing: border-box;
            padding: 2px 6px 3px;
            border: 2px outset buttonface;
            -webkit-appearance: push-button;
            -webkit-user-select: none;
          }
          #tabbed .button.selected {
            width: 100%;
            font-size: 11px;
            -webkit-print-color-adjust: exact;
            align-items: flex-start;
            text-align: center;
            cursor: default;
            box-sizing: border-box;
            padding: 2px 6px 3px;
            border: 2px outset buttonface;
            -webkit-appearance: push-button;
            -webkit-user-select: none;
            color: #e6e6e6;
            background-color: #555555;
          }
          #tabbed p.large{
            font-size: 11px;
            -webkit-print-color-adjust:exact;
            color: #FFFFFF; 
            text-transform:none;
            font-weight:bold;
            text-align:center;
            background: url("../_img/bg_table_head.gif") top left repeat-x #293e43;
            background: -webkit-gradient(linear, right top, right bottom, from( rgb(100,127,129) ), to( rgb(43,64,69) ));		
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#647f81', endColorstr='#293e43',GradientType=0 ); /* IE6-9 */
          }
          #tabbed div.title.large {
            font-family: verdana,helvetica,arial,sans-serif;
            font-size: 11px;
            -webkit-print-color-adjust:exact;
            text-align: center;
            padding: 6px;
            border-bottom: none;
            letter-spacing: 3px;
            font-weight: bold;
            color: #ffffff;
            background: url("../_img/bg_table_head.gif") top left repeat-x #293e43;
            background: -webkit-gradient(linear, right top, right bottom, from( rgb(100,127,129) ), to( rgb(43,64,69) ));		
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#647f81', endColorstr='#293e43',GradientType=0 ); /* IE6-9 */	
          }
          #tabbed .cell {
            margin: .1% 2% 0 0;
          }
          .fancyTable {
           margin-left: auto;
           margin-right: auto;
          }
          </style>
        
    </head>

    <body id="tabbed">
    
        <form id="frmHidden" id_form="frmHidden" name="frmHidden" method="post" action="" Paginazione>
            <?php PaginazioneCampiPerForm(20, 'jhp/elencoEnti.php', 'elencoEnti') ?>
 
            <input type="hidden" name="CodiceFiscale" value="">
            <input type="hidden" name="Nome" value="">
            <input type="hidden" name="Comune" value="">
            <input type="hidden" name="IndirizzoEnte" value="">
            <input type="hidden" name="enti" value="">
          
        </form>
        
        <div class="row">

            <div class="cell w-32"></div>

            <div class="cell w-32">

              <div class="title large">Filtro Enti</div>

              <div class="row">
                  
                <div class="cell w-32">
                  <p class="large">Codice Fiscale</p>
                </div>
                <div class="cell w-66">
                  <input style="width:100%" type=text onchange="document.frmHidden.CodiceFiscale.value = this.value">
                </div>
              
              </div>

              <div class="row">
              
                <div class="cell w-32">
                  <p class="large">Nome</p>
                </div>
                <div class="cell w-66">
                  <input style="width:100%" type=text onchange="document.frmHidden.Nome.value = this.value" >
                </div>
                
              </div>

              <div class="row">
              
                <div class="cell w-32">
                  <p class="large">Indirizzo</p>
                </div>
                <div class="cell w-66">
                  <input style="width:100%" type=text onchange="document.frmHidden.IndirizzoEnte.value = this.value" >
                </div>
                
              </div>
              
              <div class="row">
              
                <div class="cell w-32">
                  <p class="large">Comune</p>
                </div>
                <div class="cell w-66">
                  <input style="width:100%" type=text onchange="document.frmHidden.Comune.value = this.value" >
                </div>
                
              </div>
                      
              <div class="cell w-100">
                <input style="width:100%" type="button" class="button" name="btnRicerca" onclick="PaginazioneRicerca(document.frmHidden, 'first')" value="Ricerca">
              </div>
                      
            </div>
                 
            <div class="clrfx mt-15"></div>
              
            <div class="row">
            
                <div class="cell w-100">
                    <span ButtonSet>
                        <?php PaginazioneNavigazione('frmHidden') ?>
                    </span>
                </div>
                
                <div id="elencoEnti" class="cell w-100"></div>
                
                <div class="cell w-100">
                    <span ButtonSet>
                        <?php PaginazioneNavigazione('frmHidden') ?>
                    </span>
                </div>
                
                <div class="clrfx mt-15"></div>
                        
                <div class="cell w-32"></div>

                <div class="cell w-32">
                  <input style="width:100%" type="button" class="button" name="btnRicerca" onclick="goEdifici()" value="Vai a Selezione Edifici">
                  <input style="width:100%" type="button" class="button" name="btnRicerca" onclick="goFiltro()" value="Vai a Filtro Proprietà Componenti">
                </div>
                
            </div>
            
    </body>

</html>