<?php

if (!$_SESSION) {
    session_start();
}

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');

$where = " (ElencoEdifici.IDCommessa = $IdCommessa) AND (UtentiEdifici.IdUtente = $IdUtente) ";

if (strlen("$_POST[Codice]") > 0) {
    $where .= " AND ElencoEdifici.Codice LIKE '%" . str_replace("'", "''", $_POST[Codice]) . "%'";
}
if (strlen("$_POST[EdificioBreve]") > 0) {
    $where .= " AND ElencoEdifici.EdificioBreve LIKE '%" . str_replace("'", "''", $_POST[EdificioBreve]) . "%'";
}
if (strlen("$_POST[Indirizzo]") > 0) {
    $where .= " AND ElencoEdifici.Indirizzo LIKE '%" . str_replace("'", "''", $_POST[Indirizzo]) . "%'";
}
if (strlen("$_POST[CITTA]") > 0) {
    $where .= " AND ElencoEdifici.CITTA LIKE '%" . str_replace("'", "''", $_POST[CITTA]) . "%'";
}
if ( isset($_POST['enti'])  &&  $_POST['enti'] > 0) {
  $where .= " AND (tblPgPropietari.IdPropietario IN ( $_POST[enti] ) ) ";
}

$sql = <<< _SQL

  SELECT DISTINCT 
    ElencoEdifici.ID
    , ElencoEdifici.Codice
    , ElencoEdifici.EdificioEstesa
    , ElencoEdifici.EdificioBreve
    , ElencoEdifici.Indirizzo
    , ElencoEdifici.CAP
    , ElencoEdifici.CITTA
    , ElencoEdifici.PROVINCIA
    , ElencoEdifici.Tipo
    , tblPgPropietari.Nome AS Proprietario   
  FROM
    UtentiEdifici 
      INNER JOIN
        ElencoEdifici ON UtentiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND UtentiEdifici.IdEdificio = ElencoEdifici.ID 
      LEFT OUTER JOIN
        tblUtUtilizzatori 
      RIGHT OUTER JOIN
        tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore ON ElencoEdifici.IdCommessa = tblUtEdifici.IdCommessa AND ElencoEdifici.ID = tblUtEdifici.IdEdificio 
      LEFT OUTER JOIN
        tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
   WHERE 
    $where
    
_SQL;

$paginazione = ntxPaginazione($sql, "ID");

$query = $paginazione->query;

$table = <<< _TABLE
  <table cellpadding="0" cellspacing="0" class="fancyTable"  >
    <thead>
      <tr>
        <th>
        <th>
        <th>ID
        <th>Codice
        <th>Nome Breve
        <th>Nome Esteso
        <th>Indirizzo
        <th>Comune
        <th>Prov
        <th>Cap
        <th>Proprietario 
        <th>Tipo
      </tr>  
    </thead>
	
    <tbody>	
    
_TABLE;

$tipi = array('edificio','strada','verde');
	
	$alternate = true;

	while(  $query  &&  $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "td2"; 
		
		$Tipo = $tipi[$rs[Tipo]];
    
    foreach ($rs as $k => $v) {
        $html[$k] = htmlentities($v);
    }

    $table .= <<< _TABLE
    
      <tr> 
        <td class="$classe"> 
          <a class="button puzzle" onclick="sel(this, $html[ID], document.frmHidden.localizzazioni);">Carica in Filtro Prorietà Componente</a>
        </td>  
        <td class="$classe"> 
          <a class="button puzzle" onclick="goDettaglio()">Dettaglio</a>
        </td>  
        <td class="$classe">&nbsp;$html[ID]</td>
        <td class="$classe">&nbsp;$html[Codice]</td>
        <td class="$classe">&nbsp;$html[EdificioBreve]</td>
        <td class="$classe">&nbsp;$html[EdificioEstesa]</td>
        <td class="$classe">&nbsp;$html[Indirizzo]</td>
        <td class="$classe">&nbsp;$html[CITTA]</td>
        <td class="$classe">&nbsp;$html[PROVINCIA]</td>
        <td class="$classe">&nbsp;$html[CAP]</td>
        <td class="$classe">&nbsp;$html[Proprietario]</td> 
        <td class="$classe">&nbsp;$Tipo</td>
      </tr>
      
_TABLE;

    $alternate = !$alternate;
}

$table .= <<< _TABLE

  </tbody>	
</table>

_TABLE;

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);
