<?php
/*
 * 
 * Copyright (c) 2015 Natisoft S.r.l.
 * Licensed under the MIT license.
 * 
 * @Author SZ <zingaro.natisoft@gmail.com>
 * @CreationDate unknown
 * @ModificationDate 30/11/2015
 */

session_start();
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$Utente = ntxsse('Utente');
$Password = ntxsse('Password');

$nomeCommessa = ntxScalar("SELECT DesComm FROM Commesse WHERE IDCommessa=$IdCommessa ");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">

        <script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
        <script type="text/javascript" src="../../../_ntx/jhp.php"></script> 
		<script type="text/javascript" src="js/carica_selects.js"></script>

        <script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
        <script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
        <link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
        <script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>

        <STYLE type="text/css">
            img 
            {
                width:auto;
                padding:0px;
                margin:0px;
                vertical-align:middle;
            }  

            ul
            {
                list-style-type: none;
            }

            li, ul
            {
                padding:0px;
                margin:0px;		
            }

            input:disabled 
            ,select:disabled 
            {
                background: #dddddd;
            }

            .grafico
            {
                background: #FFC107;
            }
        </STYLE>
    </head>

    <body>

        <div id="dialog1" title="Edifici caricati" style="display:none;" ></div>

        <script>
            $(function () {
                carica('jhp/selectGruppoImpianti.php','elencoGruppoImpianti');
            });

            function carica(fl, res_id) {
              
              var result = jhp(fl,jhp_frm(document.form1));
              if (result.state) {
                  console.log(result.message);
              } else {
                  if (result == '') {
                    alert('Nessun Risultato!');
                    return false;
                  } else {
                    id = '#'+res_id;
                    $(id).html(result.value);
                  }
              }
            }

            function goFiltro3()
            {
				parent.tbJq_updateTabFrame(document.form1, 'frames', "ricerca_prop_componenti/risultati_localizzazione.php");
                parent.tbJq_showTabFrame("frames");
            }

            function goFiltro2()
            {
                if ( document.form1.gruppoImpianti.value!='' ) {
                  if ( document.form1.tipoComponente.value!='' ) {
                    parent.tbJq_updateTabFrame(document.form1, 'frames', "ricerca_prop_componenti/risultati_tree.php");
                    parent.tbJq_showTabFrame("frames");
                  }
                  else {
                    alert('Seleziona Tipo Componente!');
                    return false;
                  }
                }
                else {
                  alert('Seleziona Gruppo Impianti!');
                  return false;
                }
            }

            function goFiltro1()
            {
                if ( document.form1.gruppoImpianti.value!='' ) {
                  if ( document.form1.tipoComponente.value!='' ) {
                    parent.tbJq_updateTabFrame(document.form1, 'frames', "ricerca_prop_componenti/risultati_base.php");
                    parent.tbJq_showTabFrame("frames");
                  }
                  else {
                    alert('Seleziona Tipo Componente!');
                    return false;
                  }
                }
                else {
                  alert('Seleziona Gruppo Impianti!');
                  return false;
                }
            }

            function mostraEdificiCaricati()
            {
                $("#dialog1").dialog();
            }

            function togliEdificiCaricati()
            {
                document.form1.Edifici.value = '';
                $('.divEdificioCaricato').remove();
            }

            function caricaMoltiEdifici(ids, nomi)
            {
                try
                {
                    $("#dialog1").dialog("close");
                } catch (ex) {
                }


                var html = '                                                                 \
                <div class="divEdificioCaricato" >                          								\
                        <input type="button" value="< click per vedere gli edifici caricati >" onclick="mostraEdificiCaricati()" style="width:300px;" />		\
                        <input type="button" value="X" onclick="togliEdificiCaricati()" style="width:30px;" />		\
                </div>                                                                                      \
                ';

                $('#cellaDiAggiuntaEdifici').html(html);

                document.form1.Edifici.value = ids;

                $('#dialog1').text('' + nomi);
            }

        </script>


	<form method=post name=form1 action=table.php>

		<input type="hidden" name="AttoreInUso" value="<?php echo $_POST[AttoreInUso] ?>" />
		<input type="hidden" name="IdPropietario"/>
		<input type="hidden" name="Edifici"/>
		
	    <table align=center>
			<caption>Ricerca Propriet&agrave;Â  Componenti</caption>
			
			<tr>
					<th>
						Ente di appartenenza
                        <td><input type="text" name="Ente" id="Ente" size="35" readonly />
                            <input type="button" value="x" onclick="TogliProprietario()" style="width:28px;" /> 
							
                <tr>
                    <th>
                        Localizzazioni 
                        <input type="button" value="pulisci" onclick="rimuoviTuttiEdifici()" style="float:right;" />	
                        <td id="cellaDiAggiuntaEdifici">

			<tr><th>Gruppi Impianti<td><select name=IdGruppoImpianto onchange="javascript:caricaTipiComponenti()">
				<?php
					$gIdCommessa = ntxise('IdCommessa');
					
					$sql = <<< sql
						SELECT     Id, Descrizione
						FROM         GruppiImpianti
						WHERE     (IdCommessa = $gIdCommessa)
						ORDER BY Descrizione					
sql;

					$query = ntxQuery($sql);
						
					echo "<option value='x' SELECTED>\n";
					
					while ( $rs = ntxIRecord($query) )
					{
						$value=$rs[0];
						$des=htmlentities($rs[1]."");
						
						echo "<option value=$value>$des\n";
					}
				?>
				</select>                   

			<tr><th>Tipo Componente<td><select name=IDTipoComponente onchange="javascript:caricaProprietà()"></select>                   


			<tr><th>Propriet&agrave;Â  Tipo Componente<td><select name=IdPropComp onchange="javascript:caricaValoriProprietà()">
				<option value='x' SELECTED>Non Importa
				</select>                   


			<tr><th>Valori Precaricati Propriet&agrave;Â  Tipo Componente<td><select name=IdValPropComp onchange="javascript:settaValoreProprietà()">
				<option value='x' SELECTED>Non Importa
				</select>                   


			<tr><th>Valore Propriet&agrave;Â  Tipo Componente<td><input type=text name=IdValPropCompText size=50>


			<tr><th>Codice Componente<td><input type=text name=CodiceAssComponente />
	
			
			<tr><th colspan=2><input name=Ricerca type=button style="width:100%;height:100%" value=Ricerca onclick="RicercaA()">
			<tr><th colspan=2><input type=button style="width:100%;height:100%" value="Ricerca con Risultato ad Albero" onclick="RicercaAlbero()">
			<tr><th colspan=2><input type=button style="width:100%;height:100%" value="Ricerca per Tipo e Localizzazione" onclick="RicercaTipoLocalizazione()">
        </table>
	</form>

	<script language="javascript">
            
            function TogliProprietario()
            {
                document.form1.IdPropietario.value = '';
                document.form1.Ente.value = '';
            }


            function SelEnte(IdPropietario)
            {
                document.form1.IdPropietario.value = IdPropietario;
                ntxSendForm(form1, CaricaEnte, 'carica_ente');
            }

            function CaricaEnte(txt)
            {
                var rows = ntxRecord(txt);
                form1.Ente.value = rows['Ente'];
            }

            var Edifici = new Array();

            var HTMLperAggiuntaEdificio = '                                                                 \
                <div style="display:none;" class="divEdificioCaricato" >                                                                                       \
                        <input type="text" name="Edificio"  style="width:80%;"  readonly />                   			\
                        <input type="hidden" class="IdEdificio"/>                   								\
                        <input type="button" value="x" onclick="TogliEdificio(this)" style="width:28px;" />		\
                </div>                                                                                      \
                ';

            function TogliEdificio(obj)
            {
                var IdEdificio = $(obj).parent().find("input.IdEdificio").val();
                IdEdificio = parseInt(IdEdificio);

                var idx = Edifici.indexOf(IdEdificio); // Find the index
                if (idx !== -1)
                    Edifici.splice(idx, 1); // Remove it if really found!	  


                $(obj).parent().hide('slow', function () { //$(obj).parent().remove();
                    $(obj).parent().remove();
                });

                trovaIdEdifici();
            }

            function SelEdificio(IdEdificio) {
                IdEdificio = parseInt(IdEdificio);

                var idx = Edifici.indexOf(IdEdificio);
                if (idx !== -1)
                {
                    alert("L'edificio e' gia' stato inserito nei criteri di ricerca!");
                    return;
                }


                var aggiunta = $('#cellaDiAggiuntaEdifici').append(HTMLperAggiuntaEdificio).find('div:last-child');

                aggiunta.find("input.IdEdificio").val(IdEdificio);

                var result = jhp("jhp/carica_edificio.php", {IdEdificio: IdEdificio});
                if (result.state)
                    alert(result.message);
                else
                {
                    var Edificio = result.value[0].Edificio;

                    aggiunta.find("input[name=Edificio]").val(Edificio);
                    Edifici.push(IdEdificio);

                    aggiunta.show('slow', function () {});
                }

                trovaIdEdifici();
            }

            function trovaIdEdifici()
            {
                var len = Edifici.length;
                var tmp = "";

                for (var i = 0; i < len; ++i)
                {
                    if ($.isNumeric(Edifici[i]))
                    {
                        if (tmp !== "")
                            tmp += ",";

                        tmp += Edifici[i];
                    }
                }

                document.form1.Edifici.value = tmp;
            }

            function rimuoviTuttiEdifici()
            {
                if (!confirm("Pulire il criterio di ricerca sulle localizzazioni?"))
                    return;

                $('.divEdificioCaricato').remove();
                Edifici = new Array();
                document.form1.Edifici.value = '';
            }
						
			function RicercaTipoLocalizazione()
			{
				form1.action = "ricerca_tipo_localizzazione.php";
				
				parent.tbJq_getTabFrame("frames").AppendFrame(form1);
				parent.tbJq_showTabFrame("frames");
			}

			function RicercaAlbero()
			{
				form1.action = "tree.php";
				
				if ( form1.IDTipoComponente.value!='' ) 
				{
					parent.tbJq_getTabFrame("frames").AppendFrame(form1);
					parent.tbJq_showTabFrame("frames");
				}
				else 
					alert('Seleziona Tipo Componente!')
			}

			function RicercaA()
			{
				form1.action = "table.php";
				
				if ( form1.IDTipoComponente.value!='' ) 
				{
					parent.tbJq_getTabFrame("frames").AppendFrame(form1);
					parent.tbJq_showTabFrame("frames");
				}
				else 
					alert('Seleziona Tipo Componente!')
			}

			caricaTipiComponenti();
        </script>

    </body>
</html>
