<?php

if (!isset($_SESSION)) session_start();
  
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");
	
$IdCommessa = ntxise('IdCommessa');
$IdEdificio = "";
$IdPiano = "";

if ( $_POST[TipoSelezione]=="ON" )
{
	$IdEdificio = ntxip('IdEdificio');
	$IDTipoComponente = ntxip('IDTipoComponente');
	$IdPropComp = ntxip('IdPropComp');
	$IdValPropCompText = ntxsp('IdValPropCompText');
	$IdLivello = ntxip('IdLivello');
	$CodiceAmbiente = ntxsp('CodiceAmbiente');
	$CodiceComponente = ntxsp('CodiceComponente');
	$IdCopertura = ntxip('IdCopertura');
	$IdValPropCompTextJS = ntxjs($_POST[IdValPropCompText]);
	$CodiceAmbienteJS = ntxjs($_POST[CodiceAmbiente]);
	$CodiceComponenteJS = ntxjs($_POST[CodiceComponente]);
}

?>

<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script>
	<script src="js/canvas_engine_desktop.js" type="text/javascript"></script>
	<link href="css/base.css" rel="stylesheet" type="text/css">
	<link href="css/index.css" rel="stylesheet" type="text/css">
	<script src="js/base.js" type="text/javascript"></script>
	<script src="js/index.js" type="text/javascript"></script>
	<script src="js/mappa.js?v3" type="text/javascript"></script>
	<script src="js/legend.js" type="text/javascript"></script>
	<script src="js/toolbar1.js" type="text/javascript"></script>
	<script src="js/sel_vani.js?v2=3" type="text/javascript"></script>
	<script src="js/sel_comp.js?v2=3" type="text/javascript"></script>
	<script src="js/sel_memo.js" type="text/javascript"></script>
	<script src="js/filtro.js" type="text/javascript"></script>
	<script src="js/associa_docs_edifici.js" type="text/javascript"></script>
	<script src="js/preview.js" type="text/javascript"></script>
</head>
<body>	

<div id=testata>dati edificio/piano selezionato</div>

<div id=toolbar1>
	<div class=buttonBorder buttonBorder id=border_legend Spuntato=0><img class=buttonImage src="img/legend.png" onclick="ToggleLegend()" title='legend' /></div>
	<div class=buttonBorder buttonBorder id=border_mappa Spuntato=1 style="background-color:#33FF00"><img class=buttonImage src="img/mappa.png" onclick="ToggleMappa()" title='mappa' /></div>
	<div class=buttonBorder buttonBorder id=border_right_box Spuntato=1 style="background-color:#33FF00"><img class=buttonImage src="img/right_box.png" onclick="ToggleRightBox()" title='Info' /></div>
	<div class=buttonBorder buttonBorder id=border_pan><img class=buttonImage src="img/pan.png" onclick="funcToolbar1('pan')" title='pan' /></div>
	<div class=buttonBorder buttonBorder id=border_zoom_rect><img class=buttonImage src="img/zoom_rect.png" onclick="funcToolbar1('zoom_rect')" title='zoom_rect' /></div>
	<div class=buttonBorder buttonBorder id=border_zoom_plus><img class=buttonImage src="img/zoom_plus.png" onclick="funcToolbar1('zoom_plus')" title='zoom_plus' /></div>
	<div class=buttonBorder buttonBorder id=border_zoom_minus><img class=buttonImage src="img/zoom_minus.png" onclick="funcToolbar1('zoom_minus')" title='zoom_minus' /></div>
	<div class=buttonBorder buttonBorder id=border_fit><img class=buttonImage src="img/fit.png" onclick="funcToolbar1('fit')" title='fit' /></div>
	<div class=buttonBorder buttonBorder id=border_sel_vano><img class=buttonImage src="img/sel_vano.png" onclick="funcToolbar1('sel_vano')" title='sel_vano' /></div>
	<div class=buttonBorder buttonBorder id=border_sel_comp><img class=buttonImage src="img/sel_comp.png" onclick="funcToolbar1('sel_comp')" title='sel_comp' /></div>
	<div class=buttonBorder id=solo_comp_vani_sel Spuntato=0><img class=buttonImage src="img/solo_comp_vani_sel.png" onclick="SoloCompVaniSel()" title='solo_comp_vani_sel' /></div>
</div>

<div id=filter>
	<input type=radio name=optFiltroQualiDate id=optFiltroQualiDate1 value=1 checked/>
		<label for=optFiltroQualiDate1>Filtro per Vecchi Campi Data</label>
	<input type=radio name=optFiltroQualiDate id=optFiltroQualiDate2 value=2 />
		<label for=optFiltroQualiDate2>Filtro per Nuovi Campi Data</label>
	<br>
						<input type=button value="<<" onclick="TrovaPrimaOraRilievo()" title="trova primo giorno/ora rilievo" />
						<input type=button value="<" onclick="TrovaPrecedenteGiornoRilievo()" title="trova precedente giorno/ora rilievo" />
	Data Inizio Rilievo: <input type=text size=12 id=DataInizioRilievo DatePicker />
						<input type=button value=">" onclick="TrovaSuccessivoGiornoRilievo()" title="trova successivo giorno/ora rilievo" />
						<input type=button value=">>" onclick="TrovaUltimaOraRilievo()" title="trova ultimo giorno/ora rilievo" />
						<input type=text size=5 maxlength=5 id=OreInizioRilievo />
	Data Fine Rilievo: <input type=text size=12 id=DataFineRilievo DatePicker />
						<input type=text size=5 maxlength=5 id=OreFineRilievo />
	<input type=button value="filtra" onclick="CaricaMappa()" />
	<input type=button value="reset" onclick="ResetCampiFilto()" />
	Incremento(min.): <input type=text size=12 id=IncrementoDataOreFineRilievo value=2 />
	<input type=button value="+" onclick="IncrementaDataOreFineRilievo(1)" />
	<input type=button value="-" onclick="IncrementaDataOreFineRilievo(-1)" />
</div>

<div id=contenitoreLegend style='display:none'>
	<div ButtonSet>
		<input type=button value="Componenti" onclick="VediLegend(1)" />
		<input type=button value="Architettonico" onclick="VediLegend(2)" />
		<input type=button value="Altro" onclick="VediLegend(3)" />
	</div>
	<div id=filtroLegendComp>
		Gruppi: <select id=GruppiImpianti onchange="CaricaCopertureComp()"></select>
		<br>
		Nome: <input type=text size=30 id=NomeTipoComponente onkeyup="CaricaCopertureComp()" />
		<input type=button value=Reset onclick="ResetCaricaCopertureComp()" />
		<br>
		<input type=button value=Tutto onclick="SelTuttiComp(true)" />
		<input type=button value=Niente onclick="SelTuttiComp(false)" />
		<input type=checkbox id=chkSoloInPiano onclick="CaricaCopertureComp()" />
		<label for="chkSoloInPiano">Solo Tipi in Piano</label>
		<div id=LegendComp></div>
	</div>
	<div id=filtroLegendArc Hidden>
		<div id=LegendArc></div>
	</div>
	<div id=filtroLegendArc Hidden>
		<div id=LegendArc></div>
	</div>
	<div id=LegendAltro Hidden>
		<table class=grid>
			<tr><th>Visibile<th>Copertura
			<tr><td><input type=checkbox checked id=chkVisAmbienti onclick="CaricaMappa()" />
				<td>Ambienti
			<tr><td><input type=checkbox id=chkVisCodiciAmbienti onclick="CaricaMappa()" />
				<td>Codici Ambienti
			<tr><td><input type=checkbox id=chkVisMemo onclick="CaricaMappa()" />
				<td>Memo
			<tr><td><input type=checkbox id=chkVisPerimMuraEstPiano onclick="CaricaMappa()" />
				<td>Perimetro Mura Interne Piano
			<tr><td><input type=checkbox id=chkVisPerimMuraIntPiano onclick="CaricaMappa()" />
				<td>Perimetro Mura Esterne Piano
		</table>
	</div>
</div>

<div id=Mappa>
	<canvas id="CanvasMappa" width=800 height=600 style="cursor:crosshair;border:none;margin:0px;padding:0px;width:800px;height:600px">
			Canvas non supportati da browser in uso. 
	</canvas>
</div>
	
<div id=RightBox>
	<div id=Info>
	</div>
</div>
	
<div id=divAssociaDocsSuComponenti style="display:none">
<?php require('associa_documenti.inc') ?>
</div>
	
<div id="dialog" title="" style="display:none;padding:0px;margin:0px;">
	<iframe id="frameDialog"   scrolling="auto" marginWidth="0" marginHeight="0" frameBorder="0" border="0" allowTransparency="true"  
		style="border: none; width:100%; height:100%; background:transparent; display:block; overflow:auto;"></iframe>
</div>		

<script>

<?php

if ( $_POST[TipoSelezione]=="ON" )
{
	echo <<< script
		var g = {};
		
		g.IdCommessa = $IdCommessa;
		g.IdEdificio = $IdEdificio;
		g.IdPiano 	 = $IdLivello;
		
		g.IDTipoComponente = "$IDTipoComponente";
		g.IdPropComp = "$IdPropComp";
		g.IdValPropCompText = "$IdValPropCompTextJS";
		
		g.CodiceAmbiente = "$CodiceAmbienteJS";
		g.CodiceComponente = "$CodiceComponenteJS";
		g.IdCopertura = "$IdCopertura";
script;
?>

	$(function(){
		CaricaLegend();

		g.extent = "";

		g.VaniSelezionati = "";
		g.UltimoVanoSelezionato = "";
		
		g.ComponentiSelezionati = "";
		g.UltimoComponenteSelezionato = "";
			
		g.NotaSelezionata = "";
		
		engineMap = new CanvasEngine('CanvasMappa', funcCallBackMap);
		engineMap.Image.src = "white.bmp";
		
		$('#CanvasMappa').resizable();
		
		SelezionaVaniEcomponenti();
		
		CaricaLegend();
		
		CaricaTestata();
		
		CaricaCopertureComp();
		
		if ($.isNumeric(g.IDTipoComponente) )
			VediSoloTipoComponente(g.IDTipoComponente);
		
		SoloCompVaniSel();
		
		CaricaListaVani();
		
		DettaglioVano();
		
		funcToolbar1('sel_vano');
	});

	function SelezionaVaniEcomponenti()
	{
		var result = jhp("jhp/sel_vani_e_comp.php", g);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			var record = result.value;
			
			g.VaniSelezionati = record['VaniSelezionati'];
			g.ComponentiSelezionati = record['ComponentiSelezionati'];
		}
	}

<?php
}
else
{
	echo <<< script
			var g = {};
			
			g.IdCommessa = $IdCommessa;
			g.IdEdificio = '';
			g.IdPiano 	 = '';

script;

}

?>
</script>
</body>
</html>