<?php

if ( !isset($_SESSION) ) session_start();

$IdSetup = $_SESSION[ID_SETUP_ODBC_DATABASE];

require_once('../../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdUtente = ntxise('IdUtente');

$ElencoCompletoTipiPostazioni = explode(",", $_POST[ElencoCompletoTipiPostazioni]);

$IdCommessa = ntxip('IdCommessa');

$DataSelezione =  ntxtp('DataSelezione');

if ( $DataSelezione=="NULL" ) $DataSelezione = "GETDATE()";

$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$sql = <<< sql
	SELECT count(*)
	FROM         Ambiente INNER JOIN
						  PostazioniLavoro ON Ambiente.IdCommessa = PostazioniLavoro.IdCommessa AND Ambiente.IdEdificio = PostazioniLavoro.IdEdificio AND 
						  Ambiente.IDAmbiente = PostazioniLavoro.IDAmbiente
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)	
		AND (PostazioniLavoro.DataInizio <= $DataSelezione) 
		AND (PostazioniLavoro.DataFine >= $DataSelezione)
		AND (SELECT     TOP (1) 2 
				FROM         PostazioniLavoroPersonale
				WHERE     (IdPostazioneLavoro = PostazioniLavoro.Id) AND (DataInizio <= $DataSelezione) AND (DataFine >= $DataSelezione)
			)=2
sql;

$NumPostazioniOccupate = ntxScalar($sql);

$sql = <<< sql
	SELECT count(*)
	FROM         Ambiente INNER JOIN
						  PostazioniLavoro ON Ambiente.IdCommessa = PostazioniLavoro.IdCommessa AND Ambiente.IdEdificio = PostazioniLavoro.IdEdificio AND 
						  Ambiente.IDAmbiente = PostazioniLavoro.IDAmbiente
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)	
		AND (PostazioniLavoro.DataInizio <= $DataSelezione) 
		AND (PostazioniLavoro.DataFine >= $DataSelezione)
		AND (SELECT     TOP (1) 2 
				FROM         PostazioniLavoroPersonale
				WHERE     (IdPostazioneLavoro = PostazioniLavoro.Id) AND (DataInizio <= $DataSelezione) AND (DataFine >= $DataSelezione)
			) IS NULL
sql;

$NumPostazioniVuote = ntxScalar($sql);

$sql = <<< sql
	SELECT count(*)
	FROM         Ambiente INNER JOIN
						  PostazioniLavoro ON Ambiente.IdCommessa = PostazioniLavoro.IdCommessa AND Ambiente.IdEdificio = PostazioniLavoro.IdEdificio AND 
						  Ambiente.IDAmbiente = PostazioniLavoro.IDAmbiente
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)	
		AND (PostazioniLavoro.DataInizio <= $DataSelezione) 
		AND (PostazioniLavoro.DataFine >= $DataSelezione)
		AND (SELECT     TOP (1) 2 AS Expr1
				FROM         PostazioniLavoroPersonale INNER JOIN
									  TraslocoPersonale ON PostazioniLavoroPersonale.Id = TraslocoPersonale.IdPostazionePersonale
				WHERE     (TraslocoPersonale.IdUtente = $IdUtente)
					AND (IdPostazioneLavoro = PostazioniLavoro.Id) 
			)=2
sql;

$NumPostazioniInTrasloco = ntxScalar($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th></th>
			<th></th>
			<th>Des.</th>
			<th>Num.
		</tr>
		<tr>
			<td><input type=checkbox checked="checked" id=chkPostazioniOccupate onclick="CaricaMappa()" />
				
			<td style="background-color:#00FF00">
			
			<td>Postazioni Occupate
			
			<td>$NumPostazioniOccupate
		</tr>
		<tr>
			<td><input type=checkbox checked="checked" id=chkPostazioniVuote onclick="CaricaMappa()" />
				
			<td style="background-color:#FF0000">
			
			<td>Postazioni Vuote
			
			<td>$NumPostazioniVuote
		</tr>
		<tr>
			<td><input type=checkbox checked="checked" id=chkPostazioniInTrasloco onclick="CaricaMappa()" />
				
			<td style="background-color:#ffa449">
			
			<td>Postazioni in Trasloco
			
			<td>$NumPostazioniInTrasloco
		</tr>
	</table>
table;

jhp($table);

?>
