<?php

require_once("../../../../_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdUtente = ntxise('IdUtente');

$extent = explode(" ", $_POST[extent]);

$DataSelezione =  ntxtp('DataSelezione');

if ( $DataSelezione=="NULL" ) $DataSelezione = "GETDATE()";

$chkPostazioniOccupate = ntxip('chkPostazioniOccupate');
$chkPostazioniVuote = ntxip('chkPostazioniVuote');

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x1 = $_POST[zoom_x1];
$y1 = $_POST[zoom_y1];
$x2 = $_POST[zoom_x2];
$y2 = $_POST[zoom_y2];

$dx = $_POST[dx];
$dy = $_POST[dy];

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

function ConvX($x)
{
	global $dx2, $dx, $minx;
	
	return $x * $dx2 / $dx + $minx;
}

function ConvY($y)
{
	global $dy2, $dy, $miny;
	
	$y = $dy - $y;
	
	return $y * $dy2 / $dy + $miny;
}

$x1 = ConvX($x1);
$y1 = ConvY($y1);
$x2 = ConvX($x2);
$y2 = ConvY($y2);

$minx3 = $x1 < $x2 ? $x1 : $x2;
$miny3 = $y1 < $y2 ? $y1 : $y2;
$maxx3 = $x1 > $x2 ? $x1 : $x2;
$maxy3 = $y1 > $y2 ? $y1 : $y2;

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$sql = <<< sql
	SELECT DISTINCT PostazioniLavoro.Id,
					  
                          (SELECT     COUNT(*) AS Expr1
                            FROM          PostazioniLavoroPersonale
                            WHERE      (IdPostazioneLavoro = PostazioniLavoro.Id) AND (DataInizio <= $DataSelezione) AND (DataFine >= $DataSelezione)) 
                      AS NumPersonale
					  
	FROM         PostazioniLavoro INNER JOIN
                      Ambiente ON PostazioniLavoro.IdCommessa = Ambiente.IdCommessa AND PostazioniLavoro.IdEdificio = Ambiente.IdEdificio AND 
                      PostazioniLavoro.IDAmbiente = Ambiente.IDAmbiente
	WHERE (Ambiente.IdCommessa = $IdCommessa) 
 		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND (isnumeric(PostazioniLavoro.coord_x) = 1) 
			AND (PostazioniLavoro.DataInizio <= $DataSelezione) 
			AND (PostazioniLavoro.DataFine >= $DataSelezione)

AND dbo.PointInRect(PostazioniLavoro.coord_x, PostazioniLavoro.coord_y,
							$minx3, 		$miny3,
							$maxx3, 		$maxy3)=1
sql;

$query = ntxQuery($sql);

$PostazioniSelezionate = "";

while ( $rs = ntxIRecord($query) )
{
	if ( !$chkPostazioniOccupate  &&  $rs[1]!=0 ) continue;
	if ( !$chkPostazioniVuote  &&  $rs[1]==0 ) continue;
	
	if ( $PostazioniSelezionate!="" ) $PostazioniSelezionate .= ",";
	
	$PostazioniSelezionate .= $rs[0];
}

$result = array();

$table = "";

require_once("trasloco_personale.inc");

$result[PostazioniSelezionate] = $PostazioniSelezionate;
$result[Info2] = $table;

jhp($result);

?>
