<?php

$sql = <<< sql
	SELECT     PostazioniLavoro.Id AS IdPostazione, PostazioniLavoro.IdAmbiente, tblUtUtilizzatori.Nome AS Utilizzatore, tblUtPersonale.Nome AS Persona, 
                      PostazioniLavoroPersonale.DataInizio, PostazioniLavoroPersonale.DataFine
	FROM         PostazioniLavoro INNER JOIN
                      dbo.SplitId('$IdPostazioni') AS a ON PostazioniLavoro.Id = a.id INNER JOIN
                      PostazioniLavoroPersonale ON PostazioniLavoro.Id = PostazioniLavoroPersonale.IdPostazioneLavoro INNER JOIN
                      tblUtPersonale ON PostazioniLavoroPersonale.IdCommessa = tblUtPersonale.IdCommessa AND 
                      PostazioniLavoroPersonale.IdPersona = tblUtPersonale.IdPersona INNER JOIN
                      tblUtUtilizzatori ON tblUtPersonale.IdCommessa = tblUtUtilizzatori.IdCommessa AND 
                      tblUtPersonale.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	WHERE (PostazioniLavoroPersonale.DataInizio <= $DataSelezione) AND (PostazioniLavoroPersonale.DataFine >= $DataSelezione)
	ORDER BY PostazioniLavoro.IdAmbiente, IdPostazione, PostazioniLavoroPersonale.DataInizio, Utilizzatore, Persona
sql;

$query = ntxQuery($sql);

$IdAmbiente = "x";
$IdPostazione = "x";

$table = "";

while($rs = ntxRecord($query))
{
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);

	if ( $IdAmbiente!=$rs[IdAmbiente] || $IdPostazione!=$rs[IdPostazione] )
	{
		if ( $table!="" )
			$table .=  "\n</table><br>";
	}
	
	if ( $IdAmbiente!=$rs[IdAmbiente] )
	{
		$IdAmbiente = $rs[IdAmbiente];
		
		$table .= $gruppo1[$IdAmbiente];
	}

	if ( $IdPostazione!=$rs[IdPostazione] )
	{
		$IdPostazione = $rs[IdPostazione];
		
		$table .= $gruppo2[$IdPostazione];
		
		$table .= <<< table
			<table class=corpo>
				<tr>
					<th>Utilizzatore
					<th>Persona
					<th>Data Inizio
					<th>Data Fine
table;
	}
	
	if ( $rs[NumPersonale]>0 )
		$styleNumPers = "background-color:#00FF00";
	else
		$styleNumPers = "background-color:#FF0000";

	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$table .= <<< table
		<tr>
			<td style="width:25%;">$rs[Utilizzatore]
			<td style="">$rs[Persona]
			<td style="width:1px;text-align:right">$rs[DataInizio]
			<td style="width:1px;text-align:right">$rs[DataFine]
table;
}

echo <<< table
		$table
	</table>
table;

?>