<?php

$sql = <<< sql
	SELECT     PostazioniLavoro.Id, PostazioniLavoro.IdAmbiente, PostazioniLavoro.Codice, PostazioniLavoro.mq, PostazioniLavoro.DataInizio, PostazioniLavoro.DataFine, 
						  PostazioniLavoro.Note,
					  
                          (SELECT     COUNT(*) AS Expr1
                            FROM          PostazioniLavoroPersonale
                            WHERE      (IdPostazioneLavoro = PostazioniLavoro.Id) AND (DataInizio <= $DataSelezione) AND (DataFine >= $DataSelezione)) 
                      AS NumPersonale
					  
	FROM         PostazioniLavoro INNER JOIN dbo.splitid('$IdPostazioni') a ON PostazioniLavoro.Id=a.id
	
	ORDER BY IdAmbiente, Id
sql;

$query = ntxQuery($sql);

$IdAmbiente = "x";

$table = "";

while($rs = ntxRecord($query))
{
	$rs[mq] = ntxRoundThousand($rs[mq], 2);

	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);

	if ( $IdAmbiente!=$rs[IdAmbiente] )
	{
		if ( $table!="" )
			$table .=  "\n</table><br>";

		$IdAmbiente = $rs[IdAmbiente];
		
		$table .= $gruppo1[$IdAmbiente];
		
		$table .= <<< table
			<table class=corpo>
				<tr>
					<th>Postazione
					<th>mq
					<th>Num.Occupanti
					<th>Data Inizio
					<th>Data Fine
					<th>Note
table;
	}
	
	if ( $rs[NumPersonale]>0 )
		$styleNumPers = "background-color:#00FF00";
	else
		$styleNumPers = "background-color:#FF0000";

	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$table .= <<< table
		<tr>
			<td style="width:20%">$rs[Codice]
			<td style="width:10%;text-align:right">$rs[mq]
			<td style="width:10%;text-align:right;$styleNumPers">$rs[NumPersonale]
			<td style="width:1px;text-align:right">$rs[DataInizio]
			<td style="width:1px;text-align:right">$rs[DataFine]
			<td>$rs[Note]
table;
}

echo <<< table
		$table
	</table>
table;

?>
