<?php

function Labeling($layAmbienti, $map, $data, $rosso, $verde, $blu)
{
	global $_SERVER, $IdCommessa, $IdEdificio, $IdLivello;
	
	$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

	if ( !is_dir($dir) ) mkdir($dir);

	$szFileName = tempnam($dir, "TN");

	$newShapeFile = ms_newShapefileObj($szFileName.".shp", MS_SHP_POLYGON);
	$dbfFile = dbase_create( $szFileName.".dbf", array(array("CODICE2", "C", 254)));

	$layAmbienti->set("template", "none");

	$res = @$layAmbienti->queryByRect($layAmbienti->getExtent());

	$sql = <<< sql
		SELECT     CodiceAssAmbiente, CodiceAmbiente
		FROM         Ambiente
		WHERE     (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio) AND (IdLivello = $IdLivello)
sql;

	$query = ntxquery($sql);
	
	while ( $rs = ntxIRecord($query) )
	{
		$valori[$rs[1]] = $rs[0];
	}
	
	if ( $res == MS_SUCCESS )
	{
		$num = $layAmbienti->getNumResults();
		
		$layAmbienti->open();
		
		for ( $i=0;$i<$num; $i++ )
		{
			$resObj = $layAmbienti->getResult($i);
			
			$shape = $layAmbienti->getShape($resObj);

			$shape->values[CODICE2] = "avc£";
			$newShapeFile->addShape($shape);
			dbase_add_record($dbfFile, array($valori[$shape->values[CODICE]]));
		}
		
		$layAmbienti->close();
	}

	$newShapeFile->free();
	unset($newShapeFile);
	dbase_close($dbfFile);
	
	$layer = ms_newLayerObj($map);

	$layer->set("type", MS_LAYER_POLYGON);

	$layer->set("status", MS_ON);
	$layer->set("data", $szFileName.".shp");
	$layer->set("labelitem", "CODICE2");
	$layer->set("labelcache", MS_ON);
	

	$class = ms_newClassObj($layer);

	$label = $class->label;
	
	$label->set("position", MS_CC);
	$label->color->setRGB($rosso, $verde, $blu);
}


?>