<?php

function TematizzaComponentiOpen($map, $rosso, $verde, $blu)
{
	global $_SERVER;
	
	$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

	if ( !is_dir($dir) ) mkdir($dir);

	$szFileName = tempnam($dir, "TN");

	$newShapeFile = ms_newShapefileObj($szFileName.".shp", MS_SHP_POLYGON);
	$dbfFile = dbase_create( $szFileName.".dbf", array(array("CODICE", "C", 254)));

	$layer = ms_newLayerObj($map);

	$layer->set("type", MS_LAYER_POINT);

	$layer->set("status", MS_ON);

	$layer->set("data", $szFileName.".shp");

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	$style->set("symbolname", "circle");
	$style->color->setRGB($rosso, $verde, $blu);
	$style->outlinecolor->setRGB($rosso, $verde, $blu);
	
	return array($layer, $newShapeFile, $dbfFile);
}

function TematizzaComponentiClose($layer)
{
	$newShapeFile = $layer[1];
	$dbfFile = $layer[2];
	
	$newShapeFile->free();
	unset($newShapeFile);
	dbase_close($dbfFile);
}

function TematizzaComponentiWrite($layerComp, $layerTema)
{
	global $CodiciComponentix;
	
	$layer = $layerTema[0];
	$newShapeFile = $layerTema[1];
	$dbfFile = $layerTema[2];

	$layerComp->set("template", "none");

	$res = @$layerComp->queryByRect($layerComp->getExtent());

	if ( $res == MS_SUCCESS )
	{
		$num = $layerComp->getNumResults();
		
		$layerComp->open();
		
		for ( $i=0;$i<$num; $i++ )
		{
			$resObj = $layerComp->getResult($i);
			
			$shape = $layerComp->getShape($resObj);

			if ( in_array($shape->values[CODICE], $CodiciComponentix) )
			{
				$newShapeFile->addShape($shape);
				dbase_add_record($dbfFile, array($shape->values[CODICE]));
			}
		}
		
		$layerComp->close();
	}
}


?>