<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');


require_once('is_gestore.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../_ntx/jhp.php"></script>
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">	  
	
	<style>
	.tdSpec01
	{
		font-size:110%;
		font-family:Courier New !important;
		text-align:left !important;
		padding:4px;
	}
	
	.labelJSinfo 
	{
		font-weight: bold !important;
	}
	</style>	
</head>
<body >

<div id="dialog" title="" style="display:none;padding:0px;margin:0px; z-index:9999; background:transparent; ">

	<div style="margin:15px;">
		<table id="tblDialog">
			<tr>
				<th>Informazioni sul componente
				<td class="tdSpec01"> info( %f, componente, <span class="labelJSinfo"></span> )
		</table>
	</div>
	
</div>	

<script>
function generaJS(IdCommessa, codice)
{		
	function creaDialog(title)
	{
		$("#dialog").dialog(
		{ 
			title: "Funzioni in Javascript",
			modal: true,
			width: 'auto',
			height:  220,
			buttons: 
			{ 
				"Chiudi": function() { 
					$(this).dialog("close"); 
				} 
			}
		} );			
	}		
	
	$(".labelJSinfo").text(codice);
	
	creaDialog();			
}  
</script>

<?php  

if ( is_numeric($_POST[IndiceComponente])  &&  (int)$_POST[IndiceComponente]>-1  )
	$IndiceComponente = (int)$_POST[IndiceComponente];
else
	$IndiceComponente = 0;
	
if ( !is_numeric($_POST[NumComponenti]) || $_POST[NumComponenti]<1 || $IndiceComponente>$_POST[NumComponenti] )
	die("Nessun Componente Selezionato");
	
if ( $_POST[NumComponenti]>1 )
{
	for ( $i=0,$j=1; $i<$_POST[NumComponenti]; $i++,$j++ )
	{
		echo "<input type=button onclick=\"VaiComponente('$i')\" value=\"Componente $j\">";
	}
}

$codici = explode(",",$_POST[CodiciComponenti]);

$codice = $codici[$IndiceComponente];
$codice2 = ntxs($codice);

$where = " WHERE ComponentiAmbiente.CodiceComponente=".ntxs($codice);
$where2 = " WHERE ArchivioFoto.CodiceOggetto=".ntxs($codice);

$sql = <<< sql
		SELECT     ComponentiAmbiente.CodiceComponente, Ambiente.IdLivello, Ambiente.CodiceAssAmbiente AS codAmb, Ambiente.IdEdificio, Ambiente.IdAmbiente, 
							  DestinazioniDuso.Destinazione AS desAmb, PianoLivello.CodiceAssLivello AS codLiv, DestinazioniDusoLivello.Destinazione AS desLiv, 
							  ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
							  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, ComponentiAmbiente.CodiceAssComponente AS codice, TipoComponente.DesComponente AS des, 
							  ComponentiAmbiente.IdComponente,Ambiente.IdCommessa

		FROM         TipoComponente RIGHT OUTER JOIN
                      DestinazioniDusoLivello RIGHT OUTER JOIN
                      Ambiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
                      ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso ON DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa AND 
                      DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente
		  $where
	order by Ambiente.CodiceAmbiente
sql;

$query = ntxQuery($sql);

$sql = <<< sql
select a.Propietà, b.Valore
from(
SELECT     tblPropTipiComp.Propietà, tblPropTipiComp.IdPropComp
FROM         ComponentiAmbiente INNER JOIN
                      tblPropTipiComp ON ComponentiAmbiente.IdCommessa = tblPropTipiComp.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = tblPropTipiComp.IdTipoComp
		WHERE     (ComponentiAmbiente.CodiceComponente = $codice2)
)a
LEFT JOIN
(
SELECT     tblValoriComponenti.Valore, tblValoriComponenti.IdPropComp
FROM         tblValoriComponenti INNER JOIN
                      ComponentiAmbiente ON tblValoriComponenti.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblValoriComponenti.IdEdificio = ComponentiAmbiente.IdEdificio AND tblValoriComponenti.IdComponente = ComponentiAmbiente.IDComponente

		WHERE     (ComponentiAmbiente.CodiceComponente = $codice2)
)b on a.IdPropComp = b.IdPropComp

		ORDER BY Propietà
sql;

$query2 = ntxQuery($sql);

?>

	<table>
		<caption>Componente <?php echo $IndiceComponente+1 ?></caption>   
<?php

	$alternate = true;

	if( $query  &&  $rs = ntxRecord($query) )
	{
		$IdEdificio = $rs[IdEdificio];
		$IdAmbiente = $rs[IdAmbiente];
		$IdComponenteAmbiente = $rs[IdComponente];
		
?>
		<tr><th>Edificio</th><td class=td2 >&nbsp;
			<?php echo htmlentities("$rs[Codice] - $rs[Nome] - $rs[Indirizzo] - $rs[Comune] ($rs[PROVINCIA]) - $rs[CAP]") ?>
		<tr><th>Piano</th><td >&nbsp;<?php echo htmlentities($rs['codLiv']." - ".$rs['desLiv']) ?></td>
		<tr><th>Ambiente</th><td class=td2 >&nbsp;<?php echo htmlentities($rs['codAmb']." (".$rs['IdAmbiente'].") - ".$rs['desAmb']) ?></td>
		<tr><th>Componente</th><td>&nbsp;<?php echo htmlentities($rs['codice']." (".$rs['IdComponente'].") - ".$rs['des'] ) ?></td>
	</tr>
<?php
	}
?>
	<tr><th colspan=2>Proprietà
<?php

	while( $query2  &&  $rs = ntxRecord($query2) )
	{
?>
		<tr><th>&nbsp;<?php echo htmlentities($rs['Propietà'] ) ?></th>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Valore'] ) ?></td>
	</tr>
<?php

		$alternate = !$alternate;
	}
?>
	<tr><th colspan=2><input type=button value=documentazione onclick="CertUtilizzatoreComp(<?php echo "'$rs[IdCommessa]', '$rs[IdEdificio]', '$rs[IdComponente]'"?>)">
		<input type=button value=richieste onclick="Richieste(<?php echo "'$rs[IdCommessa]', '$rs[IdEdificio]', '$rs[IdComponente]'"?>)">
		<input type=button value=ordini onclick="Ordini(<?php echo "'$rs[IdCommessa]', '$rs[IdEdificio]', '$rs[IdComponente]'"?>)">
</table>
<br>
<?php
	
$sql = <<< sql
	SELECT     Commesse.pathPublicShapeWeb + '\' + ArchivioFoto.path
	FROM         Commesse INNER JOIN
						  ArchivioFoto ON Commesse.IDCommessa = ArchivioFoto.IdCommessa
	$where2
sql;

$query = ntxQuery($sql);

$count = 1;

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";
$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

while( $query  &&  $rs = ntxIRecord($query) )
{
	$pathOrigine = $rs[0];
	
	$path_info = pathinfo($filename);
    $extension = $path_info['extension'];
	
	$pathDestinazione = tempnam($dir, "TN").".$extension";
	$urlDestinazione = $url.substr($pathDestinazione, strlen($dir));
	
	copy($pathOrigine, $pathDestinazione);
	
	echo "<a href=\"$urlDestinazione\" target=_blank style=\"border:none;\"><img width=40 height=40 src=\"$urlDestinazione\"/></a><br><br>";
	
	$count++;
}

$sql = <<< sql
	SELECT     Ambiente.CodiceAmbiente
	FROM         Ambiente INNER JOIN
						  ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
						  Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente
	WHERE     (ComponentiAmbiente.CodiceComponente = $codice2)
sql;

$codice3 = ntxScalar($sql);
	
$sql = <<< sql
	SELECT     tblUtUtilizzatori.Nome, tblUtAmbienti.DataInizio, tblUtAmbienti.DataFine, tblUtAmbienti.PercentualeUtilizzo,
		tblUtUtilizzatori.IdCommessa, tblUtUtilizzatori.IdUtilizzatore, Ambiente.IdEdificio
	FROM         Ambiente INNER JOIN
						  tblUtAmbienti ON Ambiente.IdCommessa = tblUtAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtAmbienti.IdEdificio AND 
						  Ambiente.IDAmbiente = tblUtAmbienti.IdAmbiente INNER JOIN
						  tblUtUtilizzatori ON tblUtAmbienti.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtAmbienti.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	WHERE Ambiente.CodiceAmbiente='$codice3'
	ORDER BY tblUtAmbienti.DataInizio, tblUtUtilizzatori.Nome
sql;

$query = ntxQuery($sql);

$count = 1;

while( $query  &&  $rs = ntxRecord($query) )
{
?>
	<table>
		<caption>Utilizzatore<?php echo $count ?></caption>   
		<tr><th>Nome</th><td class=td2 >&nbsp;
			<?php echo htmlentities($rs[Nome]) ?>
		<tr><th>DataInizio</th><td >&nbsp;<?php echo ntxDateTime($rs['DataInizio']) ?></td>
		<tr><th>DataFine</th><td class=td2  >&nbsp;<?php echo ntxDateTime($rs['DataFine']) ?></td>
		<tr><th>% Utilizzo</th><td>&nbsp;<?php echo ntxRound($rs['PercentualeUtilizzo'], 2) ?></td>
		<tr><th colspan=2><input type=button value=documentazione onclick="CertUtilizzatore(<?php echo "'$rs[IdCommessa]', '$rs[IdUtilizzatore]', '$rs[IdEdificio]'"?>)">
	</table>
	<br>
<?php
	$count++;
}
	
$sql = <<< sql
SELECT     tblUtUtilizzatori.Nome Utilizzatore, tblUtPersonale.Nome AS Personale, tblUtPersAmbienti.DataInizio, tblUtPersAmbienti.DataFine
FROM         Ambiente INNER JOIN
                      tblUtPersAmbienti ON Ambiente.IdCommessa = tblUtPersAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtPersAmbienti.IdEdificio AND 
                      Ambiente.IDAmbiente = tblUtPersAmbienti.IdAmbiente INNER JOIN
                      tblUtPersonale ON tblUtPersAmbienti.IdCommessa = tblUtPersonale.IdCommessa AND 
                      tblUtPersAmbienti.IdPersona = tblUtPersonale.IdPersona INNER JOIN
                      tblUtUtilizzatori ON tblUtPersonale.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtPersonale.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore	WHERE Ambiente.CodiceAmbiente='$codice3'
	ORDER BY tblUtPersAmbienti.DataInizio, tblUtPersonale.Nome
sql;

$query = ntxQuery($sql);

$count = 1;

while( $query  &&  $rs = ntxRecord($query) )
{
?>
	<table>
		<caption>Personale<?php echo $count ?></caption>   
		<tr><th>Nome</th><td class=td2 >&nbsp;
			<?php echo htmlentities($rs[Personale]) ?>
		<tr><th>Utilizzatore</th><td class=td2 >&nbsp;
			<?php echo htmlentities($rs[Utilizzatore]) ?>
		<tr><th>DataInizio</th><td >&nbsp;<?php echo ntxDateTime($rs['DataInizio']) ?></td>
		<tr><th>DataFine</th><td class=td2  >&nbsp;<?php echo ntxDateTime($rs['DataFine']) ?></td>
	</table>
	<br>
<?php
	$count++;
}

?>

<iframe src="" name="frameFoto" id="frameFoto" SCROLLING="no" style="display:block;position:relative;width:250px; height:235px;overflow-y:hide;overflow-x:hide;"></iframe>

<form name=frmIdFoto method=post action="../../_libs/view_foto_static/index.php" target="frameFoto"> <!-- serve per l'oggetto foto -->
	<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>">
	<input type=hidden name=IdComponenteAmbiente value="<?php echo $IdComponenteAmbiente ?>">
	<input type=hidden name=IdAmbiente value="<?php echo $IdAmbiente ?>">
</form>

<form name=form1 method=post>
<?php ntxCreateHiddens() ?>
</form>

<form name=frmCertUtil method=post action="cert_utilizzatori.php" target=_blank>
	<input type=hidden name=IdCommessa>
	<input type=hidden name=IdUtilizzatore>
	<input type=hidden name=IdEdificio>
</form>

<form name=frmCertComp method=post action="cert_componente.php" target=_blank>
	<input type=hidden name=IdCommessa>
	<input type=hidden name=IdEdificio>
	<input type=hidden name=IdComponente>
</form>

<form name=frmRichieste method=post action="richieste_componente.php" target=_blank>
	<input type=hidden name=IdCommessa>
	<input type=hidden name=IdEdificio>
	<input type=hidden name=IdComponente>
</form>

<form name=frmOrdini method=post action="ordini_componente.php" target=_blank>
	<input type=hidden name=IdCommessa>
	<input type=hidden name=IdEdificio>
	<input type=hidden name=IdComponente>
</form>

<form name=frmRefresh method=post>
	<input type=hidden name=CodiciComponenti value="<?php echo $_POST[CodiciComponenti]?>">
	<input type=hidden name=NumComponenti value="<?php echo $_POST[NumComponenti]?>">
	<input type=hidden name=TipoOggettoInfo value="<?php echo $_POST[TipoOggettoInfo]?>">
</form>
<br>

<form name=frmUpload action="upload_doc_comp.php" method="post" enctype="multipart/form-data" target="fram_1728_140610">
	<input name=IdEdificio type=hidden value=<?php echo $IdEdificio ?>>
	<input name=IdComponente type=hidden value=<?php echo $IdComponenteAmbiente?>>
	Descrizione:<input type=text name=Nota value="descrizione file" size="50"  maxlength="100" />
	<br>File:<input type="file" name="upfile" size="50" />
	<input type=submit value="Allega file" />
</form> 

<br>
<iframe name=fram_1728_140610 style="display:block;width:400px;height:300px;position:relative"></iframe>

<script>
frmIdFoto.submit();

function VaiComponente(index)
{
	form1.IndiceComponente.value = index;
	form1.submit();
}

function CertUtilizzatore(IdCommessa, IdUtilizzatore, IdEdificio)
{
	frmCertUtil.IdCommessa.value = IdCommessa;
	frmCertUtil.IdUtilizzatore.value = IdUtilizzatore;
	frmCertUtil.IdEdificio.value = IdEdificio;
	frmCertUtil.submit();
}

function CertUtilizzatoreComp(IdCommessa, IdEdificio, IdComponente)
{
	frmCertComp.IdCommessa.value = IdCommessa;
	frmCertComp.IdEdificio.value = IdEdificio;
	frmCertComp.IdComponente.value = IdComponente;
	frmCertComp.submit();
}

function Richieste(IdCommessa, IdEdificio, IdComponente)
{
	frmRichieste.IdCommessa.value = IdCommessa;
	frmRichieste.IdEdificio.value = IdEdificio;
	frmRichieste.IdComponente.value = IdComponente;
	frmRichieste.submit();
}

function Ordini(IdCommessa, IdEdificio, IdComponente)
{
	frmOrdini.IdCommessa.value = IdCommessa;
	frmOrdini.IdEdificio.value = IdEdificio;
	frmOrdini.IdComponente.value = IdComponente;
	frmOrdini.submit();
}

</script>


</body>
</html>
