<?php
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$gIdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdComponente = ntxip('IdComponente');
$gNota = ntxsp('Nota');

// QUESTE RIGHE RENDONO LO SCRIPT COMPATIBILE CON LE VERSIONI
// DI PHP PRECEDENTI ALLA 4.1.0
if(!isset($_FILES)) $_FILES = $HTTP_POST_FILES;
if(!isset($_SERVER)) $_SERVER = $HTTP_SERVER_VARS;

/********************* VARIABILI DA SETTARE ********************/
// Directory dove salvare i files Uploadati ( chmod 777, percorso assoluto)

$sql = "SELECT Commesse.pathPublicShapeWeb"
		." FROM Commesse"
		." WHERE (((Commesse.IDCommessa)=$gIdCommessa));";
		
$query = ntxQuery($sql);

if (!$query)
	die("Commessa non trovata!");
	
if (!($rs = ntxIRecord($query)))
	die("Commessa non trovata 2!");
	
$upload_dir = "$rs[0]\\archivio_foto";//$_SERVER["DOCUMENT_ROOT"] . "/upload";

if ( !is_dir($upload_dir) )
	mkdir($upload_dir);
	
$new_name = "";

// Se $new_name è vuota, il nome sarà lo stesso del file uploadato
$file_name = ($new_name) ? $new_name : $_FILES["upfile"]["name"];

if(trim($_FILES["upfile"]["name"]) == "")
	die("Non hai indicato il file da uploadare !");

if($_FILES["upfile"]["size"]==0)
	die("Upload fallito controllare dimensione del file max 2 MegaByte!");

$allowed_types = array
(
	"image/gif"
	,"image/x-png"
	,"image/pjpeg"
	,"image/jpeg"
	,"image/jpg"
	,"application/pdf"
	,"text/plain"
	,"application/zip"
	, "application/msword"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.document"
	, "application/vnd.openxmlformats-officedocument.wordprocessingml.template"
	, "application/vnd.ms-word.document.macroEnabled.12"
	, "application/vnd.ms-word.template.macroEnabled.12"
	, "application/vnd.ms-excel"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
	, "application/vnd.openxmlformats-officedocument.spreadsheetml.template"
	, "application/vnd.ms-excel.sheet.macroEnabled.12"
	, "application/vnd.ms-excel.template.macroEnabled.12"
	, "application/vnd.ms-excel.addin.macroEnabled.12"
	, "application/vnd.ms-excel.sheet.binary.macroEnabled.12"
	, "application/vnd.ms-powerpoint"
	, "application/vnd.openxmlformats-officedocument.presentationml.presentation"
	, "application/vnd.openxmlformats-officedocument.presentationml.template"
	, "application/vnd.openxmlformats-officedocument.presentationml.slideshow"
	, "application/vnd.ms-powerpoint.addin.macroEnabled.12"
	, "application/vnd.ms-powerpoint.presentation.macroEnabled.12"
	, "application/vnd.ms-powerpoint.template.macroEnabled.12"
	, "application/vnd.ms-powerpoint.slideshow.macroEnabled.12"
);
/*
if(!in_array($_FILES["upfile"]["type"],$allowed_types))
	die("Il file non è di un tipo consentito, sono ammessi solo i seguenti: " . implode(",", $allowed_types) . ".");
*/
$sql = <<< sql
INSERT INTO ArchivioFoto
                      (IdCommessa, IDEdificio, IDLivello, IDAmbiente, IDComponente, CodiceOggetto, Descrizione, Associato, Data)
SELECT     Ambiente.IdCommessa, Ambiente.IdEdificio, Ambiente.IdLivello, Ambiente.IDAmbiente, ComponentiAmbiente.IDComponente, 
                      ComponentiAmbiente.CodiceComponente, $gNota, 1 AS Expr2, GETDATE() AS Expr3
FROM         Ambiente INNER JOIN
                      ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente
WHERE     (Ambiente.IdCommessa = $gIdCommessa) AND (Ambiente.IdEdificio = $IdEdificio) AND (ComponentiAmbiente.IDComponente = $IdComponente)
sql;

ntxQuery($sql);

$IdDoc = ntxId();

$dest_path = "$upload_dir\\foto_{$gIdCommessa}_{$IdEdificio}_{$IdDoc}_$file_name";

if(@is_uploaded_file($_FILES["upfile"]["tmp_name"])) 
	@move_uploaded_file($_FILES["upfile"]["tmp_name"], $dest_path) 
		or die("Impossibile spostare il file, controlla l'esistenza o i permessi della directory dove fare l'upload.<br>");
else
	die("Problemi nell'upload del file " . $_FILES["upfile"]["name"]);

echo "L'upload del file " . $_FILES["upfile"]["name"] . " è avvenuto correttamente con nome $dest_path";

$gPath = "'".str_replace("'", "''", "archivio_foto\\foto_{$gIdCommessa}_{$IdEdificio}_{$IdDoc}_$file_name")."'";

$sql = "UPDATE ArchivioFoto SET Path=$gPath WHERE IdCommessa=$gIdCommessa AND IdFoto=$IdDoc;";

ntxQuery($sql);

?> 

<script language=javascript>

parent.frmRefresh.submit();

</script>


