<?php

if ( !$_SESSION ) session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdTipo = ntxip('IdTipo');
$IdOfferta = ntxip('IdOfferta');
$IdEdificio = ntxip('IdEdificio');
$RevConsistenza = ntxip('RevConsistenza');

$sql = <<< sql
	SELECT     DataAttivazione, DurataContratto
	FROM         Offerte
	WHERE     (IdCommessa = $IdCommessa) AND (IdOfferta = $IdOfferta)
sql;

$rs = ntxRecord(ntxQuery($sql));

$DataAttivazione = ntxDate($rs[DataAttivazione]);
$DurataContratto = $rs[DurataContratto];

if ( $_POST[Campo]=="Liv" ) $_POST[Campo] = "LivelloDocCensimento";

$where = <<< where
		WHERE IdCommessaOfferta=$IdCommessa  
		AND IdOfferta=$IdOfferta  
		AND IdEdificio=$IdEdificio 
		AND IdTipoComp=$IdTipo 
where;

if ( is_numeric($RevConsistenza) )
{
	$where .= " AND IdRevConsistenza=".(int)$RevConsistenza;
}
else
{
	$where .= " AND IdRevConsistenza IS NULL";
}

$sql = "SELECT DISTINCT 2 FROM SopralluogoPDI $where";

$Esiste = ntxScalar($sql)==2;

if ( $_POST[Campo]=="Esiste"  &&  !$_POST[Valore] )
{
	$sql = "DELETE FROM SopralluogoPDI $where";

	ntxQuery($sql);

	$sql = "DELETE FROM InvisibiliPDI  "
		." WHERE IdCommessaOfferta=$IdCommessa  "
		." AND IdOfferta=$IdOfferta  "
		." AND IdTipoComp=$IdTipo  "
		." AND IdEdificio=$IdEdificio;";

	ntxQuery($sql);
}
elseif ( $_POST[Campo]=="Invisibile" )
{
	if ( !$_POST[Valore] )
	{
		$sql = "DELETE FROM InvisibiliPDI  "
			." WHERE IdCommessaOfferta=$IdCommessa  "
			." AND IdOfferta=$IdOfferta  "
			." AND IdTipoComp=$IdTipo  "
			." AND IdEdificio=$IdEdificio;";

		ntxQuery($sql);
	}
	elseif ( $Esiste )
	{
		$sql1 = "INSERT INTO InvisibiliPDI (";	$sql2 = " VALUES (";

		$sql1 .= "IdCommessaOfferta";		$sql2 .= $IdCommessa.", ";
		$sql1 .= ", IdCommessaEdificio";	$sql2 .= $IdCommessa.", ";
		$sql1 .= ", IdCommessaTipoComp";	$sql2 .= $IdCommessa.", ";
		$sql1 .= ", IdOfferta";				$sql2 .= $IdOfferta.", ";
		$sql1 .= ", IdTipoComp";			$sql2 .= $IdTipo.", ";
		$sql1 .= ", IdEdificio)";			$sql2 .= $IdEdificio.") ";

		ntxQuery($sql1.$sql2);	
	}
}
else
{
	$table = new NtxTable('SopralluogoPDI');

	if ( $Esiste )
	{
		$update = $table->update();

		$update->init();

		$update->set($_POST[Campo], $_POST[Valore]);

		$update->where('IdCommessaTipoComp', $IdCommessa);
		$update->where('IdOfferta', $IdOfferta);
		$update->where('IdTipoComp', $IdTipo);
		$update->where('IdEdificio', $IdEdificio);

		if ( is_numeric($_POST[RevConsistenza]) )
			$update->where('IdRevConsistenza', $_POST[RevConsistenza]);
		else
			$update->sql .= " AND IdRevConsistenza IS NULL ";
			
		$update->execute();
	}
	else // non esiste
	{
		$insert = $table->insert();

		$insert->init();

		$insert->set('IdCommessaOfferta', $IdCommessa);
		$insert->set('IdCommessaEdificio', $IdCommessa);
		$insert->set('IdCommessaTipoComp', $IdCommessa);
		$insert->set('IdOfferta', $IdOfferta);
		$insert->set('IdTipoComp', $IdTipo);
		$insert->set('IdRevConsistenza', $_POST[RevConsistenza]);
		$insert->set('IdEdificio', $IdEdificio);
		
		if ( $_POST[Campo]!="Esiste" )
		{
			$insert->set($_POST[Campo], $_POST[Valore]);
		}
		else
		{
			$insert->set('DataInizio', $DataAttivazione);
			$insert->set('Durata', $DurataContratto);
		}
		
		$insert->execute();	
	}
}

require('carica_riga.inc');

?>