<?php
session_start();
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
 
$IdCommessa = $_POST['IdCommessa']; 
$Tipo = $_POST['Tipo']; 
 
 
$record = array(); 

$sql = <<<_SQL
SELECT  DISTINCT   
	IdCommessa, ID AS IdEdificio, 
	ISNULL(Codice, '') +' '+ ISNULL(EdificioBreve, '') +' '+ ISNULL(Sede, '') AS Edificio, 
	ISNULL(Indirizzo, '') +' '+  ISNULL(CAP, '') +' '+  ISNULL(CITTA, '') +' '+  ISNULL(PROVINCIA, '') AS Indirizzo, 
	Latitudine AS lat, Longitudine AS lng,
	Tipo
	
FROM         
	ElencoEdifici
	
WHERE 
	ID IN
	( 
		SELECT  CodEdificio  
		FROM  	Ordini		
		WHERE 
			StatoOrd = 35 OR StatoOrd = 40
	)
_SQL;

if(is_numeric($IdCommessa))
	$sql .= " AND (IdCommessa = $IdCommessa) " ;

if(is_numeric($Tipo))
{
	if($Tipo==0 || !is_numeric($Tipo))
		$sql .= " AND ( Tipo = 0 OR Tipo IS NULL ) " ;
	else  
		$sql .= " AND ( Tipo = $Tipo ) " ;
} 
 
$query = ntxQuery($sql);
 
while(  $query  &&  $rs = ntxRecord($query) )
{	
	$IdEdificio = $rs['IdEdificio'];
	
	$sql = <<<_SQL
	SELECT     COUNT(Ordini.IdOrd) AS conteggio, Ordini.StatoOrd
	
	FROM         
		Ordini 
		INNER JOIN
		StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato
		
	WHERE     
		(Ordini.CodEdificio = $IdEdificio) 
		AND (Ordini.StatoOrd = 35 OR  Ordini.StatoOrd = 40)
_SQL;
	if(is_numeric($IdCommessa))
		$sql .= " AND (IDCommessa = $IdCommessa) " ;
		
	$sql .= " GROUP BY Ordini.StatoOrd " ;	

	$query2 = ntxQuery($sql);
	while(  $query2  &&  $rs2 = ntxRecord($query2) )
	{	
		$rs[ $rs2['StatoOrd'] ] = $rs2['conteggio'];
	}
  
	 
	$record[] = $rs;
}

jhp($record);  
?>
