<?php  
$sqlWhere = '';

if(is_numeric($_POST[Cliente]) && $_POST[Cliente]>0) 
{
	$value = (int)$_POST[Cliente]; 
	$sqlWhere .= " AND tblPgPropietari.IdPropietario = $value "; 
}

if(is_numeric($_POST[Contratto]) && $_POST[Contratto]>0) 
{
	$value = (int)$_POST[Contratto]; 
	$sqlWhere .= " AND tblPgContratti.IdPgContratto = $value "; 
}

if( (is_numeric($_POST[IdCommessa]) && $_POST[IdCommessa]>0)  &&  (is_numeric($_POST[IdEdificio]) && $_POST[IdEdificio]>0) )
{
	$value1 = (int)$_POST[IdCommessa]; 
	$value2 = (int)$_POST[IdEdificio]; 
	$sqlWhere .= " AND ElencoEdifici.IdCommessa = $value1 AND ElencoEdifici.ID = $value2 "; 
} 

if(is_numeric($_POST[EdificioConTag])) 
{
	$value = (int)$_POST[EdificioConTag];  
	
	if($value==0) $sqlWhere .= " AND (ElencoEdifici.NumTagNFC IS NULL OR ElencoEdifici.NumTagNFC=0) "; 
	if($value==1) $sqlWhere .= " AND (ElencoEdifici.NumTagNFC > 0) "; 
} 

if ( is_numeric($_POST[MostraSoloEdificiAttivi])  &&  $_POST[MostraSoloEdificiAttivi]==1 ) 
	$sqlWhere .= " AND ( ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate() ) ";

if ( is_numeric($_POST[MostraSoloContrattiAttivi])  &&  $_POST[MostraSoloContrattiAttivi]==1 ) 
	$sqlWhere .= " AND ( tblPgContratti.DataInizio<=getdate() AND  (tblPgContratti.DataFine IS NULL OR tblPgContratti.DataFine>getdate() )  ) ";


if ( isset($_POST['UidNFC'])  &&  strlen($_POST['UidNFC'])>0) 
{
	$str = stripslashes($_POST['UidNFC']."");
	$str = str_replace("'", "''", $str);
	$sqlWhere .= " AND NfcEdifici.UidNFC LIKE '%".$str."%' ";
}


if(!is_numeric($_POST[avviaRicerca])||$_POST[avviaRicerca]!=1) die("Avviare una ricerca.");

 
require("$_POST[mod]/nfc2.inc");  

  
$query = ntxQuery($sql);
?>   

<h4>
Risultati della Ricerca 
</h4>

<table class="grid"  >  
	<tr>   
		<th>Cliente
		<th>Contratto 
		<th>Localizzazione 
		<th>Id NFC
		<th>Tipo NFC
		<th>dato NFC
		<th>Posizione
		<th>Stato		
		<th>Utente 		
		<th>Data 		
		
		<?php 
		$alternate = true;
		 
		while(  $query  &&  $rs = ntxRecord($query) )
		{   
			$rs[Data] = ntxDateTime($rs[Data]);
	
			$style1='';	  
			if($rs[ContrattoScaduto]==1) 
			{
				$style1=' background:orange !important;color:white !important; ';	 
			}
			else if($rs[ContrattoNonIniziato]==1) 
			{
				$style1=' background:orange !important;color:white !important; ';	  
			}			
			
			$style2='';	  
			if($rs[EdificioDismesso]==1)
			{ 
				$style2=' background:red !important;color:white !important; ';	
			}	 
				
				
			foreach($rs as $k=>$v)
				$html[$k] = htmlentities($v); 
		
			$classTr = $alternate ? "alternate" : "";  
		?>
			<tr class="<?php echo $classTr ?>" >  
				<td class="center" >
				<?php echo $html[Cliente] ?> 
				
				<td class="center" style="<?php echo $style1 ?>" >
				<?php echo $html[Contratto] ?> 
				<i><?php echo $html[Coda] ?></i> 
				
				<td class="center" style="<?php echo $style2 ?>" >
				<?php echo $html[Edificio] ?>  		
				
				<td class="center" >
				<?php echo $html[UidNFC] ?>   
				
				<td class="center" >
				<?php echo $html[TipoMarcatura] ?>   
				
				<td class="center" >
				<?php echo $html[Scrittura] ?>   	
				
				<td class="center" >
				<?php echo $html[Note] ?>   
				
				<td class="center" >
				<?php echo $html[AttivoLabel] ?>   
				
				<td class="center" >
				<?php echo $html[Utente] ?>  
				
				<td class="center" >
				<?php echo $html[Data] ?>   
				
		<?php 
			$alternate = !$alternate;
		}		
		
		$classTr = $alternate ? "alternate" : "";	
		?> 
</table>
 