<?php
$sql = <<< sql
SELECT DISTINCT
	Risorse.NOME AS Risorsa 
	,ElencoEdifici.EdificioBreve AS Edificio 
	,tblPgPropietari.Nome AS Cliente
	,Ditte.Ditta
	,Risorse2IngressoUscitaEdifici.*
	,CONVERT(varchar(5),  DATEADD(minute, DATEDIFF(minute, Risorse2IngressoUscitaEdifici.DataIngresso, Risorse2IngressoUscitaEdifici.DataUscita), 0), 114) AS DurataIngressoUscita
FROM  
	Risorse 
	INNER JOIN
	Risorse2IngressoUscitaEdifici ON Risorse.ID = Risorse2IngressoUscitaEdifici.IdRisorsa 
	LEFT OUTER JOIN
	ElencoEdifici ON Risorse2IngressoUscitaEdifici.IdCommessa = ElencoEdifici.IdCommessa AND 
	Risorse2IngressoUscitaEdifici.IdEdificio = ElencoEdifici.ID 
	LEFT OUTER JOIN
	Ditte ON Ditte.IDDitta = Risorse.CodDitta
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
WHERE
	1=1
	$sqlWhere
ORDER BY 
	DataIngresso ASC
	,DataUscita ASC
sql;
?>