<?php  

$Utente = ntxsse('Utente');

$sql = <<< SQL
	SELECT   DISTINCT  
			Commesse.IDCommessa IdCommessa, 
			Commesse.DesComm DesCommessa, 
			ElencoEdifici.ID IdEdificio, 
			ElencoEdifici.Codice CodEdificio, 
			ElencoEdifici.EdificioBreve NomeEdificio, 
			ElencoEdifici.Indirizzo, 
			ElencoEdifici.CITTA Comune, 
			ElencoEdifici.Provincia, 
			ElencoEdifici.Cap, 
			Richieste.NumRichiesta, 
			Richieste.AnnoRichiesta, 
			Richieste.DataRichiesta, 

			Ordini.DescrizioneIntervento AS des1, 
			Ordini.DescrizioneIntervento1 AS des2, 
			Ordini.DescrizioneIntervento2 AS des3, 
			Ordini.Contabiliz, 
			Ordini.NumOrdine, 
			Ordini.AnnoOrdine, 
			StatiOrdini.DesStato
			
	FROM         Ordini INNER JOIN
                      Commesse INNER JOIN
                      ElencoEdifici ON Commesse.IDCommessa = ElencoEdifici.IdCommessa INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato			
	WHERE 1=1
SQL;

if ( is_numeric($_POST['IdCommessa'])) 
{
	$IdCommessa = (int)$_POST['IdCommessa'];
	$sql .= " AND (Commesse.IDCommessa = $IdCommessa) ";
}

if ( is_numeric($_POST['NumRichiesta'])) 
{
	$NumRichiesta = (int)$_POST['NumRichiesta'];
	$sql .= " AND (Richieste.NumRichiesta = $NumRichiesta) ";
}

if ( is_numeric($_POST['AnnoRichiesta'])) 
{
	$AnnoRichiesta = (int)$_POST['AnnoRichiesta'];
	$sql .= " AND (Richieste.AnnoRichiesta = $AnnoRichiesta) ";
}

if ( is_numeric($_POST['NumOrdine'])) 
{
	$NumOrdine = (int)$_POST['NumOrdine'];
	$sql .= " AND (Ordini.NumOrdine = $NumOrdine) ";
}

if ( is_numeric($_POST['AnnoOrdine'])) 
{
	$AnnoOrdine = (int)$_POST['AnnoOrdine'];
	$sql .= " AND (Ordini.AnnoOrdine = $AnnoOrdine) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sql .= " AND (ElencoEdifici.ID = $IdEdificio) ";
}
	
if ( isset($_POST['Contabiliz'])  &&  strlen($_POST['Contabiliz'])>0) 
{
	$str = stripslashes($_POST['Contabiliz']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.Contabiliz = '".$str."' ";
}

if ( is_numeric($_POST['StatoOrd'])) 
{
	$StatoOrd = (int)$_POST['StatoOrd'];
	$sql .= " AND (Ordini.StatoOrd = $StatoOrd) ";
}
		
if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sql .= " AND (Ordini.IdMestiere = $IdMestiere) ";
}

if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sql .= " AND (Ordini.IdComponenteMestiere = $IdComponente) ";
}

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = stripslashes($_POST['DataRichiesta1']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.DataRichiesta >= dbo.cdate('".$str."') ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = stripslashes($_POST['DataRichiesta2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Richieste.DataRichiesta <= dbo.cdate('".$str."') ";
}

if ( isset($_POST['DataOrdine1'])  &&  strlen($_POST['DataOrdine1'])>0) 
{
	$str = stripslashes($_POST['DataOrdine1']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.DataOrdine >= dbo.cdate('".$str."') ";
}

if ( isset($_POST['DataOrdine2'])  &&  strlen($_POST['DataOrdine2'])>0) 
{
	$str = stripslashes($_POST['DataOrdine2']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Ordini.DataOrdine <= dbo.cdate('".$str."') ";
}

$sql .= " ORDER BY Commesse.DesComm, Ordini.AnnoOrdine DESC, Ordini.NumOrdine DESC";

$query = ntxQuery($sql);
	
?>
