<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="../../../_css/navstyleLittleLeft.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>
<body>

<?php
	
require_once('query.inc');

?>

<table>
	<tr>
		<th>&nbsp;</th>
		<th>&nbsp;</th>		
		<th>Data Sollecito</th>
		<th>Commessa</th>
		<th>Num/Anno Richiesta</th>
		<th>Data Richiesta</th>
		<th>Classificazione</th>
		<th>Stato</th>
		<th>Localizzazione</th>
		<th>Descrizione</th>
		<th>Sollecito da</th>
		<th>Descrizione Sollecito</th>
		<th>Risposta</th>
		<th>Data/Ora Scadenza</th>
		<th>Evaso</th>
		<th>Utente</th>
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{	
		$evasoOption1="";
		$evasoOption2="";
		if( $rs['Evaso']==1 )
		{
			$evasoOption1="";
			$evasoOption2="SELECTED";	
		}
		else
		{
			$evasoOption1="SELECTED";
			$evasoOption2="";	
		}		
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type=button value="nuovo" onclick="CreaNuovoSollecito('<?php echo $rs['IdCommessa'] ?>', '<?php echo $rs['NumRichiesta'] ?>', '<?php echo $rs['AnnoRichiesta'] ?>');" /></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >
			<input type=button value="sollecito" onclick="Sollecito(<?php echo "$rs[IdCommessa],$rs[ID]" ?>)" /></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataSollecito']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['IdCommessa']." - ".$rs['DesCommessa']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[NumRichiesta]."/".$rs[AnnoRichiesta]) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs[DataRichiesta]) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Classificazione]) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[DesStato]) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;
			<?php echo htmlentities("id $rs[IdEdificio] - cod $rs[CodEdificio] - $rs[NomeEdificio] - $rs[Indirizzo] - $rs[Comune] ($rs[Provincia]) - $rs[Cap]") ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs[Descrizione].$rs[Descrizione1].$rs[Descrizione2]) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['SollecitoDa']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DescrizioneSollecito']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Risposta']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataOraScadenza']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo"<select id=EvasoSelect onchange=\"ModificaCampoEvaso('$rs[IdCommessa]','$rs[ID]', this.options[this.selectedIndex].value);\"><option value=0 $evasoOption1>NO</option> <option value=1 $evasoOption2>SI</option></select>"?></td>
		
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Utente']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
	
<form method="post" name="form1" id="form1">	
	<input type="hidden" name="ID" id="ID" value="" />
	<input type="hidden" name="IDCommessa" id="IDCommessa" value="" />
	<input type="hidden" name="Evaso" id="Evaso" value="" />	
</form>	
	
<script language=javascript>
function CreaNuovoSollecito(IDCommessa, NumRichiesta, AnnoRichiesta)
{
	parent.drcGetFrame("edit").NuovoSollecito( IDCommessa, NumRichiesta, AnnoRichiesta);
	parent.drcGetFrame("edit").form1.Evaso.value = 1;//come richiesto in data 9.12.2010 da NEST
	
	parent.drcShowKeyTab("edit");
}

function Sollecito(IdCommessa, IdSollecito)
{
	parent.drcGetFrame("edit").CaricaRichiesta(IdCommessa, IdSollecito);
	
	parent.drcShowKeyTab("edit");
	
	parent.parent.drcShowKeyTab("solleciti");
}

function ModificaCampoEvaso(IdCommessa, IdSollecito, Evaso)
{
	form1.IDCommessa.value = IdCommessa;
	form1.ID.value = IdSollecito;
	form1.Evaso.value = Evaso;
	
	ntxSendForm(form1, function(){}, 'modifica_da_elenco/modifica_evaso');	
}
</script>

</body>
</html>
