<?php  

$Utente = ntxsse('Utente');

$sql = <<< SQL
	SELECT   DISTINCT  
			Commesse.IDCommessa IdCommessa, 
			Commesse.DesComm DesCommessa, 
			ElencoEdifici.ID IdEdificio, 
			ElencoEdifici.Codice CodEdificio, 
			ElencoEdifici.EdificioBreve NomeEdificio, 
			ElencoEdifici.Indirizzo, 
			ElencoEdifici.CITTA Comune, 
			ElencoEdifici.Provincia, 
			ElencoEdifici.Cap, 
			Richieste.NumRichiesta, 
			Richieste.AnnoRichiesta, 
			Stati.DesStato, 
			Richieste.DataRichiesta, 
			Richieste.Descrizione, 
			Richieste.Descrizione1, 
			Richieste.Descrizione2, 
			Richieste.Classificazione, 
			
			Solleciti.ID,
			Solleciti.DataSollecito, 
			Solleciti.SollecitoDa, 
			Solleciti.DescrizioneSollecito, 
			Solleciti.Risposta, 
			Solleciti.DataOraScadenza, 
			Solleciti.Evaso, 
			Solleciti.IdTipoSollecito,  
			Solleciti.Utente, 
			Solleciti.Indicatori, 
			Solleciti.Inviato
			
	FROM         Commesse INNER JOIN
                      ElencoEdifici ON Commesse.IDCommessa = ElencoEdifici.IdCommessa INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id INNER JOIN
                      Richieste ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND ElencoEdifici.ID = Richieste.Localizzazione INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato INNER JOIN
                      Solleciti ON Richieste.IDCommessa = Solleciti.IDCommessa AND Richieste.NumRichiesta = Solleciti.NumRichiesta AND 
                      Richieste.AnnoRichiesta = Solleciti.AnnoRichiesta	
	WHERE 1=1
SQL;

if ( is_numeric($_POST['IdCommessa'])) 
{
	$IdCommessa = (int)$_POST['IdCommessa'];
	$sql .= " AND (Commesse.IDCommessa = $IdCommessa) ";
}

if ( is_numeric($_POST['NumRichiesta'])) 
{
	$NumRichiesta = (int)$_POST['NumRichiesta'];
	$sql .= " AND (Richieste.NumRichiesta = $NumRichiesta) ";
}

if ( is_numeric($_POST['AnnoRichiesta'])) 
{
	$AnnoRichiesta = (int)$_POST['AnnoRichiesta'];
	$sql .= " AND (Richieste.AnnoRichiesta = $AnnoRichiesta) ";
}

$sql .= " ORDER BY Solleciti.DataSollecito DESC, Commesse.DesComm, Richieste.AnnoRichiesta DESC, Richieste.NumRichiesta DESC";

$query = ntxQuery($sql);
	
?>
