$(function(){
	$('input[Colonna=DataInizio]').datepicker().change(EditaData);
	$('input[Colonna=DataFine]').datepicker().change(EditaData);
	$('input[Colonna=OraInizio]').change(EditaData);
	$('input[Colonna=OraFine]').change(EditaData);
	$('#data1').datepicker();
	$('#data2').datepicker();
	NowText(jei('data1'),jei('ora1'));
	NowText(jei('data2'),jei('ora2'));
});

function Prg(NumOrdine, AnnoOrdine)
{
	frmDoc.NumOrdine.value = NumOrdine;
	frmDoc.AnnoOrdine.value = AnnoOrdine;
	parent.drcUpdateFrame(frmDoc, "elenco_ord_prg");
	parent.drcShowKeyTab("elenco_ord_prg");
}

function Documenti(NumOrdine, AnnoOrdine)
{
	frmDoc.NumOrdine.value = NumOrdine;
	frmDoc.AnnoOrdine.value = AnnoOrdine;
	parent.drcUpdateFrame(frmDoc, "docs_ordini");
	parent.drcShowKeyTab("docs_ordini");
}

function NowText(txt1, txt2)
{
	var result = jhp("jhp/get_now.php");
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		txt1.value = result.value[0];
		txt2.value = result.value[1];
	}
}

function EditaData()
{
	var txt = $(this);
	var Colonna = txt.attr('Colonna');
	var Valore = txt.attr('value');
	var NumOrdine = txt.attr('NumOrdine');
	var AnnoOrdine = txt.attr('AnnoOrdine');
	var Riga = txt.attr('Riga');
	
	if ( Colonna == 'OraInizio' || Colonna == 'DataInizio' ) 
	{
		Valore = $("input[Colonna=DataInizio][Riga="+Riga+"]").attr("value") 
				+ ' ' + $("input[Colonna=OraInizio][Riga="+Riga+"]").attr("value");
		Colonna = 'DataInizio';
	}
	else 
	{
		Valore = $("input[Colonna=DataFine][Riga="+Riga+"]").attr("value") 
				+ ' ' + $("input[Colonna=OraFine][Riga="+Riga+"]").attr("value");
		Colonna = 'DataFine';
	}
	
	var result = jhp("jhp/update_date.php", {Colonna: Colonna,
											Valore: Valore,
											NumOrdine: NumOrdine,
											AnnoOrdine: AnnoOrdine});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var date = result.value;
		
		$("input[Colonna=DataInizio][Riga="+Riga+"]").attr("value",	date[0]);
			
		$("input[Colonna=DataFine][Riga="+Riga+"]").attr("value", date[1]);
		
		$("input[Colonna=OraInizio][Riga="+Riga+"]").attr("value",	date[3]);
			
		$("input[Colonna=OraFine][Riga="+Riga+"]").attr("value", date[4]);
		
		$("td[Colonna=Stato][Riga="+Riga+"]").text(date[2]);
	}
}

function SelTutto(value)
{
	$('input:checkbox').attr('checked',value);
}

function ApriChiudi(index)
{
	if ( !confirm("Sicuro di voler settare date di tutti gli ordini selezionati?")) return;
	
	var opt = frm1.opt1;
	
	numAnnoOrdini = "";
	
	$('input[type=checkbox]:checked').each(function(){
		var chk = $(this);
		var NumOrdine = chk.attr('NumOrdine');
		var AnnoOrdine = chk.attr('AnnoOrdine');

	if ( numAnnoOrdini.length>0 ) numAnnoOrdini += "|";
		
		numAnnoOrdini += NumOrdine+" "+AnnoOrdine;
	});

	if ( numAnnoOrdini.length==0 )
	{
		alert("Devi prima selezionare degli ordini!");
		return;
	}
	
	var result = jhp("jhp/apri_chiudi.php", {
						index: index, 
						data1: frm1.data1.value, 
						data2: frm1.data2.value, 
						ora1: frm1.ora1.value, 
						ora2: frm1.ora2.value, 
						opt1: $('[name="opt1"]:checked').val(), 
						numAnnoOrdini: numAnnoOrdini});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var date = result.value;
		
		$('input[type=checkbox]:checked').each(function(){
			var chk = $(this);
			var NumOrdine = chk.attr('NumOrdine');
			var AnnoOrdine = chk.attr('AnnoOrdine');
			var Riga = chk.attr('Riga');

			$("input[Colonna=DataInizio][NumOrdine="+NumOrdine+"][AnnoOrdine="+AnnoOrdine+"]").attr("value",
				date[NumOrdine+"_"+AnnoOrdine+"_0"]);
				
			$("input[Colonna=DataFine][NumOrdine="+NumOrdine+"][AnnoOrdine="+AnnoOrdine+"]").attr("value",
				date[NumOrdine+"_"+AnnoOrdine+"_1"]);

			$("input[Colonna=OraInizio][NumOrdine="+NumOrdine+"][AnnoOrdine="+AnnoOrdine+"]").attr("value",
				date[NumOrdine+"_"+AnnoOrdine+"_3"]);
				
			$("input[Colonna=OraFine][NumOrdine="+NumOrdine+"][AnnoOrdine="+AnnoOrdine+"]").attr("value",
				date[NumOrdine+"_"+AnnoOrdine+"_4"]);
			
			$("td[Colonna=Stato][Riga="+Riga+"]").text(date[NumOrdine+"_"+AnnoOrdine+"_2"]);
		});
	}
}

function AnnullaAperturaChiusura(index)
{
	if ( !confirm("Sicuro di voler resettare date e stati di tutti gli ordini selezionati?")) return;
	
	numAnnoOrdini = "";
	
	$('input[type=checkbox]:checked').each(function(){
		var chk = $(this);
		var NumOrdine = chk.attr('NumOrdine');
		var AnnoOrdine = chk.attr('AnnoOrdine');

	if ( numAnnoOrdini.length>0 ) numAnnoOrdini += "|";
		
		numAnnoOrdini += NumOrdine+" "+AnnoOrdine;
	});

	if ( numAnnoOrdini.length==0 )
	{
		alert("Devi prima selezionare degli ordini!");
		return;
	}
	
	var result = jhp("jhp/annulla_apri_chiudi.php", {
						index: index, 
						numAnnoOrdini: numAnnoOrdini});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var date = result.value;
		
		$('input[type=checkbox]:checked').each(function(){
			var chk = $(this);
			var NumOrdine = chk.attr('NumOrdine');
			var AnnoOrdine = chk.attr('AnnoOrdine');
			var Riga = chk.attr('Riga');

			$("input[Colonna=DataInizio][NumOrdine="+NumOrdine+"][AnnoOrdine="+AnnoOrdine+"]").attr("value",
				date[NumOrdine+"_"+AnnoOrdine+"_0"]);
				
			$("input[Colonna=DataFine][NumOrdine="+NumOrdine+"][AnnoOrdine="+AnnoOrdine+"]").attr("value",
				date[NumOrdine+"_"+AnnoOrdine+"_1"]);

			$("input[Colonna=OraInizio][NumOrdine="+NumOrdine+"][AnnoOrdine="+AnnoOrdine+"]").attr("value",
				date[NumOrdine+"_"+AnnoOrdine+"_3"]);
				
			$("input[Colonna=OraFine][NumOrdine="+NumOrdine+"][AnnoOrdine="+AnnoOrdine+"]").attr("value",
				date[NumOrdine+"_"+AnnoOrdine+"_4"]);
			
			$("td[Colonna=Stato][Riga="+Riga+"]").text(date[NumOrdine+"_"+AnnoOrdine+"_2"]);
		});
	}
}

