<?php

$TotaleCosti = 0;
$TotaleCosti2 = 0;

if ( is_numeric($TipoPrezzo2) )
{
	$TipoPrezzo = "(RiheContabilità.TipoPrezzo=$TipoPrezzo OR RiheContabilità.TipoPrezzo=$TipoPrezzo2)";
}
else
{
	$TipoPrezzo = "RiheContabilità.TipoPrezzo=$TipoPrezzo";
}

$sql = <<< SQL
		SELECT     COUNT(*)
		FROM         RiheContabilità INNER JOIN
                      Contabilità ON RiheContabilità.IdCommessa = Contabilità.IDCommessa AND RiheContabilità.NumContabilità = Contabilità.NumContabilità
		WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumOrdine = $NumOrdine) AND (Contabilità.AnnoOrdine = $AnnoOrdine) AND $TipoPrezzo
SQL;

$conteggio = ntxScalar($sql);

if ( $conteggio > 0 )
{
	$sql = <<< SQL
		SELECT     RiheContabilità.Cod, RiheContabilità.Descrizione, RiheContabilità.UM, RiheContabilità.QTA, RiheContabilità.PzUnitario, RiheContabilità.Sconto, 
						  RiheContabilità.Titolo, RiheContabilità.DescrEstesa, RiheContabilità.Prezziario, isnull(ElencoPrezziInCommessa.ManodoperaIntrinseca,0) ManodoperaIntrinseca
		FROM         RiheContabilità INNER JOIN
                      Contabilità ON RiheContabilità.IdCommessa = Contabilità.IDCommessa AND RiheContabilità.NumContabilità = Contabilità.NumContabilità LEFT  JOIN
                      ElencoPrezziInCommessa ON RiheContabilità.IdCommessa = ElencoPrezziInCommessa.IdCommessa AND 
                      RiheContabilità.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo
		WHERE     (Contabilità.IDCommessa = $IdCommessa) AND (Contabilità.NumOrdine = $NumOrdine) AND (Contabilità.AnnoOrdine = $AnnoOrdine) AND $TipoPrezzo
		ORDER BY RiheContabilità.Cod
SQL;

	$query = ntxQuery($sql);

?>
	<table>
		<caption><?php echo $Titolo ?></caption>
		<tr>
		<th>Preziario</th>
		<th>Codice</th>
		<th>Titolo</th>
		<th>Descrizione</th>
		<th>Descr.Estesa</th>
		<th>UM</th>
		<th>QTA</th>
		<th>Prezzo<br>Unitario</th>
		<th>% Manodopera<br>Intrinseca</th>
		<th>Totale<br>Nolo</th>
		<th>Totale<br>Manodopera</th>
		</tr>   

<?php
		while( $rs = ntxRecord($query) )
		{
			$CostoTotale  = $rs['QTA'] * $rs['PzUnitario'] * (1-$rs['ManodoperaIntrinseca']*0.01); // nolo netto
			
			$CostoTotale2 = $rs['QTA'] * $rs['PzUnitario'] * $rs['ManodoperaIntrinseca'] * 0.007905; // manodopera diretta
?>
		<tr>
				<td>&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
				<td>&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['QTA'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['PzUnitario'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['ManodoperaIntrinseca'],2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($CostoTotale,2) ?></td>
				<td class=number>&nbsp;<?php echo ntxRoundThousand($CostoTotale2,2) ?></td>
		</tr>
<?php
			if ( is_numeric($CostoTotale) ) 
			{
				$TotaleCosti += (float)($CostoTotale);
			}
			
			if ( is_numeric($CostoTotale2) ) 
			{
				$TotaleCosti2 += (float)($CostoTotale2);
			}
		}
	
?>
		<tr><th colspan=9 class=number>TOTALE <?php echo $Titolo ?>:</th>
		<th class=number><?php echo ntxRoundThousand($TotaleCosti,2) ?></th>
		<th class=number><?php echo ntxRoundThousand($TotaleCosti2,2) ?></th>
	</table>
	<br>
<?php
}
?>
