<?php  
session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
	<script type="text/javascript" src="jhp/filtro_ordini.js"></script>
</head>
<body>

<form name=form1 method=post>
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />	
	<input type=hidden name=IdPropietario value="">

	<table class=grid style="width:500px">
		<tr>
			<th colspan=6 style="font-size:10pt;text-align:left">
				<input type=button value=Filtra onclick="Filtra()">
				<input type=button value="Reset" onclick="this.form.reset()" />
		</tr>
			
		<tr>
				<th colspan=6 style="font-size:10pt;text-align:left"><input type=button value="-" onclick="Compatta(this, 'RigheFiltroLocalizzazioni')" />Localizzazione Ordine</th>
			<tr RigheFiltroLocalizzazioni>
				<th >Ente/Proprietario<td colspan=5>
					<input type=text name=DesProprietario size=50 readonly />
					<input type=button value="x" onclick="TogliEnte()" />
			<tr RigheFiltroLocalizzazioni>
				<th>Codice</th><td colspan=5><input type=text name=Codice size=55></td>
			<tr RigheFiltroLocalizzazioni>
				<th>Nome</th><td colspan=5><input type=text name=Nome size=55></td>
			<tr RigheFiltroLocalizzazioni>
				<th>Indirizzo</th><td colspan=5><input type=text name=Indirizzo size=55></td>
			<tr RigheFiltroLocalizzazioni>
				<th>Comune</th><td><input type=text name=Comune size=20></td>
				<th>Prov</th><td><input type=text name=Prov size=2 maxlength=2></td>
				<th>Cap</th><td><input type=text name=Cap size=5 maxlength=5></td>

		<tr>
				<th colspan=6 style="font-size:10pt;text-align:left"><input type=button value="-" onclick="Compatta(this, 'RigheFiltroOrdini')" />Ordine PRG</th>
			<tr RigheFiltroOrdini>
				<th>ID Ordine PRG</th><td colspan=5>
					<input type=text name=IdOrdinePRG size=5>
				</td>
			<tr RigheFiltroOrdini>
				<th>Num/Anno Ordine Aggregazione</th><td colspan=5>
					<input type=text name=NumOrdine size=5>/<input type=text name=AnnoOrdine size=5 maxlength=4>
				</td>
			<tr RigheFiltroOrdini>
				<th>Data Inizio &gt;=</th><td><input type=text name=DataInizio1></td>
				<th>&lt;=</th><td colspan=3><input type=text name=DataInizio2></td>
			<tr RigheFiltroOrdini>
				<th>Data Fine &gt;=</th><td><input type=text name=DataFine1></td>
				<th>&lt;=</th><td colspan=3><input type=text name=DataFine2></td>
			<tr RigheFiltroOrdini>
				<th>Data Inizio Prg &gt;=</th><td><input type=text name=DataInizioPrg1></td>
				<th>&lt;=</th><td colspan=3><input type=text name=DataInizioPrg2></td>
			<tr RigheFiltroOrdini>
				<th>Data Fine  Prg &gt;=</th><td><input type=text name=DataFinePrg1></td>
				<th>&lt;=</th><td colspan=3><input type=text name=DataFinePrg2></td>
			<tr RigheFiltroOrdini>
				<th>Mestiere</th><td colspan=5><select style="width:350px" name=IdMestiere id=IdMestiere onchange="caricaComponenti()"></select>
			<tr RigheFiltroOrdini>
				<th>Componente</th><td colspan=5><select style="width:350px" name=IdComponente id=IdComponente onchange="caricaAttivitàMestiere()"></select>
			<tr RigheFiltroOrdini>
				<th>Attività</th><td colspan=5><select style="width:350px" name=IdAttivitàMestiere id=IdAttivitàMestiere ></select>
			
		<tr>
				<th colspan=6 style="font-size:10pt;text-align:left"><input type=button value="-" onclick="Compatta(this, 'RigheFiltroStatoOrdini')" />Stato Ordine</th>
			<tr RigheFiltroStatoOrdini>
					<th>Aperto<td><input type=checkbox name=Aperto />
					<th>Non Aperto<td colspan=3><input type=checkbox name=NonAperto checked />
			<tr RigheFiltroStatoOrdini>
					<th>Eseguito<td><input type=checkbox name=Eseguito />
					<th>Non Eseguito<td colspan=3><input type=checkbox name=NonEseguito checked  />
			<tr RigheFiltroStatoOrdini>
					<th>Annullato<td><input type=checkbox name=Annullato />
					<th>Non Annullato<td colspan=3><input type=checkbox name=NonAnnullato  checked />
			<tr RigheFiltroStatoOrdini>
					<th>Anomalia<td><input type=checkbox name=Anomalia />
					<th>Non Anomalia<td colspan=3><input type=checkbox name=NonAnomalia  checked />
	</table>
</form>

<script>

function SelEnte(IdPropietario)
{
	form1.IdPropietario.value = IdPropietario;
	
	var result = jhp('jhp/des_proprietario.php', {IdPropietario:IdPropietario});
							
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		form1.DesProprietario.value = result.value;
	}
}

function TogliEnte()
{
	form1.DesProprietario.value = "";
	form1.IdPropietario.value = "";
}

function Filtra()
{
	parent.drcUpdateFrame(form1, "elenco_ord_prg");
	parent.drcShowKeyTab("elenco_ord_prg");
}

$(function(){
	$('input[name=DataInizio1]').datepicker(); $('input[name=DataInizio2]').datepicker();
	$('input[name=DataFine1]').datepicker(); $('input[name=DataFine2]').datepicker();
	$('input[name=DataInizioPrg1]').datepicker(); $('input[name=DataInizioPrg2]').datepicker();
	$('input[name=DataFinePrg1]').datepicker(); $('input[name=DataFinePrg2]').datepicker();
});

function Compatta(btn, key)
{
	if ( btn.value=='-' )
	{
		btn.value = '+';
		$('tr['+key+']').hide();
	}
	else
	{
		btn.value = '-';
		$('tr['+key+']').show();
	}
}

</script>
</body>
</html>
