<?php

$sql = <<< sql
SELECT DISTINCT 
                      ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, ElencoEdifici.Tipo,
                          (SELECT     Nome
                            FROM          tblPgPropietari
                            WHERE      (ElencoEdifici.IdProprietario = IdPropietario)) AS Ente
FROM         tblOrdiniProgrammati INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblPgContrattiAffidatariAttivitàEdifici INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario ON 
                      tblOrdiniProgrammati.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND 
                      tblOrdiniProgrammati.IdEdificio = tblPgContrattiAffidatariAttivitàEdifici.IdEdificio AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere AND 
                      tblOrdiniProgrammati.dataInizioProg >= tblPgContrattiAffidatari.DataInizio AND tblOrdiniProgrammati.dataInizioProg <= tblPgContrattiAffidatari.DataFine
					  $innerElementi
$filtri_comuni
ORDER BY Ente, Codice, EdificioBreve, ElencoEdifici.ID
sql;

$query = ntxQuery($sql);

?>

