$(function() {
    $( "#tabs" ).tabs();
	
	frmRicercaFornitori.btnRicerca.click();
	frmRicercaMestieri.btnRicerca.click();
	frmRicercaEdifici.btnRicerca.click();
	frmRicercaRapporto.btnRicerca.click();
	RefreshSerie();
	
	$('input[type=text][DatePicker]').datepicker();
});

function SelEdificio(IdEdificio)
{
	$('tr[EdificioRow]').hide();
	$('tr[EdificioRow='+IdEdificio+']').show();
	
	$('#IdEdificio').val(IdEdificio);
	
	$('#tdEdificio').html($('td[tdEdificioRow='+IdEdificio+']').html());
	$('#tdEnte').html($('td[tdEnteRow='+IdEdificio+']').html());
	
	$('#tabs').tabs( "select", 1 );
}

function SelMestiere(IdMestiere)
{
	$('tr[MestiereRow]').hide();
	$('tr[MestiereRow='+IdMestiere+']').show();
	
	$('#IdMestiere').val(IdMestiere);
	
	$('#tdMestiere').html($('td[tdMestiereRow='+IdMestiere+']').html());
	
	$('#tabs').tabs( "select", 2 );
}

function SelFornitore(IdFornitore)
{
	$('tr[FornitoreRow]').hide();
	$('tr[FornitoreRow='+IdFornitore+']').show();
	
	$('#IdFornitore').val(IdFornitore);
	
	$('#tdFornitore').html($('td[tdFornitoreRow='+IdFornitore+']').html());
	
	$('#tabs').tabs( "select", 3 );
}

function SelGradoUrgenza(GradoUrgenza)
{
	$('tr[GradoUrgenzaRow]').hide();
	$('tr[GradoUrgenzaRow='+GradoUrgenza+']').show();
	
	$('#GradoUrgenza').val(GradoUrgenza);
	
	$('#tdGradoUrgenza').html($('td[tdGradoUrgenzaRow='+GradoUrgenza+']').html());
	
	$('#tabs').tabs( "select", 4 );
}

function MostraTuttiGradiurgenza()
{
	$('tr[GradoUrgenzaRow]').show();
}

function ClearCampo(idHidden, idTd)
{
	$('#'+idHidden).val('');
	$('#'+idTd).html('');
	
	if ( idTd=='tdEdificio' )
		$('#tdEnte').html('');
}

function GeneraOrdiniMultipli()
{
	if (!confirm("Genera ordini multipli secondo le impostazioni indicate?")) return;
	
	var result = jhp("jhp/genera-ordini-multipli.php", jhp_frm(frmInserimentoOrdini));
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		RefreshSerie();
		frmRicercaRapporto.Serie.value = result.value;
		frmRicercaRapporto.AnnoOrdine.value = "";
		
		frmRicercaRapporto.btnRicerca.click();
		
		$('#tabs').tabs( "select", 5);
	}
}

function RefreshSerie()
{
	var result = jhp("jhp/serie-ordini.php", {});
	
	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#divSerie').html(result.value);
	}
}
