<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
	
$Anno = date("Y");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js?v=<?php echo time() ?>" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js?v=<?php echo time() ?>" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js?v=<?php echo time() ?>" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js?v=<?php echo time() ?>" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js?v=<?php echo time() ?>" type="text/javascript"></script>
	
	
	<link href="css/base.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
	<script src="js/index.js?v=<?php echo time() ?>" type="text/javascript"></script>
</head>
<body>

<form name="frmRicerca" method="post" >
	<table class=grid>
		<caption>Ricerca Ordine
		<tr><th>Numero<td><input type=text name=Numero size=10 />
			<th>Anno<td><input type=text name=Anno size=10 value="<?php echo $Anno ?>" />
		<tr><th colspan=4>
			<input type=button value="Reset" onclick="frmRicerca.reset()" />
			<input type=button name=btnRicerca value="Ricerca" onclick="RicercaOrdine()" />
	</table>
</form>

<br>

<?php

$sql = <<< sql
	SELECT IdDitta, Ditta FROM Ditte ORDER BY Ditta
sql;

$query = ntxQuery($sql);

$ListaFornitori = "<option value=''>";

while($rs=ntxiRecord($query))
{
	$id = $rs[0]; $text = htmlentities($rs[1]);

	$ListaFornitori .= "<option value='$id'>$text";
}

$sql = <<< sql
	SELECT IdMestiere, Descrizione FROM tblMestieri WHERE IdCommessa=$IdCommessa ORDER BY Descrizione
sql;

$query = ntxQuery($sql);

$ListaMestieri = "<option value=''>";

while($rs=ntxiRecord($query))
{
	$id = $rs[0]; $text = htmlentities($rs[1]);

	$ListaMestieri .= "<option value='$id'>$text";
}

?>

<form name="frmOrdine" method="post" >
	<table class=grid style="width:800px">
		<caption>Ordine in Edit
		<tr>
			<th>Numero<td><input type=text name=Numero size=10 readonly />
			<th>Anno<td><input type=text name=Anno size=10 value="" readonly />
		<tr>
			<th>Data Inizio<td><input type=text size=20 name=DataInizio />
			<th>Data Fine<td><input type=text size=20 name=DataFine  />
		<tr><th>Fornitore<td colspan=3><select name=Assegnazione style="width:100%"><?php echo $ListaFornitori ?></select>
		<tr><th>Mestiere<td colspan=3><select name=IdMestiere onchange="CaricaListaCompMestieri()" style="width:100%"><?php echo $ListaMestieri ?></select>
		<tr><th>Componente Mestiere<td colspan=3><select name=IdComponenteMestiere id=IdComponenteMestiere onchange="CaricaListaAttMestieri()" style="width:100%"></select>
		<tr><th>Attività Mestiere<td colspan=3><select name=IdAttivitàMestiere id=IdAttivitàMestiere style="width:100%"></select>
		
		<tr><th>Descrizione<td colspan=3><textarea name="Descrizione" style="width:100%;height:50px;" ></textarea>
		
		<tr><th>Descrizione Intervento Eseguito<td colspan=3><textarea name="Intervento" style="width:100%;height:50px;" ></textarea>
    
		<tr><th>Note Ordine<td colspan=3><textarea name="Note" style="width:100%;height:50px;" ></textarea>
		
		<tr><th>Stato Ordine<td colspan=3><input type="text" disabled="disabled" name="DesStato"  />
		
		<tr><th colspan=4>
			<input type=button name=btnMemorizza value="Memorizza Modifiche" onclick="MemorizzaModificheOrdine()" />
	</table>
</form>



</body>
</html>
