<?php

$gIdCommessa = ntxise('IdCommessa');
$_SESSION['NumOrdine'] = $gNumOrdine = ntxip('NumOrdine');
$_SESSION['AnnoOrdine'] = $gAnnoOrdine = ntxip('AnnoOrdine');

unset($_SESSION['Assegnazione']);

$sql =  <<< sql
	SELECT 
		Ordini.Assegnazione
		,Ordini.NumOrdine
		,Ordini.AnnoOrdine
		,Ordini.NumRichiesta
		,Ordini.AnnoRichiesta
		,Ordini.Contabiliz
		,Ordini.DataOrdine
		,tblPgPropietari.Nome AS Ente
		,ElencoEdifici.EdificioBreve
		,ElencoEdifici.Indirizzo
		,ElencoEdifici.CITTA
		,ElencoEdifici.PROVINCIA, 
		PianoLivello.CodiceAssLivello AS CodPiano, 
		DestinazioniDusoLivello.Destinazione AS DesPiano, 
		Ambiente.CodiceAssAmbiente AS CodVano, 
		DestinazioniDuso.Destinazione AS DesVano, 
		ComponentiAmbiente.CodiceAssComponente AS CodComp, 
		TipoComponente.DesComponente AS DesComp
	FROM         TipoComponente RIGHT OUTER JOIN
                      ComponentiAmbiente ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente RIGHT OUTER JOIN
                      Ordini INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato ON ComponentiAmbiente.IdCommessa = Ordini.IDCommessa AND 
                      ComponentiAmbiente.IdEdificio = Ordini.CodEdificio AND ComponentiAmbiente.IDComponente = Ordini.IdComponente LEFT OUTER JOIN
                      DestinazioniDuso RIGHT OUTER JOIN
                      Ambiente ON DestinazioniDuso.IdCommessa = Ambiente.IdCommessa AND DestinazioniDuso.IdDestinazioneuso = Ambiente.IdDestinazioneduso ON 
                      Ordini.IDCommessa = Ambiente.IdCommessa AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
                      Ordini.IdAmbiente = Ambiente.IDAmbiente LEFT OUTER JOIN
                      DestinazioniDusoLivello RIGHT OUTER JOIN
                      PianoLivello ON DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa AND DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso ON 
                      Ordini.IDCommessa = PianoLivello.IdCommessa AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
                      Ordini.IdLivello = PianoLivello.idPiano LEFT OUTER JOIN
                      TipologieIntervento ON Ordini.IDCommessa = TipologieIntervento.IdCommessa AND 
                      Ordini.IdTipologiaIntervento = TipologieIntervento.Id LEFT OUTER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (Ordini.IDCommessa = $gIdCommessa) AND (Ordini.NumOrdine = $gNumOrdine) AND (Ordini.AnnoOrdine = '$gAnnoOrdine')
sql;

$query = ntxQuery($sql);

if( $rs = ntxRecord($query) )
	$_SESSION['Assegnazione'] = $rs['Assegnazione'];

?>
