<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
	SELECT     count(*)
	FROM         Richieste
	WHERE     (IDCommessa = $IdCommessa) AND (NumOrdineFonte = $NumOrdine) AND (AnnoOrdineFonte = '$AnnoOrdine')
sql;

if ( ntxScalar($sql)!=0 )
	ntxmsgerr("La richiesta extra e' stata precedentemente generata!");	

$sql = <<<_SQL
SELECT ElencoEdifici.Rimosso
FROM  ElencoEdifici INNER JOIN
               Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio
WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine)
_SQL;
	
if( ntxScalar($sql)==1 )
	ntxmsgerr("Non e' possibile eseguire l'operazione richiesta.\nEdificio non utilizzabile!");	
	
if( strlen($_POST[NoteTecnicheAffidatario])<=0 )
	ntxMsgErr("Quando si genera un extra e' obbligatorio\ninserire la nota tecnica affidatario!");	

if($_POST[ImportoStimatoAffidatario]!=null)	
{
	if(is_numeric($_POST[ImportoStimatoAffidatario]))
		$_POST[ImportoStimatoAffidatario]=round((float)$_POST[ImportoStimatoAffidatario], 2);
} 

if($_POST[DataSospensione]!=null||$_POST[DataSospensione]!="")
 $DataUltimaSospensione=ntxtp('DataSospensione');
else
  $DataUltimaSospensione="getdate()";

$sql = "UPDATE Ordini SET "

		." [NoteTecnicheAffidatario] = ".		ntxsp('NoteTecnicheAffidatario', false, false)
		.", [ImportoStimatoAffidatario] = ".	ntxfp('ImportoStimatoAffidatario')
		
		.", [NoteTecnicheEsecutore] = ".		ntxsp('NoteTecnicheEsecutore')
		.", [ImportoStimatoEsecutore] = ".		ntxfp('ImportoStimatoEsecutore')

		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";
		
ntxQuery($sql);

require_once('genera_extra_2.inc');

require_once('_carica_ordine.inc');
?>
