<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$NumOrdine = ntxise('NumOrdine'); // usata anche in _carica_richiesta
$AnnoOrdine = ntxise('AnnoOrdine'); // usata anche in _carica_richiesta
	
$_POST[DataOrdine] = ntxDateTime(ntxScalar("SELECT DataOrdine FROM Ordini WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine) "));
$DataOrdine =ntxtp('DataOrdine');
$DataInizio=ntxtp('DataInizio');
$DataFine=ntxtp('DataFine');	 


//data inizio e data fine non devono essere inferiori alla data dell'ordine
$diff = ntxScalar("SELECT DATEDIFF ( day , $DataInizio, $DataOrdine )");
if($diff>0)
	ntxmsgerr("Errore! La DataInizio $_POST[DataInizio]  minore di DataOrdine $_POST[DataOrdine]  ");
	
$diff = ntxScalar("SELECT DATEDIFF ( day , $DataFine, $DataOrdine )");
if($diff>0)
	ntxmsgerr("Errore! La DataFine $_POST[DataFine]  minore di DataOrdine $_POST[DataOrdine]  ");
	

//data inizio non può essere maggiore della data fine  
$diff = ntxScalar("SELECT DATEDIFF ( day ,  $DataFine, $DataInizio )"); 
if($diff>0)
	ntxmsgerr("Errore! DataFine $_POST[DataFine]  minore di DataInizio $_POST[DataInizio]   ");
	 	
	
	
$sql = <<<_SQL
SELECT ElencoEdifici.Rimosso
FROM  ElencoEdifici INNER JOIN
               Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio
WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine)
_SQL;
	
if( ntxScalar($sql)==1 )
	ntxmsgerr("Non e' possibile eseguire l'operazione richiesta.\nEdificio non utilizzabile!");	
	
	
	
if ( $_POST[ForseFuoriCanone]==1  &&  strlen($_POST[NoteTecnicheAffidatario]) <=0 )
	ntxMsgErr("Quando l'ordine e' settato come fuori canone\ne' obbligatorio inserire note tecniche affidatario!");
	
$DataInizio=ntxtp('DataInizio');
$DataFine=ntxtp('DataFine');

$DataInizioSopralluogo=ntxtp('DataInizioSopralluogo');
$DataFineSopralluogo=ntxtp('DataFineSopralluogo');

$DataInizioProg=ntxtp('DataInizioProg');
$DataFineProg=ntxtp('DataFineProg');

$Intervento=ntxsp('Intervento');
$AnomaliaRiscontrata=ntxip('AnomaliaRiscontrata');
$StatoOrdP=ntxip('StatoOrd');
$StatoOrd=ntxip('StatoOrd');

$Descrizione = $_POST['Descrizione'];

$des1 = $Descrizione;

$des2 = $des3 = "";

//impedire la possibilità di definire la data di fine senza quella di inizio
if( (strlen($_POST[DataFine])>0)  &&  (strlen($_POST[DataInizio])==0) )
	ntxMsgErr("Inserire la DATA DI INIZIO!");

if ( strlen($Descrizione) > 255 )
{
	$des1 = substr($Descrizione, 0, 255); // prende i primi 255 caratteri
	$des2 = substr($Descrizione, 255); // prende i caratteri dal 256° in poi
}

if ( strlen($des2) > 255 )
{
	$des3 = substr($des2, 255); // prende i caratteri dal 256° in poi
	$des2 = substr($des2, 0, 255); // prende i primi 255 caratteri
	$des3 = substr($des3, 0, 255); // prende i primi 255 caratteri
}

$sql = "SELECT IDPres FROM PresenzaIntervento "
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";

$obj = ntxScalar($sql);

if(strlen($DataFine)>4) 
{
	if ( is_numeric($obj)  &&  $StatoOrd < 80 )
		$StatoOrd = 80;
	elseif ( $StatoOrd < 50 )
		$StatoOrd = 50;
}
elseif(strlen($DataInizio)>4  &&  $StatoOrd <= 50 ) 
	$StatoOrd = 40;
elseif ( $StatoOrd <= 50 )
	$StatoOrd = 35;
	
$Ordini= new NtxTable("Ordini");

$UpdateOrdini= $Ordini->update();

$UpdateOrdini->init();

	$UpdateOrdini->setp("IdMestiere");
	$UpdateOrdini->setp("IdComponenteMestiere");
	$UpdateOrdini->setp("IdAttivitàMestiere");
	$UpdateOrdini->setp("DataInizioProg");
	$UpdateOrdini->setp("DataFineProg");
	$UpdateOrdini->setp("DataInizio");
	$UpdateOrdini->setp("DataFine");
	$UpdateOrdini->setp("DataInizioSopralluogo");
	$UpdateOrdini->setp("DataFineSopralluogo");
	$UpdateOrdini->setp("Intervento");
	$UpdateOrdini->setp("AnomaliaRiscontrata");
	$UpdateOrdini->setp("PrestazioneEffettuata");
	$UpdateOrdini->setp("AnomaliaBloccante");
	$UpdateOrdini->setp("InterventoRisolutivo");
	$UpdateOrdini->setp("InterventoIdoneo");
	$UpdateOrdini->setp("DataAggiornamentoCensimento");
	$UpdateOrdini->setp("Note");
	$UpdateOrdini->setp("ForseFuoriCanone");
	$UpdateOrdini->setp("SicuramenteCanone");
	
	$UpdateOrdini->setp("NumRisorse");
	$UpdateOrdini->setp("OreRisorse");
	$UpdateOrdini->setp("Trasferta");
	
	if ( is_numeric($_POST[RAC]) )
		$UpdateOrdini->set("RichiestoAggiornamentoCensimento", $_POST[RAC]);
		
	/*if(isset($_POST[ForseFuoriCanone]) && $_POST[ForseFuoriCanone]==1)
	{
		$UpdateOrdini->setp("NoteTecnicheAffidatario");

		$UpdateOrdini->setp("ImportoStimatoAffidatario");
	}*/
	$UpdateOrdini->setp("NoteTecnicheAffidatario");
	$UpdateOrdini->setp("ImportoStimatoAffidatario");
	
	$UpdateOrdini->setp("NoteTecnicheEsecutore");
	$UpdateOrdini->setp("ImportoStimatoEsecutore");
		
	$UpdateOrdini->setp("DataSospensione");
	$UpdateOrdini->setp("DataRipresaProg");
	$UpdateOrdini->setp("DataRipresa");
	$UpdateOrdini->setp("NoteSospensione");

	$UpdateOrdini->set("DescrizioneIntervento", $des1);
	$UpdateOrdini->set("DescrizioneIntervento1", $des2);
	$UpdateOrdini->set("DescrizioneIntervento2", $des3);
	
	$UpdateOrdini->set("StatoOrd", $StatoOrd);

	$UpdateOrdini->wherep("IdCommessa");	
	$UpdateOrdini->wherep("NumOrdine");	
	$UpdateOrdini->wherep("AnnoOrdine");	
									   
$UpdateOrdini->execute();	

if ( $StatoOrd == "50")
{
	$add_OGGETTO_MSG = "";
	if($StatoOrdP==50)//in questo caso i messaggi vengono inviati per la seconda volta o più
	{
		$add_OGGETTO_MSG = "ULTERIORI INFORMAZIONI";
	}

	require_once(NTX_WEBPORTAL_PATH.'messaggi/chiuso_ordine/start.php');
	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/chiusura_ordine/start.php');
}

require_once('_carica_ordine.inc');

?>
