<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');


$sql = <<<_SQL
SELECT ElencoEdifici.Rimosso
FROM  ElencoEdifici INNER JOIN
               Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio
WHERE (Ordini.IDCommessa = $IdCommessa) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.NumOrdine = $NumOrdine)
_SQL;
	
if( ntxScalar($sql)==1 )
	ntxmsgerr("Non e' possibile eseguire l'operazione richiesta.\nEdificio non utilizzabile!");	
	


if( strlen($_POST[NoteTecnicheAffidatario])<=0 )
	ntxMsgErr("Quando si genera un extra e' obbligatorio\ninserire la nota tecnica affidatario!");	

if($_POST[ImportoStimatoAffidatario]!=null)	
{
	if(is_numeric($_POST[ImportoStimatoAffidatario]))
		$_POST[ImportoStimatoAffidatario]=round((float)$_POST[ImportoStimatoAffidatario], 2);
} 

//1. salvare stato precedente e mettere ordine in 60
$sql = <<< sql
	SELECT 	StatoOrd
	FROM	Ordini
	WHERE 	(IDCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine')
sql;

$StatoOrdine=ntxScalar($sql);

if($_POST[DataSospensione]!=null||$_POST[DataSospensione]!="")
 $DataUltimaSospensione=ntxtp('DataSospensione');
else
  $DataUltimaSospensione="getdate()";

$sql = "UPDATE Ordini SET "

		."StatoOrd = 60"
		
		.", StatoPrimaSospensione = ".$StatoOrdine	
		
		.",ForseFuoriCanone = 1"
		
		.", UtenteForseFuoriCanone = ".		ntxsse('Utente')

		.", [NoteTecnicheAffidatario] = ".		ntxsp('NoteTecnicheAffidatario', false, false)
		.", [ImportoStimatoAffidatario] = ".	ntxfp('ImportoStimatoAffidatario')
		
		.", [NoteTecnicheEsecutore] = ".		ntxsp('NoteTecnicheEsecutore')
		.", [ImportoStimatoEsecutore] = ".		ntxfp('ImportoStimatoEsecutore')
		
		.", DataForseFuoriCanone = getdate()"

		.", DataSospensione =". $DataUltimaSospensione
		.", [NoteSospensione] = ".		ntxsp('NoteTecnicheAffidatario', false, false)
		
		." WHERE IdCommessa = $IdCommessa "
		." AND NumOrdine = $NumOrdine "
		." AND AnnoOrdine = '$AnnoOrdine';";
		
ntxQuery($sql);

$sql = <<< sql
	SELECT TOP 1    count(*)
	FROM         Richieste
	WHERE     (IDCommessa = $IdCommessa) AND (NumOrdineFonte = $NumOrdine) AND (AnnoOrdineFonte = '$AnnoOrdine')
sql;

if ( ntxScalar($sql)==0 )
	require_once('genera_extra_2.inc');


// GENERA RICHIESTA EXTRACANONE con note personalizzate e stato in attesa di valutazione
// INVIO MESSAGGIO A CLIENTE AUTORIZZATORE

$sql = <<< SQL
		SELECT     Richieste.Localizzazione, Richieste.IdMestiere, Richieste.DataRichiesta, Richieste.IdAffidatario
		FROM         Richieste INNER JOIN
		                      Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
		                      Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$query = ntxQuery($sql);

if ( $rs = ntxIRecord($query) ) 
{
	$Localizzazione = $rs[0];
	$IdMestiere = $rs[1];
	$DataRichiesta = ntxt(ntxDate($rs[2]));
	$IdAffidatario = $rs[3];
	
	$emailRifFuori = null;
		
	if ( is_numeric($IdAffidatario) )
	{
		$sqlEmailRifFuori = <<< sql
			SELECT DISTINCT email_1
			FROM         tblPgRifAffidatari
			WHERE     (VistaFuoriContratto = 1) 
				AND (IdAffidatario = $IdAffidatario)			
				AND (email_1 IS NOT NULL)
				AND (email_1 <> '')
sql;
		$query = ntxQuery($sqlEmailRifFuori);
		
		while( $rs = ntxIRecord($query) )
		{
			$emailRifFuori[] = $rs[email_1];
		}
	}

	$sql = <<< SQL
				SELECT DISTINCT tblPgRifAffidatari.email_1
				FROM tblComponetiMestiere INNER JOIN
					tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
					tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
					tblPgContrattiRifAffidatari INNER JOIN
					tblPgContrattiRifAffidatariAttivitàEdifici ON 
					tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
					tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
					tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
					tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
					tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
				WHERE (tblComponetiMestiere.IdMestiere = $IdMestiere) 
					AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) 
					AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa)
					AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) 
					AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)
					AND (tblPgRifAffidatari.email_1 IS NOT NULL)
					AND (tblPgRifAffidatari.email_1 <> '')
SQL;

	if ( is_numeric($IdAffidatario) )
		$sql .= " AND tblPgRifAffidatari.IdAffidatario = $IdAffidatario ";

	$queryEmailRif1 = ntxQuery($sql);
	
	$NonTrovataEmailRif1 = true;
	
	$oggetto = $messaggio = "l'ordine $NumOrdine/$AnnoOrdine ha forse superato la franchigia";
	
	while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"f-superato la franchigia",				
				"ordine $NumOrdine/$AnnoOrdine",			
				"email",		
				$rsEmailRif1[0],		
				$oggetto,				
				$messaggio,
				true);	
	
		$NonTrovataEmailRif1 = false;
	}
	
	if ( $NonTrovataEmailRif1  &&  isset($emailRifFuori) )
	{
		if ( is_array($emailRifFuori) || is_object($emailRifFuori) )
		 foreach ( $emailRifFuori as $email )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					"f-superato la franchigia",				
					"ordine $NumOrdine/$AnnoOrdine",			
					"email",		
					$email,		
					$oggetto,				
					$messaggio,
					true);	
		
			$NonTrovataEmailRif1 = false;
		}
	}
	
	if ( $NonTrovataEmailRif1 )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"f-superato la franchigia",				
				"ordine $NumOrdine/$AnnoOrdine",			
				"email",		
				EMAIL_DEBUG,		
				$oggetto,				
				$messaggio,
				true);	
	}
}

require_once('_carica_ordine.inc');
?>
