<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="report.css" rel="stylesheet" type="text/css">
</head>
<body>
<?php

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< SQL
	SELECT     ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, 
						  Ordini.DescrizioneIntervento2
	FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine) 
SQL;

$query = ntxQuery($sql);

$rs = ntxIRecord($query);

?>

<p class=title><?php echo htmlentities("Rif. Ordine \"$NumOrdine/$AnnoOrdine\" Edificio \"{$rs[0]}-{$rs[1]}\" - Indirizzio \"{$rs[2]}\" - Comune \"{$rs[3]}\" - Descrizione \"{$rs[4]}{$rs[5]}{$rs[6]}\"") ?></p>

<?php

$TotLordo = 0;
$TotNetto = 0;

$sql = <<< SQL
	SELECT     Costi.Cod, Costi.Descrizione, Costi.UM, Costi.QTA, Costi.CostoUnit AS PzUnitario, Costi.Sconto, 
					  Costi.Titolo, Costi.DescrEstesa, Costi.Prezziario, Costi.NotaRiga
	FROM         Costi   
	WHERE     (Costi.IDCommessa = $IdCommessa) AND (Costi.NumOrdine = $NumOrdine) AND (Costi.AnnoOrdine = $AnnoOrdine)
	ORDER BY Costi.Cod
SQL;


$query = ntxQuery($sql);

?>
<table>
	<tr>
		<th>Preziario</th>
		<th>Codice</th>
		<th>Titolo</th>
		<th>Descrizione</th>
		<th>Descr.Estesa</th>
		<th>NotaRiga</th>
		<th>UM</th>
		<th>QTA</th>
		<th>Prezzo Unitario</th>
		<th>Sconto</th>
		<th>Totale Lordo</th>
		<th>Totale Netto</th>
	</tr>   

<?php
	while( $rs = ntxRecord($query) )
	{
		$Lordo = $rs['QTA'] * $rs['PzUnitario'];
		$Netto = $rs['QTA'] * $rs['PzUnitario'] * (1-$rs['Sconto']/100.0);
?>
	<tr>
			<td>&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['NotaRiga']) ?></td>			
			<td>&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
			<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['QTA'],2) ?></td>
			<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['PzUnitario'],2) ?></td>
			<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['Sconto'],2) ?></td>
			<td class=number>&nbsp;<?php echo ntxRoundThousand($Lordo,2) ?></td>
			<td class=number>&nbsp;<?php echo ntxRoundThousand($Netto,2) ?></td>
	</tr>
<?php
		if ( is_numeric($Lordo) ) 
			$TotLordo += (float)($Lordo);

		if ( is_numeric($Netto) ) 
			$TotNetto += (float)($Netto);
	}

?>
	<tr><th colspan=10 class=number>TOTALE:</th>
	<th class=number><?php echo ntxRoundThousand($TotLordo,2) ?></th>
	<th class=number><?php echo ntxRoundThousand($TotNetto,2) ?></th>
</table>

</body>
</html>
