<?php

$sqlPrevDaAutoriz = <<< sql
	SELECT     SUM(ISNULL(RihePreventivi.QTA * RihePreventivi.PzUnitario, 0) * (1 - ISNULL(RihePreventivi.Sconto, 0) / 100)) AS Expr1
	FROM         Richieste INNER JOIN
						  ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
						  GruppiLocElEdifici ON ElencoEdifici.IdCommessa = GruppiLocElEdifici.IdCommessa AND ElencoEdifici.ID = GruppiLocElEdifici.IdEdificio INNER JOIN
						  Preventivi ON Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND 
						  Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta INNER JOIN
						  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo
	WHERE     (GruppiLocElEdifici.IdCommessa = $IdCommessa) AND (GruppiLocElEdifici.IdGruppo = GruppiLocaliz.IdGruppo) AND (Richieste.Stato = 15) AND (Preventivi.IdVoce = VociBudgetClienti.Id) AND 
						  (YEAR(Richieste.DataRichiesta) = BudgetGruppiVociClienti.Anno)
sql;

$sqlPrevAutoriz = <<< sql
	SELECT     SUM(ISNULL(RihePreventivi.QTA * RihePreventivi.PzUnitario, 0) * (1 - ISNULL(RihePreventivi.Sconto, 0) / 100)) AS Expr1
	FROM         Richieste INNER JOIN
						  ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
						  GruppiLocElEdifici ON ElencoEdifici.IdCommessa = GruppiLocElEdifici.IdCommessa AND ElencoEdifici.ID = GruppiLocElEdifici.IdEdificio INNER JOIN
						  Preventivi ON Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND 
						  Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta INNER JOIN
						  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo
	WHERE     (GruppiLocElEdifici.IdCommessa = $IdCommessa) AND (GruppiLocElEdifici.IdGruppo = GruppiLocaliz.IdGruppo) AND (Richieste.Stato = 18 OR Richieste.Stato = 35) 
	AND (Preventivi.IdVoce = VociBudgetClienti.Id) AND 
						  (YEAR(Preventivi.DataCompetenza) = BudgetGruppiVociClienti.Anno)
						  AND NOT EXISTS (SELECT     Contabilità.IDCommessa
											FROM         Contabilità INNER JOIN
																  Ordini ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
																  Contabilità.AnnoOrdine = Ordini.AnnoOrdine
											WHERE     (Contabilità.idstatoc>=40) AND (Ordini.IDCommessa = Richieste.IDCommessa) 
											AND (Ordini.NumRichiesta = Richieste.NumRichiesta) 
											AND (Ordini.AnnoRichiesta =Richieste.AnnoRichiesta) )
sql;

$sqlContDaAutoriz = <<< sql
	SELECT    SUM(c.ImportoStimatoC)
	FROM         Contabilità c INNER JOIN
						  ElencoEdifici e ON c.IDCommessa = e.IdCommessa AND c.CodEdificio = e.ID INNER JOIN
						  GruppiLocElEdifici g ON e.IdCommessa = g.IdCommessa AND e.ID = g.IdEdificio
	WHERE   (c.idstatoc>=40) AND   (g.IdCommessa = $IdCommessa) AND (g.IdGruppo = GruppiLocaliz.IdGruppo) AND (c.Approvato IS NULL OR c.Approvato = 0)
	AND c.IdVoce=VociBudgetClienti.Id
	AND YEAR(c.DataContabilità)=BudgetGruppiVociClienti.Anno
sql;

$sqlContAutoriz = <<< sql
	SELECT    SUM(c.ImportoStimatoC)
	FROM         Contabilità c INNER JOIN
						  ElencoEdifici e ON c.IDCommessa = e.IdCommessa AND c.CodEdificio = e.ID INNER JOIN
						  GruppiLocElEdifici g ON e.IdCommessa = g.IdCommessa AND e.ID = g.IdEdificio
	WHERE     (g.IdCommessa = $IdCommessa) AND (g.IdGruppo = GruppiLocaliz.IdGruppo) AND (c.Approvato = 1)
	AND c.IdVoce=VociBudgetClienti.Id
	AND YEAR(c.DataCompetenza)=BudgetGruppiVociClienti.Anno
sql;

?>
