<?php
require_once(NTX_WEBPORTAL_PATH.'_database.inc');


$IdCommessa = ntxise('IdCommessa'); 
$NumRichiesta = ntxip('NumRichiesta'); 
$AnnoRichiesta = ntxip('AnnoRichiesta'); 
$IdAffidatario = ntxip('IdAffidatario'); 

if(!is_numeric($NumRichiesta)||!is_numeric($AnnoRichiesta))
	ntxmsgerr("Impossibile continuare!\nNumero e Anno richiesta non numeri interi.");

if(!is_numeric($IdAffidatario))
	ntxmsgerr("Impossibile continuare!\nAffidatario non numero intero.");
	
	

$sql = <<<_SQL
	SELECT Stato 
	FROM  Richieste 
	WHERE 
		Richieste.IdCommessa = $IdCommessa 
		AND Richieste.NumRichiesta = $NumRichiesta 
		AND Richieste.AnnoRichiesta = $AnnoRichiesta 
_SQL;
		
$Stato = (int) ntxScalar($sql);	
	
if( $Stato==4 )
{
	$sql = <<<_SQL
		SELECT IdAffidatario 
		FROM  Richieste 
		WHERE 
			Richieste.IdCommessa = $IdCommessa 
			AND Richieste.NumRichiesta = $NumRichiesta 
			AND Richieste.AnnoRichiesta = $AnnoRichiesta 
_SQL;
			
	$precedenteAffidatario = ntxScalar($sql);

		
	$sql = "UPDATE Richieste SET "

			."  IdAffidatario = ".		$IdAffidatario	

			." WHERE Richieste.IdCommessa = $IdCommessa "
			." AND Richieste.NumRichiesta = $NumRichiesta "
			." AND Richieste.AnnoRichiesta = $AnnoRichiesta ";
			
	ntxQuery($sql);


	if( $IdAffidatario!=$precedenteAffidatario )	
	{
		$sql = <<<_SQL
		INSERT INTO RichiesteAffidatari
			([IdCommessa]
			,[NumRichiesta]
			,[AnnoRichiesta]
			,[IdVecchioAffidatario]
			,[IdNuovoAffidatario]
			,[DataModifica])
		VALUES
			( 
				$IdCommessa
				,$NumRichiesta
				,$AnnoRichiesta
				,$precedenteAffidatario 
				,$IdAffidatario
				,getdate()
			)
_SQL;
		
		ntxQuery($sql);
		
		require_once(NTX_WEBPORTAL_PATH."messaggi/affidatario_pilota/cambio_su_richiesta/start.php");
	}

	ntxMsgResult( '' );
}

ntxMsgErr("Impossibile continuare!\nE' possibile cambiare l'affidatario solo se lo stato della richiesta e' \"Richiesta Preventivo\"!");
	
	
?>
