<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');


?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php

$DataContabilità1 = ntxtp('DataContabilità1', false);
$DataContabilità2 = ntxtp('DataContabilità2', false);

require_once('query.inc');

?>
<form name=frmExcel method=post action="excel.php" target=frame2>
	<input type=hidden name=IdPropietario value="<?php  echo ntxJS($_POST[IdPropietario]) ?>">
	<input type=hidden name=IdEdificio value="<?php  echo ntxJS($_POST[IdEdificio]) ?>">
	<input type=hidden name=Stato2 value="<?php  echo ntxJS($_POST[Stato2]) ?>">
	<input type=hidden name=Stato value="<?php  echo ntxJS($_POST[Stato]) ?>">
	<input type=hidden name=TipoLocalizzazione value="<?php  echo ntxJS($_POST[TipoLocalizzazione]) ?>">
	<input type=hidden name=DataContabilità1 value="<?php  echo ntxJS($_POST[DataContabilità1]) ?>">
	<input type=hidden name=DataContabilità2 value="<?php  echo ntxJS($_POST[DataContabilità2]) ?>">
</form>

<iframe name=frame2 style="width:1px;height:1px"></iframe>

<table>
	<tr>
		<th colspan=6>Contabilità
		<td rowspan=2><input type=button value="Excel" onclick="document.frmExcel.submit()">
	</tr>
	<tr>
		<th>Stato:<td>&nbsp;<?php echo htmlentities($DesStato) ?>
		<th>&nbsp;<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità1]) ?>
		<th><= Data Contabilità <=<td>&nbsp;<?php echo htmlentities($_POST[DataContabilità2]) ?>
	</tr>
</table>
<br>

<table align=left>
	<tr>
		<th>Num. Contabilità</th>
		<th>Data Contabilità</th>
		<th>Stato</th>
		<th>Richiesta</th>
		<th>Ordine</th>
		<th>GU</th>
		<th>Descrizione</th>
		<th>Cod. Localizzazione</th>
		<th>Localizzazione</th>
		<th>Fatturato</th>
		<th>Num. Sal</th>
		<th>Data Sal</th>
		<th>Note</th>
		<th>Importo Netto</th>
		<th>Costi</th>
		<th>Utile</th>
		<th>Fornitore</th>
		<th>Indirizzo
		<th>Attività Eseguita
		<th>Note Ordine
		<th>Data Inizio
		<th>Data Fine
		<th>Mestiere
		<th>Ente
		<th>N.OPF
		<th>NRPF
		<th>NumeroFatturaCliente 
		<th>DataFatturaCliente 
		<th>NoteSalCliente 
		<th>NumeroFatturaFornitore
		<th>DataFatturaFornitore 
		<th>NoteSalFornitore 
		<th>StatoOrdine
		<th>&nbsp;</th>
	</tr>
<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NumContabilità']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataContabilità']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['DesstatoC']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo (int)$rs['NumRichiesta'].'/'.$rs['AnnoRichiesta'] ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['GU']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Descrizione']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['CodEdificio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Edificio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php if ($rs['Fatturato']==1) echo "SI"; else echo "no" ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NumSal']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataSal']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Note']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($rs['Costi'],2) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRoundThousand($rs['ImportoNetto']-$rs['Costi'],2) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Ditta']) ?></td>

		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities("$rs[Indirizzo] $rs[CITTA] ($rs[Prov])") ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Intervento']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NoteOrdine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['DataInizio']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['DataFine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Mestiere']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Ente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NOPF']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NRPF']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NumeroFatturaCliente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['DataFatturaCliente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NoteSalCliente']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NumeroFatturaFornitore']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['DataFatturaFornitore']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['NoteSalFornitore']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['StatoOrdine']) ?></td>

		<td <?php echo  $alternate ? "" : "class=td2" ?> height=10>
				<input type=button value="Report" onclick="Report(<?php echo "$rs[NumOrdine], $rs[AnnoOrdine]" ?>)">
			</td>
		</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

<form name=form1 method=post>
	<input TYPE=HIDDEN NAME=NumOrdine VALUE="" >
	<input TYPE=HIDDEN NAME=AnnoOrdine VALUE="" >
</form>

<script language=javascript>

	function Report(NumOrdine, AnnoOrdine)
	{
		form1.NumOrdine.value = NumOrdine;
		form1.AnnoOrdine.value = AnnoOrdine;
		form1.action = "../../contabilita/contab_ord/report/index.php";
		form1.target = "_blank";
		form1.submit();
	}


</script>


</body>
</html>
