<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('ordini_sql.inc');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>
	
<table border>
	<tr>
		<th>Num.</th>
		<th>Anno</th>
		<th>Richiesta</th>
		<th>Richiedente</th>
		<th>Data</th>
		<th>Riferimento</th>
		<th>Classificazione</th>
		<th>GradoUrgenza</th>
		<th>Tipo Valutazione</th>
		<th>Fornitore</th>
		<th>Mestiere</th>
		<th>Componete</th>
		<th>Attività</th>
		<th>Localizzazione</th>
		<th>Descrizione</th>
		<th>Data Scadenza</th>
		<th>Data Inizio P</th>
		<th>Data Fine P</th>
		<th>Data Inizio</th>
		<th>Data Fine</th>
		<th>Superamento Franchigia</th>
		<th>Conferma Canone</th>			
		<th>Importo Stimato</th>
		<th>Importo Contabilità</th>
		<th>Stato Contabilità</th>		
		<th>Numero Sal</th>
		<th>N.Documenti</th>
		<th>N.Comunicazioni</th>
		<th>Ente</th>
	</tr>   

<?php
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td>&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NumRichiesta']."/".$rs['AnnoRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']."<br>".$rs['DataOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Riferimento']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Contabiliz']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['GrUrgenza']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['TipoValutazione']) ?></td>
	
		<td>&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
	
		<td>&nbsp;<?php echo htmlentities("$rs[CodMest] - $rs[DesMest]") ?></td>
		<td>&nbsp;<?php echo htmlentities("$rs[CodComp] - $rs[DesComp]") ?></td>
		<td>&nbsp;<?php echo htmlentities("$rs[CodAtt] - $rs[DesAtt]") ?></td>

		<td>&nbsp;<?php echo htmlentities("($rs[Codice]) - $rs[Nome] - $rs[Comune] ($rs[Provincia])") ?></td>
		
		<td>&nbsp;<?php echo htmlentities($rs['Des']) ?></td>

		<td>&nbsp;<?php echo ntxDateTime($rs['DataScadenza']) ?></td>

		<td>&nbsp;<?php echo ntxDateTime($rs['DataInizioProg']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataFineProg']) ?></td>

		<td>&nbsp;<?php echo ntxDateTime($rs['DataInizio']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataFine']) ?></td>
		
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['FFC']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['SC']) ?></td>			

		<td>&nbsp;<?php echo ntxDateTime($rs['ImportoStimato']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['ImpCont']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DesstatoC']) ?></td>		
		<td>&nbsp;<?php echo ntxDateTime($rs['NumSal']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['ConteggioDocumenti']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['ConteggioComunicazioni']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Ente']) ?></td>
	</tr>
<?php
	}
?>
</table>

</body>
</html>

