<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once(NTX_WEBPORTAL_PATH."prop_utenti\\modo_nest.inc"); // restituisce $ModoNest bit
	
require_once('richieste_sql.inc');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>


<table>
	<tr>
		<th>Num</th>
		<th>Anno</th>
		<th>Data</th>
		<th>Richiedente</th>
		<th>Classificazione</th>
		<th>Stato</th>
		<th>Descrizione</th>
		<th>Importo Stimato</th>
		<th>Nota Affidatario</th>				
<?php if ($ModoNest!=1) {?> <th>Ente</th> <?php } ?>
			<th>Codice Localiz.</th>
		<th>Localizzazione</th>
		<th>ordine assegnato</th>
		<th>Originata da ordine</th>
<?php if ($ModoNest!=1) {?> <th>Utilizzatore</th> <?php } ?>
		<th>IdChiamataCallCenter</th>
	</tr>   

<?php

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td>&nbsp;<?php echo htmlentities($rs['NumRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['AnnoRichiesta']) ?></td>
		<td>&nbsp;<?php echo ntxDateTime($rs['DataRichiesta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Classificazione']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Des']) ?></td>
		<td><?php echo ntxRound($rs['ImpS'],2) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NoteImpS']) ?></td>		
<?php if ($ModoNest!=1) {?> <td>&nbsp;<?php echo htmlentities($rs['Ente']) ?></td> <?php } ?>
		<td>&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td  >&nbsp;<?php echo htmlentities("$rs[Nome] - $rs[Indirizzo] $rs[Comune] ($rs[Provincia]) - $rs[Cap]") ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php if ( is_numeric($rs[NumOrdine]) ) echo htmlentities((int)$rs[NumOrdine]."/$rs[AnnoOrdine]") ?></td>
		<td>&nbsp;<?php if ( is_numeric($rs[NumOrdineFonte]) ) echo htmlentities((int)$rs[NumOrdineFonte]."/$rs[AnnoOrdineFonte]") ?></td>
<?php if ($ModoNest!=1) {?> <td>&nbsp;<?php echo htmlentities($rs['Utilizzatore']) ?></td> <?php } ?>
			<td>&nbsp;<?php echo htmlentities($rs['IdChiamataCallCenter']) ?></td>
	</tr>
<?php
	}
?>
</table>

</body>
</html>
