<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery/jquery-ui-1.8.14.custom/smoothness/style.css" rel="stylesheet" type="text/css">
	
	<script type="text/javascript" src="/repository/libs/jquery/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery/jquery-ui-1.8.14.custom.min.js"></script>
	<script type="text/javascript" src="/repository/libs/jhp/jhp-1.1.1.min.js"></script>
	<script type="text/javascript" src="index.js?v4"></script>
</head>
<body>

<div id=dettagio_sal></div>

<?php

$sql = "SELECT IdDitta, Ditta FROM Ditte ORDER BY Ditta";

$query = ntxQuery($sql);

$optionsDitte = "<option value=''></option>";

while ( $rs=ntxIRecord($query) )
{
	$html = htmlentities($rs[1]);
	
	$optionsDitte .= "<option value=$rs[0]>$html</option>";
}

$Utente = ntxsse('Utente');

$sql = <<< sql
		SELECT     VociBudgetClienti.Id, VociBudgetClienti.Voce
		FROM         Utenti INNER JOIN
							  UtentiProprietari ON Utenti.Id = UtentiProprietari.IdUtente INNER JOIN
							  VociBudgetClienti ON UtentiProprietari.IdProprietario = VociBudgetClienti.IdCliente
		WHERE     (Utenti.Nome = $Utente)
		ORDER BY VociBudgetClienti.Voce
sql;


$query = ntxQuery($sql);

$optionsVoci = "<option value=''></option>";

while ( $rs=ntxIRecord($query) )
{
	$html = htmlentities($rs[1]);
	
	$optionsVoci .= "<option value=$rs[0]>$html</option>";
}

?>

<form id="form1" method=post name=form1 >
	<input type=hidden id=IdSal name=IdSal value="" >
			
	<table class=grid style="width:1px">
		<caption>Filtro Contabilità per SAL Contratto Gestione</caption>
		<tr><th>Data Confronto<td><select name=data_confronto>
				<option value="">
				<option value="Ordini.DataInizio">Inizio Lavori
				<option value="Ordini.DataFine">Fine Lavori
				<option value="Contabilità.DataContabilità">Contabilità
				<option value="Contabilità.DataApprovazione">Approvazione
				<option value="Contabilità.DataConsegna">Consegna
			</select>
			<td>&gt;=<input type=text id=data1 name=data1 size=15 />
			<td>&lt;=<input type=text id=data2 name=data2 size=15 />
		<tr><th colspan=2><input type=checkbox name=chkContratto id=chkContratto><label for=chkContratto>Contabilità&nbsp;su&nbsp;Ordini&nbsp;Associati&nbsp;a&nbsp;Contratto</label>
			<th colspan=2><input type=checkbox name=chkProprietari id=chkProprietari checked><label for=chkProprietari>Contabilità&nbsp;su&nbsp;Edifici&nbsp;Associati&nbsp;a&nbsp;Proprietari&nbsp;Contratto</label>

		<tr><th colspan=4>Localizzazione
		<tr><th>ID<td><input type=text name=ID2 size=25 />
			<th>Codice<td><input type=text name=Codice size=25 />
		<tr><th>Nome Breve<td><input type=text name=EdificioBreve size=25 />
			<th>Nome Esteso<td><input type=text name=EdificioEstesa size=25 />
		<tr><th>Indirizzo<td><input type=text name=Indirizzo size=25 />
			<th>Comune<td><input type=text name=CITTA size=25 />
		<tr><th>Prov<td><input type=text name=PROVINCIA size=25 />
			<th>Regione<td><input type=text name=Regione size=25 />
		<tr><th>Cap<td><input type=text name=CAP size=25 />
			<th>Tipo<td><select name=Tipo style="width:100%">
				<option value=''></option>
				<option value=0 SELECTED>Edificio</option>
				<option value=1>Strada</option>
				<option value=2>Verde</option>
			</select>
		<tr><th>Voce Budget<td colspan=3><select name=IdVoce style="width:100%">
				<?php echo $optionsVoci ?>
			</select>
		<tr><th colspan=4>
			<input type=button style="width:49%"  value=Cerca  onclick="Cerca()">
			<input type=button style="width:49%"    value=Azzera    onclick="Azzera()">
	</table>
</form>


<div id=rihe_contabilita></div>
<br>
<input type=button value="Sel.Tutto" onclick="$('input[type=checkbox][SpuntaSelect]').attr('checked',true)" />
<input type=button value="Sel.Niente" onclick="$('input[type=checkbox][SpuntaSelect]').attr('checked',false)" />
<br>
<br>
<table class=grid>
	<tr>
		<th>Totale Importo Netto
		<th>Edit Ordine Cliente (NEL)</th>
		<td rowspan=2><input type=button value=Edit onclick="EditGruppoF()" />
	<tr>
		<td id=tdTotImpNetto>
		<td><input type=text id=GruppoF size=25 />
</table>
<br>
<input type=button value="ASSOCIA PROV" onclick="Azione('associa', 'prov')">
<input type=button value="DISSOCIA PROV" onclick="Azione('dissocia', 'prov')">
-
<input type=button value="ASSOCIA DEF" onclick="Azione('associa', 'def')">
<input type=button value="DISSOCIA DEF" onclick="Azione('dissocia', 'def')">
<br>
<br>
<div style="background-color: rgb(255,50, 50);text-align:center;color:white;font-size:12pt;font-weight:bold">
ATTENZIONE!!! Questa operazione può essere effettuata solo una volta <br>
<input type=button value="VALIDAZIONE SAL" onclick="ValidazioneSAL()"> <br>
ATTENZIONE!!!
</div>

</body>
</html>
