<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_124", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_124", "IT", __FILE__);

$sql = "SELECT TOP 1 RootCommesse FROM _root";

$RootCommesse = ntxScalar($sql);

if ( !is_dir($RootCommesse) )
	ntxMsgErr("Cartella root commesse '$RootCommesse' non settata o errata!");

$sql="SELECT IDCommessa FROM Commesse WHERE DesComm=".ntxsp('DesComm', false, false);//doppio false: non nullo e non stringa vuota

if( is_numeric(ntxscalar($sql)))
	ntxMsgErr($traduttore->traduci('La descrizione della commessa e\' stata gia\' usata per un altra commessa'));

$subsql="SELECT MAX(IDCommessa) FROM Commesse";

//se il risulato che esce dall successiva query è un valore nullo la funzione lo sostituisce con 0, il più 1 incrementa il valore di uno
//in questo modo ci da il successivo indice disponibile per un nuovo record
$sql="SELECT ISNULL( ($subsql),0 )+1";

//ottengo il prossimo ID per un record Commessa
$IdCommessa = ntxScalar($sql);

$CartellaCommessa = "$RootCommesse\\Commessa_".str_pad($IdCommessa, 5, "0", STR_PAD_LEFT);
$CartellaDwg = "$CartellaCommessa\\dwg";

if (!is_dir($CartellaCommessa)) mkdir($CartellaCommessa);
if (!is_dir($CartellaDwg)) mkdir($CartellaDwg);

$CartellaCommessa = str_replace("'","''",$CartellaCommessa);
$CartellaDwg = str_replace("'","''",$CartellaDwg);

$Commesse= new NtxTable("Commesse");

$Insert= $Commesse->insert();

$Insert->set("IDCommessa", 	$IdCommessa);
$Insert->set("DesComm", 	$_POST[DesComm]);
$Insert->set("LINGUA_IN_USO", 	$_POST[LINGUA_IN_USO]);
$Insert->set("Cliente", 	$_POST[Cliente]);
$Insert->set("Indirizzo", 	$_POST[Indirizzo]);
$Insert->set("Civico", 		$_POST[Civico]);
$Insert->set("Comune", 		$_POST[Comune]);
$Insert->set("Provincia", 	$_POST[Provincia]);
$Insert->set("Cap", 		$_POST[Cap]);
$Insert->set("CodFisc", 	$_POST[CodFisc]);
$Insert->set("ImportoContratto", 	$_POST[ImportoContratto]);
$Insert->set("DurataContratto", 	$_POST[DurataContratto]);
$Insert->set("Chiusa", 				$_POST[Chiusa]);
$Insert->set("IdAffidatarioDefaultRichieste", 				$_POST[IdAffidatarioDefaultRichieste]);
$Insert->set("RiassegnaGradoUrgenzaOrdine", 				$_POST[RiassegnaGradoUrgenzaOrdine]);
$Insert->set("PrezziPerDataAutorizzazione", 				$_POST[PrezziPerDataAutorizzazione]);
$Insert->set("logicaEdificiPerMsgRichiedenti", 				$_POST[logicaEdificiPerMsgRichiedenti]);
$Insert->set("httpCustomerRichiedente", 					$_POST[httpCustomerRichiedente]);
$Insert->set("CustomerRichiedenteCounterInvio", 			$_POST[CustomerRichiedenteCounterInvio]);

$Insert->set("path", 				"'$CartellaCommessa'", true);
$Insert->set("pathPublicShape", 	"'$CartellaCommessa'", true);
$Insert->set("pathPublicShapeWeb", 	"'$CartellaCommessa'", true);
$Insert->set("PathDiRete", 			"'$CartellaCommessa'", true);
$Insert->set("pathDwg", 			"'$CartellaDwg'", true);

$Insert->execute();

if ( $_SESSION[name_odbc]=="mpnet_test_bosch_energy" || $_SESSION[name_odbc]=="mpnet_bosch_energy" )
	require_once('aggiungi-energia.inc');

require_once('_carica.inc');

?>
