<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_130", IT, $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_130", IT, __FILE__);

?>
<html>
<head>
<link href="../../../_css/navstyleLittleLeft.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>
<body>

<?php
	
$arrayLingue = array();

$campiLingue = "";

$sql = "SELECT CODICE FROM LINGUE_TRADUZIONI ORDER BY CODICE";
	
$query = ntxQuery($sql);

while($rs=ntxiRecord($query))
{
	$arrayLingue[] = $rs[0];
	$campiLingue .= ", Nome_$rs[0], Descrizione_$rs[0]";
	
	$CODICE = htmlentities($rs[0]);

	$key = "chkLingua{$CODICE}";
	
	echo "<input type=checkbox chkLingua='$CODICE' id='$key'  name='$key' onclick='MostraNascondiCampiLingue()' />";
	echo "<label for='$key'>$CODICE</label>";
}

//IMPORTANTE: includo la libreria con la query per ottenere le commesse	
require_once('query.inc');

?>

<br><br>


<table align="center" >
	<tr>
		<!-- <th>&nbsp;</th> -->
		<th><?php $traduttore->html('Azioni'); ?></th> 
		<th><?php $traduttore->html('ID'); ?></th> 
		<th><?php $traduttore->html('Nome'); ?></th>
<?php
foreach($arrayLingue as $CODICE)
{
		echo "<th LINGUA=$CODICE style='display:none'>";
		$traduttore->html('Nome');
		echo " $CODICE";
}
?>
		<th><?php $traduttore->html('Ordine'); ?></th>
		<th><?php $traduttore->html('Descrizione'); ?></th> 	
<?php
foreach($arrayLingue as $CODICE)
{
		echo "<th LINGUA=$CODICE style='display:none'>";
		$traduttore->html('Descrizione');
		echo " $CODICE";
}
?>
		<th><?php $traduttore->html('Nota'); ?></th> 
		<th><?php $traduttore->html('Device Mobile'); ?></th>		
	</tr>   

	<?php
		$alternate = true;

		while( $rs = ntxRecord($query) )
		{ //print_r($rs);	
	?>	
		<tr>
			<td <?php echo  $alternate ? "" : "class=td2" ?> > 
				<input type="button" value="<?php $traduttore->html('Modifica'); ?>" onclick="Edita('edit',<?php echo $rs['Id'] ?>)" > 
				<input type="button" value="<?php $traduttore->html('Elimina'); ?>" onclick="Delete(<?php echo $rs['Id'] ?>)" > 				

				
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				&nbsp;<?php echo htmlentities($rs['Id']) ?> 

			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				&nbsp;<?php echo htmlentities($rs['Nome']) ?>
<?php
foreach($arrayLingue as $CODICE)
{
?>
			<td <?php echo  ($alternate ? "" : "class=td2")." LINGUA=$CODICE style='display:none'" ?> >
				&nbsp;<?php echo htmlentities($rs["Nome_$CODICE"]) ?>
<?php
}
?>

			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				&nbsp;<?php echo htmlentities($rs['Ordine']) ?> 

			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				&nbsp;<?php echo htmlentities($rs['Descrizione']) ?> 
<?php
foreach($arrayLingue as $CODICE)
{
?>
			<td <?php echo  ($alternate ? "" : "class=td2")." LINGUA=$CODICE style='display:none'" ?> >
				&nbsp;<?php echo htmlentities($rs["Descrizione_$CODICE"]) ?>
<?php
}
?>
				
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				&nbsp;<?php echo htmlentities($rs['Nota']) ?> 
				
			<td <?php echo  $alternate ? "" : "class=td2" ?> >
				&nbsp;<?php echo htmlentities( $rs['Mobile']==1 ? "SI" : "NO") ?> 				
		</tr>
	<?php
			$alternate = !$alternate;
		}
	?>
</table>



<form name="form1" method="post " > <input type="hidden" name="IDmenu" > </form>

<script language="javascript">

function MostraNascondiCampiLingue()
{
	$('th[LINGUA]').hide();
	$('td[LINGUA]').hide();
		
	$('input[type=checkbox][chkLingua]:checked').each(function(){
		var codice = $(this).attr('chkLingua');
		
		$('th[LINGUA='+codice+']').show();
		$('td[LINGUA='+codice+']').show();
	});
}

function Edita(nomeFrame, Id)
{
	parent.tbJq_getTabFrame("edit").CaricaRichiesta(Id);//troviamo il frame edit e invochiamo il metodo CaricaRichiesta (si trova in edit_utente.js)
	
	parent.tbJq_showTabFrame("edit");	
}

function Delete(Id)
{
	var messaggi = {
		Elimina: "<?php $traduttore->js('Sei sicuro di voler eliminare?') ?>",
		Elimina_succ: "<?php $traduttore->js('Eliminazione avvenuta con successo!') ?>"
	};
	form1.IDmenu.value=Id;

	//if ( !confirm("Sei sicuro di voler eliminare?") ) return;
	if ( !confirm(messaggi.Elimina) ) return;
	
	if(ntxSendForm(form1, funcvoid, 'edit_menu_opzioni_web/elimina') )
	{ 
		parent.tbJq_updateTabFrame(form1, "elenco", 'elenco.php'); 	
		parent.tbJq_updateTabFrame(form1, "edit", 'edit.php'); 	
		
		//alert("Eliminazione avvenuta con successo!");
		alert(messaggi.Elimina_succ);
	}
}

function funcvoid() {}
</script> 

<?php
	$traduttore->Salva();
?>
</body>
</html>
