<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_129", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_129", "IT", __FILE__);

$IdOpzioneDaCatalogo = ntxip('IdOpzione', false);
?>

<html>
<head>
	<title>PEP - <?php $traduttore->html('Catalogo Mod'); ?> PEP</title>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>

	<link href="/PEP/_css/base.css" rel="stylesheet" type="text/css">
	<link href="/PEP/_css/grid.css" rel="stylesheet" type="text/css">
	<link href="/PEP/_css/input.css" rel="stylesheet" type="text/css">

	<link href="css/index.css" rel="stylesheet" type="text/css">

	<script src="js/catalogo_mod.js?v3" type="text/javascript"></script>

</head>
<body>
<?php
	
$sql = <<< sql
	SELECT     pepOpzioniWeb.NomeManpronet, pepOpzioniWeb.UrlManpronet, pepOpzioniWeb.Note, 
				pepOpzioniWeb.Gruppo, pepOpzioniWeb.OpzioniInNote, 
				pepGruppiOpzioniWeb.Nome AS NomeGruppo
	FROM         pepOpzioniWeb LEFT JOIN
						  pepGruppiOpzioniWeb ON pepOpzioniWeb.Gruppo = pepGruppiOpzioniWeb.Id
	WHERE     (pepOpzioniWeb.Id=$IdOpzioneDaCatalogo)
sql;

$rs = ntxRecord(ntxQuery($sql));

$IdGruppoDaCatalogo = $rs[Gruppo];

$NomeGruppo = htmlentities($rs[NomeGruppo]);

foreach($rs as $k=>$v)
	$js[$k] = ntxJs($v);
	
?>

<form name=frmRicerca method=post>

	<input type=hidden name=IdOpzioneDaCatalogo value="<?php echo $IdOpzioneDaCatalogo ?>" />
	<input type=hidden name=IdGruppoDaCatalogo value="<?php echo $IdGruppoDaCatalogo ?>" />
	<input type=hidden name=RootURL value="<?php echo $js[UrlManpronet] ?>" />
	
	<table class="grid">
		<tr>
			<th class=left><?php $traduttore->html('Gruppo'); ?>	<td><?php echo $NomeGruppo ?>
		<tr>
			<th class=left><?php $traduttore->html('Nome Manpro.NET'); ?>	<td><input type=text size=100 name=NomeManpronet value="<?php echo $js[NomeManpronet] ?>" />
		<tr>
			<th class=left><?php $traduttore->html('URL Manpro.NET'); ?>	<td><input type=text size=100 name=URLManpronet value="<?php echo $js[UrlManpronet] ?>" />
		<tr>
			<th class=left><?php $traduttore->html('Opzioni in Note'); ?>	<td><input type=text size=100 name=OpzioniInNote value="<?php echo $js[OpzioniInNote] ?>" />
		<tr>
			<th class=left><?php $traduttore->html('Note'); ?>				<td><input type=text size=100 name=Note value="<?php echo $js[Note] ?>" />
		<tr><td colspan=2>
			<input type=button value="<?php $traduttore->js('Reset'); ?>" onclick="frmRicerca.reset()" />
			<?php $traduttore->html('Menù destinazione'); ?><select name=Menu></select>
			<input type=button value="<?php $traduttore->js('Aggiungi'); ?>" onclick="objMod.Aggiungi()" />
	</table>
</form>


<?php include("catalogo_mod-elenco.inc") ?>
<script>
	
	var messaggi = {
		Aggiungi: "<?php $traduttore->js('Aggiungi?') ?>",
	};
</script>
<?php
	$traduttore->Salva();
?>
</body>
</html>
