<?php
session_start();
?>  
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd"> 
<html>
<head>
	<link rel="stylesheet" type="text/css" href="../../_libs/ganttView_0.8.8/reset.css" />
	<link rel="stylesheet" type="text/css" href="../../_libs/ganttView_0.8.8/jquery.ganttView.css" />
	<link rel="stylesheet" type="text/css" href="../../_libs/ganttView_0.8.8/jquery.ganttView.<?php echo strtolower($_POST[visualizzazione]) ?>.css" />
	
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>		
	<script type="text/javascript" src="/repository/libs/jquery/jquery.ui.datepicker-it.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">	
	
  	<script type="text/javascript" src="../../_libs/ganttView_0.8.8/lib/date.js"></script>
	<script type="text/javascript" src="../../_libs/ganttView_0.8.8/jquery.ganttView.js"></script>	 
	
<!-- 	<script type="text/javascript" src="data.js"></script>	  -->
	
	<style type="text/css">
		body {
			font-family: Trebuchet MS, Tahoma, Verdana, Arial, sans-serif;
			font-size: 0.8em;
			padding: 10px;
		}
		
		#dialog cite 
		{
			display:inline-block;
			font: bold 110% Arial, Helvetica, sans-serif;
			color: #666;
			width:30%;
		}

 
/* Z-index of #mask must lower than #boxes .window */
  
#boxesPB {
	position:absolute;
	top: 0px;
	left:0px;
	width:100%;
	height:100%;
	display:none;
	z-index:50;
	
	padding:0px;
	margin:0px;

	background-color: black;
	opacity: 0.7;
	filter: alpha(opacity=70);  	
}
 
.ui-progressbar-value { background-image: url(../../_libs/jquery/css/smoothness/images/pbar-ani.gif); } 
 
/* Customize your modal window here, you can add background image too */
#dialogPB {
	position:relative;
	top: 40%;
	left: 30%;
	width:50%;
	height:30%;
	z-index:60;
	background-color: transparent
}

#progressbar {
	width:80%;
	z-index:70;
}	

#titleProgressbar {
	color:white;
	font-size:30px;
	margin:5px;
	z-index:80;
}	
	</style>
	
	<title>Gantt</title>
</head>

<body>
 	<div class=" ui-state-highlight " style="font-size:200%;padding:5px;"><span class="ui-icon ui-icon-info" style="float:left; margin:0 7px 20px 0;"></span> <?php echo $_POST[Edificio]?> </div> 	
 
	
	<div id="boxesPB">
		<div id="dialogPB">       
			<div id="titleProgressbar"> Caricamento pagina...</div>
			
			<div id="progressbar"></div>
		</div>
	</div>

	<div style="margin:5px;">
		<button id="bntMestiereComponente">Mestieri/Componenti</button>
		<button id="bntMestiereComponenteAttivita">Mestieri/Componenti/Attivita'</button>
	</div>

	<div id="ganttChart" style="background:#FFFFFD; "></div>
	<br/><br/>
	<div id="eventMessage"></div>


	<form id="formData" name="formData" >
	<?php
	if ( is_array($_POST) || is_object($_POST) )
	{
	  foreach ($_POST as $key => $value)
	  {
		echo "\n\t<input type=\"hidden\" name=\"$key\" value=\"$value\" />\n";
	  }
	}
	?>	
	</form>
	
	<script type="text/javascript">
	var txtProgressBar = 'Caricamento pagina';
	var valueProgressBar = 0;
	var intervalProgressBar = null;
	var timerQuery = null;
	var timerGantt = null;
		
	var ganttData = new Array();
	var w = 'auto';


	function daysBetween(start, end) 
	{
		if (!start || !end) { return 0; }
		start = Date.parse(start); end = Date.parse(end);
		if (start.getYear() == 1901 || end.getYear() == 8099) { return 0; }
		var count = 0, date = start.clone();
		while (date.compareTo(end) == -1) { count = count + 1; date.addDays(1); }
		return count;
	}

	
	function generateGantt() 
	{
		<?php
		$dataInizio = explode("/", $_POST[DataInizioP]);
		$dataFine = explode("/", $_POST[DataFineP]);
		?>		

		$("#ganttChart").ganttView(
		{ 
			data: ganttData,
			slideWidth:  ($(document).width()/4)*3,
			
			typeView: '<?php echo $_POST[visualizzazione] ?>',
			interval: [Date.parse('<?php echo $dataInizio[1] ?>.<?php echo $dataInizio[0] ?>.<?php echo $dataInizio[2] ?>') , Date.parse('<?php echo $dataFine[1] ?>.<?php echo $dataFine[0] ?>.<?php echo $dataFine[2] ?>')          ] ,	
			
			behavior: 
			{
            	clickable: false,
            	draggable: false,
            	resizable: false,
			
				dblclick: function (data, block, cellWidth) 
				{
/* 					console.log(block);
					console.log(data); */
					
					$.post('../ajax/info_att_prog.php', { idAttivita: data.id} , function(dataJson, textStatus) {
	
						if(textStatus == 'success')
						{
							if(dataJson['status'].length>1)//se abbiamo dei dati
							{
								if(dataJson['fineMinore']==0)//se la data di fine è minore della data odierna
								{		
									if(dataJson['eseguito']==0 || dataJson['eseguito']==false)//se l'ordine programmato non e' eseguito o non e' presente
									{				
										$("#idAttivita").val(dataJson['id']);
											
										if(dataJson['OrdProg']==1 || dataJson['OrdProg']==true)
											$("#presentOrdProg").val('SI');
										else	
											$("#presentOrdProg").val('NO');
						
										
										$("#dialog").dialog(
										{ 
											title: "Modifica - "+data.name,
											modal: true,
											buttons: 
											{
												"Modifica": function() 
												{					
													$.post('../ajax/modifica_att_prog.php', { idAttivita: data.id,  dataInizio:$('#dataInizio').val(), dataFine:$('#dataFine').val()} , function(dataModJson, textStatus) {
														if(textStatus == 'success')
														{
															if(dataModJson['update'])
															{
																alert("Le modifiche sono state eseguite correttamente!\nIl blocco verra' riposizionato secondo le nuove modifiche.");
						
						
																var start = Date.parse(dataModJson['start']);
																var end = Date.parse(dataModJson['end']);
																
																var offset = daysBetween(Date.parse(data.startRow) , start) ;
								
																var size = daysBetween(start, end) + 1;
																
																block.width( ((size * cellWidth) - 9) + "px" );	
																block.css( 'left', ((offset * cellWidth) + 3) + "px" );	
																
																
																//se la dutata supera il range per la visualizzazione in grafico
																var overflowBar = "";
																var overflowRight = daysBetween(Date.parse(data.endRow) , end) ;
																var overflowLeft =  daysBetween(start, Date.parse(data.startRow));
																if(overflowRight>0)
																	overflowBar = "impossibile rappresentare alcuni giorni"
																if(overflowLeft>0)
																	overflowBar = "impossibile rappresentare alcuni giorni"		
																	
																
																jQuery("div.ganttview-block-text", block).text(size+' - modificata - '+overflowBar);								
																
																data.start = dataModJson['start'];
																data.end = dataModJson['end'];
															}
															else
															{
																alert("Modifiche non eseguite!\n\nErrori: "+dataModJson['txt']);
															}
														}
														else
														{ 
															alert("Impossibile effettuare la modifica!\nRiprovare :)\n\nErrore ajax: "+textStatus);						
														}			
													}, "json")
							
												},
												"Elimina": function() 
												{
																	
													$.post('../ajax/elimina_att_prog.php', { idAttivita: data.id,  dataInizio:$('#dataInizio').val(), dataFine:$('#dataFine').val()} , function(dataModJson, textStatus) {
														if(textStatus == 'success')
														{
															if(dataModJson['delete'])
															{
																alert("Cancellazione eseguita correttamente!");
																block.hide();
															}
															else
															{
																alert("Eliminazione eseguita!\n\nErrori: "+dataModJson['txt']);
															}
														}
														else
														{ 
															alert("Impossibile effettuare la modifica!\nRiprovare :)\n\nErrore ajax: "+textStatus);						
														}			
													}, "json")
													
												},												
												"Annulla": function() 
												{
													$(this).dialog("close");
												}
											},
											open: function(event, ui) 
											{
												$(".data:input").datepicker({
													buttonImage: '../../_img/calendar.gif', 
													buttonImageOnly: true,
													showOn: 'both',
													disabled: true
												 });
												 
												$("#dataInizio").datepicker("setDate", dataJson['start'].toString("d/M/yyyy"));
												$("#dataFine").datepicker("setDate", dataJson['end'].toString("d/M/yyyy"));
											}
										} );
									}
									else
										alert("Impossibile modificare la programmata: l'ordine programmato collegato e' gia' stato eseguito.");
										
								}
								else
									alert("Impossibile modificare la programmata: la data di fine e' minore o uguale alla data corrente!\nE' possibile modificare solo le programmate che hanno data di fine maggiore della data corrente.");
							}	
						}
						else
						{ 
							alert("Errore: "+textStatus);						
						}			
					}, "json")
				},
			
				onClick: function (data, block) 
				{		
					//console.log("DATE: { start: " + data.start.toString("d/M/yyyy") + ", end: " + data.end.toString("d/M/yyyy") + " }");
				},
				onResize: function (data) 
				{ 
				
/* 				 	$.post('../ajax/modifica_att_prog.php', { idAttivita: data.id,  dataInizio: data.start.toString("d/M/yyyy"), dataFine: data.end.toString("d/M/yyyy")} , function(dataModJson, textStatus) {
						if(textStatus == 'success')
						{
							if(dataModJson['update'])
							{
								alert("Le modifiche sono state eseguite correttamente!");
							}
							else
							{
								alert("Modifiche non eseguite!\n\nErrori: "+dataModJson['txt']);

							}
						}
						else
						{ 
							alert("Impossibile effettuare la modifica!\nRiprovare :)\n\nErrore ajax: "+textStatus);						
						}			
					}, "json")		 */		 
					
				},
				onDrag: function ( data)  
				{ 
/* 				 	$.post('../ajax/modifica_att_prog.php', { idAttivita: data.id,  dataInizio: data.start.toString("d/M/yyyy"), dataFine: data.end.toString("d/M/yyyy")} , function(dataModJson, textStatus) {
						if(textStatus == 'success')
						{
							if(dataModJson['update'])
							{
								alert("Le modifiche sono state eseguite correttamente!");
								
								return false;
							}
							else
							{
								alert("Modifiche non eseguite!\n\nErrori: "+dataModJson['txt']);
								
								//recupero le date inizio e fine su inizio/fine
								//var start = Date.parse(dataModJson['start']);
								//var end = Date.parse(dataModJson['end']);

								
								//var size = daysBetween(start, end) + 1;
								//block.width( ((size * cellWidth) - 9) + "px" );
								
								return true;
							}
						}
						else
						{ 
							alert("Impossibile effettuare la modifica!\nRiprovare :)\n\nErrore ajax: "+textStatus);		
							return true;							
						}			
					}, "json")	 */				
				}
			}
		}); 
		
		if(intervalProgressBar!=null)
		{
			window.clearInterval(intervalProgressBar);
			$('#boxesPB').remove();
		}		
	}
		
		
	function generateProgressBat() 
	{
		$('#titleProgressbar').text(txtProgressBar);
		
		if(valueProgressBar>100)
			valueProgressBar = 100;
			
		 $("#progressbar").progressbar({ value: valueProgressBar }).delay(800);
	}		
	
	function generateQuery() 
	{
		txtProgressBar = 'Esecuzione della query';
		valueProgressBar = 30;
		
		$.post('../ajax/query.php', $("#formData").serialize(), function(data, textStatus) {
		
			if(textStatus == 'success')
			{ 
				txtProgressBar = "La query ha avuto successo!\nElaborazione dei risultati"; 
				valueProgressBar = 80;

				ganttData = data;
				
				timerGantt = window.setTimeout("generateGantt()", 500);
			}
			else
			{ 
		
				txtProgressBar = "Query terminata con l'errore: "+textStatus; 		
				valueProgressBar = 100;
				
				if(intervalProgressBar!=null)
				{
					window.clearInterval(intervalProgressBar);
					$('#boxesPB').remove();
				}				
				
			}			
		}, "json");
	}	
	
	
	
	
	
	$(document).ready(function(){
		
		$("button").button();
		$.datepicker.setDefaults($.datepicker.regional['it']);

		$('#bntMestiereComponente').click(function(event){
			
			event.preventDefault();
		
			if ( $(".ganttview-vtheader-item-name").is(":hidden") )
			{
				$('.ganttview-vtheader').width(w);	
				$(".ganttview-vtheader-item-name").show(2000);	
			}
			else
			{
				if ( isNaN( Number(w) ) )		
					w = $('.ganttview-vtheader').width();
					
				$('.ganttview-vtheader').width('auto');
				
				$(".ganttview-vtheader-item-name").hide(2000);			
			}	
		});
		
	
		$('#bntMestiereComponenteAttivita').click(function(event){
		
			event.preventDefault();
		
			if ( $(".ganttview-vtheader").is(":hidden") )
			{
				$('.ganttview-vtheader').width(w);	
				$(".ganttview-vtheader").show(2000);
			}
			else
			{
				if ( isNaN( Number(w)) )		
					w = $('.ganttview-vtheader').width();
					
				$('.ganttview-vtheader').width('auto');
				
				$(".ganttview-vtheader").hide(2000);			
			}			
		});	
		
		$('#boxesPB').fadeIn('slow');
		
		
		intervalProgressBar = window.setInterval("generateProgressBat()", 500);
		timerQuery = window.setTimeout("generateQuery()", 1000);
	});
	</script>
 

<form id="formAttProg" >
	<div id="dialog"  style="display:none;">

		<input type="hidden" id="idAttivita" name="idAttivita"/>
		
		
		<div class=" ui-state-highlight "><span class="ui-icon ui-icon-info" style="float:left; margin:0 7px 20px 0;"></span> E' possibile modificare la programmata! </div> 	
		

		<br />
		
		<p>
			<cite>Inizio:</cite> <input type="text" id="dataInizio" class="data"/> 
			<br />
			<cite>Fine:</cite> <input type="text" id="dataFine" class="data"/>  
			<br>
			<cite>OrdineP:</cite> <input type="text" id="presentOrdProg" readonly="readonly"/> 
		</p>

		<br />
		
		<p>
		Cliccare sul bottone 'Modifica' per confermare le modifiche.
		</p> 
	</div>
</form>



<script type="text/javascript">
$(window).resize(function() {
	$("#ganttChart").ganttView("setSlideWidth", ($(document).width()/4)*3 );	
});
</script>
	
</body>
</html>
