function caricaMestieri()
{
	if ( form1.TipoAttore.value == 4 )
		ntxSelectLoad(form1, form1.IdMestiere, 'carica_mestieri_for', true); // fornitori
	else if ( form1.TipoAttore.value == 3 )
		ntxSelectLoad(form1, form1.IdMestiere, 'carica_mestieri_aff', true); // affidatari
	else
		ntxSelectLoad(form1, form1.IdMestiere, 'carica_mestieri', true); // gestori, callcenter e clienti
		
	form1.IdComponenteMestiere.length=0;
	form1.IdAttivitàMestiere.length=0;
}

function caricaComponenti()
{
	if ( form1.TipoAttore.value == 4 )
		ntxSelectLoad(form1, form1.IdComponenteMestiere, 'carica_componenti_for', true); // fornitori
	else if ( form1.TipoAttore.value == 3 )
		ntxSelectLoad(form1, form1.IdComponenteMestiere, 'carica_componenti_aff', true); // affidatari
	else
		ntxSelectLoad(form1, form1.IdComponenteMestiere, 'carica_componenti', true); // gestori, callcenter e clienti
		
	form1.IdAttivitàMestiere.length=0;
}

function caricaAttività()
{
	if ( form1.TipoAttore.value == 4 )
		ntxSelectLoad(form1, form1.IdAttivitàMestiere, 'carica_attività_for', true); // fornitori
	else if ( form1.TipoAttore.value == 3 )
		ntxSelectLoad(form1, form1.IdAttivitàMestiere, 'carica_attività_aff', true); // affidatari
	else
		ntxSelectLoad(form1, form1.IdAttivitàMestiere, 'carica_attività', true); // gestori, callcenter e clienti
}

function CaricaGiorni(cbo, num)
{
	cbo.length = 0;
	
	for(var i=1; i <= num; ++i)
		cbo.options[i-1] = new Option(i,i);
}

function ValidaData(g,m,a,d)
{
	giorno=g.value;
	mese=m.value;
	anno=a.value;

	switch(mese)
	{
		case '1': //mesi di 31
		case '3':
		case '5':
		case '7':
		case '8':
		case '10':
		case '12':
			CaricaGiorni(g, 31);
		break;
		case '4': //mesi di 30
		case '6':
		case '9':
		case '11':
			CaricaGiorni(g, 30);
		break;
		case '2': //mese di 28 o 29
			// verifica se anno è bisestile
			if ( (anno % 100==0 && anno % 400==0)  		// anno divisibile per 100 e 400	
					|| (anno % 100!=0 && anno % 4==0) ) // o  anno non divisibile per 100 e divisibile per 4
				CaricaGiorni(g, 29);
			else
				CaricaGiorni(g, 28);
		break;
	}
	
	if ( giorno <= g.length )
		g.value=giorno;
	else
		g.value=g.length;
	
	giorno = g.value;
	
	d.value = giorno + "/" + mese + "/" + anno;
	
	caricaMestieri();
}

