<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IDAmbiente = ntxip('IDAmbiente');

$vers = 19;

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository/func/paginazione/paginazione.js" type="text/javascript"></script>
	
	<link href="css/base.css" rel="stylesheet" type="text/css">
	<!--
	<script src="js/index.js" type="text/javascript"></script>
-->
	<link href="css/mappa.css?vers=<?php echo $vers ?>" rel="stylesheet" type="text/css">

	<script src="js/canvas_engine.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/mappa.js?<?php echo $vers ?>" type="text/javascript"></script>
	
	<style>
	body, html, *
	{
		padding:0;
		margin:0;
	}
	</style>
	
	<script>
	var engineMap = null;

	$(function(){ 
		engineMap = new CanvasEngine('CanvasMappa', funcCallBackMap);
		
		engineMap.Image.src = "white.bmp";
		
		CaricaMappa("fit");
		
		
		//CaricaFormEmappa(IDAmbiente)
	});

	function CaricaFormEmappa(IDAmbiente)
	{
		objCodice.CaricaForm(IDAmbiente);
		CaricaMappa();
	}

	function SelAmbiente(Id)
	{
		parent.form1.IdEdificio.value = frmRicerca.IdEdificio.value;
		parent.form1.IdPiano.value = frmRicerca.IdPiano.value;
		parent.form1.IdAmbiente.value = Id;
		
		parent.drcUpdateFrame(parent.form1, "componenti");
		parent.drcShowKeyTab("componenti");
	}

	function Caratteristiche2(Id)
	{
		parent.form1.IdEdificio.value = frmRicerca.IdEdificio.value;
		parent.form1.IdPiano.value = frmRicerca.IdPiano.value;
		parent.form1.IdAmbiente.value = Id;
		
		parent.drcUpdateFrame(parent.form1, "caratt2");
		parent.drcShowKeyTab("caratt2");
	}

	function Utilizzatori(Id)
	{
		parent.form1.IdEdificio.value = frmRicerca.IdEdificio.value;
		parent.form1.IdPiano.value = frmRicerca.IdPiano.value;
		parent.form1.IdAmbiente.value = Id;
		
		parent.drcUpdateFrame(parent.form1, "utilizz");
		parent.drcShowKeyTab("utilizz");
	}

	function CaricaListaTipi()
	{
		var result = jhp("jhp/carica_tipi.php", 
				jhp_frm(frmRicerca));

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			$(frmRicerca.IdTipoAmbiente).html(result.value);
		}
	}

	function CaricaListaDesUso()
	{
		var result = jhp("jhp/carica_des_uso.php", 
				jhp_frm(frmRicerca));

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			$(frmRicerca.IdDestinazioneduso).html(result.value);
		}
	}

	function CalcolaMQ()
	{
		alert('to do');
	}

	var objCodice = {
		jhpRoot: "jhp/",
		
		msgNoSelected: "Prima seleziona ambiente da cancellare!",
		
		msgDelete: "Elimina ambiente selezionato?",

		Campi: ['IDAmbiente', 'CodiceAssAmbiente', 
				'IdDestinazioneduso', 'IdTipoAmbiente', 'DesAmbiente', 'MQ', 'P', 'MC', 'H'],

		Aggiungi: function() {
				var result = jhp(this.jhpRoot+"aggiungi.php", 
						jhp_frm(frmRicerca));

				if(result.state)
				{
					//$('#error').text(result.message);
					alert(result.message);
				}
				else
				{
					this.CaricaForm(result.value);
				}
			},
			
		Modifica: function() {
				var result = jhp(this.jhpRoot+"modifica.php", 
						jhp_frm(frmRicerca));

				if(result.state)
				{
					alert(result.message);
				}
				else
				{
					this.CaricaForm(result.value);
				}
			},
			
		Elimina: function() {
				
				var lista_id = "";
				
				$('input[type=checkbox][SelRiga]:checked').each(function(){
					if ( lista_id!="" ) lista_id += ",";
					
					lista_id += $(this).attr('IdRiga');
				});
				
				if ( lista_id=="" )
				{
					alert(this.msgNoSelected);
					return;
				}

				if ( !confirm(this.msgDelete) ) return;
				
				var result = jhp(this.jhpRoot+"elimina.php", 
						{IdEdificio: frmRicerca.IdEdificio.value, lista_id: lista_id});

				if(result.state)
				{
					alert(result.message);
				}
				else
				{
					frmRicerca.btnRicerca.click();
				}
			},
			
		Seleziona: function(value) {
			$('input[type=checkbox][SelRiga]').attr('checked', value);
		},
		
		CaricaForm: function(IdRiga) {
				var result = jhp(this.jhpRoot+"carica_form.php", 
						{IdEdificio: frmRicerca.IdEdificio.value, IdRiga: IdRiga});

				if(result.state)
				{
					alert(result.message);
				}
				else
				{
					var rs = result.value;
					var i, len=this.Campi.length;

					for(i=0;i<len;++i)
						frmRicerca[this.Campi[i]].value = rs[this.Campi[i]];
						
					scroll(0,0);
				}
			},

		ElementiSelezionati: function() {
			var list = $('input[type=checkbox][SelRiga]:checked');
			var i, len = list.length;
			var result = "";
			
			for(i=0; i<len; ++i)
			{
				if ( result.length>0 ) result += ",";
				
				result += $(list[i]).attr('IdRiga');
			}
			
			return result;
		}
	};
	</script>
</head>
<body> 
	 

<form name="frmRicerca" style="display:none; " >
	<?php PaginazioneCampiPerForm(20, 'jhp/ricerca.php', 'lista-risultati-ricerca') ?>

	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
	<input type=hidden name=IdPiano value="<?php echo $IdPiano ?>" />
	
	<input type=hidden name=IDAmbiente  value="<?php echo $IDAmbiente ?>" />
	<input type=hidden name=CodiceAssAmbiente  />
	<input type=hidden name=DesAmbiente  />
	<input type=hidden name=MQ  />
	<input type=hidden name=P  />
	<input type=hidden name=H  />
	<input type=hidden name=MC  /> 
</form>
	
 
	<?php include('mappa_per_salto_su_ambiente.inc') ?>
	
	<div style="display:none;">
	<?php include('coperture.inc') ?> 
	</div>

</body>
</html>
