<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$where = "WHERE Ambiente.IdCommessa=$IdCommessa AND Ambiente.IdEdificio=$IdEdificio AND Ambiente.IdLivello=$IdPiano AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso=0)";

if ( strlen("$_POST[CodiceAssAmbiente]")>0 ) $where .= " AND Ambiente.CodiceAssAmbiente LIKE '%".str_replace("'","''",$_POST[CodiceAssAmbiente])."%'";

if ( strlen("$_POST[DesAmbiente]")>0 ) $where .= " AND Ambiente.DesAmbiente LIKE '%".str_replace("'","''",$_POST[DesAmbiente])."%'";

$subUtil = <<< sql
	SELECT     TOP (1) tblUtUtilizzatori.Nome
	FROM         tblUtUtilizzatori INNER JOIN
						  tblUtAmbienti ON tblUtUtilizzatori.IdCommessa = tblUtAmbienti.IdCommessa AND 
						  tblUtUtilizzatori.IdUtilizzatore = tblUtAmbienti.IdUtilizzatore 
	where tblUtAmbienti.IdCommessa = Ambiente.IdCommessa AND tblUtAmbienti.IdEdificio = Ambiente.IdEdificio AND 
						  tblUtAmbienti.IdAmbiente = Ambiente.IDAmbiente
	ORDER BY tblUtAmbienti.DataInizio DESC
sql;

$subCar2 = <<< sql
	SELECT     TOP (1) CaratteristicheAmbienti.Descrizione
	FROM       CaratteristicheAmbientiMN  INNER JOIN
						  CaratteristicheAmbienti ON CaratteristicheAmbientiMN.IdCaratteristicaAmbiente = CaratteristicheAmbienti.Id
	where Ambiente.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND 
						  Ambiente.IdEdificio = CaratteristicheAmbientiMN.IdEdificio AND Ambiente.IDAmbiente = CaratteristicheAmbientiMN.IdAmbiente
	ORDER BY CaratteristicheAmbientiMN.DataInizio
sql;

$sql = <<< sql
	SELECT     Ambiente.IDAmbiente, Ambiente.Graficizzato, Ambiente.CodiceAssAmbiente, ($subUtil) Utilizzatore, ($subCar2) Car2,
			Ambiente.DesAmbiente, DestinazioniDuso.Destinazione, DestinazioniDuso.ordinamento, Ambiente.MQ, Ambiente.P, Ambiente.MC, Ambiente.H
	FROM         Ambiente LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	$where
sql;

$paginazione = ntxPaginazione($sql, "IDAmbiente, CodiceAssAmbiente, Utilizzatore, DesAmbiente, ordinamento, Destinazione");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>ID
			<th>Codice
			<th>Utilizzatore
			<th>Car2
			<th>Des.Uso
			<th>Des.Ambiente
			<th>MQ
			<th>P
			<th>MC
			<th>H
			<th>Graficizzato
			<th>
			<th>
			<th>
			<th>
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	$rs[MQ] = ntxRoundThousand($rs[MQ], 2);
	$rs[P] = ntxRoundThousand($rs[P], 2);
	$rs[MC] = ntxRoundThousand($rs[MC], 2);
	$rs[H] = ntxRoundThousand($rs[H], 2);
	
	$Graficizzato = $rs[Graficizzato] ? "SI" : "no";
	
	if ( $rs[Graficizzato] )
		$styleGraficizzato = "style='background-color:#AAFFAA;text-align:center'";
	else
		$styleGraficizzato = "style='background-color:#FFAAAA;text-align:center'";
		
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr>
			<td><input type=checkbox SelRiga IdRiga=$rs[IDAmbiente] />
			<td><input type=button value=edit onclick="CaricaFormEmappa($rs[IDAmbiente])" />
			<td>$html[IDAmbiente]
			<td>$html[CodiceAssAmbiente]
			<td>$html[Utilizzatore]
			<td>$html[Car2]
			<td>$html[Destinazione]
			<td>$html[DesAmbiente]
			<td>$html[MQ]
			<td>$html[P]
			<td>$html[MC]
			<td>$html[H]
			<td $styleGraficizzato tdGraficizzato=$rs[IDAmbiente]>$Graficizzato
			<td><input type=button value=comp onclick="SelAmbiente($rs[IDAmbiente])" />
			<td><input type=button value=car onclick="Caratteristiche2($rs[IDAmbiente])" />
			<td><input type=button value=uti onclick="Utilizzatori($rs[IDAmbiente])" />
			<td><input type=button value=att onclick="AttivitaVani($rs[IDAmbiente])" />
		</tr>
table;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
