<?php

while($rsElencoIdComponenti = ntxiRecord($queryElencoIdComponenti))
{
	$IdComponente = $rsElencoIdComponenti[0];
	
	$sql = <<< sql
		SELECT     tblPgPropietari.IdPropietario, tblPgPropietari.Codice, tblPgPropietari.Nome, ElencoEdifici.ID, ElencoEdifici.Codice AS CodEdif, 
						  ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, PianoLivello.idPiano, PianoLivello.CodiceAssLivello, 
						  DestinazioniDusoLivello.Destinazione, Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione AS DesAmb, 
						  ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente, ComponentiAmbiente.IDComponente
		FROM         tblPgPropietari INNER JOIN
						  ElencoEdifici ON tblPgPropietari.IdPropietario = ElencoEdifici.IdProprietario INNER JOIN
						  PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
						  PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
						  ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
						  Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente LEFT OUTER JOIN
						  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente LEFT OUTER JOIN
						  DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
						  Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
						  DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
						  PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
		WHERE     (ElencoEdifici.IdCommessa = $IdCommessa) 
			AND (ElencoEdifici.ID = $IdEdificio)
			AND (ComponentiAmbiente.IdComponente = $IdComponente)
sql;

	$query = ntxQuery($sql);

	$rs = ntxRecord($query);

	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$testata = <<< testata
			<tr><th>Proprietario<td>$rs[IdPropietario] - $rs[Codice] - $rs[Nome] 
			<tr><th>Edificio<td>$rs[ID] - $rs[CodEdif] - $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] ($rs[PROVINCIA]) 
			<tr><th>Piano<td>$rs[idPiano] - $rs[CodiceAssLivello] - $rs[Destinazione] 
			<tr><th>Ambiente<td>$rs[IDAmbiente] - $rs[CodiceAssAmbiente] - $rs[DesAmb] 
			<tr><th>Componente<td>$rs[IDComponente] - $rs[CodiceAssComponente] - $rs[DesComponente] 
testata;

	$sql = <<< sql
		SELECT    a.Propietà, tblValoriComponenti.Valore
		FROM         (SELECT     TOP (100) PERCENT tblPropTipiComp.IdPropComp, tblPropTipiComp.Propietà, tblPropTipiComp.ValoreDefault, tblPropTipiComp.soloInLista, 
												  ComponentiAmbiente.IdCommessa, ComponentiAmbiente.IdEdificio, ComponentiAmbiente.IDComponente
						   FROM          tblPropTipiComp INNER JOIN
												  ComponentiAmbiente ON tblPropTipiComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
												  tblPropTipiComp.IdTipoComp = ComponentiAmbiente.IdTipoComponente
						   WHERE      (ComponentiAmbiente.IdCommessa = $IdCommessa) 
							AND (ComponentiAmbiente.IdEdificio = $IdEdificio) 
							AND (ComponentiAmbiente.IdComponente = $IdComponente)
						   ) AS a LEFT OUTER JOIN
						  tblValoriComponenti ON a.IdCommessa = tblValoriComponenti.IdCommessa AND a.IdEdificio = tblValoriComponenti.IdEdificio AND 
						  a.IDComponente = tblValoriComponenti.IdComponente AND a.IdPropComp = tblValoriComponenti.IdPropComp
		ORDER BY a.Propietà
sql;

	$query = ntxQuery($sql);

	$table = "";

	while($rs=ntxRecord($query))
	{
		foreach($rs as $k=>$v)
		{
			$js[$k] = ntxJs($v);
			$html[$k] = htmlentities($v);
		}
		
		$table .= <<< table
			<tr><th>$html[Propietà]<td>$html[Valore]
table;
	}

	$sql = <<< sql
		SELECT     FotoMedia
		FROM         FotoComponenti
		WHERE     (IdCommessa = $IdCommessa) 
			AND (IdEdificio = $IdEdificio) 
			AND (IdComponente = $IdComponente)
sql;

	$query = ntxQuery($sql);

	$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";
	$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

	if ( !is_dir($dir) ) mkdir($dir);

	$immagine = "";
	
	if( $rs = ntxRecord($query) )
	{
		$pathOrigineMedia = "$pathPublicShapeWeb\\$rs[FotoMedia]";
		
		if ( $pathOrigineMedia != ""  &&  is_file($pathOrigineMedia) )
		{
			$path_info = pathinfo($pathOrigineMedia);
			$extension = $path_info['extension'];
			
			$pathDestinazione = tempnam($dir, "TN").".$extension";
			$urlDestinazioneMedia = $url.substr($pathDestinazione, strlen($dir));
			
			copy($pathOrigineMedia, $pathDestinazione);

			$immagine = <<< immagine
							<img style="width:90%;vertical-align:top" foto_media src='$urlDestinazioneMedia' />
immagine;
		}
	}

	echo <<< table
			<table class=grid2 style="width:99%;$styleBreakPage">
				<tr><td>
					<table class=grid2 style="width:95%">
						$testata
						$table
					</table>
				<td style="width:30%;vertical-align:top">
					$immagine x
					<input type=button value=correzione onclick="SaltaAdAllegaFotoComponente($IdComponente)" class="no-print" />
			</table>
table;

	$styleBreakPage ="page-break-before: always";
}

?>