<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdAmbiente = ntxip('IdAmbiente');

$where = "WHERE tblUtAmbienti.IdCommessa=$IdCommessa AND tblUtAmbienti.IdEdificio=$IdEdificio AND tblUtAmbienti.IdAmbiente=$IdAmbiente ";

$sql = <<< sql
	SELECT     tblUtAmbienti.IdUtAmbiente, tblUtAmbienti.IdUtilizzatore, tblUtAmbienti.DataInizio, tblUtAmbienti.DataFine, tblUtAmbienti.PercentualeUtilizzo, 
                      tblUtUtilizzatori.Nome
	FROM         tblUtAmbienti INNER JOIN
                      tblUtUtilizzatori ON tblUtAmbienti.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtAmbienti.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	  $where
sql;

$paginazione = ntxPaginazione($sql, "DataInizio, DataFine");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>
			<th>Utilizzatore
			<th>Data<br>Inizio
			<th>Data<br>Fine
			<th>% Utilizzo
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$html[DataInizio] = ntxDate($html[DataInizio]);
	$html[DataFine] = ntxDate($html[DataFine]);
	$html[PercentualeUtilizzo] = ntxRound($html[PercentualeUtilizzo],2);
	
	$table .= <<< table
		<tr>
			<td><input type=checkbox SelRiga IdRiga=$rs[IdUtAmbiente] />
			<td><input type=button value=edit onclick="objCodice.CaricaForm($rs[IdUtAmbiente])" />
			<td>$html[Nome]
			<td>$html[DataInizio]
			<td>$html[DataFine]
			<td>$html[PercentualeUtilizzo]
		</tr>
table;
}

$table .= "</table>";

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
