<?php  
session_start();
require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
		<link href="../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
		<link href="../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
</head>

<body>
<?php

$sql =  <<< SQL

SELECT  tblUtEdifici.Tipologia, tblUtUtilizzatori.ClasseUtilizzatore, tblUtEdifici.IdEdificio, tblUtUtilizzatori.cdc, tblUtUtilizzatori.IdStatoUtilizzatore, 
		tblUtUtilizzatori.CodiceUtilizzatore, tblUtUtilizzatori.IdUtilizzatore, TipiUtilizzatore3.Descrizione AS D3, 
		tblUtUtilizzatori.Nome, tblUtUtilizzatori.Indirizzo, tblUtEdifici.MQ, tblUtUtilizzatori.Descrizione AS Quartiere, 
		(CASE WHEN tblUtUtilizzatori.EsenteIVA = 1 THEN 'ISTITUZIONI NON RILEVANTI I.V.A' ELSE 'ISTITUZIONI RILEVANTI I.V.A' END) AS k,
		(CASE WHEN tblUtUtilizzatori.IdStatoUtilizzatore = 1 THEN 'SI' ELSE 'NO' END) AS h
FROM    TipiUtilizzatore3 INNER JOIN tblUtUtilizzatori ON TipiUtilizzatore3.IdCommessa = tblUtUtilizzatori.IdCommessa 
		AND TipiUtilizzatore3.Id = tblUtUtilizzatori.Tipo3 INNER JOIN tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa 
		AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore INNER JOIN TipiUtilizzatori 
		ON tblUtEdifici.IdCommessa = TipiUtilizzatori.IdCommessa AND tblUtEdifici.Tipologia = TipiUtilizzatori.Id
WHERE   (tblUtEdifici.Tipologia = 2) AND (tblUtEdifici.MQ IS NOT NULL) AND (tblUtUtilizzatori.ClasseUtilizzatore = 'pi')
			
SQL;

if ( is_numeric($_POST['DISMESSO'])) 
{
	$IdStatoUtilizzatore = (int)$_POST['DISMESSO'];

	if ( $IdStatoUtilizzatore==1 ) 
	
	{
		$sql .= " AND (tblUtUtilizzatori.IdStatoUtilizzatore = 1) ";
	
	}	else {

		$sql .= " AND ((tblUtUtilizzatori.IdStatoUtilizzatore = 0) OR (tblUtUtilizzatori.IdStatoUtilizzatore IS NULL)) ";
	}		
}

if ( is_numeric($_POST['IVA'])) 
{
	$IVA = (int)$_POST['IVA'];
	$sql .= " AND (tblUtUtilizzatori.EsenteIVA = $IVA) ";
}

if ( is_numeric($_POST['Tipo'])) 
{
	$Tipo = (int)$_POST['Tipo'];
	$sql .= " AND (TipiUtilizzatore3.Id = $Tipo) ";
}

if ( is_numeric($_POST['CDE'])) 
{
	$ID = (int)$_POST['CDE'];
	$sql .= " AND (tblUtEdifici.IdEdificio = $ID) ";
}

if ( isset($_POST['CDC'])  &&  strlen($_POST['CDC'])>0) 
{
	$str = stripslashes($_POST['CDC']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.cdc LIKE '%".$str."%' ";
}

if ( isset($_POST['Codice'])  &&  strlen($_POST['Codice'])>0) 
{
	$str = stripslashes($_POST['Codice']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND CodiceUtilizzatore LIKE '%".$str."%' ";
}

if ( isset($_POST['Utilizzatore'])  &&  strlen($_POST['Utilizzatore'])>0) 
{
	$str = stripslashes($_POST['Utilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Nome LIKE '%".$str."%' ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Indirizzo LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Quartiere'])) 
{
	$Quartiere = (int)$_POST['Quartiere'];
	$sql .= " AND ((CASE 
	WHEN tblUtUtilizzatori.Descrizione = 'BORGO PANIGALE' THEN 1
	WHEN tblUtUtilizzatori.Descrizione = 'NAVILE' THEN 2
	WHEN tblUtUtilizzatori.Descrizione = 'PORTO' THEN 3
	WHEN tblUtUtilizzatori.Descrizione = 'RENO' THEN 4
	WHEN tblUtUtilizzatori.Descrizione = 'SAN DONATO' THEN 5
	WHEN tblUtUtilizzatori.Descrizione = 'SAN VITALE' THEN 6
	WHEN tblUtUtilizzatori.Descrizione = 'SANTO STEFANO' THEN 7
	WHEN tblUtUtilizzatori.Descrizione = 'SARAGOZZA' THEN 8
	WHEN tblUtUtilizzatori.Descrizione = 'SAVENA' THEN 9
	END) = $Quartiere) ";
}

$sql .= " ORDER BY k, TipiUtilizzatore3.Descrizione, tblUtUtilizzatori.Nome";

$query = ntxQuery($sql);

?>

<script language=javascript>

function visualizza()
{
	document.form2.action="elencoedificicanone.php";
	document.form2.submit();
}

function excel(a,b,c,d,e,f,g,h,i)
{
	document.form3.IVA.value=''+a;
	document.form3.CDE.value=''+b;
	document.form3.CDC.value=''+c;
	document.form3.Codice.value=''+d;
	document.form3.Utilizzatore.value=''+e;
	document.form3.Indirizzo.value=''+f;
	document.form3.Quartiere.value=''+g;
	document.form3.Tipo.value=''+h;
	document.form3.DISMESSO.value=''+i;	
	document.form3.action="exceledificicanone.php";
	document.form3.target="frameExcel";
	document.form3.submit();
}

</script>

<iframe id="frameExcel" name="frameExcel" style="width:1px;height:1px"></iframe>

<form name=form3 method=post>
<input TYPE=HIDDEN NAME=IVA />
<input TYPE=HIDDEN NAME=CDE />
<input TYPE=HIDDEN NAME=CDC />
<input TYPE=HIDDEN NAME=Codice />
<input TYPE=HIDDEN NAME=Utilizzatore />
<input TYPE=HIDDEN NAME=Indirizzo />
<input TYPE=HIDDEN NAME=Quartiere />
<input TYPE=HIDDEN NAME=Tipo />
<input TYPE=HIDDEN NAME=DISMESSO />
</form>

<form name=form2 method=post>
<table align=center >
<tr><th colspan=16><font color=aqua>ELENCO EDIFICI A CANONE</th>
<tr>
<th>IVA<td style="width:10%"><select type="text" name="IVA" >
<option value="" selected>
</option><option value=1>NON RILEVANTE IVA</option>
</option><option value=0>RILEVANTE IVA</option>
</select>	
<th style="width:1%">CDE<td style="width:6%"><input type="text" name="CDE" id="CDE" />
<th style="width:1%">CDC<td style="width:5%"><input type="text" name="CDC" id="CDC" />
<th style="width:1%">Codice<td colspan=3 style="width:15%"><input type="text" name="Codice" id="Codice" />
<th style="width:1%">Descrizione<td style="width:15%"><input type="text" name="Utilizzatore" id="Utilizzatore" />
<th style="width:1%">Indirizzo<td style="width:15%"><input type="text" name="Indirizzo" id="Indirizzo" />
<th style="width:1%">Quartiere<td style="width:15%"><select type="text" name="Quartiere" >
<option value="" selected>
</option><option value=1>BORGO PANIGALE</option>
</option><option value=2>NAVILE</option>
</option><option value=3>PORTO</option>
</option><option value=4>RENO</option>
</option><option value=5>SAN DONATO</option>
</option><option value=6>SAN VITALE</option>
</option><option value=7>SANTO STEFANO</option>
</option><option value=8>SARAGOZZA</option>
</option><option value=9>SAVENA</option>
</select>	
<tr>
<th>Tipo<td colspan=6>
	<select name="Tipo" >
	<?php
	
		$sql2 = "SELECT DISTINCT TipiUtilizzatore3.Id, TipiUtilizzatore3.Descrizione
				 FROM TipiUtilizzatore3 INNER JOIN tblUtUtilizzatori 
				 ON TipiUtilizzatore3.IdCommessa = tblUtUtilizzatori.IdCommessa 
				 AND TipiUtilizzatore3.Id = tblUtUtilizzatori.Tipo3 INNER JOIN
                 tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa 
				 AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore
				 WHERE (tblUtEdifici.Tipologia = 2) AND (tblUtEdifici.MQ IS NOT NULL) 
				 AND (tblUtUtilizzatori.ClasseUtilizzatore = 'pi')
				 ORDER BY TipiUtilizzatore3.Descrizione;";
		
		$query2 = ntxQuery($sql2);
		echo "<option value=''>";
		while ( $rs2 = ntxIRecord($query2) )
		{
			$id2 = htmlentities($rs2[0]."");
			$tipo2 = htmlentities($rs2[1]."");
			echo "<option value=$id2>$tipo2\n";
		}
	?>
	</select>	
	
<th>Dismesso<td style="width:7%"><select type="text" name="DISMESSO" >
<option value="" selected>
</option><option value=1>SI</option>
</option><option value=0>NO</option>
</select>
	
<th style="width:1%"><input type="button" style="width=100%" value="excel" onclick="excel('<?php echo ($_POST['IVA']) ?>' , '<?php echo ($_POST['CDE']) ?>' , '<?php echo ($_POST['CDC']) ?>' , '<?php echo ($_POST['Codice']) ?>' , '<?php echo ($_POST['Utilizzatore']) ?>' , '<?php echo ($_POST['Indirizzo']) ?>' , '<?php echo ($_POST['Quartiere']) ?>' , '<?php echo ($_POST['Tipo']) ?>' , '<?php echo ($_POST['DISMESSO']) ?>')"></th>
<th style="width:1%"><input type="button" style="width=100%" value="filtra / togli filtro" onclick="visualizza()"></th>	
<td colspan=6>
</table>
</form>


<form name=form1 method=post>
<table style="width:100%" align=center>

	<tr><th>DIS MESSO</th><th>IVA</th><th>TIPO</th><th>CDE</th><th>CDC</th><th>CODICE</th><th>DESCRIZIONE</th><th>INDIRIZZO</th><th>QUARTIERE</th><th>MQ</th></tr>
<?php
	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
	
	if($rs['h']=='SI') {$a="red";} else {$a="black";}
?>
		<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DISMESSO" >&nbsp;<font color= <?php echo $a ?> ><?php echo htmlentities($rs['h']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="IVA" >&nbsp;<?php echo htmlentities($rs['k']) ?>&nbsp;</td>		
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="TIPO" >&nbsp;<?php echo htmlentities($rs['D3']) ?>&nbsp;</td>			
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CDE" >&nbsp;<?php echo htmlentities($rs['IdEdificio']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CDC" >&nbsp;<?php echo htmlentities($rs['cdc']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="CODICE" >&nbsp;<?php echo htmlentities($rs['CodiceUtilizzatore']) ?>&nbsp;</td>	
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="DESCRIZIONE" >&nbsp;<?php echo htmlentities($rs['Nome']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="INDIRIZZO" >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>&nbsp;</td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="QUARTIERE" >&nbsp;<?php echo htmlentities($rs['Quartiere']) ?>&nbsp;</td>			
		<td <?php echo  $alternate ? "" : "class=td2" ?> title="MQ"  >&nbsp;<?php echo ntxRoundThousand($rs['MQ'],2) ?>&nbsp;</td>
		
<?php

	$n++;
	
	if ( is_numeric($rs['MQ']) ) $MQ += (float)($rs['MQ']);

	$alternate = !$alternate;
	}
?>

<tr><td colspan=2>&nbsp;Num.Righe = <?php echo htmlentities($n) ?></td>
<td colspan=7>
<td>&nbsp;<?php echo ntxRoundThousand($MQ,2) ?></td></tr>

</table>
</form>

</body>
</html>
