<?php  
session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

header('Pragma: private');
header('Cache-Control: private, must-revalidate');
header('Content-type: application/vnd.ms-excel');
header('Content-Disposition: attachment; filename=anteprima sal canone AI.xls');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<style type="text/css"> 

	table, th, td 
	{
		border: solid 1px;
		border-color:#5B5B5B;
	}
	
</style> 	
	
</head>
<body>

<?php

$DataInizio = ntxtp('DataInizio');
$DataFine = ntxtp('DataFine');
$IO = 3561.40/365;
$giorni = ntxScalar("SELECT datediff(day, $DataInizio, $DataFine)") + 1;
$oneri = $IO*$giorni;

for ($i=2; $i>=0; $i--)
{

if ($i == 2) { 

	?><h2>ISTITUZIONI NON RILEVANTI I.V.A.</h2><br><?php 

} elseif ($i == 1) { 

	?><h2>ISTITUZIONI RILEVANTI I.V.A.</h2><br><?php 

} elseif ($i == 0) { 

	?><h2>RILEVANZA I.V.A. NON DEFINITA</h2><br><?php 

}

$sqlA =  <<< SQL

SELECT    DISTINCT tblUtUtilizzatori.Tipo3, TipiUtilizzatore3.Descrizione
FROM      tblUtEdifici INNER JOIN tblUtUtilizzatori ON tblUtEdifici.IdCommessa = tblUtUtilizzatori.IdCommessa 
		  AND tblUtEdifici.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN TipiUtilizzatore3 
		  ON tblUtUtilizzatori.IdCommessa = TipiUtilizzatore3.IdCommessa AND tblUtUtilizzatori.Tipo3 = TipiUtilizzatore3.Id
WHERE     (tblUtEdifici.Tipologia = 2) AND (tblUtEdifici.Qta IS NOT NULL) AND (tblUtUtilizzatori.ClasseUtilizzatore = 'ai')
		  AND ((tblUtUtilizzatori.IdStatoUtilizzatore = 0) OR (tblUtUtilizzatori.IdStatoUtilizzatore IS NULL))		 
		
SQL;

if ($i == 2) { 

	$sqlA .= " AND (tblUtUtilizzatori.EsenteIVA = 1) ";

} elseif ($i == 1) { 

	$sqlA .= " AND (tblUtUtilizzatori.EsenteIVA = 0) ";

} elseif ($i == 0) { 

	$sqlA .= " AND (tblUtUtilizzatori.EsenteIVA IS NULL) ";

}

$sqlA .= " ORDER BY  tblUtUtilizzatori.Tipo3";

$queryA = ntxQuery($sqlA);

while( $rsA = ntxRecord($queryA) )
{

if (is_numeric($rsA['Tipo3']))  
{
	$x = $rsA['Tipo3'];
	?><?php echo htmlentities($rsA['Descrizione']); 
	
}  else {
	
	$x = 'NULL';
	?>NESSUNA CATEGORIA ASSOCIATA<?php
}

$sql =  <<< SQL

SELECT    tblUtEdifici.IdEdificio, tblUtUtilizzatori.cdc, tblUtUtilizzatori.Nome, tblUtUtilizzatori.Indirizzo, tblUtEdifici.Qta, tblUtEdifici.Canone,
		  
		  (CASE WHEN $DataInizio < tblUtEdifici.DataInizio THEN tblUtEdifici.DataInizio ELSE 
		  (CASE WHEN (($DataInizio >= tblUtEdifici.DataInizio) AND ($DataInizio <= tblUtEdifici.DataFine)) THEN $DataInizio END) END) AS IP, 
		  
		  (CASE WHEN (($DataFine >= tblUtEdifici.DataInizio) AND ($DataFine <= tblUtEdifici.DataFine)) THEN $DataFine ELSE 
		  (CASE WHEN $DataFine > tblUtEdifici.DataFine THEN tblUtEdifici.DataFine END) END) AS FP, 
		  
		  datediff("d", (CASE WHEN $DataInizio < tblUtEdifici.DataInizio THEN tblUtEdifici.DataInizio ELSE 
		  (CASE WHEN (($DataInizio >= tblUtEdifici.DataInizio) AND ($DataInizio <= tblUtEdifici.DataFine)) THEN $DataInizio END) END),
		  (CASE WHEN (($DataFine >= tblUtEdifici.DataInizio) AND ($DataFine <= tblUtEdifici.DataFine)) THEN $DataFine ELSE 
		  (CASE WHEN $DataFine > tblUtEdifici.DataFine THEN tblUtEdifici.DataFine END) END)) + 1 AS GG,
		  
		  datediff("m", (CASE WHEN $DataInizio < tblUtEdifici.DataInizio THEN tblUtEdifici.DataInizio ELSE 
		  (CASE WHEN (($DataInizio >= tblUtEdifici.DataInizio) AND ($DataInizio <= tblUtEdifici.DataFine)) THEN $DataInizio END) END),
		  (CASE WHEN (($DataFine >= tblUtEdifici.DataInizio) AND ($DataFine <= tblUtEdifici.DataFine)) THEN $DataFine ELSE 
		  (CASE WHEN $DataFine > tblUtEdifici.DataFine THEN tblUtEdifici.DataFine END) END)) + 1 AS Mesi
		  
FROM      tblUtEdifici INNER JOIN tblUtUtilizzatori ON tblUtEdifici.IdCommessa = tblUtUtilizzatori.IdCommessa 
		  AND tblUtEdifici.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN TipiUtilizzatore3 
		  ON tblUtUtilizzatori.IdCommessa = TipiUtilizzatore3.IdCommessa AND tblUtUtilizzatori.Tipo3 = TipiUtilizzatore3.Id
WHERE     (tblUtEdifici.Tipologia = 2) AND (tblUtEdifici.Qta IS NOT NULL) AND (tblUtUtilizzatori.ClasseUtilizzatore = 'ai')
		  AND ((tblUtUtilizzatori.IdStatoUtilizzatore = 0) OR (tblUtUtilizzatori.IdStatoUtilizzatore IS NULL))
		
SQL;

if ($i == 2) { 

	$sql .= " AND (tblUtUtilizzatori.EsenteIVA = 1) ";

} elseif ($i == 1) { 

	$sql .= " AND (tblUtUtilizzatori.EsenteIVA = 0) ";

} elseif ($i == 0) { 

	$sql .= " AND (tblUtUtilizzatori.EsenteIVA IS NULL) ";

}

if (is_numeric($rsA['Tipo3']))  
{
	$sql .= " AND (tblUtUtilizzatori.Tipo3 = $x) ";
	
}  else {
	
	$sql .= " AND (tblUtUtilizzatori.Tipo3 IS NULL) ";

}

$sql .= " ORDER BY  tblUtUtilizzatori.Nome";

$query = ntxQuery($sql);

?>

<form name=form1 method=post>
<table style="width:100%" align=center>

	<tr><th>CDE</th><th>CDC</th><th>DESCRIZIONE</th><th>INDIRIZZO</th><th>QTA</th><th>CANONE</th><th>GIORNI</th><th>MESI</th><th style="width:1%">DATA INIZIO</th><th style="width:1%">DATA FINE</th><th style="width:1%">IMPORTO_NETTO</th></tr>
<?php

	while( $rs = ntxRecord($query) )
	{
	
	$IN1 = $rs['Canone']*$rs['Qta'];
	$ImpNetto = $IN1*$rs['GG'];

?>
		<tr>			
		<td >&nbsp;<?php echo htmlentities($rs['IdEdificio']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo htmlentities($rs['cdc']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo htmlentities($rs['Nome']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>&nbsp;</td>
		<td ><?php echo ntxRoundThousand($rs['Qta'],2) ?></td>
		<td  align=right ><?php echo ntxRoundThousand($rs['Canone'],2) ?></td>		
		<td ><?php echo htmlentities($rs['GG']) ?></td>
		<td ><?php echo htmlentities($rs['Mesi']) ?></td>		
		<td >&nbsp;<?php echo ntxDate($rs['IP']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo ntxDate($rs['FP']) ?>&nbsp;</td>			
		<td  align=right ><?php echo ntxRoundThousand($ImpNetto,2) ?></td>	
		
<?php

		if ( is_numeric($ImpNetto) ) 
			$IN += (float)($ImpNetto);
			$IN_T += (float)($ImpNetto);
			$IN_TF += (float)($ImpNetto);
			
			$ImpLordo = $ImpNetto/0.95;			
			
		if ( is_numeric($ImpLordo) ) 
			$IL += (float)($ImpLordo);
			$IL_T += (float)($ImpLordo);
			$IL_TF += (float)($ImpLordo);

	}
?>

<tr><td rowspan=2 colspan=8></td>
<td colspan=3>&nbsp;IMPORTO NETTO&nbsp;=&nbsp;â‚¬&nbsp;<?php echo ntxRoundThousand($IN,2) ?></td>
<tr><td colspan=3>&nbsp;IMPORTO LORDO&nbsp;=&nbsp;â‚¬&nbsp;<?php echo ntxRoundThousand($IL,2) ?></td>

</table>
</form>

<br>

<?php 

$IN = 0;
$IL = 0;

}
?>

<table style="width:35%" align=center>
<?php
if ($i == 2) { 

	?><tr><td >&nbsp;RIEPILOGO ISTITUZIONI NON RILEVANTI I.V.A.&nbsp;</td><?php

} elseif ($i == 1) { 

	?><tr><td >&nbsp;RIEPILOGO ISTITUZIONI RILEVANTI I.V.A.&nbsp;</td><?php

} elseif ($i == 0) { 

	?><tr><td >&nbsp;RILEVANZA I.V.A. NON DEFINITA&nbsp;</td><?php

}
?>
<tr><td >&nbsp;RIBASSO (5%)&nbsp;=&nbsp;â‚¬&nbsp;<?php echo ntxRoundThousand($IL_T - $IN_T,2) ?></td>
<tr><td >&nbsp;IMPORTO LORDO&nbsp;=&nbsp;â‚¬&nbsp;<?php echo ntxRoundThousand($IL_T,2) ?></td>
<tr><td >&nbsp;IMPORTO NETTO&nbsp;=&nbsp;â‚¬&nbsp;<?php echo ntxRoundThousand($IN_T,2) ?></td>
</table>
<br><br>

<?php

$IN_T = 0;
$IL_T = 0;

}
?>

<table style="width:35%" align=center>
<tr><td >&nbsp;IMPORTO ONERI FINALE&nbsp;=&nbsp;â‚¬&nbsp;<?php echo ntxRoundThousand(($oneri),2) ?></td>
<tr><td >&nbsp;RIBASSO FINALE (5%)&nbsp;=&nbsp;â‚¬&nbsp;<?php echo ntxRoundThousand($IL_TF - $IN_TF,2) ?></td>
<tr><td >&nbsp;IMPORTO LORDO FINALE&nbsp;=&nbsp;â‚¬&nbsp;<?php echo ntxRoundThousand($IL_TF,2) ?></td>
<tr><td >&nbsp;IMPORTO NETTO FINALE&nbsp;=&nbsp;â‚¬&nbsp;<?php echo ntxRoundThousand($IN_TF,2) ?></td>
</table>
<br><br>

</body>
</html>
