<?php  
session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

header('Pragma: private');
header('Cache-Control: private, must-revalidate');
header('Content-type: application/vnd.ms-excel');
header('Content-Disposition: attachment; filename=elenco AI.xls');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<style type="text/css"> 
	table, th, td 
	{
		border: solid 1px;
		border-color:#5B5B5B;
	}
</head>

<body>
<?php

$sql =  <<< SQL

SELECT tblUtEdifici.Tipologia, tblUtUtilizzatori.ClasseUtilizzatore, tblUtEdifici.IdEdificio, tblUtUtilizzatori.cdc, 
	   tblUtUtilizzatori.IdStatoUtilizzatore, tblUtUtilizzatori.CodiceUtilizzatore, tblUtUtilizzatori.IdUtilizzatore, 
	   (CASE WHEN tblUtUtilizzatori.Tipo3 IS NULL THEN 'NESSUNA CATEGORIA ASSOCIATA' ELSE TipiUtilizzatore3.Descrizione END) AS D3, 
	   tblUtUtilizzatori.Nome, tblUtUtilizzatori.Indirizzo, tblUtEdifici.Qta, 
	   tblUtUtilizzatori.Descrizione AS Quartiere, tblUtEdifici.DataInizio, tblUtEdifici.DataFine, tblUtEdifici.IdUtEdificio, 
	   (CASE WHEN tblUtUtilizzatori.EsenteIVA = 1 THEN 'ISTITUZIONI NON RILEVANTI I.V.A'
	   WHEN tblUtUtilizzatori.EsenteIVA = 0 THEN 'ISTITUZIONI RILEVANTI I.V.A'
	   WHEN tblUtUtilizzatori.EsenteIVA IS NULL THEN 'RILEVANZA I.V.A. NON DEFINITA' END) AS k,
       (CASE WHEN (tblUtUtilizzatori.IdStatoUtilizzatore = 0 OR tblUtUtilizzatori.IdStatoUtilizzatore IS NULL) THEN 'NO' ELSE 'SI' END) AS h
FROM   tblUtEdifici INNER JOIN tblUtUtilizzatori ON tblUtEdifici.IdCommessa = tblUtUtilizzatori.IdCommessa 
	   AND tblUtEdifici.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN TipiUtilizzatori 
	   ON tblUtEdifici.IdCommessa = TipiUtilizzatori.IdCommessa AND tblUtEdifici.Tipologia = TipiUtilizzatori.Id LEFT OUTER JOIN
       TipiUtilizzatore3 ON tblUtUtilizzatori.IdCommessa = TipiUtilizzatore3.IdCommessa AND tblUtUtilizzatori.Tipo3 = TipiUtilizzatore3.Id
WHERE  (tblUtEdifici.Tipologia = 2) AND (tblUtUtilizzatori.ClasseUtilizzatore = 'ai') AND (tblUtEdifici.Qta IS NOT NULL) 
	   	
SQL;

if ( is_numeric($_POST['DISMESSO'])) 
{
	$IdStatoUtilizzatore = (int)$_POST['DISMESSO'];

	if ( $IdStatoUtilizzatore==1 ) 
	
	{
		$sql .= " AND (tblUtUtilizzatori.IdStatoUtilizzatore = 1) ";
	
	}	else {

		$sql .= " AND ((tblUtUtilizzatori.IdStatoUtilizzatore = 0) OR (tblUtUtilizzatori.IdStatoUtilizzatore IS NULL)) ";
	}		
}

if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sql .= " AND (tblUtUtilizzatori.IdUtilizzatore = $IdUtilizzatore) ";
}

if ( is_numeric($_POST['IVA'])) {

	if ($_POST['IVA'] == 2) { 

		$sql .= " AND (tblUtUtilizzatori.EsenteIVA = 1) ";

	} elseif ($_POST['IVA'] == 1) { 

		$sql .= " AND (tblUtUtilizzatori.EsenteIVA = 0) "; 

	} elseif ($_POST['IVA'] == 0) { 

		$sql .= " AND (tblUtUtilizzatori.EsenteIVA IS NULL) "; 
	}
}

if ( is_numeric($_POST['Tipo'])) 
{
	if ($_POST['Tipo'] == 0) { 

		$sql .= " AND (tblUtUtilizzatori.Tipo3 IS NULL ) ";

	} else { 

		$Tipo = (int)$_POST['Tipo'];
		$sql .= " AND (tblUtUtilizzatori.Tipo3 = $Tipo) "; 

	}
}

if ( is_numeric($_POST['CDE'])) 
{
	$ID = (int)$_POST['CDE'];
	$sql .= " AND (tblUtEdifici.IdEdificio = $ID) ";
}

if ( isset($_POST['CDC'])  &&  strlen($_POST['CDC'])>0) 
{
	$str = stripslashes($_POST['CDC']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.cdc LIKE '%".$str."%' ";
}

if ( isset($_POST['Codice'])  &&  strlen($_POST['Codice'])>0) 
{
	$str = stripslashes($_POST['Codice']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND CodiceUtilizzatore LIKE '%".$str."%' ";
}

if ( isset($_POST['Utilizzatore'])  &&  strlen($_POST['Utilizzatore'])>0) 
{
	$str = stripslashes($_POST['Utilizzatore']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND Nome LIKE '%".$str."%' ";
}

if ( isset($_POST['Indirizzo'])  &&  strlen($_POST['Indirizzo'])>0) 
{
	$str = stripslashes($_POST['Indirizzo']."");
	$str = str_replace("'", "''", $str);
	$sql .= " AND tblUtUtilizzatori.Indirizzo LIKE '%".$str."%' ";
}

if ( is_numeric($_POST['Quartiere'])) 
{
	$Quartiere = (int)$_POST['Quartiere'];
	$sql .= " AND ((CASE 
	WHEN tblUtUtilizzatori.Descrizione = 'BORGO PANIGALE' THEN 1
	WHEN tblUtUtilizzatori.Descrizione = 'NAVILE' THEN 2
	WHEN tblUtUtilizzatori.Descrizione = 'PORTO' THEN 3
	WHEN tblUtUtilizzatori.Descrizione = 'RENO' THEN 4
	WHEN tblUtUtilizzatori.Descrizione = 'SAN DONATO' THEN 5
	WHEN tblUtUtilizzatori.Descrizione = 'SAN VITALE' THEN 6
	WHEN tblUtUtilizzatori.Descrizione = 'SANTO STEFANO' THEN 7
	WHEN tblUtUtilizzatori.Descrizione = 'SARAGOZZA' THEN 8
	WHEN tblUtUtilizzatori.Descrizione = 'SAVENA' THEN 9
	END) = $Quartiere) ";
}

$sql .= " ORDER BY k, TipiUtilizzatore3.Descrizione, tblUtUtilizzatori.Nome";

$query = ntxQuery($sql);

?>

<form name=form1 method=post>

<table align=center>

	<tr><th>DISMESSO</th><th>IVA</th><th>TIPO</th><th>CDE</th><th>CDC</th><th>CODICE</th><th>DESCRIZIONE</th><th>INDIRIZZO</th><th>QUARTIERE</th><th>DATA INIZIO</th><th>DATA FINE</th><th>QTA</th></tr>
	
<?php

	while( $rs = ntxRecord($query) )
	{
	
	if($rs['h']=='SI') {$a="red";} else {$a="black";}
?>
		<tr>
		<td >&nbsp;<font color= <?php echo $a ?> ><?php echo htmlentities($rs['h']) ?>&nbsp;</td>		
		<td >&nbsp;<?php echo htmlentities($rs['k']) ?>&nbsp;</td>		
		<td >&nbsp;<?php echo htmlentities($rs['D3']) ?>&nbsp;</td>			
		<td >&nbsp;<?php echo htmlentities($rs['IdEdificio']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo htmlentities($rs['cdc']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo htmlentities($rs['CodiceUtilizzatore']) ?>&nbsp;</td>	
		<td >&nbsp;<?php echo htmlentities($rs['Nome']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo htmlentities($rs['Quartiere']) ?>&nbsp;</td>	
		<td >&nbsp;<?php echo ntxDate($rs['DataInizio']) ?>&nbsp;</td>
		<td >&nbsp;<?php echo ntxDate($rs['DataFine']) ?>&nbsp;</td>			
		<td align=right><?php echo ntxRoundThousand($rs['Qta'],2) ?></td>
		
<?php

	$n++;

	}
?>

<tr><td colspan=2>&nbsp;Num.Righe = <?php echo htmlentities($n) ?></td>
<td colspan=10>

</table>
</form>

</body>
</html>
