<?php

if ( !$_SESSION ) session_start();

require_once('../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdGruppoWeb = ntxise('IdGruppoWeb');
$IdUtente = ntxise('IdUtente');

$IdCommessa = $_SESSION[IdCommessa] = ntxip('IdCommessa');
	
$sql = <<< sql
	SELECT count(*)
	FROM         UtentiRifAffidatari
	WHERE     (IdUtente = $IdUtente)
sql;

$countRifAffidatariUtente = ntxScalar($sql);
	
$sql = <<< sql
	SELECT DISTINCT tblContrattiFornitori.IdContrattoFornitore
	FROM         UtentiRifAffidatari INNER JOIN
                      tblPgContrattiRifAffidatari ON UtentiRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
                      tblContrattiFornitori ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblContrattiFornitori.IdContrattoAffidatario
	WHERE     (UtentiRifAffidatari.IdUtente = $IdUtente) AND (tblPgContrattiRifAffidatari.IdCommessa = $IdCommessa)
	ORDER BY IdContrattoFornitore
sql;

$query = ntxQuery($sql);

$ListaIdContrattiFornitore = "";

while( $rs = ntxiRecord($query) )
{
	if ( $ListaIdContrattiFornitore != "" ) 
		$ListaIdContrattiFornitore .= ",";
		
	$ListaIdContrattiFornitore .= $rs[0];
}

//if ( $countRifAffidatariUtente  &&  $ListaIdContrattiFornitore == "" ) jhp_error("Utente non associato ad alcun contratto affidatario assegnato a contratto fornitore su commessa selezionata!");

$_SESSION[ListaIdContrattiFornitore] = $ListaIdContrattiFornitore;

$sql = <<< sql
	SELECT DISTINCT tblContrattiFornitori.IdFornitore
	FROM         UtentiRifAffidatari INNER JOIN
                      tblPgContrattiRifAffidatari ON UtentiRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
                      tblContrattiFornitori ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblContrattiFornitori.IdContrattoAffidatario
	WHERE     (UtentiRifAffidatari.IdUtente = $IdUtente) AND (tblPgContrattiRifAffidatari.IdCommessa = $IdCommessa)
	ORDER BY IdFornitore
sql;

$query = ntxQuery($sql);

$ListaIdFornitori = "";

while( $rs = ntxiRecord($query) )
{
	if ( $ListaIdFornitori != "" ) 
		$ListaIdFornitori .= ",";
		
	$ListaIdFornitori .= $rs[0];
}

$_SESSION[ListaIdFornitori] = $ListaIdFornitori;

$sql = <<< sql
	SELECT DISTINCT tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario
	FROM         UtentiRifAffidatari INNER JOIN
                      tblPgContrattiRifAffidatari ON UtentiRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario
	WHERE     (UtentiRifAffidatari.IdUtente = $IdUtente) AND (tblPgContrattiRifAffidatari.IdCommessa = $IdCommessa)
	ORDER BY IdPgContrattoRifAffidatario
sql;

$query = ntxQuery($sql);

$ListaIdContrattiRifAffidatari = "";

while( $rs = ntxiRecord($query) )
{
	if ( $ListaIdContrattiRifAffidatari != "" ) 
		$ListaIdContrattiRifAffidatari .= ",";
		
	$ListaIdContrattiRifAffidatari .= $rs[0];
}

$_SESSION[ListaIdContrattiRifAffidatari] = $ListaIdContrattiRifAffidatari;

$sql = <<< sql
	SELECT DISTINCT tblPgContrattiAffidatari.IdAffidatario
	FROM         UtentiRifAffidatari INNER JOIN
                      tblPgContrattiRifAffidatari ON UtentiRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
	WHERE     (UtentiRifAffidatari.IdUtente = $IdUtente) AND (tblPgContrattiRifAffidatari.IdCommessa = $IdCommessa)
	ORDER BY IdAffidatario
sql;

$query = ntxQuery($sql);

$ListaIdAffidatari = "";

while( $rs = ntxiRecord($query) )
{
	if ( $ListaIdAffidatari != "" ) 
		$ListaIdAffidatari .= ",";
		
	$ListaIdAffidatari .= $rs[0];
}

$_SESSION[ListaIdAffidatari] = $ListaIdAffidatari;

$sql = <<< sql
	SELECT     count(*)
	FROM  (
			SELECT DISTINCT OpzioniWeb.idOpzione, OpzioniWeb.ordine, OpzioniWeb.Opzione
			FROM         OpzioniWeb INNER JOIN
							  GruppiCommesseOpzioniWeb ON OpzioniWeb.idOpzione = GruppiCommesseOpzioniWeb.idOpzione
			WHERE     (GruppiCommesseOpzioniWeb.gruppo = $IdGruppoWeb) AND (GruppiCommesseOpzioniWeb.commessa = $IdCommessa) AND (OpzioniWeb.Nota = '###')
		) a
sql;

$count = ntxScalar($sql);

$isCommessa = true;

if ( $count == 0 )
{
	$isCommessa = false;
	
	$sql = <<< sql
		SELECT     count(*)
		FROM         GruppiOpzioniWeb INNER JOIN
                      OpzioniWeb ON GruppiOpzioniWeb.idOpzione = OpzioniWeb.idOpzione
	WHERE     (GruppiOpzioniWeb.gruppo = $IdGruppoWeb)
sql;

	$count = ntxScalar($sql);
}

if ( $count == 0 )
	jhp_error("Non ci sono opzioni!");

$result[count] = $count;
$result[html] = "";

if ( $isCommessa )
	$sql = <<< sql
		SELECT DISTINCT OpzioniWeb.idOpzione, OpzioniWeb.ordine, OpzioniWeb.Opzione, OpzioniWeb.link
		FROM         OpzioniWeb INNER JOIN
						  GruppiCommesseOpzioniWeb ON OpzioniWeb.idOpzione = GruppiCommesseOpzioniWeb.idOpzione 
		WHERE     (GruppiCommesseOpzioniWeb.gruppo = $IdGruppoWeb) AND (GruppiCommesseOpzioniWeb.commessa = $IdCommessa) AND (OpzioniWeb.Nota = '###')
		ORDER BY OpzioniWeb.Opzione, OpzioniWeb.ordine
sql;
else
	$sql = <<< sql
		SELECT DISTINCT OpzioniWeb.idOpzione, OpzioniWeb.ordine, OpzioniWeb.Opzione, OpzioniWeb.link
		FROM         GruppiOpzioniWeb INNER JOIN
                      OpzioniWeb ON GruppiOpzioniWeb.idOpzione = OpzioniWeb.idOpzione
		WHERE     (GruppiOpzioniWeb.gruppo = $IdGruppoWeb) AND (OpzioniWeb.Nota = '###')
		ORDER BY OpzioniWeb.Opzione, OpzioniWeb.ordine
sql;

$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
	{
		$js[$k] = ntxjs($v);
		$html[$k] = htmlentities($v);
	}
	
	$result[action] = $rs[link];
	
	$result[html] .=  <<< result
		<button class="ui-btn ui-corner-all ui-shadow"
				onclick='SelOpzione("$rs[link]")'>
			$html[Opzione]
		</button>
result;
}

jhp($result);

?>
