<?php
session_start();

require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$GradoUrgenza = ntxsp('GradoUrgenza');
$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
	SELECT     dbo.CalcTempoPresaInCarico(Richieste.IdCommessa, $GradoUrgenza, Richieste.DataRichiesta)
	FROM         Ordini INNER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

$result[DataSPC] =  ntxDateTime(ntxScalar($sql));

$sql = <<< sql
	SELECT     
			dbo.CalcInizioIntervento($IdCommessa, $GradoUrgenza, 
											case when Richieste.DataAutorizzazione is not null then 
												Richieste.DataAutorizzazione
											else 
												Richieste.DataRichiesta 
											end)
	FROM         Ordini INNER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

$result[DataScadenza] =  ntxDateTime(ntxScalar($sql));

jhp($result);	
?>
