<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
 
$IdCommessa = ntxise('IdCommessa');
$IdOrdineProgrammato = ntxip('IdOrdineProgrammato');

$sql = <<< sql
	UPDATE         tblOrdiniProgrammati 
	
	SET 
		DataInizioListaControllo=isnull(DataInizioListaControllo,getdate())
	
	where IdCommessa = $IdCommessa and IdOrdineProgrammato=$IdOrdineProgrammato
sql;

ntxQuery($sql);

$sql = <<< sql
SELECT     StatoVociListeControlloPRG.IdVoceListaControllo, StatoVociListeControlloPRG.NonConformità , StatoVociListeControlloPRG.NumRichiesta, 
				  StatoVociListeControlloPRG.AnnoRichiesta, Stati.DesStato
FROM         Stati RIGHT OUTER JOIN
				  Richieste ON Stati.IDStato = Richieste.Stato RIGHT OUTER JOIN
				  StatoVociListeControlloPRG ON Richieste.IDCommessa = StatoVociListeControlloPRG.IdCommessa AND 
				  Richieste.NumRichiesta = StatoVociListeControlloPRG.NumRichiesta AND Richieste.AnnoRichiesta = StatoVociListeControlloPRG.AnnoRichiesta
WHERE     (StatoVociListeControlloPRG.IdCommessa = $IdCommessa) AND (StatoVociListeControlloPRG.IdOrdineProgrammato = $IdOrdineProgrammato)
sql;

$query = ntxQuery($sql);

$ListaVociConAnomalia = array();

while ($rs=ntxRecord($query))
	$ListaVociConAnomalia[$rs[IdVoceListaControllo]] = $rs;

$sql = <<< sql
	SELECT     ListeControlloAttivitàMestiere.IdVoce, ListeControlloAttivitàMestiere.Voce
	FROM         ListeControlloAttivitàMestiere INNER JOIN
						  tblOrdiniProgrammati ON ListeControlloAttivitàMestiere.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
						  ListeControlloAttivitàMestiere.IdAttivitàMestiere = tblOrdiniProgrammati.IdAttivitàMestiere
	WHERE     (ListeControlloAttivitàMestiere.Tipo = 1) 
		AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.IdOrdineProgrammato = $IdOrdineProgrammato)
	ORDER BY ListeControlloAttivitàMestiere.Ordine, ListeControlloAttivitàMestiere.Voce
sql;

$query = ntxQuery($sql);

$table = "";

while ($rs=ntxRecord($query))
{
	$voce = $ListaVociConAnomalia[$rs[IdVoce]];
	
	$Richiesta = "";
	
	if ( is_numeric($voce[IdVoceListaControllo]) )
	{
		if ( is_numeric($voce[NonConformità ]) )
		{
			$colore = "background-color:#FFAAAA;color:black";
		}
		else
		{
			$colore = "background-color:#AAFFAA;color:black";
		}
		
		if ( is_numeric($voce[NumRichiesta]) )
		{
			$Richiesta = "<br>Richiesta $voce[NumRichiesta]/$voce[AnnoRichiesta] [".htmlentities(strtolower($voce[DesStato]))."]";
		}
	}
	else
	{
		$colore = "background-color:white;color:black";
	}
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;text-align:left;$colore"
						onclick="SetVoceListaControllo($IdOrdineProgrammato, $rs[IdVoce])"
						IdVoceListaControllo="$rs[IdVoce]">
			$html[Voce] $Richiesta
		</button>
table;
}

	$table .= <<< table
			<div class="ui-grid-a">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="ChiudiCheckList()">Torna indietro...</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;background-color:#AAFFAA" onclick="LettaListaControllo($IdOrdineProgrammato)">Verificata Lista Controllo</button></div>
			</div>
table;

jhp($table);

?>