<?php

$VisAmbienti = $_POST[VisAmbienti];

if ( $VisAmbienti )
{
	// VaniFiniti
	if ( strlen($_POST[VaniFiniti])>0 )
	{
		$VaniFiniti = ntxsp('VaniFiniti');
		
		$layer = ms_newLayerObj($map);
		
		$layer->set("name", "vani_finiti1");

		$layer->set("type", MS_LAYER_POLYGON);

		$layer->set("status", MS_ON);
		
		$class = ms_newClassObj($layer);
		
		$style = ms_newStyleObj($class);
		
		$style->color->setRGB(222, 255, 222);

		$sql = <<< sql
			SELECT AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.CoordXY
			FROM         Ambiente INNER JOIN
						  AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
						  Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente
						  INNER JOIN dbo.splitid($VaniFiniti) a on a.id=Ambiente.IDAmbiente
			WHERE     (Ambiente.IdCommessa = $IdCommessa) 
				AND (Ambiente.IdEdificio = $IdEdificio) 
				AND (Ambiente.IdLivello = $IdPiano)
				AND (AmbienteShapes.Tipo = 2)
				AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
			ORDER BY AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.Id
sql;

		$query2 = ntxQuery($sql);
		
		$IdAmbiente = $IdShape = "";
		
		$punti = "";
		
		while($rs2=ntxRecord($query2))
		{
			if ( $IdAmbiente=="" ) 
			{
				$IdAmbiente = $rs2[IdAmbiente];
				$IdShape = $rs2[IdShape];
			}
			
			if ( $IdAmbiente!=$rs2[IdAmbiente] || $IdShape!=$rs2[IdShape] ) 
			{
				$IdAmbiente = $rs2[IdAmbiente];
				$IdShape = $rs2[IdShape];
				
				WritePolygon($layer, $punti);
				
				$punti = "";
			}
			
			$punti .= $rs2[CoordXY];
		}

		if ( $punti!="" ) 
			WritePolygon($layer, $punti);
	}
}

?>