<?php
 
		  
require_once("../../../../_ntx/const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once("carica_mappa-funcs.inc");

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$ListaIdContrattiFornitore = ntxlnse('ListaIdContrattiFornitore', false);
$Tipo = ntxip('Tipo');

$ElencoCompletoTipiComponenti = explode(",", $_POST[ElencoCompletoTipiComponenti]);

$len = count($ElencoCompletoTipiComponenti)-1;

$addWhere = "";

if ( strlen("$_POST[NomeTipoComponente]")>0 )
	$addWhere = " AND tblCopertureInCommessa.Nome LIKE '%".str_replace("'","''",$_POST[NomeTipoComponente])."%' ";

if ( $Tipo==1 ) // in carico
{
	$addWhere .= " AND Ordini.IdRisorsa IS NOT NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==2 ) // da assegnare
{
	$addWhere .= " AND Ordini.IdRisorsa IS NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==3 ) // finiti
{
	$addWhere .= " AND Ordini.StatoOrd >= 50";
}

$DataInizioProg=ntxttp('DataInizioProg', true);
$DataFineProg=ntxttp('DataFineProg', true);

if ( $DataInizioProg!="NULL" )
	$addWhere .= " AND Ordini.DataFineProg >= $DataInizioProg";

if ( $DataFineProg!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataFineProg";

$zoom_radius = 10;

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

require_once("carica_mappa-mapfile.inc");

$map = ms_newMapObj($mapfile);

$map->setSize($_POST[dx], $_POST[dy]); // dimesione immagine generata in pixel

$isExtent = (isset($_POST[extent])  &&  $_POST[extent]!=""  &&  $_POST[doAction]!='fit');

if ( !$isExtent )
{
	$minx = $miny = $maxx = $maxy = null;
}
else
{
	$extent = explode(" ", $_POST[extent]);

	$minx = $extent[0];
	$miny = $extent[1];
	$maxx = $extent[2];
	$maxy = $extent[3];
}

$map->set("units", MS_METERS);

require_once("carica_mappa-vani-evidenziati.inc");
require_once("carica_mappa-vani-finiti.inc");
require_once("carica_mappa-arc.inc");
require_once("carica_mappa-vani.inc");

$solo_comp_vani_sel = (is_numeric($_POST[solo_comp_vani_sel])  &&  (int)$_POST[solo_comp_vani_sel]==1);

if ( $solo_comp_vani_sel )
{
	if ( strlen($VaniSelezionati)==0 ) $VaniSelezionati = "''";
	
	$inner_solo_comp_vani_sel = " INNER JOIN dbo.splitid($VaniSelezionati) VaniSelezionati ON VaniSelezionati.id=ComponentiAmbiente.IdAmbiente ";
}

require_once("carica_mappa-comp-finiti.inc");
require_once("carica_mappa-comp-selezionati.inc");
require_once("carica_mappa-comp.inc");

if ( !$isExtent )
{
	$dx10 = abs($maxx - $minx) * 0.02;
	$dy10 = abs($maxy - $miny) * 0.02;
	
	$minx -= $dx10;
	$miny -= $dy10;
	$maxx += $dx10;
	$maxy += $dy10;
}

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

switch ( $_POST[doAction] )
{
	case 'pan': 
		$zoom_factor = 1;
		break;
	case 'zoom_plus': 
		$zoom_factor = 2;
		break;
	case 'zoom_minus': 
		$zoom_factor = -2;
		break;
}

switch ( $_POST[doAction] )
{
	case 'pan': 
	case 'zoom_plus': 
	case 'zoom_minus': 
		$my_point = ms_newpointObj();
		$my_point->setXY($_POST[map_x],$_POST[map_y]);
		
		$map->zoompoint($zoom_factor, $my_point, $map->width, $map->height, $map->extent);
		break;
	case 'zoom_rect': 
		$zoom_rect = ms_newRectObj();
		
		$zoom_x1 = (int)$_POST[zoom_x1];
		$zoom_y1 = (int)$_POST[zoom_y1];
		$zoom_x2 = (int)$_POST[zoom_x2];
		$zoom_y2 = (int)$_POST[zoom_y2];
		
		if ( $zoom_x1 > $zoom_x2 )
		{
			$zoom_switch = $zoom_x1;
			$zoom_x1 = $zoom_x2;
			$zoom_x2 = $zoom_switch;
		}
		
		if ( $zoom_y1 < $zoom_y2 )
		{
			$zoom_switch = $zoom_y1;
			$zoom_y1 = $zoom_y2;
			$zoom_y2 = $zoom_switch;
		}
		
		$zoom_rect->setextent($zoom_x1, $zoom_y1, $zoom_x2, $zoom_y2);
		
		if ( $zoom_x1!=$zoom_x2  &&  $zoom_y1!=$zoom_y2 )
			$map->zoomrectangle($zoom_rect, $map->width, $map->height, $map->extent);
		break;
}

$image = $map->draw();

$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

$szFileName = tempnam($dir, "TN").".png";

$image->saveImage($szFileName);

$szFileName2 = $url.substr($szFileName, strlen($dir));

$extent = $map->extent->minx." ".$map->extent->miny." "
					.$map->extent->maxx." ".$map->extent->maxy;

$result[FileName] = $szFileName2;				
$result[extent] = $extent;	

jhp($result);

?>
