<?php

require_once("../../../../_ntx/const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$ListaIdContrattiFornitore = ntxlnse('ListaIdContrattiFornitore', false);
$Tipo = ntxip('Tipo');

$addWhere = "";

if ( strlen("$_POST[NomeTipoComponente]")>0 )
	$addWhere = " AND tblCopertureInCommessa.Nome LIKE '%".str_replace("'","''",$_POST[NomeTipoComponente])."%' ";

if ( $Tipo==1 ) // in carico
{
	$addWhere .= " AND Ordini.IdRisorsa IS NOT NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==2 ) // da assegnare
{
	$addWhere .= " AND Ordini.IdRisorsa IS NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==3 ) // finiti
{
	$addWhere .= " AND Ordini.StatoOrd >= 50";
}

$DataInizioProg=ntxttp('DataInizioProg', true);
$DataFineProg=ntxttp('DataFineProg', true);

if ( $DataInizioProg!="NULL" )
	$addWhere .= " AND Ordini.DataFineProg >= $DataInizioProg";

if ( $DataFineProg!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataFineProg";

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$x1 = $_POST[zoom_x1];
$y1 = $_POST[zoom_y1];
$x2 = $_POST[zoom_x2];
$y2 = $_POST[zoom_y2];

$dx = $_POST[dx];
$dy = $_POST[dy];

$dx2 = abs($maxx - $minx);
$dy2 = abs($maxy - $miny);

function ConvX($x)
{
	global $dx2, $dx, $minx;
	
	return $x * $dx2 / $dx + $minx;
}

function ConvY($y)
{
	global $dy2, $dy, $miny;
	
	$y = $dy - $y;
	
	return $y * $dy2 / $dy + $miny;
}

$x1 = ConvX($x1);
$y1 = ConvY($y1);
$x2 = ConvX($x2);
$y2 = ConvY($y2);

$minx3 = $x1 < $x2 ? $x1 : $x2;
$miny3 = $y1 < $y2 ? $y1 : $y2;
$maxx3 = $x1 > $x2 ? $x1 : $x2;
$maxy3 = $y1 > $y2 ? $y1 : $y2;

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$solo_comp_vani_sel = (is_numeric($_POST[solo_comp_vani_sel])  &&  (int)$_POST[solo_comp_vani_sel]==1);

if ( $solo_comp_vani_sel )
{
	if ( strlen($_POST[VaniSelezionati])>0 )
		$VaniSelezionati = ntxsp('VaniSelezionati');
	else
		$VaniSelezionati = "''";
	
	$inner_solo_comp_vani_sel = " INNER JOIN dbo.splitid($VaniSelezionati) VaniSelezionati ON VaniSelezionati.id=ComponentiAmbiente.IdAmbiente ";
}

$ElencoCompletoTipiComponenti = explode(",", $_POST[ElencoCompletoTipiComponenti]);

if ( !is_array($ElencoCompletoTipiComponenti) ) $ElencoCompletoTipiComponenti = array();

$lenElencoCompletoTipiComponenti = count($ElencoCompletoTipiComponenti)-1;

$CompVisibili = "";

for($i=0, $j=1; $i<$lenElencoCompletoTipiComponenti; $i+=2, $j+=2)
{
	if (  $ElencoCompletoTipiComponenti[$j]==1 )
	{
		if ( $CompVisibili!="" ) $CompVisibili .= ",";
		
		$CompVisibili .= $ElencoCompletoTipiComponenti[$i];
	}
}

$innerCompVisibili = " INNER JOIN dbo.splitid('$CompVisibili') CompVisibili ON CompVisibili.id=ComponentiAmbiente.IdTipoComponente ";
	

$sql = <<< sql
	SELECT DISTINCT ComponentiAmbiente.IdComponente
	FROM         tblOrdiniPrgComp INNER JOIN
                      tblOrdiniProgrammati ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
                      Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
                      tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
                      TipoComponente.Copertura = tblCopertureInCommessa.Nome INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
					  $inner_solo_comp_vani_sel
					  $innerCompVisibili
					  $innerIstantiRilievo
	WHERE (Ambiente.IdCommessa = $IdCommessa) 
 		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		AND (isnumeric(ComponentiAmbiente.X) = 1) 
		AND (Ordini.IdContratto IN ($ListaIdContrattiFornitore)) 
		$filtroDataInizioRilievo
		$filtroDataFineRilievo
		$addWhere

	AND dbo.PointInRect(ComponentiAmbiente.x, ComponentiAmbiente.y,
							$minx3, 		$miny3,
							$maxx3, 		$maxy3)=1
sql;

$query = ntxQuery($sql);

$ComponentiSelezionati = "";

while ( $rs = ntxIRecord($query) )
{
	if ( $ComponentiSelezionati!="" ) $ComponentiSelezionati .= ",";
	
	$ComponentiSelezionati .= $rs[0];
}

jhp($ComponentiSelezionati);

?>
