<?php 

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa');
$IdPiano = ntxip('IdPiano');

?>
<!DOCTYPE html> 
<html>
<head>
	<title>Edit Ordine</title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	<link rel="stylesheet" href="css/index.css?v5" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="/repository2/paginazione/paginazione.js" type="text/javascript"></script>
	
	<script src="js/index.js"></script>
</head>
<body >

<div data-role="page">

	<div data-role="header" data-position="fixed">
        <h1>Vani/Componenti</h1>
        <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
        <a href="javascript:formBack.submit()" data-ajax="false" data-icon="back" data-iconpos="notext"></a>
		<a href="javascript:formRefresh.submit()" data-ajax="false" data-icon="recycle" data-iconpos="notext"></a>
    </div>

	<div role="main" class="ui-content jqm-content jqm-fullwidth" style="margin:0;padding:0">
		<div class="ui-grid-a">
			<div class="ui-block-a"><input id="CodAssAmbiente" value="" placeholder="Codice Ambiente" type="text" data-clear-btn="true" /> </div>
			<div class="ui-block-b"><input id="DesUso" value="" placeholder="Des.Uso Ambiente" type="text" data-clear-btn="true" /> </div>
		</div>
				
		<div class="ui-grid-b">
			<div class="ui-block-a"><input id="CodAssComponente" value="" placeholder="Codice Componente" type="text" data-clear-btn="true" /> </div>
			<div class="ui-block-b"><input id="GruppoImpianto" value="" placeholder="Gruppo Impianto" type="text" data-clear-btn="true" /> </div>
			<div class="ui-block-c"><input id="TipoComponente" value="" placeholder="Tipo Componente" type="text" data-clear-btn="true" /> </div>
		</div>
				
		<div class="ui-grid-b">
			<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="Filtra()">Filtra</button></div>
			<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="Resetta()">Resetta</button></div>
			<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="Mappa()">Mappa</button></div>
		</div>

		<div id="lista-risultati-ricerca">
		</div>
	</div>

</div>

<form name=formBack method="post" action="ordini.php">
	<input type=hidden name=IdEdificio value="<?php echo $_POST[IdEdificio] ?>"  />
	<input type=hidden name=Tipo value="<?php echo $_POST[Tipo] ?>"  />
	<input type=hidden name=DataInizioProg value="<?php echo $_POST[DataInizioProg] ?>"  />
	<input type=hidden name=DataFineProg value="<?php echo $_POST[DataFineProg] ?>"  />
</form>

<form name=formRefresh method="post" >
	<input type=hidden name=IdEdificio value="<?php echo $_POST[IdEdificio] ?>"  />
	<input type=hidden name=Tipo value="<?php echo $_POST[Tipo] ?>"  />
	<input type=hidden name=DataInizioProg value="<?php echo $_POST[DataInizioProg] ?>"  />
	<input type=hidden name=DataFineProg value="<?php echo $_POST[DataFineProg] ?>"  />
	<input type=hidden name=IdPiano value="<?php echo $_POST[IdPiano] ?>"  />
</form>

<form name=formOrdiniPrd method="post" action="ordini_prd.php">
	<input type=hidden name=IdEdificio value="<?php echo $_POST[IdEdificio] ?>"  />
	<input type=hidden name=Tipo value="<?php echo $_POST[Tipo] ?>"  />
	<input type=hidden name=DataInizioProg value="<?php echo $_POST[DataInizioProg] ?>"  />
	<input type=hidden name=DataFineProg value="<?php echo $_POST[DataFineProg] ?>"  />
	<input type=hidden name=IdPiano value="<?php echo $_POST[IdPiano] ?>"  />
	<input type=hidden name=IdAmbiente value=""  />
	<input type=hidden name=IdComponente value=""  />
	<input type=hidden name=TipoMP value=""  />
</form>

<form name="frmRicerca" method="post" Paginazione>
	<?php PaginazioneCampiPerForm(20, 'jhp/vani_componenti/ricerca.php', 'lista-risultati-ricerca') ?>

	<input type=hidden name=CodAssAmbiente value="" />
	<input type=hidden name=DesUso value="" />
	<input type=hidden name=CodAssComponente value="" />
	<input type=hidden name=GruppoImpianto value="" />
	<input type=hidden name=TipoComponente value="" />
	<input type=hidden name=IdEdificio value="<?php echo $_POST[IdEdificio] ?>"  />
	<input type=hidden name=Tipo value="<?php echo $_POST[Tipo] ?>"  />
	<input type=hidden name=DataInizioProg value="<?php echo $_POST[DataInizioProg] ?>"  />
	<input type=hidden name=DataFineProg value="<?php echo $_POST[DataFineProg] ?>"  />
	<input type=hidden name=IdPiano value="<?php echo $_POST[IdPiano] ?>"  />

</form>

<script>

	PaginazioneRicercaA('frmRicerca', 'first');
	
	function SelComponente(IdComponente)
	{
		formOrdiniPrd.TipoMP.value = 1;
		formOrdiniPrd.IdComponente.value = IdComponente;
		formOrdiniPrd.action = "attivita_componente.php";
		formOrdiniPrd.submit();
	}
	
	function SelVano(IdAmbiente)
	{
		formOrdiniPrd.TipoMP.value = 2;
		formOrdiniPrd.IdAmbiente.value = IdAmbiente;
		formOrdiniPrd.action = "attivita_vano.php";
		formOrdiniPrd.submit();
	}
	
	function Mappa()
	{
		formOrdiniPrd.action = "mappa/mappa.php";
		formOrdiniPrd.submit();
	}
	
	function Filtra()
	{	
		frmRicerca.CodAssAmbiente.value = jei('CodAssAmbiente').value;
		frmRicerca.DesUso.value = jei('DesUso').value;
		
		frmRicerca.CodAssComponente.value = jei('CodAssComponente').value;
		frmRicerca.GruppoImpianto.value = jei('GruppoImpianto').value;
		frmRicerca.TipoComponente.value = jei('TipoComponente').value;
		
		PaginazioneRicercaA('frmRicerca', 'first');
	}
	
	function Resetta()
	{	
		jei('CodAssAmbiente').value = "";
		jei('DesUso').value = "";
		
		jei('CodAssComponente').value = "";
		jei('GruppoImpianto').value = "";
		jei('TipoComponente').value = "";
		
		Filtra();
	}

</script>

</body>
</html>