<?php
session_start();

require_once("../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');
 
$sql = <<< sql
	SELECT    Richieste.Localizzazione, Richieste.NumRichiesta, Richieste.AnnoRichiesta, ElencoEdifici.Indirizzo, Richieste.DataRichiesta, Richieste.Descrizione, Richieste.Descrizione1, 
                      Richieste.Descrizione2, tblMestieri.Descrizione AS mest, tblComponetiMestiere.Descrizione AS comp, tblAttivitàMestiere.Descrizione AS att, 
                      Richieste.Stato, Stati.DesStato, Richieste.DataInizioP, Richieste.TecnicoC, Richieste.Classificazione, TabellaGradoUrgenza.Descrizione AS GrUrg, 
                      Richiedenti.Nome AS Richiedente, Richieste.PrioritàTecnica, Richieste.NoteTecniche
	FROM         Richieste INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
                      tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato LEFT OUTER JOIN
                      Richiedenti ON Richieste.IDCommessa = Richiedenti.IdCommessa AND Richieste.IdRichiedente = Richiedenti.IdRichiedente LEFT OUTER JOIN
                      TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
                      Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU LEFT OUTER JOIN
                      tblAttivitàMestiere ON Richieste.IDCommessa = tblAttivitàMestiere.IdCommessa AND 
                      Richieste.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere LEFT OUTER JOIN
                      tblComponetiMestiere ON Richieste.IDCommessa = tblComponetiMestiere.IdCommessa AND 
                      Richieste.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;

$rs=ntxRecord(ntxQuery($sql));

$stato = $rs[Stato];

$IdEdificio = $rs[Localizzazione];
$TecnicoC = $rs[TecnicoC];
$PrioritàTecnica = $rs[PrioritàTecnica];
$NoteTecniche = htmlentities($rs[NoteTecniche]);

$DataRichiesta = ntxDateTime($rs[DataRichiesta]);

$DataInizioP = ntxDateTime($rs[DataInizioP]);

if ( "$DataInizioP"=="" ) $DataInizioP = "...";

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);

foreach($html as $k=>$v)
	if ( "$v"==""  &&  $k!="Descrizione1"  &&  $k!="Descrizione2" ) $html[$k] = "...";

$richiesta = <<< dati
Richiesta <b>$html[NumRichiesta]</b> / <b>$html[AnnoRichiesta]</b> del <b>$DataRichiesta</b> stato <b>$html[DesStato]</b> scadenza <b>$DataInizioP</b>
<br>Gr.Urg. <b>{$html[GrUrg]}</b> Classificazione <b>{$html[Classificazione]}</b> 
<br>TecnicoC <b>{$html[TecnicoC]}</b> Richiedente <b>{$html[Richiedente]}</b> 
<br>Strada <b>$html[Indirizzo]</b> 
<br>Descrizione <b>{$html[Descrizione]}{$html[Descrizione1]}{$html[Descrizione2]}</b> 
<br>Mestiere <b>{$html[mest]}</b> 
<br>Componente <b>{$html[comp]}</b> 
<br>Attività <b>{$html[att]}</b> 
dati;

$result[richiesta] = $richiesta;
$result[richiesta] = $richiesta;
$result[NoteTecniche] = $NoteTecniche;

$sql = <<< sql
	SELECT     Id, Descrizione
	FROM         PrioritàTecnicaRichieste
	WHERE     (IdCommessa = $IdCommessa)
	ORDER BY Priorità, Descrizione
sql;

$query = ntxQuery($sql);

$lista_priorita = <<< table
			<option value='---'>---
table;

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$sel = $rs[Id]==$PrioritàTecnica ? "selected" : "";
	
	$lista_priorita .= <<< table
			<option value='$rs[Id]' $sel>$html[Descrizione]
table;
}

$result[lista_priorita] = $lista_priorita;

$sql = <<< sql
	SELECT     TOP (1) Latitudine, Longitudine, Descrizione, Id, Civico
	FROM         RichiesteLatLon
	WHERE     (IDCommessa = $IdCommessa) AND (NumRichiesta = $NumRichiesta) AND (AnnoRichiesta = $AnnoRichiesta)
	ORDER BY Id DESC
sql;

$query = ntxQuery($sql);

$result[Latitudine] = "";
$result[Longitudine] = "";
$result[Civico] = "";
$result[DescrizionePuntoIntervento] = "";
$result[URLFoto1] = "";
$result[URLFoto2] = "";
$result[URLFoto3] = "";

if ($rs=ntxRecord($query))
{
	$result[Latitudine] = $rs[Latitudine];
	$result[Longitudine] = $rs[Longitudine];
	$result[Civico] = $rs[Civico];
	$result[DescrizionePuntoIntervento] = htmlentities($rs[Descrizione]);
	
	$sql = <<< sql
		SELECT     TOP 3 Path
		FROM         RichiesteLatLonDocs
		WHERE     (IdPadre = $rs[Id])
		ORDER BY Id DESC
sql;

	$query = ntxQuery($sql);

	$i = 1;
	
	while ($rs=ntxRecord($query))
	{
		$sql = "SELECT pathPublicShapeWeb FROM Commesse WHERE IDCommessa=$IdCommessa";

		$upload_dir = ntxScalar($sql);
		
		$pathOrigine = "$upload_dir\\{$rs[Path]}";
		
		if ( is_file($pathOrigine) )
		{
			$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";
			$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

			if ( !is_dir($dir) ) mkdir($dir);

			$path_info = pathinfo($pathOrigine);
			$extension = $path_info['extension'];
			
			$pathDestinazione = tempnam($dir, "TN").".$extension";
			$urlDestinazione = $url.substr($pathDestinazione, strlen($dir));
			
			copy($pathOrigine, $pathDestinazione);
				
			$result["URLFoto{$i}"] = $urlDestinazione;
		}
		
		$i++;
	}
}

$result[btnUpdateRichiesta123] = $stato!=-1 ? 1 : 0;

$tecniciC = <<< table
			<option value='---'>---
table;

$jsTecnicoC = ntxJs($TecnicoC);
$htmlTecnicoC = htmlentities($TecnicoC);

if ( "$TecnicoC"!="" )
	$tecniciC = <<< table
			<option value='$jsTecnicoC' selected>$htmlTecnicoC
table;

$sql = <<< sql
	SELECT DISTINCT Tecnici.Tecnico 
	FROM         Utenti INNER JOIN 
						  UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente INNER JOIN 
						  UtentiTecnici ON Utenti.Id = UtentiTecnici.IdUtente INNER JOIN 
						  Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec 
	WHERE     (UtentiEdifici.IdCommessa = $IdCommessa)  
						  AND (UtentiEdifici.IdEdificio = $IdEdificio)  
						  AND (Tecnici.Tipo = 'prov') 
	ORDER BY Tecnici.Tecnico
sql;

$query = ntxQuery($sql);

while ($rs=ntxRecord($query))
{
	if ($rs[Tecnico]==$TecnicoC ) continue;
	
	$js = ntxjs($rs[Tecnico]);
	$html = ntxjs($rs[Tecnico]);
	
	$tecniciC .= <<< table
			<option value="$js">$html
table;
}

$result[tecniciC] = $tecniciC;

jhp($result);
 
?>
