<?php

session_start();

require_once('../../_ntx/const.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');

$flagErrore = "";

if ( $_POST[Classificazione]=="a_canone" )
{
	$CompilaOrdine = true;
	$Classificazione = "Canone";
	$TipoIntervento='';
	$VAutorizzazione = 0;
	$messaggioAlert = "aggiornamento richiesta a canone avvenuto correttamente";
}
elseif ( $_POST[Classificazione]=="extracanone" )
{
	$CompilaOrdine = true;
	$Classificazione = "Extracanone";
	$TipoIntervento='Consuntivo';
	$VAutorizzazione = 1;
	$messaggioAlert = "aggiornamento richiesta extracanone avvenuto correttamente";
}
elseif ( $_POST[Classificazione]=="preventivo" )
{
	$Classificazione = "Extracanone";
	$TipoIntervento='Preventivo';
	$VAutorizzazione = 0;
	$messaggioAlert = "aggiornamento richiesta con richiesta preventivo avvenuto correttamente";
}

$TecnicoC = $_POST[TecnicoC];

if ( $Classificazione=='Extracanone'  &&  $TecnicoC=='' )
{
	$sql = <<< sql
		SELECT TOP 1 Tecnici.Tecnico
		FROM  
			Tecnici 
			INNER JOIN
			CommesseTecnici ON Tecnici.IDTec = CommesseTecnici.IDTec
		WHERE 
			CommesseTecnici.IdCommessa = $IdCommessa
			AND TecnDefault = 1
sql;

	$TecnicoC = ntxScalar($sql);
}

$_POST[Latitudine] = str_replace(",", ".", $_POST[Latitudine]);
$_POST[Longitudine] = str_replace(",", ".", $_POST[Longitudine]);

if ( !is_numeric($_POST[IdCommessa]) )
	$flagErrore = $messaggioAlert = "Errore: commessa non identificata!";
elseif ( !is_numeric($_POST[NumRichiesta]) || !is_numeric($_POST[AnnoRichiesta]) )
	$flagErrore = $messaggioAlert = "Errore: richiesta non selezionata!";
//elseif ( !is_numeric($_POST[PrioritàTecnica]) )
//	$flagErrore = $messaggioAlert = "Errore: priorità tecnica non selezionata!";
//elseif ( strlen($_POST[NoteTecniche])==0 )
//	$flagErrore = $messaggioAlert = "Errore: note tecniche non inserite!";
elseif ( $Classificazione=='Extracanone'  &&  strlen($TecnicoC)==0 )
	$flagErrore = $messaggioAlert = "Errore: tecnicoC richiesto per extracanone!";
elseif ( strlen($_POST[Latitudine])!=0  &&  !is_numeric($_POST[Latitudine]) )
	$flagErrore = $messaggioAlert = "Errore: latitudine non numerico!";
elseif ( strlen($_POST[Longitudine])!=0  &&  !is_numeric($_POST[Longitudine]) )
	$flagErrore = $messaggioAlert = "Errore: longitudine non numerico!";
else
{
	require_once('update_richiesta_record.inc');

	require_once('update_richiesta_punto_intervento.inc');
		
	$sql = <<< sql
			SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
			FROM         SchemiFlussoPagineWeb INNER JOIN
								  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
			WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

	$SchemaCommessa = ntxScalar($sql); 

	require_once(NTX_WEBPORTAL_PATH.'preventivi/_dispatch_richiesta_preventivo.inc');

	if ( $SchemaCommessa != "team" )
		require_once(NTX_WEBPORTAL_PATH.'messaggi/nuova_richiesta/start.php');

	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/nuova_richiesta/start.php');	
}

?> 

<script>

<?php if ( $CompilaOrdine ){  ?>
	parent.frmAssegnaOrdine.NumRichiesta.value = "<?php echo $NumRichiesta ?>";
	parent.frmAssegnaOrdine.AnnoRichiesta.value = "<?php echo $AnnoRichiesta ?>";
<?php } else { ?>
	parent.frmAssegnaOrdine.NumRichiesta.value = "";
	parent.frmAssegnaOrdine.AnnoRichiesta.value = "";
<?php } ?>

alert("<?php echo $messaggioAlert ?>");

<?php if ( $flagErrore=="" ) { ?>
parent.SelRichiesta2();
parent.CompilaOrdine();
<?php } ?>

</script>
