<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdUtente = ntxise('IdUtente');

$sql = <<< sql
	SELECT     IdGruppo
	FROM         Utenti
	WHERE     (Id = $IdUtente)
sql;

$IdGruppo = ntxScalar($sql);

$sql = <<< sql
	SELECT count(*)
	FROM         UtentiRifAffidatari
	WHERE     (IdUtente = $IdUtente)
sql;

$countRifAffidatariUtente = ntxScalar($sql);

if ( $countRifAffidatariUtente==0 )
	jhp_error("Utente non rif.affidatario!");

$sql = <<< sql
	SELECT COUNT(*)
	FROM (
			SELECT DISTINCT Commesse.IDCommessa
			FROM         UtentiRifAffidatari INNER JOIN
							  tblPgContrattiRifAffidatari ON UtentiRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario INNER JOIN
							  Commesse ON tblPgContrattiRifAffidatari.IdCommessa = Commesse.IDCommessa
			WHERE     (UtentiRifAffidatari.IdUtente = $IdUtente) 
		) a
sql;

$count = ntxScalar($sql);
	
if ( $count == 0 )
	jhp_error("Non ci sono commesse associate con utente come rif.affidatario!");

$sql = <<< sql
	SELECT DISTINCT    Commesse.IDCommessa, Commesse.DesComm
	FROM         UtentiRifAffidatari INNER JOIN
					  tblPgContrattiRifAffidatari ON UtentiRifAffidatari.IdRifAffidatario = tblPgContrattiRifAffidatari.IdRifAffidatario INNER JOIN
					  Commesse ON tblPgContrattiRifAffidatari.IdCommessa = Commesse.IDCommessa
	WHERE     (UtentiRifAffidatari.IdUtente = $IdUtente) 
	ORDER BY Commesse.DesComm
sql;

$query = ntxQuery($sql);

$result = <<< result
	<option value="">Nessuna Commessa Selezionata
result;

while( $rs = ntxRecord($query) )
{
	$html = htmlentities($rs[DesComm]);
	
	$result .= <<< result
		<option value="$rs[IDCommessa]">$html
result;
}


jhp($result);

?>
