<?php

require_once('../../_ntx/const.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_470", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_470", "IT", __FILE__);

$GeneraOrdine = ($_POST[GeneraOrdine]=="YES");

if ( $_POST[Classificazione]=="a_canone" )
{
	$Classificazione = "Canone";
	$TipoIntervento='';
	$VAutorizzazione = 0;
	$messaggioAlert = $traduttore->traduci('Inserimento richiesta a canone avvenuto correttamente');
}
elseif ( $_POST[Classificazione]=="extracanone" )
{
	$Classificazione = "Extracanone";
	$TipoIntervento='Consuntivo';
	$VAutorizzazione = 1;
	$messaggioAlert = $traduttore->traduci('Inserimento richiesta extracanone avvenuto correttamente');
}
elseif ( $_POST[Classificazione]=="preventivo" )
{
	$Classificazione = "Extracanone";
	$TipoIntervento='Preventivo';
	$VAutorizzazione = 0;
	$messaggioAlert = $traduttore->traduci('Inserimento richiesta preventivo avvenuto correttamente');
}
// 01/06/2017 16:31 inizio
elseif ( $_POST[Classificazione]=="pre-registra" )
{
	$Classificazione = "pre-registra";
	$TipoIntervento='pre-registra';
	$VAutorizzazione = 0;
	$messaggioAlert = $traduttore->traduci('Inserimento richiesta pre-registra avvenuto correttamente');
}
// 01/06/2017 16:31 fine

$_POST[Latitudine] = str_replace(",", ".", $_POST[Latitudine]);
$_POST[Longitudine] = str_replace(",", ".", $_POST[Longitudine]);

if ( !is_numeric($_POST[IdCommessa]) )
	$messaggioAlert = $traduttore->traduci('Errore: commessa non identificata!');
if ( !is_numeric($_POST[IdEdificio]) )
	$messaggioAlert = $traduttore->traduci('Errore: edificio non selezionato!');
elseif ( !is_numeric($_POST[Richiedente]) )
	$messaggioAlert = $traduttore->traduci('Errore: richiedente non selezionato!');
elseif ( strlen($_POST[GradoUrgenza])==0 )
	$messaggioAlert = $traduttore->traduci('Errore: grado urgenza non selezionato!');
elseif ( strlen($_POST[TecnicoC])==0  &&  $Classificazione=="Extracanone" )
	$messaggioAlert = $traduttore->traduci('Errore: utente non associato a Tecnico C!');
elseif ( !is_numeric($_POST[Mestiere]) )
	$messaggioAlert = $traduttore->traduci('Errore: mestiere non selezionato!');
elseif ( strlen($_POST[Descrizione])==0 )
	$messaggioAlert = $traduttore->traduci('Errore: descrizione non compilata!');
elseif ( strlen($_POST[Latitudine])!=0  &&  !is_numeric($_POST[Latitudine]) )
	$messaggioAlert = $traduttore->traduci('Errore: latitudine non numerico!');
elseif ( strlen($_POST[Longitudine])!=0  &&  !is_numeric($_POST[Longitudine]) )
	$messaggioAlert = $traduttore->traduci('Errore: longitudine non numerico!');
else
{
	require_once('inserimento_richiesta_record.inc');

	require_once('inserimento_richiesta_foto.inc');
		
	$sql = <<< sql
			SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
			FROM         SchemiFlussoPagineWeb INNER JOIN
								  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
			WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

	$SchemaCommessa = ntxScalar($sql); 

	require_once(NTX_WEBPORTAL_PATH.'preventivi/_dispatch_richiesta_preventivo.inc');

	if ( $SchemaCommessa != "team" )
		require_once(NTX_WEBPORTAL_PATH.'messaggi/nuova_richiesta/start.php');

	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/nuova_richiesta/start.php');	
	
	//if ( $GeneraOrdine ) require_once('inserimento_ordine.inc');
}

?> 

<script>

alert("<?php echo $messaggioAlert ?>");

</script>
<?php $traduttore->Salva() ?>