<?php

$subOrdini = <<< subOrdini
	SELECT Ordini.IDCommessa, Ordini.NumOrdine, Ordini.AnnoOrdine
	FROM Ordini
	INNER JOIN
                      UtentiEdifici ON Ordini.IDCommessa = UtentiEdifici.IdCommessa AND Ordini.CodEdificio = UtentiEdifici.IdEdificio
	WHERE     (UtentiEdifici.IdUtente = $IdUtente)	
		AND (Ordini.IDCommessa = $IdCommessa) 
				AND Ordini.GradoUrgenza='MP'
				AND Ordini.CodEdificio=$IdEdificio
				AND ISNULL(Ordini.TipoMP,0)>0
	$addWhere
subOrdini;

$subPRD = <<< subPRD
	SELECT DISTINCT tblOrdiniPrgComp.IdCommessa, ComponentiAmbiente.IDAmbiente, tblOrdiniPrgComp.IdEdificio
	FROM tblOrdiniPrgComp INNER JOIN
                      ($subOrdini) Ordini INNER JOIN
                      tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
                      Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato 
					  INNER JOIN
                      ComponentiAmbiente
					  ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente AND tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio
	WHERE tblOrdiniPrgComp.TipoMP = 1
	UNION
	SELECT DISTINCT tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdAmbiente, tblOrdiniPrgComp.IdEdificio
	FROM tblOrdiniPrgComp INNER JOIN
                      ($subOrdini) Ordini INNER JOIN
                      tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
                      Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato 
	WHERE tblOrdiniPrgComp.TipoMP = 2
subPRD;

$sql = <<< sql
	SELECT DISTINCT PianoLivello.idPiano, PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione, DestinazioniDusoLivello.ordinamento
	FROM ($subPRD) tblOrdiniPrgComp
					  
					  INNER JOIN
                      Ambiente  ON Ambiente.IdCommessa = tblOrdiniPrgComp.IdCommessa AND Ambiente.IdEdificio = tblOrdiniPrgComp.IdEdificio AND 
                      Ambiente.IDAmbiente = tblOrdiniPrgComp.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	ORDER BY DestinazioniDusoLivello.ordinamento, PianoLivello.CodiceAssLivello
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;background-color:#A9CCF7"
				onclick="SelPiano($rs[idPiano])">
			Piano: <b>$html[CodiceAssLivello]</b> - <b>$html[Destinazione]</b>
		</button>
table;

}

?>