<?php

$addWhere3 = "";

if ( strlen("$_POST[CodAssAmbiente]")>0 )
	$addWhere3 .= " AND Ambiente.CodiceAssAmbiente LIKE '%".str_replace("'","''",$_POST[CodAssAmbiente])."%'";

if ( strlen("$_POST[DesUso]")>0 )
	$addWhere3 .= " AND DestinazioniDuso.Destinazione LIKE '%".str_replace("'","''",$_POST[DesUso])."%'";

$sqlTemp = <<< sql
	create table #temp1 (IdCommessa int, IdEdificio int, IDAmbiente int, Eseguito bit, Anomalia bit, Annullato bit)
	
	insert into #temp1 (IdCommessa, IdEdificio, IDAmbiente, Eseguito, Anomalia, Annullato)
	SELECT     tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, tblOrdiniPrgComp.IDAmbiente,
			tblOrdiniPrgComp.Eseguito, tblOrdiniPrgComp.Anomalia, tblOrdiniPrgComp.Annullato
	FROM         tblOrdiniPrgComp INNER JOIN
                      Ordini INNER JOIN
                      tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
                      Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
                      Ambiente ON tblOrdiniPrgComp.IdCommessa = Ambiente.IdCommessa AND tblOrdiniPrgComp.IdEdificio = Ambiente.IdEdificio AND 
                      tblOrdiniPrgComp.IdAmbiente = Ambiente.IDAmbiente
	INNER JOIN
                      UtentiEdifici ON Ordini.IDCommessa = UtentiEdifici.IdCommessa AND Ordini.CodEdificio = UtentiEdifici.IdEdificio
	WHERE     (UtentiEdifici.IdUtente = $IdUtente)	
		AND (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
		$addWhere
sql;

ntxQuery($sqlTemp);

$subSqlTotale = <<< sql
	SELECT     COUNT(*)
	FROM         #temp1 aaaa
sql;

$subSqlChiusi = <<< sql
	SELECT     COUNT(*)
	FROM         #temp1 aaaa
	WHERE     (aaaa.IdCommessa = Ambiente.IdCommessa) 
		AND (aaaa.IdEdificio = Ambiente.IdEdificio) 
		AND (aaaa.IDAmbiente = Ambiente.IDAmbiente)
		AND (aaaa.Eseguito=1 OR aaaa.Anomalia=1 OR aaaa.Annullato=1)
sql;

$subSqlEseguito = <<< sql
	SELECT     COUNT(*)
	FROM         #temp1 aaaa
	WHERE     (aaaa.IdCommessa = Ambiente.IdCommessa) 
		AND (aaaa.IdEdificio = Ambiente.IdEdificio) 
		AND (aaaa.IDAmbiente = Ambiente.IDAmbiente)
		AND (aaaa.Eseguito = 1)
sql;

$subSqlAnomalia = <<< sql
	SELECT     COUNT(*)
	FROM         #temp1 aaaa
	WHERE     (aaaa.IdCommessa = Ambiente.IdCommessa) 
		AND (aaaa.IdEdificio = Ambiente.IdEdificio) 
		AND (aaaa.IDAmbiente = Ambiente.IDAmbiente)
		AND (aaaa.Anomalia = 1)
sql;

$subSqlAnnullato = <<< sql
	SELECT     COUNT(*)
	FROM         #temp1 aaaa
	WHERE     (aaaa.IdCommessa = Ambiente.IdCommessa) 
		AND (aaaa.IdEdificio = Ambiente.IdEdificio) 
		AND (aaaa.IDAmbiente = Ambiente.IDAmbiente)
		AND (aaaa.Annullato = 1)
sql;

$sql1 = <<< sql
	SELECT DISTINCT 
					  null IDComponente, Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione, null CodiceAssComponente, 
                      null CodiceComponente, null DesComponente,
					  null  GruppoImpianto,
					  ($subSqlTotale) TotTotale,
					  ($subSqlChiusi) TotChiusi,
					  ($subSqlEseguito) TotEseguito,
					  ($subSqlAnomalia) TotAnomalia,
					  ($subSqlAnnullato) TotAnnullato,
					  Ordini.TipoMP
	FROM         Ambiente INNER JOIN
                      tblOrdiniPrgComp INNER JOIN
                      Ordini INNER JOIN
                      tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
                      Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato ON 
                      Ambiente.IdCommessa = tblOrdiniPrgComp.IdCommessa AND Ambiente.IdEdificio = tblOrdiniPrgComp.IdEdificio AND 
                      Ambiente.IDAmbiente = tblOrdiniPrgComp.IdAmbiente LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	INNER JOIN
                      UtentiEdifici ON Ordini.IDCommessa = UtentiEdifici.IdCommessa AND Ordini.CodEdificio = UtentiEdifici.IdEdificio
	WHERE     (UtentiEdifici.IdUtente = $IdUtente)	
		AND (Ordini.IDCommessa = $IdCommessa)
				AND Ordini.GradoUrgenza='MP'
				AND Ordini.CodEdificio=$IdEdificio
				AND Ordini.TipoMP=2
				AND (Ambiente.IdLivello = $IdPiano)
	$addWhere
	$addWhere3
sql;

?>