<?php

$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IdUtente = ntxise('IdUtente');
 
$Tipo = ntxip('Tipo');

$addWhere = "";

if ( $Tipo==1 ) // in carico
{
	$addWhere .= " AND Ordini.IdRisorsa IS NOT NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==2 ) // da assegnare
{
	$addWhere .= " AND Ordini.IdRisorsa IS NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==3 ) // finiti
{
	$addWhere .= " AND Ordini.StatoOrd >= 50";
}

$DataInizioProg=ntxttp('DataInizioProg', true);
$DataFineProg=ntxttp('DataFineProg', true);

if ( $DataInizioProg!="NULL" )
	$addWhere .= " AND Ordini.DataFineProg >= $DataInizioProg";

if ( $DataFineProg!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataFineProg";
	
$subSqlTotale = <<< sql
	SELECT     COUNT(*)
	FROM         tblOrdiniPrgComp INNER JOIN
						  Ordini INNER JOIN
						  tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
						  Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
						  tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato
	INNER JOIN
                      UtentiEdifici ON Ordini.IDCommessa = UtentiEdifici.IdCommessa AND Ordini.CodEdificio = UtentiEdifici.IdEdificio
	WHERE     (UtentiEdifici.IdUtente = $IdUtente)	
		AND (tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio) 
		AND (tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente)
		$addWhere
sql;

$subSqlChiusi = <<< sql
	SELECT     COUNT(*)
	FROM         tblOrdiniPrgComp INNER JOIN
						  Ordini INNER JOIN
						  tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
						  Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
						  tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato
	INNER JOIN
                      UtentiEdifici ON Ordini.IDCommessa = UtentiEdifici.IdCommessa AND Ordini.CodEdificio = UtentiEdifici.IdEdificio
	WHERE     (UtentiEdifici.IdUtente = $IdUtente)	
		AND (tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio) 
		AND (tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente)
		AND (tblOrdiniPrgComp.Eseguito=1 OR tblOrdiniPrgComp.Anomalia=1 OR tblOrdiniPrgComp.Annullato=1)
		$addWhere
sql;

$sql = <<< sql
	SELECT DISTINCT 
                      ComponentiAmbiente.IDComponente, 
					  ($subSqlTotale) TotTotale,
					  ($subSqlChiusi) TotChiusi
	FROM         GruppiImpianti RIGHT OUTER JOIN
                      GruppiImpTipiComp ON GruppiImpianti.Id = GruppiImpTipiComp.IdGruppoImpianto RIGHT OUTER JOIN
                      Ambiente INNER JOIN
                      ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente INNER JOIN
                      tblOrdiniPrgComp INNER JOIN
                      Ordini INNER JOIN
                      tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
                      Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato ON 
                      ComponentiAmbiente.IdCommessa = tblOrdiniPrgComp.IdCommessa AND ComponentiAmbiente.IDComponente = tblOrdiniPrgComp.IdComponente AND 
                      ComponentiAmbiente.IdEdificio = tblOrdiniPrgComp.IdEdificio INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente ON 
                      GruppiImpTipiComp.IdCommessaTipo = TipoComponente.IdCommessa AND 
                      GruppiImpTipiComp.IdTipoComponente = TipoComponente.IDTipoComponente LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	INNER JOIN
                      UtentiEdifici ON Ordini.IDCommessa = UtentiEdifici.IdCommessa AND Ordini.CodEdificio = UtentiEdifici.IdEdificio
	WHERE     (UtentiEdifici.IdUtente = $IdUtente)	
		AND (Ordini.IDCommessa = $IdCommessa)
				AND Ordini.GradoUrgenza='MP'
				AND Ordini.CodEdificio=$IdEdificio
				AND Ordini.TipoMP=1
				AND (Ambiente.IdLivello = $IdPiano)
	$addWhere
sql;

$query = ntxQuery($sql);

$ComponentiFiniti = "";

while($rs=ntxiRecord($query))
{
	if ( $rs[1]>$rs[2] )
	{
		if ( $ComponentiFiniti != "" ) $ComponentiFiniti .= ",";
		
		$ComponentiFiniti .= $rs[0];
	}
}

?>