<?php  
 
$addWhere = "";

if ( strlen($_POST[FiltraCodice])>0 ) // in carico
	$addWhere .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[FiltraCodice])."%'";

if ( strlen($_POST[FiltraIndirizzo])>0 ) // in carico
	$addWhere .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[FiltraIndirizzo])."%'";

if ( $OrdinaPerDistanza )
	$addWhere .= " AND ElencoEdifici.Latitudine IS NOT NULL AND ElencoEdifici.Longitudine IS NOT NULL ";

$DataInizioProgMin=ntxttp('DataInizioProgMin', true);
$DataInizioProgMax=ntxttp('DataInizioProgMax', true);

if ( $DataInizioProgMin!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg >= $DataInizioProgMin";

if ( $DataInizioProgMax!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataInizioProgMax";

$sqlFields = <<<_SQL
	Ordini.NumOrdine, Ordini.AnnoOrdine, StatiOrdini.DesStato, 
	ElencoEdifici.Codice, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA,
	Ordini.DataInizioProg, Ordini.DataFineProg, 
	Ordini.DataInizio, Ordini.DataFine
_SQL;

if ( $OrdinaPerDistanza )
	$sqlFields .= <<<_SQL
		, dbo.haversine('km', ElencoEdifici.Latitudine, ElencoEdifici.Longitudine, $Latitudine , $Longitudine) AS haversine2
_SQL;

$sql = <<< sql
	SELECT    $sqlFields

	FROM   Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato     
					  
	WHERE     
		(Ordini.IdCommessa = $IdCommessa) 
		AND (Ordini.Assegnazione = $IdDitta) 
		AND (Ordini.GradoUrgenza = 'MON') 
		AND (ElencoEdifici.Tipo = 1) 
		AND Ordini.StatoOrd IN (35, 37, 40, 60)
		$addWhere
sql;

?>
