<?php
session_start();

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');
	
$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, Ordini.DataInizio, Ordini.DataFine, Ordini.DataInizioProg, Ordini.DataFineProg, 
                      Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2, ElencoEdifici.ID, ElencoEdifici.Codice, 
                      ElencoEdifici.Indirizzo, StatiOrdini.DesStato
	FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine)
sql;

$rs = ntxRecord(ntxQuery($sql));

$DataOrdine = ntxDateTime($rs[DataOrdine]);
$DesStato = htmlentities($rs[DesStato]);

$DataInizioProg = ntxDateTime($rs[DataInizioProg]);
$DataFineProg = ntxDateTime($rs[DataFineProg]);

$DataInizio = ntxDateTime($rs[DataInizio]);
$DataFine = ntxDateTime($rs[DataFine]);

if ( is_numeric($rs[NumOrdine]) ) $rs[NumOrdine] = (int)$rs[NumOrdine];

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);

$result = <<< result
	Ordine <b>$html[NumOrdine]/$html[AnnoOrdine]</b> stato <b>$DesStato</b> data <b>$DataOrdine</b>
	<br>localizzazione id <b>$html[ID]</b> codice <b>$html[Codice]</b> nome <b>$html[Indirizzo]</b>
	<br>descrizione <b>{$html[DescrizioneIntervento]}{$html[DescrizioneIntervento1]}{$html[DescrizioneIntervento2]}</b>
	<br>programmato dal $DataInizioProg al $DataFineProg
	<br>eseguito dal $DataInizio al $DataFine
result;

$sql = <<< sql
	SELECT     Id, Descrizione,
	(
		SELECT     COUNT(*) AS Expr1
		FROM         MonitoraggioStrade INNER JOIN
							  MonStradeLatLon ON MonitoraggioStrade.IdCommessa = MonStradeLatLon.IdCommessa AND 
							  MonitoraggioStrade.NumOrdine = MonStradeLatLon.NumOrdine AND MonitoraggioStrade.AnnoOrdine = MonStradeLatLon.AnnoOrdine AND 
							  MonitoraggioStrade.Componente = MonStradeLatLon.Componente
		WHERE     (MonitoraggioStrade.IdCommessa = $IdCommessa) AND (MonitoraggioStrade.NumOrdine = $NumOrdine) AND (MonitoraggioStrade.AnnoOrdine = $AnnoOrdine) 
				AND (MonitoraggioStrade.Componente = TipiCompMonitorati.Id)
	) countPI,
			(
				SELECT     COUNT(*) AS Expr1
				FROM         MonStradeLatLonDocs INNER JOIN
									  MonStradeLatLon ON MonStradeLatLonDocs.IdPadre = MonStradeLatLon.Id
				WHERE     (MonStradeLatLon.IdCommessa =  $IdCommessa) AND (MonStradeLatLon.NumOrdine =  $NumOrdine) AND (MonStradeLatLon.AnnoOrdine =  $AnnoOrdine) AND 
                      (MonStradeLatLon.Componente = TipiCompMonitorati.Id)
			) numFoto,
			(
				SELECT     COUNT(*) AS Expr1
				FROM         MonStradeLatLonRichieste INNER JOIN
									  MonStradeLatLon ON MonStradeLatLonRichieste.IdMonStradeLatLon = MonStradeLatLon.Id
				WHERE     (MonStradeLatLon.IdCommessa =  $IdCommessa) AND (MonStradeLatLon.NumOrdine =  $NumOrdine) AND (MonStradeLatLon.AnnoOrdine =  $AnnoOrdine) AND 
                      (MonStradeLatLon.Componente = TipiCompMonitorati.Id)
			) numRichieste
	FROM         TipiCompMonitorati
	WHERE     (IdCommessa = $IdCommessa) and tipo=2
	ORDER BY Id
sql;

$query = ntxQuery($sql);

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( $rs[countPI]==1 ) $segnalazioni = "(una segnalazione)";
	elseif ( $rs[countPI]>1 ) $segnalazioni = "($rs[countPI] segnalazioni)";
	else $segnalazioni = "";
	
	if ( $segnalazioni!="" ) $segnalazioni .= " - Num.Foto <b>$rs[numFoto]</b> - Num.Richieste <b>$rs[numRichieste]</b>";
	
	$result .= <<< result
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;text-align:left"
				onclick="SelTipoComponenteMonitoraggio($NumOrdine, $AnnoOrdine, $rs[Id])">
			$html[Descrizione] $segnalazioni
		</button>
result;
}

jhp($result);
 
?>
