function SettaLatLonPunto()
{
	frmEditPuntoMonitoraggio.Latitudine.value  = g.RegLatitudine;
	frmEditPuntoMonitoraggio.Longitudine.value = g.RegLongitudine;
	$('#mappa').dialog('close');
}

function RegistraPuntoMon()
{
	// aggiungi punto
	var result = jhp("jhp/edit_punto_monitoraggio/aggiungi.php", jhp_frm(frmEditPuntoMonitoraggio));

	if(result.state)
	{
		alert(result.message);
		return;
	}
	
	// seleziona punto in edit mostra maschera edit
	SelPuntoMonitoraggio(result.value, 'edit');

	// ricarica elenco punti
	RefreshPuntiMonitoraggio();
	// ricarica tipi componenti monitoraggio
	RefreshTipiCompMonitoraggio();
	
	// carica elenco richieste
}

function ModificaPuntoMon()
{
	var result = jhp("jhp/edit_punto_monitoraggio/modifica.php", jhp_frm(frmEditPuntoMonitoraggio));

	if(result.state)
	{
		alert(result.message);
		return;
	}
	
	// seleziona punto in edit mostra maschera edit
	SelPuntoMonitoraggio(result.value, 'edit');

	// ricarica elenco punti
	RefreshPuntiMonitoraggio();
	// ricarica tipi componenti monitoraggio
	RefreshTipiCompMonitoraggio();
}

function EliminaPuntoMon()
{
	if ( !confirm("elimina punto monitorato?") )return;
	
	var result = jhp("jhp/edit_punto_monitoraggio/elimina.php", jhp_frm(frmEditPuntoMonitoraggio));

	if(result.state)
	{
		alert(result.message);
		return;
	}
	
	// seleziona punto in edit mostra maschera edit
	SelPuntoMonitoraggio(result.value, 'edit');

	// ricarica elenco punti
	RefreshPuntiMonitoraggio();
}

function SelPuntoMonitoraggio(IdPuntoMonitorato, cosa_aprire)
{
	frmEditPuntoMonitoraggio.IdPuntoMonitorato.value = IdPuntoMonitorato;
	
	RefreshPuntoMonitoraggio();
	
	// carica elenco foto
	RefreshFotoPunto();
	
	$('#divPuntiInterventoMonitoraggio').collapsible("collapse");
	
	switch(cosa_aprire)
	{
		case 'edit':
			$('#divEditPuntoMonitoraggio').collapsible("expand");
			break;
		case 'foto':
			$('#divFotoPuntiInterventoMonitoraggio').collapsible("expand");
			break;
		case 'richieste':
			$('#divRichiestePuntiInterventoMonitoraggio').collapsible("expand");
			break;
	}
}

function RefreshPuntoMonitoraggio()
{
	var result = jhp("jhp/edit_punto_monitoraggio/carica.php", jhp_frm(frmEditPuntoMonitoraggio));

	if(result.state)
	{
		alert(result.message);
		return;
	}

	$('#divTestataEditPuntoMonitoraggio').html(result.value['testata']);
		
	$(frmEditPuntoMonitoraggio.Voto).val(result.value['Voto']).selectmenu('refresh', true);
	frmEditPuntoMonitoraggio.Latitudine.value = result.value['Latitudine'];
	frmEditPuntoMonitoraggio.Longitudine.value = result.value['Longitudine'];
	frmEditPuntoMonitoraggio.Civico.value = result.value['Civico'];
	frmEditPuntoMonitoraggio.SubCivico.value = result.value['SubCivico'];
	frmEditPuntoMonitoraggio.Descrizione.value = result.value['Descrizione'];
}