g = {
		RegLatitudine: null,
		RegLongitudine: null
}

function ViewMapStrade(func)
{
	btnMapStrade.onclick = func;

	haversine(function(Latitudine, Longitudine){
		g.RegLatitudine = Latitudine;
		g.RegLongitudine = Longitudine;

		var myLatlng = new google.maps.LatLng(Latitudine, Longitudine);
	 
		var map = new google.maps.Map(document.getElementById('map_canvas'), 
		{
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		});

		var marker = new google.maps.Marker({
			position: myLatlng,
			map: map,
			draggable: true,			
			title: "posizione attuale"
		});	

		google.maps.event.addListener(marker, 'dragend', function(event){
			g.RegLatitudine = event.latLng.lat();
			g.RegLongitudine = event.latLng.lng();
		});			 
	});			 
}

function ViewMapStradeSuPunto(frm, func)
{
	btnMapStrade.onclick = func;

	haversine(function(Latitudine, Longitudine){
		if ( $.isNumeric(frm.Latitudine.value) && $.isNumeric(frm.Longitudine.value) )
		{
			Latitudine = frm.Latitudine.value;
			Longitudine = frm.Longitudine.value;
		}
		
		g.RegLatitudine = Latitudine;
		g.RegLongitudine = Longitudine;

		var myLatlng = new google.maps.LatLng(Latitudine, Longitudine);
	 
		var map = new google.maps.Map(document.getElementById('map_canvas'), 
		{
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		});

		var marker = new google.maps.Marker({
			position: myLatlng,
			map: map,
			draggable: true,			
			title: "posizione attuale"
		});	

		google.maps.event.addListener(marker, 'dragend', function(event){
			g.RegLatitudine = event.latLng.lat();
			g.RegLongitudine = event.latLng.lng();
		});			 
	});			 
}
