<?php 

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa');

?>
<!DOCTYPE html> 
<html>
<head>
	<title>Nuova Richiesta</title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	<link rel="stylesheet" href="css/index.css" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script> 
	
	<script src="js/index.js?v7"></script>
	<script src="js/gps.js?v2"></script>
	<script src="js/haversine.js"></script>
	<script src="js/haversine_foto.js?v2"></script>
	
	<script src="/repository2/paginazione/paginazione.js" type="text/javascript"></script>
	
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?v=3&sensor=false&language=it"> </script>
</head>
<body >
<?php

$IdUtente = ntxise('IdUtente');

$sql = <<< sql
	SELECT     TOP (1) Tecnici.Tecnico
	FROM         UtentiTecnici INNER JOIN
						  Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
						  UtentiEdifici ON UtentiTecnici.IdUtente = UtentiEdifici.IdUtente
	WHERE     (Tecnici.Tipo = N'prov') 
		AND (UtentiEdifici.IdCommessa = $IdCommessa) 
sql;

$TecnicoC = ntxScalar($sql);

?>

<div data-role="page">

	<div role="main" class="ui-content jqm-content jqm-fullwidth" style="margin:0;padding:0">
<!-- INIZIO CORPO PAGINA -->
<div data-role="collapsibleset" style="margin:0;padding:0">

	<div data-role="collapsible" data-collapsed="false" style="margin:0;padding:0" id=divColStrade>
		<h4>Selezione Strada</h4>
		
		<form name="frmRicerca" method="post" Paginazione>
			<?php PaginazioneCampiPerForm(5, 'jhp/ricerca_strade.php', 'divSelezioneStrada') ?>
				<div class="ui-field-contain">
					<label for="FiltraCodice">Codice Strada</label>
					<input type=text name="FiltraCodice" id="FiltraCodice" placeholder="Codice Strada" value="" />
				</div>
				
				<div class="ui-field-contain">
					<label for="FiltraIndirizzo">Indirizzo Strada</label>
					<input type=text name="FiltraIndirizzo" id="FiltraIndirizzo" placeholder="Indirizzo Strada" value="" />
				</div>
				
				<a  class="ui-btn ui-btn-b"  data-rel="dialog" href="#contenitoreHaversine" onclick="haversine();" >trova elemento più vicino</a>  
		</form>
	
		<div class="ui-grid-a">
			<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')">Filtra</button></div>
			<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="frmRicerca.reset()">Resetta</button></div>
		</div>
	
		<div class="ui-grid-d">
			<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')"><<</button></div>
			<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'prev')"><</button></div>
			<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicerca PaginazioneResoconto>1/1</div></div>
			<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'succ')">></button></div>
			<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'last')">>></button></div>
		</div>
		
		<div id=divSelezioneStrada></div>
	
		<div class="ui-grid-d">
			<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'first')"><<</button></div>
			<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'prev')"><</button></div>
			<div class="ui-block-c" style="text-align:center;font-weight:bold;font-size:1.1em"><br><div id_form=frmRicerca PaginazioneResoconto>1/1</div></div>
			<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'succ')">></button></div>
			<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="PaginazioneRicercaA('frmRicerca', 'last')">>></button></div>
		</div>
	</div>

	<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divColMain>
		<h4>Nuova Richiesta Strade</h4>
		<div class=ParteStatica id=DatiPianoSelezionato></div>
		<div class=ParteStatica>
			<form name="frmNuovaRichiesta" id="frmNuovaRichiesta" action="inserimento_richiesta.php" method="post" enctype="multipart/form-data" target="frame1055_14092009_1">
				<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>">
				<input type=hidden name=IdEdificio value="">
				<input type=hidden name=Classificazione value="">
				
				<div class="ui-field-contain">
					<label for="TecnicoC">TecnicoC</label>
					<input type=text name="TecnicoC" id="TecnicoC" placeholder="TecnicoC" value="<?php echo ntxJs($TecnicoC) ?>" readonly />
				</div>
				<div class="ui-field-contain">
					<label for="Richiedente">Richiedente</label>
					<select name="Richiedente" id="Richiedente" data-native-menu="false"></select>
				</div>
				<div class="ui-field-contain">
					<label for="GradoUrgenza">G.U.Ordine</label>
					<select name="GradoUrgenza" id="GradoUrgenza" data-native-menu="false" onchange="CalcolaScadenze()"></select>
				</div>
				<div class="ui-field-contain">
					<label for="DataScadenza">Data Scadenza</label>
					<input type="datetime-local" name="DataScadenza" id="DataScadenza" placeholder="Data Scadenza" value="">
				</div>
				<div class="ui-field-contain">
					<label for="Mestiere">Mestiere</label>
					<select name="Mestiere" id="Mestiere" data-native-menu="false" onchange="CaricaComponenteMestiere()"></select>
				</div>
				<div class="ui-field-contain">
					<label for="ComponenteMestiere">Componente Mestiere</label>
					<select name="ComponenteMestiere" id="ComponenteMestiere" data-native-menu="false" onchange="CaricaAttivitàMestiere()"></select>
				</div>
				<div class="ui-field-contain">
					<label for="AttivitàMestiere">Attività  Mestiere</label>
					<select name="AttivitàMestiere" id="AttivitàMestiere" data-native-menu="false"></select>
				</div>
				<div class="ui-field-contain">
					<label for="Descrizione">Descrizione</label>
					<textarea name="Descrizione" id="Descrizione" placeholder="Descrizione" value=""></textarea>
				</div>
				
				<a  class="ui-btn ui-btn-b"  data-rel="dialog" href="#mappaGeolocalizzazione" onclick="trova_posizione();" >Utilizza la mia posizione GPS</a>  
				
				<div class="ui-field-contain">
					<label for="Latitudine">Latitudine Punto Intervento </label>
					<input type=text name="Latitudine" id="Latitudine" placeholder="Latitudine Punto Intervento" value="" />
				</div>
				
				<div class="ui-field-contain">
					<label for="Longitudine">Longitudine Punto Intervento </label>
					<input type=text name="Longitudine" id="Longitudine" placeholder="Longitudine Punto Intervento" value="" />
				</div>
				
				<input type=button onclick="CalcProgressiva()" value="Calcola Progressiva in km" />
				<div class="ui-field-contain">
					<label for="Progressiva1">Progressiva in km</label>
					<input type=text name="Progressiva1" id="Progressiva1" placeholder="Progressiva in km" value="" />
				</div>
				
				<div class="ui-field-contain">
					<label for="IdCarreggiata">Carreggiata</label>
					<select name="IdCarreggiata" id="IdCarreggiata" data-native-menu="false"></select>
				</div>

				<div class="ui-field-contain">
					<label for="DescrizionePuntoIntervento">Descrizione Punto Intervento</label>
					<textarea name="DescrizionePuntoIntervento" id="DescrizionePuntoIntervento" placeholder="Descrizione Punto Intervento" value=""></textarea>
				</div>

				<div class="ui-field-contain">
						<label for="FileDaAllegare">Foto Punto Intervento</label>
						<input type="file" name="FileDaAllegare" id="FileDaAllegare" placeholder="Foto Punto Intervento" value="" size=50>
					</div>
				<a  class="ui-btn ui-btn-b"  data-rel="dialog" href="#contenitoreHaversine" onclick="LatLonDaFoto();" 
					style="font-weight:bold;background-color:#FFAA22;color:black" >Recupera Latitudine e Longitudine da Foto</a>  
				<iframe name=frame1055_14092009_1 style="width:100%;height:50px"></iframe>
			</form>
		</div>
		
		<div class="ui-grid-a">
			<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="RegistraACanone()">registra</button></div>
			<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAAAFF" onclick="RegistraPreRegistrata()">da assegnare</button></div>
<!--
			<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAAAFF" onclick="RegistraExtracanone()">Extracanone</button></div>
			<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFFFAA" onclick="RichiestoPreventivo()">Preventivo</button></div>
-->
		</div>
	</div>
	
	<div data-role="collapsible" data-collapsed="true" style="margin:0;padding:0" id=divOrdine>
		<h4>Assegna Ordine a Nuova Richiesta</h4>
		<div class=ParteStatica id=DatiUltimaRichiesta></div>
		<div class=ParteStatica>
			<form name="frmAssegnaOrdine" id="frmAssegnaOrdine" action="inserimento_ordine.php" method="post" enctype="multipart/form-data" target="frame1055_14092009_2">
				<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>">
				<input type=hidden name=NumRichiesta value="">
				<input type=hidden name=AnnoRichiesta value="">
				
				<div class="ui-field-contain">
					<label for="DataOrdine">Data Ordine</label>
					<input type="datetime-local" name="DataOrdine" id="DataOrdine" placeholder="Data Ordine" value="">
				</div>
				<div class="ui-field-contain">
					<label for="Fornitore">Fornitore</label>
					<select name="Fornitore" id="Fornitore" data-native-menu="false"></select>
				</div>
				<div class="ui-field-contain">
					<label for="DataInizio">Data Inizio</label>
					<input type="datetime-local" name="DataInizio" id="DataInizio" placeholder="Data Inizio" value="">
				</div>
				<div class="ui-field-contain">
					<label for="DataFine">Data Fine</label>
					<input type="datetime-local" name="DataFine" id="DataFine" placeholder="Data Fine" value="">
				</div>
				<div class="ui-field-contain">
					<label for="PosaSegnaletica">Posa Segnaletica</label>
					<select name="PosaSegnaletica" id="PosaSegnaletica" data-native-menu="false">
						<option value="1">SI
						<option value="0" selected>no
					</select>
				</div>
				<div class="ui-field-contain">
					<label for="AttivitEseguita">Attività  Eseguita</label>
					<textarea name="AttivitEseguita" id="AttivitEseguita" placeholder="Attività  Eseguita" value=""></textarea>
				</div>
				
				<div class="ui-field-contain">
						<label for="FotoOrdine">Foto Ordine</label>
						<input type="file" name="FotoOrdine" id="FotoOrdine" placeholder="Foto Ordine" value="" size=50>
					</div>
				<iframe name=frame1055_14092009_2 style="width:100%;height:50px"></iframe>
			</form>
		</div>
		
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="frmAssegnaOrdine.submit()">Assegna Ordine</button>
	</div>
	
</div>
<!-- FINE CORPO PAGINA -->
	</div>

	<div data-role="footer" data-position="fixed">
		<div data-role="navbar">
			<ul>
				<li><a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
			</ul>
		</div>
	</div>

</div>

<script>

	PaginazioneRicercaA('frmRicerca', 'first');
	
</script>



	<!-- 
	INIZIO LAVORI ZAGATTI
		il codice non altera il comportamento della pagina --> 
	
	<div id="mappaGeolocalizzazione" data-role="page" data-close-btn="none" > 
		
		<div data-role="content" role="main" >   
			<div class="ui-bar-c ui-corner-all ui-shadow" style="padding:0;">
				<div id="map_canvas" style="height:350px;width:100%;display:block;"></div>
			</div>
		</div>
		
		<div data-role="footer"  >
			<div class="ui-field-contain"> 
				<button id="btn_registra" 	data-theme="b" onclick="salvaLatLngPI(); $('#mappaGeolocalizzazione').dialog('close');" >Salva Coordinate</button>
				<button id="btn_annulla" 	data-theme="c" onclick="$('#mappaGeolocalizzazione').dialog('close');" >Annulla</button> 	
			</div> 
		</div>
	</div>   
	
	<div id="contenitoreHaversine" data-role="page" data-close-btn="none" >
		<div data-role="header">
			<h1>primi 4 elementi</h1> 
		</div>  
		
		<div data-role="content" role="main" >   
			<div class="ui-bar-c ui-corner-all ui-shadow" style="padding:0;">
				<div id="map_canvas_haversine" style="height:300px;width:100%;display:block;"></div>
			
				<div id="risultati_haversine" ></div>
			</div>
		</div>
		
		<div data-role="footer"  >
			<div class="ui-field-contain">  
				<button id="btn_annulla" 	data-theme="c" onclick="$('#contenitoreHaversine').dialog('close');" >Chiudi</button> 	
			</div> 
		</div>
	</div>  
	<!-- 
	FINE LAVORI ZAGATTI  -->

</body>
</html>