<?php

require_once('../../_ntx/const.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$flagErrore = "";

if ( $_POST[Classificazione]=="latlon_da_foto" )
{
	require_once("lat_lon_da_foto.inc");
	die("");
}

if ( $_POST[Classificazione]=="a_canone" )
{
	$Classificazione = "Canone";
	$TipoIntervento='';
	$VAutorizzazione = 0;
	$messaggioAlert = "inserimento richiesta avvenuto correttamente";
}
elseif ( $_POST[Classificazione]=="pre-registrata" )
{
	$Classificazione = "Canone";
	$TipoIntervento='';
	$VAutorizzazione = 0;
	$messaggioAlert = "inserimento richiesta da assegnare";
}

$_POST[Latitudine] = str_replace(",", ".", $_POST[Latitudine]);
$_POST[Longitudine] = str_replace(",", ".", $_POST[Longitudine]);

if ( !is_numeric($_POST[IdCommessa]) )
	$flagErrore = $messaggioAlert = "Errore: commessa non identificata!";
elseif ( !is_numeric($_POST[IdEdificio]) )
	$flagErrore = $messaggioAlert = "Errore: edificio non selezionato!";
elseif ( !is_numeric($_POST[Richiedente]) )
	$flagErrore = $messaggioAlert = "Errore: richiedente non selezionato!";
elseif ( strlen($_POST[GradoUrgenza])==0 )
	$flagErrore = $messaggioAlert = "Errore: grado urgenza non selezionato!";
elseif ( strlen($_POST[TecnicoC])==0 )
	$flagErrore = $messaggioAlert = "Errore: utente non associato a TecnicoC!";
elseif ( !is_numeric($_POST[Mestiere]) )
	$flagErrore = $messaggioAlert = "Errore: mestiere non selezionato!";
elseif ( strlen($_POST[Descrizione])==0 )
	$flagErrore = $messaggioAlert = "Errore: descrizione non compilata!";
elseif ( strlen($_POST[Latitudine])!=0  &&  !is_numeric($_POST[Latitudine]) )
	$flagErrore = $messaggioAlert = "Errore: latitudine non numerico!";
elseif ( strlen($_POST[Longitudine])!=0  &&  !is_numeric($_POST[Longitudine]) )
	$flagErrore = $messaggioAlert = "Errore: longitudine non numerico!";
else
{
	require_once('inserimento_richiesta_record.inc');

	if ( is_numeric($Latitudine)  &&  is_numeric($Longitudine) )
		require_once('inserimento_richiesta_punto_intervento.inc');
		
	$sql = <<< sql
			SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
			FROM         SchemiFlussoPagineWeb INNER JOIN
								  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
			WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

	$SchemaCommessa = ntxScalar($sql); 

	require_once(NTX_WEBPORTAL_PATH.'preventivi/_dispatch_richiesta_preventivo.inc');

	if ( $SchemaCommessa != "team" )
		require_once(NTX_WEBPORTAL_PATH.'messaggi/nuova_richiesta/start.php');

	require_once(NTX_WEBPORTAL_PATH.'messaggi/richiedenti/nuova_richiesta/start.php');	
}

?> 

<script>

<?php if ( $_POST[Classificazione]=="a_canone" ){ ?>
	parent.frmAssegnaOrdine.NumRichiesta.value = "<?php echo $NumRichiesta ?>";
	parent.frmAssegnaOrdine.AnnoRichiesta.value = "<?php echo $AnnoRichiesta ?>";
<?php } else { ?>
	parent.frmAssegnaOrdine.NumRichiesta.value = "";
	parent.frmAssegnaOrdine.AnnoRichiesta.value = "";
<?php } ?>

alert("<?php echo $messaggioAlert ?>");

parent.CompilaOrdine();

</script>
