<?php
session_start();

require_once("../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');
$lat = ntxfp('lat');
$lng = ntxfp('lng');
 
$addWhere = "";

if ( strlen($_POST[FiltraCodice])>0 ) // in carico
	$addWhere .= " AND ElencoEdifici.Codice LIKE '%".str_replace("'","''",$_POST[FiltraCodice])."%'";

if ( strlen($_POST[FiltraIndirizzo])>0 ) // in carico
	$addWhere .= " AND ElencoEdifici.Indirizzo LIKE '%".str_replace("'","''",$_POST[FiltraIndirizzo])."%'";

$sql = <<< sql
SELECT   TOP 4 *
	FROM (SELECT DISTINCT 
		ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.Indirizzo,
		dbo.haversine('km', ElencoEdifici.Latitudine, ElencoEdifici.Longitudine, $lat , $lng) AS haversine		
		
		FROM         ElencoEdifici INNER JOIN
							  tblContrattiFornitoriAttivitàMestiereEdifici ON ElencoEdifici.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
							  ElencoEdifici.ID = tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio INNER JOIN
							  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
							  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore
		WHERE     (tblContrattiFornitori.IdFornitore =  $IdDitta) 
		AND (tblContrattiFornitori.IdCommessa = $IdCommessa)
		AND Latitudine IS NOT NULL
		AND  Longitudine IS NOT NULL		 
	) a
ORDER BY 
	haversine asc
	,ID
	, Codice
	, Indirizzo
sql;

$query = ntxQuery($sql);

$table =  "";

while ($rs=ntxRecord($query))
{ 		
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$html['haversine'] = ntxRound($html['haversine'], 2);	
		
	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal"
				onclick="SelStrada($rs[ID]);haversine_close();">
			<b>($html[haversine] km ) $html[ID] - $html[Codice] - ($html[Indirizzo])</b>
		</button>
table;
	
}

$result = array();

$result[table] = $table; 

jhp($result);
 
?>
