<?php
require_once('../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');   
?>	
<!DOCTYPE html> 
<html>
<head>
	<title>Geolocalizzazione</title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script> 
	
	<style>
	#reportPosition
	,#reportCounter
	{
		text-align:center;
	}
	
	.clsTitolo
	{
		font-weight:bold;
		color: #6495ED;
	}
	</style>
</head>
<body >

<div data-role="page"> 

	<div data-role="header" data-position="fixed">
        <h1>Geolocalizzazione</h1>
        <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
        <a href="index.php" data-ajax="false" data-icon="back" data-iconpos="notext"></a>
    </div>
	
	
	<input type="button" onclick="alert('CIAOOO');" >
<?php
require_once('../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');  

die("<h1>Opzione non disponibile!</h1>");
?>		
	
	
	<div style="padding:10px 20px;" role="main" class="ui-content jqm-content jqm-fullwidth">
		<button 
			class="ui-btn ui-corner-all ui-shadow  ui-btn-icon-left ui-icon-check"
			onclick='attivaGeolocalizzazione()'
			style="width:100%" 
			id="bntGeolocalizzazione" >
			geolocalizzazione attiva
			</button>  	
	</div> 
	
	 
	<hr> 
	 
	<div style="text-align:center;" > 
		<div class="clsTitolo" >numero di cicli:</div>
		<div id="reportCounter" > </div>
		
		<hr>
		
		<div class="clsTitolo" >cicla ogni N secondi con N uguale a :</div>
		<input type="text" id="valueSecond" value="10" style="text-align:center;" >
		
		<hr>
		
		<div class="clsTitolo" >dati sulla posizione:</div>
		<div id="reportPosition" ></div> 

		<form name="form1" method="post"></form>	
	</div>
	
	<hr>

</div><!-- page -->


<script>
var timerHandle =  '';
var counter = 0;
var obj = { a:"A", b:"B" };

function jsOttieniOggetto()
{
	var obj = { a:"A", b:"B" };
	
	return obj;
}


 





$(document).ready(function() 
{ 
	gps();
	
	attivaGeolocalizzazione();
});

function gps()
{
	function gotPosition(pos)  
	{
		var outputStr =
			"latitude: "+ pos.coords.latitude +"<br>"+
			"longitude: "+ pos.coords.longitude +"<br>"+
			"accuracy: "+ pos.coords.accuracy +"<br>"+

			"altitude: "+ pos.coords.altitude +"<br>"+
			"altitudeAccuracy: "+ pos.coords.altitudeAccuracy +"<br>"+
			"heading: "+ pos.coords.heading +"<br>"+
			"speed: "+ pos.coords.speed +"";

		$('#reportPosition').html(outputStr);
		
		
		var result = jhp("jhp/geolocalizza_risorsa.php", 
			{
				lat:pos.coords.latitude
				, lng:pos.coords.longitude
			} 
		);
		
		if(result.state)
		{
			//console.log('Salvataggio fallito: '+result.message);
		}
		else
		{ 
		}  
	}
		
	function errorGettingPosition(err) 
	{
		var outputStr = '';
		
		if(err.code == 1) {
			outputStr ="L'utente non ha autorizzato la geolocalizzazione";
		} else if(err.code == 2) {
			outputStr ="Posizione non disponibile";
		} else if(err.code == 3) {
			outputStr ="Timeout";
		} else {
			outputStr ="ERRORE:" + err.message;
		}
		
		$('#reportPosition').html(outputStr);
	}	

	
	++counter;
	
	navigator.geolocation.getCurrentPosition(
	    gotPosition,
	    errorGettingPosition,
	    {'enableHighAccuracy':true,'timeout':10000,'maximumAge':0}
	); 
	
	$('#reportCounter').text(counter); 
}  


function attivaGeolocalizzazione()
{
	var testo = '';
	var tempo = 0 + $('#valueSecond').val();
	tempo *= 1000;
	
	if(timerHandle=='')
	{
		timerHandle = window.setInterval(function(){gps()},tempo);  //milliseconds ex: 3000 = 3 sec
		testo = 'geolocalizzazione attiva'; 
	}
	else
	{
		window.clearTimeout(timerHandle);
		timerHandle = '';
		testo = 'geolocalizzazione disattiva';
		counter = 0;
		
		$('#reportPosition').html('');
		$('#reportCounter').html('0');
	}
	
	$('#bntGeolocalizzazione').text(testo);
} 
</script>

</body>
</html>