
function SelOpzione(action)
{
	form1.action = action;
	form1.submit();
}

function SelEdificio(IdEdificio)
{
	frmNuovaRichiesta.IdEdificio.value = IdEdificio;
	frmNuovaRichiesta.IdLivello.value = '';
	frmNuovaRichiesta.IdAmbiente.value = '';
	frmNuovaRichiesta.IdComponente.value = '';
	
	var result = jhp("jhp/cerca_edificio.php", {IdEdificio: IdEdificio});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#DatiEdificioSelezionato').html(result.value['edificio']).show();
		$('#DatiPianoSelezionato').html('').hide();
		$('#DatiVanoSelezionato').html('').hide();
		$('#DatiComponenteSelezionato').html('').hide();

		$('#TecnicoC').html(result.value['tecniciC']).selectmenu('refresh');
		$('#Richiedente').html(result.value['richiedenti']).selectmenu('refresh');
		$('#GradoUrgenza').html(result.value['gradi_urgenza']).selectmenu('refresh');
		
		$('#ElencoPianiEdificioSelezionato').html(result.value['piani']);
		$('#ElencoVaniEdificioSelezionato').html('');
		$('#ElencoComponentiEdificioSelezionato').html('');
		
		$('#divColEdifici').collapsible("collapse");
		$('#divColMain').collapsible("expand");
		
		CalcolaScadenze();
	}
}

function SelPiano(IdLivello)
{
	frmNuovaRichiesta.IdLivello.value = IdLivello;
	frmNuovaRichiesta.IdAmbiente.value = '';
	frmNuovaRichiesta.IdComponente.value = '';
	
	var result = jhp("jhp/cerca_piano.php", {
		IdEdificio: frmNuovaRichiesta.IdEdificio.value,
		IdLivello: IdLivello});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#DatiPianoSelezionato').html(result.value['piano']).show();
		$('#DatiVanoSelezionato').html('').hide();
		$('#DatiComponenteSelezionato').html('').hide();
		
		$('#ElencoVaniEdificioSelezionato').html(result.value['vani']);
		$('#ElencoComponentiEdificioSelezionato').html('');
		
		$('#divColPiani').collapsible("collapse");
		$('#divColMain').collapsible("expand");
	}
}

function SelVano(IdAmbiente)
{
	frmNuovaRichiesta.IdAmbiente.value = IdAmbiente;
	frmNuovaRichiesta.IdComponente.value = '';
	
	var result = jhp("jhp/cerca_vano.php", {
		IdEdificio: frmNuovaRichiesta.IdEdificio.value,
		IdAmbiente: IdAmbiente});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#DatiVanoSelezionato').html(result.value['vano']).show();
		$('#DatiComponenteSelezionato').html('').hide();
		
		$('#ElencoComponentiEdificioSelezionato').html(result.value['componenti']);
		
		$('#divColAmbienti').collapsible("collapse");
		$('#divColMain').collapsible("expand");
	}
}

function SelComponente(IdComponente)
{
	frmNuovaRichiesta.IdComponente.value = IdComponente;
	
	var result = jhp("jhp/cerca_componente.php", {
		IdEdificio: frmNuovaRichiesta.IdEdificio.value,
		IdComponente: IdComponente});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#DatiComponenteSelezionato').html(result.value['componente']).show();
		
		$('#divColComponenti').collapsible("collapse");
		$('#divColMain').collapsible("expand");
	}
}

function CalcolaScadenze()
{
	GradoUrgenza = jei('GradoUrgenza').value;
	
	var result = jhp("jhp/calcola_scadenze.php", {GradoUrgenza: GradoUrgenza});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		jei('DataScadenza').value = result.value;
	}
}

function CaricaMestieri()
{
	var result = jhp("jhp/carica_mestieri.php", {});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#Mestiere').html(result.value).selectmenu('refresh');
		CaricaComponenteMestiere();
	}
}

function CaricaComponenteMestiere()
{
	var result = jhp("jhp/carica_comp_mest.php", {
		IdMestiere: $('#Mestiere').val()
	});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#ComponenteMestiere').html(result.value).selectmenu('refresh');
		CaricaAttivitàMestiere();
	}
}

function CaricaAttivitàMestiere()
{
	var result = jhp("jhp/carica_att_mest.php", {
		IdComponenteMestiere: $('#ComponenteMestiere').val()
	});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#AttivitàMestiere').html(result.value).selectmenu('refresh');
	}
}

function RegistraACanoneConOrdine()
{
	frmNuovaRichiesta.Classificazione.value = "a_canone";
	frmNuovaRichiesta.GeneraOrdine.value = "YES";
	frmNuovaRichiesta.submit();
}

function RegistraExtracanoneConOrdine()
{
	frmNuovaRichiesta.Classificazione.value = "extracanone";
	frmNuovaRichiesta.GeneraOrdine.value = "YES";
	frmNuovaRichiesta.submit();
}

function RegistraACanone()
{
	frmNuovaRichiesta.Classificazione.value = "a_canone";
	frmNuovaRichiesta.GeneraOrdine.value = "NO";
	frmNuovaRichiesta.submit();
}

function RegistraExtracanone()
{
	frmNuovaRichiesta.Classificazione.value = "extracanone";
	frmNuovaRichiesta.GeneraOrdine.value = "NO";
	frmNuovaRichiesta.submit();
}

function RichiestoPreventivo()
{
	frmNuovaRichiesta.Classificazione.value = "preventivo";
	frmNuovaRichiesta.GeneraOrdine.value = "NO";
	frmNuovaRichiesta.submit();
}

function CercaVanoPerCodice()
{
	frmNuovaRichiesta.IdEdificio.value = '';
	frmNuovaRichiesta.IdLivello.value = '';
	frmNuovaRichiesta.IdAmbiente.value = '';
	frmNuovaRichiesta.IdComponente.value = '';
	
	$('#DatiEdificioSelezionato').html('').hide();
	$('#DatiPianoSelezionato').html('').hide();
	$('#DatiVanoSelezionato').html('').hide();
	$('#DatiComponenteSelezionato').html('').hide();

	var result = jhp("jhp/cerca_vano_per_codice.php", {
		CodCercaCompAmb: $('#CodCercaCompAmb').val()
	});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		if ( $.isNumeric(result.value['IdEdificio']) ) SelEdificio(result.value['IdEdificio']);
		if ( $.isNumeric(result.value['IdLivello']) ) SelPiano(result.value['IdLivello']);
		if ( $.isNumeric(result.value['IdAmbiente']) ) SelVano(result.value['IdAmbiente']);
	}
}

function CercaCompPerCodice()
{
	frmNuovaRichiesta.IdEdificio.value = '';
	frmNuovaRichiesta.IdLivello.value = '';
	frmNuovaRichiesta.IdAmbiente.value = '';
	frmNuovaRichiesta.IdComponente.value = '';
	
	$('#DatiEdificioSelezionato').html('').hide();
	$('#DatiPianoSelezionato').html('').hide();
	$('#DatiVanoSelezionato').html('').hide();
	$('#DatiComponenteSelezionato').html('').hide();

	var result = jhp("jhp/cerca_comp_per_codice.php", {
		CodCercaCompAmb: $('#CodCercaCompAmb').val()
	});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		if ( $.isNumeric(result.value['IdEdificio']) ) SelEdificio(result.value['IdEdificio']);
		if ( $.isNumeric(result.value['IdLivello']) ) SelPiano(result.value['IdLivello']);
		if ( $.isNumeric(result.value['IdAmbiente']) ) SelVano(result.value['IdAmbiente']);
		if ( $.isNumeric(result.value['IdComponente']) ) SelComponente(result.value['IdComponente']);
	}
}
