<?php

$sql = <<< sql
	SELECT    count(*)
	FROM         FotoRichieste INNER JOIN
						  Richieste ON FotoRichieste.IdCommessa = Richieste.IDCommessa AND FotoRichieste.IdRichiesta = Richieste.IdRich INNER JOIN
						  Commesse ON FotoRichieste.IdCommessa = Commesse.IDCommessa
	WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $rs[NumRichiesta]) AND (Richieste.AnnoRichiesta = $rs[AnnoRichiesta])
sql;

$NumFoto = ntxScalar($sql);

$sql = <<< sql
	SELECT     FotoRichieste.Id, FotoRichieste.PathRelativa, FotoRichieste.Descrizione, FotoRichieste.FotoPrincipale, 
						  Commesse.pathPublicShapeWeb AS PathBase
	FROM         FotoRichieste INNER JOIN
						  Richieste ON FotoRichieste.IdCommessa = Richieste.IDCommessa AND FotoRichieste.IdRichiesta = Richieste.IdRich INNER JOIN
						  Commesse ON FotoRichieste.IdCommessa = Commesse.IDCommessa
	WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $rs[NumRichiesta]) AND (Richieste.AnnoRichiesta = $rs[AnnoRichiesta])
sql;

$query = ntxQuery($sql);

$tblFoto = "";

$url = "\\".NTX_SUBPATH_PORTALE."\\tmp";

$countFiles = 0;

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

while ($rss=ntxRecord($query))
{
	foreach($rss as $k=>$v)
	{
		$js[$k] = ntxJs($v);
		$html[$k] = htmlentities($v);
	}
	
	$pathOrigine = "{$rss[PathBase]}\\{$rss[PathRelativa]}";
	
	$path_info = pathinfo($pathOrigine);
    $extension = $path_info['extension'];
	
	$pathDestinazione = tempnam($dir, "TN").".$extension";
	$urlDestinazione = str_replace("\\","/", $url.substr($pathDestinazione, strlen($dir)));
	
	copy($pathOrigine, $pathDestinazione);
	
	$tblFoto .= <<< tblFoto
		<div class=AncorFoto><a  href="$urlDestinazione" target=_blank>
			<img src="$urlDestinazione" width=100px height=90px />
		</a>
		</div>
tblFoto;
}

?>