<?php
session_start();

require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$GradoUrgenza = ntxsp('GradoUrgenza');
$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$subSql = <<< subSql
	case when Richieste.DataAutorizzazione is not null then 
		Richieste.DataAutorizzazione
	else 
		Richieste.DataRichiesta 
	end
subSql;

$sql = <<< sql
	SELECT     
		dbo.CalcTempoPresaInCarico($IdCommessa, $GradoUrgenza, $subSql) DataSPC,
		dbo.CalcInizioIntervento  ($IdCommessa, $GradoUrgenza, $subSql) DataScadenza,
		dbo.CalcInterventoTampone ($IdCommessa, $GradoUrgenza, $subSql) DataScadenzaInterventoTampone,
		dbo.CalcFineIntervento    ($IdCommessa, $GradoUrgenza, $subSql) DataScadenzaFineIntervento
	FROM         Ordini INNER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

$rs = ntxRecord(ntxQuery($sql));

$result[DataSPC] =  ntxDateTime($rs[DataSPC]);
$result[DataScadenza] =  ntxDateTime($rs[DataScadenza]);
$result[DataScadenzaInterventoTampone] =  ntxDateTime($rs[DataScadenzaInterventoTampone]);
$result[DataScadenzaFineIntervento] =  ntxDateTime($rs[DataScadenzaFineIntervento]);

jhp($result);	
?>
