<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
	SELECT 
		StatiOrdini.DesStato
		,Ordini.StatoOrd
		,Ordini.DataInizioProg
		,Ordini.DataFineProg
		,Ordini.DataInizio
		,Ordini.IdRisorsa
		,Ordini.DataFine
		
		,Ordini.DataPresaInCarico DataPC
		
		,Risorse.NOME AS Risorsa
		
	FROM         Ordini INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      Risorse ON Ordini.IdRisorsa = Risorse.ID
		
	WHERE (Ordini.IDCommessa = $IdCommessa) 
		AND (Ordini.NumOrdine = $NumOrdine) 
		AND (Ordini.AnnoOrdine = $AnnoOrdine)
sql;

$rs = ntxRecord(ntxQuery($sql));

$rs[DataInizioProg] = ntxDateTimeT($rs[DataInizioProg]);
$rs[DataFineProg] = ntxDateTimeT($rs[DataFineProg]);

$rs[DataInizio] = ntxDateTimeT($rs[DataInizio]);
$rs[DataFine] = ntxDateTimeT($rs[DataFine]);

$rs[DataPC] = ntxDateTime($rs[DataPC]);

foreach($rs as $k=>$v)
	$rs[$k] = "$v";

jhp($rs);

?>
