<?php

session_start();

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$CodiceAssAmbiente = ntxsp('CodiceAssAmbiente');

$sql = <<< sql
	SELECT DISTINCT PianoLivello.idPiano, DestinazioniDusoLivello.Destinazione, DestinazioniDusoLivello.ordinamento
	FROM         Ambiente INNER JOIN
                      PianoLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND 
                      PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND 
                      Ambiente.IdEdificio = PianoLivello.IdEdificio AND Ambiente.IdLivello = PianoLivello.idPiano
	WHERE PianoLivello.IdCommessa=$IdCommessa
	AND PianoLivello.IdEdificio=$IdEdificio
	AND Ambiente.CodiceAssAmbiente=$CodiceAssAmbiente
	order by DestinazioniDusoLivello.ordinamento, DestinazioniDusoLivello.Destinazione
sql;

$result = array();

$query = ntxQuery($sql);

while($rs=ntxIRecord($query))
{
	$rs[0] = $rs[0]."";
	$rs[1] = $rs[1]."";
		
	$result[] = $rs;	
}

jhp($result);

?>