<?php

$sql = <<< sql
SELECT DISTINCT 
                      tblOrdiniPrgComp.NumOrdine, tblOrdiniPrgComp.AnnoOrdine, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA, Ditte.Ditta, tblMestieri.Descrizione AS Mestiere, tblComponetiMestiere.Descrizione AS Componente
FROM         tblOrdiniPrgComp INNER JOIN
                      ElencoEdifici ON tblOrdiniPrgComp.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniPrgComp.IdEdificio = ElencoEdifici.ID INNER JOIN
                      Ditte ON tblOrdiniPrgComp.IdFornitore = Ditte.IDDitta INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdOrdPrgComp = $IdOrdPrgComp)
sql;

$rsOrd = ntxRecord( ntxQuery($sql) );

$NumOrdine = (int)$rsOrd[NumOrdine];
$AnnoOrdine = (int)$rsOrd[AnnoOrdine];

$sql = <<< sql
SELECT DISTINCT tblPgRifAffidatari.email_1
FROM         tblComponetiMestiere INNER JOIN
                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
                      tblPgContrattiRifAffidatari INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
                      tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario INNER JOIN
                      tblPgContrattiRifAffidatariAttivitàEdifici ON 
                      tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario ON 
                      tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
                      Ordini ON tblComponetiMestiere.IdCommessa = Ordini.IDCommessa AND tblComponetiMestiere.IdMestiere = Ordini.IdMestiere AND 
                      tblPgContrattiAffidatari.DataInizio <= Ordini.DataOrdine AND tblPgContrattiAffidatari.DataFine >= Ordini.DataOrdine AND 
                      tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = Ordini.IDCommessa AND tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = Ordini.CodEdificio
					  INNER JOIN
                      tblOrdiniPrgComp ON Ordini.IDCommessa = tblOrdiniPrgComp.IdCommessa AND Ordini.NumOrdine = tblOrdiniPrgComp.NumOrdine AND 
                      Ordini.AnnoOrdine = tblOrdiniPrgComp.AnnoOrdine
WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdOrdPrgComp = $IdOrdPrgComp)
	AND (Ordini.IdAffidatario IS NULL OR Ordini.IdAffidatario = tblPgRifAffidatari.IdAffidatario)
	--AND tblPgContrattiRifAffidatari.RiceviNotificheAnomalie=1
	AND tblPgRifAffidatari.email_1<>''
sql;

$query = ntxQuery($sql);

$oggetto = $traduttore->traduci('Notifica anomalia su visita programmata');

/*$messaggio = <<< msg
Durante la visita programmata $NumOrdine/$AnnoOrdine
Localizzata in $rsOrd[EdificioBreve] - $rsOrd[Indirizzo] - $rsOrd[CITTA] ($rsOrd[PROVINCIA])
è stata segnalata dalla squadra $rsOrd[Ditta]
Il seguente problema $Des
Durante l'esecuzione del servizio $rsOrd[Mestiere]
sul componente $rsOrd[Componente]

a seguito della segnalazione è stata generata la richieta $NumRichiesta/$AnnoRichiesta
msg;*/
$messaggio =
$traduttore->traduci('Durante la visita programmata')." $NumOrdine/$AnnoOrdine 
".$traduttore->traduci('Localizzata in')." $rsOrd[EdificioBreve] - $rsOrd[Indirizzo] - $rsOrd[CITTA] ($rsOrd[PROVINCIA]) 
".$traduttore->traduci('è stata segnalata dalla squadra')." $rsOrd[Ditta] 
".$traduttore->traduci('il seguente problema')." $Des 
".$traduttore->traduci('Durante l\'esecuzione del servizio')." $rsOrd[Mestiere] 
".$traduttore->traduci('sul componente')." $rsOrd[Componente]

".$traduttore->traduci('A seguito della segnalazione è stata generata la richiesta')." $NumRichiesta/$AnnoRichiesta"
;

while( $rs = ntxiRecord($query) )
{
	$email = $rs[0];
	
				ntxFireNetInit($_SESSION['Utente'].'',				
								$traduttore->traduci('Notifica Richiesta LC'),				
								$traduttore->traduci('Ordine MP')." $NumOrdine/$AnnoOrdine",			
								"Email",		
								$email,		
								$oggetto,				
								$messaggio,
								true);	
	
}

?>