<?php

session_start();

require_once("../../../../_ntx/const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$ListaIdOrdPrgComp = ntxsp('ListaIdOrdPrgComp');
$apri = ntxip('apri');
$chiudi = ntxip('chiudi');

if ( !$apri ) include('is_letto_liste_controllo.inc');

$DataInizio = ntxttp('DataInizio');
$DataFine = ntxttp('DataFine');

$ListaIdOrdPrgCompArray = explode(",", $_POST[ListaIdOrdPrgComp]);

$IdOrdPrgComp = $ListaIdOrdPrgCompArray[0];

if ( $chiudi )
{
	$sql = <<< sql
		UPDATE         tblOrdiniPrgComp 
		
		SET 
			Aperto=1, 
			Eseguito=1, 
			Annullato=0, 
			Anomalia=0, 
			IdAnomalia=NULL, 
			datainizio=ISNULL(datainizio, $DataInizio), 
			datafine=$DataFine, 
				DataOreModifica=getdate(), 
				IdUtenteModifica=$IdUtente 

		FROM tblOrdiniPrgComp INNER JOIN
                      dbo.SplitId($ListaIdOrdPrgComp) AS lista_id ON tblOrdiniPrgComp.IdOrdPrgComp = lista_id.id
		WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa)
sql;

	ntxQuery($sql);
}
elseif ( $apri )
{
	$sql = <<< sql
		UPDATE         tblOrdiniPrgComp 
		
		SET 
			Aperto=1, 
			Eseguito=0, 
			Annullato=0, 
			Anomalia=0, 
			IdAnomalia=NULL, 
			datainizio=$DataInizio, 
			datafine=NULL, 
				DataOreModifica=getdate(), 
				IdUtenteModifica=$IdUtente 
			
		FROM tblOrdiniPrgComp INNER JOIN
                      dbo.SplitId($ListaIdOrdPrgComp) AS lista_id ON tblOrdiniPrgComp.IdOrdPrgComp = lista_id.id
		WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa)
sql;

	ntxQuery($sql);
}
else
{
	$sql = <<< sql
		UPDATE         tblOrdiniPrgComp 
		
		SET 
			Aperto=0, 
			Eseguito=0, 
			Annullato=0, 
			Anomalia=0, 
			IdAnomalia=NULL, 
			datainizio=NULL, 
			datafine=NULL, 
				DataOreModifica=getdate(), 
				IdUtenteModifica=$IdUtente 
			
		FROM tblOrdiniPrgComp INNER JOIN
                      dbo.SplitId($ListaIdOrdPrgComp) AS lista_id ON tblOrdiniPrgComp.IdOrdPrgComp = lista_id.id
		WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa)
sql;

	ntxQuery($sql);
}

	
include('setta_prg_e_mp.inc');

include('multiplo_prg-output.inc');


?>