<?php
require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore201702060941 = new NtxTraduttore("000_000_408", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore201702060941 = new NtxCreaTraduzione("000_000_408", "IT", __FILE__);

$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, tblMestieri.codice AS CodMestiere, tblMestieri.Descrizione AS Mestiere,
                       Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine, tblPgPropietari.Nome AS Cliente, ElencoEdifici.ID AS IdEdificio, 
                      ElencoEdifici.Codice AS CodLocaliz, ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA
	FROM         Ordini INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
                      Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.IdOrdineProgrammato = $IdOrdineProgrammato)
sql;

$rs = ntxRecord(ntxQuery($sql));

$rs[NumOrdine] = (int)$rs[NumOrdine];
$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
$rs[DataFine] = ntxDateTime($rs[DataFine]);

foreach($rs as $k=>$v)
	$html[$k] = "<b>".htmlentities($v)."</b>";

/*$Testata = <<< Testata
	loc. $html[CodLocaliz] - $html[NomeLocaliz] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
	<hr>Ente $html[Cliente]
	<hr>ordine $html[NumOrdine]/$html[AnnoOrdine] - data $html[DataOrdine]
	- stato $html[DesStato]
	<hr>mestiere $html[CodMestiere] - $html[Mestiere]
	<hr>data inizio p $html[DataInizioProg] - data fine p $html[DataFineProg]
	<hr>data inizio e $html[DataInizio] - data fine e $html[DataFine]
Testata;*/

$Testata =
	$traduttore201702060941->traduci('Localizzazione')." $html[CodLocaliz] - $html[NomeLocaliz] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
	<hr>".$traduttore201702060941->traduci('Ente')." $html[Cliente]
	<hr>".$traduttore201702060941->traduci('Ordine')." $html[NumOrdine]/$html[AnnoOrdine] - data $html[DataOrdine]
	- ".$traduttore201702060941->traduci('Stato')." $html[DesStato]
	<hr>".$traduttore201702060941->traduci('Mestiere')." $html[CodMestiere] - $html[Mestiere]
	<hr>".$traduttore201702060941->traduci('Data Inizio P')." $html[DataInizioProg] - ".$traduttore201702060941->traduci('Data Fine P')." $html[DataFineProg]
	<hr>".$traduttore201702060941->traduci('Data Inizio E')." $html[DataInizio] - data fine e $html[DataFine]"
;

$sql = <<< sql
	SELECT     tblComponetiMestiere.codice AS CodComp, tblComponetiMestiere.Descrizione AS DesComp, tblAttivitàMestiere.codice AS CodAtt, 
                      tblAttivitàMestiere.Descrizione AS DesAtt, tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg, tblOrdiniProgrammati.Eseguito, 
                      tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblOrdiniProgrammati.Annullato, tblOrdiniProgrammati.Aperto, 
                      tblOrdiniProgrammati.Anomalia, tblOrdiniProgrammati.IdOrdineProgrammato, 
						  tblOrdiniProgrammati.ListaControlloObbligatoria, 
						  tblOrdiniProgrammati.ChiusaListaControllo,
						  (
								SELECT top 1    TipoComponente.DesComponente
								FROM         tblOrdiniPrgComp INNER JOIN
													  ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
													  tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente INNER JOIN
													  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
													  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
								WHERE     (tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato) 
								AND (tblOrdiniPrgComp.TipoMP = 1)

							) TipoComponente,
							
						  (
								SELECT count(*)
								FROM         tblOrdiniPrgComp  
								WHERE     (tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato) 
								AND (tblOrdiniPrgComp.TipoMP = 1)

							) NumComponenti,
						  tblOrdiniProgrammati.Annotazioni
						  
	FROM         tblOrdiniProgrammati INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.IdOrdineProgrammato = $IdOrdineProgrammato)
sql;

$rs = ntxRecord(ntxQuery($sql));

$rs[dataInizioProg] = ntxDateTime($rs[dataInizioProg]);
$rs[dataFineProg] = ntxDateTime($rs[dataFineProg]);
$rs[dataInizio] = ntxDateTime($rs[dataInizio]);
$rs[datafine] = ntxDateTime($rs[datafine]);

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);

$DesStato = $traduttore201702060941->traduci('non aperto');

if ( $rs[Aperto] ) $DesStato = $traduttore201702060941->traduci('aperto');
if ( $rs[Anomalia] ) $DesStato = $traduttore201702060941->traduci('anomalia');
if ( $rs[Annullato] ) $DesStato = $traduttore201702060941->traduci('annullato');
if ( $rs[Eseguito] ) $DesStato = $traduttore201702060941->traduci('eseguito');

$color = $color2 = "#FF5555;color:white;text-shadow:none;font-weight:normal";

if ( $rs[Aperto] ) $color = "#FF9900";
if ( $rs[Anomalia] ) $color = "#FFAAFF";
if ( $rs[Annullato] ) $color = "#FFFFAA";
if ( $rs[Eseguito] ) $color = "#AAFFAA";
	
	$listaControllo = "";

	if ( $rs[ChiusaListaControllo] )
		/*$listaControllo = <<< lc
			- <b style="border:2px solid #bbbbFF;background-color:#AAFFAA">Verificata lista controllo</b>
lc;*/
		$listaControllo =
			"- <b style=\"border:2px solid #bbbbFF;background-color:#AAFFAA\">".$traduttore201702060941->traduci('Verificata lista controllo')."</b>"
;
	elseif ( $rs[ListaControlloObbligatoria] )
		/*$listaControllo = <<< lc
			- <b style="border:2px solid #bbbbFF;background-color:$color2">Verificare lista controllo</b>
lc;*/
		$listaControllo =
			"- <b style=\"border:2px solid #bbbbFF;background-color:$color2\">".$traduttore201702060941->traduci('Verificare lista controllo')."</b>"
;

/*$OrdineProgrammato = <<< OrdineProgrammato
			ordine prg <b>$html[IdOrdineProgrammato]</b>
			- stato <b style="border:2px solid #bbbbFF;background-color:$color">$DesStato</b>
			$listaControllo
			<br>componente <b>$html[CodComp]</b> - <b>$html[DesComp]</b>
			<br>Tipo componente censito <b>$html[TipoComponente]</b> - Num.Componenti <b>$html[NumComponenti]</b>
			<br>Attività  <b>$html[CodAtt]</b> - <b DesAttività =$rs[IdOrdineProgrammato] style="border:2px solid #bbbbFF;background-color:#DDDDFF;white-space:nowrap">$html[DesAtt]</b>
			<br>data inizio p <b>$html[dataInizioProg]</b> - data fine p <b>$html[dataFineProg]</b>
			<br>data inizio e <b>$html[dataInizio]</b> - data fine e <b>$html[datafine]</b>
			<br>Annotazioni <b>$html[Annotazioni]</b>
OrdineProgrammato;*/
$OrdineProgrammato =
			$traduttore201702060941->traduci('Ordine PRG')." <b>$html[IdOrdineProgrammato]</b>
			- ".$traduttore201702060941->traduci('Stato')." <b style=\"border:2px solid #bbbbFF;background-color:$color\">$DesStato</b>
			$listaControllo
			<br>".$traduttore201702060941->traduci('Componente')." <b>$html[CodComp]</b> - <b>$html[DesComp]</b>
			<br>".$traduttore201702060941->traduci('Tipo Componente Censito')." <b>$html[TipoComponente]</b> - Num.Componenti <b>$html[NumComponenti]</b>
			<br>".$traduttore201702060941->traduci('Attività ')." <b>$html[CodAtt]</b> - <b DesAttività =$rs[IdOrdineProgrammato] style=\"border:2px solid #bbbbFF;background-color:#DDDDFF;white-space:nowrap\">$html[DesAtt]</b>
			<br>".$traduttore201702060941->traduci('Data Inizio P')." <b>$html[dataInizioProg]</b> - ".$traduttore201702060941->traduci('Data Fine P')." <b>$html[dataFineProg]</b>
			<br>".$traduttore201702060941->traduci('Data Inizio E')." <b>$html[dataInizio]</b> - ".$traduttore201702060941->traduci('Data Fine E')." <b>$html[datafine]</b>
			<br>".$traduttore201702060941->traduci('Annotazioni')." <b>$html[Annotazioni]</b>"
;
	
$traduttore201702060941->Salva();
?>