<?php

require_once("../../../../_ntx/const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_434", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_434", "IT", __FILE__);

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IdRisorsa = ntxise('IdRisorsa');
$IdDitta = ntxise('IdDitta');

$ComponentiSelezionati = ntxsp('ComponentiSelezionati');
$UltimoComponenteSelezionato = ntxip('UltimoComponenteSelezionato');

if ( $ComponentiSelezionati=="NULL" ) $ComponentiSelezionati = "''";

$addWhere = "";

if ( $Tipo==1 ) // in carico
{
	$addWhere .= " AND Ordini.IdRisorsa = $IdRisorsa AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==2 ) // da assegnare
{
	$addWhere .= " AND Ordini.IdRisorsa IS NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==3 ) // finiti
{
	$addWhere .= " AND Ordini.StatoOrd >= 50";
}

$DataInizioProg=ntxttp('DataInizioProg', true);
$DataFineProg=ntxttp('DataFineProg', true);

if ( $DataInizioProg!="NULL" )
	$addWhere .= " AND Ordini.DataFineProg >= $DataInizioProg";

if ( $DataFineProg!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataFineProg";

$subSqlTotale = <<< sql
	SELECT     COUNT(*)
	FROM         tblOrdiniPrgComp INNER JOIN
						  Ordini INNER JOIN
						  tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
						  Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
						  tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato
	WHERE     (tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio) 
		AND (tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente)
		AND (Ordini.Assegnazione = $IdDitta) 
		$addWhere
sql;

$subSqlChiusi = <<< sql
	SELECT     COUNT(*)
	FROM         tblOrdiniPrgComp INNER JOIN
						  Ordini INNER JOIN
						  tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
						  Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
						  tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato
	WHERE     (tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio) 
		AND (tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente)
		AND (Ordini.Assegnazione = $IdDitta) 
		AND (tblOrdiniPrgComp.Eseguito=1 OR tblOrdiniPrgComp.Anomalia=1 OR tblOrdiniPrgComp.Annullato=1)
		$addWhere
sql;

$subSqlEseguito = <<< sql
	SELECT     COUNT(*)
	FROM         tblOrdiniPrgComp INNER JOIN
						  Ordini INNER JOIN
						  tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
						  Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
						  tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato
	WHERE     (tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio) 
		AND (tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente)
		AND (Ordini.Assegnazione = $IdDitta) 
		AND tblOrdiniPrgComp.Eseguito=1
		$addWhere
sql;

$subSqlAnomalia = <<< sql
	SELECT     COUNT(*)
	FROM         tblOrdiniPrgComp INNER JOIN
						  Ordini INNER JOIN
						  tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
						  Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
						  tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato
	WHERE     (tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio) 
		AND (tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente)
		AND (Ordini.Assegnazione = $IdDitta) 
		AND tblOrdiniPrgComp.Anomalia=1
		$addWhere
sql;

$subSqlAnnullato = <<< sql
	SELECT     COUNT(*)
	FROM         tblOrdiniPrgComp INNER JOIN
						  Ordini INNER JOIN
						  tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
						  Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
						  tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato
	WHERE     (tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio) 
		AND (tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente)
		AND (Ordini.Assegnazione = $IdDitta) 
		AND tblOrdiniPrgComp.Annullato=1
		$addWhere
sql;

$sql = <<< sql
	SELECT DISTINCT 
                      ComponentiAmbiente.IDComponente, Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione, ComponentiAmbiente.CodiceAssComponente, 
                      ComponentiAmbiente.CodiceComponente, TipoComponente.DesComponente,
					  (SELECT TOP 1 GruppiImpianti.Descrizione FROM GruppiImpianti INNER JOIN
                      GruppiImpTipiComp ON GruppiImpianti.Id = GruppiImpTipiComp.IdGruppoImpianto
					  WHERE GruppiImpTipiComp.IdCommessaTipo = TipoComponente.IdCommessa AND 
                      GruppiImpTipiComp.IdTipoComponente = TipoComponente.IDTipoComponente) GruppoImpianto,
					  ($subSqlTotale) TotTotale,
					  ($subSqlChiusi) TotChiusi,
					  ($subSqlEseguito) TotEseguito,
					  ($subSqlAnomalia) TotAnomalia,
					  ($subSqlAnnullato) TotAnnullato
	FROM         Ambiente INNER JOIN
                      ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      dbo.SplitId($ComponentiSelezionati) AS ComponentiSelezionati ON ComponentiSelezionati.id = ComponentiAmbiente.IDComponente LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IdLivello = $IdPiano)
	ORDER BY Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione, ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente
sql;

$query = ntxQuery($sql);

$table = "";

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	if ( $rs[TotTotale]==$rs[TotChiusi] )
		$statoUno = "<span style='background-color:#AAFFAA;color:black;padding:3px'>".$traduttore->traduci('Finito')."</span>";
	else
		$statoUno = "<span style='background-color:#FF9900;color:black;padding:3px'>".$traduttore->traduci('Da Fare')."</span>";
	
	if ( $rs[TotAnomalia]>0 )
		$statoAnomalia = "<span style='background-color:#FFAAFF;color:black;padding:3px'>".$traduttore->traduci('Anomalie').": $rs[TotAnomalia]</span>";
	else
		$statoAnomalia = "";
	
	if ( $rs[TotAnnullato]>0 )
		$statoAnnullato = "<span style='background-color:#FFFFAA;color:black;padding:3px'>".$traduttore->traduci('Annullate').": $rs[TotAnnullato]</span>";
	else
		$statoAnnullato = "";
	
	/*$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;text-align:left"
				onclick="SelComponente($rs[IDComponente])">
			Vano <b>$html[CodiceAssAmbiente]</b> - <b>$html[Destinazione]</b>
			<br>
			Componente <b>$html[CodiceAssComponente]</b> - <b>$html[DesComponente]</b><br>[$html[GruppoImpianto]] - [$html[CodiceComponente]]
			<hr>
			$statoUno $statoAnomalia $statoAnnullato
		</button>
table;*/
	$table .= 
		"<button class=\"ui-btn ui-corner-all ui-shadow\" style=\"font-weight:normal;text-align:left\"
				onclick=\"SelComponente($rs[IDComponente])\">".
			$traduttore->traduci('Vano')." <b>$html[CodiceAssAmbiente]</b> - <b>$html[Destinazione]</b>
			<br>".
			$traduttore->traduci('Componente')." <b>$html[CodiceAssComponente]</b> - <b>$html[DesComponente]</b><br>[$html[GruppoImpianto]] - [$html[CodiceComponente]]
			<hr>
			$statoUno $statoAnomalia $statoAnnullato
		</button>"
;
}
$traduttore->Salva();

jhp($table);

?>
