<?php 

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/form.inc");

include('versione.inc');

$IdEdificio = ntxip('IdEdificio');
$IdAmbiente = ntxip('IdAmbiente');

$sql = <<< sql
	SELECT      CONVERT(DATETIME, CONVERT(varchar(11),getdate(), 111 ) + ' 00:00:00', 111) DataInizioOggiStore,
						CONVERT(DATETIME, CONVERT(varchar(11),getdate(), 111 ) + ' 23:59:59', 111) DataFineOggiStore
sql;

$rs = ntxRecord(ntxQuery($sql));

$DataInizioOggiStore = ntxDateTimeT($rs[DataInizioOggiStore]);
$DataFineOggiStore = ntxDateTimeT($rs[DataFineOggiStore]);

$PaginaOrigine = "$_POST[PaginaOrigine]";

if ( $PaginaOrigine=="mappa" )
	$actionFormBack = "mappa/mappa.php";
else
	$actionFormBack = "vani_componenti.php";

?>
<!DOCTYPE html> 
<html>
<head>
	<title><?php echo $label ?></title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="/repository2/jqm142/jquery.mobile-1.4.2.min.css" />
	<link rel="stylesheet" href="css/index.css?v3" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository2/jqm142/jquery.mobile-1.4.2.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	
	<script src="/repository2/paginazione/paginazione.js" type="text/javascript"></script>
	<script src="js/attivita_vano/main.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/attivita_vano/apri_chiudi.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/attivita_vano/anomalia.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/attivita_vano/annulla.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/attivita_vano/lista_controllo.js?<?php echo $vers ?>" type="text/javascript"></script>
	<script src="js/attivita_vano/richieste_per_liste_controllo.js?<?php echo $vers ?>" type="text/javascript"></script>
</head>
<body >

<?php

$sql = <<< sql
	SELECT     motivi.Id, motivi.Motivazione
	FROM         MotivazioniAnnullamentiOrdiniProgrammati AS motivi INNER JOIN
						  ElencoEdifici AS edifici ON motivi.TipoLocalizzazione = ISNULL(edifici.Tipo,0)
	WHERE     (edifici.IdCommessa = $IdCommessa) AND (edifici.ID = $IdEdificio)
	ORDER BY motivi.Motivazione
sql;

$query = ntxQuery($sql);

$optionMovitiAnnullo = "<option value=''>---";

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$optionMovitiAnnullo .= "<option value='$rs[Id]'>$html[Motivazione]";
}

?>

<div data-role="page">

	<div data-role="header" data-position="fixed">
        <h1><?php echo $label ?></h1>
        <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext"></a>
        <a href="javascript:formBack.submit()" data-ajax="false" data-icon="back" data-iconpos="notext"></a>
		<a href="javascript:formRefresh.submit()" data-ajax="false" data-icon="recycle" data-iconpos="notext"></a>
    </div>

	<div style="padding:10px 20px;" role="main" class="ui-content jqm-content jqm-fullwidth">
		<div class="ui-field-contain">
			<a type=button btnPerPannelli class="btnMinDist ui-btn ui-btn-inline ui-corner-all ui-shadow" href="javascript:ApriPannello(1)" >Attività   </a>
			<a type=button btnPerPannelli class="btnMinDist ui-btn ui-btn-inline ui-corner-all ui-shadow" href="javascript:ApriPannello(2)" >Proprietà   </a>
			<a type=button btnPerPannelli class="btnMinDist ui-btn ui-btn-inline ui-corner-all ui-shadow" href="javascript:ApriPannello(3)" >Foto  </a>
			<a type=button btnPerPannelli class="btnMinDist ui-btn ui-btn-inline ui-corner-all ui-shadow" href="javascript:ApriPannello(4)" >Ordini  </a>
			<a type=button btnPerPannelli class="btnMinDist ui-btn ui-btn-inline ui-corner-all ui-shadow" href="javascript:ApriPannello(5)" >PRD  </a>
			<a type=button btnPerPannelli class="btnMinDist ui-btn ui-btn-inline ui-corner-all ui-shadow" href="javascript:ApriPannello(6)" >Anomalie  </a>
		</div>

		<div id="editRichiestaCheckList" class="ui-content ui-corner-all ui-shadow" style="background-color:#DDDDFF;display:none">
			<div class="ui-field-contain">
				<label for="cboMestRichiesta">Mestiere</label>
				<select name="cboMestRichiesta" id="cboMestRichiesta" onchange="CaricaCompMestieri()"></select>
			</div>		

			<div class="ui-field-contain">
				<label for="cboCompRichiesta">Componente</label>
				<select name="cboCompRichiesta" id="cboCompRichiesta" onchange="CaricaAttMestieri()"></select>
			</div>		

			<div class="ui-field-contain">
				<label for="cboAttRichiesta">Attività </label>
				<select name="cboAttRichiesta" id="cboAttRichiesta"></select>
			</div>		

			<div class="ui-field-contain">
				<label for="DesRichiesta">Descrizione</label>
				<textarea name="Note" id="DesRichiesta" placeholder="Descrizione" value=""></textarea>
			</div>
			
			<div class="ui-grid-a">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="AggiungiRichiestaSuVoceLC()">Aggiungi Richiesta e Ordine</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFAAAA" onclick="$('#editRichiestaCheckList').hide()">Chiudi</button></div>
			</div>
		</div>

		<div id="editForm" class="ui-content ui-corner-all ui-shadow" style="background-color:#DDDDFF" SottoA="NULLA" Visibile="YES" idOrdPrg="none">
			<div class="ui-grid-c">
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="MostraEdit('editFormSez1')">Inizia e Chiudi...</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFAAFF" onclick="MostraEdit('editFormSez2')">Anomalie...</button></div>
				<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFFFAA" onclick="MostraEdit('editFormSez3')">Annulli...</button></div>
				<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFFFFF" onclick="Altro($('#editForm').attr('SottoA'),$('#editForm').attr('idOrdPrg'))">Chiudi</button></div>
			</div>

			<input type="checkbox" name="chkMultiEdit" id="chkMultiEdit" data-mini="true">
			<label for="chkMultiEdit">Azione su tutti gli ordini selezionati</label>
			
			<div class="ui-grid-a" editFormSez1 editFormSez3>
				<div class="ui-block-a">
					<div class="ui-field-contain">
						<label for="DataInizio">Data Inizio</label>
						<input name="DataInizio" id="DataInizio" value="<?php echo $DataInizio ?>" placeholder="Data Inizio" type="datetime-local" data-clear-btn="true" value=""  >
					</div>
				</div>
				<div class="ui-block-b">
					<div class="ui-field-contain">
						<label for="DataFine">Data Fine</label>
						<input name="DataFine" id="DataFine" value="<?php echo $DataFine ?>" placeholder="Data Fine" type="datetime-local" data-clear-btn="true" value=""  >
					</div>
				</div>
			</div>
			
			<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="UsaDataAttuale()" editFormSez1 editFormSez3>Data Oggi</button>
			
			<div class="ui-grid-b" editFormSez1>
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FF9900" onclick="ApriChiudiMultiploPrg(1, 0)">Inizia Attività </button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#AAFFAA" onclick="ApriChiudiMultiploPrg(0, 1)">Chiudi Attività </button></div>
				<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FF5555;color:white;text-shadow:none" onclick="ApriChiudiMultiploPrg(0, 0)">Resetta</button></div>
			</div>
			
			<div class="ui-field-contain" editFormSez2 editFormSez3>
				<label for="Note">Note</label>
				<textarea name="Note" id="Note" placeholder="Note" value=""></textarea>
			</div>
			
			<div class="ui-grid-a" editFormSez2>
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFAAFF" onclick="NotificaAnomalia(0)">Notifica Anomalia</button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFAAFF" onclick="NotificaAnomalia(1)">Notifica Anomalia con Richiesta e Ordine</button></div>
			</div>
			
			<div class="ui-field-contain" editFormSez3>
				<label for="cboMotiviAnnullamento">Motivi Annullamento</label>
				<select name="cboMotiviAnnullamento" id="cboMotiviAnnullamento">
					<?php echo $optionMovitiAnnullo ?>
				</select>
			</div>
			
			<div class="ui-grid-a" editFormSez3>
				<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FFFFAA" onclick="AnnullaRipristina(0)">Annulla Attività </button></div>
				<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold;background-color:#FF5555;color:white;text-shadow:none" onclick="AnnullaRipristina(1)">Ripristina Attività </button></div>
			</div>

			<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" editFormSez3  onclick="GeneraNuoveVisiti()" disabled>Genera nuove visite su Attività  annullate selezionate</button>
			<div id="messaggi" style="border:2px solid blue;display:none"></div>
		</div>
		
		<div Pannello=1 Vuoto=NO  id="lista-risultati-ricerca"></div>
		<div Pannello=2 Vuoto=YES style="display:none">prop</div>
		<div Pannello=3 Vuoto=YES style="display:none">foto</div>
		<div Pannello=4 Vuoto=YES style="display:none">ordini</div>
		<div Pannello=5 Vuoto=YES style="display:none">prd</div>
		<div Pannello=6 Vuoto=YES style="display:none">Anomalie</div>
		<div Pannello=7 Vuoto=YES style="display:none">
			<input type=button value="Torna indietro..." onclick="ChiudiCheckList()" />
			<div id="lista-risultati-checklistBody"></div>
		</div>
		<div Pannello=8 Vuoto=YES style="display:none">
			<input type=button value="Torna indietro..." onclick="ChiudiBiancheria()" />
			<div id="lista-risultati-biancheria"></div>
		</div>
		<div Pannello=9 Vuoto=YES style="display:none">
			<input type=button value="Torna indietro..." onclick="ChiudiBibite()" />
			<div id="lista-risultati-bibite"></div>
		</div>
	</div>
	<div data-role="popup" id="popupBasic">
		<input type=button value=chiudi onclick="$('#popupBasic').popup('close')" />
		<iframe name="frameDialog"  id="frameDialog"   scrolling="auto" marginWidth="0" marginHeight="0" frameBorder="0" border="0" allowTransparency="true"  
			style="border: none; width:500px; height:500px; background:transparent; display:block; overflow:auto;"></iframe>
	</div>
</div>

<form name=formBack method="post" action="<?php echo $actionFormBack ?>">
	<?php ntxCreateHiddens() ?>
</form>

<form name=formRefresh method="post">
	<?php ntxCreateHiddens() ?>
</form>

<form name="frmRicerca" method="post" Paginazione>
	<?php PaginazioneCampiPerForm(20, 'jhp/attivita_vano/ricerca.php', 'lista-risultati-ricerca') ?>

	<input type=hidden name=IdEdificio value="<?php echo $_POST[IdEdificio] ?>"  />
	<input type=hidden name=IdDitta value="<?php echo $_POST[IdDitta] ?>"  />
	<input type=hidden name=Tipo value="<?php echo $_POST[Tipo] ?>"  />
	<input type=hidden name=DataInizioProg value="<?php echo $_POST[DataInizioProg] ?>"  />
	<input type=hidden name=DataFineProg value="<?php echo $_POST[DataFineProg] ?>"  />
	<input type=hidden name=IdPiano value="<?php echo $_POST[IdPiano] ?>"  />
	<input type=hidden name=IdAmbiente value="<?php echo $_POST[IdAmbiente] ?>"  />
	<input type=hidden name=IdOrdPrgComp value=""  />
	<input type=hidden name=IdVoce value=""  />

</form>

<script>

	PaginazioneRicercaA('frmRicerca', 'first');
	
	var g = {
		DataInizioOggiStore: "<?php echo $DataInizioOggiStore ?>",
		DataFineOggiStore: "<?php echo $DataFineOggiStore ?>"
	};
	
</script>

</body>
</html>