<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdComponente = ntxip('IdComponente');

$sql = <<< sql
	SELECT     AnomalieOrdiniProgrammati.IdAnomalia, AnomalieOrdiniProgrammati.Utente, AnomalieOrdiniProgrammati.Data, AnomalieOrdiniProgrammati.Note, 
                      AnomalieOrdiniProgrammati.NumRichiesta, AnomalieOrdiniProgrammati.AnnoRichiesta, Stati.DesStato AS StatoRichiesta
	FROM         Stati RIGHT OUTER JOIN
                      Richieste ON Stati.IDStato = Richieste.Stato RIGHT OUTER JOIN
                      AnomalieOrdiniProgrammati ON Richieste.IDCommessa = AnomalieOrdiniProgrammati.IdCommessa AND 
                      Richieste.NumRichiesta = AnomalieOrdiniProgrammati.NumRichiesta AND 
                      Richieste.AnnoRichiesta = AnomalieOrdiniProgrammati.AnnoRichiesta
	WHERE     (AnomalieOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (AnomalieOrdiniProgrammati.IdEdificio = $IdEdificio) 
		AND (AnomalieOrdiniProgrammati.IdComponenteAmbiente = $IdComponente)
	ORDER BY Data  DESC, IdAnomalia DESC
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$rs[Data] = ntxDateTime($rs[Data]);
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$result .= <<< result
		<div class=ParteStatica>
			IdAnomalia	<b>$rs[IdAnomalia]</b>
			Data		<b>$rs[Data]</b>
			Utente		<b>$rs[Utente]</b><hr>
			Note		<b>$rs[Note]</b><hr>
			Richiesta	<b>$rs[NumRichiesta]/$rs[AnnoRichiesta]</b>
			stato		<b>$rs[StatoRichiesta]</b>
		</div><hr>
result;
}

jhp($result);

?>