<?php

session_start();

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$filtro = ntxip('filtro');

if ( $filtro==2 ) // filtro per componenti mestiere
{
	$elementi = explode(",",$_POST[IdOrdiniProgrammati]);
	$count = count($elementi);
	
	$ElencoIdOrdiniPrg = ntxsp('IdOrdiniProgrammati');
	
	$sql = <<< sql
		SELECT DISTINCT PianoLivello.idPiano, DestinazioniDusoLivello.Destinazione, DestinazioniDusoLivello.ordinamento
		FROM         ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa ON 
                      Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND Ambiente.IdLivello = PianoLivello.idPiano
		WHERE PianoLivello.IdCommessa=$IdCommessa
		AND PianoLivello.IdEdificio=$IdEdificio
		AND (SELECT     COUNT(*) AS Expr1
				FROM         TipoComponente INNER JOIN
									  tblAttivitàMestiere ON TipoComponente.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
									  TipoComponente.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
									  dbo.SplitId($ElencoIdOrdiniPrg) AS a INNER JOIN
									  tblOrdiniProgrammati ON a.id = tblOrdiniProgrammati.IdOrdineProgrammato ON tblAttivitàMestiere.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
									  tblAttivitàMestiere.IdAttivitàMestiere = tblOrdiniProgrammati.IdAttivitàMestiere
				WHERE     (TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa) AND (TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente)
			)=$count
		order by DestinazioniDusoLivello.ordinamento, DestinazioniDusoLivello.Destinazione
sql;
}
elseif ( $filtro==3 ) // filtro per Attività mestiere
{
	$elementi = explode(",",$_POST[IdOrdiniProgrammati]);
	$count = count($elementi);
	
	$ElencoIdOrdiniPrg = ntxsp('IdOrdiniProgrammati');
	
	$sql = <<< sql
		SELECT DISTINCT PianoLivello.idPiano, DestinazioniDusoLivello.Destinazione, DestinazioniDusoLivello.ordinamento
		FROM         ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa ON 
                      Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND Ambiente.IdLivello = PianoLivello.idPiano
		WHERE PianoLivello.IdCommessa=$IdCommessa
		AND PianoLivello.IdEdificio=$IdEdificio
		AND (SELECT     COUNT(*) AS Expr1
				FROM         dbo.SplitId($ElencoIdOrdiniPrg) AS a INNER JOIN
									  tblOrdiniProgrammati ON a.id = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
									  AttivitàMestTipiComp ON tblOrdiniProgrammati.IdCommessa = AttivitàMestTipiComp.IdCommessaAttività AND 
									  tblOrdiniProgrammati.IdAttivitàMestiere = AttivitàMestTipiComp.IdAttivitàMestiere
				WHERE     (AttivitàMestTipiComp.IdCommessaTipoComp = ComponentiAmbiente.IdCommessa) AND (AttivitàMestTipiComp.IdTipoComp = ComponentiAmbiente.IdTipoComponente)
			)=$count
		order by DestinazioniDusoLivello.ordinamento, DestinazioniDusoLivello.Destinazione
sql;
}
else
{
	$sql = <<< sql
		SELECT DISTINCT PianoLivello.idPiano, DestinazioniDusoLivello.Destinazione, DestinazioniDusoLivello.ordinamento
		FROM         PianoLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND 
                      PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa
		WHERE PianoLivello.IdCommessa=$IdCommessa
		AND PianoLivello.IdEdificio=$IdEdificio
		order by DestinazioniDusoLivello.ordinamento, DestinazioniDusoLivello.Destinazione
sql;
}

$result = array();

$query = ntxQuery($sql);

$rs[0] = "";
$rs[1] = "---";
	
$result[] = $rs;	

while($rs=ntxIRecord($query))
{
	$rs[0] = $rs[0]."";
	$rs[1] = $rs[1]."";
		
	$result[] = $rs;	
}

jhp($result);

?>