<?php

$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa');
$Tipo = ntxip('Tipo');

$addWhere = "";

if ( $Tipo==1 ) // in carico
{
	$addWhere .= " AND Ordini.IdRisorsa = $IdRisorsa AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==2 ) // da assegnare
{
	$addWhere .= " AND Ordini.IdRisorsa IS NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==3 ) // finiti
{
	$addWhere .= " AND Ordini.StatoOrd >= 50";
}

$DataInizioProg=ntxttp('DataInizioProg', true);
$DataFineProg=ntxttp('DataFineProg', true);

if ( $DataInizioProg!="NULL" )
	$addWhere .= " AND Ordini.DataFineProg >= $DataInizioProg";

if ( $DataFineProg!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataFineProg";
	
$sql = <<< sql
	SELECT DISTINCT Ambiente.IDAmbiente
	FROM         tblOrdiniPrgComp INNER JOIN
                      tblOrdiniProgrammati ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
                      Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
                      tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine INNER JOIN
                      Ambiente ON tblOrdiniPrgComp.IdCommessa = Ambiente.IdCommessa AND tblOrdiniPrgComp.IdEdificio = Ambiente.IdEdificio AND 
                      tblOrdiniPrgComp.IdAmbiente = Ambiente.IDAmbiente
	WHERE (Ambiente.IdCommessa = $IdCommessa)
		AND (Ambiente.IdEdificio = $IdEdificio)
		AND (Ambiente.IdLivello = $IdPiano)
		AND (Ordini.Assegnazione = $IdDitta) 
		AND (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
		$addWhere
sql;

$query = ntxQuery($sql);

$VaniEvidenziati = "";

while($rs=ntxiRecord($query))
{
	if ( $VaniEvidenziati != "" ) $VaniEvidenziati .= ",";
	
	$VaniEvidenziati .= $rs[0];
}

?>