<?php

if (!$_SESSION) {
    session_start();
}

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdUtente = ntxise('IdUtente');
$IdVettore = ntxip('IdVettore');

$sql = <<< _SQL
    
    SELECT DISTINCT
        RegistroVettori.Id
        ,RegistroVettori.Presa
        ,RegistroVettoriInOut.Autista
        ,RegistroVettoriInOut.TargaRimorchio
        ,RegistroVettoriInOut.Shipment
        ,RegistroVettori.Motivo
        ,RegistroVettoriInOut.DataOra
        ,RegistroVettoriInOut.Note
        ,RegistroVettori.TargaMotrice
        ,RegVett2RegVettInOut.stato  
        ,Ditte.Ditta AS NomeVettore
		,MotivoAccesso.Descrizione AS MotivoAccesso 
    FROM         
        RegistroVettori 
        INNER JOIN
            RegVett2RegVettInOut ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
        INNER JOIN
            RegistroVettoriInOut ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
        INNER JOIN
            Ditte ON RegistroVettori.IdDitta = Ditte.IDDitta  
		LEFT OUTER JOIN
		MotivoAccesso ON MotivoAccesso.IdMotivoAccesso = RegistroVettori.Motivo					
    WHERE      
		1=1
        AND (RegistroVettori.IdCommessa = $IdCommessa) 
        AND (RegistroVettori.IdEdificio = $IdEdificio)   
		
		AND RegVett2RegVettInOut.stato = RegistroVettori.stato 
		AND (RegVett2RegVettInOut.stato = 20 OR RegVett2RegVettInOut.stato = 30)
		
		AND RegVett2RegVettInOut.stato <> 40 AND (RegistroVettori.IDDitta = $IdVettore)
  
_SQL;
 
$result = <<< _HTML

    <table data-role="table" id="table-custom-2" data-mode="columntoggle" class="ui-body-d ui-shadow table-stripe ui-responsive" data-column-btn-theme="b">
        <thead>
            <tr class="ui-bar-d">
                <th></th>
                <th>Vettore</th>
                <th>Targa Motrice</th>
                <th>Data\Ora Check In</th>
                <th>Autista</th>
                <th>Shipment</th>
                <th>Motivo</th>
                <th>Targa Rimorchio</th>
                <th>Data\Ora Ingresso</th>
                <th>Note</th>
            </tr>
        </thead>
        <tbody>
            
_HTML;

 
$query = ntxQuery($sql);
while ($query  &&  $rs = ntxRecord($query)) {

    foreach ($rs as $k => $v) 
	{ 
		$html[$k] = htmlentities($v); 
    }
	
	$stato = $html[stato]==20 ? true : false;

    if ($stato) {
        $tdButton = "<td><button class=\"ui-btn ui-corner-all ui-shadow\" style=\"font-weight:normal\" onclick=\"objCodice.SelRegistraIngresso($html[Id])\">Entra</button></td>";
    } else {
        $tdButton = "<td><button class=\"ui-btn ui-corner-all ui-shadow\" style=\"font-weight:normal\" onclick=\"objCodice.SelRegistraUscita($html[Id])\">Esce</button></td>";
    }

    $DataOra = ntxDateTime($html[DataOra]);
    $DataOraCheckIn = ntxDateTime($html[DataOraCheckIn]);
    $result .= <<< _HTML
        
        <tr>
            $tdButton
            <td>$html[NomeVettore]</td>
            <td>$html[TargaMotrice]</td>
            <td>$DataOraCheckIn</td>
            <td>$html[Autista]</td>
            <td>$html[Shipment]</td>
            <td>$html[MotivoAccesso]</td>
            <td>$html[TargaRimorchio]</td>
            <td>$DataOra</td>
            <td>$html[Note]</td>
        </tr>
	
_HTML;
}

$result .= "</tbody>";
$result .= "</table>";

jhp($result);
