<?php
require_once("../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione-2.0/sql.inc");

$IdUtente = ntxise('IdUtente');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa');


$Cliente = ntxip('Cliente', false);
$IdCommessa = ntxip('IdCommessa', false);
$IdEdificio = ntxip('IdEdificio', false);
$IdPiano = ntxip('IdPiano', false);
$IdAmbiente = ntxip('IdAmbiente', false);
//$IDTipoComponente = ntxip('IDTipoComponente', false);


$addWhere = "";
 
 
if ( is_numeric($_POST['Cliente']) ) 
{
	$value = ntxip("Cliente");
	$addWhere .= " AND ElencoEdifici.IdProprietario = $value ";
} 

if ( is_numeric($_POST['IdCommessa']) ) 
{
	$value = ntxip("IdCommessa");
	$addWhere .= " AND ElencoEdifici.IdCommessa = $value "; 
} 

if ( is_numeric($_POST['IdEdificio']) ) 
{
	$value = ntxip("IdEdificio");
	$addWhere .= " AND ElencoEdifici.ID = $value "; 
} 

if ( is_numeric($_POST['IdPiano']) ) 
{
	$value = ntxip("IdPiano");
	$addWhere .= " AND PianoLivello.IdPiano = $value "; 
} 

if ( is_numeric($_POST['IdAmbiente']) ) 
{
	$value = ntxip("IdAmbiente");
	$addWhere .= " AND Ambiente.IdAmbiente = $value "; 
} 

if ( is_numeric($_POST['IDTipoComponente']) ) 
{
	$value = ntxip("IDTipoComponente");
	$addWhere .= " AND ComponentiAmbiente.IDTipoComponente = $value "; 
} 

if ( is_numeric($_POST['EscludiTagEsauriti'])  &&  $_POST['EscludiTagEsauriti']==1 ) 
{ 
	$whereA1 .= " AND (A1.NumTaggatureNfc = 0) "; 
} 
 
 
$sql = <<< sql
SELECT *
FROM
(
	SELECT   DISTINCT
		ElencoEdifici.ID, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.IdCommessa, ElencoEdifici.EdificioBreve, ElencoEdifici.Codice, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
		ElencoEdifici.CAP, ElencoEdifici.EdificioBreve AS Edificio,  ElencoEdifici.CITTA AS Comune,
		tblPgPropietari.Nome AS Proprietario 
		
		,CASE
			WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
				THEN 0
			ELSE 1
		END AS	Dismesso 	
		
		,PianoLivello.idPiano   
		,DestinazioniDusoLivello.Destinazione AS DestinazionePiano
		
		,Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente
		,DestinazioniDuso.Destinazione AS DestinazioneAmbiente
		
		,ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceComponente, ComponentiAmbiente.DesComponente, ComponentiAmbiente.TagNFC
		,TipoComponente.DesComponente AS TipoComponente 
		
		,(
			SELECT COUNT(ID)
			FROM         
				NfcComponentiAmbiente
			WHERE  
				NfcComponentiAmbiente.IdCommessa=ElencoEdifici.IdCommessa
				AND NfcComponentiAmbiente.IdEdificio=ElencoEdifici.ID
				AND NfcComponentiAmbiente.IdComponente=ComponentiAmbiente.IdComponente
				AND NfcComponentiAmbiente.Attivo=1
		)
		AS NumTaggatureNfc
		
	FROM         
		tblPgPropietari  
		INNER JOIN
		ElencoEdifici ON tblPgPropietari.IdPropietario = ElencoEdifici.IdProprietario	
		
		INNER JOIN
		PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio
		LEFT OUTER JOIN
		DestinazioniDusoLivello ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL AND PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa
		
		INNER JOIN
		Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND PianoLivello.idPiano = Ambiente.IdLivello
		LEFT OUTER JOIN
		DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
		
		INNER JOIN
		ComponentiAmbiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente 
		INNER JOIN 
		TipoComponente ON ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente AND ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa	
		
		INNER JOIN
		RisorseEdifici ON ElencoEdifici.IdCommessa = RisorseEdifici.IdCommessa AND ElencoEdifici.ID = RisorseEdifici.IdEdificio
		
	WHERE  
		1=1
		AND ComponentiAmbiente.TagNFC = 1
		AND RisorseEdifici.IdRisorsa = $IdRisorsa 
		$addWhere
) A1
WHERE
	1=1
	$whereA1		
sql;
  
$paginazione = ntxPaginazione($sql, "Proprietario ASC, Edificio ASC, DestinazionePiano ASC, DestinazioneAmbiente ASC, TipoComponente ASC, CodiceAssAmbiente ASC");
 
$query = $paginazione->query;

$table =  "";

while ($rs=ntxRecord($query))
{ 
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);  
	 
	/* 
	if(is_numeric($_POST[CriterioTaggatura]))
	{
		if($_POST[CriterioTaggatura]==1  &&  $rs[NumTaggatureNfcDisponibili]>0) {}	
		else if($_POST[CriterioTaggatura]==2  &&  $rs[NumTaggatureNfcDisponibili]==0) {}
		else
			continue;	
	}*/
	 
	
	if(is_numeric($rs[TagNFC]))
		$classe="elementoVerde";	
	
	$labelNFC = 'non taggato con NFC'; 
	if($rs[NumTaggatureNfc]>0) 
	{
		$labelNFC = 'taggato con NFC'; 
		$classe="elementoRosso";
	} 
	 
	
	
	$NFC = $html[CodiceComponente];

	$disableBntNFC = ' disabled="disabled" '; 
	if($rs[TagNFC]==1)  
	{
		$disableBntNFC = '';
	
		if($rs[NumTaggatureNfc]>0) 
			$disableBntNFC = ' disabled="disabled" ';
	}

	$table .= <<< table
	<div  class="ui-body ui-body-a ui-corner-all $classe $NFC" style="margin-bottom:5px;" >  
	
		<b>$html[Proprietario]</b>
		-
		<b>$html[EdificioBreve] </b> 
		
		<br> 
		$html[Indirizzo] $html[CITTA] $html[PROVINCIA]
		
		<br>
		<i>Piano:</i> $html[DestinazionePiano] 
		<i>Ambiente:</i> $html[DestinazioneAmbiente] 
		
		
		<br>
		<i>Tipo comp:</i> $html[TipoComponente] 
		
		<br>
		<i>Desc comp:</i> $html[DesComponente]  
		
		
		<div class="ui-grid-a">
			<div class="ui-block-a" style="text-align:center;" >
				<input 
					type="button" 
					value="Scheda" 
					data-role=none class='bottone0' 
					style="width:95%"
					onclick="dettaglioComponenteAmbiente( '$html[IdCommessa]', '$html[IdEdificio]', '$html[IDComponente]', '#page1' )" 
				/>	
			</div>
			
			<div class="ui-block-b" style="text-align:center;" >
				<button
					$disableBntNFC 
					data-role=none class='bottone0' 
					style="width:95%"
					onclick="SelComponente('$html[IdCommessa]', '$html[IdEdificio]', '$html[IDComponente]', '$NFC');"  
				>
					Tagga 
				</button> 	
			</div>
		</div>  
		
	</div>
table;
	
}

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>