<?php
$sql = "SELECT top 1 PathFiles FROM EnPathAllegati";

$root1 = ntxScalar($sql);

if ( !is_dir($root1) )
	die("Bisogna impostare la path per gli allegati energia!");

$root2 = $root1."/energia";

if ( !is_dir($root2) ) mkdir($root2);

$root3 = $root2."/allegati_mobile";

if ( !is_dir($root3) ) mkdir($root3);

$nomi_files = $_FILES['AllegaFile']['name'];
$tipo_files = $_FILES['AllegaFile']['type'];
$nomi_tmp_files = $_FILES['AllegaFile']['tmp_name'];
$errori_files = $_FILES['AllegaFile']['error'];
$dimensioni_files = $_FILES['AllegaFile']['size'];

$num_files = count($nomi_files);

$table = "";

$tblOrdPrg_Docs = new NtxTable("tblOrdPrg_Docs");

$insertTb = $tblOrdPrg_Docs->insert();
$deleteTb = $tblOrdPrg_Docs->delete();

$allowed_ext =  array('xls', 'xlsx', 'doc', 'docx', 'pdf', 'txt', 'bmp', 'jpg', 'png', 'tif', 'tiff', 'gif');

for($i=0; $i<$num_files; ++$i)
{
	$nome_file       = htmlentities($nomi_files[$i]);
	$tipo_file       = htmlentities($tipo_files[$i]);
	$nome_tmp_file   = htmlentities($nomi_tmp_files[$i]);
	$errore_file     = htmlentities($errori_files[$i]);
	$dimensioni_file = htmlentities($dimensioni_files[$i]);

	$ext = strtolower(pathinfo($nome_file, PATHINFO_EXTENSION)); 

	if ( $errore_file != 0 || $dimensioni_file>2097152 ) // maggiore di 2 mega
		$table .= <<< table
			<tr>
				<td> 
				Seleziona un file valido o dimensioni superiori ai 2 Mbyte!     
			
				<!--
				$nome_file      
				$tipo_file      
				$nome_tmp_file  
				$errore_file    
				$dimensioni_file
				-->
table;
	elseif(!in_array($ext,$allowed_ext) ) 
	{
		$table .= <<< table
			<tr>
				<td>
				Tipo documento '$ext' non accettato!        
				
				<!--
				$nome_file      
				$tipo_file      
				$nome_tmp_file  
				$errore_file    
				$dimensioni_file
				 -->
table;
	}
	elseif(@is_uploaded_file($nome_tmp_file)) 
	{
		$PrimoElemento=true;
		$dest_path_without_root="";
		$dest_path_with_root=""; 
	
		$ArrayValori = explode(",",$_POST[ArrayIdOrdineProgrammato]); 

		foreach($ArrayValori as $VoceValore)
		{ 
			$VoceValore = explode("#",$VoceValore);  
			 
			$IdCommessa = $VoceValore[1];
			$IdOrdPrg = $VoceValore[2];  
		 
			if(is_numeric($IdCommessa) && is_numeric($IdOrdPrg))
			{ 
				$insertTb->init(); 
				$insertTb->set('IdCommessaOrdPrg', $IdCommessa); 
				$insertTb->set('IdOrdPrg', $IdOrdPrg);  
				$insertTb->set('Nota', $_POST[NoteAllegato]);  
				$insertTb->execute();

				$IdAllegato = ntxId(); 
				
				if($PrimoElemento)
				{				
					$dest_path_without_root = "energia/allegati_mobile/mobile_".time().".$ext";
					$dest_path_with_root = "$root1/$dest_path_without_root";

					if ( move_uploaded_file($nome_tmp_file, $dest_path_with_root) )
					{
						$dest_path_without_root = "'".str_replace("'", "''", $dest_path_without_root)."'";
					}
					else
					{ 
						$table .= <<< table
						<tr>
							<td>
							File non copiato! 
							
							<!--
							$nome_file, $nome_tmp_file, $dest_path_with_root      
							$tipo_file      
							$nome_tmp_file  
							$errore_file    
							$dimensioni_file
							-->
table;
						$dest_path_without_root="";
						$dest_path_with_root=""; 
					}				
				}
				
				if(strlen($dest_path_without_root)>0)
				{
					$sql = "UPDATE tblOrdPrg_Docs SET Path=$dest_path_without_root WHERE IdDoc=$IdAllegato";
					ntxQuery($sql);
				} 
				else
				{
					$deleteTb->init();

					$deleteTb->where('IdDoc', $IdAllegato);

					$deleteTb->execute();					
				}
			}
			
			$PrimoElemento=false;
		}
	}
	else
	{
		$table .= <<< table
			<tr>
				<td>
				File non scaricabile 
				
				<!--
				$nome_file      
				$tipo_file      
				$nome_tmp_file  
				$errore_file    
				$dimensioni_file
				-->
table;
	}	
}

if ( $table!="" )
	$table = <<< table
		<table class="tbl02" >
			<tr>
				<th>
			$table
		</table>
table;

echo $table;
?> 

	