<?php
session_start();
require_once('../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
 
$IdRisorsa = ntxise('IdRisorsa'); 
$IdDitta = ntxise('IdDitta');

$IdCommessa = ntxip('IdCommessa'); 
$IdEdificio = ntxip('IdEdificio');
$IdComponente = ntxip('IdComponente'); 
 
$sql = <<< sql
SELECT     
	ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceComponente, ComponentiAmbiente.CodiceAssComponente, ComponentiAmbiente.Note, ComponentiAmbiente.Rimosso, 
	TipoComponente.DesComponente, ComponentiAmbiente.UtenteInserimento, ComponentiAmbiente.DataInserimento, 
	ComponentiAmbiente.UtenteModifica, ComponentiAmbiente.DataUltimaModifica, ComponentiAmbiente.DataRimozione, 
	ComponentiAmbiente.DesComponente AS Descrizione
FROM         
	ComponentiAmbiente INNER JOIN
	TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
	ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
	Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
	ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
WHERE    
	Ambiente.IdCommessa = $IdCommessa
	AND Ambiente.IdEdificio = $IdEdificio
	AND ComponentiAmbiente.IDComponente = $IdComponente
sql;
 
$query = ntxQuery($sql); 

$tbl = "";
while ($rs=ntxRecord($query))
{ 
	$Rimosso = $rs[Rimosso] ? "SI" : "";
	
	$rs[DataUltimaModifica] = ntxDateTime($rs[DataUltimaModifica], 3);
	$rs[DataInserimento] = ntxDateTime($rs[DataInserimento], 3);
	$rs[DataRimozione] = ntxDateTime($rs[DataRimozione], 3);
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$tbl .= <<<_HTML
		<div class=ParteStatica>
			Codice
			<b>$rs[CodiceAssComponente]</b> 
			
			<hr>
			Codice di sistema
			<b>$rs[CodiceComponente]</b> 
			
			<hr>
			
			Tipo		
			<b>$rs[DesComponente]</b>
			
			<hr>
			
			Descrizione	
			<b>$rs[Descrizione]</b>
			
			<hr>
			
			Note
			<b>$rs[Note]</b> 
		</div>
		
		<hr>
		
		<div class=ParteStatica>
_HTML;
}   


$sql = <<< sql
SELECT     derivedtbl_1.IdPropComp, derivedtbl_1.Propietà, tblValoriComponenti.Valore
FROM         tblValoriComponenti RIGHT OUTER JOIN
						  (SELECT     ComponentiAmbiente.IdCommessa, ComponentiAmbiente.IdEdificio, ComponentiAmbiente.IdComponente, tblPropTipiComp.Propietà, tblPropTipiComp.IdPropComp
							FROM          ComponentiAmbiente INNER JOIN
												   tblPropTipiComp ON ComponentiAmbiente.IdCommessa = tblPropTipiComp.IdCommessa AND 
												   ComponentiAmbiente.IdTipoComponente = tblPropTipiComp.IdTipoComp
	WHERE     (ComponentiAmbiente.IdCommessa = $IdCommessa) 
		AND (ComponentiAmbiente.IdEdificio = $IdEdificio) 
		AND (ComponentiAmbiente.IdComponente = $IdComponente)
) derivedtbl_1 on
tblValoriComponenti.IdCommessa = derivedtbl_1.IdCommessa AND tblValoriComponenti.IdEdificio = derivedtbl_1.IdEdificio AND 
tblValoriComponenti.IdComponente = derivedtbl_1.IdComponente AND tblValoriComponenti.IdPropComp = derivedtbl_1.IdPropComp
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$tbl .= <<< result
	
	$rs[Propietà] 
	<b>$rs[Valore]</b>
	
	<hr>
result;
}

$result .= "</div>";

$res[tbl] = $tbl; 

jhp($res);
?>