<?php
session_start();
require_once('../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require('../color.php'); 
 
$IdRisorsa = ntxise('IdRisorsa'); 
$IdDitta = ntxise('IdDitta'); 
  
if(!strlen($_POST[IntervalloTempo])>0) ntxmsgerr("selezionare un intervallo di tempo!"); 
if(!strlen($_POST[Edificio])>0) ntxmsgerr("selezionare una localizzazione!"); 
 
$IntervalloTempo = ntxip('IntervalloTempo');  
$Edificio = $_POST[Edificio];  
 
$arr = explode(",",$_POST[Edificio]);
$IdCommessaE = $arr[0];
$IdEdificioE = $arr[1];
 

$wherePrg = $wherePrd = $wherePrdInCorso = <<< sql
Ordini.Assegnazione = $IdDitta
AND Ordini.GradoUrgenza = 'MP' 
AND
(
	Ordini.IdCommessa = $IdCommessaE  
	AND Ordini.CodEdificio = $IdEdificioE  
)		
AND 
( 
	Ordini.StatoOrd = 35 
	OR 
	Ordini.StatoOrd = 37 
	OR 
	Ordini.StatoOrd = 40 
) 
sql;

$wherePrg .= <<< sql
AND 
(
	(
		tblOrdiniProgrammati.IdRisorsa = $IdRisorsa 
		AND
		(
			tblOrdiniProgrammati.Aperto = 1
			AND tblOrdiniProgrammati.Eseguito <> 1 
			AND tblOrdiniProgrammati.Annullato <> 1 
			AND tblOrdiniProgrammati.Anomalia <> 1 		
		)
	)
	OR
	(
		tblOrdiniProgrammati.IdRisorsa IS NULL
		AND
		(
			tblOrdiniProgrammati.Aperto = 0
			AND tblOrdiniProgrammati.Eseguito <> 1 
			AND tblOrdiniProgrammati.Annullato <> 1 
			AND tblOrdiniProgrammati.Anomalia <> 1 		
		)
	)	 
)
sql;

$wherePrd .= <<< sql
AND 
(
	(
		tblOrdiniPrgComp.IdRisorsa = $IdRisorsa 
		AND
		(
			tblOrdiniPrgComp.Aperto = 1
			AND tblOrdiniPrgComp.Eseguito <> 1 
			AND tblOrdiniPrgComp.Annullato <> 1 
			AND tblOrdiniPrgComp.Anomalia <> 1 		
		)
	)
	OR
	(
		tblOrdiniPrgComp.IdRisorsa IS NULL
		AND
		(
			tblOrdiniPrgComp.Aperto = 0
			AND tblOrdiniPrgComp.Eseguito <> 1 
			AND tblOrdiniPrgComp.Annullato <> 1 
			AND tblOrdiniPrgComp.Anomalia <> 1 		
		)
	)	 
)
sql;
 

$wherePrdInCorso .= <<< sql
AND
(
	tblOrdiniProgrammati.IdRisorsa = $IdRisorsa 
	AND
	(
		tblOrdiniProgrammati.Aperto = 1
		AND tblOrdiniProgrammati.Eseguito <> 1 
		AND tblOrdiniProgrammati.Annullato <> 1 
		AND tblOrdiniProgrammati.Anomalia <> 1 		
	)
)
sql;
 
if($IntervalloTempo==1)
{ 
	$oggi = ntxt(ntxDate(ntxScalar("SELECT getdate()"))." 23:59");  
	
	$wherePrd .= <<< sql
	AND Ordini.DataInizioProg <= $oggi
sql;

	$wherePrg .= <<< sql
	AND Ordini.DataInizioProg <= $oggi
sql;

	$wherePrdInCorso .= <<< sql
	AND Ordini.DataInizioProg <= $oggi
sql;
} 
else if($IntervalloTempo==2)
{ 
	$oggiPiuSette = ntxt(ntxDate(ntxScalar("SELECT DATEADD(day,7,getdate())"))." 23:59");
	
	$wherePrd .= <<< sql
	AND Ordini.DataInizioProg <= $oggiPiuSette
sql;

	$wherePrg .= <<< sql
	AND Ordini.DataInizioProg <= $oggiPiuSette
sql;

	$wherePrdInCorso .= <<< sql
	AND Ordini.DataInizioProg <= $oggiPiuSette
sql;
}
  
 
$OrdiniPrdInCorso = array(); 
$sql = <<< sql
SELECT
	COUNT(IdOrd) AS somma, IdCommessa, IdEdificio, idPiano, Destinazione
FROM
(
	SELECT DISTINCT
		Ordini.IdOrd, PianoLivello.IdCommessa, PianoLivello.IdEdificio, PianoLivello.idPiano, DestinazioniDusoLivello.Destinazione
	FROM
		PianoLivello INNER JOIN
		ComponentiAmbiente INNER JOIN
		Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
		ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
		tblOrdiniPrgComp ON ComponentiAmbiente.IdCommessa = tblOrdiniPrgComp.IdCommessa AND ComponentiAmbiente.IdEdificio = tblOrdiniPrgComp.IdEdificio AND
		ComponentiAmbiente.IDComponente = tblOrdiniPrgComp.IdComponente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND 
		PianoLivello.IdEdificio = Ambiente.IdEdificio AND PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
		DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
		PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
		tblOrdiniProgrammati ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
		tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
		Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
		tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine
	WHERE   
		$wherePrdInCorso  
		AND ISNULL(Ordini.TipoMP,0) IN (1) 
) AS A1
GROUP BY
	IdCommessa, IdEdificio, idPiano, Destinazione
sql;
 
$query = ntxQuery($sql); 

while ($rs=ntxRecord($query))
{ 
	$OrdiniPrdInCorso[ $rs[IdCommessa] ][ $rs[IdEdificio] ][ $rs[idPiano] ] = true;
}
 
 
$sql = <<< sql
SELECT
	COUNT(IdOrd) AS somma, IdCommessa, IdEdificio, idPiano, Destinazione
FROM
(
	SELECT DISTINCT
		Ordini.IdOrd, PianoLivello.IdCommessa, PianoLivello.IdEdificio, PianoLivello.idPiano, DestinazioniDusoLivello.Destinazione
	FROM
		PianoLivello INNER JOIN
		ComponentiAmbiente INNER JOIN
		Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
		ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
		tblOrdiniPrgComp ON ComponentiAmbiente.IdCommessa = tblOrdiniPrgComp.IdCommessa AND ComponentiAmbiente.IdEdificio = tblOrdiniPrgComp.IdEdificio AND
		ComponentiAmbiente.IDComponente = tblOrdiniPrgComp.IdComponente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND 
		PianoLivello.IdEdificio = Ambiente.IdEdificio AND PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
		DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
		PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
		tblOrdiniProgrammati ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
		tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
		Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
		tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine
	WHERE  
		$wherePrd  
		AND ISNULL(Ordini.TipoMP,0) IN (1) 
) AS A1
GROUP BY
	IdCommessa, IdEdificio, idPiano, Destinazione
sql;
$query = ntxQuery($sql); 


$tblPrd = "";
while ($rs=ntxRecord($query))
{ 
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
		
	$style="";  
	if( $OrdiniPrdInCorso[ $rs[IdCommessa] ][ $rs[IdEdificio] ][ $rs[idPiano] ] )  
	{
		$style.=" background:$Aperto !important; ";  
	}   
		
		
	$tblPrd .= <<<_HTML
	<button
		onclick="dettaglioPrd('$html[IdCommessa]', '$html[IdEdificio]', '$html[idPiano]', '$IntervalloTempo');" 
		
		class="bnt01" 
		
		style="$style"
	>
		$html[Destinazione]
		<div class="divInnerAvviso1" >
		$html[somma]
		</div>
	</button>
_HTML;
} 
 

$sql = <<< sql
SELECT DISTINCT
	Ordini.*
	,tblMestieri.codice AS MestCod
	,tblMestieri.Descrizione AS MestDes
	,tblComponetiMestiere.codice AS CompCod
	,tblComponetiMestiere.Descrizione AS CompDes 
	
	--,tblFrequenzeMestieri.Descrizione AS Frequenza
	--,tblFrequenzeMestieri.IdCommessa AS IdCommessaFrequenza
	--,tblFrequenzeMestieri.IdFrequenza AS IdFrequenza
	
	,
	(
		SELECT 	COUNT(IdOrdineProgrammato) AS somma
		FROM  tblOrdiniProgrammati AS tbl1
		WHERE
			tbl1.IDCommessa  = Ordini.IdCommessa
			AND tbl1.NumOrdine  = Ordini.NumOrdine
			AND tbl1.AnnoOrdine  = Ordini.AnnoOrdine 
			AND 
			(
				tbl1.IdRisorsa = $IdRisorsa 
				AND 
				(
					tbl1.Aperto = 1
					AND tbl1.Eseguito <> 1 
					AND tbl1.Annullato <> 1 
					AND tbl1.Anomalia <> 1 		
				)
			)
	) AS MpInCorso
FROM
	tblOrdiniProgrammati 
	INNER JOIN
	Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
	tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
	LEFT OUTER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere 
	LEFT OUTER JOIN
	tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	
	LEFT OUTER JOIN	
	tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	LEFT OUTER JOIN	
	tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza 
 
WHERE  
	$wherePrg 
	AND ISNULL(Ordini.TipoMP,0) IN (0) 
ORDER BY
	DataInizioProg ASC
	,DataFineProg ASC
	,MestCod ASC
	,MestDes ASC
sql;
 
$query = ntxQuery($sql); 


$tblPrg = "";
while ($rs=ntxRecord($query))
{ 
	$rs[IdCommessa] = (int)$rs[IDCommessa];
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine];
	$rs[DataInizioProg] = ntxDate($rs[DataInizioProg]);
	$rs[DataFineProg] = ntxDate($rs[DataFineProg]);
	$rs[StatoOrd] = (int)$rs[StatoOrd];
	
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	 
	  
	$style="";  
	if($rs[MpInCorso]>0)  
	{
		$style.=" background:$Aperto !important; ";  
	}  
	
	 
	$tblPrg .= <<< _HTML
	<div class="ui-body ui-body-a ui-corner-all" style="border-color:#333; border-width:1px; $style" >
	
		<table class="tbl01"  style="width:100%;" >
			<tr>
				<th>OMP
				<th>Data Inizio Prog 
				<th>Data Fine Prog
			<tr>
				<td class="centro" >O-$html[NumOrdine]-$html[AnnoOrdine]-$html[IdCommessa]  
				<td class="centro" >$html[DataInizioProg] 
				<td class="centro" >$html[DataFineProg] 
		</table> 
		
		<strong>Mestiere</strong>: $html[MestCod] $html[MestDes]  	 
		
		<!--
		<br>
		<strong>Frequenza</strong>: $html[Frequenza]  
		-->
	
		<button
			onclick="dettaglioPrg('$html[IdOrd]');" 
			class="bnt01"
		>
			Vai 
		</button>	
	
	</div>
	
	<div style="width:100%;margin:8px;" ></div>
_HTML;
} 

$res[tblPrd] = $tblPrd;
$res[tblPrg] = $tblPrg;

jhp($res);
?>