<?php
$sqlBody = <<< sql

SELECT  $SELECT_TOP
	Richieste.IDCommessa, Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2,   Richieste.Tipo, Richieste.DataRichiesta AS DataRicezione,  Richieste.DataGestione,Richieste.IdRich,	Richieste.TelefonoRif,
	tblMestieri.Descrizione AS Mestiere, 
	tblAttivitàMestiere.Descrizione AS AttivitaMestiere, 
	tblComponetiMestiere.Descrizione AS ComponenteMestiere, 
	Stati.DesStato AS StatoRic, 
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataScadenza, Ordini.DataAssegnazioneRisorsa, StatiOrdini.DesStato AS StatoOrdDes, Ordini.StatoOrd,
	Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine,	Ordini.IdOrd,	Ordini.IdRisorsa, 
	Ordini.DataPresaInCarico,	Ordini.CodEdificio AS IdEdificio,	 Ordini.NotaInterna, Ordini.DataOrdine, 
	Richiedenti.Nome AS RichiedenteNome, 
	ElencoEdifici.EdificioBreve AS Edificio,
	ElencoEdifici.Indirizzo, ElencoEdifici.Civico,
	Ditte.Ditta,
	Risorse.Nome AS Risorsa,
	tblPgPropietari.Nome AS Propietario,
	Richieste.TipologiaEnergia,
	ElencoEdifici.tagNFC AS edificioRegistratoNFC  
	,Ordini.DescrizioneIntervento+' '+Ordini.DescrizioneIntervento1+' '+Ordini.DescrizioneIntervento2 AS DescrizioneIntervento
	,Ordini.NumOrdineOrigine    
	,Ordini.AnnoOrdineOrigine 
	,Ordini.Note  
	,Ordini.DataSospensione   
	,Ordini.FirmaTesto  
	,Ordini.FirmaImgPath
	,Ordini.FirmaTesto_risorsa   
	,Ordini.FirmaImgPath_risorsa   
	,Ordini.GradoUrgenza
	
FROM    
	Ordini 
	LEFT OUTER JOIN
	Richieste ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa  
	LEFT OUTER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere	  
	LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta 
	LEFT OUTER JOIN
	Richiedenti ON Richieste.IDCommessa = Richiedenti.IdCommessa AND Richieste.IdRichiedente = Richiedenti.IdRichiedente	 
	LEFT OUTER JOIN
	StatiOrdini ON StatiOrdini.IDStato = Ordini.StatoOrd	 
	LEFT OUTER JOIN
	tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
	LEFT OUTER JOIN
	tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	LEFT OUTER JOIN
	Stati ON Richieste.Stato = Stati.IDStato 
	LEFT OUTER JOIN
	Risorse ON Risorse.ID = Ordini.IdRisorsa	
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
sql;

 
?>