<?php
session_start();
require_once('../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once(NTX_WEBPORTAL_PATH.'ordini/_funzioni_OrdiniStoricoStati.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_364", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_364", "IT", __FILE__);

$IdRisorsa = ntxise('IdRisorsa');
$IdDitta = ntxise('IdDitta');
$IdOrd = ntxip('IdOrd');
$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

/*$table .= <<<_SQL

<form id="frmPassaScelta" name="frmPassaScelta" method="post" >
	<table data-role="table" class="tbl01 ui-responsive" >
		<tr>
			<th>  
			<th>Risorsa 
			<th>Fornitore
			<th>Supporto?
_SQL;*/
$table .=

"<form id=\"frmPassaScelta\" name=\"frmPassaScelta\" method=\"post\" >
	<table data-role=\"table\" class=\"tbl01 ui-responsive\" >
		<tr>
			<th>"  
			."<th>".$traduttore->traduci('Risorsa')
			."<th>".$traduttore->traduci('Fornitore')
			."<th>".$traduttore->traduci('Supporto?')
;

$sql = <<< sql
SELECT 
	Risorse.ID AS IdRisorsa
	, Risorse.NOME AS RisorsaNome
	, Risorse.CodOperaio, Ditte.Ditta 
	,(
		SELECT TOP 1 ID 
		FROM OrdineRisorseSupporto
		WHERE
			OrdineRisorseSupporto.IdCommessa = $IdCommessa  
			AND OrdineRisorseSupporto.NumOrdine = $NumOrdine 		
			AND OrdineRisorseSupporto.AnnoOrdine = $AnnoOrdine 		
			AND OrdineRisorseSupporto.IdRisorsa = Risorse.ID
			AND 
			(	
				OrdineRisorseSupporto.DataFine IS NULL
				OR OrdineRisorseSupporto.DataFine IS NULL
			)
	) AS IdSupportoInCorso
FROM  
	Risorse  
	INNER JOIN
	Ditte ON Risorse.CodDitta = Ditte.IDDitta
WHERE 
	Ditte.IDDitta = $IdDitta  
	AND Risorse.ID<>$IdRisorsa 
ORDER BY  
	RisorsaNome  ASC	
sql;
   
$query = ntxQuery($sql);

while(  $query  &&  $rs = ntxRecord($query) )
{  
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);	
	 
	$disabled = ''; 
	$etichetta = 'X'; 
	if(is_numeric($rs[IdSupportoInCorso])) 
	{
		$disabled = ' disabled="disabled" ';
		$etichetta = "<div style=\"background:#ff9800;text-shadow:none !important;\" >".$traduttore->traduci('Supporto in corso')."</div>"; 
	}
	
	$table .= <<<_SQL
	<tr>	 
		<td style="text-align:center;" >
		<input type="radio" name="IdRisorsa" value="$html[IdRisorsa]" $disabled /> 
		
		<td>
		$html[RisorsaNome]    
		
		<td>
		$html[Ditta]  
		
		<td>
		$etichetta
_SQL;
}

$table .= <<<_SQL
	</table> 
	
	<br>
	
</form>	
_SQL;
 
 
$result[html]=$table;

$traduttore->Salva();

jhp($result);
?>
