<?php

session_start();

require_once("../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_371", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_371", "IT", __FILE__);

$IdUtente = ntxise('IdUtente');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa');

$IdOrd = ntxip('IdOrd');

$cboFiltro = $_POST[cboFiltro];

$cboFiltroX = $_POST[cboFiltroX];

if ( !is_numeric($cboFiltroX) ) $cboFiltroX = 3; // default filtro "ordini fino alla prossima settimana"

?>
<!DOCTYPE html> 
<html>
<head>
	<title><?php $traduttore->html('Storico chiamate su utenza') ?></title>
	<meta name="viewport" content="width=device-width" />
	
	<script src="/repository2/jqm142/jquery-1.11.0.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.3.1.min.js" type="text/javascript"></script>
	
	<script src="_js/storico.js?v1"></script>

	<link rel="stylesheet" href="css/index.css" />
	
</head>
<body >

<?php

$cboFiltro1 = $cboFiltroX==1 ? "block" : "none";
$cboFiltro2 = $cboFiltroX==2 ? "block" : "none";
$cboFiltro3 = $cboFiltroX==3 ? "block" : "none";
$cboFiltro4 = $cboFiltroX==4 ? "block" : "none";

$classCboFiltro1 = $cboFiltroX==1 ? "select2" : "select1";
$classCboFiltro2 = $cboFiltroX==2 ? "select2" : "select1";
$classCboFiltro3 = $cboFiltroX==3 ? "select2" : "select1";
$classCboFiltro4 = $cboFiltroX==4 ? "select2" : "select1";

?>

<form name=frmRefresh method=post action="#anchor1">
	
	<input type="hidden" name="paginaBack" value="<?php echo htmlentities($_POST[paginaBack]) ?>" /> 
	
	<input type=hidden name=IdOrd value="<?php echo $IdOrd ?>" />
	<input type=hidden name=cboFiltro value="<?php echo $cboFiltro ?>" />
	<input type=hidden name=cboFiltroX value="<?php echo $cboFiltroX ?>" />
	
	<table style="width:100%">
		<tr>
			<td style="width:50%">
				<input type=button value="<?php $traduttore->html('Menu') ?>" onclick="frmLogin.submit()" />
			<td>
				<input type=button value="<?php $traduttore->html('Indietro') ?>" onclick="frmBack.submit()" />
		<tr>
			<td colspan=2>
				<input type=button PulsantiFiltro=1 class="<?php echo $classCboFiltro1 ?>" value="<?php $traduttore->html('Vedi Tutto') ?>" onclick="VediFiltro(1)" style="background-color:#c0c0c0;display:<?php echo $cboFiltro1 ?>" />
				<input type=button PulsantiFiltro=2 class="<?php echo $classCboFiltro2 ?>" value="<?php $traduttore->html('Ordini in Giornata') ?>" onclick="VediFiltro(2)" style="background-color:#c0c0c0;display:<?php echo $cboFiltro2 ?>" />
				<input type=button PulsantiFiltro=3 class="<?php echo $classCboFiltro3 ?>" value="<?php $traduttore->html('Ordini fino alla prossima settimana') ?>" onclick="VediFiltro(3)" style="background-color:#c0c0c0;display:<?php echo $cboFiltro3 ?>" />
				<input type=button PulsantiFiltro=4 class="<?php echo $classCboFiltro4 ?>" value="<?php $traduttore->html('Ordini fino al mese prossimo') ?>" onclick="VediFiltro(4)" style="background-color:#c0c0c0;display:<?php echo $cboFiltro4 ?>" />
	</table>	
</form>	

<?php

switch ( $cboFiltroX )
{
	case 2:
		$where = <<< sql
			WHERE exists(select top 1 2 from OrdiniPreseInCarico pres where pres.IdOrd=a.IdOrd and DataOraFine is null) 
					OR (
							DAY(DataInizioPrevista)=DAY(getdate())
							AND MONTH(DataInizioPrevista)=MONTH(getdate())
							AND YEAR(DataInizioPrevista)=YEAR(getdate())
						)
sql;
		break;
	case 3:
		$where = <<< sql
			WHERE exists(select top 1 2 from OrdiniPreseInCarico pres where pres.IdOrd=a.IdOrd and DataOraFine is null) 
					OR DATEADD(week, 1, getdate()) > DataInizioPrevista
sql;
		break;
	case 4:
		$where = <<< sql
			WHERE exists(select top 1 2 from OrdiniPreseInCarico pres where pres.IdOrd=a.IdOrd and DataOraFine is null) 
					OR DATEADD(month, 1, getdate()) > DataInizioPrevista
sql;
		break;
}

$sql = <<< sql
	SELECT     IDCommessa, CodEdificio
	FROM         Ordini
	WHERE     (IdOrd = $IdOrd)
sql;

$rs = ntxRecord(ntxQuery($sql));

$IdCommessa = $rs[IDCommessa];
$IdEdificio = $rs[CodEdificio];

$sql = <<< sql
	SELECT TOP 20 * FROM (
					SELECT 
						CASE WHEN Ordini.DataInizioProg IS NOT NULL THEN Ordini.DataInizioProg ELSE Ordini.DataScadenza END AS DataInizioPrevista,
						  
						CASE WHEN exists(select top 1 2 from OrdiniPreseInCarico pres where pres.IdOrd=Ordini.IdOrd and DataOraInizio is null) 
							THEN 2 
							else 
								CASE WHEN exists(select top 1 2 from OrdiniPreseInCarico pres where pres.IdOrd=Ordini.IdOrd and DataOraFine is null) 
									THEN 3 
									else 4 
								end
						end OrdinePriorità , 
						
						(SELECT     Richieste.Richiedente
							FROM         Richieste 
							WHERE Richieste.IDCommessa = Ordini.IDCommessaRichiesta 
							AND Richieste.NumRichiesta = Ordini.NumRichiesta 
							AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta) AS Richiedente,

						Ordini.IdOrd, Ordini.IDCommessa, Ordini.NumOrdine, Ordini.AnnoOrdine, Commesse.DesComm, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, 
						ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, tblPgPropietari.Nome AS Cliente, Ordini.DescrizioneIntervento AS des1, 
						Ordini.DescrizioneIntervento1 AS des2, Ordini.DescrizioneIntervento2 AS des3, Ordini.StatoOrd, StatiOrdini.DesStato,
						
						OrdiniPreseInCarico.ContatoreAvanzamento AS PresaInCarico, OrdiniPreseInCarico.Avanzamento, EnTipoProblemaODL.Descrizione AS Problema, 
                      OrdiniPreseInCarico.Note,  Risorse.NOME Risorsa
							
					FROM         StatiOrdini INNER JOIN
										  Ordini INNER JOIN
										  Commesse ON Ordini.IDCommessa = Commesse.IDCommessa INNER JOIN
										  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
										  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario ON StatiOrdini.IDStato = Ordini.StatoOrd
								LEFT JOIN
								  OrdiniPreseInCarico ON Ordini.IDCommessa = OrdiniPreseInCarico.IDCommessa AND Ordini.NumOrdine = OrdiniPreseInCarico.NumOrdine AND 
								  Ordini.AnnoOrdine = OrdiniPreseInCarico.AnnoOrdine 
								  AND OrdiniPreseInCarico.DataOraFine IS NOT NULL
								  LEFT JOIN
								  EnTipoProblemaODL ON OrdiniPreseInCarico.TipoProblema = EnTipoProblemaODL.Id
								  LEFT JOIN
								  Risorse ON Risorse.ID = OrdiniPreseInCarico.IdRisorsa 	
					WHERE 
						Ordini.IdRisorsa=$IdRisorsa AND 
						Ordini.StatoOrd IN (35, 37, 40, 60) AND Ordini.GradoUrgenza NOT IN ('mp', 'mon')
						AND Ordini.IdCommessa=$IdCommessa AND Ordini.CodEdificio=$IdEdificio
				) a
	$where
	ORDER BY DataInizioPrevista DESC, IdOrd, PresaInCarico
sql;

$table = "";

$query = ntxQuery($sql);

$rs=ntxRecord($query);

$sql = "SELECT getdate()";

$dataOggi = ntxDateTime(ntxScalar($sql));

while($rs)
{
	$rs[DataInizioPrevista] = ntxDateTime($rs[DataInizioPrevista]);
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	
	$IdOrd = $rs[IdOrd];
	
	$style = "";
	
	if ( $rs[OrdinePriorità ]==2 || $rs[OrdinePriorità ]==3 )
		$style = "style='background-color: #EE82EE'";
	elseif ( is_numeric($rs[PresaInCarico]) )
		$style = "style='background-color: yellow'";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	if ( $table=="" )
		/*echo <<< table
					$html[Cliente]
					<br>$html[EdificioBreve] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
					<br>Ultimi ODL al $dataOggi
					<br>
					<br>
table;*/
		echo
					"$html[Cliente]
					<br>$html[EdificioBreve] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
					<br>".traduttore->traduci('Ultimi ODL al ')." $dataOggi
					<br>
					<br>"
;

	/*$table .= <<< table
		<tr>
			<td class=tdHeadODL $style>$html[DataInizioPrevista]
			<td class=tdHeadODL $style>$html[DesComm] - $html[NumOrdine]/$html[AnnoOrdine]
		<tr>
			<td colspan=2>Stato: $html[DesStato]
				<br>Chiamante: $html[Richiedente]
				<br>Problema: {$html[des1]}{$html[des2]}{$html[des3]}
table;*/
	$table .=
		"<tr>
			<td class=tdHeadODL $style>$html[DataInizioPrevista]
			<td class=tdHeadODL $style>$html[DesComm] - $html[NumOrdine]/$html[AnnoOrdine]
		<tr>"
			"<td colspan=2>".traduttore->traduci('Stato').": $html[DesStato]
				<br>".traduttore->traduci('Chiamante').": $html[Richiedente]
				<br>".traduttore->traduci('Problema').": {$html[des1]}{$html[des2]}{$html[des3]}"
;

	if ( is_numeric($rs[PresaInCarico]) )
	{	
		/*$table .= <<< table
			<tr>
				<td colspan=2 style="font-size:0.8em;font-weight:normal">
					Progressivo $html[PresaInCarico] - Avanzamento $html[Avanzamento]% - $html[Risorsa] - $html[Problema] - $html[Note]
table;*/
		$table .=
			"<tr>
				<td colspan=2 style=\"font-size:0.8em;font-weight:normal\">".
					traduttore->traduci('Progressivo')." $html[PresaInCarico] - ".traduttore->traduci('Avanzamento')." $html[Avanzamento]% - $html[Risorsa] - $html[Problema] - $html[Note]"
;
	}

	$rs=ntxRecord($query);

	while($rs)
	{	
		if ( $rs[IdOrd]!=$IdOrd ) break;

		foreach($rs as $k=>$v)
			$html[$k] = htmlentities($v);
			
		/*$table .= <<< table
			<tr>
				<td colspan=2 style="font-size:0.8em;font-weight:normal">
					Progressivo $html[PresaInCarico] - Avanzamento $html[Avanzamento]% - $html[Risorsa] - $html[Problema] - $html[Note]
table;*/
		$table .=
			"<tr>
				<td colspan=2 style="font-size:0.8em;font-weight:normal">".
					traduttore->traduci('Progressivo')." $html[PresaInCarico] - ".traduttore->traduci('Avanzamento')." $html[Avanzamento]% - $html[Risorsa] - $html[Problema] - $html[Note]"
;
		
		$rs=ntxRecord($query);
	}
		
}

$table = <<< table
	<table class=tableODL>	
		$table
	</table>	
table;

echo $table;

?>

<form name=frmLogin method=post action="../_login.php"></form>

<form name=frmBack method=post action="index.php">
	<input type=hidden name=cboFiltro value="<?php echo $cboFiltro ?>" />
</form>

</body>
<?php $traduttore->Salva() ?>

</html>