<?php
function gestioneTipologie($TipologiaEnergia, $IdOrd)
{//inizio funzione
	
	global $arrayGiorniSettimana;
	
	$tabella="";
	
if($TipologiaEnergia==6)
{
	$sql = <<<_SQL
	SELECT *	
	FROM  
		Ordini  
	WHERE 
		Ordini.IdOrd=$IdOrd
_SQL;
	$rs1=ntxRecord(ntxQuery($sql));	
	
	foreach($rs1 as $k=>$v)
		$html1[$k] = htmlentities($v);		
	
	$tabella .= <<<_HTML
	<tr>
		<th>Note Cliente 
		<td>
			$html1[Note]  		
_HTML;
}
else if($TipologiaEnergia==3)//OS
{
	$sql = <<<_SQL
	SELECT     
		EnOrariSpeciali.IdPeriodo, EnOrariSpeciali.DataGiorno,  EnOrariSpeciali.IdOrarioSpeciale,  EnOrariSpeciali.TemperaturaVoluta TemperaturaVolutas, 
		EnOrariSpeciali.OreGiornaliere OreGiornalieres, EnOrariSpeciali.OraOn1txt AS s1a, EnOrariSpeciali.OraOff1txt AS s1b, EnOrariSpeciali.OraOn2txt AS s2a, 
		EnOrariSpeciali.OraOff2txt AS s2b, EnOrariSpeciali.OraOn3txt AS s3a, EnOrariSpeciali.OraOff3txt AS s3b, EnOrariSpeciali.OraOn4txt AS s4a, 
		EnOrariSpeciali.OraOff4txt AS s4b,
		tblPgContratti.MinDeltaTemperatura minDelta, 
		tblPgContratti.MaxDeltaTemperatura maxDelta			
	FROM  
		Ordini 
		INNER JOIN
		EnOrariSpeciali ON Ordini.IdOrarioSpeciale = EnOrariSpeciali.IdOrarioSpeciale
		
		LEFT OUTER JOIN
		EnPeriodi ON EnOrariSpeciali.IdPeriodo = EnPeriodi.IdPeriodo 
		LEFT OUTER JOIN
		tblPgContratti ON EnPeriodi.IdContratto = tblPgContratti.IdPgContratto
	WHERE 
		Ordini.IdOrd=$IdOrd
_SQL;
	$rs1=ntxRecord(ntxQuery($sql));	
	
	$rs1[DataGiorno]=ntxDate($rs1[DataGiorno]);
	
	$Ore = (int)($rs1[OreGiornalieres]/60);
	$Minuti = ($rs1[OreGiornalieres]%60);
		
	if ( $Ore<10 ) $Ore = "0".$Ore;
	if ( $Minuti<10 ) $Minuti = "0".$Minuti;
	
	$TemperaturaVolutaPunto = $rs1[TemperaturaVolutas];
	
	$TemperaturaVoluta = ntxRoundThousand($TemperaturaVolutaPunto,1);
	
	$TemperaturaVolutaPrec="";
	if ( $TemperaturaVoluta!=$TemperaturaVolutaPrec )
	{
		$TemperaturaVolutaPrec = $TemperaturaVoluta;
		 
		if ( $TemperaturaVoluta=="" )
			$coloreTemperatura = "white";
		else
		{
			$coloreTemperatura = ColoreTemperatura($TemperaturaVolutaPunto);
		
			$indexColoreTemperatura++;
		}
	}
	
	$minDelta = "-".ntxRound($rs1[minDelta],1);
	$maxDelta = ntxRound($rs1[maxDelta],1);
	
	if ( strlen($maxDelta) ) $maxDelta = "+".$maxDelta;
	
	foreach($rs1 as $k=>$v)
		$html1[$k] = htmlentities($v);	
	
	
	$LabelSpento = "-";
	if($rs1[s1a]=='' && $rs1[s1b]=='' && $rs1[s2a]=='' && $rs1[s2b]=='' && $rs1[s3a]=='' && $rs1[s3b]=='' && $rs1[s4a]=='' && $rs1[s4b]=='')
	{
		$LabelSpento = "SPENTO";
	}		
	
	$tabella .= <<<_HTML
	<tr>
		<td colspan="2" >
			<table    class="tbl02"  >
				<thead>
					<tr>
						<th data-priority="1" >&nbsp;
						<th data-priority="1" >Dalle&nbsp;Alle 
						<th data-priority="1" >Dalle&nbsp;Alle 
						<th data-priority="1" >Dalle&nbsp;Alle 
						<th data-priority="1" >Dalle&nbsp;Alle  
						<th data-priority="1" >T.vol 
				</thead> 
				<tbody>
					<tr>
						<td>$html1[DataGiorno]
						<td style='background-color:#DFDFDF' >$html1[s1a]{$LabelSpento}$html1[s1b] 
						<td style='background-color:#DFDFDF' >$html1[s2a]-$html1[s2b]
						<td style='background-color:#DFDFDF' >$html1[s3a]-$html1[s3b]
						<td style='background-color:#DFDFDF' >$html1[s4a]-$html1[s4b]  
						<td style='text-align:right;background-color:$coloreTemperatura' >$TemperaturaVoluta 
				</tbody>		
			</table>		
_HTML;
}
else if($TipologiaEnergia==2)//OB
{
	$tabella .= <<<_HTML
	<tr>
		<td colspan="2" >
			<table    class="tbl02"  >
				<thead>
					<tr>
						<th data-priority="1" >&nbsp;
						<th data-priority="1" >Dalle&nbsp;Alle 
						<th data-priority="1" >Dalle&nbsp;Alle 
						<th data-priority="1" >Dalle&nbsp;Alle 
						<th data-priority="1" >Dalle&nbsp;Alle  
						<th data-priority="1" >T.vol 
				</thead> 
				
				<tbody>
_HTML;
	
	$sql = <<<_SQL
	SELECT 
		EnOrariBase.IdPeriodo, EnOrariBase.DataInizioValidità , EnOrariBase.DataFineValidità , EnOrariBase.Stato, EnOrariBase.IdOrarioBase, 
		EnGiorniOrariBase.GiornoSettimana, EnGiorniOrariBase.OreGiornaliere, EnGiorniOrariBase.OraOn1txt, EnGiorniOrariBase.OraOff1txt, 
		EnGiorniOrariBase.OraOn2txt, EnGiorniOrariBase.OraOff2txt, EnGiorniOrariBase.OraOn3txt, EnGiorniOrariBase.OraOff3txt, 
		EnGiorniOrariBase.OraOn4txt, EnGiorniOrariBase.OraOff4txt, EnGiorniOrariBase.TemperaturaVoluta,
		tblPgContratti.MinDeltaTemperatura minDelta, 
		tblPgContratti.MaxDeltaTemperatura maxDelta					
	FROM  
		EnOrariBase 
		INNER JOIN
		Ordini ON EnOrariBase.IdOrarioBase = Ordini.IdOrarioBase 
		INNER JOIN
		EnGiorniOrariBase ON EnOrariBase.IdOrarioBase = EnGiorniOrariBase.IdOrarioBase
		
		LEFT OUTER JOIN
		EnPeriodi ON EnOrariBase.IdPeriodo = EnPeriodi.IdPeriodo 
		LEFT OUTER JOIN
		tblPgContratti ON EnPeriodi.IdContratto = tblPgContratti.IdPgContratto
	WHERE 
		Ordini.IdOrd=$IdOrd
_SQL;
	$query1 = ntxQuery($sql);	 
	
	while( $query1  &&  $rs1 = ntxRecord($query1) )
	{
		$Ore = (int)($rs1[OreGiornaliere]/60);
		$Minuti = ($rs1[OreGiornaliere]%60);		
		
		if ( $Ore<10 ) $Ore = "0".$Ore;
		if ( $Minuti<10 ) $Minuti = "0".$Minuti;			
		
		$TemperaturaVolutaPunto = $rs1[TemperaturaVoluta];
		
		$TemperaturaVoluta = ntxRoundThousand($TemperaturaVolutaPunto,1);
		
		$TemperaturaVolutaPrec="";
		if ( $TemperaturaVoluta!=$TemperaturaVolutaPrec )
		{
			$TemperaturaVolutaPrec = $TemperaturaVoluta;
			 
			if ( $TemperaturaVoluta=="" )
				$coloreTemperatura = "white";
			else
			{
				$coloreTemperatura = ColoreTemperatura($TemperaturaVolutaPunto);
			
				$indexColoreTemperatura++;
			}
		}	
		
		$minDelta = "-".ntxRound($rs1[minDelta],1);
		$maxDelta = ntxRound($rs1[maxDelta],1);
		
		if ( strlen($maxDelta) ) $maxDelta = "+".$maxDelta;		
		
		foreach($rs1 as $k=>$v)
			$html1[$k] = htmlentities($v);	
			
		$giornoSettimana = $arrayGiorniSettimana[$rs1[GiornoSettimana]];	
		
		$LabelSpento = "-";
		if($rs1[OraOn1txt]=='' && $rs1[OraOff1txt]=='' && $rs1[OraOn2txt]=='' && $rs1[OraOff2txt]=='' && $rs1[OraOn3txt]=='' && $rs1[OraOff3txt]=='' && $rs1[OraOn4txt]=='' && $rs1[OraOff4txt]=='')
		{
			$LabelSpento = "SPENTO";
		}	 
		
		$tabella .= <<<_HTML
		<tr>
			<td style="font-weight:bold;" >$giornoSettimana
			<td style='background-color:#DFDFDF' >$html1[OraOn1txt]{$LabelSpento}$html1[OraOff1txt]
			<td style='background-color:#DFDFDF' >$html1[OraOn2txt]-$html1[OraOff2txt]
			<td style='background-color:#DFDFDF' >$html1[OraOn3txt]-$html1[OraOff3txt]
			<td style='background-color:#DFDFDF' >$html1[OraOn4txt]-$html1[OraOff4txt]  
			<td style='text-align:right;background-color:$coloreTemperatura' >$TemperaturaVoluta   		
_HTML;
	}
	
	$tabella .= <<<_HTML
		</tbody> 
	</table>	
_HTML;
}
else if($TipologiaEnergia==1)//CS cambio stagione
{
	$tabella .= <<<_HTML
	<tr>
		<th>Descrizione
		<td>
			$html[DescrizioneIntervento]   
_HTML;
}
else if($TipologiaEnergia==4)//ES 
{
	$tabella .= <<<_HTML
	<tr> 
		<td colspan="2" class="grigio" > 
		Orario base da ripristinare
		
	<tr>
		<td colspan="2" >
			<table    class="tbl02"  >
				<thead>
					<tr>
						<th data-priority="1" >&nbsp;
						<th data-priority="1" >Dalle&nbsp;Alle 
						<th data-priority="1" >Dalle&nbsp;Alle 
						<th data-priority="1" >Dalle&nbsp;Alle 
						<th data-priority="1" >Dalle&nbsp;Alle  
						<th data-priority="1" >T.vol 
				</thead> 
				
				<tbody>		
_HTML;

	$sql = <<<_SQL
	SELECT 
		EnOrariBase.IdPeriodo, EnOrariBase.DataInizioValidità , EnOrariBase.DataFineValidità , EnOrariBase.Stato, EnOrariBase.IdOrarioBase, 
		EnGiorniOrariBase.GiornoSettimana, EnGiorniOrariBase.OreGiornaliere, EnGiorniOrariBase.OraOn1txt, EnGiorniOrariBase.OraOff1txt, 
		EnGiorniOrariBase.OraOn2txt, EnGiorniOrariBase.OraOff2txt, EnGiorniOrariBase.OraOn3txt, EnGiorniOrariBase.OraOff3txt, 
		EnGiorniOrariBase.OraOn4txt, EnGiorniOrariBase.OraOff4txt, EnGiorniOrariBase.TemperaturaVoluta,
		tblPgContratti.MinDeltaTemperatura minDelta, 
		tblPgContratti.MaxDeltaTemperatura maxDelta					
	FROM  
		EnOrariBase 
		INNER JOIN
		EnGiorniOrariBase ON EnOrariBase.IdOrarioBase = EnGiorniOrariBase.IdOrarioBase INNER JOIN
		Ordini 
		INNER JOIN
		EnOrariSpeciali 
		INNER JOIN
		EnPeriodi ON EnOrariSpeciali.IdPeriodo = EnPeriodi.IdPeriodo ON Ordini.IdOrarioSpeciale = EnOrariSpeciali.IdOrarioSpeciale ON 
		EnOrariBase.IdPeriodo = EnPeriodi.IdPeriodo
		
		LEFT OUTER JOIN
		tblPgContratti ON EnPeriodi.IdContratto = tblPgContratti.IdPgContratto 
		
	WHERE 
		Ordini.IdOrd=$IdOrd
		AND EnOrariSpeciali.DataGiorno BETWEEN EnOrariBase.DataInizioValidità  AND EnOrariBase.DataFineValidità 
		AND DATEPART(dw,EnOrariSpeciali.DataGiorno)=EnGiorniOrariBase.GiornoSettimana
		AND EnOrariBase.Stato=1
_SQL;
	$query1 = ntxQuery($sql);	 
	
	while( $query1  &&  $rs1 = ntxRecord($query1) )
	{
		$Ore = (int)($rs1[OreGiornaliere]/60);
		$Minuti = ($rs1[OreGiornaliere]%60);		
		
		if ( $Ore<10 ) $Ore = "0".$Ore;
		if ( $Minuti<10 ) $Minuti = "0".$Minuti;			
		
		$TemperaturaVolutaPunto = $rs1[TemperaturaVoluta];
		
		$TemperaturaVoluta = ntxRoundThousand($TemperaturaVolutaPunto,1);
		
		$TemperaturaVolutaPrec="";
		if ( $TemperaturaVoluta!=$TemperaturaVolutaPrec )
		{
			$TemperaturaVolutaPrec = $TemperaturaVoluta;
			 
			if ( $TemperaturaVoluta=="" )
				$coloreTemperatura = "white";
			else
			{
				$coloreTemperatura = ColoreTemperatura($TemperaturaVolutaPunto);
			
				$indexColoreTemperatura++;
			}
		}	
		
		$minDelta = "-".ntxRound($rs1[minDelta],1);
		$maxDelta = ntxRound($rs1[maxDelta],1);
		
		if ( strlen($maxDelta) ) $maxDelta = "+".$maxDelta;		
		
		foreach($rs1 as $k=>$v)
			$html1[$k] = htmlentities($v);	
			
		$giornoSettimana = $arrayGiorniSettimana[$rs1[GiornoSettimana]];
		
		$LabelSpento = "-";
		if($rs1[OraOn1txt]=='' && $rs1[OraOff1txt]=='' && $rs1[OraOn2txt]=='' && $rs1[OraOff2txt]=='' && $rs1[OraOn3txt]=='' && $rs1[OraOff3txt]=='' && $rs1[OraOn4txt]=='' && $rs1[OraOff4txt]=='')
		{
			$LabelSpento = "SPENTO";
		}		
		
		$tabella .= <<<_HTML
		<tr>
			<td style="font-weight:bold;" >$giornoSettimana
			<td style='background-color:#DFDFDF' >$html1[OraOn1txt]{$LabelSpento}$html1[OraOff1txt]
			<td style='background-color:#DFDFDF' >$html1[OraOn2txt]-$html1[OraOff2txt]
			<td style='background-color:#DFDFDF' >$html1[OraOn3txt]-$html1[OraOff3txt]
			<td style='background-color:#DFDFDF' >$html1[OraOn4txt]-$html1[OraOff4txt]  
			<td style='text-align:right;background-color:$coloreTemperatura' >$TemperaturaVoluta 
_HTML;
	} 

	$tabella .= <<<_HTML
		</tbody> 
	</table>	
_HTML;
}

return $tabella;

}//fine funzione
?>