<?php
session_start();
require_once('../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once(NTX_WEBPORTAL_PATH.'ordini/_funzioni_OrdiniStoricoStati.inc');

$IdRisorsa = ntxise('IdRisorsa');
$IdOrd = ntxip('IdOrd');
$IdCommessa = ntxip('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine'); 

 
$sql = <<< sql
SELECT  *
FROM
	Ordini
WHERE 
	Ordini.IdOrd=$IdOrd  
	AND Ordini.IdRisorsa IS NOT NULL
	AND Ordini.IdRisorsa <> $IdRisorsa
sql;
$rs = ntxRecord(ntxQuery($sql));

if(is_numeric($rs[IdRisorsa])) ntxmsgerr("ODL gia' assegnato!");


require('_info-ordine.php');

$StatoInit = $rs[StatoOrd];

if($rs[StatoOrd]==35  &&  strlen($rs[DataPresaInCarico])>0) ntxmsgerr("L'ordine ha subito variazioni! Si prega di ricaricare la pagina.");


$sql = <<< sql
SELECT  count(IdOrd)
FROM         
	Ordini
WHERE 
	Ordini.IdRisorsa=$IdRisorsa 
	AND Ordini.StatoOrd IN (35, 37, 40) 
	AND Ordini.DataPresaInCarico IS NOT NULL
	AND Ordini.TipologiaEnergia = 5
sql;
$count = ntxScalar($sql);

if ( $count )
	jhp_error('Attenzione altri ordini risultano presi in carico dalla stessa risorsa!');


$StatoNew = 37;
$sql = <<<_SQL
UPDATE Ordini
	SET 
		DataPresaInCarico = getdate() 
		,StatoOrd = $StatoNew 
WHERE    
	Ordini.IdOrd = $IdOrd 
_SQL;

ntxQuery($sql);


salvaStoricoOrdini
(
	$IdCommessa
	,$NumOrdine
	,$AnnoOrdine
	,$StatoInit
	,$StatoNew
	,"click su bottone per assegnare odl da maschera mobile. QUERY SQL: $sql"
	,"Assegnazione ODL da maschera mobile"
	,'' 
);

jhp_ok();
?>
