<?php
session_start();
require_once('../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
 
$IdCommessa = ntxip('IdCommessa'); 
$IdOrd = ntxip('IdOrd');  
 
$IdRisorsaAssociata = $_SESSION[IdRisorsa]; 
 

$sql = <<< sql
SELECT     
	Ordini.*
FROM    
	Ordini
WHERE
	1=1
	AND Ordini.IdOrd = $IdOrd 
sql;
$query = ntxQuery($sql);
$rs = ntxRecord($query);
$IdRisorsaPresente = $rs[IdRisorsa]; 
$DataFine = $rs[DataFine]; 
$StatoOrd = $rs[StatoOrd]; 
$IdCommessa = $rs[IDCommessa]; 
$NumOrdine = $rs[NumOrdine]; 
$AnnoOrdine = $rs[AnnoOrdine]; 

if($IdRisorsaPresente!=$IdRisorsaAssociata)
{
	$result[msg]="Impossibile procedere. ODL risulta associato a un'altra risorsa.";
	$result[esito]=0;
}
else if(strlen($DataFine)>0 || $StatoOrd>=50)
{
	$result[msg]="Impossibile procedere. Lo stato dell'ordine non ne permette la modifica.";
	$result[esito]=0;
}
else
{
	$tabellaOrdini = new NtxTable("Ordini");
	$tabella = $tabellaOrdini->update();
	$tabella->init();
	
	/*
	$tabella->setp('GradoUrgenza');
	
	$tabella->setp('DataInizioProg', 'DataInizioProg');
	$tabella->setp('DataFineProg', 'DataFineProg');
	$tabella->setp('DataScadenza', 'DataScadenza');
	$tabella->setp('DataScadenzaInterventoTampone', 'DataFineProg'); 	
	*/
	
	$tabella->setp('IdMestiere');
	$tabella->setp('IdComponenteMestiere');
	$tabella->setp('IdAttivitàMestiere');
	
	$tabella->setp('Note');
	$tabella->setp('NotaInterna'); 
	
	$tabella->set('StatoOrd' , 50); 
	$tabella->set('DataFine', 'getdate()', true);
	
	$tabella->where('IdOrd', $IdOrd); 
	 
	$tabella->execute(); 	
	
	
	if(is_numeric($_POST[IdTestataAllegati]))
	{	
		$IdTestataAllegati = ntxip('IdTestataAllegati');
		
		$sql = <<< sql
		INSERT INTO EnAllegatiOrdini
						  (IdOrdine, IdTestataAllegati)
		VALUES     ($IdOrd, $IdTestataAllegati)
sql;
		ntxQuery($sql);	
	}	 
	
	 
	if(is_numeric($_POST[MailCollegataPrioritario])  &&  $_POST[MailCollegataPrioritario]==1)
		require_once(NTX_WEBPORTAL_PATH.'messaggi/modulo_energia/invia_mail_prioritario/start.php');
	
	if(is_numeric($_POST[MailCentraleOperativa])  &&  $_POST[MailCentraleOperativa]==1)
		require_once(NTX_WEBPORTAL_PATH.'messaggi/modulo_energia/invia_mail_ordine_centrale_operativa/start.php');	
	
	
	$result[esito]=1;
}

jhp($result);
?>
