<?php
session_start();
require_once('../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
 
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa'); 
 
$IdCommessa = ntxip('IdCommessa'); 
$NumOrdine = ntxip('NumOrdine'); 
$AnnoOrdine = ntxip('AnnoOrdine'); 
$IdOrd = ntxip('IdOrd'); 
 
$IdRisorsaAssociata = $_SESSION[IdRisorsa];   

$sql = <<< sql
SELECT     
	Ordini.*
FROM    
	Ordini
WHERE
	1=1
	AND Ordini.IdOrd = $IdOrd 
sql;
$query = ntxQuery($sql);
$rs = ntxRecord($query);
$IdRisorsaPresente = $rs[IdRisorsa]; 
$DataFine = $rs[DataFine]; 
$StatoOrd = $rs[StatoOrd]; 
$NumRichiesta = $rs[NumRichiesta]; 
$AnnoRichiesta = $rs[AnnoRichiesta]; 

if($IdRisorsaPresente!=$IdRisorsaAssociata)
{
	$result[msg]="Impossibile procedere. ODL risulta associato a un'altra risorsa.";
	$result[esito]=0;
}
else if(strlen($DataFine)>0 || $StatoOrd>=50)
{
	$result[msg]="Impossibile procedere. Lo stato dell'ordine non ne permette la modifica.";
	$result[esito]=0;
}
else
{	
	//chiudiamo l'ordine precedente ed emettiamo un nuovo ordine
	 
	$NowDateTime = ntxDateTime(ntxScalar("SELECT getdate()"));  
	$NowFineGiornataDateTime = ntxDate(ntxScalar("SELECT getdate()"))." 23:59";  
	$NowPlusSetteFineGiornataDateTime = ntxDate(ntxScalar("SELECT DATEADD(day,7,getdate())"))." 23:59";  
  
	  
	$DataInizioProg = ntxt($NowDateTime, false);
	//$DataFineProg = ntxt($NowPlusSetteFineGiornataDateTime, false); 
	
	$DataSospensione = ntxt($NowDateTime, false); 
	 
	$IdRisorsaNew = 'NULL';
	 
	 
	$DataOrdine_new = ntxt(ntxDateTime(ntxScalar("SELECT getdate()")));  
	$AnnoOrdine_new = ntxScalar("SELECT YEAR($DataOrdine_new)");
	$NumOrdine_new = (int)ntxScalar("SELECT ISNULL((SELECT MAX(NumOrdine) FROM Ordini WHERE IdCommessa=$IdCommessa AND AnnoOrdine=$AnnoOrdine_new),0)+1");	 
		  
	$sql = <<< sql
	INSERT INTO Ordini
	   (
			IdCommessa
			,NumOrdine
			,AnnoOrdine
			,DataOrdine
			,DataScadenza
			,StatoOrd
			,DataInizioProg
			,DataFineProg
			
			,NumOrdineOrigine
			,AnnoOrdineOrigine			
	   
			,IdMestiere
			,IdComponenteMestiere
			,IdAttivitàMestiere  
			
			,GradoUrgenza
			
			, Assegnazione
			
			, IdRisorsa
			
			, DataSospensione
			
			, ProcessoBackOffice
	   
			,CodEdificio, Tecnico, Contabiliz, DescrizioneIntervento, DescrizioneIntervento1, DescrizioneIntervento2, IdLivello, 
		   IdAmbiente, IdComponente, IdSubComponente, IDCommessaRichiesta, NumRichiesta, AnnoRichiesta, 
		   ContabilizF, PathPdf,  IdContratto, IdUtilizzatore, IdContrattoGestore, IdContrattoAffidatario, AnomaliaRiscontrata, PrestazioneEffettuata, 
		   AnomaliaBloccante, InterventoRisolutivo, InterventoIdoneo, Intervento, IdIncaricato, IdRichiedente, DittaManuale, IdAffidatario, NoteTecnicheEsecutore, 
		   NoteTecnicheAffidatario, ImportoStimatoEsecutore, ImportoStimatoAffidatario, NoteTecnicheCliente, OreRisorse, NumRisorse, DataInizioAccensione, 
		   DataFineAccensione, NoteAccensione, IdCircuitoAccensione, OreExtraRisorse, TipologiaEnergia, IdOrarioBase, IdOrarioSpeciale, IdPeriodoEnergia, 
		   IdCircuitoEnergia, CdC
	   )   
	   
	SELECT 
			$IdCommessa
			,$NumOrdine_new
			,$AnnoOrdine_new
			,$DataOrdine_new
			,DataScadenza
			,60
			,$DataInizioProg
			,NULL
			
			,$NumOrdine
			,$AnnoOrdine	 
			
			,IdMestiere
			,IdComponenteMestiere
			,IdAttivitàMestiere 
			
			,GradoUrgenza 		
			
			,Assegnazione
			,$IdRisorsaNew
			
			,$DataSospensione
			
			,1
			
			,CodEdificio, Tecnico, Contabiliz, DescrizioneIntervento, DescrizioneIntervento1, DescrizioneIntervento2, IdLivello, 
			IdAmbiente, IdComponente, IdSubComponente, IDCommessaRichiesta, NumRichiesta, AnnoRichiesta,  
			ContabilizF, PathPdf,  IdContratto, IdUtilizzatore, IdContrattoGestore, IdContrattoAffidatario, AnomaliaRiscontrata, PrestazioneEffettuata, 
			AnomaliaBloccante, InterventoRisolutivo, InterventoIdoneo, Intervento, IdIncaricato, IdRichiedente, DittaManuale, IdAffidatario, NoteTecnicheEsecutore, 
			NoteTecnicheAffidatario, ImportoStimatoEsecutore, ImportoStimatoAffidatario, NoteTecnicheCliente, OreRisorse, NumRisorse, DataInizioAccensione, 
			DataFineAccensione, NoteAccensione, IdCircuitoAccensione, OreExtraRisorse, TipologiaEnergia, IdOrarioBase, IdOrarioSpeciale, IdPeriodoEnergia, 
			IdCircuitoEnergia, CdC
	FROM  
		Ordini AS Ordini_1
	WHERE
		1=1
		AND Ordini_1.IdOrd = $IdOrd 
sql;
	ntxQuery($sql);	
	
	$result[msg]="Chiuso l'odl corrente e aperto un nuovo odl O-$NumOrdine_new-$AnnoOrdine_new-$IdCommessa .";
	$result[esito]=1; 
	
	$NumOrdine = $NumOrdine_new;
	$AnnoOrdine = $AnnoOrdine_new;
	require_once(NTX_WEBPORTAL_PATH.'messaggi/modulo_energia/sospeso_ordine/start.php');	
	
	
	
	
	//chiudiamo l'ordine precedente ed emettiamo un nuovo ordine
	$tabellaOrdini = new NtxTable("Ordini");
	$tabella = $tabellaOrdini->update();
	$tabella->init(); 
	
	$tabella->set('StatoOrd' , 50); 
	$tabella->set('DataFine', 'getdate()', true);
	
	$tabella->setp('Note');
	$tabella->setp('NotaInterna'); 	
	
	$tabella->where('IdOrd', $IdOrd); 
	 
	$tabella->execute();  
	
		
	if(is_numeric($_POST[IdTestataAllegati]))
	{	
		$IdTestataAllegati = ntxip('IdTestataAllegati');
		
		$sql = <<< sql
		INSERT INTO EnAllegatiOrdini
						  (IdOrdine, IdTestataAllegati)
		VALUES     ($IdOrd, $IdTestataAllegati)
sql;
		ntxQuery($sql);	
	}		
	
	if(is_numeric($_POST[MailCollegataPrioritario])  &&  $_POST[MailCollegataPrioritario]==1)
		require_once(NTX_WEBPORTAL_PATH.'messaggi/modulo_energia/invia_mail_prioritario/start.php');		
	
	if(is_numeric($_POST[MailCentraleOperativa])  &&  $_POST[MailCentraleOperativa]==1)
		require_once(NTX_WEBPORTAL_PATH.'messaggi/modulo_energia/invia_mail_ordine_centrale_operativa/start.php');	
}

jhp($result);
?>
