<?php
session_start();
require_once("../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require('_orari_libreria.php');

$IdUtente = ntxise('IdUtente');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa');
$IdDitta = ntxise('IdDitta'); 

require('vers.php');
require('_default_filtro_edificio.php');
require('_orari_gestione_tipologie-f.php');
?>
<!DOCTYPE html> 
<html>
<head>
	<title></title>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<script src="/repository2/jqm145/jquery-1.12.4.min.js"></script>
	<script src="/repository2/jqm145/jquery.mobile-1.4.5.min.js"></script>
	
	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>
	<link rel="stylesheet" href="/repository2/jqm145/jquery.mobile-1.4.5.css" /> 
	
	<meta name="viewport" content="width=device-width" />
	
	<script src="js/orari.js?v=<?php echo $vers ?>"></script>   
	<script src="js/nfc-comune.js?v=<?php echo $vers ?>"></script>  
	<script src="js/note-utenza.js?v=<?php echo $vers ?>"></script>  
	<script src="js/report.js?v=<?php echo $vers ?>"></script>  
	<script src="../_js/_console.js"></script>  
	
	<script src="/repository/js/convalida_dati.js" type="text/javascript"></script>
	
	<link rel="stylesheet" href="../_css/index.css" /> 
	<link rel="stylesheet" href="css/index.css?v=<?php echo $vers ?>" />  
	
	<script type="text/javascript" src="/repository/libs/gestioneOverflow/funzioni.js"></script>
	<link rel="stylesheet" type="text/css" href="/repository/libs/gestioneOverflow/colori.css" >		
	
	<script src="../sovracommessa/Risorse2IngressoUscitaEdifici/init.js?v=<?php echo $vers ?>"></script>  
	<link rel="stylesheet" href="../sovracommessa/Risorse2IngressoUscitaEdifici/init.css" />	
	
	<link rel="stylesheet" href="../_css/iconset-custom.css" /> 
	
	<style> 
	</style>	
	
	<script>
	function callBackNFClettura2(UidNFC, stringaLetta)
	{  
		var risultato = registraIngressoUscitaRisorsa(UidNFC, stringaLetta, '../sovracommessa/Risorse2IngressoUscitaEdifici/'); 		
		//gestioneGraficaFooter(risultato); 
		
		try
		{
			if(risultato.Tipo=='uscita')
			{
				document.frmRefresh.Edificio.value='';
			}
			else 
			{
				document.frmRefresh.azioneSceltaEdificio.value='';
			}
		}
		catch(ex)
		{
			console.log('nfc passato non compatibile con manpronet. letta stringa: '+stringaLetta);
		}	
		
		lasciaOrdiniDiversiDaEdificioNfc('');
		
		ricarica();
	}  
	</script> 
</head>
<body >

<script>
$(function()
{     
	var scrollTop = '<?php echo htmlentities($_POST[scrollTop]) ?>';
	var scrollLeft = '<?php echo htmlentities($_POST[scrollLeft]) ?>';

	$("html,body").animate({scrollTop: scrollTop}, 100); //100ms for example
	
	/*var reload = eseguiInizioLavoroPerOrdiniAssegnatiAdEdificioNfc('');
	if(reload) ricarica();
	*/
	
	ottieniEdificioIngresso(true, '../sovracommessa/Risorse2IngressoUscitaEdifici/');
	
	visualizzazionePerEdificioCorrente();
	
	CaricaElencoEdifici(); 
	
	
	var elem = '<?php echo htmlentities($_POST[Edificio]) ?>'; 
	var PrioritaRicerca = '<?php echo htmlentities($_POST[PrioritaRicerca]) ?>'; 
	
	
	if($("#Edificio option[value='"+elem+"']").length > 0)
	{
		PrioritaRicerca = 'X';
	}
	else if(elem!=",")
	{
		$('#mainMsgContainer').html("Nessun orario per l'edificio preso in carico nelle chiamate");
		
		$('#Edificio').append($('<option>', {
			value: elem,
			text: 'Edificio non visibile'
		}));
	
		
	}
	
	document.frmRefresh.Edificio.value = elem;  
	$(document.frmRefresh.Edificio).selectmenu('refresh', true); 
	
	
	if(PrioritaRicerca!='X'  &&  !$.isNumeric(PrioritaRicerca)) //nessuna priorità  settata
		document.frmRefresh.PrioritaRicerca.value = 1;
	else	
		document.frmRefresh.PrioritaRicerca.value = PrioritaRicerca; 
		
	$(document.frmRefresh.PrioritaRicerca).selectmenu('refresh', true);  
	
});
</script>

<?php 
$cboFiltro = $_POST[cboFiltro];

if ( !is_numeric($cboFiltro) ) $cboFiltro = 3;  

$classCboFiltro1 = $cboFiltro==1 ? "select2" : "select1";
$classCboFiltro2 = $cboFiltro==2 ? "select2" : "select1";
$classCboFiltro3 = $cboFiltro==3 ? "select2" : "select1"; 
?>  

<div data-role="page" id="page1" data-tap-toggle="false" >

	<div data-role="header" data-position="fixed">
		<a href="../menu_senza_commessa.php" data-ajax="false" data-icon="back" data-iconpos="notext">Login</a>
		
		<h1>
		Orari 
		</h1>
		
		<div class="ui-btn-right" data-role="controlgroup" data-type="horizontal">
			<a href="#" data-role="button" data-icon="nfc" data-iconpos="notext" onclick="alert('Pagina sensibile ad azioni con tag NFC.');" >&nbsp;</a>
			<a href="" onclick="ricarica();" data-role="button" data-icon="refresh" data-iconpos="notext" >&nbsp;</a>
		</div> 
	</div>  	  
	
	<form id="frmRefresh" name="frmRefresh" method=post action="" onsubmit="return false;" >
		<input type=hidden name=scrollTop /> 
		<input type=hidden name=scrollLeft /> 
		
		<input type=hidden name=cboFiltro value="<?php echo $cboFiltro ?>" /> 
	  
		<button 
			PulsantiFiltro=1 
			class="<?php echo $classCboFiltro1 ?>" 
			onclick="VediFiltro(1)" 							
		>
		Tutti
		</button> 
		
		
		<button 
			PulsantiFiltro=2 
			class="<?php echo $classCboFiltro2 ?>"  
			onclick="VediFiltro(2)" 					
		>
		Entro oggi
		</button>
		
		
		<button 
			PulsantiFiltro=3 
			class="<?php echo $classCboFiltro3 ?>"  
			onclick="VediFiltro(3)" 	
		>
		Entro una settimana
		</button> 

	
		<select name="PrioritaRicerca"   onchange="document.frmRefresh.submit();" > 
			<option value="X"  >Tutte le Priorità 
			<option value="1"  >Priorità  1
			<option value="2"  >Priorità  2
			<option value="3"  >Priorità  3
			<option value="4"  >Priorità  4
			<option value="5"  >Priorità  5
		</select> 	
		
		<select id="Edificio" name="Edificio" onchange="modificaSceltaEdificio(); document.frmRefresh.submit();" ></select> 
		<input type="hidden" name="azioneSceltaEdificio" value="<?php echo htmlentities($_POST[azioneSceltaEdificio]) ?>" />
		
		<!--
		<label>
			<input type="checkbox" name="FiltraPerEdificioInCorso" value="1" onchange="document.frmRefresh.submit();" <?php if($_POST[FiltraPerEdificioInCorso]==1) echo ' checked="checked" '?>>Mostra solo edificio in carico
		</label>	
		-->  
</form>	 
 
<div id="mainMsgContainer" > </div>  

<?php 
$dataSQL = ntxt( ntxDate(ntxScalar("SELECT getdate()"))." 23:59" );	
 
 //i criteri di questa where vengono utilizzati per le notifiche in mobile/menu_senza_commessa-generaOpzioni.php  
$where = <<< sql
Ordini.StatoOrd <= 40
AND 
(
	Ordini.TipologiaEnergia=1
	OR Ordini.TipologiaEnergia=2
	OR Ordini.TipologiaEnergia=3
	OR Ordini.TipologiaEnergia=4
	OR Ordini.TipologiaEnergia=6
)	
AND Ordini.Assegnazione = $IdDitta  

AND 
(
	(
		Ordini.IdRisorsa IS NOT NULL
		AND
		Ordini.IdRisorsa = $IdRisorsa 
		AND
		RisorseEdifici.IdRisorsa = $IdRisorsa
	)
	OR
	(
		Ordini.IdRisorsa IS NULL
		AND
		RisorseEdifici.IdRisorsa = $IdRisorsa
	)	
) 
sql;


if(strlen($_POST[Edificio])>0)
{
	$arr = explode(",",$_POST[Edificio]);
	$IdCommessaE = $arr[0];
	$IdEdificioE = $arr[1]; 
	 
	if(is_numeric($IdCommessaE)  &&  is_numeric($IdEdificioE))
	{
		$where .= <<< sql
		AND
		(
			Ordini.IdCommessa = $IdCommessaE  
			AND Ordini.CodEdificio = $IdEdificioE  
		)
sql;
	} 
}	 
  
 
switch ( $cboFiltro )
{
	case 2:
		$where .= <<< sql
		AND Ordini.DataInizioProg <= $dataSQL
sql;
		break;
	case 3:
		$where .= <<< sql
		AND Ordini.DataInizioProg <= DATEADD(week, 1, $dataSQL) 
sql;
		break; 
}
 
if ( is_numeric($_POST['PrioritaRicerca']) ) 
{
	$value = ntxip("PrioritaRicerca");
	$where .= " AND RisorseEdifici.Priorità  = $value ";
	$where .= <<<_SQL
	AND 
	(
		RisorseEdifici.Priorità  = $value 
		AND RisorseEdifici.IdRisorsa = $IdRisorsa
	)
_SQL;
} 


/*
$sql = <<< sql
SELECT 
	Ordini.IdOrd
	,Ordini.IdCommessa
	,Ordini.CodEdificio AS IdEdificio
FROM 
	Ordini
	LEFT OUTER JOIN
	RisorseEdifici ON Ordini.IdCommessa = RisorseEdifici.IdCommessa AND Ordini.CodEdificio = RisorseEdifici.IdEdificio 	
WHERE
	$where
	AND Ordini.IdRisorsa = $IdRisorsa
	AND 
	(	Ordini.StatoOrd = 37
		OR Ordini.StatoOrd = 40
	) 
sql;
$rs = ntxRecord(ntxQuery($sql));

$IdEdificoInCarico = $rs[IdEdificio];
$IdCommessaInCarico = $rs[IdCommessa];

if($_POST[FiltraPerEdificioInCorso]==1)
{
	if(!is_numeric($IdEdificoInCarico) && !is_numeric($IdCommessaInCarico)) die("Nessuna edificio attualmente in carico!");
	
	$where .= " AND (Ordini.IdCommessa = $IdCommessaInCarico AND Ordini.CodEdificio = $IdEdificoInCarico)";
}
*/ 
?>

<?php
require('_orari-sql.php');//query per trovare tutti

$sql = <<< sql
$sqlBody

WHERE
	$where 
sql;
ntxQuery($sql); 
 
$sql = <<< sql
SELECT 
	* 	
	 
FROM #tbl1 

ORDER BY 
	CASE 
		WHEN IdStatoOrdine = 40 THEN 1 
		WHEN IdStatoOrdine = 37 THEN 2 
		WHEN (IdStatoOrdine<>37 AND IdStatoOrdine<>40) THEN 10 
	END ASC	 
	,CASE 
		WHEN Priorità  IS NULL THEN 100
		WHEN Priorità  IS NOT NULL THEN Priorità   
	END ASC	 	 
	,DataInizioProg ASC  
	,IdEdificio ASC
sql;
 
$query = ntxQuery($sql);
 
while( $query  &&  $rs = ntxRecord($query) )
{ 
	$rs[IdCommessa] = $rs[IDCommessa];
	$rs[DataInizioProg] = ntxDate($rs[DataInizioProg]);
	$rs[DataPresaInCarico] = ntxDateTime($rs[DataPresaInCarico]);
	$rs[DataScadenza] = ntxDate($rs[DataScadenza]);
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine];
	
	$rs[Data1] = ntxDate($rs[Data1]);
	$rs[Data2] = ntxDate($rs[Data2]);
	$rs[DataOrdine] = ntxDate($rs[DataOrdine]);	
	
	$IdOrd = $rs[IdOrd];
	$IdCommessa = $rs[IdCommessa];
	$NumOrdine = $rs[NumOrdine];
	$AnnoOrdine = $rs[AnnoOrdine];
	$TipologiaEnergia = $rs[TipologiaEnergia]; 
	
	/*
	$sql1 = <<<_SQL
	SELECT 
		Ordini.IdOrd
	FROM 
		Ordini
		LEFT OUTER JOIN
		ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID		
		LEFT OUTER JOIN
		RisorseEdifici ON ElencoEdifici.IdCommessa = RisorseEdifici.IdCommessa AND ElencoEdifici.ID = RisorseEdifici.IdEdificio 		
	WHERE
		$where
		AND Ordini.IdRisorsa=$IdRisorsa 
		AND Ordini.StatoOrd IN (35, 37, 40) 
		AND Ordini.DataPresaInCarico IS NOT NULL
		AND Ordini.IdOrd<>$IdOrd
_SQL;
	$IdRel = ntxScalar($sql1); 
	$IdRel = ($IdRel>0) ? true : false;
	*/
	
	$strAttributiOrdine = <<<_HTML
	IdOrd="$IdOrd"
	IdCommessa="$rs[IDCommessa]" 
	NumOrdine="$rs[NumOrdine]" 
	AnnoOrdine="$rs[AnnoOrdine]" 
_HTML;
	
	$IdRel = ($EdificioInCarico_idcommessa==$rs[IdCommessa]  &&  $EdificioInCarico_idedificio==$rs[IdEdificio]) ? true : false;
	
	$bntAssegna="";
	if(!strlen($rs[DataPresaInCarico])>0  &&  ($IdRel || !is_numeric($EdificioInCarico_idedificio)) )
		$bntAssegna=" <input type=button value='Assegna' onclick='assegnaOrdine($IdOrd, $rs[IDCommessa], $rs[NumOrdine], $rs[AnnoOrdine], $rs[IdEdificio])' data-role=none class='bottone0 bntAssegna' />";

	$bntLascia="";
	if(strlen($rs[DataPresaInCarico])>0  &&  !strlen($rs[DataFine])>0 )
		$bntLascia=" <input type=button value='Lascia' onclick='lasciaOrdine($IdOrd, $rs[IDCommessa], $rs[NumOrdine], $rs[AnnoOrdine])' data-role=none class='bottone0' />";

	$bntPassa=""; 

	$bntInizio="";
	if(strlen($rs[DataPresaInCarico])>0  &&  !strlen($rs[DataInizio])>0 )
		$bntInizio=" <input type=button value='Inizio Lavoro' onclick='iniziaOrdine($IdOrd, $rs[IDCommessa], $rs[NumOrdine], $rs[AnnoOrdine])' data-role=none class='bottone0 bntInizioLavoro' $strAttributiOrdine />";

	$bntFatto="";
	if(strlen($rs[DataPresaInCarico])>0  &&  strlen($rs[DataInizio])>0 )
		$bntFatto=" <input type=button value='Finito' onclick='chiudiOrdine($IdOrd, $rs[IDCommessa], $rs[NumOrdine], $rs[AnnoOrdine])' class='ordine_fatto bottone0' IdOrd='$IdOrd' data-role=none />";
	

	$bntDaTogliere="";
	if(strlen($rs[DataPresaInCarico])>0  &&  strlen($rs[DataInizio])>0 )
		$bntDaTogliere=<<<_HTML
		<input type=button value='Da Finire' onclick="daTogliere('$IdOrd', '$rs[IDCommessa]', '$rs[NumOrdine]', '$rs[AnnoOrdine]', '$html[Data2]' );" data-role=none class="bottone0" />	
_HTML;
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$tabella = '';	
	$showBottoni = true;	
	require('_orari-tabella-ordine.php');	
		

	echo $tabella;
}
?> 
	<br><br><br><br><br>
	 
	<div data-role="footer"  data-position="fixed"   >
		<div class="ui-content" id="divFooter" >  
		</div>	
	</div> 

</div>

<!--
<div data-role="popup" id="popupStorico" data-overlay-theme="a" data-theme="a" data-corners="false" data-tolerance="5,5" >
	<a href="#" data-role="button" data-rel="back" data-iconpos="right">Chiudi</a>
	<div id="popupStorico_container"></div> 
	<a href="#" data-role="button" data-rel="back" data-iconpos="right">Chiudi</a>
</div>
-->


<div data-role="page" data-theme="a" id="pageReportOrari1" data-tap-toggle="false" > 
	<div data-role="header" data-position="fixed"  >
		<a href="" data-ajax="false" data-icon="back" data-iconpos="notext" onclick="ritornaPagina('#page1')"  >indietro</a>
		<h1>
		Orari Funzionamento Utenza
		</h1> 
	</div> 
    <div data-role="content">  
		<div id="popupReportOrari1_container"></div> 	 
    </div>
</div>


<div data-role="page" data-theme="a" id="pageNoteUtenza" data-tap-toggle="false" > 
	<div data-role="header" data-position="fixed"  >
		<a href="" data-ajax="false" data-icon="back" data-iconpos="notext" onclick="ritornaPagina('#page1')"  >indietro</a>
		
		<h1>
		Note Utenza
		</h1> 
	</div>
	
    <div data-role="content"> 
	
		<div id="popupNoteUtenza_container"></div> 		
		 
    </div>
</div>



<div data-role="page" data-theme="a" id="page5" data-tap-toggle="false" > 
	<div data-role="header" data-position="fixed"  >
		<a href="" data-ajax="false" data-icon="back" data-iconpos="notext" onclick="ritornaPagina('#page1')"  >indietro</a>
		
		<h1>
		Promemoria Orario da Togliere
		</h1> 
	</div>
	
    <div data-role="content"> 
		
		<form id="fromEditDaTogliere" name="fromEditDaTogliere" method="post" >
			<input type="hidden" name="IdOrd"   />
			
			Data&nbsp;*
			<br>
			<input type="text" name="Data" convalida tipo=data   />  
			
			<br>
			
			Note&nbsp;Cliente&nbsp;*
			<br>
			<textarea id="Note"  name="Note"   
				style="width:100%;height:90px;" convalida obbligatorio tipo=testo 
				
				onReset  	="gestisciOverflow(this, 1000, true);"
				onChange 	="gestisciOverflow(this, 1000);" 
				onKeyDown	="gestisciOverflow(this, 1000);" 
				onKeyUp		="gestisciOverflow(this, 1000);" 
				onblur		="gestisciOverflow(this, '', true);"
				onfocus		="gestisciOverflow(this, 1000);" 		
				
				maxlength="1000"
			></textarea> 
			<label for="Note"></label>
		</form> 
	
	</div>
	 
	<div data-role="footer"  data-position="fixed"   >
		<div class="ui-grid-a" >
			<div class="ui-block-a">
				<input type="button" value="OK" onclick="creaDTordine();" data-role=none class="bottone0" />
			</div>
			
			<div class="ui-block-b">
				<input type="button" value="Annulla" onclick="ritornaPagina('#page1')" data-role=none class="bottone0" />
			</div>
		</div>	
	</div>	
</div>

<div data-role="page" data-dialog="true" id="dialogNoteEdificioNfc">
	<div data-role="header">
		<h1>Ubicazione NFC</h1>
	</div> 
	
	<div data-role="main" class="ui-content">
		<div align="left" id="dialogNoteEdificioNfc_txt" > 
		</div>  
	</div> 
</div>

<form name=frmLogin method=post action="../_login.php"></form>

<form name=frmChiusura method=post action="chiusura_avanzamento.php">
	<input type=hidden name=IdOrd value="" />
</form> 

<form id="frmSaltoChiamate" name="frmSaltoChiamate" method="post" action="ri.php" >
	<input type="hidden" name="Edificio" />
	<input type="hidden" name="azioneSceltaEdificio" value="1" />
</form>

</body>
</html>