<?php 
$TOT_PULIZIE_INTEGRATIVE = 0.00;

if(is_numeric($IdRiepilogo))
{
	$sql = <<< sql
	SELECT  *
	FROM SopraluogoEdificioRiepilogo
	WHERE  
		ID=$IdRiepilogo  
sql;

	$rs1 = ntxRecord(ntxQuery($sql));  
	
	$sql = <<< sql
	SELECT    *
	FROM         SopralugoServiziPulizia
	WHERE    
		IdCommessa=$IdCommessa
		AND classificazione LIKE 'pulizie_integrative'
	ORDER BY Codice, Descrizione
sql;
	 
	$query1 = ntxQuery($sql);

	while ($rs1 = ntxRecord($query1))
	{
		$IdServizio = $rs1[ID];
		
		$sql = <<< sql
		SELECT    ID
		FROM         SopraluogoEdifici2Servizi
		WHERE    
			IdRiepilogo = $IdRiepilogo 
			AND IdServizio = $IdServizio 
sql;
		$IdRelazione = ntxScalar($sql);  
		 
		if( is_numeric($IdRelazione) && $IdRelazione>0 )
		{
			//non fa niente
		}
		else
		{
			$table = new NtxTable('SopraluogoEdifici2Servizi');

			$insert = $table->insert();

			$insert->init();
	 
			$insert->set('IdRiepilogo', $IdRiepilogo);
			$insert->set('IdServizio', $IdServizio); 
			
			$insert->set('NumeroInterventi', 0.00); 
			$insert->set('MQ', 0.00); 

			$insert->set('DataUltimaModifica', 'getdate()', true);
			$insert->set('UtenteModifica', $_SESSION[Utente]);

			$insert->set('DataInserimento', 'getdate()', true);
			$insert->set('UtenteInserimento', $_SESSION[Utente]); 
	 
			$insert->execute(); 
			
			$IdRelazione = ntxScalar("SELECT MAX(ID) FROM SopraluogoEdifici2Servizi WHERE IdRiepilogo=$IdRiepilogo  AND IdServizio=$IdServizio ");  
		} 
	} 
	 
	$tbl .= <<< _HTML
	<table data-role="table"   class="ui-responsive tabellaRis"  >
_HTML;

	$tbl .= <<< _HTML
	<thead>
		<tr>	
			<th>S.G.Servizio	
			<th>Servizio	
			<th>Tipo	
			<th>U.Misura	
			<th>I.Unitario	
			<th>N.Inte	
			<th>Metr.Q 
			<th>Euro/Anno
	</thead>

	<tbody>
_HTML;

	$sql = <<< sql
	SELECT     
		SopraluogoEdifici2Servizi.ID, SopraluogoEdifici2Servizi.NumeroInterventi, SopraluogoEdifici2Servizi.MQ, SopraluogoEdifici2Servizi.Note,
		SopralugoServiziPulizia.Codice, SopralugoServiziPulizia.Descrizione, SopralugoServiziPulizia.SG, SopralugoServiziPulizia.Tipo, SopralugoServiziPulizia.IUnitario, SopralugoServiziPulizia.UnitaMisura
	FROM         
		SopraluogoEdifici2Servizi 
		INNER JOIN
		SopralugoServiziPulizia ON SopraluogoEdifici2Servizi.IdServizio = SopralugoServiziPulizia.ID
	WHERE     
		SopraluogoEdifici2Servizi.IdRiepilogo = $IdRiepilogo 
		AND SopralugoServiziPulizia.classificazione LIKE 'pulizie_integrative'
	ORDER BY 
		SopralugoServiziPulizia.Codice, SopralugoServiziPulizia.Descrizione
sql;

	$query1 = ntxQuery($sql);

	while ($rs1 = ntxRecord($query1))
	{  
		$IdSopraluogoEdifici2Servizi = $rs1[ID]; 
		$IUnitario = $rs1[IUnitario]; 
		$NumeroInterventi = $rs1[NumeroInterventi]; 
		$MQ = $rs1[MQ]; 
		
		$euro2anno = 0.00;
		$euro2anno += $IUnitario * $NumeroInterventi * $MQ;
		 
		$TOT_PULIZIE_INTEGRATIVE += $euro2anno;
		
		
		$rs1[IUnitario] = ntxRound($rs1[IUnitario], 2); 
		$rs1[NumeroInterventi] = ntxRound($rs1[NumeroInterventi], 2); 
		$rs1[MQ] = ntxRound($rs1[MQ], 2); 
		$euro2anno = ntxRound($euro2anno, 2);
		
	$tbl .= <<< _HTML
	<tr>	
		<td>$rs1[SG]
		<td>$rs1[Codice] $rs1[Descrizione]
		<td>$rs1[Tipo]
		<td>$rs1[UnitaMisura]
		<td>$rs1[IUnitario]
		<td><input type="text" value="$rs1[NumeroInterventi]" 	onchange="update_SopraluogoEdifici2Servizi(this , 'NumeroInterventi', '$IdSopraluogoEdifici2Servizi')" />
		<td><input type="text" value="$rs1[MQ]"   				onchange="update_SopraluogoEdifici2Servizi(this , 'MQ', '$IdSopraluogoEdifici2Servizi')" /> 
		<td style="background:#66CC99;font-weight:bold;" >$euro2anno 
_HTML;
	}	 

	$tbl .= <<< _HTML
		</tbody>
	</table>
_HTML;
}
?>

